# Herramientas usada

> [JADX](https://github.com/skylot/jadx) - Dex to Java decompiler


### Certificado
Subject: CN=DN Servicios Digitales, OU=DN servicios Digitales, O=Ministerio de Modernizacion, L=Buenos Aires, ST=Buenos Aires, C=AR


### API

> api.app.covid.ar

#### Puntos de la API
```
 @POST("/usuarios/{dni}/ubicaciones")  @PATCH("usuarios/{dni}") Call<UsuarioRemoto> actualizarUsuario(@Path("dni") String str, @Query("sexo") String str2, @Body NuevaInformacionUsuario nuevaInformacionUsuario);
 @POST("autorizacion")  Call<Token> autorizacion(@Body AutorizacionUsuario autorizacionUsuario);
 @GET("usuarios/{dni}/estados/ultimo") Call<UltimoEstadoDeUsuarioRemoto> obtenerUltimoEstadoDeUsuario(@Path("dni") String str, @Query("sexo") String str2);
 @GET("usuarios/{dni}") Call<UsuarioRemoto> obtenerUsuario(@Path("dni") String str, @Query("sexo") String str2);
 @GET("versiones") Call<ResponseBody> obtenerVersion();
 @POST("/usuarios/{dni}/autoevaluaciones") Call<UsuarioRemoto> confirmarAutoevaluacion(@Path("dni") String str, @Query("sexo") String str2, @Body AutoevaluacionRemoto autoevaluacionRemoto);
}
```

#### Header

Builder addHeader = chain.request().newBuilder().addHeader("X-App-Platform", "android").addHeader("X-App-Version", "115").addHeader(Network.CONTENT_TYPE_HEADER, ContentType.JSON).addHeader("Authorization", obtenerToken());

### SQLite

```
String str = "CREATE TABLE IF NOT EXISTS `tabla_usuarios` (`usuarioId` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `sexo` TEXT, `dni` INTEGER, `fechaNacimiento` TEXT, `nombres` TEXT, `apellidos` TEXT, `telefono` TEXT, `provincia` TEXT, `localidad` TEXT, `calle` TEXT, `numero` TEXT, `piso` TEXT, `puerta` TEXT, `codigoPostal` TEXT, `otros` TEXT, `latitud` TEXT, `longitud` TEXT, `altura` TEXT, `nombreEstado` TEXT, `fechaHoraVencimiento` TEXT, `coep` TEXT, `informacionDeContacto` TEXT, `permisoQr` TEXT, `fechaVencimientoPermiso` TEXT, `statusServicio` INTEGER)";

String str2 = "CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)";

String str3 = "INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, '87451073e6469877f248c5d8bc004403')";

String str = "DROP TABLE IF EXISTS `tabla_usuarios`";

Cursor b = aVar.mo3897b("SELECT name FROM sqlite_master WHERE type = 'trigger'");

INSERT OR REPLACE INTO `tabla_usuarios` (`usuarioId`,`sexo`,`dni`,`fechaNacimiento`,`nombres`,`apellidos`,`telefono`,`provincia`,`localidad`,`calle`,`numero`,`piso`,`puerta`,`codigoPostal`,`otros`,`latitud`,`longitud`,`altura`,`nombreEstado`,`fechaHoraVencimiento`,`coep`,`informacionDeContacto`,`permisoQr`,`fechaVencimientoPermiso`,`statusServicio`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

"UPDATE tabla_usuarios SET nombreEstado = ?, fechaHoraVencimiento = ?,  permisoQr = ?, fechaVencimientoPermiso = ?, statusServicio = ?, coep = ?, informacionDeContacto = ?";
```

#### Certificate check

```
builder.certificatePinner(new CertificatePinner.Builder().add(str, "sha256/UXt/pC5LL5LT5C2ajleIfKh8FUrseWflM+tcO+284+o=").add(str, "sha256/JSMzqOOrtyOT1kmau6zKhgT676hGgczD5VMdRMyJZFA=").add(str, "sha256/++MBgDH5WGvL9Bcn5Be30cRcL0f5O+NyoXuWtQdX1aI=").build());
```


### Formulario

https://www.argentina.gob.ar/solicitar-certificado-unico-habilitante-para-circulacion-emergencia-covid-19
