package androidx.activity;

import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import p008b.p009a.OnBackPressedDispatcherOwner;
import p008b.p063o.HasDefaultViewModelProviderFactory;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleEventObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p063o.ReportFragment;
import p008b.p063o.SavedStateViewModelFactory;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p008b.p063o.ViewModelStoreOwner;
import p008b.p076u.SavedStateRegistry;
import p008b.p076u.SavedStateRegistryController;
import p008b.p076u.SavedStateRegistryOwner;

public class ComponentActivity extends p008b.p033h.p034e.ComponentActivity implements LifecycleOwner, ViewModelStoreOwner, HasDefaultViewModelProviderFactory, SavedStateRegistryOwner, OnBackPressedDispatcherOwner {
    public int mContentLayoutId;
    public ViewModelProvider.C0500b mDefaultFactory;
    public final LifecycleRegistry mLifecycleRegistry;
    public final OnBackPressedDispatcher mOnBackPressedDispatcher;
    public final SavedStateRegistryController mSavedStateRegistryController;
    public ViewModelStore mViewModelStore;

    /* renamed from: androidx.activity.ComponentActivity$a */
    public class C0020a implements Runnable {
        public C0020a() {
        }

        public void run() {
            ComponentActivity.super.onBackPressed();
        }
    }

    /* renamed from: androidx.activity.ComponentActivity$b */
    public static final class C0021b {

        /* renamed from: a */
        public Object f69a;

        /* renamed from: b */
        public ViewModelStore f70b;
    }

    public ComponentActivity() {
        this.mLifecycleRegistry = new LifecycleRegistry(this);
        this.mSavedStateRegistryController = new SavedStateRegistryController(this);
        this.mOnBackPressedDispatcher = new OnBackPressedDispatcher(new C0020a());
        if (getLifecycle() != null) {
            getLifecycle().mo3553a(new LifecycleEventObserver() {
                /* renamed from: a */
                public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
                    if (aVar == Lifecycle.C0488a.ON_STOP) {
                        Window window = ComponentActivity.this.getWindow();
                        View peekDecorView = window != null ? window.peekDecorView() : null;
                        if (peekDecorView != null) {
                            peekDecorView.cancelPendingInputEvents();
                        }
                    }
                }
            });
            getLifecycle().mo3553a(new LifecycleEventObserver() {
                /* renamed from: a */
                public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
                    if (aVar == Lifecycle.C0488a.ON_DESTROY && !ComponentActivity.this.isChangingConfigurations()) {
                        ComponentActivity.this.getViewModelStore().mo3533a();
                    }
                }
            });
            if (Build.VERSION.SDK_INT <= 23) {
                getLifecycle().mo3553a(new ImmLeaksCleaner(this));
                return;
            }
            return;
        }
        throw new IllegalStateException("getLifecycle() returned null in ComponentActivity's constructor. Please make sure you are lazily constructing your Lifecycle in the first call to getLifecycle() rather than relying on field initialization.");
    }

    public ViewModelProvider.C0500b getDefaultViewModelProviderFactory() {
        if (getApplication() != null) {
            if (this.mDefaultFactory == null) {
                this.mDefaultFactory = new SavedStateViewModelFactory(getApplication(), this, getIntent() != null ? getIntent().getExtras() : null);
            }
            return this.mDefaultFactory;
        }
        throw new IllegalStateException("Your activity is not yet attached to the Application instance. You can't request ViewModel before onCreate call.");
    }

    @Deprecated
    public Object getLastCustomNonConfigurationInstance() {
        C0021b bVar = (C0021b) getLastNonConfigurationInstance();
        if (bVar != null) {
            return bVar.f69a;
        }
        return null;
    }

    public Lifecycle getLifecycle() {
        return this.mLifecycleRegistry;
    }

    public final OnBackPressedDispatcher getOnBackPressedDispatcher() {
        return this.mOnBackPressedDispatcher;
    }

    public final SavedStateRegistry getSavedStateRegistry() {
        return this.mSavedStateRegistryController.f3401b;
    }

    public ViewModelStore getViewModelStore() {
        if (getApplication() != null) {
            if (this.mViewModelStore == null) {
                C0021b bVar = (C0021b) getLastNonConfigurationInstance();
                if (bVar != null) {
                    this.mViewModelStore = bVar.f70b;
                }
                if (this.mViewModelStore == null) {
                    this.mViewModelStore = new ViewModelStore();
                }
            }
            return this.mViewModelStore;
        }
        throw new IllegalStateException("Your activity is not yet attached to the Application instance. You can't request ViewModel before onCreate call.");
    }

    public void onBackPressed() {
        this.mOnBackPressedDispatcher.mo75a();
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.mSavedStateRegistryController.mo3891a(bundle);
        ReportFragment.m2363b(this);
        int i = this.mContentLayoutId;
        if (i != 0) {
            setContentView(i);
        }
    }

    @Deprecated
    public Object onRetainCustomNonConfigurationInstance() {
        return null;
    }

    public final Object onRetainNonConfigurationInstance() {
        C0021b bVar;
        Object onRetainCustomNonConfigurationInstance = onRetainCustomNonConfigurationInstance();
        ViewModelStore a0Var = this.mViewModelStore;
        if (a0Var == null && (bVar = (C0021b) getLastNonConfigurationInstance()) != null) {
            a0Var = bVar.f70b;
        }
        if (a0Var == null && onRetainCustomNonConfigurationInstance == null) {
            return null;
        }
        C0021b bVar2 = new C0021b();
        bVar2.f69a = onRetainCustomNonConfigurationInstance;
        bVar2.f70b = a0Var;
        return bVar2;
    }

    public void onSaveInstanceState(Bundle bundle) {
        Lifecycle lifecycle = getLifecycle();
        if (lifecycle instanceof LifecycleRegistry) {
            ((LifecycleRegistry) lifecycle).mo3557a(Lifecycle.C0489b.CREATED);
        }
        super.onSaveInstanceState(bundle);
        this.mSavedStateRegistryController.mo3892b(bundle);
    }

    public ComponentActivity(int i) {
        this();
        this.mContentLayoutId = i;
    }
}
