package androidx.fragment.app;

import android.animation.Animator;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.ComponentCallbacks;
import android.content.Context;
import android.content.Intent;
import android.content.IntentSender;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.ContextMenu;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import androidx.lifecycle.LiveData;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.reflect.InvocationTargetException;
import java.util.UUID;
import java.util.concurrent.TimeUnit;
import p008b.p033h.p034e.ActivityCompat;
import p008b.p033h.p034e.SharedElementCallback;
import p008b.p058m.p059d.FragmentActivity;
import p008b.p058m.p059d.FragmentContainer;
import p008b.p058m.p059d.FragmentFactory;
import p008b.p058m.p059d.FragmentHostCallback;
import p008b.p058m.p059d.FragmentManager;
import p008b.p058m.p059d.FragmentManagerImpl;
import p008b.p058m.p059d.FragmentManagerViewModel;
import p008b.p058m.p059d.FragmentViewLifecycleOwner;
import p008b.p058m.p059d.SuperNotCalledException;
import p008b.p063o.HasDefaultViewModelProviderFactory;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleEventObserver;
import p008b.p063o.LifecycleObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p063o.MutableLiveData;
import p008b.p063o.SavedStateViewModelFactory;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p008b.p063o.ViewModelStoreOwner;
import p008b.p064p.p065a.LoaderManager;
import p008b.p064p.p065a.LoaderManagerImpl;
import p008b.p076u.SavedStateRegistry;
import p008b.p076u.SavedStateRegistryController;
import p008b.p076u.SavedStateRegistryOwner;
import p085c.p086a.p087a.p088a.outline;

public class Fragment implements ComponentCallbacks, View.OnCreateContextMenuListener, LifecycleOwner, ViewModelStoreOwner, HasDefaultViewModelProviderFactory, SavedStateRegistryOwner {
    public static final int ACTIVITY_CREATED = 2;
    public static final int ATTACHED = 0;
    public static final int CREATED = 1;
    public static final int INITIALIZING = -1;
    public static final int RESUMED = 4;
    public static final int STARTED = 3;
    public static final Object USE_DEFAULT_TRANSITION = new Object();
    public boolean mAdded;
    public C0103d mAnimationInfo;
    public Bundle mArguments;
    public int mBackStackNesting;
    public boolean mCalled;
    public FragmentManager mChildFragmentManager;
    public ViewGroup mContainer;
    public int mContainerId;
    public int mContentLayoutId;
    public ViewModelProvider.C0500b mDefaultFactory;
    public boolean mDeferStart;
    public boolean mDetached;
    public int mFragmentId;
    public FragmentManager mFragmentManager;
    public boolean mFromLayout;
    public boolean mHasMenu;
    public boolean mHidden;
    public boolean mHiddenChanged;
    public FragmentHostCallback<?> mHost;
    public boolean mInLayout;
    public boolean mIsCreated;
    public boolean mIsNewlyAdded;
    public Boolean mIsPrimaryNavigationFragment;
    public LayoutInflater mLayoutInflater;
    public LifecycleRegistry mLifecycleRegistry;
    public Lifecycle.C0489b mMaxState;
    public boolean mMenuVisible;
    public Fragment mParentFragment;
    public boolean mPerformedCreateView;
    public float mPostponedAlpha;
    public Runnable mPostponedDurationRunnable;
    public boolean mRemoving;
    public boolean mRestored;
    public boolean mRetainInstance;
    public boolean mRetainInstanceChangedWhileDetached;
    public Bundle mSavedFragmentState;
    public SavedStateRegistryController mSavedStateRegistryController;
    public Boolean mSavedUserVisibleHint;
    public SparseArray<Parcelable> mSavedViewState;
    public int mState;
    public String mTag;
    public Fragment mTarget;
    public int mTargetRequestCode;
    public String mTargetWho;
    public boolean mUserVisibleHint;
    public View mView;
    public FragmentViewLifecycleOwner mViewLifecycleOwner;
    public MutableLiveData<LifecycleOwner> mViewLifecycleOwnerLiveData;
    public String mWho;

    /* renamed from: androidx.fragment.app.Fragment$a */
    public class C0100a implements Runnable {
        public C0100a() {
        }

        public void run() {
            Fragment.this.startPostponedEnterTransition();
        }
    }

    /* renamed from: androidx.fragment.app.Fragment$b */
    public class C0101b implements Runnable {
        public C0101b() {
        }

        public void run() {
            Fragment.this.callStartTransitionListener();
        }
    }

    /* renamed from: androidx.fragment.app.Fragment$d */
    public static class C0103d {

        /* renamed from: a */
        public View f632a;

        /* renamed from: b */
        public Animator f633b;

        /* renamed from: c */
        public int f634c;

        /* renamed from: d */
        public int f635d;

        /* renamed from: e */
        public int f636e;

        /* renamed from: f */
        public Object f637f = null;

        /* renamed from: g */
        public Object f638g;

        /* renamed from: h */
        public Object f639h;

        /* renamed from: i */
        public Object f640i;

        /* renamed from: j */
        public Object f641j;

        /* renamed from: k */
        public Object f642k;

        /* renamed from: l */
        public Boolean f643l;

        /* renamed from: m */
        public Boolean f644m;

        /* renamed from: n */
        public SharedElementCallback f645n;

        /* renamed from: o */
        public SharedElementCallback f646o;

        /* renamed from: p */
        public boolean f647p;

        /* renamed from: q */
        public C0105f f648q;

        /* renamed from: r */
        public boolean f649r;

        public C0103d() {
            Object obj = Fragment.USE_DEFAULT_TRANSITION;
            this.f638g = obj;
            this.f639h = null;
            this.f640i = obj;
            this.f641j = null;
            this.f642k = obj;
            this.f645n = null;
            this.f646o = null;
        }
    }

    /* renamed from: androidx.fragment.app.Fragment$e */
    public static class C0104e extends RuntimeException {
        public C0104e(String str, Exception exc) {
            super(str, exc);
        }
    }

    /* renamed from: androidx.fragment.app.Fragment$f */
    public interface C0105f {
    }

    @SuppressLint({"BanParcelableUsage"})
    /* renamed from: androidx.fragment.app.Fragment$g */
    public static class C0106g implements Parcelable {
        public static final Parcelable.Creator<C0106g> CREATOR = new C0107a();

        /* renamed from: b */
        public final Bundle f650b;

        /* renamed from: androidx.fragment.app.Fragment$g$a */
        public static class C0107a implements Parcelable.ClassLoaderCreator<C0106g> {
            public Object createFromParcel(Parcel parcel) {
                return new C0106g(parcel, (ClassLoader) null);
            }

            public Object[] newArray(int i) {
                return new C0106g[i];
            }

            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C0106g(parcel, classLoader);
            }
        }

        public C0106g(Parcel parcel, ClassLoader classLoader) {
            Bundle readBundle = parcel.readBundle();
            this.f650b = readBundle;
            if (classLoader != null && readBundle != null) {
                readBundle.setClassLoader(classLoader);
            }
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeBundle(this.f650b);
        }
    }

    public Fragment() {
        this.mState = -1;
        this.mWho = UUID.randomUUID().toString();
        this.mTargetWho = null;
        this.mIsPrimaryNavigationFragment = null;
        this.mChildFragmentManager = new FragmentManagerImpl();
        this.mMenuVisible = true;
        this.mUserVisibleHint = true;
        this.mPostponedDurationRunnable = new C0100a();
        this.mMaxState = Lifecycle.C0489b.RESUMED;
        this.mViewLifecycleOwnerLiveData = new MutableLiveData<>();
        initLifecycle();
    }

    private C0103d ensureAnimationInfo() {
        if (this.mAnimationInfo == null) {
            this.mAnimationInfo = new C0103d();
        }
        return this.mAnimationInfo;
    }

    private void initLifecycle() {
        this.mLifecycleRegistry = new LifecycleRegistry(this);
        this.mSavedStateRegistryController = new SavedStateRegistryController(this);
        this.mLifecycleRegistry.mo3553a((LifecycleObserver) new LifecycleEventObserver() {
            /* renamed from: a */
            public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
                View view;
                if (aVar == Lifecycle.C0488a.ON_STOP && (view = Fragment.this.mView) != null) {
                    view.cancelPendingInputEvents();
                }
            }
        });
    }

    @Deprecated
    public static Fragment instantiate(Context context, String str) {
        return instantiate(context, str, (Bundle) null);
    }

    public void callStartTransitionListener() {
        C0103d dVar = this.mAnimationInfo;
        C0105f fVar = null;
        if (dVar != null) {
            dVar.f647p = false;
            C0105f fVar2 = dVar.f648q;
            dVar.f648q = null;
            fVar = fVar2;
        }
        if (fVar != null) {
            FragmentManager.C0477g gVar = (FragmentManager.C0477g) fVar;
            int i = gVar.f2867c - 1;
            gVar.f2867c = i;
            if (i == 0) {
                gVar.f2866b.f2723r.mo3483l();
            }
        }
    }

    public void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        printWriter.print(str);
        printWriter.print("mFragmentId=#");
        printWriter.print(Integer.toHexString(this.mFragmentId));
        printWriter.print(" mContainerId=#");
        printWriter.print(Integer.toHexString(this.mContainerId));
        printWriter.print(" mTag=");
        printWriter.println(this.mTag);
        printWriter.print(str);
        printWriter.print("mState=");
        printWriter.print(this.mState);
        printWriter.print(" mWho=");
        printWriter.print(this.mWho);
        printWriter.print(" mBackStackNesting=");
        printWriter.println(this.mBackStackNesting);
        printWriter.print(str);
        printWriter.print("mAdded=");
        printWriter.print(this.mAdded);
        printWriter.print(" mRemoving=");
        printWriter.print(this.mRemoving);
        printWriter.print(" mFromLayout=");
        printWriter.print(this.mFromLayout);
        printWriter.print(" mInLayout=");
        printWriter.println(this.mInLayout);
        printWriter.print(str);
        printWriter.print("mHidden=");
        printWriter.print(this.mHidden);
        printWriter.print(" mDetached=");
        printWriter.print(this.mDetached);
        printWriter.print(" mMenuVisible=");
        printWriter.print(this.mMenuVisible);
        printWriter.print(" mHasMenu=");
        printWriter.println(this.mHasMenu);
        printWriter.print(str);
        printWriter.print("mRetainInstance=");
        printWriter.print(this.mRetainInstance);
        printWriter.print(" mUserVisibleHint=");
        printWriter.println(this.mUserVisibleHint);
        if (this.mFragmentManager != null) {
            printWriter.print(str);
            printWriter.print("mFragmentManager=");
            printWriter.println(this.mFragmentManager);
        }
        if (this.mHost != null) {
            printWriter.print(str);
            printWriter.print("mHost=");
            printWriter.println(this.mHost);
        }
        if (this.mParentFragment != null) {
            printWriter.print(str);
            printWriter.print("mParentFragment=");
            printWriter.println(this.mParentFragment);
        }
        if (this.mArguments != null) {
            printWriter.print(str);
            printWriter.print("mArguments=");
            printWriter.println(this.mArguments);
        }
        if (this.mSavedFragmentState != null) {
            printWriter.print(str);
            printWriter.print("mSavedFragmentState=");
            printWriter.println(this.mSavedFragmentState);
        }
        if (this.mSavedViewState != null) {
            printWriter.print(str);
            printWriter.print("mSavedViewState=");
            printWriter.println(this.mSavedViewState);
        }
        Fragment targetFragment = getTargetFragment();
        if (targetFragment != null) {
            printWriter.print(str);
            printWriter.print("mTarget=");
            printWriter.print(targetFragment);
            printWriter.print(" mTargetRequestCode=");
            printWriter.println(this.mTargetRequestCode);
        }
        if (getNextAnim() != 0) {
            printWriter.print(str);
            printWriter.print("mNextAnim=");
            printWriter.println(getNextAnim());
        }
        if (this.mContainer != null) {
            printWriter.print(str);
            printWriter.print("mContainer=");
            printWriter.println(this.mContainer);
        }
        if (this.mView != null) {
            printWriter.print(str);
            printWriter.print("mView=");
            printWriter.println(this.mView);
        }
        if (getAnimatingAway() != null) {
            printWriter.print(str);
            printWriter.print("mAnimatingAway=");
            printWriter.println(getAnimatingAway());
            printWriter.print(str);
            printWriter.print("mStateAfterAnimating=");
            printWriter.println(getStateAfterAnimating());
        }
        if (getContext() != null) {
            LoaderManager.m2373a(this).mo3594a(str, fileDescriptor, printWriter, strArr);
        }
        printWriter.print(str);
        printWriter.println("Child " + this.mChildFragmentManager + ":");
        this.mChildFragmentManager.mo3445a(outline.m2941b(str, "  "), fileDescriptor, printWriter, strArr);
    }

    public final boolean equals(Object obj) {
        return super.equals(obj);
    }

    public Fragment findFragmentByWho(String str) {
        if (str.equals(this.mWho)) {
            return this;
        }
        return this.mChildFragmentManager.mo3461c(str);
    }

    public final FragmentActivity getActivity() {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar == null) {
            return null;
        }
        return (FragmentActivity) lVar.f2819b;
    }

    public boolean getAllowEnterTransitionOverlap() {
        Boolean bool;
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null || (bool = dVar.f644m) == null) {
            return true;
        }
        return bool.booleanValue();
    }

    public boolean getAllowReturnTransitionOverlap() {
        Boolean bool;
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null || (bool = dVar.f643l) == null) {
            return true;
        }
        return bool.booleanValue();
    }

    public View getAnimatingAway() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        return dVar.f632a;
    }

    public Animator getAnimator() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        return dVar.f633b;
    }

    public final Bundle getArguments() {
        return this.mArguments;
    }

    public final FragmentManager getChildFragmentManager() {
        if (this.mHost != null) {
            return this.mChildFragmentManager;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " has not been attached yet."));
    }

    public Context getContext() {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar == null) {
            return null;
        }
        return lVar.f2820c;
    }

    public ViewModelProvider.C0500b getDefaultViewModelProviderFactory() {
        if (this.mFragmentManager != null) {
            if (this.mDefaultFactory == null) {
                this.mDefaultFactory = new SavedStateViewModelFactory(requireActivity().getApplication(), this, getArguments());
            }
            return this.mDefaultFactory;
        }
        throw new IllegalStateException("Can't access ViewModels from detached fragment");
    }

    public Object getEnterTransition() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        return dVar.f637f;
    }

    public SharedElementCallback getEnterTransitionCallback() {
        if (this.mAnimationInfo == null) {
        }
        return null;
    }

    public Object getExitTransition() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        return dVar.f639h;
    }

    public SharedElementCallback getExitTransitionCallback() {
        if (this.mAnimationInfo == null) {
        }
        return null;
    }

    @Deprecated
    public final FragmentManager getFragmentManager() {
        return this.mFragmentManager;
    }

    public final Object getHost() {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar == null) {
            return null;
        }
        return FragmentActivity.this;
    }

    public final int getId() {
        return this.mFragmentId;
    }

    public final LayoutInflater getLayoutInflater() {
        LayoutInflater layoutInflater = this.mLayoutInflater;
        return layoutInflater == null ? performGetLayoutInflater((Bundle) null) : layoutInflater;
    }

    public Lifecycle getLifecycle() {
        return this.mLifecycleRegistry;
    }

    @Deprecated
    public LoaderManager getLoaderManager() {
        return LoaderManager.m2373a(this);
    }

    public int getNextAnim() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return 0;
        }
        return dVar.f635d;
    }

    public int getNextTransition() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return 0;
        }
        return dVar.f636e;
    }

    public final Fragment getParentFragment() {
        return this.mParentFragment;
    }

    public final FragmentManager getParentFragmentManager() {
        FragmentManager oVar = this.mFragmentManager;
        if (oVar != null) {
            return oVar;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not associated with a fragment manager."));
    }

    public Object getReenterTransition() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        Object obj = dVar.f640i;
        return obj == USE_DEFAULT_TRANSITION ? getExitTransition() : obj;
    }

    public final Resources getResources() {
        return requireContext().getResources();
    }

    public final boolean getRetainInstance() {
        return this.mRetainInstance;
    }

    public Object getReturnTransition() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        Object obj = dVar.f638g;
        return obj == USE_DEFAULT_TRANSITION ? getEnterTransition() : obj;
    }

    public final SavedStateRegistry getSavedStateRegistry() {
        return this.mSavedStateRegistryController.f3401b;
    }

    public Object getSharedElementEnterTransition() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        return dVar.f641j;
    }

    public Object getSharedElementReturnTransition() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return null;
        }
        Object obj = dVar.f642k;
        return obj == USE_DEFAULT_TRANSITION ? getSharedElementEnterTransition() : obj;
    }

    public int getStateAfterAnimating() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return 0;
        }
        return dVar.f634c;
    }

    public final String getString(int i) {
        return getResources().getString(i);
    }

    public final String getTag() {
        return this.mTag;
    }

    public final Fragment getTargetFragment() {
        String str;
        Fragment fragment = this.mTarget;
        if (fragment != null) {
            return fragment;
        }
        FragmentManager oVar = this.mFragmentManager;
        if (oVar == null || (str = this.mTargetWho) == null) {
            return null;
        }
        return oVar.mo3430a(str);
    }

    public final int getTargetRequestCode() {
        return this.mTargetRequestCode;
    }

    public final CharSequence getText(int i) {
        return getResources().getText(i);
    }

    @Deprecated
    public boolean getUserVisibleHint() {
        return this.mUserVisibleHint;
    }

    public View getView() {
        return this.mView;
    }

    public LifecycleOwner getViewLifecycleOwner() {
        FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
        if (j0Var != null) {
            return j0Var;
        }
        throw new IllegalStateException("Can't access the Fragment View's LifecycleOwner when getView() is null i.e., before onCreateView() or after onDestroyView()");
    }

    public LiveData<LifecycleOwner> getViewLifecycleOwnerLiveData() {
        return this.mViewLifecycleOwnerLiveData;
    }

    public ViewModelStore getViewModelStore() {
        FragmentManager oVar = this.mFragmentManager;
        if (oVar != null) {
            FragmentManagerViewModel sVar = oVar.f2829C;
            ViewModelStore a0Var = sVar.f2879c.get(this.mWho);
            if (a0Var != null) {
                return a0Var;
            }
            ViewModelStore a0Var2 = new ViewModelStore();
            sVar.f2879c.put(this.mWho, a0Var2);
            return a0Var2;
        }
        throw new IllegalStateException("Can't access ViewModels from detached fragment");
    }

    @SuppressLint({"KotlinPropertyAccess"})
    public final boolean hasOptionsMenu() {
        return this.mHasMenu;
    }

    public final int hashCode() {
        return super.hashCode();
    }

    public void initState() {
        initLifecycle();
        this.mWho = UUID.randomUUID().toString();
        this.mAdded = false;
        this.mRemoving = false;
        this.mFromLayout = false;
        this.mInLayout = false;
        this.mRestored = false;
        this.mBackStackNesting = 0;
        this.mFragmentManager = null;
        this.mChildFragmentManager = new FragmentManagerImpl();
        this.mHost = null;
        this.mFragmentId = 0;
        this.mContainerId = 0;
        this.mTag = null;
        this.mHidden = false;
        this.mDetached = false;
    }

    public final boolean isAdded() {
        return this.mHost != null && this.mAdded;
    }

    public final boolean isDetached() {
        return this.mDetached;
    }

    public final boolean isHidden() {
        return this.mHidden;
    }

    public boolean isHideReplaced() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return false;
        }
        return dVar.f649r;
    }

    public final boolean isInBackStack() {
        return this.mBackStackNesting > 0;
    }

    public final boolean isInLayout() {
        return this.mInLayout;
    }

    public final boolean isMenuVisible() {
        return this.mMenuVisible;
    }

    public boolean isPostponed() {
        C0103d dVar = this.mAnimationInfo;
        if (dVar == null) {
            return false;
        }
        return dVar.f647p;
    }

    public final boolean isRemoving() {
        return this.mRemoving;
    }

    public final boolean isRemovingParent() {
        Fragment parentFragment = getParentFragment();
        return parentFragment != null && (parentFragment.isRemoving() || parentFragment.isRemovingParent());
    }

    public final boolean isResumed() {
        return this.mState >= 4;
    }

    public final boolean isStateSaved() {
        FragmentManager oVar = this.mFragmentManager;
        if (oVar == null) {
            return false;
        }
        return oVar.mo3476h();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:4:0x000c, code lost:
        r0 = r1.mView;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final boolean isVisible() {
        /*
            r1 = this;
            boolean r0 = r1.isAdded()
            if (r0 == 0) goto L_0x0020
            boolean r0 = r1.isHidden()
            if (r0 != 0) goto L_0x0020
            android.view.View r0 = r1.mView
            if (r0 == 0) goto L_0x0020
            android.os.IBinder r0 = r0.getWindowToken()
            if (r0 == 0) goto L_0x0020
            android.view.View r0 = r1.mView
            int r0 = r0.getVisibility()
            if (r0 != 0) goto L_0x0020
            r0 = 1
            goto L_0x0021
        L_0x0020:
            r0 = 0
        L_0x0021:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.fragment.app.Fragment.isVisible():boolean");
    }

    public void noteStateNotSaved() {
        this.mChildFragmentManager.mo3477i();
    }

    public void onActivityCreated(Bundle bundle) {
        this.mCalled = true;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
    }

    public void onAttach(Context context) {
        Activity activity;
        this.mCalled = true;
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar == null) {
            activity = null;
        } else {
            activity = lVar.f2819b;
        }
        if (activity != null) {
            this.mCalled = false;
            onAttach(activity);
        }
    }

    public void onAttachFragment(Fragment fragment) {
    }

    public void onConfigurationChanged(Configuration configuration) {
        this.mCalled = true;
    }

    public boolean onContextItemSelected(MenuItem menuItem) {
        return false;
    }

    public void onCreate(Bundle bundle) {
        boolean z = true;
        this.mCalled = true;
        restoreChildFragmentState(bundle);
        if (this.mChildFragmentManager.f2843m < 1) {
            z = false;
        }
        if (!z) {
            this.mChildFragmentManager.mo3454b();
        }
    }

    public Animation onCreateAnimation(int i, boolean z, int i2) {
        return null;
    }

    public Animator onCreateAnimator(int i, boolean z, int i2) {
        return null;
    }

    public void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenu.ContextMenuInfo contextMenuInfo) {
        requireActivity().onCreateContextMenu(contextMenu, view, contextMenuInfo);
    }

    public void onCreateOptionsMenu(Menu menu, MenuInflater menuInflater) {
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        int i = this.mContentLayoutId;
        if (i != 0) {
            return layoutInflater.inflate(i, viewGroup, false);
        }
        return null;
    }

    public void onDestroy() {
        this.mCalled = true;
    }

    public void onDestroyOptionsMenu() {
    }

    public void onDestroyView() {
        this.mCalled = true;
    }

    public void onDetach() {
        this.mCalled = true;
    }

    public LayoutInflater onGetLayoutInflater(Bundle bundle) {
        return getLayoutInflater(bundle);
    }

    public void onHiddenChanged(boolean z) {
    }

    public void onInflate(Context context, AttributeSet attributeSet, Bundle bundle) {
        Activity activity;
        this.mCalled = true;
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar == null) {
            activity = null;
        } else {
            activity = lVar.f2819b;
        }
        if (activity != null) {
            this.mCalled = false;
            onInflate(activity, attributeSet, bundle);
        }
    }

    public void onLowMemory() {
        this.mCalled = true;
    }

    public void onMultiWindowModeChanged(boolean z) {
    }

    public boolean onOptionsItemSelected(MenuItem menuItem) {
        return false;
    }

    public void onOptionsMenuClosed(Menu menu) {
    }

    public void onPause() {
        this.mCalled = true;
    }

    public void onPictureInPictureModeChanged(boolean z) {
    }

    public void onPrepareOptionsMenu(Menu menu) {
    }

    public void onPrimaryNavigationFragmentChanged(boolean z) {
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
    }

    public void onResume() {
        this.mCalled = true;
    }

    public void onSaveInstanceState(Bundle bundle) {
    }

    public void onStart() {
        this.mCalled = true;
    }

    public void onStop() {
        this.mCalled = true;
    }

    public void onViewCreated(View view, Bundle bundle) {
    }

    public void onViewStateRestored(Bundle bundle) {
        this.mCalled = true;
    }

    public void performActivityCreated(Bundle bundle) {
        this.mChildFragmentManager.mo3477i();
        this.mState = 2;
        this.mCalled = false;
        onActivityCreated(bundle);
        if (this.mCalled) {
            FragmentManager oVar = this.mChildFragmentManager;
            oVar.f2851u = false;
            oVar.f2852v = false;
            oVar.mo3432a(2);
            return;
        }
        throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onActivityCreated()"));
    }

    public void performAttach() {
        this.mChildFragmentManager.mo3443a(this.mHost, new C0102c(), this);
        this.mState = 0;
        this.mCalled = false;
        onAttach(this.mHost.f2820c);
        if (!this.mCalled) {
            throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onAttach()"));
        }
    }

    public void performConfigurationChanged(Configuration configuration) {
        onConfigurationChanged(configuration);
        this.mChildFragmentManager.mo3434a(configuration);
    }

    public boolean performContextItemSelected(MenuItem menuItem) {
        if (this.mHidden) {
            return false;
        }
        if (!onContextItemSelected(menuItem) && !this.mChildFragmentManager.mo3450a(menuItem)) {
            return false;
        }
        return true;
    }

    public void performCreate(Bundle bundle) {
        this.mChildFragmentManager.mo3477i();
        this.mState = 1;
        this.mCalled = false;
        this.mSavedStateRegistryController.mo3891a(bundle);
        onCreate(bundle);
        this.mIsCreated = true;
        if (this.mCalled) {
            this.mLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_CREATE);
            return;
        }
        throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onCreate()"));
    }

    public boolean performCreateOptionsMenu(Menu menu, MenuInflater menuInflater) {
        boolean z = false;
        if (this.mHidden) {
            return false;
        }
        if (this.mHasMenu && this.mMenuVisible) {
            z = true;
            onCreateOptionsMenu(menu, menuInflater);
        }
        return z | this.mChildFragmentManager.mo3449a(menu, menuInflater);
    }

    public void performCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        this.mChildFragmentManager.mo3477i();
        boolean z = true;
        this.mPerformedCreateView = true;
        this.mViewLifecycleOwner = new FragmentViewLifecycleOwner();
        View onCreateView = onCreateView(layoutInflater, viewGroup, bundle);
        this.mView = onCreateView;
        if (onCreateView != null) {
            FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
            if (j0Var.f2817b == null) {
                j0Var.f2817b = new LifecycleRegistry(j0Var);
            }
            this.mViewLifecycleOwnerLiveData.mo973b(this.mViewLifecycleOwner);
            return;
        }
        if (this.mViewLifecycleOwner.f2817b == null) {
            z = false;
        }
        if (!z) {
            this.mViewLifecycleOwner = null;
            return;
        }
        throw new IllegalStateException("Called getViewLifecycleOwner() but onCreateView() returned null");
    }

    public void performDestroy() {
        this.mChildFragmentManager.mo3462c();
        this.mLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_DESTROY);
        this.mState = 0;
        this.mCalled = false;
        this.mIsCreated = false;
        onDestroy();
        if (!this.mCalled) {
            throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onDestroy()"));
        }
    }

    public void performDestroyView() {
        this.mChildFragmentManager.mo3432a(1);
        if (this.mView != null) {
            FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
            j0Var.f2817b.mo3556a(Lifecycle.C0488a.ON_DESTROY);
        }
        this.mState = 1;
        this.mCalled = false;
        onDestroyView();
        if (this.mCalled) {
            LoaderManagerImpl.C0506c cVar = ((LoaderManagerImpl) LoaderManager.m2373a(this)).f2992b;
            int b = cVar.f2996a.mo2819b();
            for (int i = 0; i < b; i++) {
                LifecycleOwner lVar = cVar.f2996a.mo2825d(i).f2993k;
            }
            this.mPerformedCreateView = false;
            return;
        }
        throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onDestroyView()"));
    }

    public void performDetach() {
        this.mState = -1;
        this.mCalled = false;
        onDetach();
        this.mLayoutInflater = null;
        if (this.mCalled) {
            FragmentManager oVar = this.mChildFragmentManager;
            if (!oVar.f2853w) {
                oVar.mo3462c();
                this.mChildFragmentManager = new FragmentManagerImpl();
                return;
            }
            return;
        }
        throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onDetach()"));
    }

    public LayoutInflater performGetLayoutInflater(Bundle bundle) {
        LayoutInflater onGetLayoutInflater = onGetLayoutInflater(bundle);
        this.mLayoutInflater = onGetLayoutInflater;
        return onGetLayoutInflater;
    }

    public void performLowMemory() {
        onLowMemory();
        this.mChildFragmentManager.mo3466d();
    }

    public void performMultiWindowModeChanged(boolean z) {
        onMultiWindowModeChanged(z);
        this.mChildFragmentManager.mo3448a(z);
    }

    public boolean performOptionsItemSelected(MenuItem menuItem) {
        if (this.mHidden) {
            return false;
        }
        if ((!this.mHasMenu || !this.mMenuVisible || !onOptionsItemSelected(menuItem)) && !this.mChildFragmentManager.mo3459b(menuItem)) {
            return false;
        }
        return true;
    }

    public void performOptionsMenuClosed(Menu menu) {
        if (!this.mHidden) {
            if (this.mHasMenu && this.mMenuVisible) {
                onOptionsMenuClosed(menu);
            }
            this.mChildFragmentManager.mo3436a(menu);
        }
    }

    public void performPause() {
        this.mChildFragmentManager.mo3432a(3);
        if (this.mView != null) {
            FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
            j0Var.f2817b.mo3556a(Lifecycle.C0488a.ON_PAUSE);
        }
        this.mLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_PAUSE);
        this.mState = 3;
        this.mCalled = false;
        onPause();
        if (!this.mCalled) {
            throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onPause()"));
        }
    }

    public void performPictureInPictureModeChanged(boolean z) {
        onPictureInPictureModeChanged(z);
        this.mChildFragmentManager.mo3457b(z);
    }

    public boolean performPrepareOptionsMenu(Menu menu) {
        boolean z = false;
        if (this.mHidden) {
            return false;
        }
        if (this.mHasMenu && this.mMenuVisible) {
            z = true;
            onPrepareOptionsMenu(menu);
        }
        return z | this.mChildFragmentManager.mo3458b(menu);
    }

    public void performPrimaryNavigationFragmentChanged() {
        boolean k = this.mFragmentManager.mo3482k(this);
        Boolean bool = this.mIsPrimaryNavigationFragment;
        if (bool == null || bool.booleanValue() != k) {
            this.mIsPrimaryNavigationFragment = Boolean.valueOf(k);
            onPrimaryNavigationFragmentChanged(k);
            FragmentManager oVar = this.mChildFragmentManager;
            oVar.mo3487n();
            oVar.mo3474g(oVar.f2847q);
        }
    }

    public void performResume() {
        this.mChildFragmentManager.mo3477i();
        this.mChildFragmentManager.mo3468d(true);
        this.mState = 4;
        this.mCalled = false;
        onResume();
        if (this.mCalled) {
            this.mLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_RESUME);
            if (this.mView != null) {
                FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
                j0Var.f2817b.mo3556a(Lifecycle.C0488a.ON_RESUME);
            }
            FragmentManager oVar = this.mChildFragmentManager;
            oVar.f2851u = false;
            oVar.f2852v = false;
            oVar.mo3432a(4);
            return;
        }
        throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onResume()"));
    }

    public void performSaveInstanceState(Bundle bundle) {
        onSaveInstanceState(bundle);
        this.mSavedStateRegistryController.mo3892b(bundle);
        Parcelable k = this.mChildFragmentManager.mo3481k();
        if (k != null) {
            bundle.putParcelable(FragmentActivity.FRAGMENTS_TAG, k);
        }
    }

    public void performStart() {
        this.mChildFragmentManager.mo3477i();
        this.mChildFragmentManager.mo3468d(true);
        this.mState = 3;
        this.mCalled = false;
        onStart();
        if (this.mCalled) {
            this.mLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_START);
            if (this.mView != null) {
                FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
                j0Var.f2817b.mo3556a(Lifecycle.C0488a.ON_START);
            }
            FragmentManager oVar = this.mChildFragmentManager;
            oVar.f2851u = false;
            oVar.f2852v = false;
            oVar.mo3432a(3);
            return;
        }
        throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onStart()"));
    }

    public void performStop() {
        FragmentManager oVar = this.mChildFragmentManager;
        oVar.f2852v = true;
        oVar.mo3432a(2);
        if (this.mView != null) {
            FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
            j0Var.f2817b.mo3556a(Lifecycle.C0488a.ON_STOP);
        }
        this.mLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_STOP);
        this.mState = 2;
        this.mCalled = false;
        onStop();
        if (!this.mCalled) {
            throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onStop()"));
        }
    }

    public void postponeEnterTransition() {
        ensureAnimationInfo().f647p = true;
    }

    public void registerForContextMenu(View view) {
        view.setOnCreateContextMenuListener(this);
    }

    public final void requestPermissions(String[] strArr, int i) {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar != null) {
            FragmentActivity.this.requestPermissionsFromFragment(this, strArr, i);
            return;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not attached to Activity"));
    }

    public final FragmentActivity requireActivity() {
        FragmentActivity activity = getActivity();
        if (activity != null) {
            return activity;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not attached to an activity."));
    }

    public final Bundle requireArguments() {
        Bundle arguments = getArguments();
        if (arguments != null) {
            return arguments;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " does not have any arguments."));
    }

    public final Context requireContext() {
        Context context = getContext();
        if (context != null) {
            return context;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not attached to a context."));
    }

    @Deprecated
    public final FragmentManager requireFragmentManager() {
        return getParentFragmentManager();
    }

    public final Object requireHost() {
        Object host = getHost();
        if (host != null) {
            return host;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not attached to a host."));
    }

    public final Fragment requireParentFragment() {
        Fragment parentFragment = getParentFragment();
        if (parentFragment != null) {
            return parentFragment;
        }
        if (getContext() == null) {
            throw new IllegalStateException(outline.m2933a("Fragment ", this, " is not attached to any Fragment or host"));
        }
        throw new IllegalStateException("Fragment " + this + " is not a child Fragment, it is directly attached to " + getContext());
    }

    public final View requireView() {
        View view = getView();
        if (view != null) {
            return view;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " did not return a View from onCreateView() or this was called before onCreateView()."));
    }

    public void restoreChildFragmentState(Bundle bundle) {
        Parcelable parcelable;
        if (bundle != null && (parcelable = bundle.getParcelable(FragmentActivity.FRAGMENTS_TAG)) != null) {
            this.mChildFragmentManager.mo3435a(parcelable);
            this.mChildFragmentManager.mo3454b();
        }
    }

    public final void restoreViewState(Bundle bundle) {
        SparseArray<Parcelable> sparseArray = this.mSavedViewState;
        if (sparseArray != null) {
            this.mView.restoreHierarchyState(sparseArray);
            this.mSavedViewState = null;
        }
        this.mCalled = false;
        onViewStateRestored(bundle);
        if (!this.mCalled) {
            throw new SuperNotCalledException(outline.m2933a("Fragment ", this, " did not call through to super.onViewStateRestored()"));
        } else if (this.mView != null) {
            FragmentViewLifecycleOwner j0Var = this.mViewLifecycleOwner;
            j0Var.f2817b.mo3556a(Lifecycle.C0488a.ON_CREATE);
        }
    }

    public void setAllowEnterTransitionOverlap(boolean z) {
        ensureAnimationInfo().f644m = Boolean.valueOf(z);
    }

    public void setAllowReturnTransitionOverlap(boolean z) {
        ensureAnimationInfo().f643l = Boolean.valueOf(z);
    }

    public void setAnimatingAway(View view) {
        ensureAnimationInfo().f632a = view;
    }

    public void setAnimator(Animator animator) {
        ensureAnimationInfo().f633b = animator;
    }

    public void setArguments(Bundle bundle) {
        if (this.mFragmentManager == null || !isStateSaved()) {
            this.mArguments = bundle;
            return;
        }
        throw new IllegalStateException("Fragment already added and state has been saved");
    }

    public void setEnterSharedElementCallback(SharedElementCallback lVar) {
        ensureAnimationInfo();
    }

    public void setEnterTransition(Object obj) {
        ensureAnimationInfo().f637f = obj;
    }

    public void setExitSharedElementCallback(SharedElementCallback lVar) {
        ensureAnimationInfo();
    }

    public void setExitTransition(Object obj) {
        ensureAnimationInfo().f639h = obj;
    }

    public void setHasOptionsMenu(boolean z) {
        if (this.mHasMenu != z) {
            this.mHasMenu = z;
            if (isAdded() && !isHidden()) {
                FragmentActivity.this.supportInvalidateOptionsMenu();
            }
        }
    }

    public void setHideReplaced(boolean z) {
        ensureAnimationInfo().f649r = z;
    }

    public void setInitialSavedState(C0106g gVar) {
        Bundle bundle;
        if (this.mFragmentManager == null) {
            if (gVar == null || (bundle = gVar.f650b) == null) {
                bundle = null;
            }
            this.mSavedFragmentState = bundle;
            return;
        }
        throw new IllegalStateException("Fragment already added");
    }

    public void setMenuVisibility(boolean z) {
        if (this.mMenuVisible != z) {
            this.mMenuVisible = z;
            if (this.mHasMenu && isAdded() && !isHidden()) {
                FragmentActivity.this.supportInvalidateOptionsMenu();
            }
        }
    }

    public void setNextAnim(int i) {
        if (this.mAnimationInfo != null || i != 0) {
            ensureAnimationInfo().f635d = i;
        }
    }

    public void setNextTransition(int i) {
        if (this.mAnimationInfo != null || i != 0) {
            ensureAnimationInfo();
            this.mAnimationInfo.f636e = i;
        }
    }

    public void setOnStartEnterTransitionListener(C0105f fVar) {
        ensureAnimationInfo();
        C0105f fVar2 = this.mAnimationInfo.f648q;
        if (fVar != fVar2) {
            if (fVar == null || fVar2 == null) {
                C0103d dVar = this.mAnimationInfo;
                if (dVar.f647p) {
                    dVar.f648q = fVar;
                }
                if (fVar != null) {
                    ((FragmentManager.C0477g) fVar).f2867c++;
                    return;
                }
                return;
            }
            throw new IllegalStateException("Trying to set a replacement startPostponedEnterTransition on " + this);
        }
    }

    public void setReenterTransition(Object obj) {
        ensureAnimationInfo().f640i = obj;
    }

    public void setRetainInstance(boolean z) {
        this.mRetainInstance = z;
        FragmentManager oVar = this.mFragmentManager;
        if (oVar == null) {
            this.mRetainInstanceChangedWhileDetached = true;
        } else if (z) {
            oVar.mo3455b(this);
        } else {
            oVar.mo3490p(this);
        }
    }

    public void setReturnTransition(Object obj) {
        ensureAnimationInfo().f638g = obj;
    }

    public void setSharedElementEnterTransition(Object obj) {
        ensureAnimationInfo().f641j = obj;
    }

    public void setSharedElementReturnTransition(Object obj) {
        ensureAnimationInfo().f642k = obj;
    }

    public void setStateAfterAnimating(int i) {
        ensureAnimationInfo().f634c = i;
    }

    public void setTargetFragment(Fragment fragment, int i) {
        FragmentManager oVar = this.mFragmentManager;
        FragmentManager oVar2 = fragment != null ? fragment.mFragmentManager : null;
        if (oVar == null || oVar2 == null || oVar == oVar2) {
            Fragment fragment2 = fragment;
            while (fragment2 != null) {
                if (fragment2 != this) {
                    fragment2 = fragment2.getTargetFragment();
                } else {
                    throw new IllegalArgumentException("Setting " + fragment + " as the target of " + this + " would create a target cycle");
                }
            }
            if (fragment == null) {
                this.mTargetWho = null;
                this.mTarget = null;
            } else if (this.mFragmentManager == null || fragment.mFragmentManager == null) {
                this.mTargetWho = null;
                this.mTarget = fragment;
            } else {
                this.mTargetWho = fragment.mWho;
                this.mTarget = null;
            }
            this.mTargetRequestCode = i;
            return;
        }
        throw new IllegalArgumentException(outline.m2933a("Fragment ", fragment, " must share the same FragmentManager to be set as a target fragment"));
    }

    @Deprecated
    public void setUserVisibleHint(boolean z) {
        if (!this.mUserVisibleHint && z && this.mState < 3 && this.mFragmentManager != null && isAdded() && this.mIsCreated) {
            this.mFragmentManager.mo3488n(this);
        }
        this.mUserVisibleHint = z;
        this.mDeferStart = this.mState < 3 && !z;
        if (this.mSavedFragmentState != null) {
            this.mSavedUserVisibleHint = Boolean.valueOf(z);
        }
    }

    public boolean shouldShowRequestPermissionRationale(String str) {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar != null) {
            return ActivityCompat.m1759a((Activity) FragmentActivity.this, str);
        }
        return false;
    }

    public void startActivity(@SuppressLint({"UnknownNullness"}) Intent intent) {
        startActivity(intent, (Bundle) null);
    }

    public void startActivityForResult(@SuppressLint({"UnknownNullness"}) Intent intent, int i) {
        startActivityForResult(intent, i, (Bundle) null);
    }

    public void startIntentSenderForResult(@SuppressLint({"UnknownNullness"}) IntentSender intentSender, int i, Intent intent, int i2, int i3, int i4, Bundle bundle) throws IntentSender.SendIntentException {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar != null) {
            FragmentActivity.this.startIntentSenderFromFragment(this, intentSender, i, intent, i2, i3, i4, bundle);
            return;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not attached to Activity"));
    }

    public void startPostponedEnterTransition() {
        FragmentManager oVar = this.mFragmentManager;
        if (oVar == null || oVar.f2844n == null) {
            ensureAnimationInfo().f647p = false;
        } else if (Looper.myLooper() != this.mFragmentManager.f2844n.f2821d.getLooper()) {
            this.mFragmentManager.f2844n.f2821d.postAtFrontOfQueue(new C0101b());
        } else {
            callStartTransitionListener();
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(128);
        sb.append(getClass().getSimpleName());
        sb.append("{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        sb.append("}");
        sb.append(" (");
        sb.append(this.mWho);
        sb.append(")");
        if (this.mFragmentId != 0) {
            sb.append(" id=0x");
            sb.append(Integer.toHexString(this.mFragmentId));
        }
        if (this.mTag != null) {
            sb.append(" ");
            sb.append(this.mTag);
        }
        sb.append('}');
        return sb.toString();
    }

    public void unregisterForContextMenu(View view) {
        view.setOnCreateContextMenuListener((View.OnCreateContextMenuListener) null);
    }

    @Deprecated
    public static Fragment instantiate(Context context, String str, Bundle bundle) {
        try {
            Fragment fragment = (Fragment) FragmentFactory.m2220d(context.getClassLoader(), str).getConstructor(new Class[0]).newInstance(new Object[0]);
            if (bundle != null) {
                bundle.setClassLoader(fragment.getClass().getClassLoader());
                fragment.setArguments(bundle);
            }
            return fragment;
        } catch (InstantiationException e) {
            throw new C0104e(outline.m2934a("Unable to instantiate fragment ", str, ": make sure class name exists, is public, and has an empty constructor that is public"), e);
        } catch (IllegalAccessException e2) {
            throw new C0104e(outline.m2934a("Unable to instantiate fragment ", str, ": make sure class name exists, is public, and has an empty constructor that is public"), e2);
        } catch (NoSuchMethodException e3) {
            throw new C0104e(outline.m2934a("Unable to instantiate fragment ", str, ": could not find Fragment constructor"), e3);
        } catch (InvocationTargetException e4) {
            throw new C0104e(outline.m2934a("Unable to instantiate fragment ", str, ": calling Fragment constructor caused an exception"), e4);
        }
    }

    public final String getString(int i, Object... objArr) {
        return getResources().getString(i, objArr);
    }

    public final void postponeEnterTransition(long j, TimeUnit timeUnit) {
        Handler handler;
        ensureAnimationInfo().f647p = true;
        FragmentManager oVar = this.mFragmentManager;
        if (oVar != null) {
            handler = oVar.f2844n.f2821d;
        } else {
            handler = new Handler(Looper.getMainLooper());
        }
        handler.removeCallbacks(this.mPostponedDurationRunnable);
        handler.postDelayed(this.mPostponedDurationRunnable, timeUnit.toMillis(j));
    }

    public void startActivity(@SuppressLint({"UnknownNullness"}) Intent intent, Bundle bundle) {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar != null) {
            FragmentActivity.this.startActivityFromFragment(this, intent, -1, bundle);
            return;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not attached to Activity"));
    }

    public void startActivityForResult(@SuppressLint({"UnknownNullness"}) Intent intent, int i, Bundle bundle) {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar != null) {
            FragmentActivity.this.startActivityFromFragment(this, intent, i, bundle);
            return;
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", this, " not attached to Activity"));
    }

    /* renamed from: androidx.fragment.app.Fragment$c */
    public class C0102c extends FragmentContainer {
        public C0102c() {
        }

        /* renamed from: a */
        public View mo937a(int i) {
            View view = Fragment.this.mView;
            if (view != null) {
                return view.findViewById(i);
            }
            throw new IllegalStateException("Fragment " + this + " does not have a view");
        }

        /* renamed from: a */
        public boolean mo938a() {
            return Fragment.this.mView != null;
        }
    }

    @Deprecated
    public LayoutInflater getLayoutInflater(Bundle bundle) {
        FragmentHostCallback<?> lVar = this.mHost;
        if (lVar != null) {
            FragmentActivity.C0452a aVar = (FragmentActivity.C0452a) lVar;
            LayoutInflater cloneInContext = FragmentActivity.this.getLayoutInflater().cloneInContext(FragmentActivity.this);
            cloneInContext.setFactory2(this.mChildFragmentManager.f2836f);
            return cloneInContext;
        }
        throw new IllegalStateException("onGetLayoutInflater() cannot be executed until the Fragment is attached to the FragmentManager.");
    }

    @Deprecated
    public void onAttach(Activity activity) {
        this.mCalled = true;
    }

    @Deprecated
    public void onInflate(Activity activity, AttributeSet attributeSet, Bundle bundle) {
        this.mCalled = true;
    }

    public Fragment(int i) {
        this();
        this.mContentLayoutId = i;
    }
}
