package androidx.activity;

import android.annotation.SuppressLint;
import java.util.ArrayDeque;
import java.util.Iterator;
import p008b.p009a.Cancellable;
import p008b.p009a.OnBackPressedCallback;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleEventObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;

public final class OnBackPressedDispatcher {

    /* renamed from: a */
    public final Runnable f76a;

    /* renamed from: b */
    public final ArrayDeque<OnBackPressedCallback> f77b = new ArrayDeque<>();

    public class LifecycleOnBackPressedCancellable implements LifecycleEventObserver, Cancellable {

        /* renamed from: a */
        public final Lifecycle f78a;

        /* renamed from: b */
        public final OnBackPressedCallback f79b;

        /* renamed from: c */
        public Cancellable f80c;

        public LifecycleOnBackPressedCancellable(Lifecycle hVar, OnBackPressedCallback bVar) {
            this.f78a = hVar;
            this.f79b = bVar;
            hVar.mo3553a(this);
        }

        /* renamed from: a */
        public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
            if (aVar == Lifecycle.C0488a.ON_START) {
                OnBackPressedDispatcher onBackPressedDispatcher = OnBackPressedDispatcher.this;
                OnBackPressedCallback bVar = this.f79b;
                onBackPressedDispatcher.f77b.add(bVar);
                C0022a aVar2 = new C0022a(bVar);
                bVar.f959b.add(aVar2);
                this.f80c = aVar2;
            } else if (aVar == Lifecycle.C0488a.ON_STOP) {
                Cancellable aVar3 = this.f80c;
                if (aVar3 != null) {
                    aVar3.cancel();
                }
            } else if (aVar == Lifecycle.C0488a.ON_DESTROY) {
                cancel();
            }
        }

        public void cancel() {
            ((LifecycleRegistry) this.f78a).f2953a.remove(this);
            this.f79b.f959b.remove(this);
            Cancellable aVar = this.f80c;
            if (aVar != null) {
                aVar.cancel();
                this.f80c = null;
            }
        }
    }

    /* renamed from: androidx.activity.OnBackPressedDispatcher$a */
    public class C0022a implements Cancellable {

        /* renamed from: a */
        public final OnBackPressedCallback f82a;

        public C0022a(OnBackPressedCallback bVar) {
            this.f82a = bVar;
        }

        public void cancel() {
            OnBackPressedDispatcher.this.f77b.remove(this.f82a);
            this.f82a.f959b.remove(this);
        }
    }

    public OnBackPressedDispatcher(Runnable runnable) {
        this.f76a = runnable;
    }

    @SuppressLint({"LambdaLast"})
    /* renamed from: a */
    public void mo76a(LifecycleOwner lVar, OnBackPressedCallback bVar) {
        Lifecycle lifecycle = lVar.getLifecycle();
        if (((LifecycleRegistry) lifecycle).f2954b != Lifecycle.C0489b.DESTROYED) {
            bVar.f959b.add(new LifecycleOnBackPressedCancellable(lifecycle, bVar));
        }
    }

    /* renamed from: a */
    public void mo75a() {
        Iterator<OnBackPressedCallback> descendingIterator = this.f77b.descendingIterator();
        while (descendingIterator.hasNext()) {
            OnBackPressedCallback next = descendingIterator.next();
            if (next.f958a) {
                next.mo999a();
                return;
            }
        }
        Runnable runnable = this.f76a;
        if (runnable != null) {
            runnable.run();
        }
    }
}
