package androidx.appcompat.app;

import android.content.Context;
import android.content.ContextWrapper;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.View;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Map;
import p008b.p010b.p019p.AppCompatAutoCompleteTextView;
import p008b.p010b.p019p.AppCompatButton;
import p008b.p010b.p019p.AppCompatCheckBox;
import p008b.p010b.p019p.AppCompatRadioButton;
import p008b.p010b.p019p.AppCompatTextView;
import p008b.p026e.ArrayMap;
import p085c.p086a.p087a.p088a.outline;

public class AppCompatViewInflater {

    /* renamed from: b */
    public static final Class<?>[] f156b = {Context.class, AttributeSet.class};

    /* renamed from: c */
    public static final int[] f157c = {16843375};

    /* renamed from: d */
    public static final String[] f158d = {"android.widget.", "android.view.", "android.webkit."};

    /* renamed from: e */
    public static final Map<String, Constructor<? extends View>> f159e = new ArrayMap();

    /* renamed from: a */
    public final Object[] f160a = new Object[2];

    /* renamed from: androidx.appcompat.app.AppCompatViewInflater$a */
    public static class C0027a implements View.OnClickListener {

        /* renamed from: b */
        public final View f161b;

        /* renamed from: c */
        public final String f162c;

        /* renamed from: d */
        public Method f163d;

        /* renamed from: e */
        public Context f164e;

        public C0027a(View view, String str) {
            this.f161b = view;
            this.f162c = str;
        }

        public void onClick(View view) {
            String str;
            Method method;
            if (this.f163d == null) {
                for (Context context = this.f161b.getContext(); context != null; context = context instanceof ContextWrapper ? ((ContextWrapper) context).getBaseContext() : null) {
                    try {
                        if (!context.isRestricted() && (method = context.getClass().getMethod(this.f162c, new Class[]{View.class})) != null) {
                            this.f163d = method;
                            this.f164e = context;
                        }
                    } catch (NoSuchMethodException unused) {
                    }
                }
                int id = this.f161b.getId();
                if (id == -1) {
                    str = "";
                } else {
                    StringBuilder a = outline.m2937a(" with id '");
                    a.append(this.f161b.getContext().getResources().getResourceEntryName(id));
                    a.append("'");
                    str = a.toString();
                }
                StringBuilder a2 = outline.m2937a("Could not find method ");
                a2.append(this.f162c);
                a2.append("(View) in a parent or ancestor Context for android:onClick attribute defined on view ");
                a2.append(this.f161b.getClass());
                a2.append(str);
                throw new IllegalStateException(a2.toString());
            }
            try {
                this.f163d.invoke(this.f164e, new Object[]{view});
            } catch (IllegalAccessException e) {
                throw new IllegalStateException("Could not execute non-public method for android:onClick", e);
            } catch (InvocationTargetException e2) {
                throw new IllegalStateException("Could not execute method for android:onClick", e2);
            }
        }
    }

    /* renamed from: a */
    public AppCompatAutoCompleteTextView mo89a(Context context, AttributeSet attributeSet) {
        return new AppCompatAutoCompleteTextView(context, attributeSet);
    }

    /* renamed from: b */
    public AppCompatButton mo91b(Context context, AttributeSet attributeSet) {
        return new AppCompatButton(context, attributeSet);
    }

    /* renamed from: c */
    public AppCompatCheckBox mo92c(Context context, AttributeSet attributeSet) {
        return new AppCompatCheckBox(context, attributeSet);
    }

    /* renamed from: d */
    public AppCompatRadioButton mo93d(Context context, AttributeSet attributeSet) {
        return new AppCompatRadioButton(context, attributeSet);
    }

    /* renamed from: e */
    public AppCompatTextView mo94e(Context context, AttributeSet attributeSet) {
        return new AppCompatTextView(context, attributeSet);
    }

    /* renamed from: a */
    public final void mo90a(View view, String str) {
        if (view == null) {
            throw new IllegalStateException(getClass().getName() + " asked to inflate view for <" + str + ">, but returned null");
        }
    }

    /* renamed from: a */
    public final View mo88a(Context context, String str, String str2) throws ClassNotFoundException, InflateException {
        String str3;
        Constructor<? extends U> constructor = f159e.get(str);
        if (constructor == null) {
            if (str2 != null) {
                try {
                    str3 = str2 + str;
                } catch (Exception unused) {
                    return null;
                }
            } else {
                str3 = str;
            }
            constructor = Class.forName(str3, false, context.getClassLoader()).asSubclass(View.class).getConstructor(f156b);
            f159e.put(str, constructor);
        }
        constructor.setAccessible(true);
        return (View) constructor.newInstance(this.f160a);
    }
}
