package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import androidx.appcompat.widget.ActionMenuView;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.C0190j;
import p008b.p010b.p017o.p018i.MenuBuilder;
import p008b.p010b.p017o.p018i.MenuItemImpl;
import p008b.p010b.p017o.p018i.MenuView;
import p008b.p010b.p017o.p018i.ShowableListMenu;
import p008b.p010b.p019p.ActionMenuPresenter;
import p008b.p010b.p019p.AppCompatTextView;
import p008b.p010b.p019p.ForwardingListener;

public class ActionMenuItemView extends AppCompatTextView implements MenuView.C0265a, View.OnClickListener, ActionMenuView.C0036a {

    /* renamed from: f */
    public MenuItemImpl f165f;

    /* renamed from: g */
    public CharSequence f166g;

    /* renamed from: h */
    public Drawable f167h;

    /* renamed from: i */
    public MenuBuilder.C0256b f168i;

    /* renamed from: j */
    public ForwardingListener f169j;

    /* renamed from: k */
    public C0029b f170k;

    /* renamed from: l */
    public boolean f171l;

    /* renamed from: m */
    public boolean f172m;

    /* renamed from: n */
    public int f173n;

    /* renamed from: o */
    public int f174o;

    /* renamed from: p */
    public int f175p;

    /* renamed from: androidx.appcompat.view.menu.ActionMenuItemView$a */
    public class C0028a extends ForwardingListener {
        public C0028a() {
            super(ActionMenuItemView.this);
        }

        /* renamed from: b */
        public ShowableListMenu mo117b() {
            ActionMenuPresenter.C0271a aVar;
            C0029b bVar = ActionMenuItemView.this.f170k;
            if (bVar == null || (aVar = ActionMenuPresenter.this.f1545v) == null) {
                return null;
            }
            return aVar.mo2102a();
        }

        /* renamed from: c */
        public boolean mo118c() {
            ShowableListMenu b;
            ActionMenuItemView actionMenuItemView = ActionMenuItemView.this;
            MenuBuilder.C0256b bVar = actionMenuItemView.f168i;
            if (bVar == null || !bVar.mo120a(actionMenuItemView.f165f) || (b = mo117b()) == null || !b.mo1912b()) {
                return false;
            }
            return true;
        }
    }

    /* renamed from: androidx.appcompat.view.menu.ActionMenuItemView$b */
    public static abstract class C0029b {
    }

    public ActionMenuItemView(Context context) {
        this(context, (AttributeSet) null);
    }

    /* renamed from: a */
    public void mo96a(MenuItemImpl iVar, int i) {
        CharSequence charSequence;
        this.f165f = iVar;
        setIcon(iVar.getIcon());
        if (mo99c()) {
            charSequence = iVar.getTitleCondensed();
        } else {
            charSequence = iVar.f1413e;
        }
        setTitle(charSequence);
        setId(iVar.f1409a);
        setVisibility(iVar.isVisible() ? 0 : 8);
        setEnabled(iVar.isEnabled());
        if (iVar.hasSubMenu() && this.f169j == null) {
            this.f169j = new C0028a();
        }
    }

    /* renamed from: b */
    public boolean mo98b() {
        return mo100d() && this.f165f.getIcon() == null;
    }

    /* renamed from: c */
    public boolean mo99c() {
        return true;
    }

    /* renamed from: d */
    public boolean mo100d() {
        return !TextUtils.isEmpty(getText());
    }

    /* renamed from: e */
    public final boolean mo101e() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i = configuration.screenWidthDp;
        return i >= 480 || (i >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    /* renamed from: f */
    public final void mo102f() {
        CharSequence charSequence;
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.f166g);
        if (this.f167h != null) {
            if (!((this.f165f.f1433y & 4) == 4) || (!this.f171l && !this.f172m)) {
                z = false;
            }
        }
        boolean z3 = z2 & z;
        CharSequence charSequence2 = null;
        setText(z3 ? this.f166g : null);
        CharSequence charSequence3 = this.f165f.f1425q;
        if (TextUtils.isEmpty(charSequence3)) {
            if (z3) {
                charSequence = null;
            } else {
                charSequence = this.f165f.f1413e;
            }
            setContentDescription(charSequence);
        } else {
            setContentDescription(charSequence3);
        }
        CharSequence charSequence4 = this.f165f.f1426r;
        if (TextUtils.isEmpty(charSequence4)) {
            if (!z3) {
                charSequence2 = this.f165f.f1413e;
            }
            MediaDescriptionCompatApi21.m56a((View) this, charSequence2);
            return;
        }
        MediaDescriptionCompatApi21.m56a((View) this, charSequence4);
    }

    public MenuItemImpl getItemData() {
        return this.f165f;
    }

    public void onClick(View view) {
        MenuBuilder.C0256b bVar = this.f168i;
        if (bVar != null) {
            bVar.mo120a(this.f165f);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f171l = mo101e();
        mo102f();
    }

    public void onMeasure(int i, int i2) {
        int i3;
        boolean d = mo100d();
        if (d && (i3 = this.f174o) >= 0) {
            super.setPadding(i3, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i, i2);
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        int measuredWidth = getMeasuredWidth();
        int min = mode == Integer.MIN_VALUE ? Math.min(size, this.f173n) : this.f173n;
        if (mode != 1073741824 && this.f173n > 0 && measuredWidth < min) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(min, 1073741824), i2);
        }
        if (!d && this.f167h != null) {
            super.setPadding((getMeasuredWidth() - this.f167h.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState((Parcelable) null);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        ForwardingListener h0Var;
        if (!this.f165f.hasSubMenu() || (h0Var = this.f169j) == null || !h0Var.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public void setCheckable(boolean z) {
    }

    public void setChecked(boolean z) {
    }

    public void setExpandedFormat(boolean z) {
        if (this.f172m != z) {
            this.f172m = z;
            MenuItemImpl iVar = this.f165f;
            if (iVar != null) {
                iVar.f1422n.mo1978h();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f167h = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i = this.f175p;
            if (intrinsicWidth > i) {
                intrinsicHeight = (int) (((float) intrinsicHeight) * (((float) i) / ((float) intrinsicWidth)));
                intrinsicWidth = i;
            }
            int i2 = this.f175p;
            if (intrinsicHeight > i2) {
                intrinsicWidth = (int) (((float) intrinsicWidth) * (((float) i2) / ((float) intrinsicHeight)));
                intrinsicHeight = i2;
            }
            drawable.setBounds(0, 0, intrinsicWidth, intrinsicHeight);
        }
        setCompoundDrawables(drawable, (Drawable) null, (Drawable) null, (Drawable) null);
        mo102f();
    }

    public void setItemInvoker(MenuBuilder.C0256b bVar) {
        this.f168i = bVar;
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        this.f174o = i;
        super.setPadding(i, i2, i3, i4);
    }

    public void setPopupCallback(C0029b bVar) {
        this.f170k = bVar;
    }

    public void setTitle(CharSequence charSequence) {
        this.f166g = charSequence;
        mo102f();
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Resources resources = context.getResources();
        this.f171l = mo101e();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0190j.ActionMenuItemView, i, 0);
        this.f173n = obtainStyledAttributes.getDimensionPixelSize(C0190j.ActionMenuItemView_android_minWidth, 0);
        obtainStyledAttributes.recycle();
        this.f175p = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.f174o = -1;
        setSaveEnabled(false);
    }

    /* renamed from: a */
    public boolean mo97a() {
        return mo100d();
    }
}
