package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import p008b.p010b.p012l.p013a.AppCompatResources;
import p008b.p010b.p017o.p018i.MenuBuilder;
import p008b.p010b.p017o.p018i.MenuItemImpl;
import p008b.p010b.p017o.p018i.MenuPresenter;
import p008b.p010b.p017o.p018i.MenuView;

public final class ExpandedMenuView extends ListView implements MenuBuilder.C0256b, MenuView, AdapterView.OnItemClickListener {

    /* renamed from: c */
    public static final int[] f177c = {16842964, 16843049};

    /* renamed from: b */
    public MenuBuilder f178b;

    public ExpandedMenuView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842868);
    }

    /* renamed from: a */
    public void mo119a(MenuBuilder gVar) {
        this.f178b = gVar;
    }

    public int getWindowAnimations() {
        return 0;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        setChildrenDrawingCacheEnabled(false);
    }

    public void onItemClick(AdapterView adapterView, View view, int i, long j) {
        mo120a((MenuItemImpl) getAdapter().getItem(i));
    }

    public ExpandedMenuView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        Drawable drawable;
        int resourceId;
        Drawable drawable2;
        int resourceId2;
        setOnItemClickListener(this);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f177c, i, 0);
        if (obtainStyledAttributes.hasValue(0)) {
            if (!obtainStyledAttributes.hasValue(0) || (resourceId2 = obtainStyledAttributes.getResourceId(0, 0)) == 0) {
                drawable2 = obtainStyledAttributes.getDrawable(0);
            } else {
                drawable2 = AppCompatResources.m982c(context, resourceId2);
            }
            setBackgroundDrawable(drawable2);
        }
        if (obtainStyledAttributes.hasValue(1)) {
            if (!obtainStyledAttributes.hasValue(1) || (resourceId = obtainStyledAttributes.getResourceId(1, 0)) == 0) {
                drawable = obtainStyledAttributes.getDrawable(1);
            } else {
                drawable = AppCompatResources.m982c(context, resourceId);
            }
            setDivider(drawable);
        }
        obtainStyledAttributes.recycle();
    }

    /* renamed from: a */
    public boolean mo120a(MenuItemImpl iVar) {
        return this.f178b.mo1952a((MenuItem) iVar, (MenuPresenter) null, 0);
    }
}
