package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import p008b.p010b.C0181a;
import p008b.p010b.C0186f;
import p008b.p010b.C0187g;
import p008b.p010b.C0188h;
import p008b.p010b.C0190j;
import p008b.p010b.p017o.p018i.MenuItemImpl;
import p008b.p010b.p017o.p018i.MenuView;
import p008b.p010b.p019p.TintTypedArray;
import p008b.p033h.p045m.ViewCompat;
import p262g.AsyncTimeout;

public class ListMenuItemView extends LinearLayout implements MenuView.C0265a, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: b */
    public MenuItemImpl f179b;

    /* renamed from: c */
    public ImageView f180c;

    /* renamed from: d */
    public RadioButton f181d;

    /* renamed from: e */
    public TextView f182e;

    /* renamed from: f */
    public CheckBox f183f;

    /* renamed from: g */
    public TextView f184g;

    /* renamed from: h */
    public ImageView f185h;

    /* renamed from: i */
    public ImageView f186i;

    /* renamed from: j */
    public LinearLayout f187j;

    /* renamed from: k */
    public Drawable f188k;

    /* renamed from: l */
    public int f189l;

    /* renamed from: m */
    public Context f190m;

    /* renamed from: n */
    public boolean f191n;

    /* renamed from: o */
    public Drawable f192o;

    /* renamed from: p */
    public boolean f193p;

    /* renamed from: q */
    public LayoutInflater f194q;

    /* renamed from: r */
    public boolean f195r;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0181a.listMenuViewStyle);
    }

    private LayoutInflater getInflater() {
        if (this.f194q == null) {
            this.f194q = LayoutInflater.from(getContext());
        }
        return this.f194q;
    }

    private void setSubMenuArrowVisible(boolean z) {
        ImageView imageView = this.f185h;
        if (imageView != null) {
            imageView.setVisibility(z ? 0 : 8);
        }
    }

    /* renamed from: a */
    public void mo96a(MenuItemImpl iVar, int i) {
        CharSequence charSequence;
        String str;
        this.f179b = iVar;
        int i2 = 0;
        setVisibility(iVar.isVisible() ? 0 : 8);
        if (mo99c()) {
            charSequence = iVar.getTitleCondensed();
        } else {
            charSequence = iVar.f1413e;
        }
        setTitle(charSequence);
        setCheckable(iVar.isCheckable());
        boolean f = iVar.mo2004f();
        iVar.mo1998b();
        if (!f || !this.f179b.mo2004f()) {
            i2 = 8;
        }
        if (i2 == 0) {
            TextView textView = this.f184g;
            MenuItemImpl iVar2 = this.f179b;
            char b = iVar2.mo1998b();
            if (b == 0) {
                str = "";
            } else {
                Resources resources = iVar2.f1422n.f1377a.getResources();
                StringBuilder sb = new StringBuilder();
                if (ViewConfiguration.get(iVar2.f1422n.f1377a).hasPermanentMenuKey()) {
                    sb.append(resources.getString(C0188h.abc_prepend_shortcut_label));
                }
                int i3 = iVar2.f1422n.mo1974f() ? iVar2.f1419k : iVar2.f1417i;
                MenuItemImpl.m1148a(sb, i3, AsyncTimeout.TIMEOUT_WRITE_SIZE, resources.getString(C0188h.abc_menu_meta_shortcut_label));
                MenuItemImpl.m1148a(sb, i3, 4096, resources.getString(C0188h.abc_menu_ctrl_shortcut_label));
                MenuItemImpl.m1148a(sb, i3, 2, resources.getString(C0188h.abc_menu_alt_shortcut_label));
                MenuItemImpl.m1148a(sb, i3, 1, resources.getString(C0188h.abc_menu_shift_shortcut_label));
                MenuItemImpl.m1148a(sb, i3, 4, resources.getString(C0188h.abc_menu_sym_shortcut_label));
                MenuItemImpl.m1148a(sb, i3, 8, resources.getString(C0188h.abc_menu_function_shortcut_label));
                if (b == 8) {
                    sb.append(resources.getString(C0188h.abc_menu_delete_shortcut_label));
                } else if (b == 10) {
                    sb.append(resources.getString(C0188h.abc_menu_enter_shortcut_label));
                } else if (b != ' ') {
                    sb.append(b);
                } else {
                    sb.append(resources.getString(C0188h.abc_menu_space_shortcut_label));
                }
                str = sb.toString();
            }
            textView.setText(str);
        }
        if (this.f184g.getVisibility() != i2) {
            this.f184g.setVisibility(i2);
        }
        setIcon(iVar.getIcon());
        setEnabled(iVar.isEnabled());
        setSubMenuArrowVisible(iVar.hasSubMenu());
        setContentDescription(iVar.f1425q);
    }

    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.f186i;
        if (imageView != null && imageView.getVisibility() == 0) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f186i.getLayoutParams();
            rect.top = this.f186i.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin + rect.top;
        }
    }

    /* renamed from: b */
    public final void mo126b() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(C0187g.abc_list_menu_item_radio, this, false);
        this.f181d = radioButton;
        LinearLayout linearLayout = this.f187j;
        if (linearLayout != null) {
            linearLayout.addView(radioButton, -1);
        } else {
            addView(radioButton, -1);
        }
    }

    /* renamed from: c */
    public boolean mo99c() {
        return false;
    }

    public MenuItemImpl getItemData() {
        return this.f179b;
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        ViewCompat.m1937a((View) this, this.f188k);
        TextView textView = (TextView) findViewById(C0186f.title);
        this.f182e = textView;
        int i = this.f189l;
        if (i != -1) {
            textView.setTextAppearance(this.f190m, i);
        }
        this.f184g = (TextView) findViewById(C0186f.shortcut);
        ImageView imageView = (ImageView) findViewById(C0186f.submenuarrow);
        this.f185h = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.f192o);
        }
        this.f186i = (ImageView) findViewById(C0186f.group_divider);
        this.f187j = (LinearLayout) findViewById(C0186f.content);
    }

    public void onMeasure(int i, int i2) {
        if (this.f180c != null && this.f191n) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f180c.getLayoutParams();
            int i3 = layoutParams.height;
            if (i3 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i3;
            }
        }
        super.onMeasure(i, i2);
    }

    public void setCheckable(boolean z) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (z || this.f181d != null || this.f183f != null) {
            if (this.f179b.mo2003e()) {
                if (this.f181d == null) {
                    mo126b();
                }
                compoundButton2 = this.f181d;
                compoundButton = this.f183f;
            } else {
                if (this.f183f == null) {
                    mo124a();
                }
                compoundButton2 = this.f183f;
                compoundButton = this.f181d;
            }
            if (z) {
                compoundButton2.setChecked(this.f179b.isChecked());
                if (compoundButton2.getVisibility() != 0) {
                    compoundButton2.setVisibility(0);
                }
                if (compoundButton != null && compoundButton.getVisibility() != 8) {
                    compoundButton.setVisibility(8);
                    return;
                }
                return;
            }
            CheckBox checkBox = this.f183f;
            if (checkBox != null) {
                checkBox.setVisibility(8);
            }
            RadioButton radioButton = this.f181d;
            if (radioButton != null) {
                radioButton.setVisibility(8);
            }
        }
    }

    public void setChecked(boolean z) {
        CompoundButton compoundButton;
        if (this.f179b.mo2003e()) {
            if (this.f181d == null) {
                mo126b();
            }
            compoundButton = this.f181d;
        } else {
            if (this.f183f == null) {
                mo124a();
            }
            compoundButton = this.f183f;
        }
        compoundButton.setChecked(z);
    }

    public void setForceShowIcon(boolean z) {
        this.f195r = z;
        this.f191n = z;
    }

    public void setGroupDividerEnabled(boolean z) {
        ImageView imageView = this.f186i;
        if (imageView != null) {
            imageView.setVisibility((this.f193p || !z) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z = this.f179b.f1422n.f1395s || this.f195r;
        if (!z && !this.f191n) {
            return;
        }
        if (this.f180c != null || drawable != null || this.f191n) {
            if (this.f180c == null) {
                ImageView imageView = (ImageView) getInflater().inflate(C0187g.abc_list_menu_item_icon, this, false);
                this.f180c = imageView;
                LinearLayout linearLayout = this.f187j;
                if (linearLayout != null) {
                    linearLayout.addView(imageView, 0);
                } else {
                    addView(imageView, 0);
                }
            }
            if (drawable != null || this.f191n) {
                ImageView imageView2 = this.f180c;
                if (!z) {
                    drawable = null;
                }
                imageView2.setImageDrawable(drawable);
                if (this.f180c.getVisibility() != 0) {
                    this.f180c.setVisibility(0);
                    return;
                }
                return;
            }
            this.f180c.setVisibility(8);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (charSequence != null) {
            this.f182e.setText(charSequence);
            if (this.f182e.getVisibility() != 0) {
                this.f182e.setVisibility(0);
            }
        } else if (this.f182e.getVisibility() != 8) {
            this.f182e.setVisibility(8);
        }
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        TintTypedArray a = TintTypedArray.m1445a(getContext(), attributeSet, C0190j.MenuView, i, 0);
        this.f188k = a.mo2569b(C0190j.MenuView_android_itemBackground);
        this.f189l = a.mo2576f(C0190j.MenuView_android_itemTextAppearance, -1);
        this.f191n = a.mo2567a(C0190j.MenuView_preserveIconSpacing, false);
        this.f190m = context;
        this.f192o = a.mo2569b(C0190j.MenuView_subMenuArrow);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes((AttributeSet) null, new int[]{16843049}, C0181a.dropDownListViewStyle, 0);
        this.f193p = obtainStyledAttributes.hasValue(0);
        a.f1794b.recycle();
        obtainStyledAttributes.recycle();
    }

    /* renamed from: a */
    public final void mo124a() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(C0187g.abc_list_menu_item_checkbox, this, false);
        this.f183f = checkBox;
        LinearLayout linearLayout = this.f187j;
        if (linearLayout != null) {
            linearLayout.addView(checkBox, -1);
        } else {
            addView(checkBox, -1);
        }
    }
}
