package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.recyclerview.widget.RecyclerView;
import okhttp3.internal.http1.Http1ExchangeCodec;
import p008b.p010b.C0186f;
import p008b.p010b.C0190j;
import p008b.p010b.p019p.ActionBarBackgroundDrawable;
import p008b.p010b.p019p.ScrollingTabContainerView;
import p008b.p033h.p045m.ViewCompat;

public class ActionBarContainer extends FrameLayout {

    /* renamed from: b */
    public boolean f196b;

    /* renamed from: c */
    public View f197c;

    /* renamed from: d */
    public View f198d;

    /* renamed from: e */
    public View f199e;

    /* renamed from: f */
    public Drawable f200f;

    /* renamed from: g */
    public Drawable f201g;

    /* renamed from: h */
    public Drawable f202h;

    /* renamed from: i */
    public boolean f203i;

    /* renamed from: j */
    public boolean f204j;

    /* renamed from: k */
    public int f205k;

    public ActionBarContainer(Context context) {
        this(context, (AttributeSet) null);
    }

    /* renamed from: a */
    public final int mo135a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    /* renamed from: b */
    public final boolean mo136b(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f200f;
        if (drawable != null && drawable.isStateful()) {
            this.f200f.setState(getDrawableState());
        }
        Drawable drawable2 = this.f201g;
        if (drawable2 != null && drawable2.isStateful()) {
            this.f201g.setState(getDrawableState());
        }
        Drawable drawable3 = this.f202h;
        if (drawable3 != null && drawable3.isStateful()) {
            this.f202h.setState(getDrawableState());
        }
    }

    public View getTabContainer() {
        return this.f197c;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f200f;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.f201g;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.f202h;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.f198d = findViewById(C0186f.action_bar);
        this.f199e = findViewById(C0186f.action_context_bar);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f196b || super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        Drawable drawable;
        super.onLayout(z, i, i2, i3, i4);
        View view = this.f197c;
        boolean z2 = true;
        boolean z3 = false;
        boolean z4 = (view == null || view.getVisibility() == 8) ? false : true;
        if (!(view == null || view.getVisibility() == 8)) {
            int measuredHeight = getMeasuredHeight();
            int i5 = ((FrameLayout.LayoutParams) view.getLayoutParams()).bottomMargin;
            view.layout(i, (measuredHeight - view.getMeasuredHeight()) - i5, i3, measuredHeight - i5);
        }
        if (this.f203i) {
            Drawable drawable2 = this.f202h;
            if (drawable2 != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z2 = false;
            }
        } else {
            if (this.f200f != null) {
                if (this.f198d.getVisibility() == 0) {
                    this.f200f.setBounds(this.f198d.getLeft(), this.f198d.getTop(), this.f198d.getRight(), this.f198d.getBottom());
                } else {
                    View view2 = this.f199e;
                    if (view2 == null || view2.getVisibility() != 0) {
                        this.f200f.setBounds(0, 0, 0, 0);
                    } else {
                        this.f200f.setBounds(this.f199e.getLeft(), this.f199e.getTop(), this.f199e.getRight(), this.f199e.getBottom());
                    }
                }
                z3 = true;
            }
            this.f204j = z4;
            if (!z4 || (drawable = this.f201g) == null) {
                z2 = z3;
            } else {
                drawable.setBounds(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
        }
        if (z2) {
            invalidate();
        }
    }

    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        if (this.f198d == null && View.MeasureSpec.getMode(i2) == Integer.MIN_VALUE && (i4 = this.f205k) >= 0) {
            i2 = View.MeasureSpec.makeMeasureSpec(Math.min(i4, View.MeasureSpec.getSize(i2)), RecyclerView.UNDEFINED_DURATION);
        }
        super.onMeasure(i, i2);
        if (this.f198d != null) {
            int mode = View.MeasureSpec.getMode(i2);
            View view = this.f197c;
            if (view != null && view.getVisibility() != 8 && mode != 1073741824) {
                if (!mo136b(this.f198d)) {
                    i3 = mo135a(this.f198d);
                } else {
                    i3 = !mo136b(this.f199e) ? mo135a(this.f199e) : 0;
                }
                setMeasuredDimension(getMeasuredWidth(), Math.min(mo135a(this.f197c) + i3, mode == Integer.MIN_VALUE ? View.MeasureSpec.getSize(i2) : Integer.MAX_VALUE));
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.f200f;
        if (drawable2 != null) {
            drawable2.setCallback((Drawable.Callback) null);
            unscheduleDrawable(this.f200f);
        }
        this.f200f = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.f198d;
            if (view != null) {
                this.f200f.setBounds(view.getLeft(), this.f198d.getTop(), this.f198d.getRight(), this.f198d.getBottom());
            }
        }
        boolean z = true;
        if (!this.f203i ? !(this.f200f == null && this.f201g == null) : this.f202h != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
        invalidateOutline();
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f202h;
        if (drawable3 != null) {
            drawable3.setCallback((Drawable.Callback) null);
            unscheduleDrawable(this.f202h);
        }
        this.f202h = drawable;
        boolean z = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f203i && (drawable2 = this.f202h) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.f203i ? this.f200f == null && this.f201g == null : this.f202h == null) {
            z = true;
        }
        setWillNotDraw(z);
        invalidate();
        invalidateOutline();
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f201g;
        if (drawable3 != null) {
            drawable3.setCallback((Drawable.Callback) null);
            unscheduleDrawable(this.f201g);
        }
        this.f201g = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f204j && (drawable2 = this.f201g) != null) {
                drawable2.setBounds(this.f197c.getLeft(), this.f197c.getTop(), this.f197c.getRight(), this.f197c.getBottom());
            }
        }
        boolean z = true;
        if (!this.f203i ? !(this.f200f == null && this.f201g == null) : this.f202h != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
        invalidateOutline();
    }

    public void setTabContainer(ScrollingTabContainerView q0Var) {
        View view = this.f197c;
        if (view != null) {
            removeView(view);
        }
        this.f197c = q0Var;
        if (q0Var != null) {
            addView(q0Var);
            ViewGroup.LayoutParams layoutParams = q0Var.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            q0Var.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z) {
        this.f196b = z;
        setDescendantFocusability(z ? 393216 : Http1ExchangeCodec.HEADER_LIMIT);
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.f200f;
        if (drawable != null) {
            drawable.setVisible(z, false);
        }
        Drawable drawable2 = this.f201g;
        if (drawable2 != null) {
            drawable2.setVisible(z, false);
        }
        Drawable drawable3 = this.f202h;
        if (drawable3 != null) {
            drawable3.setVisible(z, false);
        }
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i) {
        if (i != 0) {
            return super.startActionModeForChild(view, callback, i);
        }
        return null;
    }

    public boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f200f && !this.f203i) || (drawable == this.f201g && this.f204j) || ((drawable == this.f202h && this.f203i) || super.verifyDrawable(drawable));
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        ViewCompat.m1937a((View) this, (Drawable) new ActionBarBackgroundDrawable(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0190j.ActionBar);
        this.f200f = obtainStyledAttributes.getDrawable(C0190j.ActionBar_background);
        this.f201g = obtainStyledAttributes.getDrawable(C0190j.ActionBar_backgroundStacked);
        this.f205k = obtainStyledAttributes.getDimensionPixelSize(C0190j.ActionBar_height, -1);
        boolean z = true;
        if (getId() == C0186f.split_action_bar) {
            this.f203i = true;
            this.f202h = obtainStyledAttributes.getDrawable(C0190j.ActionBar_backgroundSplit);
        }
        obtainStyledAttributes.recycle();
        if (!this.f203i ? !(this.f200f == null && this.f201g == null) : this.f202h != null) {
            z = false;
        }
        setWillNotDraw(z);
    }
}
