package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import p008b.p010b.C0181a;
import p008b.p010b.C0186f;
import p008b.p010b.C0187g;
import p008b.p010b.C0190j;
import p008b.p010b.p012l.p013a.AppCompatResources;
import p008b.p010b.p017o.ActionMode;
import p008b.p010b.p017o.p018i.MenuBuilder;
import p008b.p010b.p017o.p018i.MenuPresenter;
import p008b.p010b.p017o.p018i.MenuView;
import p008b.p010b.p019p.AbsActionBarView;
import p008b.p010b.p019p.ActionMenuPresenter;
import p008b.p010b.p019p.ViewUtils;
import p008b.p033h.p045m.ViewCompat;

public class ActionBarContextView extends AbsActionBarView {

    /* renamed from: j */
    public CharSequence f206j;

    /* renamed from: k */
    public CharSequence f207k;

    /* renamed from: l */
    public View f208l;

    /* renamed from: m */
    public View f209m;

    /* renamed from: n */
    public LinearLayout f210n;

    /* renamed from: o */
    public TextView f211o;

    /* renamed from: p */
    public TextView f212p;

    /* renamed from: q */
    public int f213q;

    /* renamed from: r */
    public int f214r;

    /* renamed from: s */
    public boolean f215s;

    /* renamed from: t */
    public int f216t;

    /* renamed from: androidx.appcompat.widget.ActionBarContextView$a */
    public class C0030a implements View.OnClickListener {

        /* renamed from: b */
        public final /* synthetic */ ActionMode f217b;

        public C0030a(ActionBarContextView actionBarContextView, ActionMode aVar) {
            this.f217b = aVar;
        }

        public void onClick(View view) {
            this.f217b.mo1679a();
        }
    }

    public ActionBarContextView(Context context) {
        this(context, (AttributeSet) null);
    }

    /* renamed from: a */
    public final void mo155a() {
        if (this.f210n == null) {
            LayoutInflater.from(getContext()).inflate(C0187g.abc_action_bar_title_item, this);
            LinearLayout linearLayout = (LinearLayout) getChildAt(getChildCount() - 1);
            this.f210n = linearLayout;
            this.f211o = (TextView) linearLayout.findViewById(C0186f.action_bar_title);
            this.f212p = (TextView) this.f210n.findViewById(C0186f.action_bar_subtitle);
            if (this.f213q != 0) {
                this.f211o.setTextAppearance(getContext(), this.f213q);
            }
            if (this.f214r != 0) {
                this.f212p.setTextAppearance(getContext(), this.f214r);
            }
        }
        this.f211o.setText(this.f206j);
        this.f212p.setText(this.f207k);
        boolean z = !TextUtils.isEmpty(this.f206j);
        boolean z2 = !TextUtils.isEmpty(this.f207k);
        int i = 0;
        this.f212p.setVisibility(z2 ? 0 : 8);
        LinearLayout linearLayout2 = this.f210n;
        if (!z && !z2) {
            i = 8;
        }
        linearLayout2.setVisibility(i);
        if (this.f210n.getParent() == null) {
            addView(this.f210n);
        }
    }

    /* renamed from: b */
    public void mo157b() {
        removeAllViews();
        this.f209m = null;
        this.f1489d = null;
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new ViewGroup.MarginLayoutParams(-1, -2);
    }

    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new ViewGroup.MarginLayoutParams(getContext(), attributeSet);
    }

    public /* bridge */ /* synthetic */ int getAnimatedVisibility() {
        return super.getAnimatedVisibility();
    }

    public /* bridge */ /* synthetic */ int getContentHeight() {
        return super.getContentHeight();
    }

    public CharSequence getSubtitle() {
        return this.f207k;
    }

    public CharSequence getTitle() {
        return this.f206j;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ActionMenuPresenter cVar = this.f1490e;
        if (cVar != null) {
            cVar.mo2186b();
            this.f1490e.mo2187d();
        }
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        if (accessibilityEvent.getEventType() == 32) {
            accessibilityEvent.setSource(this);
            accessibilityEvent.setClassName(ActionBarContextView.class.getName());
            accessibilityEvent.setPackageName(getContext().getPackageName());
            accessibilityEvent.setContentDescription(this.f206j);
            return;
        }
        super.onInitializeAccessibilityEvent(accessibilityEvent);
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        boolean a = ViewUtils.m1304a(this);
        int paddingRight = a ? (i3 - i) - getPaddingRight() : getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingTop2 = ((i4 - i2) - getPaddingTop()) - getPaddingBottom();
        View view = this.f208l;
        if (!(view == null || view.getVisibility() == 8)) {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.f208l.getLayoutParams();
            int i5 = a ? marginLayoutParams.rightMargin : marginLayoutParams.leftMargin;
            int i6 = a ? marginLayoutParams.leftMargin : marginLayoutParams.rightMargin;
            int i7 = a ? paddingRight - i5 : paddingRight + i5;
            int a2 = i7 + mo2156a(this.f208l, i7, paddingTop, paddingTop2, a);
            paddingRight = a ? a2 - i6 : a2 + i6;
        }
        int i8 = paddingRight;
        LinearLayout linearLayout = this.f210n;
        if (!(linearLayout == null || this.f209m != null || linearLayout.getVisibility() == 8)) {
            i8 += mo2156a(this.f210n, i8, paddingTop, paddingTop2, a);
        }
        int i9 = i8;
        View view2 = this.f209m;
        if (view2 != null) {
            mo2156a(view2, i9, paddingTop, paddingTop2, a);
        }
        int paddingLeft = a ? getPaddingLeft() : (i3 - i) - getPaddingRight();
        ActionMenuView actionMenuView = this.f1489d;
        if (actionMenuView != null) {
            mo2156a(actionMenuView, paddingLeft, paddingTop, paddingTop2, !a);
        }
    }

    public void onMeasure(int i, int i2) {
        int i3 = 1073741824;
        if (View.MeasureSpec.getMode(i) != 1073741824) {
            throw new IllegalStateException(ActionBarContextView.class.getSimpleName() + " can only be used with android:layout_width=\"match_parent\" (or fill_parent)");
        } else if (View.MeasureSpec.getMode(i2) != 0) {
            int size = View.MeasureSpec.getSize(i);
            int i4 = this.f1491f;
            if (i4 <= 0) {
                i4 = View.MeasureSpec.getSize(i2);
            }
            int paddingBottom = getPaddingBottom() + getPaddingTop();
            int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
            int i5 = i4 - paddingBottom;
            int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i5, RecyclerView.UNDEFINED_DURATION);
            View view = this.f208l;
            if (view != null) {
                int a = mo2155a(view, paddingLeft, makeMeasureSpec, 0);
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.f208l.getLayoutParams();
                paddingLeft = a - (marginLayoutParams.leftMargin + marginLayoutParams.rightMargin);
            }
            ActionMenuView actionMenuView = this.f1489d;
            if (actionMenuView != null && actionMenuView.getParent() == this) {
                paddingLeft = mo2155a(this.f1489d, paddingLeft, makeMeasureSpec, 0);
            }
            LinearLayout linearLayout = this.f210n;
            if (linearLayout != null && this.f209m == null) {
                if (this.f215s) {
                    this.f210n.measure(View.MeasureSpec.makeMeasureSpec(0, 0), makeMeasureSpec);
                    int measuredWidth = this.f210n.getMeasuredWidth();
                    boolean z = measuredWidth <= paddingLeft;
                    if (z) {
                        paddingLeft -= measuredWidth;
                    }
                    this.f210n.setVisibility(z ? 0 : 8);
                } else {
                    paddingLeft = mo2155a(linearLayout, paddingLeft, makeMeasureSpec, 0);
                }
            }
            View view2 = this.f209m;
            if (view2 != null) {
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                int i6 = layoutParams.width != -2 ? 1073741824 : RecyclerView.UNDEFINED_DURATION;
                int i7 = layoutParams.width;
                if (i7 >= 0) {
                    paddingLeft = Math.min(i7, paddingLeft);
                }
                if (layoutParams.height == -2) {
                    i3 = RecyclerView.UNDEFINED_DURATION;
                }
                int i8 = layoutParams.height;
                if (i8 >= 0) {
                    i5 = Math.min(i8, i5);
                }
                this.f209m.measure(View.MeasureSpec.makeMeasureSpec(paddingLeft, i6), View.MeasureSpec.makeMeasureSpec(i5, i3));
            }
            if (this.f1491f <= 0) {
                int childCount = getChildCount();
                int i9 = 0;
                for (int i10 = 0; i10 < childCount; i10++) {
                    int measuredHeight = getChildAt(i10).getMeasuredHeight() + paddingBottom;
                    if (measuredHeight > i9) {
                        i9 = measuredHeight;
                    }
                }
                setMeasuredDimension(size, i9);
                return;
            }
            setMeasuredDimension(size, i4);
        } else {
            throw new IllegalStateException(ActionBarContextView.class.getSimpleName() + " can only be used with android:layout_height=\"wrap_content\"");
        }
    }

    public void setContentHeight(int i) {
        this.f1491f = i;
    }

    public void setCustomView(View view) {
        LinearLayout linearLayout;
        View view2 = this.f209m;
        if (view2 != null) {
            removeView(view2);
        }
        this.f209m = view;
        if (!(view == null || (linearLayout = this.f210n) == null)) {
            removeView(linearLayout);
            this.f210n = null;
        }
        if (view != null) {
            addView(view);
        }
        requestLayout();
    }

    public void setSubtitle(CharSequence charSequence) {
        this.f207k = charSequence;
        mo155a();
    }

    public void setTitle(CharSequence charSequence) {
        this.f206j = charSequence;
        mo155a();
    }

    public void setTitleOptional(boolean z) {
        if (z != this.f215s) {
            requestLayout();
        }
        this.f215s = z;
    }

    public /* bridge */ /* synthetic */ void setVisibility(int i) {
        super.setVisibility(i);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public ActionBarContextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0181a.actionModeStyle);
    }

    public ActionBarContextView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Drawable drawable;
        int resourceId;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0190j.ActionMode, i, 0);
        int i2 = C0190j.ActionMode_background;
        if (!obtainStyledAttributes.hasValue(i2) || (resourceId = obtainStyledAttributes.getResourceId(i2, 0)) == 0) {
            drawable = obtainStyledAttributes.getDrawable(i2);
        } else {
            drawable = AppCompatResources.m982c(context, resourceId);
        }
        ViewCompat.m1937a((View) this, drawable);
        this.f213q = obtainStyledAttributes.getResourceId(C0190j.ActionMode_titleTextStyle, 0);
        this.f214r = obtainStyledAttributes.getResourceId(C0190j.ActionMode_subtitleTextStyle, 0);
        this.f1491f = obtainStyledAttributes.getLayoutDimension(C0190j.ActionMode_height, 0);
        this.f216t = obtainStyledAttributes.getResourceId(C0190j.ActionMode_closeItemLayout, C0187g.abc_action_mode_close_item_material);
        obtainStyledAttributes.recycle();
    }

    /* renamed from: a */
    public void mo156a(ActionMode aVar) {
        View view = this.f208l;
        if (view == null) {
            View inflate = LayoutInflater.from(getContext()).inflate(this.f216t, this, false);
            this.f208l = inflate;
            addView(inflate);
        } else if (view.getParent() == null) {
            addView(this.f208l);
        }
        this.f208l.findViewById(C0186f.action_mode_close_button).setOnClickListener(new C0030a(this, aVar));
        MenuBuilder gVar = (MenuBuilder) aVar.mo1687c();
        ActionMenuPresenter cVar = this.f1490e;
        if (cVar != null) {
            cVar.mo2185a();
        }
        ActionMenuPresenter cVar2 = new ActionMenuPresenter(getContext());
        this.f1490e = cVar2;
        cVar2.f1536m = true;
        cVar2.f1537n = true;
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-2, -1);
        gVar.mo1948a((MenuPresenter) this.f1490e, this.f1488c);
        ActionMenuPresenter cVar3 = this.f1490e;
        MenuView nVar = cVar3.f1318i;
        if (nVar == null) {
            MenuView nVar2 = (MenuView) cVar3.f1314e.inflate(cVar3.f1316g, this, false);
            cVar3.f1318i = nVar2;
            nVar2.mo119a(cVar3.f1313d);
            cVar3.mo461a(true);
        }
        MenuView nVar3 = cVar3.f1318i;
        if (nVar != nVar3) {
            ((ActionMenuView) nVar3).setPresenter(cVar3);
        }
        ActionMenuView actionMenuView = (ActionMenuView) nVar3;
        this.f1489d = actionMenuView;
        ViewCompat.m1937a((View) actionMenuView, (Drawable) null);
        addView(this.f1489d, layoutParams);
    }
}
