package androidx.appcompat.widget;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewPropertyAnimator;
import android.view.Window;
import android.widget.OverScroller;
import androidx.recyclerview.widget.RecyclerView;
import com.newrelic.agent.android.analytics.AnalyticAttribute;
import p008b.p010b.C0181a;
import p008b.p010b.C0186f;
import p008b.p010b.p011k.WindowDecorActionBar;
import p008b.p010b.p017o.p018i.MenuPresenter;
import p008b.p010b.p019p.DecorContentParent;
import p008b.p010b.p019p.DecorToolbar;
import p008b.p010b.p019p.ViewUtils;
import p008b.p033h.p045m.NestedScrollingParent2;
import p008b.p033h.p045m.NestedScrollingParent3;
import p008b.p033h.p045m.NestedScrollingParentHelper;
import p008b.p033h.p045m.ViewCompat;
import p085c.p086a.p087a.p088a.outline;

public class ActionBarOverlayLayout extends ViewGroup implements DecorContentParent, NestedScrollingParent2, NestedScrollingParent3 {

    /* renamed from: C */
    public static final int[] f218C = {C0181a.actionBarSize, 16842841};

    /* renamed from: A */
    public final Runnable f219A;

    /* renamed from: B */
    public final NestedScrollingParentHelper f220B;

    /* renamed from: b */
    public int f221b;

    /* renamed from: c */
    public int f222c;

    /* renamed from: d */
    public ContentFrameLayout f223d;

    /* renamed from: e */
    public ActionBarContainer f224e;

    /* renamed from: f */
    public DecorToolbar f225f;

    /* renamed from: g */
    public Drawable f226g;

    /* renamed from: h */
    public boolean f227h;

    /* renamed from: i */
    public boolean f228i;

    /* renamed from: j */
    public boolean f229j;

    /* renamed from: k */
    public boolean f230k;

    /* renamed from: l */
    public boolean f231l;

    /* renamed from: m */
    public int f232m;

    /* renamed from: n */
    public int f233n;

    /* renamed from: o */
    public final Rect f234o;

    /* renamed from: p */
    public final Rect f235p;

    /* renamed from: q */
    public final Rect f236q;

    /* renamed from: r */
    public final Rect f237r;

    /* renamed from: s */
    public final Rect f238s;

    /* renamed from: t */
    public final Rect f239t;

    /* renamed from: u */
    public final Rect f240u;

    /* renamed from: v */
    public C0034d f241v;

    /* renamed from: w */
    public OverScroller f242w;

    /* renamed from: x */
    public ViewPropertyAnimator f243x;

    /* renamed from: y */
    public final AnimatorListenerAdapter f244y;

    /* renamed from: z */
    public final Runnable f245z;

    /* renamed from: androidx.appcompat.widget.ActionBarOverlayLayout$a */
    public class C0031a extends AnimatorListenerAdapter {
        public C0031a() {
        }

        public void onAnimationCancel(Animator animator) {
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.f243x = null;
            actionBarOverlayLayout.f231l = false;
        }

        public void onAnimationEnd(Animator animator) {
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.f243x = null;
            actionBarOverlayLayout.f231l = false;
        }
    }

    /* renamed from: androidx.appcompat.widget.ActionBarOverlayLayout$b */
    public class C0032b implements Runnable {
        public C0032b() {
        }

        public void run() {
            ActionBarOverlayLayout.this.mo202h();
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.f243x = actionBarOverlayLayout.f224e.animate().translationY(0.0f).setListener(ActionBarOverlayLayout.this.f244y);
        }
    }

    /* renamed from: androidx.appcompat.widget.ActionBarOverlayLayout$c */
    public class C0033c implements Runnable {
        public C0033c() {
        }

        public void run() {
            ActionBarOverlayLayout.this.mo202h();
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.f243x = actionBarOverlayLayout.f224e.animate().translationY((float) (-ActionBarOverlayLayout.this.f224e.getHeight())).setListener(ActionBarOverlayLayout.this.f244y);
        }
    }

    /* renamed from: androidx.appcompat.widget.ActionBarOverlayLayout$d */
    public interface C0034d {
    }

    /* renamed from: androidx.appcompat.widget.ActionBarOverlayLayout$e */
    public static class C0035e extends ViewGroup.MarginLayoutParams {
        public C0035e(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public C0035e(int i, int i2) {
            super(i, i2);
        }

        public C0035e(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public ActionBarOverlayLayout(Context context) {
        this(context, (AttributeSet) null);
    }

    /* renamed from: a */
    public final void mo177a(Context context) {
        TypedArray obtainStyledAttributes = getContext().getTheme().obtainStyledAttributes(f218C);
        boolean z = false;
        this.f221b = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        Drawable drawable = obtainStyledAttributes.getDrawable(1);
        this.f226g = drawable;
        setWillNotDraw(drawable == null);
        obtainStyledAttributes.recycle();
        if (context.getApplicationInfo().targetSdkVersion < 19) {
            z = true;
        }
        this.f227h = z;
        this.f242w = new OverScroller(context);
    }

    /* renamed from: a */
    public void mo182a(View view, int i, int i2, int[] iArr, int i3) {
    }

    /* renamed from: b */
    public boolean mo187b(View view, View view2, int i, int i2) {
        return i2 == 0 && onStartNestedScroll(view, view2, i);
    }

    /* renamed from: c */
    public boolean mo188c() {
        mo203i();
        return this.f225f.mo2215c();
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof C0035e;
    }

    /* renamed from: d */
    public boolean mo190d() {
        mo203i();
        return this.f225f.mo2217d();
    }

    public void draw(Canvas canvas) {
        int i;
        super.draw(canvas);
        if (this.f226g != null && !this.f227h) {
            if (this.f224e.getVisibility() == 0) {
                i = (int) (this.f224e.getTranslationY() + ((float) this.f224e.getBottom()) + 0.5f);
            } else {
                i = 0;
            }
            this.f226g.setBounds(0, i, getWidth(), this.f226g.getIntrinsicHeight() + i);
            this.f226g.draw(canvas);
        }
    }

    /* renamed from: e */
    public void mo192e() {
        mo203i();
        this.f225f.mo2218e();
    }

    /* renamed from: f */
    public boolean mo193f() {
        mo203i();
        return this.f225f.mo2219f();
    }

    public boolean fitSystemWindows(Rect rect) {
        mo203i();
        int q = ViewCompat.m1972q(this) & AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH;
        boolean a = mo185a((View) this.f224e, rect, true, true, false, true);
        this.f237r.set(rect);
        ViewUtils.m1303a(this, this.f237r, this.f234o);
        if (!this.f238s.equals(this.f237r)) {
            this.f238s.set(this.f237r);
            a = true;
        }
        if (!this.f235p.equals(this.f234o)) {
            this.f235p.set(this.f234o);
            a = true;
        }
        if (a) {
            requestLayout();
        }
        return true;
    }

    /* renamed from: g */
    public void mo195g() {
        mo203i();
        this.f225f.mo2220g();
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new C0035e(-1, -1);
    }

    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new C0035e(getContext(), attributeSet);
    }

    public int getActionBarHideOffset() {
        ActionBarContainer actionBarContainer = this.f224e;
        if (actionBarContainer != null) {
            return -((int) actionBarContainer.getTranslationY());
        }
        return 0;
    }

    public int getNestedScrollAxes() {
        return this.f220B.mo3131a();
    }

    public CharSequence getTitle() {
        mo203i();
        return this.f225f.getTitle();
    }

    /* renamed from: h */
    public void mo202h() {
        removeCallbacks(this.f245z);
        removeCallbacks(this.f219A);
        ViewPropertyAnimator viewPropertyAnimator = this.f243x;
        if (viewPropertyAnimator != null) {
            viewPropertyAnimator.cancel();
        }
    }

    /* renamed from: i */
    public void mo203i() {
        DecorToolbar d0Var;
        if (this.f223d == null) {
            this.f223d = (ContentFrameLayout) findViewById(C0186f.action_bar_activity_content);
            this.f224e = (ActionBarContainer) findViewById(C0186f.action_bar_container);
            View findViewById = findViewById(C0186f.action_bar);
            if (findViewById instanceof DecorToolbar) {
                d0Var = (DecorToolbar) findViewById;
            } else if (findViewById instanceof Toolbar) {
                d0Var = ((Toolbar) findViewById).getWrapper();
            } else {
                StringBuilder a = outline.m2937a("Can't make a decor toolbar out of ");
                a.append(findViewById.getClass().getSimpleName());
                throw new IllegalStateException(a.toString());
            }
            this.f225f = d0Var;
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        mo177a(getContext());
        ViewCompat.m1923B(this);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        mo202h();
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int childCount = getChildCount();
        int paddingLeft = getPaddingLeft();
        getPaddingRight();
        int paddingTop = getPaddingTop();
        getPaddingBottom();
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            if (childAt.getVisibility() != 8) {
                C0035e eVar = (C0035e) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight = childAt.getMeasuredHeight();
                int i6 = eVar.leftMargin + paddingLeft;
                int i7 = eVar.topMargin + paddingTop;
                childAt.layout(i6, i7, measuredWidth + i6, measuredHeight + i7);
            }
        }
    }

    public void onMeasure(int i, int i2) {
        int i3;
        mo203i();
        measureChildWithMargins(this.f224e, i, 0, i2, 0);
        C0035e eVar = (C0035e) this.f224e.getLayoutParams();
        int max = Math.max(0, this.f224e.getMeasuredWidth() + eVar.leftMargin + eVar.rightMargin);
        int max2 = Math.max(0, this.f224e.getMeasuredHeight() + eVar.topMargin + eVar.bottomMargin);
        int combineMeasuredStates = View.combineMeasuredStates(0, this.f224e.getMeasuredState());
        boolean z = (ViewCompat.m1972q(this) & AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH) != 0;
        if (z) {
            i3 = this.f221b;
            if (this.f229j && this.f224e.getTabContainer() != null) {
                i3 += this.f221b;
            }
        } else {
            i3 = this.f224e.getVisibility() != 8 ? this.f224e.getMeasuredHeight() : 0;
        }
        this.f236q.set(this.f234o);
        this.f239t.set(this.f237r);
        if (this.f228i || z) {
            Rect rect = this.f239t;
            rect.top += i3;
            rect.bottom += 0;
        } else {
            Rect rect2 = this.f236q;
            rect2.top += i3;
            rect2.bottom += 0;
        }
        mo185a((View) this.f223d, this.f236q, true, true, true, true);
        if (!this.f240u.equals(this.f239t)) {
            this.f240u.set(this.f239t);
            this.f223d.mo263a(this.f239t);
        }
        measureChildWithMargins(this.f223d, i, 0, i2, 0);
        C0035e eVar2 = (C0035e) this.f223d.getLayoutParams();
        int max3 = Math.max(max, this.f223d.getMeasuredWidth() + eVar2.leftMargin + eVar2.rightMargin);
        int max4 = Math.max(max2, this.f223d.getMeasuredHeight() + eVar2.topMargin + eVar2.bottomMargin);
        int combineMeasuredStates2 = View.combineMeasuredStates(combineMeasuredStates, this.f223d.getMeasuredState());
        setMeasuredDimension(View.resolveSizeAndState(Math.max(getPaddingRight() + getPaddingLeft() + max3, getSuggestedMinimumWidth()), i, combineMeasuredStates2), View.resolveSizeAndState(Math.max(getPaddingBottom() + getPaddingTop() + max4, getSuggestedMinimumHeight()), i2, combineMeasuredStates2 << 16));
    }

    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        boolean z2 = false;
        if (!this.f230k || !z) {
            return false;
        }
        this.f242w.fling(0, 0, 0, (int) f2, 0, 0, RecyclerView.UNDEFINED_DURATION, Integer.MAX_VALUE);
        if (this.f242w.getFinalY() > this.f224e.getHeight()) {
            z2 = true;
        }
        if (z2) {
            mo202h();
            this.f219A.run();
        } else {
            mo202h();
            this.f245z.run();
        }
        this.f231l = true;
        return true;
    }

    public boolean onNestedPreFling(View view, float f, float f2) {
        return false;
    }

    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
    }

    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        int i5 = this.f232m + i2;
        this.f232m = i5;
        setActionBarHideOffset(i5);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:2:0x0011, code lost:
        r1 = (p008b.p010b.p011k.WindowDecorActionBar) r1;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void onNestedScrollAccepted(android.view.View r1, android.view.View r2, int r3) {
        /*
            r0 = this;
            b.h.m.k r1 = r0.f220B
            r1.f2515a = r3
            int r1 = r0.getActionBarHideOffset()
            r0.f232m = r1
            r0.mo202h()
            androidx.appcompat.widget.ActionBarOverlayLayout$d r1 = r0.f241v
            if (r1 == 0) goto L_0x001d
            b.b.k.v r1 = (p008b.p010b.p011k.WindowDecorActionBar) r1
            b.b.o.g r2 = r1.f1124u
            if (r2 == 0) goto L_0x001d
            r2.mo1829a()
            r2 = 0
            r1.f1124u = r2
        L_0x001d:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.appcompat.widget.ActionBarOverlayLayout.onNestedScrollAccepted(android.view.View, android.view.View, int):void");
    }

    public boolean onStartNestedScroll(View view, View view2, int i) {
        if ((i & 2) == 0 || this.f224e.getVisibility() != 0) {
            return false;
        }
        return this.f230k;
    }

    public void onStopNestedScroll(View view) {
        if (this.f230k && !this.f231l) {
            if (this.f232m <= this.f224e.getHeight()) {
                mo202h();
                postDelayed(this.f245z, 600);
            } else {
                mo202h();
                postDelayed(this.f219A, 600);
            }
        }
        C0034d dVar = this.f241v;
        if (dVar != null && ((WindowDecorActionBar) dVar) == null) {
            throw null;
        }
    }

    public void onWindowSystemUiVisibilityChanged(int i) {
        super.onWindowSystemUiVisibilityChanged(i);
        mo203i();
        int i2 = this.f233n ^ i;
        this.f233n = i;
        boolean z = (i & 4) == 0;
        boolean z2 = (i & AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH) != 0;
        C0034d dVar = this.f241v;
        if (dVar != null) {
            ((WindowDecorActionBar) dVar).f1119p = !z2;
            if (z || !z2) {
                WindowDecorActionBar vVar = (WindowDecorActionBar) this.f241v;
                if (vVar.f1121r) {
                    vVar.f1121r = false;
                    vVar.mo1678g(true);
                }
            } else {
                WindowDecorActionBar vVar2 = (WindowDecorActionBar) dVar;
                if (!vVar2.f1121r) {
                    vVar2.f1121r = true;
                    vVar2.mo1678g(true);
                }
            }
        }
        if ((i2 & AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH) != 0 && this.f241v != null) {
            ViewCompat.m1923B(this);
        }
    }

    public void onWindowVisibilityChanged(int i) {
        super.onWindowVisibilityChanged(i);
        this.f222c = i;
        C0034d dVar = this.f241v;
        if (dVar != null) {
            ((WindowDecorActionBar) dVar).f1118o = i;
        }
    }

    public void setActionBarHideOffset(int i) {
        mo202h();
        this.f224e.setTranslationY((float) (-Math.max(0, Math.min(i, this.f224e.getHeight()))));
    }

    public void setActionBarVisibilityCallback(C0034d dVar) {
        this.f241v = dVar;
        if (getWindowToken() != null) {
            ((WindowDecorActionBar) this.f241v).f1118o = this.f222c;
            int i = this.f233n;
            if (i != 0) {
                onWindowSystemUiVisibilityChanged(i);
                ViewCompat.m1923B(this);
            }
        }
    }

    public void setHasNonEmbeddedTabs(boolean z) {
        this.f229j = z;
    }

    public void setHideOnContentScrollEnabled(boolean z) {
        if (z != this.f230k) {
            this.f230k = z;
            if (!z) {
                mo202h();
                setActionBarHideOffset(0);
            }
        }
    }

    public void setIcon(int i) {
        mo203i();
        this.f225f.setIcon(i);
    }

    public void setLogo(int i) {
        mo203i();
        this.f225f.mo2211b(i);
    }

    public void setOverlayMode(boolean z) {
        this.f228i = z;
        this.f227h = z && getContext().getApplicationInfo().targetSdkVersion < 19;
    }

    public void setShowingForActionMode(boolean z) {
    }

    public void setUiOptions(int i) {
    }

    public void setWindowCallback(Window.Callback callback) {
        mo203i();
        this.f225f.setWindowCallback(callback);
    }

    public void setWindowTitle(CharSequence charSequence) {
        mo203i();
        this.f225f.setWindowTitle(charSequence);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public ActionBarOverlayLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f222c = 0;
        this.f234o = new Rect();
        this.f235p = new Rect();
        this.f236q = new Rect();
        this.f237r = new Rect();
        this.f238s = new Rect();
        this.f239t = new Rect();
        this.f240u = new Rect();
        this.f244y = new C0031a();
        this.f245z = new C0032b();
        this.f219A = new C0033c();
        mo177a(context);
        this.f220B = new NestedScrollingParentHelper();
    }

    /* renamed from: b */
    public boolean mo186b() {
        mo203i();
        return this.f225f.mo2213b();
    }

    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new C0035e(layoutParams);
    }

    public void setIcon(Drawable drawable) {
        mo203i();
        this.f225f.setIcon(drawable);
    }

    /* renamed from: a */
    public final boolean mo185a(View view, Rect rect, boolean z, boolean z2, boolean z3, boolean z4) {
        boolean z5;
        int i;
        int i2;
        int i3;
        int i4;
        C0035e eVar = (C0035e) view.getLayoutParams();
        if (!z || eVar.leftMargin == (i4 = rect.left)) {
            z5 = false;
        } else {
            eVar.leftMargin = i4;
            z5 = true;
        }
        if (z2 && eVar.topMargin != (i3 = rect.top)) {
            eVar.topMargin = i3;
            z5 = true;
        }
        if (z4 && eVar.rightMargin != (i2 = rect.right)) {
            eVar.rightMargin = i2;
            z5 = true;
        }
        if (!z3 || eVar.bottomMargin == (i = rect.bottom)) {
            return z5;
        }
        eVar.bottomMargin = i;
        return true;
    }

    /* renamed from: a */
    public void mo183a(View view, View view2, int i, int i2) {
        if (i2 == 0) {
            onNestedScrollAccepted(view, view2, i);
        }
    }

    /* renamed from: a */
    public void mo179a(View view, int i) {
        if (i == 0) {
            onStopNestedScroll(view);
        }
    }

    /* renamed from: a */
    public void mo180a(View view, int i, int i2, int i3, int i4, int i5) {
        if (i5 == 0) {
            int i6 = this.f232m + i2;
            this.f232m = i6;
            setActionBarHideOffset(i6);
        }
    }

    /* renamed from: a */
    public void mo181a(View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
        if (i5 == 0) {
            int i6 = this.f232m + i2;
            this.f232m = i6;
            setActionBarHideOffset(i6);
        }
    }

    /* renamed from: a */
    public void mo176a(int i) {
        mo203i();
        if (i == 2) {
            this.f225f.mo2227m();
        } else if (i == 5) {
            this.f225f.mo2229o();
        } else if (i == 109) {
            setOverlayMode(true);
        }
    }

    /* renamed from: a */
    public boolean mo184a() {
        mo203i();
        return this.f225f.mo2210a();
    }

    /* renamed from: a */
    public void mo178a(Menu menu, MenuPresenter.C0264a aVar) {
        mo203i();
        this.f225f.mo2206a(menu, aVar);
    }
}
