package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewDebug;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import androidx.appcompat.view.menu.ActionMenuItemView;
import androidx.appcompat.widget.Toolbar;
import androidx.recyclerview.widget.RecyclerView;
import p008b.p010b.p011k.ToolbarActionBar;
import p008b.p010b.p017o.p018i.MenuBuilder;
import p008b.p010b.p017o.p018i.MenuItemImpl;
import p008b.p010b.p017o.p018i.MenuPresenter;
import p008b.p010b.p017o.p018i.MenuView;
import p008b.p010b.p019p.ActionMenuPresenter;
import p008b.p010b.p019p.LinearLayoutCompat;
import p008b.p010b.p019p.ViewUtils;

public class ActionMenuView extends LinearLayoutCompat implements MenuBuilder.C0256b, MenuView {

    /* renamed from: A */
    public int f249A;

    /* renamed from: B */
    public C0040e f250B;

    /* renamed from: q */
    public MenuBuilder f251q;

    /* renamed from: r */
    public Context f252r;

    /* renamed from: s */
    public int f253s;

    /* renamed from: t */
    public boolean f254t;

    /* renamed from: u */
    public ActionMenuPresenter f255u;

    /* renamed from: v */
    public MenuPresenter.C0264a f256v;

    /* renamed from: w */
    public MenuBuilder.C0255a f257w;

    /* renamed from: x */
    public boolean f258x;

    /* renamed from: y */
    public int f259y;

    /* renamed from: z */
    public int f260z;

    /* renamed from: androidx.appcompat.widget.ActionMenuView$a */
    public interface C0036a {
        /* renamed from: a */
        boolean mo97a();

        /* renamed from: b */
        boolean mo98b();
    }

    /* renamed from: androidx.appcompat.widget.ActionMenuView$b */
    public static class C0037b implements MenuPresenter.C0264a {
        /* renamed from: a */
        public void mo254a(MenuBuilder gVar, boolean z) {
        }

        /* renamed from: a */
        public boolean mo255a(MenuBuilder gVar) {
            return false;
        }
    }

    /* renamed from: androidx.appcompat.widget.ActionMenuView$c */
    public static class C0038c extends LinearLayoutCompat.C0282a {
        @ViewDebug.ExportedProperty

        /* renamed from: c */
        public boolean f261c;
        @ViewDebug.ExportedProperty

        /* renamed from: d */
        public int f262d;
        @ViewDebug.ExportedProperty

        /* renamed from: e */
        public int f263e;
        @ViewDebug.ExportedProperty

        /* renamed from: f */
        public boolean f264f;
        @ViewDebug.ExportedProperty

        /* renamed from: g */
        public boolean f265g;

        /* renamed from: h */
        public boolean f266h;

        public C0038c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public C0038c(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public C0038c(C0038c cVar) {
            super(cVar);
            this.f261c = cVar.f261c;
        }

        public C0038c(int i, int i2) {
            super(i, i2);
            this.f261c = false;
        }
    }

    /* renamed from: androidx.appcompat.widget.ActionMenuView$e */
    public interface C0040e {
    }

    public ActionMenuView(Context context) {
        this(context, (AttributeSet) null);
    }

    /* renamed from: b */
    public static int m174b(View view, int i, int i2, int i3, int i4) {
        C0038c cVar = (C0038c) view.getLayoutParams();
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i3) - i4, View.MeasureSpec.getMode(i3));
        ActionMenuItemView actionMenuItemView = view instanceof ActionMenuItemView ? (ActionMenuItemView) view : null;
        boolean z = true;
        boolean z2 = actionMenuItemView != null && actionMenuItemView.mo100d();
        int i5 = 2;
        if (i2 <= 0 || (z2 && i2 < 2)) {
            i5 = 0;
        } else {
            view.measure(View.MeasureSpec.makeMeasureSpec(i2 * i, RecyclerView.UNDEFINED_DURATION), makeMeasureSpec);
            int measuredWidth = view.getMeasuredWidth();
            int i6 = measuredWidth / i;
            if (measuredWidth % i != 0) {
                i6++;
            }
            if (!z2 || i6 >= 2) {
                i5 = i6;
            }
        }
        if (cVar.f261c || !z2) {
            z = false;
        }
        cVar.f264f = z;
        cVar.f262d = i5;
        view.measure(View.MeasureSpec.makeMeasureSpec(i * i5, 1073741824), makeMeasureSpec);
        return i5;
    }

    /* renamed from: a */
    public boolean mo120a(MenuItemImpl iVar) {
        return this.f251q.mo1952a((MenuItem) iVar, (MenuPresenter) null, 0);
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof C0038c;
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        return false;
    }

    public Menu getMenu() {
        if (this.f251q == null) {
            Context context = getContext();
            MenuBuilder gVar = new MenuBuilder(context);
            this.f251q = gVar;
            gVar.f1381e = new C0039d();
            ActionMenuPresenter cVar = new ActionMenuPresenter(context);
            this.f255u = cVar;
            cVar.f1536m = true;
            cVar.f1537n = true;
            MenuPresenter.C0264a aVar = this.f256v;
            if (aVar == null) {
                aVar = new C0037b();
            }
            cVar.f1315f = aVar;
            this.f251q.mo1948a((MenuPresenter) this.f255u, this.f252r);
            ActionMenuPresenter cVar2 = this.f255u;
            cVar2.f1318i = this;
            this.f251q = cVar2.f1313d;
        }
        return this.f251q;
    }

    public Drawable getOverflowIcon() {
        getMenu();
        ActionMenuPresenter cVar = this.f255u;
        ActionMenuPresenter.C0274d dVar = cVar.f1533j;
        if (dVar != null) {
            return dVar.getDrawable();
        }
        if (cVar.f1535l) {
            return cVar.f1534k;
        }
        return null;
    }

    public int getPopupTheme() {
        return this.f253s;
    }

    public int getWindowAnimations() {
        return 0;
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        ActionMenuPresenter cVar = this.f255u;
        if (cVar != null) {
            cVar.mo461a(false);
            if (this.f255u.mo2188e()) {
                this.f255u.mo2186b();
                this.f255u.mo2189f();
            }
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ActionMenuPresenter cVar = this.f255u;
        if (cVar != null) {
            cVar.mo2185a();
        }
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        if (!this.f258x) {
            super.onLayout(z, i, i2, i3, i4);
            return;
        }
        int childCount = getChildCount();
        int i7 = (i4 - i2) / 2;
        int dividerWidth = getDividerWidth();
        int i8 = i3 - i;
        int paddingRight = (i8 - getPaddingRight()) - getPaddingLeft();
        boolean a = ViewUtils.m1304a(this);
        int i9 = 0;
        int i10 = 0;
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt = getChildAt(i11);
            if (childAt.getVisibility() != 8) {
                C0038c cVar = (C0038c) childAt.getLayoutParams();
                if (cVar.f261c) {
                    int measuredWidth = childAt.getMeasuredWidth();
                    if (mo234b(i11)) {
                        measuredWidth += dividerWidth;
                    }
                    int measuredHeight = childAt.getMeasuredHeight();
                    if (a) {
                        i5 = getPaddingLeft() + cVar.leftMargin;
                        i6 = i5 + measuredWidth;
                    } else {
                        i6 = (getWidth() - getPaddingRight()) - cVar.rightMargin;
                        i5 = i6 - measuredWidth;
                    }
                    int i12 = i7 - (measuredHeight / 2);
                    childAt.layout(i5, i12, i6, measuredHeight + i12);
                    paddingRight -= measuredWidth;
                    i9 = 1;
                } else {
                    paddingRight -= (childAt.getMeasuredWidth() + cVar.leftMargin) + cVar.rightMargin;
                    boolean b = mo234b(i11);
                    i10++;
                }
            }
        }
        if (childCount == 1 && i9 == 0) {
            View childAt2 = getChildAt(0);
            int measuredWidth2 = childAt2.getMeasuredWidth();
            int measuredHeight2 = childAt2.getMeasuredHeight();
            int i13 = (i8 / 2) - (measuredWidth2 / 2);
            int i14 = i7 - (measuredHeight2 / 2);
            childAt2.layout(i13, i14, measuredWidth2 + i13, measuredHeight2 + i14);
            return;
        }
        int i15 = i10 - (i9 ^ 1);
        int max = Math.max(0, i15 > 0 ? paddingRight / i15 : 0);
        if (a) {
            int width = getWidth() - getPaddingRight();
            for (int i16 = 0; i16 < childCount; i16++) {
                View childAt3 = getChildAt(i16);
                C0038c cVar2 = (C0038c) childAt3.getLayoutParams();
                if (childAt3.getVisibility() != 8 && !cVar2.f261c) {
                    int i17 = width - cVar2.rightMargin;
                    int measuredWidth3 = childAt3.getMeasuredWidth();
                    int measuredHeight3 = childAt3.getMeasuredHeight();
                    int i18 = i7 - (measuredHeight3 / 2);
                    childAt3.layout(i17 - measuredWidth3, i18, i17, measuredHeight3 + i18);
                    width = i17 - ((measuredWidth3 + cVar2.leftMargin) + max);
                }
            }
            return;
        }
        int paddingLeft = getPaddingLeft();
        for (int i19 = 0; i19 < childCount; i19++) {
            View childAt4 = getChildAt(i19);
            C0038c cVar3 = (C0038c) childAt4.getLayoutParams();
            if (childAt4.getVisibility() != 8 && !cVar3.f261c) {
                int i20 = paddingLeft + cVar3.leftMargin;
                int measuredWidth4 = childAt4.getMeasuredWidth();
                int measuredHeight4 = childAt4.getMeasuredHeight();
                int i21 = i7 - (measuredHeight4 / 2);
                childAt4.layout(i20, i21, i20 + measuredWidth4, measuredHeight4 + i21);
                paddingLeft = measuredWidth4 + cVar3.rightMargin + max + i20;
            }
        }
    }

    public void onMeasure(int i, int i2) {
        int i3;
        boolean z;
        int i4;
        int i5;
        boolean z2;
        int i6;
        boolean z3;
        MenuBuilder gVar;
        boolean z4 = this.f258x;
        boolean z5 = View.MeasureSpec.getMode(i) == 1073741824;
        this.f258x = z5;
        if (z4 != z5) {
            this.f259y = 0;
        }
        int size = View.MeasureSpec.getSize(i);
        if (!(!this.f258x || (gVar = this.f251q) == null || size == this.f259y)) {
            this.f259y = size;
            gVar.mo1966b(true);
        }
        int childCount = getChildCount();
        if (!this.f258x || childCount <= 0) {
            int i7 = i2;
            for (int i8 = 0; i8 < childCount; i8++) {
                C0038c cVar = (C0038c) getChildAt(i8).getLayoutParams();
                cVar.rightMargin = 0;
                cVar.leftMargin = 0;
            }
            super.onMeasure(i, i2);
            return;
        }
        int mode = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i);
        int size3 = View.MeasureSpec.getSize(i2);
        int paddingRight = getPaddingRight() + getPaddingLeft();
        int paddingBottom = getPaddingBottom() + getPaddingTop();
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i2, paddingBottom, -2);
        int i9 = size2 - paddingRight;
        int i10 = this.f260z;
        int i11 = i9 / i10;
        int i12 = i9 % i10;
        if (i11 == 0) {
            setMeasuredDimension(i9, 0);
            return;
        }
        int i13 = (i12 / i11) + i10;
        int childCount2 = getChildCount();
        int i14 = 0;
        int i15 = 0;
        int i16 = 0;
        int i17 = 0;
        int i18 = 0;
        boolean z6 = false;
        long j = 0;
        while (i18 < childCount2) {
            View childAt = getChildAt(i18);
            int i19 = size3;
            int i20 = i9;
            if (childAt.getVisibility() != 8) {
                boolean z7 = childAt instanceof ActionMenuItemView;
                int i21 = i14 + 1;
                if (z7) {
                    int i22 = this.f249A;
                    i6 = i21;
                    z3 = false;
                    childAt.setPadding(i22, 0, i22, 0);
                } else {
                    i6 = i21;
                    z3 = false;
                }
                C0038c cVar2 = (C0038c) childAt.getLayoutParams();
                cVar2.f266h = z3;
                cVar2.f263e = z3 ? 1 : 0;
                cVar2.f262d = z3;
                cVar2.f264f = z3;
                cVar2.leftMargin = z3;
                cVar2.rightMargin = z3;
                cVar2.f265g = z7 && ((ActionMenuItemView) childAt).mo100d();
                int b = m174b(childAt, i13, cVar2.f261c ? 1 : i11, childMeasureSpec, paddingBottom);
                i16 = Math.max(i16, b);
                if (cVar2.f264f) {
                    i17++;
                }
                if (cVar2.f261c) {
                    z6 = true;
                }
                i11 -= b;
                i15 = Math.max(i15, childAt.getMeasuredHeight());
                if (b == 1) {
                    j |= (long) (1 << i18);
                }
                i14 = i6;
            }
            i18++;
            size3 = i19;
            i9 = i20;
        }
        int i23 = i9;
        int i24 = size3;
        boolean z8 = z6 && i14 == 2;
        boolean z9 = false;
        while (true) {
            if (i17 <= 0 || i11 <= 0) {
                i3 = i15;
                z = z9;
            } else {
                int i25 = Integer.MAX_VALUE;
                int i26 = 0;
                int i27 = 0;
                long j2 = 0;
                while (i26 < childCount2) {
                    int i28 = i15;
                    C0038c cVar3 = (C0038c) getChildAt(i26).getLayoutParams();
                    boolean z10 = z9;
                    if (cVar3.f264f) {
                        int i29 = cVar3.f262d;
                        if (i29 < i25) {
                            j2 = 1 << i26;
                            i25 = i29;
                            i27 = 1;
                        } else if (i29 == i25) {
                            i27++;
                            j2 |= 1 << i26;
                        }
                    }
                    i26++;
                    z9 = z10;
                    i15 = i28;
                }
                i3 = i15;
                z = z9;
                j |= j2;
                if (i27 > i11) {
                    break;
                }
                int i30 = i25 + 1;
                int i31 = 0;
                while (i31 < childCount2) {
                    View childAt2 = getChildAt(i31);
                    C0038c cVar4 = (C0038c) childAt2.getLayoutParams();
                    int i32 = i17;
                    long j3 = (long) (1 << i31);
                    if ((j2 & j3) == 0) {
                        if (cVar4.f262d == i30) {
                            j |= j3;
                        }
                        z2 = z8;
                    } else {
                        if (!z8 || !cVar4.f265g || i11 != 1) {
                            z2 = z8;
                        } else {
                            int i33 = this.f249A;
                            z2 = z8;
                            childAt2.setPadding(i33 + i13, 0, i33, 0);
                        }
                        cVar4.f262d++;
                        cVar4.f266h = true;
                        i11--;
                    }
                    i31++;
                    i17 = i32;
                    z8 = z2;
                }
                i15 = i3;
                z9 = true;
            }
        }
        i3 = i15;
        z = z9;
        boolean z11 = !z6 && i14 == 1;
        if (i11 > 0 && j != 0 && (i11 < i14 - 1 || z11 || i16 > 1)) {
            float bitCount = (float) Long.bitCount(j);
            if (!z11) {
                if ((j & 1) != 0 && !((C0038c) getChildAt(0).getLayoutParams()).f265g) {
                    bitCount -= 0.5f;
                }
                int i34 = childCount2 - 1;
                if ((j & ((long) (1 << i34))) != 0 && !((C0038c) getChildAt(i34).getLayoutParams()).f265g) {
                    bitCount -= 0.5f;
                }
            }
            int i35 = bitCount > 0.0f ? (int) (((float) (i11 * i13)) / bitCount) : 0;
            for (int i36 = 0; i36 < childCount2; i36++) {
                if ((j & ((long) (1 << i36))) != 0) {
                    View childAt3 = getChildAt(i36);
                    C0038c cVar5 = (C0038c) childAt3.getLayoutParams();
                    if (childAt3 instanceof ActionMenuItemView) {
                        cVar5.f263e = i35;
                        cVar5.f266h = true;
                        if (i36 == 0 && !cVar5.f265g) {
                            cVar5.leftMargin = (-i35) / 2;
                        }
                    } else if (cVar5.f261c) {
                        cVar5.f263e = i35;
                        cVar5.f266h = true;
                        cVar5.rightMargin = (-i35) / 2;
                    } else {
                        if (i36 != 0) {
                            cVar5.leftMargin = i35 / 2;
                        }
                        if (i36 != childCount2 - 1) {
                            cVar5.rightMargin = i35 / 2;
                        }
                    }
                    z = true;
                }
            }
        }
        if (z) {
            for (int i37 = 0; i37 < childCount2; i37++) {
                View childAt4 = getChildAt(i37);
                C0038c cVar6 = (C0038c) childAt4.getLayoutParams();
                if (cVar6.f266h) {
                    childAt4.measure(View.MeasureSpec.makeMeasureSpec((cVar6.f262d * i13) + cVar6.f263e, 1073741824), childMeasureSpec);
                }
            }
        }
        if (mode != 1073741824) {
            i5 = i23;
            i4 = i3;
        } else {
            i4 = i24;
            i5 = i23;
        }
        setMeasuredDimension(i5, i4);
    }

    public void setExpandedActionViewsExclusive(boolean z) {
        this.f255u.f1541r = z;
    }

    public void setOnMenuItemClickListener(C0040e eVar) {
        this.f250B = eVar;
    }

    public void setOverflowIcon(Drawable drawable) {
        getMenu();
        ActionMenuPresenter cVar = this.f255u;
        ActionMenuPresenter.C0274d dVar = cVar.f1533j;
        if (dVar != null) {
            dVar.setImageDrawable(drawable);
            return;
        }
        cVar.f1535l = true;
        cVar.f1534k = drawable;
    }

    public void setOverflowReserved(boolean z) {
        this.f254t = z;
    }

    public void setPopupTheme(int i) {
        if (this.f253s != i) {
            this.f253s = i;
            if (i == 0) {
                this.f252r = getContext();
            } else {
                this.f252r = new ContextThemeWrapper(getContext(), i);
            }
        }
    }

    public void setPresenter(ActionMenuPresenter cVar) {
        this.f255u = cVar;
        cVar.f1318i = this;
        this.f251q = cVar.f1313d;
    }

    public ActionMenuView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setBaselineAligned(false);
        float f = context.getResources().getDisplayMetrics().density;
        this.f260z = (int) (56.0f * f);
        this.f249A = (int) (f * 4.0f);
        this.f252r = context;
        this.f253s = 0;
    }

    /* renamed from: a */
    public void mo119a(MenuBuilder gVar) {
        this.f251q = gVar;
    }

    public C0038c generateDefaultLayoutParams() {
        C0038c cVar = new C0038c(-2, -2);
        cVar.f1626b = 16;
        return cVar;
    }

    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new C0038c(getContext(), attributeSet);
    }

    /* renamed from: generateLayoutParams  reason: collision with other method in class */
    public LinearLayoutCompat.C0282a m6027generateLayoutParams(AttributeSet attributeSet) {
        return new C0038c(getContext(), attributeSet);
    }

    /* renamed from: androidx.appcompat.widget.ActionMenuView$d */
    public class C0039d implements MenuBuilder.C0255a {
        public C0039d() {
        }

        /* renamed from: a */
        public boolean mo257a(MenuBuilder gVar, MenuItem menuItem) {
            C0040e eVar = ActionMenuView.this.f250B;
            if (eVar == null) {
                return false;
            }
            Toolbar.C0065f fVar = Toolbar.this.f365H;
            if (fVar != null ? ToolbarActionBar.this.f1080c.onMenuItemSelected(0, menuItem) : false) {
                return true;
            }
            return false;
        }

        /* renamed from: a */
        public void mo256a(MenuBuilder gVar) {
            MenuBuilder.C0255a aVar = ActionMenuView.this.f257w;
            if (aVar != null) {
                aVar.mo256a(gVar);
            }
        }
    }

    public C0038c generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams == null) {
            return generateDefaultLayoutParams();
        }
        C0038c cVar = layoutParams instanceof C0038c ? new C0038c((C0038c) layoutParams) : new C0038c(layoutParams);
        if (cVar.f1626b <= 0) {
            cVar.f1626b = 16;
        }
        return cVar;
    }

    /* renamed from: b */
    public boolean mo234b(int i) {
        boolean z = false;
        if (i == 0) {
            return false;
        }
        View childAt = getChildAt(i - 1);
        View childAt2 = getChildAt(i);
        if (i < getChildCount() && (childAt instanceof C0036a)) {
            z = false | ((C0036a) childAt).mo97a();
        }
        return (i <= 0 || !(childAt2 instanceof C0036a)) ? z : z | ((C0036a) childAt2).mo98b();
    }
}
