package com.globant.pasaportesanitario.data.remoto.interceptores;

import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.instrumentation.okhttp3.OkHttp3Instrumentation;
import com.newrelic.agent.android.util.Constants;
import java.io.IOException;
import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p125e.ListenerActualizarForzado;
import p085c.p118c.p119a.p125e.p127d.EncabezadoSeguridadUtileria;

@Instrumented
public class EncabezadosInterceptor implements Interceptor {
    public static final String BASIC = "Basic ";
    public static final int CODIGO_DE_ACTUALIZAR_FORZADO = 426;
    public ListenerActualizarForzado actualizarForzado;
    public EncabezadoSeguridadUtileria encabezadoSeguridadUtileria;

    public EncabezadosInterceptor(EncabezadoSeguridadUtileria aVar, ListenerActualizarForzado bVar) {
        this.encabezadoSeguridadUtileria = aVar;
        this.actualizarForzado = bVar;
    }

    private String obtenerToken() {
        StringBuilder a = outline.m2937a(BASIC);
        a.append(this.encabezadoSeguridadUtileria.mo4758a());
        return a.toString();
    }

    public Response intercept(Interceptor.Chain chain) throws IOException {
        Request.Builder addHeader = chain.request().newBuilder().addHeader("X-App-Platform", "android").addHeader("X-App-Version", "115").addHeader(Constants.Network.CONTENT_TYPE_HEADER, Constants.Network.ContentType.JSON).addHeader("Authorization", obtenerToken());
        Response proceed = chain.proceed(!(addHeader instanceof Request.Builder) ? addHeader.build() : OkHttp3Instrumentation.build(addHeader));
        if (proceed.code() == 426) {
            this.actualizarForzado.mostrarDialogoDeActualizarForzado();
        }
        return proceed;
    }
}
