package androidx.appcompat.widget;

import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.TouchDelegate;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import android.widget.TextView;
import com.newrelic.agent.android.analytics.AnalyticAttribute;
import java.lang.reflect.Method;
import java.util.WeakHashMap;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.C0181a;
import p008b.p010b.C0184d;
import p008b.p010b.C0186f;
import p008b.p010b.C0187g;
import p008b.p010b.C0188h;
import p008b.p010b.C0190j;
import p008b.p010b.p017o.CollapsibleActionView;
import p008b.p010b.p019p.AppCompatAutoCompleteTextView;
import p008b.p010b.p019p.LinearLayoutCompat;
import p008b.p010b.p019p.SuggestionsAdapter;
import p008b.p010b.p019p.TintTypedArray;
import p008b.p010b.p019p.ViewUtils;
import p008b.p033h.p045m.ViewCompat;
import p008b.p048i.p049a.CursorAdapter;
import p008b.p050j.p051a.AbsSavedState;
import p085c.p086a.p087a.p088a.outline;

public class SearchView extends LinearLayoutCompat implements CollapsibleActionView {

    /* renamed from: r0 */
    public static final C0053k f282r0 = new C0053k();

    /* renamed from: A */
    public Rect f283A;

    /* renamed from: B */
    public Rect f284B;

    /* renamed from: C */
    public int[] f285C;

    /* renamed from: D */
    public int[] f286D;

    /* renamed from: E */
    public final ImageView f287E;

    /* renamed from: F */
    public final Drawable f288F;

    /* renamed from: G */
    public final int f289G;

    /* renamed from: H */
    public final int f290H;

    /* renamed from: I */
    public final Intent f291I;

    /* renamed from: J */
    public final Intent f292J;

    /* renamed from: K */
    public final CharSequence f293K;

    /* renamed from: L */
    public C0055m f294L;

    /* renamed from: M */
    public C0054l f295M;

    /* renamed from: N */
    public View.OnFocusChangeListener f296N;

    /* renamed from: O */
    public C0056n f297O;

    /* renamed from: P */
    public View.OnClickListener f298P;

    /* renamed from: Q */
    public boolean f299Q;

    /* renamed from: R */
    public boolean f300R;

    /* renamed from: S */
    public CursorAdapter f301S;

    /* renamed from: T */
    public boolean f302T;

    /* renamed from: U */
    public CharSequence f303U;

    /* renamed from: V */
    public boolean f304V;

    /* renamed from: W */
    public boolean f305W;

    /* renamed from: a0 */
    public int f306a0;

    /* renamed from: b0 */
    public boolean f307b0;

    /* renamed from: c0 */
    public CharSequence f308c0;

    /* renamed from: d0 */
    public CharSequence f309d0;

    /* renamed from: e0 */
    public boolean f310e0;

    /* renamed from: f0 */
    public int f311f0;

    /* renamed from: g0 */
    public SearchableInfo f312g0;

    /* renamed from: h0 */
    public Bundle f313h0;

    /* renamed from: i0 */
    public final Runnable f314i0;

    /* renamed from: j0 */
    public Runnable f315j0;

    /* renamed from: k0 */
    public final WeakHashMap<String, Drawable.ConstantState> f316k0;

    /* renamed from: l0 */
    public final View.OnClickListener f317l0;

    /* renamed from: m0 */
    public View.OnKeyListener f318m0;

    /* renamed from: n0 */
    public final TextView.OnEditorActionListener f319n0;

    /* renamed from: o0 */
    public final AdapterView.OnItemClickListener f320o0;

    /* renamed from: p0 */
    public final AdapterView.OnItemSelectedListener f321p0;

    /* renamed from: q */
    public final SearchAutoComplete f322q;

    /* renamed from: q0 */
    public TextWatcher f323q0;

    /* renamed from: r */
    public final View f324r;

    /* renamed from: s */
    public final View f325s;

    /* renamed from: t */
    public final View f326t;

    /* renamed from: u */
    public final ImageView f327u;

    /* renamed from: v */
    public final ImageView f328v;

    /* renamed from: w */
    public final ImageView f329w;

    /* renamed from: x */
    public final ImageView f330x;

    /* renamed from: y */
    public final View f331y;

    /* renamed from: z */
    public C0059p f332z;

    public static class SearchAutoComplete extends AppCompatAutoCompleteTextView {

        /* renamed from: e */
        public int f333e;

        /* renamed from: f */
        public SearchView f334f;

        /* renamed from: g */
        public boolean f335g;

        /* renamed from: h */
        public final Runnable f336h;

        /* renamed from: androidx.appcompat.widget.SearchView$SearchAutoComplete$a */
        public class C0042a implements Runnable {
            public C0042a() {
            }

            public void run() {
                SearchAutoComplete searchAutoComplete = SearchAutoComplete.this;
                if (searchAutoComplete.f335g) {
                    ((InputMethodManager) searchAutoComplete.getContext().getSystemService("input_method")).showSoftInput(searchAutoComplete, 0);
                    searchAutoComplete.f335g = false;
                }
            }
        }

        public SearchAutoComplete(Context context) {
            this(context, (AttributeSet) null);
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int i = configuration.screenWidthDp;
            int i2 = configuration.screenHeightDp;
            if (i >= 960 && i2 >= 720 && configuration.orientation == 2) {
                return AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH;
            }
            if (i < 600) {
                return (i < 640 || i2 < 480) ? 160 : 192;
            }
            return 192;
        }

        public boolean enoughToFilter() {
            return this.f333e <= 0 || super.enoughToFilter();
        }

        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.f335g) {
                removeCallbacks(this.f336h);
                post(this.f336h);
            }
            return onCreateInputConnection;
        }

        public void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, (float) getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        public void onFocusChanged(boolean z, int i, Rect rect) {
            super.onFocusChanged(z, i, rect);
            SearchView searchView = this.f334f;
            searchView.mo285b(searchView.f300R);
            searchView.post(searchView.f314i0);
            if (searchView.f322q.hasFocus()) {
                searchView.mo290d();
            }
        }

        public boolean onKeyPreIme(int i, KeyEvent keyEvent) {
            if (i == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f334f.clearFocus();
                        setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i, keyEvent);
        }

        public void onWindowFocusChanged(boolean z) {
            Method method;
            super.onWindowFocusChanged(z);
            if (z && this.f334f.hasFocus() && getVisibility() == 0) {
                this.f335g = true;
                if (SearchView.m189a(getContext()) && (method = SearchView.f282r0.f350c) != null) {
                    try {
                        method.invoke(this, new Object[]{true});
                    } catch (Exception unused) {
                    }
                }
            }
        }

        public void performCompletion() {
        }

        public void replaceText(CharSequence charSequence) {
        }

        public void setImeVisibility(boolean z) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z) {
                this.f335g = false;
                removeCallbacks(this.f336h);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (inputMethodManager.isActive(this)) {
                this.f335g = false;
                removeCallbacks(this.f336h);
                inputMethodManager.showSoftInput(this, 0);
            } else {
                this.f335g = true;
            }
        }

        public void setSearchView(SearchView searchView) {
            this.f334f = searchView;
        }

        public void setThreshold(int i) {
            super.setThreshold(i);
            this.f333e = i;
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, C0181a.autoCompleteTextViewStyle);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
            this.f336h = new C0042a();
            this.f333e = getThreshold();
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$a */
    public class C0043a implements TextWatcher {
        public C0043a() {
        }

        public void afterTextChanged(Editable editable) {
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            SearchView searchView = SearchView.this;
            Editable text = searchView.f322q.getText();
            searchView.f309d0 = text;
            boolean z = !TextUtils.isEmpty(text);
            searchView.mo283a(z);
            searchView.mo287c(!z);
            searchView.mo302h();
            searchView.mo305k();
            if (searchView.f294L != null && !TextUtils.equals(charSequence, searchView.f308c0)) {
                searchView.f294L.mo353a(charSequence.toString());
            }
            searchView.f308c0 = charSequence.toString();
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$b */
    public class C0044b implements Runnable {
        public C0044b() {
        }

        public void run() {
            SearchView.this.mo303i();
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$c */
    public class C0045c implements Runnable {
        public C0045c() {
        }

        public void run() {
            CursorAdapter aVar = SearchView.this.f301S;
            if (aVar instanceof SuggestionsAdapter) {
                aVar.mo2479a((Cursor) null);
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$d */
    public class C0046d implements View.OnFocusChangeListener {
        public C0046d() {
        }

        public void onFocusChange(View view, boolean z) {
            SearchView searchView = SearchView.this;
            View.OnFocusChangeListener onFocusChangeListener = searchView.f296N;
            if (onFocusChangeListener != null) {
                onFocusChangeListener.onFocusChange(searchView, z);
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$e */
    public class C0047e implements View.OnLayoutChangeListener {
        public C0047e() {
        }

        public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
            int i9;
            int i10;
            SearchView searchView = SearchView.this;
            if (searchView.f331y.getWidth() > 1) {
                Resources resources = searchView.getContext().getResources();
                int paddingLeft = searchView.f325s.getPaddingLeft();
                Rect rect = new Rect();
                boolean a = ViewUtils.m1304a(searchView);
                if (searchView.f299Q) {
                    i9 = resources.getDimensionPixelSize(C0184d.abc_dropdownitem_text_padding_left) + resources.getDimensionPixelSize(C0184d.abc_dropdownitem_icon_width);
                } else {
                    i9 = 0;
                }
                searchView.f322q.getDropDownBackground().getPadding(rect);
                if (a) {
                    i10 = -rect.left;
                } else {
                    i10 = paddingLeft - (rect.left + i9);
                }
                searchView.f322q.setDropDownHorizontalOffset(i10);
                searchView.f322q.setDropDownWidth((((searchView.f331y.getWidth() + rect.left) + rect.right) + i9) - paddingLeft);
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$f */
    public class C0048f implements View.OnClickListener {
        public C0048f() {
        }

        public void onClick(View view) {
            String str;
            SearchView searchView = SearchView.this;
            if (view == searchView.f327u) {
                searchView.mo292f();
            } else if (view == searchView.f329w) {
                searchView.mo291e();
            } else if (view == searchView.f328v) {
                searchView.mo293g();
            } else if (view == searchView.f330x) {
                SearchableInfo searchableInfo = searchView.f312g0;
                if (searchableInfo != null) {
                    try {
                        if (searchableInfo.getVoiceSearchLaunchWebSearch()) {
                            Intent intent = new Intent(searchView.f291I);
                            ComponentName searchActivity = searchableInfo.getSearchActivity();
                            if (searchActivity == null) {
                                str = null;
                            } else {
                                str = searchActivity.flattenToShortString();
                            }
                            intent.putExtra("calling_package", str);
                            searchView.getContext().startActivity(intent);
                        } else if (searchableInfo.getVoiceSearchLaunchRecognizer()) {
                            searchView.getContext().startActivity(searchView.mo278a(searchView.f292J, searchableInfo));
                        }
                    } catch (ActivityNotFoundException unused) {
                        Log.w("SearchView", "Could not find voice search activity");
                    }
                }
            } else if (view == searchView.f322q) {
                searchView.mo290d();
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$g */
    public class C0049g implements View.OnKeyListener {
        public C0049g() {
        }

        public boolean onKey(View view, int i, KeyEvent keyEvent) {
            int i2;
            SearchView searchView = SearchView.this;
            if (searchView.f312g0 == null) {
                return false;
            }
            if (!searchView.f322q.isPopupShowing() || SearchView.this.f322q.getListSelection() == -1) {
                if ((TextUtils.getTrimmedLength(SearchView.this.f322q.getText()) == 0) || !keyEvent.hasNoModifiers() || keyEvent.getAction() != 1 || i != 66) {
                    return false;
                }
                view.cancelLongPress();
                SearchView searchView2 = SearchView.this;
                searchView2.mo281a(0, (String) null, searchView2.f322q.getText().toString());
                return true;
            }
            SearchView searchView3 = SearchView.this;
            if (searchView3.f312g0 == null || searchView3.f301S == null || keyEvent.getAction() != 0 || !keyEvent.hasNoModifiers()) {
                return false;
            }
            if (i == 66 || i == 84 || i == 61) {
                return searchView3.mo286b(searchView3.f322q.getListSelection());
            }
            if (i == 21 || i == 22) {
                if (i == 21) {
                    i2 = 0;
                } else {
                    i2 = searchView3.f322q.length();
                }
                searchView3.f322q.setSelection(i2);
                searchView3.f322q.setListSelection(0);
                searchView3.f322q.clearListSelection();
                C0053k kVar = SearchView.f282r0;
                SearchAutoComplete searchAutoComplete = searchView3.f322q;
                Method method = kVar.f350c;
                if (method != null) {
                    try {
                        method.invoke(searchAutoComplete, new Object[]{true});
                    } catch (Exception unused) {
                    }
                }
                return true;
            } else if (i != 19) {
                return false;
            } else {
                int listSelection = searchView3.f322q.getListSelection();
                return false;
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$h */
    public class C0050h implements TextView.OnEditorActionListener {
        public C0050h() {
        }

        public boolean onEditorAction(TextView textView, int i, KeyEvent keyEvent) {
            SearchView.this.mo293g();
            return true;
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$i */
    public class C0051i implements AdapterView.OnItemClickListener {
        public C0051i() {
        }

        public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
            SearchView.this.mo286b(i);
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$j */
    public class C0052j implements AdapterView.OnItemSelectedListener {
        public C0052j() {
        }

        public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
            SearchView.this.mo288c(i);
        }

        public void onNothingSelected(AdapterView<?> adapterView) {
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$k */
    public static class C0053k {

        /* renamed from: a */
        public Method f348a;

        /* renamed from: b */
        public Method f349b;

        /* renamed from: c */
        public Method f350c;

        public C0053k() {
            try {
                Method declaredMethod = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", new Class[0]);
                this.f348a = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                Method declaredMethod2 = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", new Class[0]);
                this.f349b = declaredMethod2;
                declaredMethod2.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            Class<AutoCompleteTextView> cls = AutoCompleteTextView.class;
            try {
                Method method = cls.getMethod("ensureImeVisible", new Class[]{Boolean.TYPE});
                this.f350c = method;
                method.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$l */
    public interface C0054l {
        /* renamed from: a */
        boolean mo352a();
    }

    /* renamed from: androidx.appcompat.widget.SearchView$m */
    public interface C0055m {
        /* renamed from: a */
        boolean mo353a(String str);

        /* renamed from: b */
        boolean mo354b(String str);
    }

    /* renamed from: androidx.appcompat.widget.SearchView$n */
    public interface C0056n {
        /* renamed from: a */
        boolean mo355a(int i);

        /* renamed from: b */
        boolean mo356b(int i);
    }

    /* renamed from: androidx.appcompat.widget.SearchView$o */
    public static class C0057o extends AbsSavedState {
        public static final Parcelable.Creator<C0057o> CREATOR = new C0058a();

        /* renamed from: d */
        public boolean f351d;

        /* renamed from: androidx.appcompat.widget.SearchView$o$a */
        public static class C0058a implements Parcelable.ClassLoaderCreator<C0057o> {
            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C0057o(parcel, classLoader);
            }

            public Object[] newArray(int i) {
                return new C0057o[i];
            }

            public Object createFromParcel(Parcel parcel) {
                return new C0057o(parcel, (ClassLoader) null);
            }
        }

        public C0057o(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            StringBuilder a = outline.m2937a("SearchView.SavedState{");
            a.append(Integer.toHexString(System.identityHashCode(this)));
            a.append(" isIconified=");
            a.append(this.f351d);
            a.append("}");
            return a.toString();
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeParcelable(this.f2617b, i);
            parcel.writeValue(Boolean.valueOf(this.f351d));
        }

        public C0057o(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f351d = ((Boolean) parcel.readValue((ClassLoader) null)).booleanValue();
        }
    }

    /* renamed from: androidx.appcompat.widget.SearchView$p */
    public static class C0059p extends TouchDelegate {

        /* renamed from: a */
        public final View f352a;

        /* renamed from: b */
        public final Rect f353b = new Rect();

        /* renamed from: c */
        public final Rect f354c = new Rect();

        /* renamed from: d */
        public final Rect f355d = new Rect();

        /* renamed from: e */
        public final int f356e;

        /* renamed from: f */
        public boolean f357f;

        public C0059p(Rect rect, Rect rect2, View view) {
            super(rect, view);
            this.f356e = ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
            mo362a(rect, rect2);
            this.f352a = view;
        }

        /* renamed from: a */
        public void mo362a(Rect rect, Rect rect2) {
            this.f353b.set(rect);
            this.f355d.set(rect);
            Rect rect3 = this.f355d;
            int i = this.f356e;
            rect3.inset(-i, -i);
            this.f354c.set(rect2);
        }

        /* JADX WARNING: Removed duplicated region for block: B:19:0x0041  */
        /* JADX WARNING: Removed duplicated region for block: B:26:? A[RETURN, SYNTHETIC] */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public boolean onTouchEvent(android.view.MotionEvent r8) {
            /*
                r7 = this;
                float r0 = r8.getX()
                int r0 = (int) r0
                float r1 = r8.getY()
                int r1 = (int) r1
                int r2 = r8.getAction()
                r3 = 2
                r4 = 1
                r5 = 0
                if (r2 == 0) goto L_0x0032
                if (r2 == r4) goto L_0x0020
                if (r2 == r3) goto L_0x0020
                r6 = 3
                if (r2 == r6) goto L_0x001b
                goto L_0x003d
            L_0x001b:
                boolean r2 = r7.f357f
                r7.f357f = r5
                goto L_0x002f
            L_0x0020:
                boolean r2 = r7.f357f
                if (r2 == 0) goto L_0x002f
                android.graphics.Rect r6 = r7.f355d
                boolean r6 = r6.contains(r0, r1)
                if (r6 != 0) goto L_0x002f
                r4 = r2
                r2 = 0
                goto L_0x003f
            L_0x002f:
                r4 = r2
            L_0x0030:
                r2 = 1
                goto L_0x003f
            L_0x0032:
                android.graphics.Rect r2 = r7.f353b
                boolean r2 = r2.contains(r0, r1)
                if (r2 == 0) goto L_0x003d
                r7.f357f = r4
                goto L_0x0030
            L_0x003d:
                r2 = 1
                r4 = 0
            L_0x003f:
                if (r4 == 0) goto L_0x0072
                if (r2 == 0) goto L_0x005f
                android.graphics.Rect r2 = r7.f354c
                boolean r2 = r2.contains(r0, r1)
                if (r2 != 0) goto L_0x005f
                android.view.View r0 = r7.f352a
                int r0 = r0.getWidth()
                int r0 = r0 / r3
                float r0 = (float) r0
                android.view.View r1 = r7.f352a
                int r1 = r1.getHeight()
                int r1 = r1 / r3
                float r1 = (float) r1
                r8.setLocation(r0, r1)
                goto L_0x006c
            L_0x005f:
                android.graphics.Rect r2 = r7.f354c
                int r3 = r2.left
                int r0 = r0 - r3
                float r0 = (float) r0
                int r2 = r2.top
                int r1 = r1 - r2
                float r1 = (float) r1
                r8.setLocation(r0, r1)
            L_0x006c:
                android.view.View r0 = r7.f352a
                boolean r5 = r0.dispatchTouchEvent(r8)
            L_0x0072:
                return r5
            */
            throw new UnsupportedOperationException("Method not decompiled: androidx.appcompat.widget.SearchView.C0059p.onTouchEvent(android.view.MotionEvent):boolean");
        }
    }

    public SearchView(Context context) {
        this(context, (AttributeSet) null);
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(C0184d.abc_search_view_preferred_height);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(C0184d.abc_search_view_preferred_width);
    }

    private void setQuery(CharSequence charSequence) {
        this.f322q.setText(charSequence);
        this.f322q.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x001e, code lost:
        if (r2.f307b0 == false) goto L_0x0023;
     */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo283a(boolean r3) {
        /*
            r2 = this;
            boolean r0 = r2.f302T
            r1 = 0
            if (r0 == 0) goto L_0x0021
            if (r0 != 0) goto L_0x000b
            boolean r0 = r2.f307b0
            if (r0 == 0) goto L_0x0011
        L_0x000b:
            boolean r0 = r2.f300R
            if (r0 != 0) goto L_0x0011
            r0 = 1
            goto L_0x0012
        L_0x0011:
            r0 = 0
        L_0x0012:
            if (r0 == 0) goto L_0x0021
            boolean r0 = r2.hasFocus()
            if (r0 == 0) goto L_0x0021
            if (r3 != 0) goto L_0x0023
            boolean r3 = r2.f307b0
            if (r3 != 0) goto L_0x0021
            goto L_0x0023
        L_0x0021:
            r1 = 8
        L_0x0023:
            android.widget.ImageView r3 = r2.f328v
            r3.setVisibility(r1)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.appcompat.widget.SearchView.mo283a(boolean):void");
    }

    /* renamed from: b */
    public void mo284b() {
        this.f322q.setText("");
        SearchAutoComplete searchAutoComplete = this.f322q;
        searchAutoComplete.setSelection(searchAutoComplete.length());
        this.f309d0 = "";
        clearFocus();
        mo285b(true);
        this.f322q.setImeOptions(this.f311f0);
        this.f310e0 = false;
    }

    /* renamed from: c */
    public final void mo287c(boolean z) {
        int i = 8;
        if (this.f307b0 && !this.f300R && z) {
            this.f328v.setVisibility(8);
            i = 0;
        }
        this.f330x.setVisibility(i);
    }

    public void clearFocus() {
        this.f305W = true;
        super.clearFocus();
        this.f322q.clearFocus();
        this.f322q.setImeVisibility(false);
        this.f305W = false;
    }

    /* renamed from: d */
    public void mo290d() {
        if (Build.VERSION.SDK_INT >= 29) {
            this.f322q.refreshAutoCompleteResults();
            return;
        }
        C0053k kVar = f282r0;
        SearchAutoComplete searchAutoComplete = this.f322q;
        Method method = kVar.f348a;
        if (method != null) {
            try {
                method.invoke(searchAutoComplete, new Object[0]);
            } catch (Exception unused) {
            }
        }
        C0053k kVar2 = f282r0;
        SearchAutoComplete searchAutoComplete2 = this.f322q;
        Method method2 = kVar2.f349b;
        if (method2 != null) {
            try {
                method2.invoke(searchAutoComplete2, new Object[0]);
            } catch (Exception unused2) {
            }
        }
    }

    /* renamed from: e */
    public void mo291e() {
        if (!TextUtils.isEmpty(this.f322q.getText())) {
            this.f322q.setText("");
            this.f322q.requestFocus();
            this.f322q.setImeVisibility(true);
        } else if (this.f299Q) {
            C0054l lVar = this.f295M;
            if (lVar == null || !lVar.mo352a()) {
                clearFocus();
                mo285b(true);
            }
        }
    }

    /* renamed from: f */
    public void mo292f() {
        mo285b(false);
        this.f322q.requestFocus();
        this.f322q.setImeVisibility(true);
        View.OnClickListener onClickListener = this.f298P;
        if (onClickListener != null) {
            onClickListener.onClick(this);
        }
    }

    /* renamed from: g */
    public void mo293g() {
        Editable text = this.f322q.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            C0055m mVar = this.f294L;
            if (mVar == null || !mVar.mo354b(text.toString())) {
                if (this.f312g0 != null) {
                    mo281a(0, (String) null, text.toString());
                }
                this.f322q.setImeVisibility(false);
                this.f322q.dismissDropDown();
            }
        }
    }

    public int getImeOptions() {
        return this.f322q.getImeOptions();
    }

    public int getInputType() {
        return this.f322q.getInputType();
    }

    public int getMaxWidth() {
        return this.f306a0;
    }

    public CharSequence getQuery() {
        return this.f322q.getText();
    }

    public CharSequence getQueryHint() {
        CharSequence charSequence = this.f303U;
        if (charSequence != null) {
            return charSequence;
        }
        SearchableInfo searchableInfo = this.f312g0;
        if (searchableInfo == null || searchableInfo.getHintId() == 0) {
            return this.f293K;
        }
        return getContext().getText(this.f312g0.getHintId());
    }

    public int getSuggestionCommitIconResId() {
        return this.f290H;
    }

    public int getSuggestionRowLayout() {
        return this.f289G;
    }

    public CursorAdapter getSuggestionsAdapter() {
        return this.f301S;
    }

    /* renamed from: h */
    public final void mo302h() {
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.f322q.getText());
        int i = 0;
        if (!z2 && (!this.f299Q || this.f310e0)) {
            z = false;
        }
        ImageView imageView = this.f329w;
        if (!z) {
            i = 8;
        }
        imageView.setVisibility(i);
        Drawable drawable = this.f329w.getDrawable();
        if (drawable != null) {
            drawable.setState(z2 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    /* renamed from: i */
    public void mo303i() {
        int[] iArr = this.f322q.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.f325s.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.f326t.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    /* renamed from: j */
    public final void mo304j() {
        SpannableStringBuilder queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.f322q;
        if (queryHint == null) {
            queryHint = "";
        }
        if (this.f299Q && this.f288F != null) {
            int textSize = (int) (((double) this.f322q.getTextSize()) * 1.25d);
            this.f288F.setBounds(0, 0, textSize, textSize);
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
            spannableStringBuilder.setSpan(new ImageSpan(this.f288F), 1, 2, 33);
            spannableStringBuilder.append(queryHint);
            queryHint = spannableStringBuilder;
        }
        searchAutoComplete.setHint(queryHint);
    }

    /* renamed from: k */
    public final void mo305k() {
        int i = 0;
        if (!((this.f302T || this.f307b0) && !this.f300R) || !(this.f328v.getVisibility() == 0 || this.f330x.getVisibility() == 0)) {
            i = 8;
        }
        this.f326t.setVisibility(i);
    }

    public void onDetachedFromWindow() {
        removeCallbacks(this.f314i0);
        post(this.f315j0);
        super.onDetachedFromWindow();
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (z) {
            SearchAutoComplete searchAutoComplete = this.f322q;
            Rect rect = this.f283A;
            searchAutoComplete.getLocationInWindow(this.f285C);
            getLocationInWindow(this.f286D);
            int[] iArr = this.f285C;
            int i5 = iArr[1];
            int[] iArr2 = this.f286D;
            int i6 = i5 - iArr2[1];
            int i7 = iArr[0] - iArr2[0];
            rect.set(i7, i6, searchAutoComplete.getWidth() + i7, searchAutoComplete.getHeight() + i6);
            Rect rect2 = this.f284B;
            Rect rect3 = this.f283A;
            rect2.set(rect3.left, 0, rect3.right, i4 - i2);
            C0059p pVar = this.f332z;
            if (pVar == null) {
                C0059p pVar2 = new C0059p(this.f284B, this.f283A, this.f322q);
                this.f332z = pVar2;
                setTouchDelegate(pVar2);
                return;
            }
            pVar.mo362a(this.f284B, this.f283A);
        }
    }

    public void onMeasure(int i, int i2) {
        int i3;
        if (this.f300R) {
            super.onMeasure(i, i2);
            return;
        }
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        if (mode == Integer.MIN_VALUE) {
            int i4 = this.f306a0;
            size = i4 > 0 ? Math.min(i4, size) : Math.min(getPreferredWidth(), size);
        } else if (mode == 0) {
            size = this.f306a0;
            if (size <= 0) {
                size = getPreferredWidth();
            }
        } else if (mode == 1073741824 && (i3 = this.f306a0) > 0) {
            size = Math.min(i3, size);
        }
        int mode2 = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        if (mode2 == Integer.MIN_VALUE) {
            size2 = Math.min(getPreferredHeight(), size2);
        } else if (mode2 == 0) {
            size2 = getPreferredHeight();
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof C0057o)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        C0057o oVar = (C0057o) parcelable;
        super.onRestoreInstanceState(oVar.f2617b);
        mo285b(oVar.f351d);
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        C0057o oVar = new C0057o(super.onSaveInstanceState());
        oVar.f351d = this.f300R;
        return oVar;
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        post(this.f314i0);
    }

    public boolean requestFocus(int i, Rect rect) {
        if (this.f305W || !isFocusable()) {
            return false;
        }
        if (this.f300R) {
            return super.requestFocus(i, rect);
        }
        boolean requestFocus = this.f322q.requestFocus(i, rect);
        if (requestFocus) {
            mo285b(false);
        }
        return requestFocus;
    }

    public void setAppSearchData(Bundle bundle) {
        this.f313h0 = bundle;
    }

    public void setIconified(boolean z) {
        if (z) {
            mo291e();
        } else {
            mo292f();
        }
    }

    public void setIconifiedByDefault(boolean z) {
        if (this.f299Q != z) {
            this.f299Q = z;
            mo285b(z);
            mo304j();
        }
    }

    public void setImeOptions(int i) {
        this.f322q.setImeOptions(i);
    }

    public void setInputType(int i) {
        this.f322q.setInputType(i);
    }

    public void setMaxWidth(int i) {
        this.f306a0 = i;
        requestLayout();
    }

    public void setOnCloseListener(C0054l lVar) {
        this.f295M = lVar;
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.f296N = onFocusChangeListener;
    }

    public void setOnQueryTextListener(C0055m mVar) {
        this.f294L = mVar;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.f298P = onClickListener;
    }

    public void setOnSuggestionListener(C0056n nVar) {
        this.f297O = nVar;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.f303U = charSequence;
        mo304j();
    }

    public void setQueryRefinementEnabled(boolean z) {
        this.f304V = z;
        CursorAdapter aVar = this.f301S;
        if (aVar instanceof SuggestionsAdapter) {
            ((SuggestionsAdapter) aVar).f1730s = z ? 2 : 1;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x009c, code lost:
        if (getContext().getPackageManager().resolveActivity(r2, p262g.AsyncTimeout.TIMEOUT_WRITE_SIZE) != null) goto L_0x00a0;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void setSearchableInfo(android.app.SearchableInfo r7) {
        /*
            r6 = this;
            r6.f312g0 = r7
            r0 = 1
            r1 = 65536(0x10000, float:9.18355E-41)
            r2 = 0
            if (r7 == 0) goto L_0x006e
            androidx.appcompat.widget.SearchView$SearchAutoComplete r3 = r6.f322q
            int r7 = r7.getSuggestThreshold()
            r3.setThreshold(r7)
            androidx.appcompat.widget.SearchView$SearchAutoComplete r7 = r6.f322q
            android.app.SearchableInfo r3 = r6.f312g0
            int r3 = r3.getImeOptions()
            r7.setImeOptions(r3)
            android.app.SearchableInfo r7 = r6.f312g0
            int r7 = r7.getInputType()
            r3 = r7 & 15
            if (r3 != r0) goto L_0x0036
            r3 = -65537(0xfffffffffffeffff, float:NaN)
            r7 = r7 & r3
            android.app.SearchableInfo r3 = r6.f312g0
            java.lang.String r3 = r3.getSuggestAuthority()
            if (r3 == 0) goto L_0x0036
            r7 = r7 | r1
            r3 = 524288(0x80000, float:7.34684E-40)
            r7 = r7 | r3
        L_0x0036:
            androidx.appcompat.widget.SearchView$SearchAutoComplete r3 = r6.f322q
            r3.setInputType(r7)
            b.i.a.a r7 = r6.f301S
            if (r7 == 0) goto L_0x0042
            r7.mo2479a(r2)
        L_0x0042:
            android.app.SearchableInfo r7 = r6.f312g0
            java.lang.String r7 = r7.getSuggestAuthority()
            if (r7 == 0) goto L_0x006b
            b.b.p.r0 r7 = new b.b.p.r0
            android.content.Context r3 = r6.getContext()
            android.app.SearchableInfo r4 = r6.f312g0
            java.util.WeakHashMap<java.lang.String, android.graphics.drawable.Drawable$ConstantState> r5 = r6.f316k0
            r7.<init>(r3, r6, r4, r5)
            r6.f301S = r7
            androidx.appcompat.widget.SearchView$SearchAutoComplete r3 = r6.f322q
            r3.setAdapter(r7)
            b.i.a.a r7 = r6.f301S
            b.b.p.r0 r7 = (p008b.p010b.p019p.SuggestionsAdapter) r7
            boolean r3 = r6.f304V
            if (r3 == 0) goto L_0x0068
            r3 = 2
            goto L_0x0069
        L_0x0068:
            r3 = 1
        L_0x0069:
            r7.f1730s = r3
        L_0x006b:
            r6.mo304j()
        L_0x006e:
            android.app.SearchableInfo r7 = r6.f312g0
            r3 = 0
            if (r7 == 0) goto L_0x009f
            boolean r7 = r7.getVoiceSearchEnabled()
            if (r7 == 0) goto L_0x009f
            android.app.SearchableInfo r7 = r6.f312g0
            boolean r7 = r7.getVoiceSearchLaunchWebSearch()
            if (r7 == 0) goto L_0x0084
            android.content.Intent r2 = r6.f291I
            goto L_0x008e
        L_0x0084:
            android.app.SearchableInfo r7 = r6.f312g0
            boolean r7 = r7.getVoiceSearchLaunchRecognizer()
            if (r7 == 0) goto L_0x008e
            android.content.Intent r2 = r6.f292J
        L_0x008e:
            if (r2 == 0) goto L_0x009f
            android.content.Context r7 = r6.getContext()
            android.content.pm.PackageManager r7 = r7.getPackageManager()
            android.content.pm.ResolveInfo r7 = r7.resolveActivity(r2, r1)
            if (r7 == 0) goto L_0x009f
            goto L_0x00a0
        L_0x009f:
            r0 = 0
        L_0x00a0:
            r6.f307b0 = r0
            if (r0 == 0) goto L_0x00ab
            androidx.appcompat.widget.SearchView$SearchAutoComplete r7 = r6.f322q
            java.lang.String r0 = "nm"
            r7.setPrivateImeOptions(r0)
        L_0x00ab:
            boolean r7 = r6.f300R
            r6.mo285b((boolean) r7)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.appcompat.widget.SearchView.setSearchableInfo(android.app.SearchableInfo):void");
    }

    public void setSubmitButtonEnabled(boolean z) {
        this.f302T = z;
        mo285b(this.f300R);
    }

    public void setSuggestionsAdapter(CursorAdapter aVar) {
        this.f301S = aVar;
        this.f322q.setAdapter(aVar);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0181a.searchViewStyle);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f283A = new Rect();
        this.f284B = new Rect();
        this.f285C = new int[2];
        this.f286D = new int[2];
        this.f314i0 = new C0044b();
        this.f315j0 = new C0045c();
        this.f316k0 = new WeakHashMap<>();
        this.f317l0 = new C0048f();
        this.f318m0 = new C0049g();
        this.f319n0 = new C0050h();
        this.f320o0 = new C0051i();
        this.f321p0 = new C0052j();
        this.f323q0 = new C0043a();
        TintTypedArray x0Var = new TintTypedArray(context, context.obtainStyledAttributes(attributeSet, C0190j.SearchView, i, 0));
        LayoutInflater.from(context).inflate(x0Var.mo2576f(C0190j.SearchView_layout, C0187g.abc_search_view), this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(C0186f.search_src_text);
        this.f322q = searchAutoComplete;
        searchAutoComplete.setSearchView(this);
        this.f324r = findViewById(C0186f.search_edit_frame);
        this.f325s = findViewById(C0186f.search_plate);
        this.f326t = findViewById(C0186f.submit_area);
        this.f327u = (ImageView) findViewById(C0186f.search_button);
        this.f328v = (ImageView) findViewById(C0186f.search_go_btn);
        this.f329w = (ImageView) findViewById(C0186f.search_close_btn);
        this.f330x = (ImageView) findViewById(C0186f.search_voice_btn);
        this.f287E = (ImageView) findViewById(C0186f.search_mag_icon);
        ViewCompat.m1937a(this.f325s, x0Var.mo2569b(C0190j.SearchView_queryBackground));
        this.f326t.setBackground(x0Var.mo2569b(C0190j.SearchView_submitBackground));
        this.f327u.setImageDrawable(x0Var.mo2569b(C0190j.SearchView_searchIcon));
        this.f328v.setImageDrawable(x0Var.mo2569b(C0190j.SearchView_goIcon));
        this.f329w.setImageDrawable(x0Var.mo2569b(C0190j.SearchView_closeIcon));
        this.f330x.setImageDrawable(x0Var.mo2569b(C0190j.SearchView_voiceIcon));
        this.f287E.setImageDrawable(x0Var.mo2569b(C0190j.SearchView_searchIcon));
        this.f288F = x0Var.mo2569b(C0190j.SearchView_searchHintIcon);
        MediaDescriptionCompatApi21.m56a((View) this.f327u, (CharSequence) getResources().getString(C0188h.abc_searchview_description_search));
        this.f289G = x0Var.mo2576f(C0190j.SearchView_suggestionRowLayout, C0187g.abc_search_dropdown_item_icons_2line);
        this.f290H = x0Var.mo2576f(C0190j.SearchView_commitIcon, 0);
        this.f327u.setOnClickListener(this.f317l0);
        this.f329w.setOnClickListener(this.f317l0);
        this.f328v.setOnClickListener(this.f317l0);
        this.f330x.setOnClickListener(this.f317l0);
        this.f322q.setOnClickListener(this.f317l0);
        this.f322q.addTextChangedListener(this.f323q0);
        this.f322q.setOnEditorActionListener(this.f319n0);
        this.f322q.setOnItemClickListener(this.f320o0);
        this.f322q.setOnItemSelectedListener(this.f321p0);
        this.f322q.setOnKeyListener(this.f318m0);
        this.f322q.setOnFocusChangeListener(new C0046d());
        setIconifiedByDefault(x0Var.mo2567a(C0190j.SearchView_iconifiedByDefault, true));
        int c = x0Var.mo2570c(C0190j.SearchView_android_maxWidth, -1);
        if (c != -1) {
            setMaxWidth(c);
        }
        this.f293K = x0Var.mo2575e(C0190j.SearchView_defaultQueryHint);
        this.f303U = x0Var.mo2575e(C0190j.SearchView_queryHint);
        int d = x0Var.mo2572d(C0190j.SearchView_android_imeOptions, -1);
        if (d != -1) {
            setImeOptions(d);
        }
        int d2 = x0Var.mo2572d(C0190j.SearchView_android_inputType, -1);
        if (d2 != -1) {
            setInputType(d2);
        }
        setFocusable(x0Var.mo2567a(C0190j.SearchView_android_focusable, true));
        x0Var.f1794b.recycle();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        this.f291I = intent;
        intent.addFlags(268435456);
        this.f291I.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        Intent intent2 = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.f292J = intent2;
        intent2.addFlags(268435456);
        View findViewById = findViewById(this.f322q.getDropDownAnchor());
        this.f331y = findViewById;
        if (findViewById != null) {
            findViewById.addOnLayoutChangeListener(new C0047e());
        }
        mo285b(this.f299Q);
        mo304j();
    }

    /* renamed from: c */
    public boolean mo288c(int i) {
        C0056n nVar = this.f297O;
        if (nVar != null && nVar.mo355a(i)) {
            return false;
        }
        Editable text = this.f322q.getText();
        Cursor cursor = this.f301S.f2604d;
        if (cursor == null) {
            return true;
        }
        if (cursor.moveToPosition(i)) {
            CharSequence b = this.f301S.mo2481b(cursor);
            if (b != null) {
                setQuery(b);
                return true;
            }
            setQuery(text);
            return true;
        }
        setQuery(text);
        return true;
    }

    /* renamed from: a */
    public void mo282a(CharSequence charSequence) {
        setQuery(charSequence);
    }

    /* renamed from: a */
    public void mo280a() {
        if (!this.f310e0) {
            this.f310e0 = true;
            int imeOptions = this.f322q.getImeOptions();
            this.f311f0 = imeOptions;
            this.f322q.setImeOptions(imeOptions | 33554432);
            this.f322q.setText("");
            setIconified(false);
        }
    }

    /* renamed from: b */
    public final void mo285b(boolean z) {
        this.f300R = z;
        int i = 0;
        int i2 = z ? 0 : 8;
        boolean z2 = !TextUtils.isEmpty(this.f322q.getText());
        this.f327u.setVisibility(i2);
        mo283a(z2);
        this.f324r.setVisibility(z ? 8 : 0);
        if (this.f287E.getDrawable() == null || this.f299Q) {
            i = 8;
        }
        this.f287E.setVisibility(i);
        mo302h();
        mo287c(!z2);
        mo305k();
    }

    /* renamed from: a */
    public void mo281a(int i, String str, String str2) {
        getContext().startActivity(mo279a("android.intent.action.SEARCH", (Uri) null, (String) null, str2, i, str));
    }

    /* renamed from: a */
    public final Intent mo279a(String str, Uri uri, String str2, String str3, int i, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.f309d0);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        Bundle bundle = this.f313h0;
        if (bundle != null) {
            intent.putExtra("app_data", bundle);
        }
        if (i != 0) {
            intent.putExtra("action_key", i);
            intent.putExtra("action_msg", str4);
        }
        intent.setComponent(this.f312g0.getSearchActivity());
        return intent;
    }

    /* renamed from: b */
    public boolean mo286b(int i) {
        int i2;
        Uri uri;
        String a;
        C0056n nVar = this.f297O;
        if (nVar != null && nVar.mo356b(i)) {
            return false;
        }
        Cursor cursor = this.f301S.f2604d;
        if (cursor != null && cursor.moveToPosition(i)) {
            Intent intent = null;
            try {
                String a2 = SuggestionsAdapter.m1392a(cursor, "suggest_intent_action");
                if (a2 == null) {
                    a2 = this.f312g0.getSuggestIntentAction();
                }
                if (a2 == null) {
                    a2 = "android.intent.action.SEARCH";
                }
                String str = a2;
                String a3 = SuggestionsAdapter.m1391a(cursor, cursor.getColumnIndex("suggest_intent_data"));
                if (a3 == null) {
                    a3 = this.f312g0.getSuggestIntentData();
                }
                if (!(a3 == null || (a = SuggestionsAdapter.m1391a(cursor, cursor.getColumnIndex("suggest_intent_data_id"))) == null)) {
                    a3 = a3 + "/" + Uri.encode(a);
                }
                if (a3 == null) {
                    uri = null;
                } else {
                    uri = Uri.parse(a3);
                }
                intent = mo279a(str, uri, SuggestionsAdapter.m1391a(cursor, cursor.getColumnIndex("suggest_intent_extra_data")), SuggestionsAdapter.m1391a(cursor, cursor.getColumnIndex("suggest_intent_query")), 0, (String) null);
            } catch (RuntimeException e) {
                try {
                    i2 = cursor.getPosition();
                } catch (RuntimeException unused) {
                    i2 = -1;
                }
                Log.w("SearchView", "Search suggestions cursor at row " + i2 + " returned exception.", e);
            }
            if (intent != null) {
                try {
                    getContext().startActivity(intent);
                } catch (RuntimeException e2) {
                    Log.e("SearchView", "Failed launch activity: " + intent, e2);
                }
            }
        }
        this.f322q.setImeVisibility(false);
        this.f322q.dismissDropDown();
        return true;
    }

    /* renamed from: a */
    public final Intent mo278a(Intent intent, SearchableInfo searchableInfo) {
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, 1073741824);
        Bundle bundle = new Bundle();
        Bundle bundle2 = this.f313h0;
        if (bundle2 != null) {
            bundle.putParcelable("app_data", bundle2);
        }
        Intent intent3 = new Intent(intent);
        int i = 1;
        Resources resources = getResources();
        String string = searchableInfo.getVoiceLanguageModeId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageModeId()) : "free_form";
        String str = null;
        String string2 = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
        String string3 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
        if (searchableInfo.getVoiceMaxResults() != 0) {
            i = searchableInfo.getVoiceMaxResults();
        }
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", string);
        intent3.putExtra("android.speech.extra.PROMPT", string2);
        intent3.putExtra("android.speech.extra.LANGUAGE", string3);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", i);
        if (searchActivity != null) {
            str = searchActivity.flattenToShortString();
        }
        intent3.putExtra("calling_package", str);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    /* renamed from: a */
    public static boolean m189a(Context context) {
        return context.getResources().getConfiguration().orientation == 2;
    }
}
