package com.globant.pasaportesanitario.flujos;

import android.util.Log;
import com.globant.pasaportesanitario.data.local.modelo.UsuarioBD;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import java.util.concurrent.Callable;
import p008b.p063o.MutableLiveData;
import p008b.p063o.ViewModel;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p229e.p230a.Single;
import p229e.p230a.p231j.p232a.AndroidSchedulers;
import p229e.p230a.p233k.CompositeDisposable;
import p229e.p230a.p235m.Consumer;
import p229e.p230a.p249p.Schedulers;

public class BaseViewModel extends ViewModel {
    public final CompositeDisposable disposables = new CompositeDisposable();
    public final LanzadorDeServicioDeRastreo lanzadorDeServicioDeRastreo;
    public MutableLiveData<Integer> lanzarDialogoPermisosLocalizacionLiveData = new MutableLiveData<>();
    public final PantallaPrincipalRepository pantallaPrincipalRepository;
    public MutableLiveData<Boolean> resultadoDialogoDePermisoDeUbicacionLivaData = new MutableLiveData<>();

    public BaseViewModel(LanzadorDeServicioDeRastreo aVar, PantallaPrincipalRepository pantallaPrincipalRepository2) {
        this.lanzadorDeServicioDeRastreo = aVar;
        this.pantallaPrincipalRepository = pantallaPrincipalRepository2;
    }

    private Callable<UsuarioBD> getUsuarioCallable() {
        return new Callable<UsuarioBD>() {
            public UsuarioBD call() throws Exception {
                return BaseViewModel.this.pantallaPrincipalRepository.getUsuario();
            }
        };
    }

    public void evaluarUltimoEstadoDelUsuario(UsuarioBD usuarioBD) {
        if (this.lanzadorDeServicioDeRastreo.mo4744b(usuarioBD)) {
            this.lanzarDialogoPermisosLocalizacionLiveData.mo973b(113);
        }
    }

    public void lanzarDialogoPermisosLocalizacion(int i) {
        this.lanzarDialogoPermisosLocalizacionLiveData.mo973b(Integer.valueOf(i));
    }

    public void lanzarServicioDeRastreo(UsuarioBD usuarioBD) {
        this.lanzadorDeServicioDeRastreo.mo4743a(usuarioBD);
    }

    public void lanzarServicoDeRastreo() {
        this.disposables.mo9153c(Single.m5579a(getUsuarioCallable()).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<UsuarioBD>() {
            public void accept(UsuarioBD usuarioBD) {
                BaseViewModel.this.lanzarServicioDeRastreo(usuarioBD);
            }
        }, new Consumer<Throwable>() {
            public void accept(Throwable th) {
                Log.d(C14162.class.getName(), "Error al obtener el usuario");
            }
        }));
    }

    public MutableLiveData<Integer> obtenerLanzarDialogoPermisosLocalizacionLiveData() {
        return this.lanzarDialogoPermisosLocalizacionLiveData;
    }

    public MutableLiveData<Boolean> obtenerResultadoDialogoDePermisoDeUbicacionLivaData() {
        return this.resultadoDialogoDePermisoDeUbicacionLivaData;
    }

    public void revisarEstadoDelUsuario(UsuarioBD usuarioBD) {
        evaluarUltimoEstadoDelUsuario(usuarioBD);
    }

    public void setResultadoDialogoCustomPermisoDeUbicacion(boolean z) {
        this.resultadoDialogoDePermisoDeUbicacionLivaData.mo973b(Boolean.valueOf(z));
    }
}
