package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.widget.ActionMenuView;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import java.util.List;
import p008b.p010b.C0181a;
import p008b.p010b.C0190j;
import p008b.p010b.p011k.ActionBar;
import p008b.p010b.p012l.p013a.AppCompatResources;
import p008b.p010b.p017o.CollapsibleActionView;
import p008b.p010b.p017o.SupportMenuInflater;
import p008b.p010b.p017o.p018i.MenuBuilder;
import p008b.p010b.p017o.p018i.MenuItemImpl;
import p008b.p010b.p017o.p018i.MenuPresenter;
import p008b.p010b.p017o.p018i.SubMenuBuilder;
import p008b.p010b.p019p.ActionMenuPresenter;
import p008b.p010b.p019p.AppCompatImageButton;
import p008b.p010b.p019p.AppCompatImageView;
import p008b.p010b.p019p.AppCompatTextView;
import p008b.p010b.p019p.C0312z0;
import p008b.p010b.p019p.DecorToolbar;
import p008b.p010b.p019p.RtlSpacingHelper;
import p008b.p010b.p019p.TintTypedArray;
import p008b.p010b.p019p.ViewUtils;
import p008b.p033h.p045m.ViewCompat;
import p008b.p050j.p051a.AbsSavedState;

public class Toolbar extends ViewGroup {

    /* renamed from: A */
    public ColorStateList f358A;

    /* renamed from: B */
    public ColorStateList f359B;

    /* renamed from: C */
    public boolean f360C;

    /* renamed from: D */
    public boolean f361D;

    /* renamed from: E */
    public final ArrayList<View> f362E;

    /* renamed from: F */
    public final ArrayList<View> f363F;

    /* renamed from: G */
    public final int[] f364G;

    /* renamed from: H */
    public C0065f f365H;

    /* renamed from: I */
    public final ActionMenuView.C0040e f366I;

    /* renamed from: J */
    public C0312z0 f367J;

    /* renamed from: K */
    public ActionMenuPresenter f368K;

    /* renamed from: L */
    public C0063d f369L;

    /* renamed from: M */
    public MenuPresenter.C0264a f370M;

    /* renamed from: N */
    public MenuBuilder.C0255a f371N;

    /* renamed from: O */
    public boolean f372O;

    /* renamed from: P */
    public final Runnable f373P;

    /* renamed from: b */
    public ActionMenuView f374b;

    /* renamed from: c */
    public TextView f375c;

    /* renamed from: d */
    public TextView f376d;

    /* renamed from: e */
    public ImageButton f377e;

    /* renamed from: f */
    public ImageView f378f;

    /* renamed from: g */
    public Drawable f379g;

    /* renamed from: h */
    public CharSequence f380h;

    /* renamed from: i */
    public ImageButton f381i;

    /* renamed from: j */
    public View f382j;

    /* renamed from: k */
    public Context f383k;

    /* renamed from: l */
    public int f384l;

    /* renamed from: m */
    public int f385m;

    /* renamed from: n */
    public int f386n;

    /* renamed from: o */
    public int f387o;

    /* renamed from: p */
    public int f388p;

    /* renamed from: q */
    public int f389q;

    /* renamed from: r */
    public int f390r;

    /* renamed from: s */
    public int f391s;

    /* renamed from: t */
    public int f392t;

    /* renamed from: u */
    public RtlSpacingHelper f393u;

    /* renamed from: v */
    public int f394v;

    /* renamed from: w */
    public int f395w;

    /* renamed from: x */
    public int f396x;

    /* renamed from: y */
    public CharSequence f397y;

    /* renamed from: z */
    public CharSequence f398z;

    /* renamed from: androidx.appcompat.widget.Toolbar$a */
    public class C0060a implements ActionMenuView.C0040e {
        public C0060a() {
        }
    }

    /* renamed from: androidx.appcompat.widget.Toolbar$b */
    public class C0061b implements Runnable {
        public C0061b() {
        }

        public void run() {
            Toolbar.this.mo383g();
        }
    }

    /* renamed from: androidx.appcompat.widget.Toolbar$c */
    public class C0062c implements View.OnClickListener {
        public C0062c() {
        }

        public void onClick(View view) {
            C0063d dVar = Toolbar.this.f369L;
            MenuItemImpl iVar = dVar == null ? null : dVar.f403c;
            if (iVar != null) {
                iVar.collapseActionView();
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.Toolbar$f */
    public interface C0065f {
    }

    public Toolbar(Context context) {
        this(context, (AttributeSet) null);
    }

    private MenuInflater getMenuInflater() {
        return new SupportMenuInflater(getContext());
    }

    /* renamed from: a */
    public void mo369a() {
        if (this.f381i == null) {
            AppCompatImageButton lVar = new AppCompatImageButton(getContext(), (AttributeSet) null, C0181a.toolbarNavigationButtonStyle);
            this.f381i = lVar;
            lVar.setImageDrawable(this.f379g);
            this.f381i.setContentDescription(this.f380h);
            C0064e generateDefaultLayoutParams = generateDefaultLayoutParams();
            generateDefaultLayoutParams.f962a = 8388611 | (this.f387o & 112);
            generateDefaultLayoutParams.f405b = 2;
            this.f381i.setLayoutParams(generateDefaultLayoutParams);
            this.f381i.setOnClickListener(new C0062c());
        }
    }

    /* renamed from: b */
    public final int mo374b(View view, int i, int[] iArr, int i2) {
        C0064e eVar = (C0064e) view.getLayoutParams();
        int i3 = eVar.rightMargin - iArr[1];
        int max = i - Math.max(0, i3);
        iArr[1] = Math.max(0, -i3);
        int a = mo366a(view, i2);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max - measuredWidth, a, max, view.getMeasuredHeight() + a);
        return max - (measuredWidth + eVar.leftMargin);
    }

    /* renamed from: c */
    public final void mo376c() {
        mo379d();
        ActionMenuView actionMenuView = this.f374b;
        if (actionMenuView.f251q == null) {
            MenuBuilder gVar = (MenuBuilder) actionMenuView.getMenu();
            if (this.f369L == null) {
                this.f369L = new C0063d();
            }
            this.f374b.setExpandedActionViewsExclusive(true);
            gVar.mo1948a((MenuPresenter) this.f369L, this.f383k);
        }
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof C0064e);
    }

    /* renamed from: d */
    public final void mo379d() {
        if (this.f374b == null) {
            ActionMenuView actionMenuView = new ActionMenuView(getContext());
            this.f374b = actionMenuView;
            actionMenuView.setPopupTheme(this.f384l);
            this.f374b.setOnMenuItemClickListener(this.f366I);
            ActionMenuView actionMenuView2 = this.f374b;
            MenuPresenter.C0264a aVar = this.f370M;
            MenuBuilder.C0255a aVar2 = this.f371N;
            actionMenuView2.f256v = aVar;
            actionMenuView2.f257w = aVar2;
            C0064e generateDefaultLayoutParams = generateDefaultLayoutParams();
            generateDefaultLayoutParams.f962a = 8388613 | (this.f387o & 112);
            this.f374b.setLayoutParams(generateDefaultLayoutParams);
            mo371a((View) this.f374b, false);
        }
    }

    /* renamed from: e */
    public final void mo381e() {
        if (this.f377e == null) {
            this.f377e = new AppCompatImageButton(getContext(), (AttributeSet) null, C0181a.toolbarNavigationButtonStyle);
            C0064e generateDefaultLayoutParams = generateDefaultLayoutParams();
            generateDefaultLayoutParams.f962a = 8388611 | (this.f387o & 112);
            this.f377e.setLayoutParams(generateDefaultLayoutParams);
        }
    }

    /* renamed from: f */
    public boolean mo382f() {
        ActionMenuView actionMenuView = this.f374b;
        if (actionMenuView != null) {
            ActionMenuPresenter cVar = actionMenuView.f255u;
            if (cVar != null && cVar.mo2188e()) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: g */
    public boolean mo383g() {
        ActionMenuView actionMenuView = this.f374b;
        if (actionMenuView != null) {
            ActionMenuPresenter cVar = actionMenuView.f255u;
            if (cVar != null && cVar.mo2189f()) {
                return true;
            }
        }
        return false;
    }

    public CharSequence getCollapseContentDescription() {
        ImageButton imageButton = this.f381i;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    public Drawable getCollapseIcon() {
        ImageButton imageButton = this.f381i;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    public int getContentInsetEnd() {
        RtlSpacingHelper p0Var = this.f393u;
        if (p0Var != null) {
            return p0Var.f1708g ? p0Var.f1702a : p0Var.f1703b;
        }
        return 0;
    }

    public int getContentInsetEndWithActions() {
        int i = this.f395w;
        return i != Integer.MIN_VALUE ? i : getContentInsetEnd();
    }

    public int getContentInsetLeft() {
        RtlSpacingHelper p0Var = this.f393u;
        if (p0Var != null) {
            return p0Var.f1702a;
        }
        return 0;
    }

    public int getContentInsetRight() {
        RtlSpacingHelper p0Var = this.f393u;
        if (p0Var != null) {
            return p0Var.f1703b;
        }
        return 0;
    }

    public int getContentInsetStart() {
        RtlSpacingHelper p0Var = this.f393u;
        if (p0Var != null) {
            return p0Var.f1708g ? p0Var.f1703b : p0Var.f1702a;
        }
        return 0;
    }

    public int getContentInsetStartWithNavigation() {
        int i = this.f394v;
        return i != Integer.MIN_VALUE ? i : getContentInsetStart();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:2:0x0005, code lost:
        r0 = r0.f251q;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public int getCurrentContentInsetEnd() {
        /*
            r3 = this;
            androidx.appcompat.widget.ActionMenuView r0 = r3.f374b
            r1 = 0
            if (r0 == 0) goto L_0x0011
            b.b.o.i.g r0 = r0.f251q
            if (r0 == 0) goto L_0x0011
            boolean r0 = r0.hasVisibleItems()
            if (r0 == 0) goto L_0x0011
            r0 = 1
            goto L_0x0012
        L_0x0011:
            r0 = 0
        L_0x0012:
            if (r0 == 0) goto L_0x0023
            int r0 = r3.getContentInsetEnd()
            int r2 = r3.f395w
            int r1 = java.lang.Math.max(r2, r1)
            int r0 = java.lang.Math.max(r0, r1)
            goto L_0x0027
        L_0x0023:
            int r0 = r3.getContentInsetEnd()
        L_0x0027:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.appcompat.widget.Toolbar.getCurrentContentInsetEnd():int");
    }

    public int getCurrentContentInsetLeft() {
        if (ViewCompat.m1966k(this) == 1) {
            return getCurrentContentInsetEnd();
        }
        return getCurrentContentInsetStart();
    }

    public int getCurrentContentInsetRight() {
        if (ViewCompat.m1966k(this) == 1) {
            return getCurrentContentInsetStart();
        }
        return getCurrentContentInsetEnd();
    }

    public int getCurrentContentInsetStart() {
        if (getNavigationIcon() != null) {
            return Math.max(getContentInsetStart(), Math.max(this.f394v, 0));
        }
        return getContentInsetStart();
    }

    public Drawable getLogo() {
        ImageView imageView = this.f378f;
        if (imageView != null) {
            return imageView.getDrawable();
        }
        return null;
    }

    public CharSequence getLogoDescription() {
        ImageView imageView = this.f378f;
        if (imageView != null) {
            return imageView.getContentDescription();
        }
        return null;
    }

    public Menu getMenu() {
        mo376c();
        return this.f374b.getMenu();
    }

    public CharSequence getNavigationContentDescription() {
        ImageButton imageButton = this.f377e;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    public Drawable getNavigationIcon() {
        ImageButton imageButton = this.f377e;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    public ActionMenuPresenter getOuterActionMenuPresenter() {
        return this.f368K;
    }

    public Drawable getOverflowIcon() {
        mo376c();
        return this.f374b.getOverflowIcon();
    }

    public Context getPopupContext() {
        return this.f383k;
    }

    public int getPopupTheme() {
        return this.f384l;
    }

    public CharSequence getSubtitle() {
        return this.f398z;
    }

    public final TextView getSubtitleTextView() {
        return this.f376d;
    }

    public CharSequence getTitle() {
        return this.f397y;
    }

    public int getTitleMarginBottom() {
        return this.f392t;
    }

    public int getTitleMarginEnd() {
        return this.f390r;
    }

    public int getTitleMarginStart() {
        return this.f389q;
    }

    public int getTitleMarginTop() {
        return this.f391s;
    }

    public final TextView getTitleTextView() {
        return this.f375c;
    }

    public DecorToolbar getWrapper() {
        if (this.f367J == null) {
            this.f367J = new C0312z0(this, true);
        }
        return this.f367J;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.f373P);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.f361D = false;
        }
        if (!this.f361D) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.f361D = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.f361D = false;
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:102:0x029f A[LOOP:0: B:101:0x029d->B:102:0x029f, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x02c1 A[LOOP:1: B:104:0x02bf->B:105:0x02c1, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x02e6 A[LOOP:2: B:107:0x02e4->B:108:0x02e6, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0327  */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x0338 A[LOOP:3: B:115:0x0336->B:116:0x0338, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x005f  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0076  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00b3  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0100  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0105  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x011d  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012c  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012f  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0133  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0136  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0167  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x01a5  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x01b6  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0225  */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void onLayout(boolean r20, int r21, int r22, int r23, int r24) {
        /*
            r19 = this;
            r0 = r19
            int r1 = p008b.p033h.p045m.ViewCompat.m1966k(r19)
            r2 = 1
            r3 = 0
            if (r1 != r2) goto L_0x000c
            r1 = 1
            goto L_0x000d
        L_0x000c:
            r1 = 0
        L_0x000d:
            int r4 = r19.getWidth()
            int r5 = r19.getHeight()
            int r6 = r19.getPaddingLeft()
            int r7 = r19.getPaddingRight()
            int r8 = r19.getPaddingTop()
            int r9 = r19.getPaddingBottom()
            int r10 = r4 - r7
            int[] r11 = r0.f364G
            r11[r2] = r3
            r11[r3] = r3
            int r12 = r19.getMinimumHeight()
            if (r12 < 0) goto L_0x003a
            int r13 = r24 - r22
            int r12 = java.lang.Math.min(r12, r13)
            goto L_0x003b
        L_0x003a:
            r12 = 0
        L_0x003b:
            android.widget.ImageButton r13 = r0.f377e
            boolean r13 = r0.mo380d(r13)
            if (r13 == 0) goto L_0x0055
            if (r1 == 0) goto L_0x004e
            android.widget.ImageButton r13 = r0.f377e
            int r13 = r0.mo374b(r13, r10, r11, r12)
            r14 = r13
            r13 = r6
            goto L_0x0057
        L_0x004e:
            android.widget.ImageButton r13 = r0.f377e
            int r13 = r0.mo368a(r13, r6, r11, r12)
            goto L_0x0056
        L_0x0055:
            r13 = r6
        L_0x0056:
            r14 = r10
        L_0x0057:
            android.widget.ImageButton r15 = r0.f381i
            boolean r15 = r0.mo380d(r15)
            if (r15 == 0) goto L_0x006e
            if (r1 == 0) goto L_0x0068
            android.widget.ImageButton r15 = r0.f381i
            int r14 = r0.mo374b(r15, r14, r11, r12)
            goto L_0x006e
        L_0x0068:
            android.widget.ImageButton r15 = r0.f381i
            int r13 = r0.mo368a(r15, r13, r11, r12)
        L_0x006e:
            androidx.appcompat.widget.ActionMenuView r15 = r0.f374b
            boolean r15 = r0.mo380d(r15)
            if (r15 == 0) goto L_0x0085
            if (r1 == 0) goto L_0x007f
            androidx.appcompat.widget.ActionMenuView r15 = r0.f374b
            int r13 = r0.mo368a(r15, r13, r11, r12)
            goto L_0x0085
        L_0x007f:
            androidx.appcompat.widget.ActionMenuView r15 = r0.f374b
            int r14 = r0.mo374b(r15, r14, r11, r12)
        L_0x0085:
            int r15 = r19.getCurrentContentInsetLeft()
            int r16 = r19.getCurrentContentInsetRight()
            int r2 = r15 - r13
            int r2 = java.lang.Math.max(r3, r2)
            r11[r3] = r2
            int r2 = r10 - r14
            int r2 = r16 - r2
            int r2 = java.lang.Math.max(r3, r2)
            r17 = 1
            r11[r17] = r2
            int r2 = java.lang.Math.max(r13, r15)
            int r10 = r10 - r16
            int r10 = java.lang.Math.min(r14, r10)
            android.view.View r13 = r0.f382j
            boolean r13 = r0.mo380d(r13)
            if (r13 == 0) goto L_0x00c2
            if (r1 == 0) goto L_0x00bc
            android.view.View r13 = r0.f382j
            int r10 = r0.mo374b(r13, r10, r11, r12)
            goto L_0x00c2
        L_0x00bc:
            android.view.View r13 = r0.f382j
            int r2 = r0.mo368a(r13, r2, r11, r12)
        L_0x00c2:
            android.widget.ImageView r13 = r0.f378f
            boolean r13 = r0.mo380d(r13)
            if (r13 == 0) goto L_0x00d9
            if (r1 == 0) goto L_0x00d3
            android.widget.ImageView r13 = r0.f378f
            int r10 = r0.mo374b(r13, r10, r11, r12)
            goto L_0x00d9
        L_0x00d3:
            android.widget.ImageView r13 = r0.f378f
            int r2 = r0.mo368a(r13, r2, r11, r12)
        L_0x00d9:
            android.widget.TextView r13 = r0.f375c
            boolean r13 = r0.mo380d(r13)
            android.widget.TextView r14 = r0.f376d
            boolean r14 = r0.mo380d(r14)
            if (r13 == 0) goto L_0x0100
            android.widget.TextView r15 = r0.f375c
            android.view.ViewGroup$LayoutParams r15 = r15.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r15 = (androidx.appcompat.widget.Toolbar.C0064e) r15
            int r3 = r15.topMargin
            r23 = r7
            android.widget.TextView r7 = r0.f375c
            int r7 = r7.getMeasuredHeight()
            int r7 = r7 + r3
            int r3 = r15.bottomMargin
            int r7 = r7 + r3
            r3 = 0
            int r7 = r7 + r3
            goto L_0x0103
        L_0x0100:
            r23 = r7
            r7 = 0
        L_0x0103:
            if (r14 == 0) goto L_0x011d
            android.widget.TextView r3 = r0.f376d
            android.view.ViewGroup$LayoutParams r3 = r3.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r3 = (androidx.appcompat.widget.Toolbar.C0064e) r3
            int r15 = r3.topMargin
            r16 = r4
            android.widget.TextView r4 = r0.f376d
            int r4 = r4.getMeasuredHeight()
            int r4 = r4 + r15
            int r3 = r3.bottomMargin
            int r4 = r4 + r3
            int r7 = r7 + r4
            goto L_0x011f
        L_0x011d:
            r16 = r4
        L_0x011f:
            if (r13 != 0) goto L_0x012a
            if (r14 == 0) goto L_0x0124
            goto L_0x012a
        L_0x0124:
            r18 = r6
            r22 = r12
            goto L_0x028f
        L_0x012a:
            if (r13 == 0) goto L_0x012f
            android.widget.TextView r3 = r0.f375c
            goto L_0x0131
        L_0x012f:
            android.widget.TextView r3 = r0.f376d
        L_0x0131:
            if (r14 == 0) goto L_0x0136
            android.widget.TextView r4 = r0.f376d
            goto L_0x0138
        L_0x0136:
            android.widget.TextView r4 = r0.f375c
        L_0x0138:
            android.view.ViewGroup$LayoutParams r3 = r3.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r3 = (androidx.appcompat.widget.Toolbar.C0064e) r3
            android.view.ViewGroup$LayoutParams r4 = r4.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r4 = (androidx.appcompat.widget.Toolbar.C0064e) r4
            if (r13 == 0) goto L_0x014e
            android.widget.TextView r15 = r0.f375c
            int r15 = r15.getMeasuredWidth()
            if (r15 > 0) goto L_0x0158
        L_0x014e:
            if (r14 == 0) goto L_0x015b
            android.widget.TextView r15 = r0.f376d
            int r15 = r15.getMeasuredWidth()
            if (r15 <= 0) goto L_0x015b
        L_0x0158:
            r17 = 1
            goto L_0x015d
        L_0x015b:
            r17 = 0
        L_0x015d:
            int r15 = r0.f396x
            r15 = r15 & 112(0x70, float:1.57E-43)
            r18 = r6
            r6 = 48
            if (r15 == r6) goto L_0x01a5
            r6 = 80
            if (r15 == r6) goto L_0x0197
            int r6 = r5 - r8
            int r6 = r6 - r9
            int r6 = r6 - r7
            int r6 = r6 / 2
            int r15 = r3.topMargin
            r22 = r12
            int r12 = r0.f391s
            r24 = r2
            int r2 = r15 + r12
            if (r6 >= r2) goto L_0x0180
            int r6 = r15 + r12
            goto L_0x0195
        L_0x0180:
            int r5 = r5 - r9
            int r5 = r5 - r7
            int r5 = r5 - r6
            int r5 = r5 - r8
            int r2 = r3.bottomMargin
            int r3 = r0.f392t
            int r2 = r2 + r3
            if (r5 >= r2) goto L_0x0195
            int r2 = r4.bottomMargin
            int r2 = r2 + r3
            int r2 = r2 - r5
            int r6 = r6 - r2
            r2 = 0
            int r6 = java.lang.Math.max(r2, r6)
        L_0x0195:
            int r8 = r8 + r6
            goto L_0x01b4
        L_0x0197:
            r24 = r2
            r22 = r12
            int r5 = r5 - r9
            int r2 = r4.bottomMargin
            int r5 = r5 - r2
            int r2 = r0.f392t
            int r5 = r5 - r2
            int r8 = r5 - r7
            goto L_0x01b4
        L_0x01a5:
            r24 = r2
            r22 = r12
            int r2 = r19.getPaddingTop()
            int r3 = r3.topMargin
            int r2 = r2 + r3
            int r3 = r0.f391s
            int r8 = r2 + r3
        L_0x01b4:
            if (r1 == 0) goto L_0x0225
            if (r17 == 0) goto L_0x01bb
            int r1 = r0.f389q
            goto L_0x01bc
        L_0x01bb:
            r1 = 0
        L_0x01bc:
            r2 = 1
            r3 = r11[r2]
            int r1 = r1 - r3
            r3 = 0
            int r4 = java.lang.Math.max(r3, r1)
            int r10 = r10 - r4
            int r1 = -r1
            int r1 = java.lang.Math.max(r3, r1)
            r11[r2] = r1
            if (r13 == 0) goto L_0x01f3
            android.widget.TextView r1 = r0.f375c
            android.view.ViewGroup$LayoutParams r1 = r1.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r1 = (androidx.appcompat.widget.Toolbar.C0064e) r1
            android.widget.TextView r2 = r0.f375c
            int r2 = r2.getMeasuredWidth()
            int r2 = r10 - r2
            android.widget.TextView r3 = r0.f375c
            int r3 = r3.getMeasuredHeight()
            int r3 = r3 + r8
            android.widget.TextView r4 = r0.f375c
            r4.layout(r2, r8, r10, r3)
            int r4 = r0.f390r
            int r2 = r2 - r4
            int r1 = r1.bottomMargin
            int r8 = r3 + r1
            goto L_0x01f4
        L_0x01f3:
            r2 = r10
        L_0x01f4:
            if (r14 == 0) goto L_0x021a
            android.widget.TextView r1 = r0.f376d
            android.view.ViewGroup$LayoutParams r1 = r1.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r1 = (androidx.appcompat.widget.Toolbar.C0064e) r1
            int r1 = r1.topMargin
            int r8 = r8 + r1
            android.widget.TextView r1 = r0.f376d
            int r1 = r1.getMeasuredWidth()
            int r1 = r10 - r1
            android.widget.TextView r3 = r0.f376d
            int r3 = r3.getMeasuredHeight()
            int r3 = r3 + r8
            android.widget.TextView r4 = r0.f376d
            r4.layout(r1, r8, r10, r3)
            int r1 = r0.f390r
            int r1 = r10 - r1
            goto L_0x021b
        L_0x021a:
            r1 = r10
        L_0x021b:
            if (r17 == 0) goto L_0x0222
            int r1 = java.lang.Math.min(r2, r1)
            r10 = r1
        L_0x0222:
            r2 = r24
            goto L_0x028f
        L_0x0225:
            if (r17 == 0) goto L_0x022a
            int r1 = r0.f389q
            goto L_0x022b
        L_0x022a:
            r1 = 0
        L_0x022b:
            r2 = 0
            r3 = r11[r2]
            int r1 = r1 - r3
            int r3 = java.lang.Math.max(r2, r1)
            int r3 = r3 + r24
            int r1 = -r1
            int r1 = java.lang.Math.max(r2, r1)
            r11[r2] = r1
            if (r13 == 0) goto L_0x0261
            android.widget.TextView r1 = r0.f375c
            android.view.ViewGroup$LayoutParams r1 = r1.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r1 = (androidx.appcompat.widget.Toolbar.C0064e) r1
            android.widget.TextView r2 = r0.f375c
            int r2 = r2.getMeasuredWidth()
            int r2 = r2 + r3
            android.widget.TextView r4 = r0.f375c
            int r4 = r4.getMeasuredHeight()
            int r4 = r4 + r8
            android.widget.TextView r5 = r0.f375c
            r5.layout(r3, r8, r2, r4)
            int r5 = r0.f390r
            int r2 = r2 + r5
            int r1 = r1.bottomMargin
            int r8 = r4 + r1
            goto L_0x0262
        L_0x0261:
            r2 = r3
        L_0x0262:
            if (r14 == 0) goto L_0x0286
            android.widget.TextView r1 = r0.f376d
            android.view.ViewGroup$LayoutParams r1 = r1.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r1 = (androidx.appcompat.widget.Toolbar.C0064e) r1
            int r1 = r1.topMargin
            int r8 = r8 + r1
            android.widget.TextView r1 = r0.f376d
            int r1 = r1.getMeasuredWidth()
            int r1 = r1 + r3
            android.widget.TextView r4 = r0.f376d
            int r4 = r4.getMeasuredHeight()
            int r4 = r4 + r8
            android.widget.TextView r5 = r0.f376d
            r5.layout(r3, r8, r1, r4)
            int r4 = r0.f390r
            int r1 = r1 + r4
            goto L_0x0287
        L_0x0286:
            r1 = r3
        L_0x0287:
            if (r17 == 0) goto L_0x028e
            int r2 = java.lang.Math.max(r2, r1)
            goto L_0x028f
        L_0x028e:
            r2 = r3
        L_0x028f:
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            r3 = 3
            r0.mo372a((java.util.List<android.view.View>) r1, (int) r3)
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            int r1 = r1.size()
            r3 = r2
            r2 = 0
        L_0x029d:
            if (r2 >= r1) goto L_0x02b0
            java.util.ArrayList<android.view.View> r4 = r0.f362E
            java.lang.Object r4 = r4.get(r2)
            android.view.View r4 = (android.view.View) r4
            r12 = r22
            int r3 = r0.mo368a(r4, r3, r11, r12)
            int r2 = r2 + 1
            goto L_0x029d
        L_0x02b0:
            r12 = r22
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            r2 = 5
            r0.mo372a((java.util.List<android.view.View>) r1, (int) r2)
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            int r1 = r1.size()
            r2 = 0
        L_0x02bf:
            if (r2 >= r1) goto L_0x02d0
            java.util.ArrayList<android.view.View> r4 = r0.f362E
            java.lang.Object r4 = r4.get(r2)
            android.view.View r4 = (android.view.View) r4
            int r10 = r0.mo374b(r4, r10, r11, r12)
            int r2 = r2 + 1
            goto L_0x02bf
        L_0x02d0:
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            r2 = 1
            r0.mo372a((java.util.List<android.view.View>) r1, (int) r2)
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            r4 = 0
            r5 = r11[r4]
            r2 = r11[r2]
            int r4 = r1.size()
            r7 = r5
            r5 = 0
            r6 = 0
        L_0x02e4:
            if (r5 >= r4) goto L_0x0317
            java.lang.Object r8 = r1.get(r5)
            android.view.View r8 = (android.view.View) r8
            android.view.ViewGroup$LayoutParams r9 = r8.getLayoutParams()
            androidx.appcompat.widget.Toolbar$e r9 = (androidx.appcompat.widget.Toolbar.C0064e) r9
            int r13 = r9.leftMargin
            int r13 = r13 - r7
            int r7 = r9.rightMargin
            int r7 = r7 - r2
            r2 = 0
            int r9 = java.lang.Math.max(r2, r13)
            int r14 = java.lang.Math.max(r2, r7)
            int r13 = -r13
            int r13 = java.lang.Math.max(r2, r13)
            int r7 = -r7
            int r7 = java.lang.Math.max(r2, r7)
            int r8 = r8.getMeasuredWidth()
            int r8 = r8 + r9
            int r8 = r8 + r14
            int r6 = r6 + r8
            int r5 = r5 + 1
            r2 = r7
            r7 = r13
            goto L_0x02e4
        L_0x0317:
            r2 = 0
            int r4 = r16 - r18
            int r4 = r4 - r23
            int r4 = r4 / 2
            int r4 = r4 + r18
            int r1 = r6 / 2
            int r4 = r4 - r1
            int r6 = r6 + r4
            if (r4 >= r3) goto L_0x0327
            goto L_0x032e
        L_0x0327:
            if (r6 <= r10) goto L_0x032d
            int r6 = r6 - r10
            int r3 = r4 - r6
            goto L_0x032e
        L_0x032d:
            r3 = r4
        L_0x032e:
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            int r1 = r1.size()
            r2 = r3
            r3 = 0
        L_0x0336:
            if (r3 >= r1) goto L_0x0347
            java.util.ArrayList<android.view.View> r4 = r0.f362E
            java.lang.Object r4 = r4.get(r3)
            android.view.View r4 = (android.view.View) r4
            int r2 = r0.mo368a(r4, r2, r11, r12)
            int r3 = r3 + 1
            goto L_0x0336
        L_0x0347:
            java.util.ArrayList<android.view.View> r1 = r0.f362E
            r1.clear()
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.appcompat.widget.Toolbar.onLayout(boolean, int, int, int, int):void");
    }

    public void onMeasure(int i, int i2) {
        char c;
        char c2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int[] iArr = this.f364G;
        boolean z = true;
        int i10 = 0;
        if (ViewUtils.m1304a(this)) {
            c2 = 1;
            c = 0;
        } else {
            c2 = 0;
            c = 1;
        }
        if (mo380d(this.f377e)) {
            mo370a((View) this.f377e, i, 0, i2, 0, this.f388p);
            i5 = mo365a((View) this.f377e) + this.f377e.getMeasuredWidth();
            i4 = Math.max(0, mo373b(this.f377e) + this.f377e.getMeasuredHeight());
            i3 = View.combineMeasuredStates(0, this.f377e.getMeasuredState());
        } else {
            i5 = 0;
            i4 = 0;
            i3 = 0;
        }
        if (mo380d(this.f381i)) {
            mo370a((View) this.f381i, i, 0, i2, 0, this.f388p);
            i5 = mo365a((View) this.f381i) + this.f381i.getMeasuredWidth();
            i4 = Math.max(i4, mo373b(this.f381i) + this.f381i.getMeasuredHeight());
            i3 = View.combineMeasuredStates(i3, this.f381i.getMeasuredState());
        }
        int currentContentInsetStart = getCurrentContentInsetStart();
        int max = Math.max(currentContentInsetStart, i5) + 0;
        iArr[c2] = Math.max(0, currentContentInsetStart - i5);
        if (mo380d(this.f374b)) {
            mo370a((View) this.f374b, i, max, i2, 0, this.f388p);
            i6 = mo365a((View) this.f374b) + this.f374b.getMeasuredWidth();
            i4 = Math.max(i4, mo373b(this.f374b) + this.f374b.getMeasuredHeight());
            i3 = View.combineMeasuredStates(i3, this.f374b.getMeasuredState());
        } else {
            i6 = 0;
        }
        int currentContentInsetEnd = getCurrentContentInsetEnd();
        int max2 = Math.max(currentContentInsetEnd, i6) + max;
        iArr[c] = Math.max(0, currentContentInsetEnd - i6);
        if (mo380d(this.f382j)) {
            max2 += mo367a(this.f382j, i, max2, i2, 0, iArr);
            i4 = Math.max(i4, mo373b(this.f382j) + this.f382j.getMeasuredHeight());
            i3 = View.combineMeasuredStates(i3, this.f382j.getMeasuredState());
        }
        if (mo380d(this.f378f)) {
            max2 += mo367a((View) this.f378f, i, max2, i2, 0, iArr);
            i4 = Math.max(i4, mo373b(this.f378f) + this.f378f.getMeasuredHeight());
            i3 = View.combineMeasuredStates(i3, this.f378f.getMeasuredState());
        }
        int childCount = getChildCount();
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt = getChildAt(i11);
            if (((C0064e) childAt.getLayoutParams()).f405b == 0 && mo380d(childAt)) {
                View view = childAt;
                max2 += mo367a(childAt, i, max2, i2, 0, iArr);
                View view2 = view;
                i4 = Math.max(i4, mo373b(view2) + view.getMeasuredHeight());
                i3 = View.combineMeasuredStates(i3, view2.getMeasuredState());
            }
        }
        int i12 = this.f391s + this.f392t;
        int i13 = this.f389q + this.f390r;
        if (mo380d(this.f375c)) {
            mo367a((View) this.f375c, i, max2 + i13, i2, i12, iArr);
            int a = mo365a((View) this.f375c) + this.f375c.getMeasuredWidth();
            i7 = mo373b(this.f375c) + this.f375c.getMeasuredHeight();
            i9 = View.combineMeasuredStates(i3, this.f375c.getMeasuredState());
            i8 = a;
        } else {
            i9 = i3;
            i8 = 0;
            i7 = 0;
        }
        if (mo380d(this.f376d)) {
            int i14 = i7 + i12;
            i8 = Math.max(i8, mo367a((View) this.f376d, i, max2 + i13, i2, i14, iArr));
            i7 = mo373b(this.f376d) + this.f376d.getMeasuredHeight() + i7;
            i9 = View.combineMeasuredStates(i9, this.f376d.getMeasuredState());
        } else {
            int i15 = i9;
        }
        int max3 = Math.max(i4, i7);
        int paddingRight = getPaddingRight() + getPaddingLeft();
        int paddingBottom = getPaddingBottom() + getPaddingTop() + max3;
        int resolveSizeAndState = View.resolveSizeAndState(Math.max(paddingRight + max2 + i8, getSuggestedMinimumWidth()), i, -16777216 & i9);
        int resolveSizeAndState2 = View.resolveSizeAndState(Math.max(paddingBottom, getSuggestedMinimumHeight()), i2, i9 << 16);
        if (this.f372O) {
            int childCount2 = getChildCount();
            int i16 = 0;
            while (true) {
                if (i16 >= childCount2) {
                    break;
                }
                View childAt2 = getChildAt(i16);
                if (mo380d(childAt2) && childAt2.getMeasuredWidth() > 0 && childAt2.getMeasuredHeight() > 0) {
                    break;
                }
                i16++;
            }
        }
        z = false;
        if (!z) {
            i10 = resolveSizeAndState2;
        }
        setMeasuredDimension(resolveSizeAndState, i10);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        MenuItem findItem;
        if (!(parcelable instanceof C0066g)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        C0066g gVar = (C0066g) parcelable;
        super.onRestoreInstanceState(gVar.f2617b);
        ActionMenuView actionMenuView = this.f374b;
        MenuBuilder gVar2 = actionMenuView != null ? actionMenuView.f251q : null;
        int i = gVar.f406d;
        if (!(i == 0 || this.f369L == null || gVar2 == null || (findItem = gVar2.findItem(i)) == null)) {
            findItem.expandActionView();
        }
        if (gVar.f407e) {
            removeCallbacks(this.f373P);
            post(this.f373P);
        }
    }

    public void onRtlPropertiesChanged(int i) {
        super.onRtlPropertiesChanged(i);
        mo375b();
        RtlSpacingHelper p0Var = this.f393u;
        boolean z = true;
        if (i != 1) {
            z = false;
        }
        if (z != p0Var.f1708g) {
            p0Var.f1708g = z;
            if (!p0Var.f1709h) {
                p0Var.f1702a = p0Var.f1706e;
                p0Var.f1703b = p0Var.f1707f;
            } else if (z) {
                int i2 = p0Var.f1705d;
                if (i2 == Integer.MIN_VALUE) {
                    i2 = p0Var.f1706e;
                }
                p0Var.f1702a = i2;
                int i3 = p0Var.f1704c;
                if (i3 == Integer.MIN_VALUE) {
                    i3 = p0Var.f1707f;
                }
                p0Var.f1703b = i3;
            } else {
                int i4 = p0Var.f1704c;
                if (i4 == Integer.MIN_VALUE) {
                    i4 = p0Var.f1706e;
                }
                p0Var.f1702a = i4;
                int i5 = p0Var.f1705d;
                if (i5 == Integer.MIN_VALUE) {
                    i5 = p0Var.f1707f;
                }
                p0Var.f1703b = i5;
            }
        }
    }

    public Parcelable onSaveInstanceState() {
        MenuItemImpl iVar;
        C0066g gVar = new C0066g(super.onSaveInstanceState());
        C0063d dVar = this.f369L;
        if (!(dVar == null || (iVar = dVar.f403c) == null)) {
            gVar.f406d = iVar.f1409a;
        }
        gVar.f407e = mo382f();
        return gVar;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.f360C = false;
        }
        if (!this.f360C) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.f360C = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.f360C = false;
        }
        return true;
    }

    public void setCollapseContentDescription(int i) {
        setCollapseContentDescription(i != 0 ? getContext().getText(i) : null);
    }

    public void setCollapseIcon(int i) {
        setCollapseIcon(AppCompatResources.m982c(getContext(), i));
    }

    public void setCollapsible(boolean z) {
        this.f372O = z;
        requestLayout();
    }

    public void setContentInsetEndWithActions(int i) {
        if (i < 0) {
            i = RecyclerView.UNDEFINED_DURATION;
        }
        if (i != this.f395w) {
            this.f395w = i;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setContentInsetStartWithNavigation(int i) {
        if (i < 0) {
            i = RecyclerView.UNDEFINED_DURATION;
        }
        if (i != this.f394v) {
            this.f394v = i;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setLogo(int i) {
        setLogo(AppCompatResources.m982c(getContext(), i));
    }

    public void setLogoDescription(int i) {
        setLogoDescription(getContext().getText(i));
    }

    public void setNavigationContentDescription(int i) {
        setNavigationContentDescription(i != 0 ? getContext().getText(i) : null);
    }

    public void setNavigationIcon(int i) {
        setNavigationIcon(AppCompatResources.m982c(getContext(), i));
    }

    public void setNavigationOnClickListener(View.OnClickListener onClickListener) {
        mo381e();
        this.f377e.setOnClickListener(onClickListener);
    }

    public void setOnMenuItemClickListener(C0065f fVar) {
        this.f365H = fVar;
    }

    public void setOverflowIcon(Drawable drawable) {
        mo376c();
        this.f374b.setOverflowIcon(drawable);
    }

    public void setPopupTheme(int i) {
        if (this.f384l != i) {
            this.f384l = i;
            if (i == 0) {
                this.f383k = getContext();
            } else {
                this.f383k = new ContextThemeWrapper(getContext(), i);
            }
        }
    }

    public void setSubtitle(int i) {
        setSubtitle(getContext().getText(i));
    }

    public void setSubtitleTextColor(int i) {
        setSubtitleTextColor(ColorStateList.valueOf(i));
    }

    public void setTitle(int i) {
        setTitle(getContext().getText(i));
    }

    public void setTitleMarginBottom(int i) {
        this.f392t = i;
        requestLayout();
    }

    public void setTitleMarginEnd(int i) {
        this.f390r = i;
        requestLayout();
    }

    public void setTitleMarginStart(int i) {
        this.f389q = i;
        requestLayout();
    }

    public void setTitleMarginTop(int i) {
        this.f391s = i;
        requestLayout();
    }

    public void setTitleTextColor(int i) {
        setTitleTextColor(ColorStateList.valueOf(i));
    }

    /* renamed from: androidx.appcompat.widget.Toolbar$e */
    public static class C0064e extends ActionBar.C0191a {

        /* renamed from: b */
        public int f405b = 0;

        public C0064e(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public C0064e(int i, int i2) {
            super(i, i2);
            this.f962a = 8388627;
        }

        public C0064e(C0064e eVar) {
            super((ActionBar.C0191a) eVar);
            this.f405b = eVar.f405b;
        }

        public C0064e(ActionBar.C0191a aVar) {
            super(aVar);
        }

        public C0064e(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super((ViewGroup.LayoutParams) marginLayoutParams);
            this.leftMargin = marginLayoutParams.leftMargin;
            this.topMargin = marginLayoutParams.topMargin;
            this.rightMargin = marginLayoutParams.rightMargin;
            this.bottomMargin = marginLayoutParams.bottomMargin;
        }

        public C0064e(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public Toolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0181a.toolbarStyle);
    }

    public C0064e generateDefaultLayoutParams() {
        return new C0064e(-2, -2);
    }

    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new C0064e(getContext(), attributeSet);
    }

    public void setCollapseContentDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            mo369a();
        }
        ImageButton imageButton = this.f381i;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setCollapseIcon(Drawable drawable) {
        if (drawable != null) {
            mo369a();
            this.f381i.setImageDrawable(drawable);
            return;
        }
        ImageButton imageButton = this.f381i;
        if (imageButton != null) {
            imageButton.setImageDrawable(this.f379g);
        }
    }

    public void setLogo(Drawable drawable) {
        if (drawable != null) {
            if (this.f378f == null) {
                this.f378f = new AppCompatImageView(getContext(), (AttributeSet) null, 0);
            }
            if (!mo377c(this.f378f)) {
                mo371a((View) this.f378f, true);
            }
        } else {
            ImageView imageView = this.f378f;
            if (imageView != null && mo377c(imageView)) {
                removeView(this.f378f);
                this.f363F.remove(this.f378f);
            }
        }
        ImageView imageView2 = this.f378f;
        if (imageView2 != null) {
            imageView2.setImageDrawable(drawable);
        }
    }

    public void setLogoDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence) && this.f378f == null) {
            this.f378f = new AppCompatImageView(getContext(), (AttributeSet) null, 0);
        }
        ImageView imageView = this.f378f;
        if (imageView != null) {
            imageView.setContentDescription(charSequence);
        }
    }

    public void setNavigationContentDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            mo381e();
        }
        ImageButton imageButton = this.f377e;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setNavigationIcon(Drawable drawable) {
        if (drawable != null) {
            mo381e();
            if (!mo377c(this.f377e)) {
                mo371a((View) this.f377e, true);
            }
        } else {
            ImageButton imageButton = this.f377e;
            if (imageButton != null && mo377c(imageButton)) {
                removeView(this.f377e);
                this.f363F.remove(this.f377e);
            }
        }
        ImageButton imageButton2 = this.f377e;
        if (imageButton2 != null) {
            imageButton2.setImageDrawable(drawable);
        }
    }

    public void setSubtitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.f376d == null) {
                Context context = getContext();
                AppCompatTextView zVar = new AppCompatTextView(context);
                this.f376d = zVar;
                zVar.setSingleLine();
                this.f376d.setEllipsize(TextUtils.TruncateAt.END);
                int i = this.f386n;
                if (i != 0) {
                    this.f376d.setTextAppearance(context, i);
                }
                ColorStateList colorStateList = this.f359B;
                if (colorStateList != null) {
                    this.f376d.setTextColor(colorStateList);
                }
            }
            if (!mo377c(this.f376d)) {
                mo371a((View) this.f376d, true);
            }
        } else {
            TextView textView = this.f376d;
            if (textView != null && mo377c(textView)) {
                removeView(this.f376d);
                this.f363F.remove(this.f376d);
            }
        }
        TextView textView2 = this.f376d;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.f398z = charSequence;
    }

    public void setSubtitleTextColor(ColorStateList colorStateList) {
        this.f359B = colorStateList;
        TextView textView = this.f376d;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.f375c == null) {
                Context context = getContext();
                AppCompatTextView zVar = new AppCompatTextView(context);
                this.f375c = zVar;
                zVar.setSingleLine();
                this.f375c.setEllipsize(TextUtils.TruncateAt.END);
                int i = this.f385m;
                if (i != 0) {
                    this.f375c.setTextAppearance(context, i);
                }
                ColorStateList colorStateList = this.f358A;
                if (colorStateList != null) {
                    this.f375c.setTextColor(colorStateList);
                }
            }
            if (!mo377c(this.f375c)) {
                mo371a((View) this.f375c, true);
            }
        } else {
            TextView textView = this.f375c;
            if (textView != null && mo377c(textView)) {
                removeView(this.f375c);
                this.f363F.remove(this.f375c);
            }
        }
        TextView textView2 = this.f375c;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.f397y = charSequence;
    }

    public void setTitleTextColor(ColorStateList colorStateList) {
        this.f358A = colorStateList;
        TextView textView = this.f375c;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    /* renamed from: androidx.appcompat.widget.Toolbar$d */
    public class C0063d implements MenuPresenter {

        /* renamed from: b */
        public MenuBuilder f402b;

        /* renamed from: c */
        public MenuItemImpl f403c;

        public C0063d() {
        }

        /* renamed from: a */
        public void mo458a(Context context, MenuBuilder gVar) {
            MenuItemImpl iVar;
            MenuBuilder gVar2 = this.f402b;
            if (!(gVar2 == null || (iVar = this.f403c) == null)) {
                gVar2.mo1954a(iVar);
            }
            this.f402b = gVar;
        }

        /* renamed from: a */
        public void mo459a(MenuBuilder gVar, boolean z) {
        }

        /* renamed from: a */
        public void mo460a(MenuPresenter.C0264a aVar) {
        }

        /* renamed from: a */
        public boolean mo463a(SubMenuBuilder rVar) {
            return false;
        }

        /* renamed from: b */
        public boolean mo464b(MenuBuilder gVar, MenuItemImpl iVar) {
            Toolbar.this.mo369a();
            ViewParent parent = Toolbar.this.f381i.getParent();
            Toolbar toolbar = Toolbar.this;
            if (parent != toolbar) {
                if (parent instanceof ViewGroup) {
                    ((ViewGroup) parent).removeView(toolbar.f381i);
                }
                Toolbar toolbar2 = Toolbar.this;
                toolbar2.addView(toolbar2.f381i);
            }
            Toolbar.this.f382j = iVar.getActionView();
            this.f403c = iVar;
            ViewParent parent2 = Toolbar.this.f382j.getParent();
            Toolbar toolbar3 = Toolbar.this;
            if (parent2 != toolbar3) {
                if (parent2 instanceof ViewGroup) {
                    ((ViewGroup) parent2).removeView(toolbar3.f382j);
                }
                C0064e generateDefaultLayoutParams = Toolbar.this.generateDefaultLayoutParams();
                Toolbar toolbar4 = Toolbar.this;
                generateDefaultLayoutParams.f962a = 8388611 | (toolbar4.f387o & 112);
                generateDefaultLayoutParams.f405b = 2;
                toolbar4.f382j.setLayoutParams(generateDefaultLayoutParams);
                Toolbar toolbar5 = Toolbar.this;
                toolbar5.addView(toolbar5.f382j);
            }
            Toolbar toolbar6 = Toolbar.this;
            int childCount = toolbar6.getChildCount();
            while (true) {
                childCount--;
                if (childCount < 0) {
                    break;
                }
                View childAt = toolbar6.getChildAt(childCount);
                if (!(((C0064e) childAt.getLayoutParams()).f405b == 2 || childAt == toolbar6.f374b)) {
                    toolbar6.removeViewAt(childCount);
                    toolbar6.f363F.add(childAt);
                }
            }
            Toolbar.this.requestLayout();
            iVar.f1407C = true;
            iVar.f1422n.mo1966b(false);
            View view = Toolbar.this.f382j;
            if (view instanceof CollapsibleActionView) {
                ((CollapsibleActionView) view).mo280a();
            }
            return true;
        }

        /* renamed from: c */
        public boolean mo465c() {
            return false;
        }

        /* renamed from: a */
        public void mo461a(boolean z) {
            if (this.f403c != null) {
                MenuBuilder gVar = this.f402b;
                boolean z2 = false;
                if (gVar != null) {
                    int size = gVar.size();
                    int i = 0;
                    while (true) {
                        if (i >= size) {
                            break;
                        } else if (this.f402b.getItem(i) == this.f403c) {
                            z2 = true;
                            break;
                        } else {
                            i++;
                        }
                    }
                }
                if (!z2) {
                    mo462a(this.f402b, this.f403c);
                }
            }
        }

        /* renamed from: a */
        public boolean mo462a(MenuBuilder gVar, MenuItemImpl iVar) {
            View view = Toolbar.this.f382j;
            if (view instanceof CollapsibleActionView) {
                ((CollapsibleActionView) view).mo284b();
            }
            Toolbar toolbar = Toolbar.this;
            toolbar.removeView(toolbar.f382j);
            Toolbar toolbar2 = Toolbar.this;
            toolbar2.removeView(toolbar2.f381i);
            Toolbar toolbar3 = Toolbar.this;
            toolbar3.f382j = null;
            int size = toolbar3.f363F.size();
            while (true) {
                size--;
                if (size >= 0) {
                    toolbar3.addView(toolbar3.f363F.get(size));
                } else {
                    toolbar3.f363F.clear();
                    this.f403c = null;
                    Toolbar.this.requestLayout();
                    iVar.f1407C = false;
                    iVar.f1422n.mo1966b(false);
                    return true;
                }
            }
        }
    }

    /* renamed from: androidx.appcompat.widget.Toolbar$g */
    public static class C0066g extends AbsSavedState {
        public static final Parcelable.Creator<C0066g> CREATOR = new C0067a();

        /* renamed from: d */
        public int f406d;

        /* renamed from: e */
        public boolean f407e;

        /* renamed from: androidx.appcompat.widget.Toolbar$g$a */
        public static class C0067a implements Parcelable.ClassLoaderCreator<C0066g> {
            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C0066g(parcel, classLoader);
            }

            public Object[] newArray(int i) {
                return new C0066g[i];
            }

            public Object createFromParcel(Parcel parcel) {
                return new C0066g(parcel, (ClassLoader) null);
            }
        }

        public C0066g(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f406d = parcel.readInt();
            this.f407e = parcel.readInt() != 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeParcelable(this.f2617b, i);
            parcel.writeInt(this.f406d);
            parcel.writeInt(this.f407e ? 1 : 0);
        }

        public C0066g(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public Toolbar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f396x = 8388627;
        this.f362E = new ArrayList<>();
        this.f363F = new ArrayList<>();
        this.f364G = new int[2];
        this.f366I = new C0060a();
        this.f373P = new C0061b();
        TintTypedArray a = TintTypedArray.m1445a(getContext(), attributeSet, C0190j.Toolbar, i, 0);
        this.f385m = a.mo2576f(C0190j.Toolbar_titleTextAppearance, 0);
        this.f386n = a.mo2576f(C0190j.Toolbar_subtitleTextAppearance, 0);
        this.f396x = a.f1794b.getInteger(C0190j.Toolbar_android_gravity, this.f396x);
        this.f387o = a.f1794b.getInteger(C0190j.Toolbar_buttonGravity, 48);
        int b = a.mo2568b(C0190j.Toolbar_titleMargin, 0);
        b = a.mo2577f(C0190j.Toolbar_titleMargins) ? a.mo2568b(C0190j.Toolbar_titleMargins, b) : b;
        this.f392t = b;
        this.f391s = b;
        this.f390r = b;
        this.f389q = b;
        int b2 = a.mo2568b(C0190j.Toolbar_titleMarginStart, -1);
        if (b2 >= 0) {
            this.f389q = b2;
        }
        int b3 = a.mo2568b(C0190j.Toolbar_titleMarginEnd, -1);
        if (b3 >= 0) {
            this.f390r = b3;
        }
        int b4 = a.mo2568b(C0190j.Toolbar_titleMarginTop, -1);
        if (b4 >= 0) {
            this.f391s = b4;
        }
        int b5 = a.mo2568b(C0190j.Toolbar_titleMarginBottom, -1);
        if (b5 >= 0) {
            this.f392t = b5;
        }
        this.f388p = a.mo2570c(C0190j.Toolbar_maxButtonHeight, -1);
        int b6 = a.mo2568b(C0190j.Toolbar_contentInsetStart, RecyclerView.UNDEFINED_DURATION);
        int b7 = a.mo2568b(C0190j.Toolbar_contentInsetEnd, RecyclerView.UNDEFINED_DURATION);
        int c = a.mo2570c(C0190j.Toolbar_contentInsetLeft, 0);
        int c2 = a.mo2570c(C0190j.Toolbar_contentInsetRight, 0);
        mo375b();
        RtlSpacingHelper p0Var = this.f393u;
        p0Var.f1709h = false;
        if (c != Integer.MIN_VALUE) {
            p0Var.f1706e = c;
            p0Var.f1702a = c;
        }
        if (c2 != Integer.MIN_VALUE) {
            p0Var.f1707f = c2;
            p0Var.f1703b = c2;
        }
        if (!(b6 == Integer.MIN_VALUE && b7 == Integer.MIN_VALUE)) {
            this.f393u.mo2445a(b6, b7);
        }
        this.f394v = a.mo2568b(C0190j.Toolbar_contentInsetStartWithNavigation, RecyclerView.UNDEFINED_DURATION);
        this.f395w = a.mo2568b(C0190j.Toolbar_contentInsetEndWithActions, RecyclerView.UNDEFINED_DURATION);
        this.f379g = a.mo2569b(C0190j.Toolbar_collapseIcon);
        this.f380h = a.mo2575e(C0190j.Toolbar_collapseContentDescription);
        CharSequence e = a.mo2575e(C0190j.Toolbar_title);
        if (!TextUtils.isEmpty(e)) {
            setTitle(e);
        }
        CharSequence e2 = a.mo2575e(C0190j.Toolbar_subtitle);
        if (!TextUtils.isEmpty(e2)) {
            setSubtitle(e2);
        }
        this.f383k = getContext();
        setPopupTheme(a.mo2576f(C0190j.Toolbar_popupTheme, 0));
        Drawable b8 = a.mo2569b(C0190j.Toolbar_navigationIcon);
        if (b8 != null) {
            setNavigationIcon(b8);
        }
        CharSequence e3 = a.mo2575e(C0190j.Toolbar_navigationContentDescription);
        if (!TextUtils.isEmpty(e3)) {
            setNavigationContentDescription(e3);
        }
        Drawable b9 = a.mo2569b(C0190j.Toolbar_logo);
        if (b9 != null) {
            setLogo(b9);
        }
        CharSequence e4 = a.mo2575e(C0190j.Toolbar_logoDescription);
        if (!TextUtils.isEmpty(e4)) {
            setLogoDescription(e4);
        }
        if (a.mo2577f(C0190j.Toolbar_titleTextColor)) {
            setTitleTextColor(a.mo2565a(C0190j.Toolbar_titleTextColor));
        }
        if (a.mo2577f(C0190j.Toolbar_subtitleTextColor)) {
            setSubtitleTextColor(a.mo2565a(C0190j.Toolbar_subtitleTextColor));
        }
        if (a.mo2577f(C0190j.Toolbar_menu)) {
            getMenuInflater().inflate(a.mo2576f(C0190j.Toolbar_menu, 0), getMenu());
        }
        a.f1794b.recycle();
    }

    public C0064e generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof C0064e) {
            return new C0064e((C0064e) layoutParams);
        }
        if (layoutParams instanceof ActionBar.C0191a) {
            return new C0064e((ActionBar.C0191a) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new C0064e((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new C0064e(layoutParams);
    }

    /* renamed from: b */
    public final int mo373b(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    /* renamed from: c */
    public final boolean mo377c(View view) {
        return view.getParent() == this || this.f363F.contains(view);
    }

    /* renamed from: a */
    public final void mo371a(View view, boolean z) {
        C0064e eVar;
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            eVar = generateDefaultLayoutParams();
        } else if (!checkLayoutParams(layoutParams)) {
            eVar = generateLayoutParams(layoutParams);
        } else {
            eVar = (C0064e) layoutParams;
        }
        eVar.f405b = 1;
        if (!z || this.f382j == null) {
            addView(view, eVar);
            return;
        }
        view.setLayoutParams(eVar);
        this.f363F.add(view);
    }

    /* renamed from: b */
    public final void mo375b() {
        if (this.f393u == null) {
            this.f393u = new RtlSpacingHelper();
        }
    }

    /* renamed from: d */
    public final boolean mo380d(View view) {
        return (view == null || view.getParent() != this || view.getVisibility() == 8) ? false : true;
    }

    /* renamed from: a */
    public final void mo370a(View view, int i, int i2, int i3, int i4, int i5) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i, getPaddingRight() + getPaddingLeft() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i2, marginLayoutParams.width);
        int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i3, getPaddingBottom() + getPaddingTop() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i4, marginLayoutParams.height);
        int mode = View.MeasureSpec.getMode(childMeasureSpec2);
        if (mode != 1073741824 && i5 >= 0) {
            if (mode != 0) {
                i5 = Math.min(View.MeasureSpec.getSize(childMeasureSpec2), i5);
            }
            childMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(i5, 1073741824);
        }
        view.measure(childMeasureSpec, childMeasureSpec2);
    }

    /* renamed from: a */
    public final int mo367a(View view, int i, int i2, int i3, int i4, int[] iArr) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int i5 = marginLayoutParams.leftMargin - iArr[0];
        int i6 = marginLayoutParams.rightMargin - iArr[1];
        int max = Math.max(0, i6) + Math.max(0, i5);
        iArr[0] = Math.max(0, -i5);
        iArr[1] = Math.max(0, -i6);
        view.measure(ViewGroup.getChildMeasureSpec(i, getPaddingRight() + getPaddingLeft() + max + i2, marginLayoutParams.width), ViewGroup.getChildMeasureSpec(i3, getPaddingBottom() + getPaddingTop() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i4, marginLayoutParams.height));
        return view.getMeasuredWidth() + max;
    }

    /* renamed from: a */
    public final int mo368a(View view, int i, int[] iArr, int i2) {
        C0064e eVar = (C0064e) view.getLayoutParams();
        int i3 = eVar.leftMargin - iArr[0];
        int max = Math.max(0, i3) + i;
        iArr[0] = Math.max(0, -i3);
        int a = mo366a(view, i2);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max, a, max + measuredWidth, view.getMeasuredHeight() + a);
        return measuredWidth + eVar.rightMargin + max;
    }

    /* renamed from: a */
    public final int mo366a(View view, int i) {
        C0064e eVar = (C0064e) view.getLayoutParams();
        int measuredHeight = view.getMeasuredHeight();
        int i2 = i > 0 ? (measuredHeight - i) / 2 : 0;
        int i3 = eVar.f962a & 112;
        if (!(i3 == 16 || i3 == 48 || i3 == 80)) {
            i3 = this.f396x & 112;
        }
        if (i3 == 48) {
            return getPaddingTop() - i2;
        }
        if (i3 == 80) {
            return (((getHeight() - getPaddingBottom()) - measuredHeight) - eVar.bottomMargin) - i2;
        }
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int height = getHeight();
        int i4 = (((height - paddingTop) - paddingBottom) - measuredHeight) / 2;
        int i5 = eVar.topMargin;
        if (i4 < i5) {
            i4 = i5;
        } else {
            int i6 = (((height - paddingBottom) - measuredHeight) - i4) - paddingTop;
            int i7 = eVar.bottomMargin;
            if (i6 < i7) {
                i4 = Math.max(0, i4 - (i7 - i6));
            }
        }
        return paddingTop + i4;
    }

    /* renamed from: a */
    public final void mo372a(List<View> list, int i) {
        boolean z = ViewCompat.m1966k(this) == 1;
        int childCount = getChildCount();
        int absoluteGravity = Gravity.getAbsoluteGravity(i, getLayoutDirection());
        list.clear();
        if (z) {
            for (int i2 = childCount - 1; i2 >= 0; i2--) {
                View childAt = getChildAt(i2);
                C0064e eVar = (C0064e) childAt.getLayoutParams();
                if (eVar.f405b == 0 && mo380d(childAt) && mo364a(eVar.f962a) == absoluteGravity) {
                    list.add(childAt);
                }
            }
            return;
        }
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt2 = getChildAt(i3);
            C0064e eVar2 = (C0064e) childAt2.getLayoutParams();
            if (eVar2.f405b == 0 && mo380d(childAt2) && mo364a(eVar2.f962a) == absoluteGravity) {
                list.add(childAt2);
            }
        }
    }

    /* renamed from: a */
    public final int mo364a(int i) {
        int k = ViewCompat.m1966k(this);
        int absoluteGravity = Gravity.getAbsoluteGravity(i, k) & 7;
        if (absoluteGravity == 1 || absoluteGravity == 3 || absoluteGravity == 5) {
            return absoluteGravity;
        }
        return k == 1 ? 5 : 3;
    }

    /* renamed from: a */
    public final int mo365a(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.getMarginStart() + marginLayoutParams.getMarginEnd();
    }
}
