package com.globant.pasaportesanitario.flujos.autodiagnostico;

import android.content.DialogInterface;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CheckBox;
import androidx.appcompat.app.AlertController;
import androidx.fragment.app.Fragment;
import com.globant.pasaportesanitario.data.remoto.modelo_autodiagnostico.AntecedentesRemoto;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.utils.dialogs.PantallaCompletaDialog;
import com.google.android.material.checkbox.MaterialCheckBox;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.util.ArrayList;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.p011k.AlertDialog;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p120b.FragmentAutodiagnosticoAntecedentesBinding;
import p085c.p132d.p133a.p156b.p179v.MaterialAlertDialogBuilder;
import p271ar.gob.coronavirus.R;

@Instrumented
public class AutodiagnosticoAntecedentesFragment extends Fragment implements ClickHandler, TraceFieldInterface {
    public Trace _nr_trace;
    public FragmentAutodiagnosticoAntecedentesBinding binding = null;
    public AlertDialog confirmacionDialogo = null;
    public AlertDialog internetDialogo = null;
    public AutodiagnosticoViewModel viewModel;

    /* access modifiers changed from: private */
    public void crearDialogo() {
        MaterialAlertDialogBuilder bVar = new MaterialAlertDialogBuilder(requireContext(), R.style.AlertDialogTheme);
        AlertController.C0024b bVar2 = bVar.f976a;
        bVar2.f137f = bVar2.f132a.getText(R.string.autodiagnostico_confirmacion);
        AlertController.C0024b bVar3 = bVar.f976a;
        bVar3.f139h = bVar3.f132a.getText(R.string.autodiagnostico_confirmacion_message);
        C14243 r1 = new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                if (MediaDescriptionCompatApi21.m101c(AutodiagnosticoAntecedentesFragment.this.getContext())) {
                    AutodiagnosticoAntecedentesFragment.this.viewModel.enviarResultadosAutoevaluacion();
                } else {
                    AutodiagnosticoAntecedentesFragment.this.crearDialogoInternet();
                }
            }
        };
        AlertController.C0024b bVar4 = bVar.f976a;
        bVar4.f140i = bVar4.f132a.getText(R.string.enviar);
        bVar.f976a.f141j = r1;
        C14232 r12 = new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                dialogInterface.dismiss();
            }
        };
        AlertController.C0024b bVar5 = bVar.f976a;
        bVar5.f142k = bVar5.f132a.getText(R.string.cancelar);
        bVar.f976a.f143l = r12;
        this.confirmacionDialogo = bVar.mo1541a();
    }

    /* access modifiers changed from: private */
    public void crearDialogoInternet() {
        final PantallaCompletaDialog a = PantallaCompletaDialog.m5131a(getString(R.string.hubo_error), getString(R.string.no_hay_internet), getString(R.string.cerrar).toUpperCase(), R.drawable.ic_error);
        a.f6650b = new PantallaCompletaDialog.C1575a() {
            public void onClick(View view) {
                a.dismiss();
            }
        };
        a.show(getParentFragmentManager(), "TAG");
    }

    private void iniciarAntecedentes() {
        if (this.viewModel.noTieneAntecedentes()) {
            this.viewModel.agregarAntecedente(obtenerNuevoAntecedente(TipoAntecedente.A_EMB, R.string.antecedentes_embarazo, false));
            this.viewModel.agregarAntecedente(obtenerNuevoAntecedente(TipoAntecedente.A_CAN, R.string.antecedentes_cancer, false));
            this.viewModel.agregarAntecedente(obtenerNuevoAntecedente(TipoAntecedente.A_DIA, R.string.antecedentes_diabetes, false));
            this.viewModel.agregarAntecedente(obtenerNuevoAntecedente(TipoAntecedente.A_HEP, R.string.antecedentes_enfermedad_hepatica, false));
            this.viewModel.agregarAntecedente(obtenerNuevoAntecedente(TipoAntecedente.A_REN, R.string.antecedentes_enfermedad_renal, false));
            this.viewModel.agregarAntecedente(obtenerNuevoAntecedente(TipoAntecedente.A_RES, R.string.antecedentes_enfermedad_respiratoria, false));
            this.viewModel.agregarAntecedente(obtenerNuevoAntecedente(TipoAntecedente.A_CAR, R.string.antecedentes_enfermedad_cardiaca, false));
        }
    }

    private void iniciarInterfaz() {
        this.binding.f4657t.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                if (AutodiagnosticoAntecedentesFragment.this.confirmacionDialogo == null) {
                    AutodiagnosticoAntecedentesFragment.this.crearDialogo();
                }
                AutodiagnosticoAntecedentesFragment.this.confirmacionDialogo.show();
            }
        });
    }

    private void iniciarValoresDeVistas() {
        MaterialCheckBox materialCheckBox = this.binding.f4660w;
        materialCheckBox.setChecked(obtenerAntecedenteExistente(materialCheckBox).booleanValue());
        MaterialCheckBox materialCheckBox2 = this.binding.f4658u;
        materialCheckBox2.setChecked(obtenerAntecedenteExistente(materialCheckBox2).booleanValue());
        MaterialCheckBox materialCheckBox3 = this.binding.f4659v;
        materialCheckBox3.setChecked(obtenerAntecedenteExistente(materialCheckBox3).booleanValue());
        MaterialCheckBox materialCheckBox4 = this.binding.f4662y;
        materialCheckBox4.setChecked(obtenerAntecedenteExistente(materialCheckBox4).booleanValue());
        MaterialCheckBox materialCheckBox5 = this.binding.f4663z;
        materialCheckBox5.setChecked(obtenerAntecedenteExistente(materialCheckBox5).booleanValue());
        MaterialCheckBox materialCheckBox6 = this.binding.f4655A;
        materialCheckBox6.setChecked(obtenerAntecedenteExistente(materialCheckBox6).booleanValue());
        MaterialCheckBox materialCheckBox7 = this.binding.f4661x;
        materialCheckBox7.setChecked(obtenerAntecedenteExistente(materialCheckBox7).booleanValue());
    }

    private Boolean obtenerAntecedenteExistente(CheckBox checkBox) {
        return Boolean.valueOf(this.viewModel.obtenerAntecedente(checkBox.getText().toString()).isValor());
    }

    private AntecedentesRemoto obtenerNuevoAntecedente(TipoAntecedente tipoAntecedente, int i, boolean z) {
        return new AntecedentesRemoto(tipoAntecedente.value, getString(i), z);
    }

    public void onClick(View view) {
        CheckBox checkBox = (CheckBox) view;
        boolean isChecked = checkBox.isChecked();
        this.viewModel.modificarAntecedente(checkBox.getText().toString(), isChecked);
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        ViewModel yVar;
        try {
            TraceMachine.enterMethod(this._nr_trace, "AutodiagnosticoAntecedentesFragment#onCreateView", (ArrayList<String>) null);
        } catch (NoSuchFieldError unused) {
            TraceMachine.enterMethod((Trace) null, "AutodiagnosticoAntecedentesFragment#onCreateView", (ArrayList<String>) null);
        }
        this.binding = FragmentAutodiagnosticoAntecedentesBinding.m3861a(layoutInflater, viewGroup, false);
        AutoevaluacionViewModelFactory autoevaluacionViewModelFactory = new AutoevaluacionViewModelFactory((BaseActivity) requireActivity());
        ViewModelStore viewModelStore = requireActivity().getViewModelStore();
        Class cls = AutodiagnosticoViewModel.class;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            ViewModel yVar2 = viewModelStore.f2938a.get(b);
            if (!cls.isInstance(yVar2)) {
                if (autoevaluacionViewModelFactory instanceof ViewModelProvider.C0501c) {
                    yVar = ((ViewModelProvider.C0501c) autoevaluacionViewModelFactory).mo3588a(b, cls);
                } else {
                    yVar = autoevaluacionViewModelFactory.create(cls);
                }
                yVar2 = yVar;
                ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (autoevaluacionViewModelFactory instanceof ViewModelProvider.C0503e) {
                ((ViewModelProvider.C0503e) autoevaluacionViewModelFactory).mo3589a(yVar2);
            }
            this.viewModel = (AutodiagnosticoViewModel) yVar2;
            this.binding.mo4736a(this);
            this.binding.mo734a(getViewLifecycleOwner());
            iniciarInterfaz();
            View view = this.binding.f606f;
            TraceMachine.exitMethod();
            return view;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    public void onDestroyView() {
        super.onDestroyView();
        this.confirmacionDialogo = null;
        this.binding = null;
    }

    public void onStart() {
        super.onStart();
    }

    public void onStop() {
        super.onStop();
    }

    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (getArguments() != null) {
            this.viewModel.pasoActual.mo970a(Integer.valueOf(AutodiagnosticoAntecedentesFragmentArgs.fromBundle(getArguments()).getPasoActual()));
            crearDialogo();
        }
        iniciarAntecedentes();
        iniciarValoresDeVistas();
    }
}
