package androidx.appcompat.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import java.lang.ref.WeakReference;
import p008b.p010b.C0190j;

public final class ViewStubCompat extends View {

    /* renamed from: b */
    public int f408b;

    /* renamed from: c */
    public int f409c;

    /* renamed from: d */
    public WeakReference<View> f410d;

    /* renamed from: e */
    public LayoutInflater f411e;

    /* renamed from: f */
    public C0068a f412f;

    /* renamed from: androidx.appcompat.widget.ViewStubCompat$a */
    public interface C0068a {
        /* renamed from: a */
        void mo481a(ViewStubCompat viewStubCompat, View view);
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* renamed from: a */
    public View mo469a() {
        ViewParent parent = getParent();
        if (!(parent instanceof ViewGroup)) {
            throw new IllegalStateException("ViewStub must have a non-null ViewGroup viewParent");
        } else if (this.f408b != 0) {
            ViewGroup viewGroup = (ViewGroup) parent;
            LayoutInflater layoutInflater = this.f411e;
            if (layoutInflater == null) {
                layoutInflater = LayoutInflater.from(getContext());
            }
            View inflate = layoutInflater.inflate(this.f408b, viewGroup, false);
            int i = this.f409c;
            if (i != -1) {
                inflate.setId(i);
            }
            int indexOfChild = viewGroup.indexOfChild(this);
            viewGroup.removeViewInLayout(this);
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams != null) {
                viewGroup.addView(inflate, indexOfChild, layoutParams);
            } else {
                viewGroup.addView(inflate, indexOfChild);
            }
            this.f410d = new WeakReference<>(inflate);
            C0068a aVar = this.f412f;
            if (aVar != null) {
                aVar.mo481a(this, inflate);
            }
            return inflate;
        } else {
            throw new IllegalArgumentException("ViewStub must have a valid layoutResource");
        }
    }

    public void dispatchDraw(Canvas canvas) {
    }

    @SuppressLint({"MissingSuperCall"})
    public void draw(Canvas canvas) {
    }

    public int getInflatedId() {
        return this.f409c;
    }

    public LayoutInflater getLayoutInflater() {
        return this.f411e;
    }

    public int getLayoutResource() {
        return this.f408b;
    }

    public void onMeasure(int i, int i2) {
        setMeasuredDimension(0, 0);
    }

    public void setInflatedId(int i) {
        this.f409c = i;
    }

    public void setLayoutInflater(LayoutInflater layoutInflater) {
        this.f411e = layoutInflater;
    }

    public void setLayoutResource(int i) {
        this.f408b = i;
    }

    public void setOnInflateListener(C0068a aVar) {
        this.f412f = aVar;
    }

    public void setVisibility(int i) {
        WeakReference<View> weakReference = this.f410d;
        if (weakReference != null) {
            View view = (View) weakReference.get();
            if (view != null) {
                view.setVisibility(i);
                return;
            }
            throw new IllegalStateException("setVisibility called on un-referenced view");
        }
        super.setVisibility(i);
        if (i == 0 || i == 4) {
            mo469a();
        }
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f408b = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0190j.ViewStubCompat, i, 0);
        this.f409c = obtainStyledAttributes.getResourceId(C0190j.ViewStubCompat_android_inflatedId, -1);
        this.f408b = obtainStyledAttributes.getResourceId(C0190j.ViewStubCompat_android_layout, 0);
        setId(obtainStyledAttributes.getResourceId(C0190j.ViewStubCompat_android_id, -1));
        obtainStyledAttributes.recycle();
        setVisibility(8);
        setWillNotDraw(true);
    }
}
