package androidx.cardview.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.widget.FrameLayout;
import p008b.p024d.C0322a;
import p008b.p024d.C0323b;
import p008b.p024d.C0324c;
import p008b.p024d.C0325d;
import p008b.p024d.p025e.CardViewApi21Impl;
import p008b.p024d.p025e.CardViewDelegate;
import p008b.p024d.p025e.CardViewImpl;
import p008b.p024d.p025e.RoundRectDrawable;

public class CardView extends FrameLayout {

    /* renamed from: i */
    public static final int[] f413i = {16842801};

    /* renamed from: j */
    public static final CardViewImpl f414j = new CardViewApi21Impl();

    /* renamed from: b */
    public boolean f415b;

    /* renamed from: c */
    public boolean f416c;

    /* renamed from: d */
    public int f417d;

    /* renamed from: e */
    public int f418e;

    /* renamed from: f */
    public final Rect f419f;

    /* renamed from: g */
    public final Rect f420g;

    /* renamed from: h */
    public final CardViewDelegate f421h;

    /* renamed from: androidx.cardview.widget.CardView$a */
    public class C0069a implements CardViewDelegate {

        /* renamed from: a */
        public Drawable f422a;

        public C0069a() {
        }

        /* renamed from: a */
        public boolean mo505a() {
            return CardView.this.getPreventCornerOverlap();
        }

        /* renamed from: a */
        public void mo504a(int i, int i2, int i3, int i4) {
            CardView.this.f420g.set(i, i2, i3, i4);
            CardView cardView = CardView.this;
            Rect rect = cardView.f419f;
            CardView.super.setPadding(i + rect.left, i2 + rect.top, i3 + rect.right, i4 + rect.bottom);
        }
    }

    public CardView(Context context) {
        this(context, (AttributeSet) null);
    }

    public ColorStateList getCardBackgroundColor() {
        return ((CardViewApi21Impl) f414j).mo2666a(this.f421h).f1869h;
    }

    public float getCardElevation() {
        return CardView.this.getElevation();
    }

    public int getContentPaddingBottom() {
        return this.f419f.bottom;
    }

    public int getContentPaddingLeft() {
        return this.f419f.left;
    }

    public int getContentPaddingRight() {
        return this.f419f.right;
    }

    public int getContentPaddingTop() {
        return this.f419f.top;
    }

    public float getMaxCardElevation() {
        return ((CardViewApi21Impl) f414j).mo2668b(this.f421h);
    }

    public boolean getPreventCornerOverlap() {
        return this.f416c;
    }

    public float getRadius() {
        return ((CardViewApi21Impl) f414j).mo2669c(this.f421h);
    }

    public boolean getUseCompatPadding() {
        return this.f415b;
    }

    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
    }

    public void setCardBackgroundColor(int i) {
        CardViewImpl cVar = f414j;
        CardViewDelegate bVar = this.f421h;
        ColorStateList valueOf = ColorStateList.valueOf(i);
        RoundRectDrawable a = ((CardViewApi21Impl) cVar).mo2666a(bVar);
        a.mo2671a(valueOf);
        a.invalidateSelf();
    }

    public void setCardElevation(float f) {
        CardView.this.setElevation(f);
    }

    public void setMaxCardElevation(float f) {
        ((CardViewApi21Impl) f414j).mo2667a(this.f421h, f);
    }

    public void setMinimumHeight(int i) {
        this.f418e = i;
        super.setMinimumHeight(i);
    }

    public void setMinimumWidth(int i) {
        this.f417d = i;
        super.setMinimumWidth(i);
    }

    public void setPadding(int i, int i2, int i3, int i4) {
    }

    public void setPaddingRelative(int i, int i2, int i3, int i4) {
    }

    public void setPreventCornerOverlap(boolean z) {
        if (z != this.f416c) {
            this.f416c = z;
            CardViewImpl cVar = f414j;
            CardViewDelegate bVar = this.f421h;
            CardViewApi21Impl aVar = (CardViewApi21Impl) cVar;
            aVar.mo2667a(bVar, aVar.mo2666a(bVar).f1866e);
        }
    }

    public void setRadius(float f) {
        RoundRectDrawable a = ((CardViewApi21Impl) f414j).mo2666a(this.f421h);
        if (f != a.f1862a) {
            a.f1862a = f;
            a.mo2672a((Rect) null);
            a.invalidateSelf();
        }
    }

    public void setUseCompatPadding(boolean z) {
        if (this.f415b != z) {
            this.f415b = z;
            CardViewImpl cVar = f414j;
            CardViewDelegate bVar = this.f421h;
            CardViewApi21Impl aVar = (CardViewApi21Impl) cVar;
            aVar.mo2667a(bVar, aVar.mo2666a(bVar).f1866e);
        }
    }

    public CardView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0322a.cardViewStyle);
    }

    public CardView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        ColorStateList colorStateList;
        int i2;
        this.f419f = new Rect();
        this.f420g = new Rect();
        this.f421h = new C0069a();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0325d.CardView, i, C0324c.CardView);
        if (obtainStyledAttributes.hasValue(C0325d.CardView_cardBackgroundColor)) {
            colorStateList = obtainStyledAttributes.getColorStateList(C0325d.CardView_cardBackgroundColor);
        } else {
            TypedArray obtainStyledAttributes2 = getContext().obtainStyledAttributes(f413i);
            int color = obtainStyledAttributes2.getColor(0, 0);
            obtainStyledAttributes2.recycle();
            float[] fArr = new float[3];
            Color.colorToHSV(color, fArr);
            if (fArr[2] > 0.5f) {
                i2 = getResources().getColor(C0323b.cardview_light_background);
            } else {
                i2 = getResources().getColor(C0323b.cardview_dark_background);
            }
            colorStateList = ColorStateList.valueOf(i2);
        }
        float dimension = obtainStyledAttributes.getDimension(C0325d.CardView_cardCornerRadius, 0.0f);
        float dimension2 = obtainStyledAttributes.getDimension(C0325d.CardView_cardElevation, 0.0f);
        float dimension3 = obtainStyledAttributes.getDimension(C0325d.CardView_cardMaxElevation, 0.0f);
        this.f415b = obtainStyledAttributes.getBoolean(C0325d.CardView_cardUseCompatPadding, false);
        this.f416c = obtainStyledAttributes.getBoolean(C0325d.CardView_cardPreventCornerOverlap, true);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(C0325d.CardView_contentPadding, 0);
        this.f419f.left = obtainStyledAttributes.getDimensionPixelSize(C0325d.CardView_contentPaddingLeft, dimensionPixelSize);
        this.f419f.top = obtainStyledAttributes.getDimensionPixelSize(C0325d.CardView_contentPaddingTop, dimensionPixelSize);
        this.f419f.right = obtainStyledAttributes.getDimensionPixelSize(C0325d.CardView_contentPaddingRight, dimensionPixelSize);
        this.f419f.bottom = obtainStyledAttributes.getDimensionPixelSize(C0325d.CardView_contentPaddingBottom, dimensionPixelSize);
        dimension3 = dimension2 > dimension3 ? dimension2 : dimension3;
        this.f417d = obtainStyledAttributes.getDimensionPixelSize(C0325d.CardView_android_minWidth, 0);
        this.f418e = obtainStyledAttributes.getDimensionPixelSize(C0325d.CardView_android_minHeight, 0);
        obtainStyledAttributes.recycle();
        CardViewImpl cVar = f414j;
        CardViewDelegate bVar = this.f421h;
        RoundRectDrawable dVar = new RoundRectDrawable(colorStateList, dimension);
        C0069a aVar = (C0069a) bVar;
        aVar.f422a = dVar;
        CardView.this.setBackgroundDrawable(dVar);
        CardView cardView = CardView.this;
        cardView.setClipToOutline(true);
        cardView.setElevation(dimension2);
        ((CardViewApi21Impl) cVar).mo2667a(bVar, dimension3);
    }

    public void setCardBackgroundColor(ColorStateList colorStateList) {
        RoundRectDrawable a = ((CardViewApi21Impl) f414j).mo2666a(this.f421h);
        a.mo2671a(colorStateList);
        a.invalidateSelf();
    }
}
