package com.globant.pasaportesanitario.flujos.autodiagnostico;

import android.os.Build;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import androidx.fragment.app.Fragment;
import com.globant.pasaportesanitario.data.remoto.modelo_autodiagnostico.SintomasRemoto;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.google.android.material.snackbar.Snackbar;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.util.ArrayList;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p008b.p067r.NavDirections;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p120b.FragmentAutodiagnosticoSintomasBinding;
import p085c.p132d.p133a.p156b.p161e0.SnackbarManager;
import p271ar.gob.coronavirus.R;

@Instrumented
public class AutodiagnosticoSintomasFragment extends Fragment implements TraceFieldInterface {
    public Trace _nr_trace;
    public FragmentAutodiagnosticoSintomasBinding binding = null;
    public AutodiagnosticoViewModel viewModel;

    private void iniciarInterfaz() {
        this.binding.f4674t.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                if (AutodiagnosticoSintomasFragment.this.binding.f4678x.getCheckedRadioButtonId() == -1 || AutodiagnosticoSintomasFragment.this.binding.f4675u.getCheckedRadioButtonId() == -1 || AutodiagnosticoSintomasFragment.this.binding.f4677w.getCheckedRadioButtonId() == -1 || AutodiagnosticoSintomasFragment.this.binding.f4676v.getCheckedRadioButtonId() == -1) {
                    AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment = AutodiagnosticoSintomasFragment.this;
                    autodiagnosticoSintomasFragment.validarRadioGroup(autodiagnosticoSintomasFragment.binding.f4677w);
                    AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment2 = AutodiagnosticoSintomasFragment.this;
                    autodiagnosticoSintomasFragment2.validarRadioGroup(autodiagnosticoSintomasFragment2.binding.f4676v);
                    AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment3 = AutodiagnosticoSintomasFragment.this;
                    autodiagnosticoSintomasFragment3.validarRadioGroup(autodiagnosticoSintomasFragment3.binding.f4678x);
                    AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment4 = AutodiagnosticoSintomasFragment.this;
                    autodiagnosticoSintomasFragment4.validarRadioGroup(autodiagnosticoSintomasFragment4.binding.f4675u);
                    Snackbar a = Snackbar.m5352a(AutodiagnosticoSintomasFragment.this.requireView(), R.string.seleccionar_sintoma, -1);
                    SnackbarManager b = SnackbarManager.m4404b();
                    int i = a.f6985e;
                    int i2 = -2;
                    if (i != -2) {
                        if (Build.VERSION.SDK_INT >= 29) {
                            i = a.f7010q.getRecommendedTimeoutMillis(i, 3);
                        }
                        i2 = i;
                    }
                    b.mo5189a(i2, a.f6994n);
                    return;
                }
                MediaDescriptionCompatApi21.m34a(view).mo991a((NavDirections) AutodiagnosticoSintomasFragmentDirections.m5125x50a99464());
            }
        });
        this.binding.f4678x.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            public void onCheckedChanged(RadioGroup radioGroup, int i) {
                AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment = AutodiagnosticoSintomasFragment.this;
                autodiagnosticoSintomasFragment.validarRadioGroup(autodiagnosticoSintomasFragment.binding.f4678x);
                switch (i) {
                    case R.id.radio_tos_no /*2131296614*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_TDG, R.string.sintoma_uno_label, false));
                        return;
                    case R.id.radio_tos_si /*2131296615*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_TDG, R.string.sintoma_uno_label, true));
                        return;
                    default:
                        return;
                }
            }
        });
        this.binding.f4675u.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            public void onCheckedChanged(RadioGroup radioGroup, int i) {
                AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment = AutodiagnosticoSintomasFragment.this;
                autodiagnosticoSintomasFragment.validarRadioGroup(autodiagnosticoSintomasFragment.binding.f4675u);
                switch (i) {
                    case R.id.radio_respiratoria_no /*2131296612*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_DRE, R.string.sintoma_dos_label, false));
                        return;
                    case R.id.radio_respiratoria_si /*2131296613*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_DRE, R.string.sintoma_dos_label, true));
                        return;
                    default:
                        return;
                }
            }
        });
        this.binding.f4677w.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            public void onCheckedChanged(RadioGroup radioGroup, int i) {
                AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment = AutodiagnosticoSintomasFragment.this;
                autodiagnosticoSintomasFragment.validarRadioGroup(autodiagnosticoSintomasFragment.binding.f4677w);
                switch (i) {
                    case R.id.radio_perdida_olfato_no /*2131296610*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_PDO, R.string.sintoma_perdida_olfato, false));
                        return;
                    case R.id.radio_perdida_olfato_si /*2131296611*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_PDO, R.string.sintoma_perdida_olfato, true));
                        return;
                    default:
                        return;
                }
            }
        });
        this.binding.f4676v.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            public void onCheckedChanged(RadioGroup radioGroup, int i) {
                AutodiagnosticoSintomasFragment autodiagnosticoSintomasFragment = AutodiagnosticoSintomasFragment.this;
                autodiagnosticoSintomasFragment.validarRadioGroup(autodiagnosticoSintomasFragment.binding.f4676v);
                switch (i) {
                    case R.id.radio_perdida_gusto_no /*2131296608*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_PDG, R.string.sintoma_perdida_olfato, false));
                        return;
                    case R.id.radio_perdida_gusto_si /*2131296609*/:
                        AutodiagnosticoSintomasFragment.this.viewModel.agregarSintoma(AutodiagnosticoSintomasFragment.this.obtenerNuevoSintoma(TipoSintoma.S_PDG, R.string.sintoma_perdida_olfato, true));
                        return;
                    default:
                        return;
                }
            }
        });
    }

    private void iniciarValoresDeVistas() {
        if (this.viewModel.obtenerSintoma(TipoSintoma.S_PDO) != null) {
            if (this.viewModel.obtenerSintoma(TipoSintoma.S_PDO).isValor()) {
                this.binding.f4677w.check(R.id.radio_perdida_olfato_si);
            } else {
                this.binding.f4677w.check(R.id.radio_perdida_olfato_no);
            }
        }
        if (this.viewModel.obtenerSintoma(TipoSintoma.S_PDG) != null) {
            if (this.viewModel.obtenerSintoma(TipoSintoma.S_PDG).isValor()) {
                this.binding.f4676v.check(R.id.radio_perdida_gusto_si);
            } else {
                this.binding.f4676v.check(R.id.radio_perdida_gusto_no);
            }
        }
        SintomasRemoto obtenerSintoma = this.viewModel.obtenerSintoma(TipoSintoma.S_TDG);
        if (obtenerSintoma != null) {
            if (obtenerSintoma.isValor()) {
                this.binding.f4678x.check(R.id.radio_tos_si);
            } else {
                this.binding.f4678x.check(R.id.radio_tos_no);
            }
        }
        if (this.viewModel.obtenerSintoma(TipoSintoma.S_DRE) == null) {
            return;
        }
        if (this.viewModel.obtenerSintoma(TipoSintoma.S_DRE).isValor()) {
            this.binding.f4675u.check(R.id.radio_respiratoria_si);
        } else {
            this.binding.f4675u.check(R.id.radio_respiratoria_no);
        }
    }

    /* access modifiers changed from: private */
    public SintomasRemoto obtenerNuevoSintoma(TipoSintoma tipoSintoma, int i, boolean z) {
        return new SintomasRemoto(tipoSintoma.value, getString(i), z);
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        ViewModel yVar;
        try {
            TraceMachine.enterMethod(this._nr_trace, "AutodiagnosticoSintomasFragment#onCreateView", (ArrayList<String>) null);
        } catch (NoSuchFieldError unused) {
            TraceMachine.enterMethod((Trace) null, "AutodiagnosticoSintomasFragment#onCreateView", (ArrayList<String>) null);
        }
        this.binding = FragmentAutodiagnosticoSintomasBinding.m3868a(layoutInflater, viewGroup, false);
        AutoevaluacionViewModelFactory autoevaluacionViewModelFactory = new AutoevaluacionViewModelFactory((BaseActivity) requireActivity());
        ViewModelStore viewModelStore = requireActivity().getViewModelStore();
        Class cls = AutodiagnosticoViewModel.class;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            ViewModel yVar2 = viewModelStore.f2938a.get(b);
            if (!cls.isInstance(yVar2)) {
                if (autoevaluacionViewModelFactory instanceof ViewModelProvider.C0501c) {
                    yVar = ((ViewModelProvider.C0501c) autoevaluacionViewModelFactory).mo3588a(b, cls);
                } else {
                    yVar = autoevaluacionViewModelFactory.create(cls);
                }
                yVar2 = yVar;
                ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (autoevaluacionViewModelFactory instanceof ViewModelProvider.C0503e) {
                ((ViewModelProvider.C0503e) autoevaluacionViewModelFactory).mo3589a(yVar2);
            }
            this.viewModel = (AutodiagnosticoViewModel) yVar2;
            this.binding.mo734a(getViewLifecycleOwner());
            iniciarInterfaz();
            iniciarValoresDeVistas();
            View view = this.binding.f606f;
            TraceMachine.exitMethod();
            return view;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    public void onDestroyView() {
        super.onDestroyView();
        this.binding = null;
    }

    public void onStart() {
        super.onStart();
    }

    public void onStop() {
        super.onStop();
    }

    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (getArguments() != null) {
            this.viewModel.pasoActual.mo970a(Integer.valueOf(AutodiagnosticoSintomasFragmentArgs.fromBundle(getArguments()).getPasoActual()));
        }
    }

    public void validarRadioGroup(RadioGroup radioGroup) {
        int childCount = radioGroup.getChildCount() - 1;
        if (radioGroup.getCheckedRadioButtonId() == -1) {
            ((RadioButton) radioGroup.getChildAt(childCount)).setError("Error");
        } else {
            ((RadioButton) radioGroup.getChildAt(childCount)).setError((CharSequence) null);
        }
    }
}
