package androidx.coordinatorlayout.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.Gravity;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowInsets;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p031g.C0344a;
import p008b.p031g.C0345b;
import p008b.p031g.C0346c;
import p008b.p031g.p032d.DirectedAcyclicGraph;
import p008b.p031g.p032d.ViewGroupUtils;
import p008b.p033h.p035f.ContextCompat;
import p008b.p033h.p044l.C0394c;
import p008b.p033h.p044l.C0396e;
import p008b.p033h.p045m.NestedScrollingParent2;
import p008b.p033h.p045m.NestedScrollingParent3;
import p008b.p033h.p045m.NestedScrollingParentHelper;
import p008b.p033h.p045m.OnApplyWindowInsetsListener;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.WindowInsetsCompat;
import p008b.p050j.p051a.AbsSavedState;
import p085c.p086a.p087a.p088a.outline;

public class CoordinatorLayout extends ViewGroup implements NestedScrollingParent2, NestedScrollingParent3 {

    /* renamed from: u */
    public static final String f507u;

    /* renamed from: v */
    public static final Class<?>[] f508v = {Context.class, AttributeSet.class};

    /* renamed from: w */
    public static final ThreadLocal<Map<String, Constructor<C0074c>>> f509w = new ThreadLocal<>();

    /* renamed from: x */
    public static final Comparator<View> f510x = new C0081i();

    /* renamed from: y */
    public static final C0394c<Rect> f511y = new C0396e(12);

    /* renamed from: b */
    public final List<View> f512b;

    /* renamed from: c */
    public final DirectedAcyclicGraph<View> f513c;

    /* renamed from: d */
    public final List<View> f514d;

    /* renamed from: e */
    public final List<View> f515e;

    /* renamed from: f */
    public final int[] f516f;

    /* renamed from: g */
    public final int[] f517g;

    /* renamed from: h */
    public boolean f518h;

    /* renamed from: i */
    public boolean f519i;

    /* renamed from: j */
    public int[] f520j;

    /* renamed from: k */
    public View f521k;

    /* renamed from: l */
    public View f522l;

    /* renamed from: m */
    public C0078g f523m;

    /* renamed from: n */
    public boolean f524n;

    /* renamed from: o */
    public WindowInsetsCompat f525o;

    /* renamed from: p */
    public boolean f526p;

    /* renamed from: q */
    public Drawable f527q;

    /* renamed from: r */
    public ViewGroup.OnHierarchyChangeListener f528r;

    /* renamed from: s */
    public OnApplyWindowInsetsListener f529s;

    /* renamed from: t */
    public final NestedScrollingParentHelper f530t;

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$a */
    public class C0072a implements OnApplyWindowInsetsListener {
        public C0072a() {
        }

        /* renamed from: a */
        public WindowInsetsCompat mo605a(View view, WindowInsetsCompat wVar) {
            CoordinatorLayout coordinatorLayout = CoordinatorLayout.this;
            if (!Objects.equals(coordinatorLayout.f525o, wVar)) {
                coordinatorLayout.f525o = wVar;
                boolean z = true;
                boolean z2 = wVar != null && wVar.mo3160d() > 0;
                coordinatorLayout.f526p = z2;
                if (z2 || coordinatorLayout.getBackground() != null) {
                    z = false;
                }
                coordinatorLayout.setWillNotDraw(z);
                if (!((WindowInsets) wVar.f2541a).isConsumed()) {
                    int childCount = coordinatorLayout.getChildCount();
                    for (int i = 0; i < childCount; i++) {
                        View childAt = coordinatorLayout.getChildAt(i);
                        if (ViewCompat.m1963h(childAt) && ((C0077f) childAt.getLayoutParams()).f533a != null && ((WindowInsets) wVar.f2541a).isConsumed()) {
                            break;
                        }
                    }
                }
                coordinatorLayout.requestLayout();
            }
            return wVar;
        }
    }

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$b */
    public interface C0073b {
        C0074c getBehavior();
    }

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$c */
    public static abstract class C0074c<V extends View> {
        public C0074c() {
        }

        /* renamed from: a */
        public void mo608a() {
        }

        /* renamed from: a */
        public void mo609a(C0077f fVar) {
        }

        /* renamed from: a */
        public void mo610a(CoordinatorLayout coordinatorLayout, V v, Parcelable parcelable) {
        }

        /* renamed from: a */
        public void mo611a(CoordinatorLayout coordinatorLayout, V v, View view, int i) {
        }

        /* renamed from: a */
        public void mo612a(CoordinatorLayout coordinatorLayout, V v, View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
            iArr[0] = iArr[0] + i3;
            iArr[1] = iArr[1] + i4;
        }

        /* renamed from: a */
        public void mo613a(CoordinatorLayout coordinatorLayout, V v, View view, int i, int i2, int[] iArr, int i3) {
        }

        /* renamed from: a */
        public boolean mo614a(CoordinatorLayout coordinatorLayout, V v, int i) {
            return false;
        }

        /* renamed from: a */
        public boolean mo615a(CoordinatorLayout coordinatorLayout, V v, int i, int i2, int i3, int i4) {
            return false;
        }

        /* renamed from: a */
        public boolean mo616a(CoordinatorLayout coordinatorLayout, V v, Rect rect) {
            return false;
        }

        /* renamed from: a */
        public boolean mo617a(CoordinatorLayout coordinatorLayout, V v, Rect rect, boolean z) {
            return false;
        }

        /* renamed from: a */
        public boolean mo618a(CoordinatorLayout coordinatorLayout, V v, MotionEvent motionEvent) {
            return false;
        }

        /* renamed from: a */
        public boolean mo619a(CoordinatorLayout coordinatorLayout, V v, View view) {
            return false;
        }

        /* renamed from: a */
        public boolean mo620a(CoordinatorLayout coordinatorLayout, V v, View view, float f, float f2) {
            return false;
        }

        /* renamed from: a */
        public boolean mo621a(CoordinatorLayout coordinatorLayout, V v, View view, View view2, int i, int i2) {
            if (i2 == 0) {
            }
            return false;
        }

        /* renamed from: b */
        public boolean mo622b(CoordinatorLayout coordinatorLayout, V v, MotionEvent motionEvent) {
            return false;
        }

        /* renamed from: b */
        public boolean mo623b(CoordinatorLayout coordinatorLayout, V v, View view) {
            return false;
        }

        /* renamed from: c */
        public void mo624c(CoordinatorLayout coordinatorLayout, V v, View view) {
        }

        public C0074c(Context context, AttributeSet attributeSet) {
        }

        /* renamed from: a */
        public Parcelable mo607a(CoordinatorLayout coordinatorLayout, V v) {
            return View.BaseSavedState.EMPTY_STATE;
        }
    }

    @Deprecated
    @Retention(RetentionPolicy.RUNTIME)
    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$d */
    public @interface C0075d {
        Class<? extends C0074c> value();
    }

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$e */
    public class C0076e implements ViewGroup.OnHierarchyChangeListener {
        public C0076e() {
        }

        public void onChildViewAdded(View view, View view2) {
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = CoordinatorLayout.this.f528r;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewAdded(view, view2);
            }
        }

        public void onChildViewRemoved(View view, View view2) {
            CoordinatorLayout.this.mo563b(2);
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = CoordinatorLayout.this.f528r;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewRemoved(view, view2);
            }
        }
    }

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$g */
    public class C0078g implements ViewTreeObserver.OnPreDrawListener {
        public C0078g() {
        }

        public boolean onPreDraw() {
            CoordinatorLayout.this.mo563b(0);
            return true;
        }
    }

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$i */
    public static class C0081i implements Comparator<View> {
        public int compare(Object obj, Object obj2) {
            float r = ViewCompat.m1973r((View) obj);
            float z = ((View) obj2).getZ();
            if (r > z) {
                return -1;
            }
            return r < z ? 1 : 0;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r0v5, resolved type: java.lang.Class<?>[]} */
    /* JADX WARNING: Multi-variable type inference failed */
    static {
        /*
            java.lang.Class<androidx.coordinatorlayout.widget.CoordinatorLayout> r0 = androidx.coordinatorlayout.widget.CoordinatorLayout.class
            java.lang.Package r0 = r0.getPackage()
            if (r0 == 0) goto L_0x000d
            java.lang.String r0 = r0.getName()
            goto L_0x000e
        L_0x000d:
            r0 = 0
        L_0x000e:
            f507u = r0
            androidx.coordinatorlayout.widget.CoordinatorLayout$i r0 = new androidx.coordinatorlayout.widget.CoordinatorLayout$i
            r0.<init>()
            f510x = r0
            r0 = 2
            java.lang.Class[] r0 = new java.lang.Class[r0]
            r1 = 0
            java.lang.Class<android.content.Context> r2 = android.content.Context.class
            r0[r1] = r2
            r1 = 1
            java.lang.Class<android.util.AttributeSet> r2 = android.util.AttributeSet.class
            r0[r1] = r2
            f508v = r0
            java.lang.ThreadLocal r0 = new java.lang.ThreadLocal
            r0.<init>()
            f509w = r0
            b.h.l.e r0 = new b.h.l.e
            r1 = 12
            r0.<init>(r1)
            f511y = r0
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.coordinatorlayout.widget.CoordinatorLayout.<clinit>():void");
    }

    public CoordinatorLayout(Context context) {
        this(context, (AttributeSet) null);
    }

    /* renamed from: a */
    public static void m257a(Rect rect) {
        rect.setEmpty();
        f511y.mo3104a(rect);
    }

    /* renamed from: c */
    public static Rect m258c() {
        Rect a = f511y.mo3103a();
        return a == null ? new Rect() : a;
    }

    /* renamed from: b */
    public void mo564b(View view, int i) {
        C0077f fVar = (C0077f) view.getLayoutParams();
        int i2 = 0;
        if (!(fVar.f543k == null && fVar.f538f != -1)) {
            View view2 = fVar.f543k;
            if (view2 != null) {
                Rect c = m258c();
                Rect c2 = m258c();
                try {
                    ViewGroupUtils.m1751a((ViewGroup) this, view2, c);
                    C0077f fVar2 = (C0077f) view.getLayoutParams();
                    int measuredWidth = view.getMeasuredWidth();
                    int measuredHeight = view.getMeasuredHeight();
                    mo553a(i, c, c2, fVar2, measuredWidth, measuredHeight);
                    mo556a(fVar2, c2, measuredWidth, measuredHeight);
                    view.layout(c2.left, c2.top, c2.right, c2.bottom);
                    c.setEmpty();
                    f511y.mo3104a(c);
                    c2.setEmpty();
                    f511y.mo3104a(c2);
                } catch (Throwable th) {
                    m257a(c);
                    m257a(c2);
                    throw th;
                }
            } else {
                int i3 = fVar.f537e;
                if (i3 >= 0) {
                    C0077f fVar3 = (C0077f) view.getLayoutParams();
                    int i4 = fVar3.f535c;
                    if (i4 == 0) {
                        i4 = 8388661;
                    }
                    int absoluteGravity = Gravity.getAbsoluteGravity(i4, i);
                    int i5 = absoluteGravity & 7;
                    int i6 = absoluteGravity & 112;
                    int width = getWidth();
                    int height = getHeight();
                    int measuredWidth2 = view.getMeasuredWidth();
                    int measuredHeight2 = view.getMeasuredHeight();
                    if (i == 1) {
                        i3 = width - i3;
                    }
                    int a = mo550a(i3) - measuredWidth2;
                    if (i5 == 1) {
                        a += measuredWidth2 / 2;
                    } else if (i5 == 5) {
                        a += measuredWidth2;
                    }
                    if (i6 == 16) {
                        i2 = 0 + (measuredHeight2 / 2);
                    } else if (i6 == 80) {
                        i2 = measuredHeight2 + 0;
                    }
                    int max = Math.max(getPaddingLeft() + fVar3.leftMargin, Math.min(a, ((width - getPaddingRight()) - measuredWidth2) - fVar3.rightMargin));
                    int max2 = Math.max(getPaddingTop() + fVar3.topMargin, Math.min(i2, ((height - getPaddingBottom()) - measuredHeight2) - fVar3.bottomMargin));
                    view.layout(max, max2, measuredWidth2 + max, measuredHeight2 + max2);
                    return;
                }
                C0077f fVar4 = (C0077f) view.getLayoutParams();
                Rect c3 = m258c();
                c3.set(getPaddingLeft() + fVar4.leftMargin, getPaddingTop() + fVar4.topMargin, (getWidth() - getPaddingRight()) - fVar4.rightMargin, (getHeight() - getPaddingBottom()) - fVar4.bottomMargin);
                if (this.f525o != null && ViewCompat.m1963h(this) && !view.getFitsSystemWindows()) {
                    c3.left = this.f525o.mo3158b() + c3.left;
                    c3.top = this.f525o.mo3160d() + c3.top;
                    c3.right -= this.f525o.mo3159c();
                    c3.bottom -= this.f525o.mo3157a();
                }
                Rect c4 = m258c();
                int i7 = fVar4.f535c;
                if ((i7 & 7) == 0) {
                    i7 |= 8388611;
                }
                if ((i7 & 112) == 0) {
                    i7 |= 48;
                }
                Gravity.apply(i7, view.getMeasuredWidth(), view.getMeasuredHeight(), c3, c4, i);
                view.layout(c4.left, c4.top, c4.right, c4.bottom);
                c3.setEmpty();
                f511y.mo3104a(c3);
                c4.setEmpty();
                f511y.mo3104a(c4);
            }
        } else {
            throw new IllegalStateException("An anchor may not be changed after CoordinatorLayout measurement begins before layout is complete.");
        }
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof C0077f) && super.checkLayoutParams(layoutParams);
    }

    /* renamed from: d */
    public final void mo568d(View view, int i) {
        C0077f fVar = (C0077f) view.getLayoutParams();
        int i2 = fVar.f542j;
        if (i2 != i) {
            ViewCompat.m1957e(view, i - i2);
            fVar.f542j = i;
        }
    }

    public boolean drawChild(Canvas canvas, View view, long j) {
        C0074c cVar = ((C0077f) view.getLayoutParams()).f533a;
        return super.drawChild(canvas, view, j);
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f527q;
        boolean z = false;
        if (drawable != null && drawable.isStateful()) {
            z = false | drawable.setState(drawableState);
        }
        if (z) {
            invalidate();
        }
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new C0077f(-2, -2);
    }

    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new C0077f(getContext(), attributeSet);
    }

    public final List<View> getDependencySortedChildren() {
        mo552a();
        return Collections.unmodifiableList(this.f512b);
    }

    public final WindowInsetsCompat getLastWindowInsets() {
        return this.f525o;
    }

    public int getNestedScrollAxes() {
        return this.f530t.mo3131a();
    }

    public Drawable getStatusBarBackground() {
        return this.f527q;
    }

    public int getSuggestedMinimumHeight() {
        return Math.max(super.getSuggestedMinimumHeight(), getPaddingBottom() + getPaddingTop());
    }

    public int getSuggestedMinimumWidth() {
        return Math.max(super.getSuggestedMinimumWidth(), getPaddingRight() + getPaddingLeft());
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        mo558a(false);
        if (this.f524n) {
            if (this.f523m == null) {
                this.f523m = new C0078g();
            }
            getViewTreeObserver().addOnPreDrawListener(this.f523m);
        }
        if (this.f525o == null && ViewCompat.m1963h(this)) {
            requestApplyInsets();
        }
        this.f519i = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        mo558a(false);
        if (this.f524n && this.f523m != null) {
            getViewTreeObserver().removeOnPreDrawListener(this.f523m);
        }
        View view = this.f522l;
        if (view != null) {
            mo179a(view, 0);
        }
        this.f519i = false;
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.f526p && this.f527q != null) {
            WindowInsetsCompat wVar = this.f525o;
            int d = wVar != null ? wVar.mo3160d() : 0;
            if (d > 0) {
                this.f527q.setBounds(0, 0, getWidth(), d);
                this.f527q.draw(canvas);
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            mo558a(true);
        }
        boolean a = mo559a(motionEvent, 0);
        if (actionMasked == 1 || actionMasked == 3) {
            mo558a(true);
        }
        return a;
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        C0074c cVar;
        int k = ViewCompat.m1966k(this);
        int size = this.f512b.size();
        for (int i5 = 0; i5 < size; i5++) {
            View view = this.f512b.get(i5);
            if (view.getVisibility() != 8 && ((cVar = ((C0077f) view.getLayoutParams()).f533a) == null || !cVar.mo614a(this, view, k))) {
                mo564b(view, k);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:77:0x017e, code lost:
        if (r0.mo615a(r30, r20, r8, r21, r23, 0) == false) goto L_0x018e;
     */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x012d  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0157  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x015f  */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x0181  */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void onMeasure(int r31, int r32) {
        /*
            r30 = this;
            r7 = r30
            r30.mo552a()
            int r0 = r30.getChildCount()
            r8 = 0
            r1 = 0
        L_0x000b:
            r2 = 1
            if (r1 >= r0) goto L_0x0038
            android.view.View r3 = r7.getChildAt(r1)
            b.g.d.a<android.view.View> r4 = r7.f513c
            b.e.h<T, java.util.ArrayList<T>> r5 = r4.f2263b
            int r5 = r5.f1923d
            r6 = 0
        L_0x0019:
            if (r6 >= r5) goto L_0x0030
            b.e.h<T, java.util.ArrayList<T>> r9 = r4.f2263b
            java.lang.Object r9 = r9.mo2802e(r6)
            java.util.ArrayList r9 = (java.util.ArrayList) r9
            if (r9 == 0) goto L_0x002d
            boolean r9 = r9.contains(r3)
            if (r9 == 0) goto L_0x002d
            r3 = 1
            goto L_0x0031
        L_0x002d:
            int r6 = r6 + 1
            goto L_0x0019
        L_0x0030:
            r3 = 0
        L_0x0031:
            if (r3 == 0) goto L_0x0035
            r0 = 1
            goto L_0x0039
        L_0x0035:
            int r1 = r1 + 1
            goto L_0x000b
        L_0x0038:
            r0 = 0
        L_0x0039:
            boolean r1 = r7.f524n
            if (r0 == r1) goto L_0x006d
            if (r0 == 0) goto L_0x005a
            boolean r0 = r7.f519i
            if (r0 == 0) goto L_0x0057
            androidx.coordinatorlayout.widget.CoordinatorLayout$g r0 = r7.f523m
            if (r0 != 0) goto L_0x004e
            androidx.coordinatorlayout.widget.CoordinatorLayout$g r0 = new androidx.coordinatorlayout.widget.CoordinatorLayout$g
            r0.<init>()
            r7.f523m = r0
        L_0x004e:
            android.view.ViewTreeObserver r0 = r30.getViewTreeObserver()
            androidx.coordinatorlayout.widget.CoordinatorLayout$g r1 = r7.f523m
            r0.addOnPreDrawListener(r1)
        L_0x0057:
            r7.f524n = r2
            goto L_0x006d
        L_0x005a:
            boolean r0 = r7.f519i
            if (r0 == 0) goto L_0x006b
            androidx.coordinatorlayout.widget.CoordinatorLayout$g r0 = r7.f523m
            if (r0 == 0) goto L_0x006b
            android.view.ViewTreeObserver r0 = r30.getViewTreeObserver()
            androidx.coordinatorlayout.widget.CoordinatorLayout$g r1 = r7.f523m
            r0.removeOnPreDrawListener(r1)
        L_0x006b:
            r7.f524n = r8
        L_0x006d:
            int r9 = r30.getPaddingLeft()
            int r0 = r30.getPaddingTop()
            int r10 = r30.getPaddingRight()
            int r1 = r30.getPaddingBottom()
            int r11 = p008b.p033h.p045m.ViewCompat.m1966k(r30)
            if (r11 != r2) goto L_0x0085
            r12 = 1
            goto L_0x0086
        L_0x0085:
            r12 = 0
        L_0x0086:
            int r13 = android.view.View.MeasureSpec.getMode(r31)
            int r14 = android.view.View.MeasureSpec.getSize(r31)
            int r15 = android.view.View.MeasureSpec.getMode(r32)
            int r16 = android.view.View.MeasureSpec.getSize(r32)
            int r17 = r9 + r10
            int r18 = r0 + r1
            int r0 = r30.getSuggestedMinimumWidth()
            int r1 = r30.getSuggestedMinimumHeight()
            b.h.m.w r3 = r7.f525o
            if (r3 == 0) goto L_0x00af
            boolean r3 = r30.getFitsSystemWindows()
            if (r3 == 0) goto L_0x00af
            r19 = 1
            goto L_0x00b1
        L_0x00af:
            r19 = 0
        L_0x00b1:
            java.util.List<android.view.View> r2 = r7.f512b
            int r6 = r2.size()
            r5 = r0
            r4 = r1
            r2 = 0
            r3 = 0
        L_0x00bb:
            if (r3 >= r6) goto L_0x01d4
            java.util.List<android.view.View> r0 = r7.f512b
            java.lang.Object r0 = r0.get(r3)
            r20 = r0
            android.view.View r20 = (android.view.View) r20
            int r0 = r20.getVisibility()
            r1 = 8
            if (r0 != r1) goto L_0x00d7
            r22 = r3
            r29 = r6
            r28 = r9
            goto L_0x01cb
        L_0x00d7:
            android.view.ViewGroup$LayoutParams r0 = r20.getLayoutParams()
            r1 = r0
            androidx.coordinatorlayout.widget.CoordinatorLayout$f r1 = (androidx.coordinatorlayout.widget.CoordinatorLayout.C0077f) r1
            int r0 = r1.f537e
            if (r0 < 0) goto L_0x0121
            if (r13 == 0) goto L_0x0121
            int r0 = r7.mo550a((int) r0)
            int r8 = r1.f535c
            if (r8 != 0) goto L_0x00ef
            r8 = 8388661(0x800035, float:1.1755018E-38)
        L_0x00ef:
            int r8 = android.view.Gravity.getAbsoluteGravity(r8, r11)
            r8 = r8 & 7
            r22 = r2
            r2 = 3
            if (r8 != r2) goto L_0x00fc
            if (r12 == 0) goto L_0x0101
        L_0x00fc:
            r2 = 5
            if (r8 != r2) goto L_0x010d
            if (r12 == 0) goto L_0x010d
        L_0x0101:
            int r2 = r14 - r10
            int r2 = r2 - r0
            r0 = 0
            int r2 = java.lang.Math.max(r0, r2)
            r21 = r2
            r8 = 0
            goto L_0x0125
        L_0x010d:
            if (r8 != r2) goto L_0x0111
            if (r12 == 0) goto L_0x0116
        L_0x0111:
            r2 = 3
            if (r8 != r2) goto L_0x011f
            if (r12 == 0) goto L_0x011f
        L_0x0116:
            int r0 = r0 - r9
            r8 = 0
            int r0 = java.lang.Math.max(r8, r0)
            r21 = r0
            goto L_0x0125
        L_0x011f:
            r8 = 0
            goto L_0x0123
        L_0x0121:
            r22 = r2
        L_0x0123:
            r21 = 0
        L_0x0125:
            if (r19 == 0) goto L_0x0157
            boolean r0 = r20.getFitsSystemWindows()
            if (r0 != 0) goto L_0x0157
            b.h.m.w r0 = r7.f525o
            int r0 = r0.mo3158b()
            b.h.m.w r2 = r7.f525o
            int r2 = r2.mo3159c()
            int r2 = r2 + r0
            b.h.m.w r0 = r7.f525o
            int r0 = r0.mo3160d()
            b.h.m.w r8 = r7.f525o
            int r8 = r8.mo3157a()
            int r8 = r8 + r0
            int r0 = r14 - r2
            int r0 = android.view.View.MeasureSpec.makeMeasureSpec(r0, r13)
            int r2 = r16 - r8
            int r2 = android.view.View.MeasureSpec.makeMeasureSpec(r2, r15)
            r8 = r0
            r23 = r2
            goto L_0x015b
        L_0x0157:
            r8 = r31
            r23 = r32
        L_0x015b:
            androidx.coordinatorlayout.widget.CoordinatorLayout$c r0 = r1.f533a
            if (r0 == 0) goto L_0x0181
            r24 = 0
            r2 = r1
            r1 = r30
            r26 = r2
            r25 = r22
            r2 = r20
            r22 = r3
            r3 = r8
            r27 = r4
            r4 = r21
            r28 = r9
            r9 = r5
            r5 = r23
            r29 = r6
            r6 = r24
            boolean r0 = r0.mo615a((androidx.coordinatorlayout.widget.CoordinatorLayout) r1, r2, (int) r3, (int) r4, (int) r5, (int) r6)
            if (r0 != 0) goto L_0x019b
            goto L_0x018e
        L_0x0181:
            r26 = r1
            r27 = r4
            r29 = r6
            r28 = r9
            r25 = r22
            r22 = r3
            r9 = r5
        L_0x018e:
            r5 = 0
            r0 = r30
            r1 = r20
            r2 = r8
            r3 = r21
            r4 = r23
            r0.mo554a((android.view.View) r1, (int) r2, (int) r3, (int) r4, (int) r5)
        L_0x019b:
            int r0 = r20.getMeasuredWidth()
            int r0 = r0 + r17
            r1 = r26
            int r2 = r1.leftMargin
            int r0 = r0 + r2
            int r2 = r1.rightMargin
            int r0 = r0 + r2
            int r0 = java.lang.Math.max(r9, r0)
            int r2 = r20.getMeasuredHeight()
            int r2 = r2 + r18
            int r3 = r1.topMargin
            int r2 = r2 + r3
            int r1 = r1.bottomMargin
            int r2 = r2 + r1
            r1 = r27
            int r1 = java.lang.Math.max(r1, r2)
            int r2 = r20.getMeasuredState()
            r8 = r25
            int r2 = android.view.View.combineMeasuredStates(r8, r2)
            r5 = r0
            r4 = r1
        L_0x01cb:
            int r3 = r22 + 1
            r9 = r28
            r6 = r29
            r8 = 0
            goto L_0x00bb
        L_0x01d4:
            r8 = r2
            r1 = r4
            r9 = r5
            r0 = -16777216(0xffffffffff000000, float:-1.7014118E38)
            r0 = r0 & r8
            r2 = r31
            int r0 = android.view.View.resolveSizeAndState(r9, r2, r0)
            int r2 = r8 << 16
            r3 = r32
            int r1 = android.view.View.resolveSizeAndState(r1, r3, r2)
            r7.setMeasuredDimension(r0, r1)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.coordinatorlayout.widget.CoordinatorLayout.onMeasure(int, int):void");
    }

    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                C0077f fVar = (C0077f) childAt.getLayoutParams();
                if (fVar.mo630a(0)) {
                    C0074c cVar = fVar.f533a;
                }
            }
        }
        return false;
    }

    public boolean onNestedPreFling(View view, float f, float f2) {
        C0074c cVar;
        int childCount = getChildCount();
        boolean z = false;
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                C0077f fVar = (C0077f) childAt.getLayoutParams();
                if (fVar.mo630a(0) && (cVar = fVar.f533a) != null) {
                    z |= cVar.mo620a(this, childAt, view, f, f2);
                }
            }
        }
        return z;
    }

    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
        mo182a(view, i, i2, iArr, 0);
    }

    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        mo181a(view, i, i2, i3, i4, 0, this.f517g);
    }

    public void onNestedScrollAccepted(View view, View view2, int i) {
        mo183a(view, view2, i, 0);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        Parcelable parcelable2;
        if (!(parcelable instanceof C0079h)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        C0079h hVar = (C0079h) parcelable;
        super.onRestoreInstanceState(hVar.f2617b);
        SparseArray<Parcelable> sparseArray = hVar.f551d;
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            int id = childAt.getId();
            C0074c cVar = mo565c(childAt).f533a;
            if (!(id == -1 || cVar == null || (parcelable2 = sparseArray.get(id)) == null)) {
                cVar.mo610a(this, childAt, parcelable2);
            }
        }
    }

    public Parcelable onSaveInstanceState() {
        Parcelable a;
        C0079h hVar = new C0079h(super.onSaveInstanceState());
        SparseArray<Parcelable> sparseArray = new SparseArray<>();
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            int id = childAt.getId();
            C0074c cVar = ((C0077f) childAt.getLayoutParams()).f533a;
            if (!(id == -1 || cVar == null || (a = cVar.mo607a(this, childAt)) == null)) {
                sparseArray.append(id, a);
            }
        }
        hVar.f551d = sparseArray;
        return hVar;
    }

    public boolean onStartNestedScroll(View view, View view2, int i) {
        return mo187b(view, view2, i, 0);
    }

    public void onStopNestedScroll(View view) {
        mo179a(view, 0);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0012, code lost:
        if (r3 != false) goto L_0x0016;
     */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x002f  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0035  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x004a  */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean onTouchEvent(android.view.MotionEvent r18) {
        /*
            r17 = this;
            r0 = r17
            r1 = r18
            int r2 = r18.getActionMasked()
            android.view.View r3 = r0.f521k
            r4 = 1
            r5 = 0
            if (r3 != 0) goto L_0x0015
            boolean r3 = r0.mo559a((android.view.MotionEvent) r1, (int) r4)
            if (r3 == 0) goto L_0x0029
            goto L_0x0016
        L_0x0015:
            r3 = 0
        L_0x0016:
            android.view.View r6 = r0.f521k
            android.view.ViewGroup$LayoutParams r6 = r6.getLayoutParams()
            androidx.coordinatorlayout.widget.CoordinatorLayout$f r6 = (androidx.coordinatorlayout.widget.CoordinatorLayout.C0077f) r6
            androidx.coordinatorlayout.widget.CoordinatorLayout$c r6 = r6.f533a
            if (r6 == 0) goto L_0x0029
            android.view.View r7 = r0.f521k
            boolean r6 = r6.mo622b((androidx.coordinatorlayout.widget.CoordinatorLayout) r0, r7, (android.view.MotionEvent) r1)
            goto L_0x002a
        L_0x0029:
            r6 = 0
        L_0x002a:
            android.view.View r7 = r0.f521k
            r8 = 0
            if (r7 != 0) goto L_0x0035
            boolean r1 = super.onTouchEvent(r18)
            r6 = r6 | r1
            goto L_0x0048
        L_0x0035:
            if (r3 == 0) goto L_0x0048
            long r11 = android.os.SystemClock.uptimeMillis()
            r13 = 3
            r14 = 0
            r15 = 0
            r16 = 0
            r9 = r11
            android.view.MotionEvent r8 = android.view.MotionEvent.obtain(r9, r11, r13, r14, r15, r16)
            super.onTouchEvent(r8)
        L_0x0048:
            if (r8 == 0) goto L_0x004d
            r8.recycle()
        L_0x004d:
            if (r2 == r4) goto L_0x0052
            r1 = 3
            if (r2 != r1) goto L_0x0055
        L_0x0052:
            r0.mo558a((boolean) r5)
        L_0x0055:
            return r6
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.coordinatorlayout.widget.CoordinatorLayout.onTouchEvent(android.view.MotionEvent):boolean");
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        C0074c cVar = ((C0077f) view.getLayoutParams()).f533a;
        if (cVar == null || !cVar.mo617a(this, view, rect, z)) {
            return super.requestChildRectangleOnScreen(view, rect, z);
        }
        return true;
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        super.requestDisallowInterceptTouchEvent(z);
        if (z && !this.f518h) {
            mo558a(false);
            this.f518h = true;
        }
    }

    public void setFitsSystemWindows(boolean z) {
        super.setFitsSystemWindows(z);
        mo562b();
    }

    public void setOnHierarchyChangeListener(ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener) {
        this.f528r = onHierarchyChangeListener;
    }

    public void setStatusBarBackground(Drawable drawable) {
        Drawable drawable2 = this.f527q;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback((Drawable.Callback) null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.f527q = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.f527q.setState(getDrawableState());
                }
                MediaDescriptionCompatApi21.m73a(this.f527q, ViewCompat.m1966k(this));
                this.f527q.setVisible(getVisibility() == 0, false);
                this.f527q.setCallback(this);
            }
            ViewCompat.m1922A(this);
        }
    }

    public void setStatusBarBackgroundColor(int i) {
        setStatusBarBackground(new ColorDrawable(i));
    }

    public void setStatusBarBackgroundResource(int i) {
        setStatusBarBackground(i != 0 ? ContextCompat.m1788c(getContext(), i) : null);
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.f527q;
        if (drawable != null && drawable.isVisible() != z) {
            this.f527q.setVisible(z, false);
        }
    }

    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f527q;
    }

    public CoordinatorLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0344a.coordinatorLayoutStyle);
    }

    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof C0077f) {
            return new C0077f((C0077f) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new C0077f((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new C0077f(layoutParams);
    }

    public CoordinatorLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        TypedArray typedArray;
        this.f512b = new ArrayList();
        this.f513c = new DirectedAcyclicGraph<>();
        this.f514d = new ArrayList();
        this.f515e = new ArrayList();
        this.f516f = new int[2];
        this.f517g = new int[2];
        this.f530t = new NestedScrollingParentHelper();
        if (i == 0) {
            typedArray = context.obtainStyledAttributes(attributeSet, C0346c.CoordinatorLayout, 0, C0345b.Widget_Support_CoordinatorLayout);
        } else {
            typedArray = context.obtainStyledAttributes(attributeSet, C0346c.CoordinatorLayout, i, 0);
        }
        if (Build.VERSION.SDK_INT >= 29) {
            if (i == 0) {
                saveAttributeDataForStyleable(context, C0346c.CoordinatorLayout, attributeSet, typedArray, 0, C0345b.Widget_Support_CoordinatorLayout);
            } else {
                saveAttributeDataForStyleable(context, C0346c.CoordinatorLayout, attributeSet, typedArray, i, 0);
            }
        }
        int resourceId = typedArray.getResourceId(C0346c.CoordinatorLayout_keylines, 0);
        if (resourceId != 0) {
            Resources resources = context.getResources();
            this.f520j = resources.getIntArray(resourceId);
            float f = resources.getDisplayMetrics().density;
            int length = this.f520j.length;
            for (int i2 = 0; i2 < length; i2++) {
                int[] iArr = this.f520j;
                iArr[i2] = (int) (((float) iArr[i2]) * f);
            }
        }
        this.f527q = typedArray.getDrawable(C0346c.CoordinatorLayout_statusBarBackground);
        typedArray.recycle();
        mo562b();
        super.setOnHierarchyChangeListener(new C0076e());
        if (getImportantForAccessibility() == 0) {
            setImportantForAccessibility(1);
        }
    }

    /* renamed from: a */
    public final void mo558a(boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            C0074c cVar = ((C0077f) childAt.getLayoutParams()).f533a;
            if (cVar != null) {
                long uptimeMillis = SystemClock.uptimeMillis();
                MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                if (z) {
                    cVar.mo618a(this, childAt, obtain);
                } else {
                    cVar.mo622b(this, childAt, obtain);
                }
                obtain.recycle();
            }
        }
        for (int i2 = 0; i2 < childCount; i2++) {
            ((C0077f) getChildAt(i2).getLayoutParams()).f545m = false;
        }
        this.f521k = null;
        this.f518h = false;
    }

    /* renamed from: c */
    public C0077f mo565c(View view) {
        C0077f fVar = (C0077f) view.getLayoutParams();
        if (!fVar.f534b) {
            if (view instanceof C0073b) {
                C0074c behavior = ((C0073b) view).getBehavior();
                if (behavior == null) {
                    Log.e("CoordinatorLayout", "Attached behavior class is null");
                }
                fVar.mo629a(behavior);
                fVar.f534b = true;
            } else {
                C0075d dVar = null;
                for (Class cls = view.getClass(); cls != null; cls = cls.getSuperclass()) {
                    dVar = (C0075d) cls.getAnnotation(C0075d.class);
                    if (dVar != null) {
                        break;
                    }
                }
                if (dVar != null) {
                    try {
                        fVar.mo629a((C0074c) dVar.value().getDeclaredConstructor(new Class[0]).newInstance(new Object[0]));
                    } catch (Exception e) {
                        StringBuilder a = outline.m2937a("Default behavior class ");
                        a.append(dVar.value().getName());
                        a.append(" could not be instantiated. Did you forget a default constructor?");
                        Log.e("CoordinatorLayout", a.toString(), e);
                    }
                }
                fVar.f534b = true;
            }
        }
        return fVar;
    }

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$f */
    public static class C0077f extends ViewGroup.MarginLayoutParams {

        /* renamed from: a */
        public C0074c f533a;

        /* renamed from: b */
        public boolean f534b = false;

        /* renamed from: c */
        public int f535c = 0;

        /* renamed from: d */
        public int f536d = 0;

        /* renamed from: e */
        public int f537e = -1;

        /* renamed from: f */
        public int f538f = -1;

        /* renamed from: g */
        public int f539g = 0;

        /* renamed from: h */
        public int f540h = 0;

        /* renamed from: i */
        public int f541i;

        /* renamed from: j */
        public int f542j;

        /* renamed from: k */
        public View f543k;

        /* renamed from: l */
        public View f544l;

        /* renamed from: m */
        public boolean f545m;

        /* renamed from: n */
        public boolean f546n;

        /* renamed from: o */
        public boolean f547o;

        /* renamed from: p */
        public boolean f548p;

        /* renamed from: q */
        public final Rect f549q = new Rect();

        public C0077f(int i, int i2) {
            super(i, i2);
        }

        /* renamed from: a */
        public void mo629a(C0074c cVar) {
            C0074c cVar2 = this.f533a;
            if (cVar2 != cVar) {
                if (cVar2 != null) {
                    cVar2.mo608a();
                }
                this.f533a = cVar;
                this.f534b = true;
                if (cVar != null) {
                    cVar.mo609a(this);
                }
            }
        }

        /* renamed from: a */
        public void mo628a(int i, boolean z) {
            if (i == 0) {
                this.f546n = z;
            } else if (i == 1) {
                this.f547o = z;
            }
        }

        /* renamed from: a */
        public boolean mo630a(int i) {
            if (i == 0) {
                return this.f546n;
            }
            if (i != 1) {
                return false;
            }
            return this.f547o;
        }

        public C0077f(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0346c.CoordinatorLayout_Layout);
            this.f535c = obtainStyledAttributes.getInteger(C0346c.CoordinatorLayout_Layout_android_layout_gravity, 0);
            this.f538f = obtainStyledAttributes.getResourceId(C0346c.CoordinatorLayout_Layout_layout_anchor, -1);
            this.f536d = obtainStyledAttributes.getInteger(C0346c.CoordinatorLayout_Layout_layout_anchorGravity, 0);
            this.f537e = obtainStyledAttributes.getInteger(C0346c.CoordinatorLayout_Layout_layout_keyline, -1);
            this.f539g = obtainStyledAttributes.getInt(C0346c.CoordinatorLayout_Layout_layout_insetEdge, 0);
            this.f540h = obtainStyledAttributes.getInt(C0346c.CoordinatorLayout_Layout_layout_dodgeInsetEdges, 0);
            boolean hasValue = obtainStyledAttributes.hasValue(C0346c.CoordinatorLayout_Layout_layout_behavior);
            this.f534b = hasValue;
            if (hasValue) {
                this.f533a = CoordinatorLayout.m256a(context, attributeSet, obtainStyledAttributes.getString(C0346c.CoordinatorLayout_Layout_layout_behavior));
            }
            obtainStyledAttributes.recycle();
            C0074c cVar = this.f533a;
            if (cVar != null) {
                cVar.mo609a(this);
            }
        }

        public C0077f(C0077f fVar) {
            super(fVar);
        }

        public C0077f(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public C0077f(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$h */
    public static class C0079h extends AbsSavedState {
        public static final Parcelable.Creator<C0079h> CREATOR = new C0080a();

        /* renamed from: d */
        public SparseArray<Parcelable> f551d;

        /* renamed from: androidx.coordinatorlayout.widget.CoordinatorLayout$h$a */
        public static class C0080a implements Parcelable.ClassLoaderCreator<C0079h> {
            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C0079h(parcel, classLoader);
            }

            public Object[] newArray(int i) {
                return new C0079h[i];
            }

            public Object createFromParcel(Parcel parcel) {
                return new C0079h(parcel, (ClassLoader) null);
            }
        }

        public C0079h(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            int readInt = parcel.readInt();
            int[] iArr = new int[readInt];
            parcel.readIntArray(iArr);
            Parcelable[] readParcelableArray = parcel.readParcelableArray(classLoader);
            this.f551d = new SparseArray<>(readInt);
            for (int i = 0; i < readInt; i++) {
                this.f551d.append(iArr[i], readParcelableArray[i]);
            }
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeParcelable(this.f2617b, i);
            SparseArray<Parcelable> sparseArray = this.f551d;
            int size = sparseArray != null ? sparseArray.size() : 0;
            parcel.writeInt(size);
            int[] iArr = new int[size];
            Parcelable[] parcelableArr = new Parcelable[size];
            for (int i2 = 0; i2 < size; i2++) {
                iArr[i2] = this.f551d.keyAt(i2);
                parcelableArr[i2] = this.f551d.valueAt(i2);
            }
            parcel.writeIntArray(iArr);
            parcel.writeParcelableArray(parcelableArr, i);
        }

        public C0079h(Parcelable parcelable) {
            super(parcelable);
        }
    }

    /* renamed from: a */
    public final void mo557a(List<View> list) {
        list.clear();
        boolean isChildrenDrawingOrderEnabled = isChildrenDrawingOrderEnabled();
        int childCount = getChildCount();
        for (int i = childCount - 1; i >= 0; i--) {
            list.add(getChildAt(isChildrenDrawingOrderEnabled ? getChildDrawingOrder(childCount, i) : i));
        }
        Comparator<View> comparator = f510x;
        if (comparator != null) {
            Collections.sort(list, comparator);
        }
    }

    /* renamed from: c */
    public final void mo566c(View view, int i) {
        C0077f fVar = (C0077f) view.getLayoutParams();
        int i2 = fVar.f541i;
        if (i2 != i) {
            ViewCompat.m1955d(view, i - i2);
            fVar.f541i = i;
        }
    }

    /* renamed from: a */
    public final boolean mo559a(MotionEvent motionEvent, int i) {
        boolean z;
        MotionEvent motionEvent2 = motionEvent;
        int i2 = i;
        int actionMasked = motionEvent.getActionMasked();
        List<View> list = this.f514d;
        mo557a(list);
        int size = list.size();
        MotionEvent motionEvent3 = null;
        boolean z2 = false;
        boolean z3 = false;
        for (int i3 = 0; i3 < size; i3++) {
            View view = list.get(i3);
            C0077f fVar = (C0077f) view.getLayoutParams();
            C0074c cVar = fVar.f533a;
            if ((!z2 && !z3) || actionMasked == 0) {
                if (!z2 && cVar != null) {
                    if (i2 == 0) {
                        z2 = cVar.mo618a(this, view, motionEvent2);
                    } else if (i2 == 1) {
                        z2 = cVar.mo622b(this, view, motionEvent2);
                    }
                    if (z2) {
                        this.f521k = view;
                    }
                }
                if (fVar.f533a == null) {
                    fVar.f545m = false;
                }
                boolean z4 = fVar.f545m;
                if (z4) {
                    z = true;
                } else {
                    C0074c cVar2 = fVar.f533a;
                    z = z4 | false;
                    fVar.f545m = z;
                }
                z3 = z && !z4;
                if (z && !z3) {
                    break;
                }
            } else if (cVar != null) {
                if (motionEvent3 == null) {
                    long uptimeMillis = SystemClock.uptimeMillis();
                    motionEvent3 = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                }
                if (i2 == 0) {
                    cVar.mo618a(this, view, motionEvent3);
                } else if (i2 == 1) {
                    cVar.mo622b(this, view, motionEvent3);
                }
            }
        }
        list.clear();
        return z2;
    }

    /* renamed from: a */
    public final int mo550a(int i) {
        int[] iArr = this.f520j;
        if (iArr == null) {
            Log.e("CoordinatorLayout", "No keylines defined for " + this + " - attempted index lookup " + i);
            return 0;
        } else if (i >= 0 && i < iArr.length) {
            return iArr[i];
        } else {
            Log.e("CoordinatorLayout", "Keyline index " + i + " out of range for " + this);
            return 0;
        }
    }

    /* renamed from: a */
    public static C0074c m256a(Context context, AttributeSet attributeSet, String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        if (str.startsWith(".")) {
            str = context.getPackageName() + str;
        } else if (str.indexOf(46) < 0 && !TextUtils.isEmpty(f507u)) {
            str = f507u + '.' + str;
        }
        try {
            Map map = f509w.get();
            if (map == null) {
                map = new HashMap();
                f509w.set(map);
            }
            Constructor<?> constructor = (Constructor) map.get(str);
            if (constructor == null) {
                constructor = Class.forName(str, false, context.getClassLoader()).getConstructor(f508v);
                constructor.setAccessible(true);
                map.put(str, constructor);
            }
            return (C0074c) constructor.newInstance(new Object[]{context, attributeSet});
        } catch (Exception e) {
            throw new RuntimeException(outline.m2941b("Could not inflate Behavior subclass ", str), e);
        }
    }

    /* renamed from: b */
    public final void mo563b(int i) {
        int i2;
        Rect rect;
        int i3;
        boolean z;
        boolean z2;
        boolean z3;
        int width;
        int i4;
        int i5;
        int i6;
        int height;
        int i7;
        int i8;
        int i9;
        Rect rect2;
        int i10;
        int i11;
        int i12;
        C0077f fVar;
        C0074c cVar;
        int i13 = i;
        int k = ViewCompat.m1966k(this);
        int size = this.f512b.size();
        Rect c = m258c();
        Rect c2 = m258c();
        Rect c3 = m258c();
        int i14 = 0;
        while (i14 < size) {
            View view = this.f512b.get(i14);
            C0077f fVar2 = (C0077f) view.getLayoutParams();
            if (i13 == 0 && view.getVisibility() == 8) {
                i3 = size;
                rect = c3;
                i2 = i14;
            } else {
                int i15 = 0;
                while (i15 < i14) {
                    if (fVar2.f544l == this.f512b.get(i15)) {
                        C0077f fVar3 = (C0077f) view.getLayoutParams();
                        if (fVar3.f543k != null) {
                            Rect c4 = m258c();
                            Rect c5 = m258c();
                            Rect c6 = m258c();
                            ViewGroupUtils.m1751a((ViewGroup) this, fVar3.f543k, c4);
                            mo555a(view, false, c5);
                            int measuredWidth = view.getMeasuredWidth();
                            i12 = size;
                            int measuredHeight = view.getMeasuredHeight();
                            int i16 = measuredWidth;
                            Rect rect3 = c6;
                            i11 = i14;
                            Rect rect4 = c5;
                            Rect rect5 = c4;
                            C0077f fVar4 = fVar3;
                            i10 = i15;
                            rect2 = c3;
                            fVar = fVar2;
                            mo553a(k, c4, rect3, fVar3, i16, measuredHeight);
                            Rect rect6 = rect3;
                            boolean z4 = (rect6.left == rect4.left && rect6.top == rect4.top) ? false : true;
                            C0077f fVar5 = fVar4;
                            mo556a(fVar5, rect6, i16, measuredHeight);
                            int i17 = rect6.left - rect4.left;
                            int i18 = rect6.top - rect4.top;
                            if (i17 != 0) {
                                ViewCompat.m1955d(view, i17);
                            }
                            if (i18 != 0) {
                                ViewCompat.m1957e(view, i18);
                            }
                            if (z4 && (cVar = fVar5.f533a) != null) {
                                cVar.mo623b(this, view, fVar5.f543k);
                            }
                            rect5.setEmpty();
                            f511y.mo3104a(rect5);
                            rect4.setEmpty();
                            f511y.mo3104a(rect4);
                            rect6.setEmpty();
                            f511y.mo3104a(rect6);
                            i15 = i10 + 1;
                            fVar2 = fVar;
                            size = i12;
                            i14 = i11;
                            c3 = rect2;
                        }
                    }
                    i10 = i15;
                    i12 = size;
                    rect2 = c3;
                    i11 = i14;
                    fVar = fVar2;
                    i15 = i10 + 1;
                    fVar2 = fVar;
                    size = i12;
                    i14 = i11;
                    c3 = rect2;
                }
                int i19 = size;
                Rect rect7 = c3;
                i2 = i14;
                C0077f fVar6 = fVar2;
                mo555a(view, true, c2);
                if (fVar6.f539g != 0 && !c2.isEmpty()) {
                    int absoluteGravity = Gravity.getAbsoluteGravity(fVar6.f539g, k);
                    int i20 = absoluteGravity & 112;
                    if (i20 == 48) {
                        c.top = Math.max(c.top, c2.bottom);
                    } else if (i20 == 80) {
                        c.bottom = Math.max(c.bottom, getHeight() - c2.top);
                    }
                    int i21 = absoluteGravity & 7;
                    if (i21 == 3) {
                        c.left = Math.max(c.left, c2.right);
                    } else if (i21 == 5) {
                        c.right = Math.max(c.right, getWidth() - c2.left);
                    }
                }
                if (fVar6.f540h != 0 && view.getVisibility() == 0 && view.isLaidOut() && view.getWidth() > 0 && view.getHeight() > 0) {
                    C0077f fVar7 = (C0077f) view.getLayoutParams();
                    C0074c cVar2 = fVar7.f533a;
                    Rect c7 = m258c();
                    Rect c8 = m258c();
                    c8.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
                    if (cVar2 == null || !cVar2.mo616a(this, view, c7)) {
                        c7.set(c8);
                    } else if (!c8.contains(c7)) {
                        StringBuilder a = outline.m2937a("Rect should be within the child's bounds. Rect:");
                        a.append(c7.toShortString());
                        a.append(" | Bounds:");
                        a.append(c8.toShortString());
                        throw new IllegalArgumentException(a.toString());
                    }
                    c8.setEmpty();
                    f511y.mo3104a(c8);
                    if (c7.isEmpty()) {
                        c7.setEmpty();
                        f511y.mo3104a(c7);
                    } else {
                        int absoluteGravity2 = Gravity.getAbsoluteGravity(fVar7.f540h, k);
                        if ((absoluteGravity2 & 48) != 48 || (i8 = (c7.top - fVar7.topMargin) - fVar7.f542j) >= (i9 = c.top)) {
                            z2 = false;
                        } else {
                            mo568d(view, i9 - i8);
                            z2 = true;
                        }
                        if ((absoluteGravity2 & 80) == 80 && (height = ((getHeight() - c7.bottom) - fVar7.bottomMargin) + fVar7.f542j) < (i7 = c.bottom)) {
                            mo568d(view, height - i7);
                            z2 = true;
                        }
                        if (!z2) {
                            mo568d(view, 0);
                        }
                        if ((absoluteGravity2 & 3) != 3 || (i5 = (c7.left - fVar7.leftMargin) - fVar7.f541i) >= (i6 = c.left)) {
                            z3 = false;
                        } else {
                            mo566c(view, i6 - i5);
                            z3 = true;
                        }
                        if ((absoluteGravity2 & 5) == 5 && (width = ((getWidth() - c7.right) - fVar7.rightMargin) + fVar7.f541i) < (i4 = c.right)) {
                            mo566c(view, width - i4);
                            z3 = true;
                        }
                        if (!z3) {
                            mo566c(view, 0);
                        }
                        c7.setEmpty();
                        f511y.mo3104a(c7);
                    }
                }
                if (i13 != 2) {
                    rect = rect7;
                    rect.set(((C0077f) view.getLayoutParams()).f549q);
                    if (rect.equals(c2)) {
                        i3 = i19;
                    } else {
                        ((C0077f) view.getLayoutParams()).f549q.set(c2);
                    }
                } else {
                    rect = rect7;
                }
                i3 = i19;
                for (int i22 = i2 + 1; i22 < i3; i22++) {
                    View view2 = this.f512b.get(i22);
                    C0077f fVar8 = (C0077f) view2.getLayoutParams();
                    C0074c cVar3 = fVar8.f533a;
                    if (cVar3 != null && cVar3.mo619a(this, view2, view)) {
                        if (i13 != 0 || !fVar8.f548p) {
                            if (i13 != 2) {
                                z = cVar3.mo623b(this, view2, view);
                            } else {
                                cVar3.mo624c(this, view2, view);
                                z = true;
                            }
                            if (i13 == 1) {
                                fVar8.f548p = z;
                            }
                        } else {
                            fVar8.f548p = false;
                        }
                    }
                }
            }
            i14 = i2 + 1;
            size = i3;
            c3 = rect;
        }
        m257a(c);
        m257a(c2);
        m257a(c3);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:26:0x0073, code lost:
        if (r5 != false) goto L_0x00ca;
     */
    /* JADX WARNING: Removed duplicated region for block: B:125:0x0168 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x010e  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo552a() {
        /*
            r11 = this;
            java.util.List<android.view.View> r0 = r11.f512b
            r0.clear()
            b.g.d.a<android.view.View> r0 = r11.f513c
            b.e.h<T, java.util.ArrayList<T>> r1 = r0.f2263b
            int r1 = r1.f1923d
            r2 = 0
            r3 = 0
        L_0x000d:
            if (r3 >= r1) goto L_0x0024
            b.e.h<T, java.util.ArrayList<T>> r4 = r0.f2263b
            java.lang.Object r4 = r4.mo2802e(r3)
            java.util.ArrayList r4 = (java.util.ArrayList) r4
            if (r4 == 0) goto L_0x0021
            r4.clear()
            b.h.l.c<java.util.ArrayList<T>> r5 = r0.f2262a
            r5.mo3104a(r4)
        L_0x0021:
            int r3 = r3 + 1
            goto L_0x000d
        L_0x0024:
            b.e.h<T, java.util.ArrayList<T>> r0 = r0.f2263b
            r0.clear()
            int r0 = r11.getChildCount()
            r1 = 0
        L_0x002e:
            if (r1 >= r0) goto L_0x0195
            android.view.View r3 = r11.getChildAt(r1)
            androidx.coordinatorlayout.widget.CoordinatorLayout$f r4 = r11.mo565c(r3)
            int r5 = r4.f538f
            r6 = -1
            r7 = 0
            if (r5 != r6) goto L_0x0044
            r4.f544l = r7
            r4.f543k = r7
            goto L_0x00ca
        L_0x0044:
            android.view.View r5 = r4.f543k
            if (r5 == 0) goto L_0x0075
            int r5 = r5.getId()
            int r6 = r4.f538f
            if (r5 == r6) goto L_0x0051
            goto L_0x006e
        L_0x0051:
            android.view.View r5 = r4.f543k
            android.view.ViewParent r6 = r5.getParent()
        L_0x0057:
            if (r6 == r11) goto L_0x0070
            if (r6 == 0) goto L_0x006a
            if (r6 != r3) goto L_0x005e
            goto L_0x006a
        L_0x005e:
            boolean r8 = r6 instanceof android.view.View
            if (r8 == 0) goto L_0x0065
            r5 = r6
            android.view.View r5 = (android.view.View) r5
        L_0x0065:
            android.view.ViewParent r6 = r6.getParent()
            goto L_0x0057
        L_0x006a:
            r4.f544l = r7
            r4.f543k = r7
        L_0x006e:
            r5 = 0
            goto L_0x0073
        L_0x0070:
            r4.f544l = r5
            r5 = 1
        L_0x0073:
            if (r5 != 0) goto L_0x00ca
        L_0x0075:
            int r5 = r4.f538f
            android.view.View r5 = r11.findViewById(r5)
            r4.f543k = r5
            if (r5 == 0) goto L_0x00c0
            if (r5 != r11) goto L_0x0094
            boolean r5 = r11.isInEditMode()
            if (r5 == 0) goto L_0x008c
            r4.f544l = r7
            r4.f543k = r7
            goto L_0x00ca
        L_0x008c:
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException
            java.lang.String r1 = "View can not be anchored to the the parent CoordinatorLayout"
            r0.<init>(r1)
            throw r0
        L_0x0094:
            android.view.ViewParent r6 = r5.getParent()
        L_0x0098:
            if (r6 == r11) goto L_0x00bd
            if (r6 == 0) goto L_0x00bd
            if (r6 != r3) goto L_0x00b1
            boolean r5 = r11.isInEditMode()
            if (r5 == 0) goto L_0x00a9
            r4.f544l = r7
            r4.f543k = r7
            goto L_0x00ca
        L_0x00a9:
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException
            java.lang.String r1 = "Anchor must not be a descendant of the anchored view"
            r0.<init>(r1)
            throw r0
        L_0x00b1:
            boolean r8 = r6 instanceof android.view.View
            if (r8 == 0) goto L_0x00b8
            r5 = r6
            android.view.View r5 = (android.view.View) r5
        L_0x00b8:
            android.view.ViewParent r6 = r6.getParent()
            goto L_0x0098
        L_0x00bd:
            r4.f544l = r5
            goto L_0x00ca
        L_0x00c0:
            boolean r5 = r11.isInEditMode()
            if (r5 == 0) goto L_0x0170
            r4.f544l = r7
            r4.f543k = r7
        L_0x00ca:
            b.g.d.a<android.view.View> r5 = r11.f513c
            r5.mo2961a(r3)
            r5 = 0
        L_0x00d0:
            if (r5 >= r0) goto L_0x016c
            if (r5 != r1) goto L_0x00d6
            goto L_0x0168
        L_0x00d6:
            android.view.View r6 = r11.getChildAt(r5)
            android.view.View r8 = r4.f544l
            if (r6 == r8) goto L_0x010b
            int r8 = p008b.p033h.p045m.ViewCompat.m1966k(r11)
            android.view.ViewGroup$LayoutParams r9 = r6.getLayoutParams()
            androidx.coordinatorlayout.widget.CoordinatorLayout$f r9 = (androidx.coordinatorlayout.widget.CoordinatorLayout.C0077f) r9
            int r9 = r9.f539g
            int r9 = android.view.Gravity.getAbsoluteGravity(r9, r8)
            if (r9 == 0) goto L_0x00fb
            int r10 = r4.f540h
            int r8 = android.view.Gravity.getAbsoluteGravity(r10, r8)
            r8 = r8 & r9
            if (r8 != r9) goto L_0x00fb
            r8 = 1
            goto L_0x00fc
        L_0x00fb:
            r8 = 0
        L_0x00fc:
            if (r8 != 0) goto L_0x010b
            androidx.coordinatorlayout.widget.CoordinatorLayout$c r8 = r4.f533a
            if (r8 == 0) goto L_0x0109
            boolean r8 = r8.mo619a((androidx.coordinatorlayout.widget.CoordinatorLayout) r11, r3, (android.view.View) r6)
            if (r8 == 0) goto L_0x0109
            goto L_0x010b
        L_0x0109:
            r8 = 0
            goto L_0x010c
        L_0x010b:
            r8 = 1
        L_0x010c:
            if (r8 == 0) goto L_0x0168
            b.g.d.a<android.view.View> r8 = r11.f513c
            b.e.h<T, java.util.ArrayList<T>> r8 = r8.f2263b
            int r8 = r8.mo2790a((java.lang.Object) r6)
            if (r8 < 0) goto L_0x011a
            r8 = 1
            goto L_0x011b
        L_0x011a:
            r8 = 0
        L_0x011b:
            if (r8 != 0) goto L_0x0122
            b.g.d.a<android.view.View> r8 = r11.f513c
            r8.mo2961a(r6)
        L_0x0122:
            b.g.d.a<android.view.View> r8 = r11.f513c
            b.e.h<T, java.util.ArrayList<T>> r9 = r8.f2263b
            int r9 = r9.mo2790a((java.lang.Object) r6)
            if (r9 < 0) goto L_0x012e
            r9 = 1
            goto L_0x012f
        L_0x012e:
            r9 = 0
        L_0x012f:
            if (r9 == 0) goto L_0x0160
            b.e.h<T, java.util.ArrayList<T>> r9 = r8.f2263b
            int r9 = r9.mo2790a((java.lang.Object) r3)
            if (r9 < 0) goto L_0x013b
            r9 = 1
            goto L_0x013c
        L_0x013b:
            r9 = 0
        L_0x013c:
            if (r9 == 0) goto L_0x0160
            b.e.h<T, java.util.ArrayList<T>> r9 = r8.f2263b
            java.lang.Object r9 = r9.getOrDefault(r6, r7)
            java.util.ArrayList r9 = (java.util.ArrayList) r9
            if (r9 != 0) goto L_0x015c
            b.h.l.c<java.util.ArrayList<T>> r9 = r8.f2262a
            java.lang.Object r9 = r9.mo3103a()
            java.util.ArrayList r9 = (java.util.ArrayList) r9
            if (r9 != 0) goto L_0x0157
            java.util.ArrayList r9 = new java.util.ArrayList
            r9.<init>()
        L_0x0157:
            b.e.h<T, java.util.ArrayList<T>> r8 = r8.f2263b
            r8.put(r6, r9)
        L_0x015c:
            r9.add(r3)
            goto L_0x0168
        L_0x0160:
            java.lang.IllegalArgumentException r0 = new java.lang.IllegalArgumentException
            java.lang.String r1 = "All nodes must be present in the graph before being added as an edge"
            r0.<init>(r1)
            throw r0
        L_0x0168:
            int r5 = r5 + 1
            goto L_0x00d0
        L_0x016c:
            int r1 = r1 + 1
            goto L_0x002e
        L_0x0170:
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException
            java.lang.String r1 = "Could not find CoordinatorLayout descendant view with id "
            java.lang.StringBuilder r1 = p085c.p086a.p087a.p088a.outline.m2937a(r1)
            android.content.res.Resources r2 = r11.getResources()
            int r4 = r4.f538f
            java.lang.String r2 = r2.getResourceName(r4)
            r1.append(r2)
            java.lang.String r2 = " to anchor view "
            r1.append(r2)
            r1.append(r3)
            java.lang.String r1 = r1.toString()
            r0.<init>(r1)
            throw r0
        L_0x0195:
            java.util.List<android.view.View> r0 = r11.f512b
            b.g.d.a<android.view.View> r1 = r11.f513c
            java.util.ArrayList<T> r3 = r1.f2264c
            r3.clear()
            java.util.HashSet<T> r3 = r1.f2265d
            r3.clear()
            b.e.h<T, java.util.ArrayList<T>> r3 = r1.f2263b
            int r3 = r3.f1923d
        L_0x01a7:
            if (r2 >= r3) goto L_0x01b9
            b.e.h<T, java.util.ArrayList<T>> r4 = r1.f2263b
            java.lang.Object r4 = r4.mo2797c(r2)
            java.util.ArrayList<T> r5 = r1.f2264c
            java.util.HashSet<T> r6 = r1.f2265d
            r1.mo2962a(r4, r5, r6)
            int r2 = r2 + 1
            goto L_0x01a7
        L_0x01b9:
            java.util.ArrayList<T> r1 = r1.f2264c
            r0.addAll(r1)
            java.util.List<android.view.View> r0 = r11.f512b
            java.util.Collections.reverse(r0)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.coordinatorlayout.widget.CoordinatorLayout.mo552a():void");
    }

    /* renamed from: a */
    public void mo554a(View view, int i, int i2, int i3, int i4) {
        measureChildWithMargins(view, i, i2, i3, i4);
    }

    /* renamed from: a */
    public void mo555a(View view, boolean z, Rect rect) {
        if (view.isLayoutRequested() || view.getVisibility() == 8) {
            rect.setEmpty();
        } else if (z) {
            ViewGroupUtils.m1751a((ViewGroup) this, view, rect);
        } else {
            rect.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
    }

    /* renamed from: a */
    public final void mo553a(int i, Rect rect, Rect rect2, C0077f fVar, int i2, int i3) {
        int i4;
        int i5;
        int i6 = fVar.f535c;
        if (i6 == 0) {
            i6 = 17;
        }
        int absoluteGravity = Gravity.getAbsoluteGravity(i6, i);
        int i7 = fVar.f536d;
        if ((i7 & 7) == 0) {
            i7 |= 8388611;
        }
        if ((i7 & 112) == 0) {
            i7 |= 48;
        }
        int absoluteGravity2 = Gravity.getAbsoluteGravity(i7, i);
        int i8 = absoluteGravity & 7;
        int i9 = absoluteGravity & 112;
        int i10 = absoluteGravity2 & 7;
        int i11 = absoluteGravity2 & 112;
        if (i10 == 1) {
            i4 = rect.left + (rect.width() / 2);
        } else if (i10 != 5) {
            i4 = rect.left;
        } else {
            i4 = rect.right;
        }
        if (i11 == 16) {
            i5 = rect.top + (rect.height() / 2);
        } else if (i11 != 80) {
            i5 = rect.top;
        } else {
            i5 = rect.bottom;
        }
        if (i8 == 1) {
            i4 -= i2 / 2;
        } else if (i8 != 5) {
            i4 -= i2;
        }
        if (i9 == 16) {
            i5 -= i3 / 2;
        } else if (i9 != 80) {
            i5 -= i3;
        }
        rect2.set(i4, i5, i2 + i4, i3 + i5);
    }

    /* renamed from: a */
    public final void mo556a(C0077f fVar, Rect rect, int i, int i2) {
        int width = getWidth();
        int height = getHeight();
        int max = Math.max(getPaddingLeft() + fVar.leftMargin, Math.min(rect.left, ((width - getPaddingRight()) - i) - fVar.rightMargin));
        int max2 = Math.max(getPaddingTop() + fVar.topMargin, Math.min(rect.top, ((height - getPaddingBottom()) - i2) - fVar.bottomMargin));
        rect.set(max, max2, i + max, i2 + max2);
    }

    /* renamed from: b */
    public List<View> mo561b(View view) {
        List orDefault = this.f513c.f2263b.getOrDefault(view, null);
        this.f515e.clear();
        if (orDefault != null) {
            this.f515e.addAll(orDefault);
        }
        return this.f515e;
    }

    /* renamed from: b */
    public boolean mo187b(View view, View view2, int i, int i2) {
        int i3 = i2;
        int childCount = getChildCount();
        boolean z = false;
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt = getChildAt(i4);
            if (childAt.getVisibility() != 8) {
                C0077f fVar = (C0077f) childAt.getLayoutParams();
                C0074c cVar = fVar.f533a;
                if (cVar != null) {
                    boolean a = cVar.mo621a(this, childAt, view, view2, i, i2);
                    z |= a;
                    fVar.mo628a(i3, a);
                } else {
                    fVar.mo628a(i3, false);
                }
            }
        }
        return z;
    }

    /* renamed from: a */
    public List<View> mo551a(View view) {
        DirectedAcyclicGraph<View> aVar = this.f513c;
        int i = aVar.f2263b.f1923d;
        ArrayList arrayList = null;
        for (int i2 = 0; i2 < i; i2++) {
            ArrayList e = aVar.f2263b.mo2802e(i2);
            if (e != null && e.contains(view)) {
                if (arrayList == null) {
                    arrayList = new ArrayList();
                }
                arrayList.add(aVar.f2263b.mo2797c(i2));
            }
        }
        this.f515e.clear();
        if (arrayList != null) {
            this.f515e.addAll(arrayList);
        }
        return this.f515e;
    }

    /* renamed from: b */
    public final void mo562b() {
        if (ViewCompat.m1963h(this)) {
            if (this.f529s == null) {
                this.f529s = new C0072a();
            }
            ViewCompat.m1939a((View) this, this.f529s);
            setSystemUiVisibility(1280);
            return;
        }
        ViewCompat.m1939a((View) this, (OnApplyWindowInsetsListener) null);
    }

    /* renamed from: a */
    public boolean mo560a(View view, int i, int i2) {
        Rect c = m258c();
        ViewGroupUtils.m1751a((ViewGroup) this, view, c);
        try {
            return c.contains(i, i2);
        } finally {
            c.setEmpty();
            f511y.mo3104a(c);
        }
    }

    /* renamed from: a */
    public void mo183a(View view, View view2, int i, int i2) {
        NestedScrollingParentHelper kVar = this.f530t;
        if (i2 == 1) {
            kVar.f2516b = i;
        } else {
            kVar.f2515a = i;
        }
        this.f522l = view2;
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            C0077f fVar = (C0077f) getChildAt(i3).getLayoutParams();
            if (fVar.mo630a(i2)) {
                C0074c cVar = fVar.f533a;
            }
        }
    }

    /* renamed from: a */
    public void mo179a(View view, int i) {
        NestedScrollingParentHelper kVar = this.f530t;
        if (i == 1) {
            kVar.f2516b = 0;
        } else {
            kVar.f2515a = 0;
        }
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            C0077f fVar = (C0077f) childAt.getLayoutParams();
            if (fVar.mo630a(i)) {
                C0074c cVar = fVar.f533a;
                if (cVar != null) {
                    cVar.mo611a(this, childAt, view, i);
                }
                fVar.mo628a(i, false);
                fVar.f548p = false;
            }
        }
        this.f522l = null;
    }

    /* renamed from: a */
    public void mo180a(View view, int i, int i2, int i3, int i4, int i5) {
        mo181a(view, i, i2, i3, i4, 0, this.f517g);
    }

    /* renamed from: a */
    public void mo181a(View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
        C0074c cVar;
        int i6;
        int i7;
        int childCount = getChildCount();
        boolean z = false;
        int i8 = 0;
        int i9 = 0;
        for (int i10 = 0; i10 < childCount; i10++) {
            View childAt = getChildAt(i10);
            if (childAt.getVisibility() != 8) {
                C0077f fVar = (C0077f) childAt.getLayoutParams();
                if (fVar.mo630a(i5) && (cVar = fVar.f533a) != null) {
                    int[] iArr2 = this.f516f;
                    iArr2[0] = 0;
                    iArr2[1] = 0;
                    cVar.mo612a(this, childAt, view, i, i2, i3, i4, i5, iArr2);
                    int[] iArr3 = this.f516f;
                    if (i3 > 0) {
                        i6 = Math.max(i8, iArr3[0]);
                    } else {
                        i6 = Math.min(i8, iArr3[0]);
                    }
                    i8 = i6;
                    if (i4 > 0) {
                        i7 = Math.max(i9, this.f516f[1]);
                    } else {
                        i7 = Math.min(i9, this.f516f[1]);
                    }
                    i9 = i7;
                    z = true;
                }
            }
        }
        iArr[0] = iArr[0] + i8;
        iArr[1] = iArr[1] + i9;
        if (z) {
            mo563b(1);
        }
    }

    /* renamed from: a */
    public void mo182a(View view, int i, int i2, int[] iArr, int i3) {
        C0074c cVar;
        int i4;
        int i5;
        int childCount = getChildCount();
        boolean z = false;
        int i6 = 0;
        int i7 = 0;
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() == 8) {
                int i9 = i3;
            } else {
                C0077f fVar = (C0077f) childAt.getLayoutParams();
                if (fVar.mo630a(i3) && (cVar = fVar.f533a) != null) {
                    int[] iArr2 = this.f516f;
                    iArr2[0] = 0;
                    iArr2[1] = 0;
                    cVar.mo613a(this, childAt, view, i, i2, iArr2, i3);
                    int[] iArr3 = this.f516f;
                    if (i > 0) {
                        i4 = Math.max(i6, iArr3[0]);
                    } else {
                        i4 = Math.min(i6, iArr3[0]);
                    }
                    i6 = i4;
                    int[] iArr4 = this.f516f;
                    if (i2 > 0) {
                        i5 = Math.max(i7, iArr4[1]);
                    } else {
                        i5 = Math.min(i7, iArr4[1]);
                    }
                    i7 = i5;
                    z = true;
                }
            }
        }
        iArr[0] = i6;
        iArr[1] = i7;
        if (z) {
            mo563b(1);
        }
    }
}
