package com.globant.pasaportesanitario.flujos.autodiagnostico;

import android.content.DialogInterface;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.app.AlertController;
import androidx.fragment.app.Fragment;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.util.ArrayList;
import java.util.Locale;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.p011k.AlertDialog;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p008b.p067r.NavDirections;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p120b.DialogMedirTemperaturaInformacionBinding;
import p085c.p118c.p119a.p120b.FragmentAutodiagnosticoTemperaturaBinding;
import p085c.p118c.p119a.p120b.FragmentAutodiagnosticoTemperaturaBindingImpl;
import p085c.p132d.p133a.p156b.p179v.MaterialAlertDialogBuilder;
import p271ar.gob.coronavirus.R;

@Instrumented
public class AutodiagnosticoTemperaturaFragment extends Fragment implements TraceFieldInterface {
    public final double LIMITE_INFERIOR = 34.0d;
    public final double LIMITE_SUPERIOR = 42.0d;
    public Trace _nr_trace;
    public FragmentAutodiagnosticoTemperaturaBinding binding = null;
    public AlertDialog infoDialogo = null;
    public AutodiagnosticoViewModel viewModel;

    /* access modifiers changed from: private */
    public void actualizarTemperatura() {
        this.binding.f4690z.setText(String.format(Locale.FRANCE, "%.1f", new Object[]{Double.valueOf(this.viewModel.temperatura)}));
    }

    private void crearDialogo() {
        MaterialAlertDialogBuilder bVar = new MaterialAlertDialogBuilder(requireContext(), R.style.AlertDialogTheme);
        View view = DialogMedirTemperaturaInformacionBinding.m3851a(getLayoutInflater()).f606f;
        AlertController.C0024b bVar2 = bVar.f976a;
        bVar2.f151t = view;
        bVar2.f150s = 0;
        bVar2.f152u = false;
        C14428 r1 = new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                dialogInterface.dismiss();
            }
        };
        AlertController.C0024b bVar3 = bVar.f976a;
        bVar3.f140i = bVar3.f132a.getText(R.string.cerrar);
        bVar.f976a.f141j = r1;
        this.infoDialogo = bVar.mo1541a();
    }

    /* access modifiers changed from: private */
    public void deshabilitarBotones(Double d) {
        if (d.doubleValue() <= 34.0d) {
            this.binding.f4684t.setEnabled(false);
            this.binding.f4684t.setImageDrawable(getResources().getDrawable(R.drawable.ic_quitar_gris));
            this.binding.f4685u.setEnabled(true);
            this.binding.f4685u.setImageDrawable(getResources().getDrawable(R.drawable.ic_add));
        }
        if (d.doubleValue() >= 42.0d) {
            this.binding.f4684t.setEnabled(true);
            this.binding.f4684t.setImageDrawable(getResources().getDrawable(R.drawable.ic_quitar));
            this.binding.f4685u.setEnabled(false);
            this.binding.f4685u.setImageDrawable(getResources().getDrawable(R.drawable.ic_add_gris));
        }
        if (d.doubleValue() > 34.0d && d.doubleValue() < 42.0d) {
            this.binding.f4685u.setImageDrawable(getResources().getDrawable(R.drawable.ic_add));
            this.binding.f4684t.setEnabled(true);
            this.binding.f4684t.setImageDrawable(getResources().getDrawable(R.drawable.ic_quitar));
            this.binding.f4685u.setEnabled(true);
        }
    }

    private void iniciarInterfaz() {
        this.binding.f4686v.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                if (AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura < 34.0d || AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura > 42.0d) {
                    AutodiagnosticoTemperaturaFragment.this.binding.f4683B.setError(AutodiagnosticoTemperaturaFragment.this.getString(R.string.temperatura_error_limite, Double.valueOf(34.0d), Double.valueOf(42.0d)));
                    return;
                }
                AutodiagnosticoTemperaturaFragment.this.viewModel.setTemperatura(AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura);
                MediaDescriptionCompatApi21.m34a(view).mo991a((NavDirections) AutodiagnosticoTemperaturaFragmentDirections.m5126x5613f27d());
            }
        });
        this.binding.f4682A.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                AutodiagnosticoTemperaturaFragment.this.infoDialogo.show();
            }
        });
        this.binding.f4684t.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                AutodiagnosticoTemperaturaFragment autodiagnosticoTemperaturaFragment = AutodiagnosticoTemperaturaFragment.this;
                autodiagnosticoTemperaturaFragment.deshabilitarBotones(Double.valueOf(autodiagnosticoTemperaturaFragment.viewModel.temperatura));
                if (AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura > 34.0d) {
                    AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura -= 0.1d;
                    AutodiagnosticoTemperaturaFragment.this.actualizarTemperatura();
                }
            }
        });
        this.binding.f4684t.setOnLongClickListener(new View.OnLongClickListener() {
            public boolean onLongClick(View view) {
                if (AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura <= 35.0d) {
                    return false;
                }
                AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura -= 1.0d;
                AutodiagnosticoTemperaturaFragment.this.actualizarTemperatura();
                return true;
            }
        });
        this.binding.f4685u.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                AutodiagnosticoTemperaturaFragment autodiagnosticoTemperaturaFragment = AutodiagnosticoTemperaturaFragment.this;
                autodiagnosticoTemperaturaFragment.deshabilitarBotones(Double.valueOf(autodiagnosticoTemperaturaFragment.viewModel.temperatura));
                if (AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura < 42.0d) {
                    AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura += 0.1d;
                    AutodiagnosticoTemperaturaFragment.this.actualizarTemperatura();
                }
            }
        });
        this.binding.f4685u.setOnLongClickListener(new View.OnLongClickListener() {
            public boolean onLongClick(View view) {
                if (AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura >= 41.0d) {
                    return false;
                }
                AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura += 1.0d;
                AutodiagnosticoTemperaturaFragment.this.actualizarTemperatura();
                return true;
            }
        });
        this.binding.f4690z.addTextChangedListener(new TextWatcher() {
            public void afterTextChanged(Editable editable) {
                String obj = AutodiagnosticoTemperaturaFragment.this.binding.f4690z.getText().toString();
                String replaceAll = obj.replaceAll(",", "");
                if (obj.length() - replaceAll.length() > 1) {
                    AutodiagnosticoTemperaturaFragment.this.actualizarTemperatura();
                    return;
                }
                String replace = obj.replace(',', '.');
                if (replace.isEmpty() || replaceAll.isEmpty()) {
                    AutodiagnosticoTemperaturaFragment.this.binding.f4683B.setError(AutodiagnosticoTemperaturaFragment.this.getString(R.string.temperatura_vacia_error));
                } else if (Double.parseDouble(replace) < 34.0d || Double.parseDouble(replace) > 42.0d) {
                    AutodiagnosticoTemperaturaFragment.this.deshabilitarBotones(Double.valueOf(Double.parseDouble(replace)));
                    AutodiagnosticoTemperaturaFragment.this.binding.f4683B.setError(AutodiagnosticoTemperaturaFragment.this.getString(R.string.temperatura_error_limite, Double.valueOf(34.0d), Double.valueOf(42.0d)));
                    AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura = Double.parseDouble(replace);
                } else {
                    AutodiagnosticoTemperaturaFragment.this.deshabilitarBotones(Double.valueOf(Double.parseDouble(replace)));
                    AutodiagnosticoTemperaturaFragment.this.binding.f4683B.setError((CharSequence) null);
                    AutodiagnosticoTemperaturaFragment.this.viewModel.temperatura = Double.parseDouble(replace);
                }
            }

            public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            }

            public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            }
        });
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        ViewModel yVar;
        try {
            TraceMachine.enterMethod(this._nr_trace, "AutodiagnosticoTemperaturaFragment#onCreateView", (ArrayList<String>) null);
        } catch (NoSuchFieldError unused) {
            TraceMachine.enterMethod((Trace) null, "AutodiagnosticoTemperaturaFragment#onCreateView", (ArrayList<String>) null);
        }
        this.binding = FragmentAutodiagnosticoTemperaturaBinding.m3873a(layoutInflater, viewGroup, false);
        AutoevaluacionViewModelFactory autoevaluacionViewModelFactory = new AutoevaluacionViewModelFactory((BaseActivity) requireActivity());
        ViewModelStore viewModelStore = requireActivity().getViewModelStore();
        Class cls = AutodiagnosticoViewModel.class;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            ViewModel yVar2 = viewModelStore.f2938a.get(b);
            if (!cls.isInstance(yVar2)) {
                if (autoevaluacionViewModelFactory instanceof ViewModelProvider.C0501c) {
                    yVar = ((ViewModelProvider.C0501c) autoevaluacionViewModelFactory).mo3588a(b, cls);
                } else {
                    yVar = autoevaluacionViewModelFactory.create(cls);
                }
                yVar2 = yVar;
                ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (autoevaluacionViewModelFactory instanceof ViewModelProvider.C0503e) {
                ((ViewModelProvider.C0503e) autoevaluacionViewModelFactory).mo3589a(yVar2);
            }
            this.viewModel = (AutodiagnosticoViewModel) yVar2;
            if (((FragmentAutodiagnosticoTemperaturaBindingImpl) this.binding) != null) {
                crearDialogo();
                this.binding.mo734a(getViewLifecycleOwner());
                iniciarInterfaz();
                View view = this.binding.f606f;
                TraceMachine.exitMethod();
                return view;
            }
            throw null;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    public void onDestroyView() {
        super.onDestroyView();
        this.binding = null;
    }

    public void onStart() {
        super.onStart();
    }

    public void onStop() {
        super.onStop();
    }

    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (getArguments() != null) {
            this.viewModel.pasoActual.mo970a(Integer.valueOf(AutodiagnosticoTemperaturaFragmentArgs.fromBundle(getArguments()).getPasoActual()));
            actualizarTemperatura();
        }
    }
}
