package androidx.databinding;

import android.annotation.TargetApi;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.util.SparseIntArray;
import android.view.Choreographer;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.lifecycle.LiveData;
import java.lang.ref.Reference;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.WeakReference;
import p008b.p053k.BaseObservable;
import p008b.p053k.DataBindingComponent;
import p008b.p053k.DataBindingUtil;
import p008b.p053k.p054i.C0441a;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p063o.Observer;
import p008b.p063o.OnLifecycleEvent;

public abstract class ViewDataBinding extends BaseObservable {

    /* renamed from: o */
    public static int f597o;

    /* renamed from: p */
    public static final boolean f598p;

    /* renamed from: q */
    public static final C0091e f599q = new C0088b();

    /* renamed from: r */
    public static final ReferenceQueue<ViewDataBinding> f600r = new ReferenceQueue<>();

    /* renamed from: s */
    public static final View.OnAttachStateChangeListener f601s = new C0089c();

    /* renamed from: b */
    public final Runnable f602b = new C0090d();

    /* renamed from: c */
    public boolean f603c = false;

    /* renamed from: d */
    public boolean f604d = false;

    /* renamed from: e */
    public C0095i[] f605e;

    /* renamed from: f */
    public final View f606f;

    /* renamed from: g */
    public boolean f607g;

    /* renamed from: h */
    public Choreographer f608h;

    /* renamed from: i */
    public final Choreographer.FrameCallback f609i;

    /* renamed from: j */
    public Handler f610j;

    /* renamed from: k */
    public ViewDataBinding f611k;

    /* renamed from: l */
    public LifecycleOwner f612l;

    /* renamed from: m */
    public OnStartListener f613m;

    /* renamed from: n */
    public boolean f614n;

    public static class OnStartListener implements LifecycleObserver {

        /* renamed from: a */
        public final WeakReference<ViewDataBinding> f615a;

        public /* synthetic */ OnStartListener(ViewDataBinding viewDataBinding, C0087a aVar) {
            this.f615a = new WeakReference<>(viewDataBinding);
        }

        @OnLifecycleEvent(Lifecycle.C0488a.ON_START)
        public void onStart() {
            ViewDataBinding viewDataBinding = (ViewDataBinding) this.f615a.get();
            if (viewDataBinding != null) {
                viewDataBinding.mo737c();
            }
        }
    }

    /* renamed from: androidx.databinding.ViewDataBinding$a */
    public static class C0087a implements C0091e {
    }

    /* renamed from: androidx.databinding.ViewDataBinding$b */
    public static class C0088b implements C0091e {
        /* renamed from: a */
        public C0095i mo742a(ViewDataBinding viewDataBinding, int i) {
            return new C0093g(viewDataBinding, i).f620a;
        }
    }

    /* renamed from: androidx.databinding.ViewDataBinding$c */
    public static class C0089c implements View.OnAttachStateChangeListener {
        @TargetApi(19)
        public void onViewAttachedToWindow(View view) {
            (view != null ? (ViewDataBinding) view.getTag(C0441a.dataBinding) : null).f602b.run();
            view.removeOnAttachStateChangeListener(this);
        }

        public void onViewDetachedFromWindow(View view) {
        }
    }

    /* renamed from: androidx.databinding.ViewDataBinding$d */
    public class C0090d implements Runnable {
        public C0090d() {
        }

        public void run() {
            synchronized (this) {
                ViewDataBinding.this.f603c = false;
            }
            while (true) {
                Reference<? extends ViewDataBinding> poll = ViewDataBinding.f600r.poll();
                if (poll == null) {
                    break;
                } else if (poll instanceof C0095i) {
                    ((C0095i) poll).mo750a();
                }
            }
            if (!ViewDataBinding.this.f606f.isAttachedToWindow()) {
                ViewDataBinding.this.f606f.removeOnAttachStateChangeListener(ViewDataBinding.f601s);
                ViewDataBinding.this.f606f.addOnAttachStateChangeListener(ViewDataBinding.f601s);
                return;
            }
            ViewDataBinding.this.mo737c();
        }
    }

    /* renamed from: androidx.databinding.ViewDataBinding$e */
    public interface C0091e {
        /* renamed from: a */
        C0095i mo742a(ViewDataBinding viewDataBinding, int i);
    }

    /* renamed from: androidx.databinding.ViewDataBinding$f */
    public static class C0092f {

        /* renamed from: a */
        public final String[][] f617a;

        /* renamed from: b */
        public final int[][] f618b;

        /* renamed from: c */
        public final int[][] f619c;

        public C0092f(int i) {
            this.f617a = new String[i][];
            this.f618b = new int[i][];
            this.f619c = new int[i][];
        }
    }

    /* renamed from: androidx.databinding.ViewDataBinding$h */
    public interface C0094h<T> {
        /* renamed from: a */
        void mo746a(LifecycleOwner lVar);

        /* renamed from: a */
        void mo747a(T t);

        /* renamed from: b */
        void mo748b(T t);
    }

    /* renamed from: androidx.databinding.ViewDataBinding$i */
    public static class C0095i<T> extends WeakReference<ViewDataBinding> {

        /* renamed from: a */
        public final C0094h<T> f622a;

        /* renamed from: b */
        public final int f623b;

        /* renamed from: c */
        public T f624c;

        public C0095i(ViewDataBinding viewDataBinding, int i, C0094h<T> hVar) {
            super(viewDataBinding, ViewDataBinding.f600r);
            this.f623b = i;
            this.f622a = hVar;
        }

        /* renamed from: a */
        public boolean mo750a() {
            boolean z;
            T t = this.f624c;
            if (t != null) {
                this.f622a.mo748b(t);
                z = true;
            } else {
                z = false;
            }
            this.f624c = null;
            return z;
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        f597o = i;
        f598p = i >= 16;
    }

    public ViewDataBinding(Object obj, View view, int i) {
        m346a(obj);
        this.f605e = new C0095i[i];
        this.f606f = view;
        if (Looper.myLooper() == null) {
            throw new IllegalStateException("DataBinding must be created in view's UI Thread");
        } else if (f598p) {
            this.f608h = Choreographer.getInstance();
            this.f609i = new p008b.p053k.ViewDataBinding(this);
        } else {
            this.f609i = null;
            this.f610j = new Handler(Looper.myLooper());
        }
    }

    /* renamed from: a */
    public static DataBindingComponent m346a(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof DataBindingComponent) {
            return (DataBindingComponent) obj;
        }
        throw new IllegalArgumentException("The provided bindingComponent parameter must be an instance of DataBindingComponent. See  https://issuetracker.google.com/issues/116541301 for details of why this parameter is not defined as DataBindingComponent");
    }

    /* renamed from: a */
    public abstract void mo732a();

    /* renamed from: a */
    public abstract boolean mo735a(int i, Object obj, int i2);

    /* renamed from: b */
    public final void mo736b() {
        if (this.f607g) {
            mo740f();
        } else if (mo738d()) {
            this.f607g = true;
            this.f604d = false;
            if (0 == 0) {
                mo732a();
            }
            this.f607g = false;
        }
    }

    /* renamed from: c */
    public void mo737c() {
        ViewDataBinding viewDataBinding = this.f611k;
        if (viewDataBinding == null) {
            mo736b();
        } else {
            viewDataBinding.mo737c();
        }
    }

    /* renamed from: d */
    public abstract boolean mo738d();

    /* renamed from: e */
    public abstract void mo739e();

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x002a, code lost:
        if (f598p == false) goto L_0x0034;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x002c, code lost:
        r2.f608h.postFrameCallback(r2.f609i);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0034, code lost:
        r2.f610j.post(r2.f602b);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:?, code lost:
        return;
     */
    /* renamed from: f */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void mo740f() {
        /*
            r2 = this;
            androidx.databinding.ViewDataBinding r0 = r2.f611k
            if (r0 == 0) goto L_0x0008
            r0.mo740f()
            goto L_0x003b
        L_0x0008:
            b.o.l r0 = r2.f612l
            if (r0 == 0) goto L_0x001d
            b.o.h r0 = r0.getLifecycle()
            b.o.m r0 = (p008b.p063o.LifecycleRegistry) r0
            b.o.h$b r0 = r0.f2954b
            b.o.h$b r1 = p008b.p063o.Lifecycle.C0489b.STARTED
            boolean r0 = r0.mo3554a(r1)
            if (r0 != 0) goto L_0x001d
            return
        L_0x001d:
            monitor-enter(r2)
            boolean r0 = r2.f603c     // Catch:{ all -> 0x003c }
            if (r0 == 0) goto L_0x0024
            monitor-exit(r2)     // Catch:{ all -> 0x003c }
            return
        L_0x0024:
            r0 = 1
            r2.f603c = r0     // Catch:{ all -> 0x003c }
            monitor-exit(r2)     // Catch:{ all -> 0x003c }
            boolean r0 = f598p
            if (r0 == 0) goto L_0x0034
            android.view.Choreographer r0 = r2.f608h
            android.view.Choreographer$FrameCallback r1 = r2.f609i
            r0.postFrameCallback(r1)
            goto L_0x003b
        L_0x0034:
            android.os.Handler r0 = r2.f610j
            java.lang.Runnable r1 = r2.f602b
            r0.post(r1)
        L_0x003b:
            return
        L_0x003c:
            r0 = move-exception
            monitor-exit(r2)     // Catch:{ all -> 0x003c }
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.databinding.ViewDataBinding.mo740f():void");
    }

    /* renamed from: androidx.databinding.ViewDataBinding$g */
    public static class C0093g implements Observer, C0094h<LiveData<?>> {

        /* renamed from: a */
        public final C0095i<LiveData<?>> f620a;

        /* renamed from: b */
        public LifecycleOwner f621b;

        public C0093g(ViewDataBinding viewDataBinding, int i) {
            this.f620a = new C0095i<>(viewDataBinding, i, this);
        }

        /* renamed from: a */
        public void mo747a(Object obj) {
            LiveData liveData = (LiveData) obj;
            LifecycleOwner lVar = this.f621b;
            if (lVar != null) {
                liveData.mo968a(lVar, this);
            }
        }

        /* renamed from: b */
        public void mo748b(Object obj) {
            ((LiveData) obj).mo969a(this);
        }

        public void onChanged(Object obj) {
            C0095i<LiveData<?>> iVar = this.f620a;
            ViewDataBinding viewDataBinding = (ViewDataBinding) iVar.get();
            if (viewDataBinding == null) {
                iVar.mo750a();
            }
            if (viewDataBinding != null) {
                C0095i<LiveData<?>> iVar2 = this.f620a;
                int i = iVar2.f623b;
                T t = iVar2.f624c;
                if (!viewDataBinding.f614n && viewDataBinding.mo735a(i, (Object) t, 0)) {
                    viewDataBinding.mo740f();
                }
            }
        }

        /* renamed from: a */
        public void mo746a(LifecycleOwner lVar) {
            LiveData liveData = (LiveData) this.f620a.f624c;
            if (liveData != null) {
                if (this.f621b != null) {
                    liveData.mo969a(this);
                }
                if (lVar != null) {
                    liveData.mo968a(lVar, this);
                }
            }
            this.f621b = lVar;
        }
    }

    /* renamed from: a */
    public void mo734a(LifecycleOwner lVar) {
        LifecycleOwner lVar2 = this.f612l;
        if (lVar2 != lVar) {
            if (lVar2 != null) {
                ((LifecycleRegistry) lVar2.getLifecycle()).f2953a.remove(this.f613m);
            }
            this.f612l = lVar;
            if (lVar != null) {
                if (this.f613m == null) {
                    this.f613m = new OnStartListener(this, (C0087a) null);
                }
                lVar.getLifecycle().mo3553a(this.f613m);
            }
            for (C0095i iVar : this.f605e) {
                if (iVar != null) {
                    iVar.f622a.mo746a(lVar);
                }
            }
        }
    }

    /* renamed from: b */
    public static Drawable m351b(View view, int i) {
        return view.getContext().getDrawable(i);
    }

    /* renamed from: b */
    public static int m350b(String str, int i) {
        int length = str.length();
        int i2 = 0;
        while (i < length) {
            i2 = (i2 * 10) + (str.charAt(i) - '0');
            i++;
        }
        return i2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:95:0x019c  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x01ac  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public static void m347a(p008b.p053k.DataBindingComponent r18, android.view.View r19, java.lang.Object[] r20, androidx.databinding.ViewDataBinding.C0092f r21, android.util.SparseIntArray r22, boolean r23) {
        /*
            r6 = r18
            r0 = r19
            r7 = r21
            r8 = r22
            if (r0 == 0) goto L_0x0013
            int r1 = p008b.p053k.p054i.C0441a.dataBinding
            java.lang.Object r1 = r0.getTag(r1)
            androidx.databinding.ViewDataBinding r1 = (androidx.databinding.ViewDataBinding) r1
            goto L_0x0014
        L_0x0013:
            r1 = 0
        L_0x0014:
            if (r1 == 0) goto L_0x0017
            return
        L_0x0017:
            java.lang.Object r1 = r19.getTag()
            boolean r2 = r1 instanceof java.lang.String
            if (r2 == 0) goto L_0x0022
            java.lang.String r1 = (java.lang.String) r1
            goto L_0x0023
        L_0x0022:
            r1 = 0
        L_0x0023:
            java.lang.String r10 = "layout"
            r12 = -1
            r13 = 1
            if (r23 == 0) goto L_0x0053
            if (r1 == 0) goto L_0x0053
            boolean r2 = r1.startsWith(r10)
            if (r2 == 0) goto L_0x0053
            r2 = 95
            int r2 = r1.lastIndexOf(r2)
            if (r2 <= 0) goto L_0x004f
            int r2 = r2 + r13
            boolean r3 = m348a((java.lang.String) r1, (int) r2)
            if (r3 == 0) goto L_0x004f
            int r1 = m350b((java.lang.String) r1, (int) r2)
            r2 = r20[r1]
            if (r2 != 0) goto L_0x004a
            r20[r1] = r0
        L_0x004a:
            if (r7 != 0) goto L_0x004d
            r1 = -1
        L_0x004d:
            r2 = 1
            goto L_0x0051
        L_0x004f:
            r1 = -1
            r2 = 0
        L_0x0051:
            r14 = r1
            goto L_0x0071
        L_0x0053:
            if (r1 == 0) goto L_0x006f
            java.lang.String r2 = "binding_"
            boolean r2 = r1.startsWith(r2)
            if (r2 == 0) goto L_0x006f
            r2 = 8
            int r1 = m350b((java.lang.String) r1, (int) r2)
            r2 = r20[r1]
            if (r2 != 0) goto L_0x0069
            r20[r1] = r0
        L_0x0069:
            if (r7 != 0) goto L_0x006c
            r1 = -1
        L_0x006c:
            r14 = r1
            r2 = 1
            goto L_0x0071
        L_0x006f:
            r2 = 0
            r14 = -1
        L_0x0071:
            if (r2 != 0) goto L_0x0087
            int r1 = r19.getId()
            if (r1 <= 0) goto L_0x0087
            if (r8 == 0) goto L_0x0087
            int r1 = r8.get(r1, r12)
            if (r1 < 0) goto L_0x0087
            r2 = r20[r1]
            if (r2 != 0) goto L_0x0087
            r20[r1] = r0
        L_0x0087:
            boolean r1 = r0 instanceof android.view.ViewGroup
            if (r1 == 0) goto L_0x01be
            r15 = r0
            android.view.ViewGroup r15 = (android.view.ViewGroup) r15
            int r5 = r15.getChildCount()
            r0 = 0
            r1 = 0
        L_0x0094:
            if (r0 >= r5) goto L_0x01be
            android.view.View r2 = r15.getChildAt(r0)
            if (r14 < 0) goto L_0x0193
            java.lang.Object r3 = r2.getTag()
            boolean r3 = r3 instanceof java.lang.String
            if (r3 == 0) goto L_0x0193
            java.lang.Object r3 = r2.getTag()
            java.lang.String r3 = (java.lang.String) r3
            java.lang.String r4 = "_0"
            boolean r4 = r3.endsWith(r4)
            if (r4 == 0) goto L_0x0193
            boolean r4 = r3.startsWith(r10)
            if (r4 == 0) goto L_0x0193
            r4 = 47
            int r16 = r3.indexOf(r4)
            if (r16 <= 0) goto L_0x0193
            int r4 = r3.indexOf(r4)
            int r4 = r4 + r13
            int r16 = r3.length()
            int r9 = r16 + -2
            java.lang.CharSequence r3 = r3.subSequence(r4, r9)
            java.lang.String[][] r4 = r7.f617a
            r4 = r4[r14]
            int r9 = r4.length
            r13 = r1
        L_0x00d5:
            if (r13 >= r9) goto L_0x00e3
            r11 = r4[r13]
            boolean r11 = android.text.TextUtils.equals(r3, r11)
            if (r11 == 0) goto L_0x00e0
            goto L_0x00e4
        L_0x00e0:
            int r13 = r13 + 1
            goto L_0x00d5
        L_0x00e3:
            r13 = -1
        L_0x00e4:
            if (r13 < 0) goto L_0x0193
            int r1 = r13 + 1
            int[][] r3 = r7.f618b
            r3 = r3[r14]
            r3 = r3[r13]
            int[][] r4 = r7.f619c
            r4 = r4[r14]
            r4 = r4[r13]
            android.view.View r9 = r15.getChildAt(r0)
            java.lang.Object r9 = r9.getTag()
            java.lang.String r9 = (java.lang.String) r9
            int r11 = r9.length()
            int r11 = r11 + r12
            r13 = 0
            java.lang.String r11 = r9.substring(r13, r11)
            int r13 = r11.length()
            int r12 = r15.getChildCount()
            int r17 = r0 + 1
            r19 = r1
            r23 = r5
            r1 = r17
            r5 = r0
        L_0x0119:
            if (r1 >= r12) goto L_0x0165
            android.view.View r17 = r15.getChildAt(r1)
            java.lang.Object r7 = r17.getTag()
            boolean r7 = r7 instanceof java.lang.String
            if (r7 == 0) goto L_0x012e
            java.lang.Object r7 = r17.getTag()
            java.lang.String r7 = (java.lang.String) r7
            goto L_0x012f
        L_0x012e:
            r7 = 0
        L_0x012f:
            if (r7 == 0) goto L_0x015a
            boolean r17 = r7.startsWith(r11)
            if (r17 == 0) goto L_0x015a
            int r8 = r7.length()
            r17 = r10
            int r10 = r9.length()
            if (r8 != r10) goto L_0x0152
            int r8 = r7.length()
            r10 = -1
            int r8 = r8 + r10
            char r8 = r7.charAt(r8)
            r10 = 48
            if (r8 != r10) goto L_0x0152
            goto L_0x0167
        L_0x0152:
            boolean r7 = m348a((java.lang.String) r7, (int) r13)
            if (r7 == 0) goto L_0x015c
            r5 = r1
            goto L_0x015c
        L_0x015a:
            r17 = r10
        L_0x015c:
            int r1 = r1 + 1
            r7 = r21
            r8 = r22
            r10 = r17
            goto L_0x0119
        L_0x0165:
            r17 = r10
        L_0x0167:
            if (r5 != r0) goto L_0x0170
            androidx.databinding.ViewDataBinding r1 = p008b.p053k.DataBindingUtil.m2109a(r6, r2, r4)
            r20[r3] = r1
            goto L_0x018e
        L_0x0170:
            int r5 = r5 - r0
            r1 = 1
            int r5 = r5 + r1
            android.view.View[] r1 = new android.view.View[r5]
            r7 = 0
        L_0x0176:
            if (r7 >= r5) goto L_0x0183
            int r8 = r0 + r7
            android.view.View r8 = r15.getChildAt(r8)
            r1[r7] = r8
            int r7 = r7 + 1
            goto L_0x0176
        L_0x0183:
            b.k.c r7 = p008b.p053k.DataBindingUtil.f2664a
            androidx.databinding.ViewDataBinding r1 = r7.mo3263a((p008b.p053k.DataBindingComponent) r6, (android.view.View[]) r1, (int) r4)
            r20[r3] = r1
            int r5 = r5 + -1
            int r0 = r0 + r5
        L_0x018e:
            r8 = r19
            r7 = r0
            r1 = 1
            goto L_0x019a
        L_0x0193:
            r23 = r5
            r17 = r10
            r7 = r0
            r8 = r1
            r1 = 0
        L_0x019a:
            if (r1 != 0) goto L_0x01ac
            r5 = 0
            r0 = r18
            r1 = r2
            r2 = r20
            r3 = r21
            r4 = r22
            r9 = r23
            m347a(r0, r1, r2, r3, r4, r5)
            goto L_0x01ae
        L_0x01ac:
            r9 = r23
        L_0x01ae:
            r0 = 1
            int r1 = r7 + 1
            r7 = r21
            r0 = r1
            r1 = r8
            r5 = r9
            r10 = r17
            r12 = -1
            r13 = 1
            r8 = r22
            goto L_0x0094
        L_0x01be:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.databinding.ViewDataBinding.m347a(b.k.e, android.view.View, java.lang.Object[], androidx.databinding.ViewDataBinding$f, android.util.SparseIntArray, boolean):void");
    }

    /* renamed from: a */
    public void mo733a(int i, Object obj, C0091e eVar) {
        if (obj != null) {
            C0095i iVar = this.f605e[i];
            if (iVar == null) {
                iVar = eVar.mo742a(this, i);
                this.f605e[i] = iVar;
                LifecycleOwner lVar = this.f612l;
                if (lVar != null) {
                    iVar.f622a.mo746a(lVar);
                }
            }
            iVar.mo750a();
            iVar.f624c = obj;
            iVar.f622a.mo747a(obj);
        }
    }

    /* renamed from: a */
    public static Object[] m349a(DataBindingComponent eVar, View view, int i, C0092f fVar, SparseIntArray sparseIntArray) {
        Object[] objArr = new Object[i];
        m347a(eVar, view, objArr, fVar, sparseIntArray, true);
        return objArr;
    }

    /* renamed from: a */
    public static int m344a(View view, int i) {
        if (Build.VERSION.SDK_INT >= 23) {
            return view.getContext().getColor(i);
        }
        return view.getResources().getColor(i);
    }

    /* renamed from: a */
    public static boolean m348a(String str, int i) {
        int length = str.length();
        if (length == i) {
            return false;
        }
        while (i < length) {
            if (!Character.isDigit(str.charAt(i))) {
                return false;
            }
            i++;
        }
        return true;
    }

    /* renamed from: a */
    public static <T extends ViewDataBinding> T m345a(LayoutInflater layoutInflater, int i, ViewGroup viewGroup, boolean z, Object obj) {
        return DataBindingUtil.m2108a(layoutInflater, i, viewGroup, z, m346a(obj));
    }
}
