package com.globant.pasaportesanitario.flujos.autodiagnostico;

import android.annotation.SuppressLint;
import android.util.Log;
import com.globant.pasaportesanitario.data.NombreEstado;
import com.globant.pasaportesanitario.data.remoto.modelo.UsuarioRemoto;
import com.globant.pasaportesanitario.data.remoto.modelo_autodiagnostico.AntecedentesRemoto;
import com.globant.pasaportesanitario.data.remoto.modelo_autodiagnostico.AutoevaluacionRemoto;
import com.globant.pasaportesanitario.data.remoto.modelo_autodiagnostico.SintomasRemoto;
import com.globant.pasaportesanitario.data.repositorios.RepositorioAutoevaluacion;
import com.globant.pasaportesanitario.data.repositorios.RepositorioLogout;
import com.globant.pasaportesanitario.flujos.BaseViewModel;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.Callable;
import p008b.p063o.MutableLiveData;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p125e.p128e.EventoUnico;
import p229e.p230a.Completable;
import p229e.p230a.CompletableObserver;
import p229e.p230a.Single;
import p229e.p230a.p231j.p232a.AndroidSchedulers;
import p229e.p230a.p233k.CompositeDisposable;
import p229e.p230a.p235m.Action;
import p229e.p230a.p235m.Consumer;
import p229e.p230a.p236n.p238b.ObjectHelper;
import p229e.p230a.p236n.p240d.CallbackCompletableObserver;
import p229e.p230a.p249p.Schedulers;

public class AutodiagnosticoViewModel extends BaseViewModel {
    public final Map<String, AntecedentesRemoto> antecedentes = new HashMap();
    public final AutoevaluacionRemoto autoevaluacionRemoto;
    public CompositeDisposable disposables = new CompositeDisposable();
    public final MutableLiveData<EventoUnico<EstadoAlPresionarBack>> estadoAlPresionarBack = new MutableLiveData<>();
    public final MutableLiveData<EstadoPantalla> estadoDePantalla = new MutableLiveData<>();
    public MutableLiveData<Integer> pasoActual = new MutableLiveData<>();
    public final RepositorioAutoevaluacion repositorioAutoevaluacion;
    public final RepositorioLogout repositorioLogout;
    public final Map<String, SintomasRemoto> sintomas = new HashMap();
    public double temperatura = 37.0d;

    public enum EstadoAlPresionarBack {
        Diagnosticado,
        DebeDiagnosticarse
    }

    public enum EstadoPantalla {
        PantallaPrincipal,
        ErrorServicio,
        EnviandoAServicio
    }

    public AutodiagnosticoViewModel(RepositorioAutoevaluacion repositorioAutoevaluacion2, RepositorioLogout repositorioLogout2, PantallaPrincipalRepository pantallaPrincipalRepository, LanzadorDeServicioDeRastreo aVar) {
        super(aVar, pantallaPrincipalRepository);
        this.repositorioAutoevaluacion = repositorioAutoevaluacion2;
        this.repositorioLogout = repositorioLogout2;
        this.autoevaluacionRemoto = new AutoevaluacionRemoto(0.0d, new ArrayList(), new ArrayList());
    }

    public void agregarAntecedente(AntecedentesRemoto antecedentesRemoto) {
        this.antecedentes.put(antecedentesRemoto.getDescripcion(), antecedentesRemoto);
        this.autoevaluacionRemoto.getAntecedentes().clear();
        this.autoevaluacionRemoto.getAntecedentes().addAll(this.antecedentes.values());
    }

    public void agregarSintoma(SintomasRemoto sintomasRemoto) {
        this.sintomas.put(sintomasRemoto.getId(), sintomasRemoto);
        this.autoevaluacionRemoto.getSintomas().clear();
        this.autoevaluacionRemoto.getSintomas().addAll(this.sintomas.values());
    }

    public void enviarResultadosAutoevaluacion() {
        this.estadoDePantalla.mo973b(EstadoPantalla.EnviandoAServicio);
        this.disposables.mo9153c(Single.m5579a(new Callable<UsuarioRemoto>() {
            public UsuarioRemoto call() {
                return AutodiagnosticoViewModel.this.repositorioAutoevaluacion.confirmarAutoevaluacion(AutodiagnosticoViewModel.this.autoevaluacionRemoto);
            }
        }).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<UsuarioRemoto>() {
            public void accept(UsuarioRemoto usuarioRemoto) {
                AutodiagnosticoViewModel.this.estadoDePantalla.mo973b(EstadoPantalla.PantallaPrincipal);
            }
        }, new Consumer<Throwable>() {
            public void accept(Throwable th) {
                AutodiagnosticoViewModel.this.estadoDePantalla.mo973b(EstadoPantalla.ErrorServicio);
            }
        }));
    }

    @SuppressLint({"CheckResult"})
    public void logout() {
        Completable a = Completable.m5553a((Action) new Action() {
            public void run() throws Exception {
                AutodiagnosticoViewModel.this.repositorioLogout.Logout();
            }
        }).mo9115a(Schedulers.f7556b);
        C14527 r1 = new Action() {
            public void run() throws Exception {
                Log.d(AutodiagnosticoViewModel.class.getCanonicalName(), "usuario deslogueado");
            }
        };
        C14538 r2 = new Consumer<Throwable>() {
            public void accept(Throwable th) throws Exception {
                Log.d(AutodiagnosticoViewModel.class.getCanonicalName(), "error al desloguear usuario");
            }
        };
        ObjectHelper.m5630a(r2, "onError is null");
        ObjectHelper.m5630a(r1, "onComplete is null");
        a.mo9116a((CompletableObserver) new CallbackCompletableObserver(r2, r1));
    }

    public void manejarBotonBack() {
        this.disposables.mo9153c(Single.m5579a(new Callable<String>() {
            public String call() throws Exception {
                return AutodiagnosticoViewModel.this.repositorioAutoevaluacion.obtenerEstadoUsuario();
            }
        }).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<String>() {
            public void accept(String str) {
                if (str.equals(NombreEstado.DEBE_AUTODIAGNOSTICARSE)) {
                    AutodiagnosticoViewModel.this.estadoAlPresionarBack.mo973b(new EventoUnico(EstadoAlPresionarBack.DebeDiagnosticarse));
                } else {
                    AutodiagnosticoViewModel.this.estadoAlPresionarBack.mo973b(new EventoUnico(EstadoAlPresionarBack.Diagnosticado));
                }
            }
        }, new Consumer<Throwable>() {
            public void accept(Throwable th) throws Exception {
            }
        }));
    }

    public void modificarAntecedente(String str, boolean z) {
        AntecedentesRemoto antecedentesRemoto = this.antecedentes.get(str);
        if (antecedentesRemoto != null) {
            antecedentesRemoto.setValor(z);
            this.antecedentes.put(str, antecedentesRemoto);
            this.autoevaluacionRemoto.getAntecedentes().clear();
            this.autoevaluacionRemoto.getAntecedentes().addAll(this.antecedentes.values());
        }
    }

    public boolean noTieneAntecedentes() {
        return this.antecedentes.isEmpty();
    }

    public boolean noTieneSintomas() {
        return this.sintomas.isEmpty();
    }

    public AntecedentesRemoto obtenerAntecedente(String str) {
        return this.antecedentes.get(str);
    }

    public SintomasRemoto obtenerSintoma(TipoSintoma tipoSintoma) {
        return this.sintomas.get(tipoSintoma.value);
    }

    public void onCleared() {
        this.disposables.mo9149a();
        super.onCleared();
    }

    public void setTemperatura(double d) {
        this.autoevaluacionRemoto.setTemperatura(d);
    }
}
