package com.globant.pasaportesanitario.flujos.autodiagnostico;

import com.globant.pasaportesanitario.data.local.BaseDeDatos;
import com.globant.pasaportesanitario.data.remoto.Api;
import com.globant.pasaportesanitario.data.remoto.CovidRetrofit;
import com.globant.pasaportesanitario.data.remoto.interceptores.EncabezadosInterceptor;
import com.globant.pasaportesanitario.data.repositorios.RepositorioAutoevaluacion;
import com.globant.pasaportesanitario.data.repositorios.RepositorioLogout;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.flujos.autodiagnostico.resultado.AutodiagnosticoResultadoViewModel;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreoImpl;
import p085c.p118c.p119a.p123d.p124v.ServiciosUtil;
import p085c.p118c.p119a.p125e.p127d.EncabezadoSeguridadUtileria;

public class AutoevaluacionViewModelFactory implements ViewModelProvider.C0500b {
    public BaseActivity context;

    public AutoevaluacionViewModelFactory(BaseActivity baseActivity) {
        this.context = baseActivity;
    }

    public <T extends ViewModel> T create(Class<T> cls) {
        Class<LanzadorDeServicioDeRastreo> cls2 = LanzadorDeServicioDeRastreo.class;
        Class<PantallaPrincipalRepository> cls3 = PantallaPrincipalRepository.class;
        Class<RepositorioAutoevaluacion> cls4 = RepositorioAutoevaluacion.class;
        EncabezadoSeguridadUtileria a = EncabezadoSeguridadUtileria.m3901a(this.context);
        Api api = new Api(new CovidRetrofit(new EncabezadosInterceptor(a, this.context)));
        BaseDeDatos obtenerbaseDeDatos = BaseDeDatos.obtenerbaseDeDatos(this.context);
        RepositorioAutoevaluacion repositorioAutoevaluacion = new RepositorioAutoevaluacion(api, obtenerbaseDeDatos);
        RepositorioLogout repositorioLogout = new RepositorioLogout(this.context, a, obtenerbaseDeDatos);
        PantallaPrincipalRepository pantallaPrincipalRepository = new PantallaPrincipalRepository(api, obtenerbaseDeDatos);
        LanzadorDeServicioDeRastreoImpl bVar = new LanzadorDeServicioDeRastreoImpl(this.context, new ServiciosUtil(this.context));
        try {
            if (AutodiagnosticoViewModel.class.equals(cls)) {
                return (ViewModel) cls.getConstructor(new Class[]{cls4, RepositorioLogout.class, cls3, cls2}).newInstance(new Object[]{repositorioAutoevaluacion, repositorioLogout, pantallaPrincipalRepository, bVar});
            }
            if (AutodiagnosticoResultadoViewModel.class.equals(cls)) {
                return (ViewModel) cls.getConstructor(new Class[]{cls4, cls2, cls3}).newInstance(new Object[]{repositorioAutoevaluacion, bVar, pantallaPrincipalRepository});
            }
            throw new IllegalArgumentException("unexpected model class " + cls);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
