package com.globant.pasaportesanitario.flujos.autodiagnostico.resultado;

import android.util.Log;
import androidx.lifecycle.LiveData;
import com.globant.pasaportesanitario.data.repositorios.RepositorioAutoevaluacion;
import com.globant.pasaportesanitario.flujos.BaseViewModel;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import java.util.concurrent.Callable;
import p008b.p063o.MutableLiveData;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p125e.p128e.EventoUnico;
import p229e.p230a.Single;
import p229e.p230a.p231j.p232a.AndroidSchedulers;
import p229e.p230a.p233k.CompositeDisposable;
import p229e.p230a.p235m.Consumer;
import p229e.p230a.p249p.Schedulers;

public class AutodiagnosticoResultadoViewModel extends BaseViewModel {
    public RepositorioAutoevaluacion autoevaluacionRepository;
    public CompositeDisposable disposables = new CompositeDisposable();
    public MutableLiveData<EventoUnico<Boolean>> eventoLoadingDialog = new MutableLiveData<>();
    public MutableLiveData<String> nombreUsuario = new MutableLiveData<>();

    public AutodiagnosticoResultadoViewModel(RepositorioAutoevaluacion repositorioAutoevaluacion, LanzadorDeServicioDeRastreo aVar, PantallaPrincipalRepository pantallaPrincipalRepository) {
        super(aVar, pantallaPrincipalRepository);
        this.autoevaluacionRepository = repositorioAutoevaluacion;
    }

    public void cargarNombreUsuario() {
        this.disposables.mo9153c(Single.m5579a(new Callable<String>() {
            public String call() throws Exception {
                return AutodiagnosticoResultadoViewModel.this.autoevaluacionRepository.obtenerNombreUsuario();
            }
        }).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<String>() {
            public void accept(String str) throws Exception {
                AutodiagnosticoResultadoViewModel.this.nombreUsuario.mo973b(str);
            }
        }, new Consumer<Throwable>() {
            public void accept(Throwable th) throws Exception {
                AutodiagnosticoResultadoViewModel.this.eventoLoadingDialog.mo973b(new EventoUnico(false));
                Log.e("Autodiagnostico", "Error obteniendo el nombre del usuario: " + th.getLocalizedMessage());
            }
        }));
    }

    public LiveData<EventoUnico<Boolean>> obtenerEventoDeDialogo() {
        return this.eventoLoadingDialog;
    }

    public void onCleared() {
        super.onCleared();
        this.disposables.mo9149a();
    }
}
