package androidx.fragment.app;

import android.animation.LayoutTransition;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.os.Bundle;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.widget.FrameLayout;
import java.util.ArrayList;
import p008b.p058m.C0448b;
import p008b.p058m.C0449c;
import p008b.p058m.p059d.BackStackRecord;
import p008b.p058m.p059d.FragmentManager;
import p085c.p086a.p087a.p088a.outline;

public final class FragmentContainerView extends FrameLayout {

    /* renamed from: b */
    public ArrayList<View> f651b;

    /* renamed from: c */
    public ArrayList<View> f652c;

    /* renamed from: d */
    public boolean f653d = true;

    public FragmentContainerView(Context context) {
        super(context);
    }

    /* renamed from: a */
    public final void mo944a(View view) {
        ArrayList<View> arrayList;
        if (view.getAnimation() != null || ((arrayList = this.f652c) != null && arrayList.contains(view))) {
            if (this.f651b == null) {
                this.f651b = new ArrayList<>();
            }
            this.f651b.add(view);
        }
    }

    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        Object tag = view.getTag(C0448b.fragment_container_view_tag);
        if ((tag instanceof Fragment ? (Fragment) tag : null) != null) {
            super.addView(view, i, layoutParams);
            return;
        }
        throw new IllegalStateException("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.");
    }

    public boolean addViewInLayout(View view, int i, ViewGroup.LayoutParams layoutParams, boolean z) {
        Object tag = view.getTag(C0448b.fragment_container_view_tag);
        if ((tag instanceof Fragment ? (Fragment) tag : null) != null) {
            return super.addViewInLayout(view, i, layoutParams, z);
        }
        throw new IllegalStateException("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.");
    }

    public void dispatchDraw(Canvas canvas) {
        if (this.f653d && this.f651b != null) {
            for (int i = 0; i < this.f651b.size(); i++) {
                super.drawChild(canvas, this.f651b.get(i), getDrawingTime());
            }
        }
        super.dispatchDraw(canvas);
    }

    public boolean drawChild(Canvas canvas, View view, long j) {
        ArrayList<View> arrayList;
        if (!this.f653d || (arrayList = this.f651b) == null || arrayList.size() <= 0 || !this.f651b.contains(view)) {
            return super.drawChild(canvas, view, j);
        }
        return false;
    }

    public void endViewTransition(View view) {
        ArrayList<View> arrayList = this.f652c;
        if (arrayList != null) {
            arrayList.remove(view);
            ArrayList<View> arrayList2 = this.f651b;
            if (arrayList2 != null && arrayList2.remove(view)) {
                this.f653d = true;
            }
        }
        super.endViewTransition(view);
    }

    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        for (int i = 0; i < getChildCount(); i++) {
            getChildAt(i).dispatchApplyWindowInsets(new WindowInsets(windowInsets));
        }
        return windowInsets;
    }

    public void removeAllViewsInLayout() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            mo944a(getChildAt(childCount));
        }
        super.removeAllViewsInLayout();
    }

    public void removeDetachedView(View view, boolean z) {
        if (z) {
            mo944a(view);
        }
        super.removeDetachedView(view, z);
    }

    public void removeView(View view) {
        mo944a(view);
        super.removeView(view);
    }

    public void removeViewAt(int i) {
        mo944a(getChildAt(i));
        super.removeViewAt(i);
    }

    public void removeViewInLayout(View view) {
        mo944a(view);
        super.removeViewInLayout(view);
    }

    public void removeViews(int i, int i2) {
        for (int i3 = i; i3 < i + i2; i3++) {
            mo944a(getChildAt(i3));
        }
        super.removeViews(i, i2);
    }

    public void removeViewsInLayout(int i, int i2) {
        for (int i3 = i; i3 < i + i2; i3++) {
            mo944a(getChildAt(i3));
        }
        super.removeViewsInLayout(i, i2);
    }

    public void setDrawDisappearingViewsLast(boolean z) {
        this.f653d = z;
    }

    public void setLayoutTransition(LayoutTransition layoutTransition) {
        throw new UnsupportedOperationException("FragmentContainerView does not support Layout Transitions or animateLayoutChanges=\"true\".");
    }

    public void startViewTransition(View view) {
        if (view.getParent() == this) {
            if (this.f652c == null) {
                this.f652c = new ArrayList<>();
            }
            this.f652c.add(view);
        }
        super.startViewTransition(view);
    }

    public FragmentContainerView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        throw new UnsupportedOperationException("FragmentContainerView must be within a FragmentActivity to be instantiated from XML.");
    }

    public FragmentContainerView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        throw new UnsupportedOperationException("FragmentContainerView must be within a FragmentActivity to be instantiated from XML.");
    }

    public FragmentContainerView(Context context, AttributeSet attributeSet, FragmentManager oVar) {
        super(context, attributeSet);
        String classAttribute = attributeSet.getClassAttribute();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0449c.FragmentContainerView);
        classAttribute = classAttribute == null ? obtainStyledAttributes.getString(C0449c.FragmentContainerView_android_name) : classAttribute;
        String string = obtainStyledAttributes.getString(C0449c.FragmentContainerView_android_tag);
        obtainStyledAttributes.recycle();
        int id = getId();
        Fragment b = oVar.mo3452b(id);
        if (classAttribute != null && b == null) {
            if (id <= 0) {
                throw new IllegalStateException(outline.m2934a("FragmentContainerView must have an android:id to add Fragment ", classAttribute, string != null ? outline.m2941b(" with tag ", string) : ""));
            }
            Fragment a = oVar.mo3473g().mo3413a(context.getClassLoader(), classAttribute);
            a.onInflate(context, attributeSet, (Bundle) null);
            BackStackRecord aVar = new BackStackRecord(oVar);
            aVar.f2916p = true;
            a.mContainer = this;
            aVar.mo3315a(getId(), a, string, 1);
            if (!aVar.f2907g) {
                aVar.f2908h = false;
                aVar.f2723r.mo3456b((FragmentManager.C0475e) aVar, true);
                return;
            }
            throw new IllegalStateException("This transaction is already being added to the back stack");
        }
    }
}
