package com.globant.pasaportesanitario.flujos.autodiagnostico.resultado;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.text.Spanned;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.cardview.widget.CardView;
import androidx.fragment.app.Fragment;
import com.globant.pasaportesanitario.data.NombreEstado;
import com.globant.pasaportesanitario.data.local.modelo.DatosCoepBD;
import com.globant.pasaportesanitario.data.local.modelo.UsuarioBD;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalViewModel;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalViewModelFactory;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.util.ArrayList;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p058m.p059d.FragmentActivity;
import p008b.p063o.Observer;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p125e.p128e.EventoUnico;
import p085c.p118c.p119a.p125e.p129f.SpanFormatter;
import p271ar.gob.coronavirus.R;

@Instrumented
public class NoPuedeCircularFragment extends Fragment implements TraceFieldInterface {
    public Trace _nr_trace;
    public CardView cardView;
    public Dialog loaderDialog;
    public PantallaPrincipalViewModel viewModel;

    private void iniciarCardView() {
        this.cardView = (CardView) getView().findViewById(R.id.cv_evaluacion_no_puede_circular);
    }

    public static NoPuedeCircularFragment newInstance() {
        return new NoPuedeCircularFragment();
    }

    private void setViewsValues() {
        this.viewModel.obtenerEventoDeDialogo().mo968a(getViewLifecycleOwner(), new Observer<EventoUnico<Boolean>>() {
            public void onChanged(EventoUnico<Boolean> aVar) {
                if (aVar.mo4760a() != null && !((Boolean) aVar.f4743a).booleanValue()) {
                    NoPuedeCircularFragment.this.loaderDialog.dismiss();
                }
            }
        });
        this.viewModel.obtenerUltimoEstadoLiveData().mo968a(getViewLifecycleOwner(), new Observer<UsuarioBD>() {
            public void onChanged(UsuarioBD usuarioBD) {
                String string = NoPuedeCircularFragment.this.getString(R.string.msg_sintomas_compatibles_y_reportados, usuarioBD.nombres);
                if (usuarioBD.estadoActual.nombreEstado.equals(NombreEstado.DERIVADO_A_SALUD_LOCAL)) {
                    ((TextView) NoPuedeCircularFragment.this.getView().findViewById(R.id.txtNoPuedeCircularDiagnostico)).setText(MediaDescriptionCompatApi21.m29a(string, usuarioBD.nombres.length() + 4, string.length(), MediaDescriptionCompatApi21.m26a((Context) NoPuedeCircularFragment.this.requireActivity(), (int) R.font.roboto_bold)));
                    NoPuedeCircularFragment noPuedeCircularFragment = NoPuedeCircularFragment.this;
                    DatosCoepBD datosCoepBD = usuarioBD.estadoActual.datosCoepBD;
                    ((TextView) NoPuedeCircularFragment.this.getView().findViewById(R.id.txtNumeroLlamar)).setText(noPuedeCircularFragment.getString(R.string.provinvia_y_telefono, datosCoepBD.coep, datosCoepBD.informacionDeContacto));
                } else if (usuarioBD.estadoActual.nombreEstado.equals(NombreEstado.INFECTADO)) {
                    NoPuedeCircularFragment.this.getString(R.string.msg_migrante, usuarioBD.nombres);
                    ((TextView) NoPuedeCircularFragment.this.getView().findViewById(R.id.txtPuedeCircularTitle)).setText(NoPuedeCircularFragment.this.getString(R.string.covid_positivo));
                    Spanned a = MediaDescriptionCompatApi21.m30a(NoPuedeCircularFragment.this.requireContext(), NoPuedeCircularFragment.this.getString(R.string.texto_resultado_positivo_dos), (int) R.font.roboto_bold);
                    ((TextView) NoPuedeCircularFragment.this.getView().findViewById(R.id.txtNoPuedeCircularDiagnostico)).setText(SpanFormatter.m3908a(NoPuedeCircularFragment.this.getActivity().getString(R.string.texto_resultado_positivo_uno), usuarioBD.nombres, a));
                    ((TextView) NoPuedeCircularFragment.this.getView().findViewById(R.id.txtPuedeCircularDiagnostico2)).setVisibility(8);
                    ((TextView) NoPuedeCircularFragment.this.getView().findViewById(R.id.txtIntruccionesLlamar)).setVisibility(8);
                    ((TextView) NoPuedeCircularFragment.this.getView().findViewById(R.id.txtNumeroLlamar)).setText(NoPuedeCircularFragment.this.getString(R.string.msg_numero_llamar_migrate));
                }
                NoPuedeCircularFragment.this.loaderDialog.dismiss();
                NoPuedeCircularFragment.this.cardView.setVisibility(0);
            }
        });
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        try {
            TraceMachine.enterMethod(this._nr_trace, "NoPuedeCircularFragment#onCreateView", (ArrayList<String>) null);
        } catch (NoSuchFieldError unused) {
            TraceMachine.enterMethod((Trace) null, "NoPuedeCircularFragment#onCreateView", (ArrayList<String>) null);
        }
        View inflate = layoutInflater.inflate(R.layout.fragment_no_puede_circular, viewGroup, false);
        TraceMachine.exitMethod();
        return inflate;
    }

    public void onStart() {
        super.onStart();
    }

    public void onStop() {
        super.onStop();
    }

    public void onViewCreated(View view, Bundle bundle) {
        ViewModel yVar;
        super.onViewCreated(view, bundle);
        iniciarCardView();
        PantallaPrincipalViewModelFactory pantallaPrincipalViewModelFactory = new PantallaPrincipalViewModelFactory((BaseActivity) requireActivity());
        ViewModelStore viewModelStore = requireActivity().getViewModelStore();
        Class cls = PantallaPrincipalViewModel.class;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            ViewModel yVar2 = viewModelStore.f2938a.get(b);
            if (!cls.isInstance(yVar2)) {
                if (pantallaPrincipalViewModelFactory instanceof ViewModelProvider.C0501c) {
                    yVar = ((ViewModelProvider.C0501c) pantallaPrincipalViewModelFactory).mo3588a(b, cls);
                } else {
                    yVar = pantallaPrincipalViewModelFactory.create(cls);
                }
                yVar2 = yVar;
                ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (pantallaPrincipalViewModelFactory instanceof ViewModelProvider.C0503e) {
                ((ViewModelProvider.C0503e) pantallaPrincipalViewModelFactory).mo3589a(yVar2);
            }
            PantallaPrincipalViewModel pantallaPrincipalViewModel = (PantallaPrincipalViewModel) yVar2;
            this.viewModel = pantallaPrincipalViewModel;
            pantallaPrincipalViewModel.obtenerUsuarioDeLaBD();
            FragmentActivity activity = getActivity();
            getActivity().getLayoutInflater();
            Dialog a = MediaDescriptionCompatApi21.m21a((Context) activity);
            this.loaderDialog = a;
            a.show();
            setViewsValues();
            return;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }
}
