package androidx.lifecycle;

import java.util.Iterator;
import java.util.Map;
import p008b.p020c.p021a.p022a.ArchTaskExecutor;
import p008b.p020c.p021a.p023b.SafeIterableMap;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleEventObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p063o.Observer;
import p085c.p086a.p087a.p088a.outline;

public abstract class LiveData<T> {

    /* renamed from: j */
    public static final Object f669j = new Object();

    /* renamed from: a */
    public final Object f670a = new Object();

    /* renamed from: b */
    public SafeIterableMap<Observer<? super T>, LiveData<T>.b> f671b = new SafeIterableMap<>();

    /* renamed from: c */
    public int f672c = 0;

    /* renamed from: d */
    public volatile Object f673d = f669j;

    /* renamed from: e */
    public volatile Object f674e = f669j;

    /* renamed from: f */
    public int f675f = -1;

    /* renamed from: g */
    public boolean f676g;

    /* renamed from: h */
    public boolean f677h;

    /* renamed from: i */
    public final Runnable f678i = new C0110a();

    public class LifecycleBoundObserver extends LiveData<T>.b implements LifecycleEventObserver {

        /* renamed from: e */
        public final LifecycleOwner f679e;

        public LifecycleBoundObserver(LifecycleOwner lVar, Observer<? super T> rVar) {
            super(rVar);
            this.f679e = lVar;
        }

        /* renamed from: a */
        public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
            if (((LifecycleRegistry) this.f679e.getLifecycle()).f2954b == Lifecycle.C0489b.DESTROYED) {
                LiveData.this.mo969a(this.f682a);
            } else {
                mo976a(((LifecycleRegistry) this.f679e.getLifecycle()).f2954b.mo3554a(Lifecycle.C0489b.STARTED));
            }
        }
    }

    /* renamed from: androidx.lifecycle.LiveData$a */
    public class C0110a implements Runnable {
        public C0110a() {
        }

        public void run() {
            Object obj;
            synchronized (LiveData.this.f670a) {
                obj = LiveData.this.f674e;
                LiveData.this.f674e = LiveData.f669j;
            }
            LiveData.this.mo973b(obj);
        }
    }

    /* renamed from: androidx.lifecycle.LiveData$b */
    public abstract class C0111b {

        /* renamed from: a */
        public final Observer<? super T> f682a;

        /* renamed from: b */
        public boolean f683b;

        /* renamed from: c */
        public int f684c = -1;

        public C0111b(Observer<? super T> rVar) {
            this.f682a = rVar;
        }

        /* renamed from: a */
        public void mo976a(boolean z) {
            if (z != this.f683b) {
                this.f683b = z;
                int i = 1;
                boolean z2 = LiveData.this.f672c == 0;
                LiveData liveData = LiveData.this;
                int i2 = liveData.f672c;
                if (!this.f683b) {
                    i = -1;
                }
                liveData.f672c = i2 + i;
                if (z2 && this.f683b) {
                    LiveData.this.mo971b();
                }
                LiveData liveData2 = LiveData.this;
                if (liveData2.f672c == 0 && !this.f683b) {
                    liveData2.mo974c();
                }
                if (this.f683b) {
                    LiveData.this.mo972b((LiveData<T>.b) this);
                }
            }
        }
    }

    /* renamed from: a */
    public final void mo966a(LiveData<T>.b bVar) {
        if (bVar.f683b) {
            if (!((LifecycleRegistry) ((LifecycleBoundObserver) bVar).f679e.getLifecycle()).f2954b.mo3554a(Lifecycle.C0489b.STARTED)) {
                bVar.mo976a(false);
                return;
            }
            int i = bVar.f684c;
            int i2 = this.f675f;
            if (i < i2) {
                bVar.f684c = i2;
                bVar.f682a.onChanged(this.f673d);
            }
        }
    }

    /* renamed from: b */
    public void mo971b() {
    }

    /* renamed from: b */
    public void mo972b(LiveData<T>.b bVar) {
        if (this.f676g) {
            this.f677h = true;
            return;
        }
        this.f676g = true;
        do {
            this.f677h = false;
            if (bVar == null) {
                SafeIterableMap<K, V>.d a = this.f671b.mo2648a();
                while (a.hasNext()) {
                    mo966a((LiveData<T>.b) (C0111b) ((Map.Entry) a.next()).getValue());
                    if (this.f677h) {
                        break;
                    }
                }
            } else {
                mo966a(bVar);
                bVar = null;
            }
        } while (this.f677h);
        this.f676g = false;
    }

    /* renamed from: c */
    public void mo974c() {
    }

    /* renamed from: a */
    public void mo968a(LifecycleOwner lVar, Observer<? super T> rVar) {
        m379a("observe");
        if (((LifecycleRegistry) lVar.getLifecycle()).f2954b != Lifecycle.C0489b.DESTROYED) {
            LifecycleBoundObserver lifecycleBoundObserver = new LifecycleBoundObserver(lVar, rVar);
            C0111b b = this.f671b.mo2644b(rVar, lifecycleBoundObserver);
            if (b != null) {
                if (!(((LifecycleBoundObserver) b).f679e == lVar)) {
                    throw new IllegalArgumentException("Cannot add the same observer with different lifecycles");
                }
            }
            if (b == null) {
                lVar.getLifecycle().mo3553a(lifecycleBoundObserver);
            }
        }
    }

    /* renamed from: b */
    public void mo973b(T t) {
        m379a("setValue");
        this.f675f++;
        this.f673d = t;
        mo972b((LiveData<T>.b) null);
    }

    /* renamed from: a */
    public void mo969a(Observer<? super T> rVar) {
        m379a("removeObserver");
        C0111b remove = this.f671b.remove(rVar);
        if (remove != null) {
            LifecycleBoundObserver lifecycleBoundObserver = (LifecycleBoundObserver) remove;
            ((LifecycleRegistry) lifecycleBoundObserver.f679e.getLifecycle()).f2953a.remove(lifecycleBoundObserver);
            remove.mo976a(false);
        }
    }

    /* renamed from: a */
    public void mo967a(LifecycleOwner lVar) {
        m379a("removeObservers");
        Iterator<Map.Entry<Observer<? super T>, LiveData<T>.b>> it = this.f671b.iterator();
        while (true) {
            SafeIterableMap.C0320e eVar = (SafeIterableMap.C0320e) it;
            if (eVar.hasNext()) {
                Map.Entry entry = (Map.Entry) eVar.next();
                if (((LifecycleBoundObserver) ((C0111b) entry.getValue())).f679e == lVar) {
                    mo969a((Observer) entry.getKey());
                }
            } else {
                return;
            }
        }
    }

    /* renamed from: a */
    public void mo970a(T t) {
        boolean z;
        synchronized (this.f670a) {
            z = this.f674e == f669j;
            this.f674e = t;
        }
        if (z) {
            ArchTaskExecutor.m1503b().f1842a.mo2640b(this.f678i);
        }
    }

    /* renamed from: a */
    public T mo965a() {
        T t = this.f673d;
        if (t != f669j) {
            return t;
        }
        return null;
    }

    /* renamed from: a */
    public static void m379a(String str) {
        if (!ArchTaskExecutor.m1503b().f1842a.mo2639a()) {
            throw new IllegalStateException(outline.m2934a("Cannot invoke ", str, " on a background thread"));
        }
    }
}
