package androidx.lifecycle;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleEventObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p063o.SavedStateHandle;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelStore;
import p008b.p063o.ViewModelStoreOwner;
import p008b.p076u.SavedStateRegistry;
import p008b.p076u.SavedStateRegistryOwner;

public final class SavedStateHandleController implements LifecycleEventObserver {

    /* renamed from: a */
    public final String f688a;

    /* renamed from: b */
    public boolean f689b = false;

    /* renamed from: c */
    public final SavedStateHandle f690c;

    /* renamed from: androidx.lifecycle.SavedStateHandleController$a */
    public static final class C0113a implements SavedStateRegistry.C0603a {
        /* renamed from: a */
        public void mo984a(SavedStateRegistryOwner cVar) {
            if (cVar instanceof ViewModelStoreOwner) {
                ViewModelStore viewModelStore = ((ViewModelStoreOwner) cVar).getViewModelStore();
                SavedStateRegistry savedStateRegistry = cVar.getSavedStateRegistry();
                if (viewModelStore != null) {
                    Iterator it = new HashSet(viewModelStore.f2938a.keySet()).iterator();
                    while (it.hasNext()) {
                        HashMap<String, ViewModel> hashMap = viewModelStore.f2938a;
                        Lifecycle lifecycle = cVar.getLifecycle();
                        SavedStateHandleController savedStateHandleController = (SavedStateHandleController) hashMap.get((String) it.next()).getTag("androidx.lifecycle.savedstate.vm.tag");
                        if (savedStateHandleController != null && !savedStateHandleController.f689b) {
                            savedStateHandleController.mo983a(savedStateRegistry, lifecycle);
                            SavedStateHandleController.m393b(savedStateRegistry, lifecycle);
                        }
                    }
                    if (!new HashSet(viewModelStore.f2938a.keySet()).isEmpty()) {
                        savedStateRegistry.mo3890a((Class<? extends SavedStateRegistry.C0603a>) C0113a.class);
                        return;
                    }
                    return;
                }
                throw null;
            }
            throw new IllegalStateException("Internal error: OnRecreation should be registered only on componentsthat implement ViewModelStoreOwner");
        }
    }

    public SavedStateHandleController(String str, SavedStateHandle wVar) {
        this.f688a = str;
        this.f690c = wVar;
    }

    /* renamed from: b */
    public static void m393b(final SavedStateRegistry aVar, final Lifecycle hVar) {
        Lifecycle.C0489b bVar = ((LifecycleRegistry) hVar).f2954b;
        if (bVar == Lifecycle.C0489b.INITIALIZED || bVar.mo3554a(Lifecycle.C0489b.STARTED)) {
            aVar.mo3890a((Class<? extends SavedStateRegistry.C0603a>) C0113a.class);
        } else {
            hVar.mo3553a(new LifecycleEventObserver() {
                /* renamed from: a */
                public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
                    if (aVar == Lifecycle.C0488a.ON_START) {
                        ((LifecycleRegistry) hVar).f2953a.remove(this);
                        aVar.mo3890a((Class<? extends SavedStateRegistry.C0603a>) C0113a.class);
                    }
                }
            });
        }
    }

    /* renamed from: a */
    public void mo983a(SavedStateRegistry aVar, Lifecycle hVar) {
        if (!this.f689b) {
            this.f689b = true;
            hVar.mo3553a(this);
            if (aVar.f3395a.mo2644b(this.f688a, this.f690c.f2977b) != null) {
                throw new IllegalArgumentException("SavedStateProvider with the given key is already registered");
            }
            return;
        }
        throw new IllegalStateException("Already attached to lifecycleOwner");
    }

    /* renamed from: a */
    public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
        if (aVar == Lifecycle.C0488a.ON_DESTROY) {
            this.f689b = false;
            ((LifecycleRegistry) lVar.getLifecycle()).f2953a.remove(this);
        }
    }
}
