package com.globant.pasaportesanitario.flujos.identificacion;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.flujos.autodiagnostico.AutodiagnosticoActivity;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalActivity;
import com.globant.pasaportesanitario.utils.dialogs.PantallaCompletaDialog;
import com.google.android.material.appbar.AppBarLayout;
import p008b.p058m.p059d.BackStackRecord;
import p008b.p058m.p059d.FragmentManager;
import p008b.p063o.Observer;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p125e.p128e.EventoUnico;
import p271ar.gob.coronavirus.R;

public class IdentificacionActivity extends BaseActivity implements IdentificacionNavegador {
    public IdentificacionViewModel identificacionViewModel;

    public static void iniciar(Context context) {
        context.startActivity(new Intent(context, IdentificacionActivity.class));
    }

    public static void iniciarEliminandoPilaNavegacion(Context context) {
        context.startActivity(new Intent(context, IdentificacionActivity.class).addFlags(268468224));
    }

    private void iniciarObservers() {
        this.identificacionViewModel.obtenerActualizarUsuarioLiveData().mo968a(this, new Observer<EventoUnico<Boolean>>() {
            public void onChanged(EventoUnico<Boolean> aVar) {
                if (aVar.mo4760a() == null) {
                    return;
                }
                if (((Boolean) aVar.f4743a).booleanValue()) {
                    final PantallaCompletaDialog a = PantallaCompletaDialog.m5131a(IdentificacionActivity.this.getString(R.string.gracias_por_tu_ayuda), IdentificacionActivity.this.getString(R.string.ahora_podemos_continuar), "Continuar", R.drawable.confirmacion_icon_96px);
                    a.f6650b = new PantallaCompletaDialog.C1575a() {
                        public void onClick(View view) {
                            IdentificacionActivity.this.identificacionViewModel.navegarSiguientePantallaDependiendoDelEstado();
                            a.dismiss();
                        }
                    };
                    a.show(IdentificacionActivity.this.getSupportFragmentManager(), "TAG");
                    return;
                }
                final PantallaCompletaDialog a2 = PantallaCompletaDialog.m5131a(IdentificacionActivity.this.getString(R.string.hubo_error), IdentificacionActivity.this.getString(R.string.hubo_error_desc), "CERRAR", R.drawable.ic_error);
                a2.f6650b = new PantallaCompletaDialog.C1575a() {
                    public void onClick(View view) {
                        a2.dismiss();
                    }
                };
                a2.show(IdentificacionActivity.this.getSupportFragmentManager(), "TAG");
            }
        });
    }

    public void navegarAAutoDiagnosticoActivity() {
        AutodiagnosticoActivity.iniciar(this, false);
        finish();
    }

    public void navegarAIdentificacionConfirmacionDatosFragment() {
        IdentificacionDniConfirmacionDatosFragment identificacionDniConfirmacionDatosFragment = new IdentificacionDniConfirmacionDatosFragment();
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        if (supportFragmentManager != null) {
            BackStackRecord aVar = new BackStackRecord(supportFragmentManager);
            aVar.mo3526a(R.id.fragment_container, identificacionDniConfirmacionDatosFragment);
            aVar.mo3527a((String) null);
            aVar.mo3311a();
            return;
        }
        throw null;
    }

    public void navegarAIdentificacionDireccionCompletaFragment() {
        IdentificacionDireccionCompletaFragment identificacionDireccionCompletaFragment = new IdentificacionDireccionCompletaFragment();
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        if (supportFragmentManager != null) {
            BackStackRecord aVar = new BackStackRecord(supportFragmentManager);
            aVar.mo3526a(R.id.fragment_container, identificacionDireccionCompletaFragment);
            aVar.mo3527a((String) null);
            aVar.mo3311a();
            return;
        }
        throw null;
    }

    public void navegarAIdentificacionDireccionFragment() {
        IdentificacionDireccionFragment identificacionDireccionFragment = new IdentificacionDireccionFragment();
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        if (supportFragmentManager != null) {
            BackStackRecord aVar = new BackStackRecord(supportFragmentManager);
            aVar.mo3526a(R.id.fragment_container, identificacionDireccionFragment);
            aVar.mo3527a((String) null);
            aVar.mo3311a();
            return;
        }
        throw null;
    }

    public void navegarAIdentificacionTelefonoFragment() {
        IdentificacionTelefonoFragment identificacionTelefonoFragment = new IdentificacionTelefonoFragment();
        FragmentManager supportFragmentManager = getSupportFragmentManager();
        if (supportFragmentManager != null) {
            BackStackRecord aVar = new BackStackRecord(supportFragmentManager);
            aVar.mo3526a(R.id.fragment_container, identificacionTelefonoFragment);
            aVar.mo3527a((String) null);
            aVar.mo3311a();
            return;
        }
        throw null;
    }

    public void navegarAPantallaPrincipal(boolean z) {
        PantallaPrincipalActivity.iniciar(this, z);
        finish();
    }

    public void onBackPressed() {
        if (getSupportFragmentManager().mo3452b((int) R.id.fragment_container) instanceof IdentificacionDniConfirmacionDatosFragment) {
            this.identificacionViewModel.logout();
            super.onBackPressed();
            return;
        }
        super.onBackPressed();
    }

    public void onCreate(Bundle bundle) {
        ViewModel yVar;
        super.onCreate(bundle);
        setContentView((int) R.layout.identificacion_activity);
        IdentificacionViewModelFactory identificacionViewModelFactory = new IdentificacionViewModelFactory(this, this);
        ViewModelStore viewModelStore = getViewModelStore();
        Class cls = IdentificacionViewModel.class;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            ViewModel yVar2 = viewModelStore.f2938a.get(b);
            if (!cls.isInstance(yVar2)) {
                if (identificacionViewModelFactory instanceof ViewModelProvider.C0501c) {
                    yVar = ((ViewModelProvider.C0501c) identificacionViewModelFactory).mo3588a(b, cls);
                } else {
                    yVar = identificacionViewModelFactory.create(cls);
                }
                yVar2 = yVar;
                ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (identificacionViewModelFactory instanceof ViewModelProvider.C0503e) {
                ((ViewModelProvider.C0503e) identificacionViewModelFactory).mo3589a(yVar2);
            }
            IdentificacionViewModel identificacionViewModel2 = (IdentificacionViewModel) yVar2;
            this.identificacionViewModel = identificacionViewModel2;
            setBaseViewModel(identificacionViewModel2);
            iniciarObservers();
            if (bundle == null) {
                ((AppBarLayout) findViewById(R.id.app_bar_inicio_identificacion)).setVisibility(0);
                IdentificacionDniManualFragment identificacionDniManualFragment = new IdentificacionDniManualFragment();
                FragmentManager supportFragmentManager = getSupportFragmentManager();
                if (supportFragmentManager != null) {
                    BackStackRecord aVar = new BackStackRecord(supportFragmentManager);
                    aVar.mo3315a(R.id.fragment_container, identificacionDniManualFragment, (String) null, 1);
                    aVar.mo3311a();
                    return;
                }
                throw null;
            }
            return;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }
}
