package androidx.navigation;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.Log;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Deque;
import java.util.Iterator;
import java.util.concurrent.CopyOnWriteArrayList;
import p008b.p009a.OnBackPressedCallback;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleEventObserver;
import p008b.p063o.LifecycleObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.ViewModelStore;
import p008b.p067r.ActivityNavigator;
import p008b.p067r.NavBackStackEntry;
import p008b.p067r.NavControllerViewModel;
import p008b.p067r.NavDestination;
import p008b.p067r.NavGraph;
import p008b.p067r.NavGraphNavigator;
import p008b.p067r.NavInflater;
import p008b.p067r.Navigator;
import p008b.p067r.NavigatorProvider;

public class NavController {

    /* renamed from: a */
    public final Context f696a;

    /* renamed from: b */
    public Activity f697b;

    /* renamed from: c */
    public NavInflater f698c;

    /* renamed from: d */
    public NavGraph f699d;

    /* renamed from: e */
    public Bundle f700e;

    /* renamed from: f */
    public Parcelable[] f701f;

    /* renamed from: g */
    public boolean f702g;

    /* renamed from: h */
    public final Deque<NavBackStackEntry> f703h = new ArrayDeque();

    /* renamed from: i */
    public LifecycleOwner f704i;

    /* renamed from: j */
    public NavControllerViewModel f705j;

    /* renamed from: k */
    public NavigatorProvider f706k = new NavigatorProvider();

    /* renamed from: l */
    public final CopyOnWriteArrayList<C0116b> f707l = new CopyOnWriteArrayList<>();

    /* renamed from: m */
    public final LifecycleObserver f708m = new LifecycleEventObserver() {
        /* renamed from: a */
        public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
            Lifecycle.C0489b bVar;
            NavController navController = NavController.this;
            if (navController.f699d != null) {
                for (NavBackStackEntry next : navController.f703h) {
                    if (next != null) {
                        int ordinal = aVar.ordinal();
                        if (ordinal != 0) {
                            if (ordinal != 1) {
                                if (ordinal == 2) {
                                    bVar = Lifecycle.C0489b.RESUMED;
                                } else if (ordinal != 3) {
                                    if (ordinal != 4) {
                                        if (ordinal == 5) {
                                            bVar = Lifecycle.C0489b.DESTROYED;
                                        } else {
                                            throw new IllegalArgumentException("Unexpected event value " + aVar);
                                        }
                                    }
                                }
                                next.f3020h = bVar;
                                next.mo3607a();
                            }
                            bVar = Lifecycle.C0489b.STARTED;
                            next.f3020h = bVar;
                            next.mo3607a();
                        }
                        bVar = Lifecycle.C0489b.CREATED;
                        next.f3020h = bVar;
                        next.mo3607a();
                    } else {
                        throw null;
                    }
                }
            }
        }
    };

    /* renamed from: n */
    public final OnBackPressedCallback f709n = new C0115a(false);

    /* renamed from: o */
    public boolean f710o = true;

    /* renamed from: androidx.navigation.NavController$a */
    public class C0115a extends OnBackPressedCallback {
        public C0115a(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public void mo999a() {
            NavController.this.mo997e();
        }
    }

    /* renamed from: androidx.navigation.NavController$b */
    public interface C0116b {
        /* renamed from: a */
        void mo1000a(NavController navController, NavDestination iVar, Bundle bundle);
    }

    public NavController(Context context) {
        this.f696a = context;
        while (true) {
            if (!(context instanceof ContextWrapper)) {
                break;
            } else if (context instanceof Activity) {
                this.f697b = (Activity) context;
                break;
            } else {
                context = ((ContextWrapper) context).getBaseContext();
            }
        }
        NavigatorProvider rVar = this.f706k;
        rVar.mo3648a((Navigator<? extends NavDestination>) new NavGraphNavigator(rVar));
        this.f706k.mo3648a((Navigator<? extends NavDestination>) new ActivityNavigator(this.f696a));
    }

    /* JADX WARNING: Code restructure failed: missing block: B:1:0x0002, code lost:
        r0 = r11.f3060b;
     */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x0025 A[LOOP:0: B:9:0x0025->B:14:0x004c, LOOP_START] */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo990a(p008b.p067r.NavDestination r9, android.os.Bundle r10, p008b.p067r.NavOptions r11, p008b.p067r.Navigator.C0531a r12) {
        /*
            r8 = this;
            if (r11 == 0) goto L_0x000e
            int r0 = r11.f3060b
            r1 = -1
            if (r0 == r1) goto L_0x000e
            boolean r1 = r11.f3061c
            boolean r0 = r8.mo993a((int) r0, (boolean) r1)
            goto L_0x000f
        L_0x000e:
            r0 = 0
        L_0x000f:
            b.r.r r1 = r8.f706k
            java.lang.String r2 = r9.f3038b
            b.r.q r1 = r1.mo3649a((java.lang.String) r2)
            android.os.Bundle r10 = r9.mo3616a((android.os.Bundle) r10)
            b.r.i r9 = r1.mo1002a(r9, r10, r11, r12)
            if (r9 == 0) goto L_0x00ac
            boolean r11 = r9 instanceof p008b.p067r.FloatingWindow
            if (r11 != 0) goto L_0x004f
        L_0x0025:
            java.util.Deque<b.r.e> r11 = r8.f703h
            boolean r11 = r11.isEmpty()
            if (r11 != 0) goto L_0x004f
            java.util.Deque<b.r.e> r11 = r8.f703h
            java.lang.Object r11 = r11.peekLast()
            b.r.e r11 = (p008b.p067r.NavBackStackEntry) r11
            b.r.i r11 = r11.f3015c
            boolean r11 = r11 instanceof p008b.p067r.FloatingWindow
            if (r11 == 0) goto L_0x004f
            java.util.Deque<b.r.e> r11 = r8.f703h
            java.lang.Object r11 = r11.peekLast()
            b.r.e r11 = (p008b.p067r.NavBackStackEntry) r11
            b.r.i r11 = r11.f3015c
            int r11 = r11.f3040d
            r12 = 1
            boolean r11 = r8.mo993a((int) r11, (boolean) r12)
            if (r11 == 0) goto L_0x004f
            goto L_0x0025
        L_0x004f:
            java.util.Deque<b.r.e> r11 = r8.f703h
            boolean r11 = r11.isEmpty()
            if (r11 == 0) goto L_0x006b
            b.r.e r11 = new b.r.e
            android.content.Context r3 = r8.f696a
            b.r.k r4 = r8.f699d
            b.o.l r6 = r8.f704i
            b.r.g r7 = r8.f705j
            r2 = r11
            r5 = r10
            r2.<init>(r3, r4, r5, r6, r7)
            java.util.Deque<b.r.e> r12 = r8.f703h
            r12.add(r11)
        L_0x006b:
            java.util.ArrayDeque r11 = new java.util.ArrayDeque
            r11.<init>()
            r12 = r9
        L_0x0071:
            if (r12 == 0) goto L_0x0091
            int r1 = r12.f3040d
            b.r.i r1 = r8.mo988a((int) r1)
            if (r1 != 0) goto L_0x0091
            b.r.k r12 = r12.f3039c
            if (r12 == 0) goto L_0x0071
            b.r.e r1 = new b.r.e
            android.content.Context r3 = r8.f696a
            b.o.l r6 = r8.f704i
            b.r.g r7 = r8.f705j
            r2 = r1
            r4 = r12
            r5 = r10
            r2.<init>(r3, r4, r5, r6, r7)
            r11.addFirst(r1)
            goto L_0x0071
        L_0x0091:
            java.util.Deque<b.r.e> r12 = r8.f703h
            r12.addAll(r11)
            b.r.e r11 = new b.r.e
            android.content.Context r3 = r8.f696a
            android.os.Bundle r5 = r9.mo3616a((android.os.Bundle) r10)
            b.o.l r6 = r8.f704i
            b.r.g r7 = r8.f705j
            r2 = r11
            r4 = r9
            r2.<init>(r3, r4, r5, r6, r7)
            java.util.Deque<b.r.e> r10 = r8.f703h
            r10.add(r11)
        L_0x00ac:
            r8.mo998f()
            if (r0 != 0) goto L_0x00b3
            if (r9 == 0) goto L_0x00b6
        L_0x00b3:
            r8.mo992a()
        L_0x00b6:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.navigation.NavController.mo990a(b.r.i, android.os.Bundle, b.r.o, b.r.q$a):void");
    }

    /* renamed from: b */
    public NavBackStackEntry mo994b() {
        if (this.f703h.isEmpty()) {
            return null;
        }
        return this.f703h.getLast();
    }

    /* renamed from: c */
    public NavDestination mo995c() {
        NavBackStackEntry b = mo994b();
        if (b != null) {
            return b.f3015c;
        }
        return null;
    }

    /* renamed from: d */
    public final int mo996d() {
        int i = 0;
        for (NavBackStackEntry eVar : this.f703h) {
            if (!(eVar.f3015c instanceof NavGraph)) {
                i++;
            }
        }
        return i;
    }

    /* renamed from: e */
    public boolean mo997e() {
        if (!this.f703h.isEmpty() && mo993a(mo995c().f3040d, true) && mo992a()) {
            return true;
        }
        return false;
    }

    /* renamed from: f */
    public final void mo998f() {
        OnBackPressedCallback bVar = this.f709n;
        boolean z = true;
        if (!this.f710o || mo996d() <= 1) {
            z = false;
        }
        bVar.f958a = z;
    }

    /* renamed from: a */
    public boolean mo993a(int i, boolean z) {
        boolean z2;
        ViewModelStore remove;
        boolean z3 = false;
        if (this.f703h.isEmpty()) {
            return false;
        }
        ArrayList arrayList = new ArrayList();
        Iterator<NavBackStackEntry> descendingIterator = this.f703h.descendingIterator();
        while (true) {
            if (!descendingIterator.hasNext()) {
                z2 = false;
                break;
            }
            NavDestination iVar = descendingIterator.next().f3015c;
            Navigator a = this.f706k.mo3649a(iVar.f3038b);
            if (z || iVar.f3040d != i) {
                arrayList.add(a);
            }
            if (iVar.f3040d == i) {
                z2 = true;
                break;
            }
        }
        if (!z2) {
            String a2 = NavDestination.m2389a(this.f696a, i);
            Log.i("NavController", "Ignoring popBackStack to destination " + a2 + " as it was not found on the current back stack");
            return false;
        }
        Iterator it = arrayList.iterator();
        while (it.hasNext() && ((Navigator) it.next()).mo1005c()) {
            NavBackStackEntry removeLast = this.f703h.removeLast();
            removeLast.mo3608a(Lifecycle.C0489b.DESTROYED);
            NavControllerViewModel gVar = this.f705j;
            if (!(gVar == null || (remove = gVar.f3029a.remove(removeLast.f3019g)) == null)) {
                remove.mo3533a();
            }
            z3 = true;
        }
        mo998f();
        return z3;
    }

    /* JADX WARNING: Removed duplicated region for block: B:0:0x0000 A[LOOP:0: B:0:0x0000->B:5:0x0027, LOOP_START, MTH_ENTER_BLOCK] */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final boolean mo992a() {
        /*
            r10 = this;
        L_0x0000:
            java.util.Deque<b.r.e> r0 = r10.f703h
            boolean r0 = r0.isEmpty()
            r1 = 1
            if (r0 != 0) goto L_0x002a
            java.util.Deque<b.r.e> r0 = r10.f703h
            java.lang.Object r0 = r0.peekLast()
            b.r.e r0 = (p008b.p067r.NavBackStackEntry) r0
            b.r.i r0 = r0.f3015c
            boolean r0 = r0 instanceof p008b.p067r.NavGraph
            if (r0 == 0) goto L_0x002a
            java.util.Deque<b.r.e> r0 = r10.f703h
            java.lang.Object r0 = r0.peekLast()
            b.r.e r0 = (p008b.p067r.NavBackStackEntry) r0
            b.r.i r0 = r0.f3015c
            int r0 = r0.f3040d
            boolean r0 = r10.mo993a((int) r0, (boolean) r1)
            if (r0 == 0) goto L_0x002a
            goto L_0x0000
        L_0x002a:
            java.util.Deque<b.r.e> r0 = r10.f703h
            boolean r0 = r0.isEmpty()
            if (r0 != 0) goto L_0x00f4
            java.util.Deque<b.r.e> r0 = r10.f703h
            java.lang.Object r0 = r0.peekLast()
            b.r.e r0 = (p008b.p067r.NavBackStackEntry) r0
            b.r.i r0 = r0.f3015c
            r2 = 0
            boolean r3 = r0 instanceof p008b.p067r.FloatingWindow
            if (r3 == 0) goto L_0x005e
            java.util.Deque<b.r.e> r3 = r10.f703h
            java.util.Iterator r3 = r3.descendingIterator()
        L_0x0047:
            boolean r4 = r3.hasNext()
            if (r4 == 0) goto L_0x005e
            java.lang.Object r4 = r3.next()
            b.r.e r4 = (p008b.p067r.NavBackStackEntry) r4
            b.r.i r4 = r4.f3015c
            boolean r5 = r4 instanceof p008b.p067r.NavGraph
            if (r5 != 0) goto L_0x0047
            boolean r5 = r4 instanceof p008b.p067r.FloatingWindow
            if (r5 != 0) goto L_0x0047
            r2 = r4
        L_0x005e:
            java.util.HashMap r3 = new java.util.HashMap
            r3.<init>()
            java.util.Deque<b.r.e> r4 = r10.f703h
            java.util.Iterator r4 = r4.descendingIterator()
        L_0x0069:
            boolean r5 = r4.hasNext()
            if (r5 == 0) goto L_0x00b1
            java.lang.Object r5 = r4.next()
            b.r.e r5 = (p008b.p067r.NavBackStackEntry) r5
            b.o.h$b r6 = r5.f3021i
            b.r.i r7 = r5.f3015c
            if (r0 == 0) goto L_0x008b
            int r8 = r7.f3040d
            int r9 = r0.f3040d
            if (r8 != r9) goto L_0x008b
            b.o.h$b r7 = p008b.p063o.Lifecycle.C0489b.RESUMED
            if (r6 == r7) goto L_0x0088
            r3.put(r5, r7)
        L_0x0088:
            b.r.k r0 = r0.f3039c
            goto L_0x0069
        L_0x008b:
            if (r2 == 0) goto L_0x00a9
            int r7 = r7.f3040d
            int r8 = r2.f3040d
            if (r7 != r8) goto L_0x00a9
            b.o.h$b r7 = p008b.p063o.Lifecycle.C0489b.RESUMED
            if (r6 != r7) goto L_0x009f
            b.o.h$b r6 = p008b.p063o.Lifecycle.C0489b.STARTED
            r5.f3021i = r6
            r5.mo3607a()
            goto L_0x00a6
        L_0x009f:
            b.o.h$b r7 = p008b.p063o.Lifecycle.C0489b.STARTED
            if (r6 == r7) goto L_0x00a6
            r3.put(r5, r7)
        L_0x00a6:
            b.r.k r2 = r2.f3039c
            goto L_0x0069
        L_0x00a9:
            b.o.h$b r6 = p008b.p063o.Lifecycle.C0489b.CREATED
            r5.f3021i = r6
            r5.mo3607a()
            goto L_0x0069
        L_0x00b1:
            java.util.Deque<b.r.e> r0 = r10.f703h
            java.util.Iterator r0 = r0.iterator()
        L_0x00b7:
            boolean r2 = r0.hasNext()
            if (r2 == 0) goto L_0x00d1
            java.lang.Object r2 = r0.next()
            b.r.e r2 = (p008b.p067r.NavBackStackEntry) r2
            java.lang.Object r4 = r3.get(r2)
            b.o.h$b r4 = (p008b.p063o.Lifecycle.C0489b) r4
            if (r4 == 0) goto L_0x00b7
            r2.f3021i = r4
            r2.mo3607a()
            goto L_0x00b7
        L_0x00d1:
            java.util.Deque<b.r.e> r0 = r10.f703h
            java.lang.Object r0 = r0.peekLast()
            b.r.e r0 = (p008b.p067r.NavBackStackEntry) r0
            java.util.concurrent.CopyOnWriteArrayList<androidx.navigation.NavController$b> r2 = r10.f707l
            java.util.Iterator r2 = r2.iterator()
        L_0x00df:
            boolean r3 = r2.hasNext()
            if (r3 == 0) goto L_0x00f3
            java.lang.Object r3 = r2.next()
            androidx.navigation.NavController$b r3 = (androidx.navigation.NavController.C0116b) r3
            b.r.i r4 = r0.f3015c
            android.os.Bundle r5 = r0.f3016d
            r3.mo1000a(r10, r4, r5)
            goto L_0x00df
        L_0x00f3:
            return r1
        L_0x00f4:
            r0 = 0
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.navigation.NavController.mo992a():boolean");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:120:0x025e, code lost:
        if (r1 == false) goto L_0x0261;
     */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void mo989a(int r19, android.os.Bundle r20) {
        /*
            r18 = this;
            r0 = r18
            b.r.n r1 = r0.f698c
            if (r1 != 0) goto L_0x0011
            b.r.n r1 = new b.r.n
            android.content.Context r2 = r0.f696a
            b.r.r r3 = r0.f706k
            r1.<init>(r2, r3)
            r0.f698c = r1
        L_0x0011:
            b.r.n r1 = r0.f698c
            r2 = r19
            b.r.k r1 = r1.mo3633a(r2)
            b.r.k r2 = r0.f699d
            r3 = 1
            if (r2 == 0) goto L_0x0023
            int r2 = r2.f3040d
            r0.mo993a((int) r2, (boolean) r3)
        L_0x0023:
            r0.f699d = r1
            android.os.Bundle r1 = r0.f700e
            if (r1 == 0) goto L_0x0053
            java.lang.String r2 = "android-support-nav:controller:navigatorState:names"
            java.util.ArrayList r1 = r1.getStringArrayList(r2)
            if (r1 == 0) goto L_0x0053
            java.util.Iterator r1 = r1.iterator()
        L_0x0035:
            boolean r2 = r1.hasNext()
            if (r2 == 0) goto L_0x0053
            java.lang.Object r2 = r1.next()
            java.lang.String r2 = (java.lang.String) r2
            b.r.r r4 = r0.f706k
            b.r.q r4 = r4.mo3649a((java.lang.String) r2)
            android.os.Bundle r5 = r0.f700e
            android.os.Bundle r2 = r5.getBundle(r2)
            if (r2 == 0) goto L_0x0035
            r4.mo1003a(r2)
            goto L_0x0035
        L_0x0053:
            android.os.Parcelable[] r1 = r0.f701f
            r2 = 0
            r4 = 0
            if (r1 == 0) goto L_0x00b4
            int r5 = r1.length
            r6 = 0
        L_0x005b:
            if (r6 >= r5) goto L_0x00af
            r7 = r1[r6]
            b.r.f r7 = (p008b.p067r.NavBackStackEntryState) r7
            int r8 = r7.f3025c
            b.r.i r11 = r0.mo988a((int) r8)
            if (r11 == 0) goto L_0x0090
            android.os.Bundle r12 = r7.f3026d
            if (r12 == 0) goto L_0x0076
            android.content.Context r8 = r0.f696a
            java.lang.ClassLoader r8 = r8.getClassLoader()
            r12.setClassLoader(r8)
        L_0x0076:
            b.r.e r8 = new b.r.e
            android.content.Context r10 = r0.f696a
            b.o.l r13 = r0.f704i
            b.r.g r14 = r0.f705j
            java.util.UUID r15 = r7.f3024b
            android.os.Bundle r7 = r7.f3027e
            r9 = r8
            r16 = r7
            r9.<init>(r10, r11, r12, r13, r14, r15, r16)
            java.util.Deque<b.r.e> r7 = r0.f703h
            r7.add(r8)
            int r6 = r6 + 1
            goto L_0x005b
        L_0x0090:
            java.lang.IllegalStateException r1 = new java.lang.IllegalStateException
            java.lang.String r2 = "unknown destination during restore: "
            java.lang.StringBuilder r2 = p085c.p086a.p087a.p088a.outline.m2937a(r2)
            android.content.Context r3 = r0.f696a
            android.content.res.Resources r3 = r3.getResources()
            int r4 = r7.f3025c
            java.lang.String r3 = r3.getResourceName(r4)
            r2.append(r3)
            java.lang.String r2 = r2.toString()
            r1.<init>(r2)
            throw r1
        L_0x00af:
            r18.mo998f()
            r0.f701f = r2
        L_0x00b4:
            b.r.k r1 = r0.f699d
            if (r1 == 0) goto L_0x026b
            java.util.Deque<b.r.e> r1 = r0.f703h
            boolean r1 = r1.isEmpty()
            if (r1 == 0) goto L_0x026b
            boolean r1 = r0.f702g
            if (r1 != 0) goto L_0x0261
            android.app.Activity r1 = r0.f697b
            if (r1 == 0) goto L_0x0261
            android.content.Intent r1 = r1.getIntent()
            if (r1 != 0) goto L_0x00d0
            goto L_0x025d
        L_0x00d0:
            android.os.Bundle r5 = r1.getExtras()
            if (r5 == 0) goto L_0x00dd
            java.lang.String r6 = "android-support-nav:controller:deepLinkIds"
            int[] r6 = r5.getIntArray(r6)
            goto L_0x00de
        L_0x00dd:
            r6 = r2
        L_0x00de:
            android.os.Bundle r7 = new android.os.Bundle
            r7.<init>()
            if (r5 == 0) goto L_0x00ec
            java.lang.String r8 = "android-support-nav:controller:deepLinkExtras"
            android.os.Bundle r5 = r5.getBundle(r8)
            goto L_0x00ed
        L_0x00ec:
            r5 = r2
        L_0x00ed:
            if (r5 == 0) goto L_0x00f2
            r7.putAll(r5)
        L_0x00f2:
            if (r6 == 0) goto L_0x00f7
            int r5 = r6.length
            if (r5 != 0) goto L_0x0114
        L_0x00f7:
            android.net.Uri r5 = r1.getData()
            if (r5 == 0) goto L_0x0114
            b.r.k r5 = r0.f699d
            android.net.Uri r8 = r1.getData()
            b.r.i$a r5 = r5.mo3618a((android.net.Uri) r8)
            if (r5 == 0) goto L_0x0114
            b.r.i r6 = r5.f3046b
            int[] r6 = r6.mo3619a()
            android.os.Bundle r5 = r5.f3047c
            r7.putAll(r5)
        L_0x0114:
            if (r6 == 0) goto L_0x025d
            int r5 = r6.length
            if (r5 != 0) goto L_0x011b
            goto L_0x025d
        L_0x011b:
            b.r.k r5 = r0.f699d
            r8 = 0
        L_0x011e:
            int r9 = r6.length
            if (r8 >= r9) goto L_0x0154
            r9 = r6[r8]
            if (r8 != 0) goto L_0x0128
            b.r.k r10 = r0.f699d
            goto L_0x012c
        L_0x0128:
            b.r.i r10 = r5.mo3626b(r9)
        L_0x012c:
            if (r10 != 0) goto L_0x0135
            android.content.Context r5 = r0.f696a
            java.lang.String r5 = p008b.p067r.NavDestination.m2389a((android.content.Context) r5, (int) r9)
            goto L_0x0155
        L_0x0135:
            int r9 = r6.length
            int r9 = r9 + -1
            if (r8 == r9) goto L_0x0151
            b.r.k r10 = (p008b.p067r.NavGraph) r10
        L_0x013c:
            int r5 = r10.f3050k
            b.r.i r5 = r10.mo3626b(r5)
            boolean r5 = r5 instanceof p008b.p067r.NavGraph
            if (r5 == 0) goto L_0x0150
            int r5 = r10.f3050k
            b.r.i r5 = r10.mo3626b(r5)
            r10 = r5
            b.r.k r10 = (p008b.p067r.NavGraph) r10
            goto L_0x013c
        L_0x0150:
            r5 = r10
        L_0x0151:
            int r8 = r8 + 1
            goto L_0x011e
        L_0x0154:
            r5 = r2
        L_0x0155:
            if (r5 == 0) goto L_0x0177
            java.lang.StringBuilder r4 = new java.lang.StringBuilder
            r4.<init>()
            java.lang.String r6 = "Could not find destination "
            r4.append(r6)
            r4.append(r5)
            java.lang.String r5 = " in the navigation graph, ignoring the deep link from "
            r4.append(r5)
            r4.append(r1)
            java.lang.String r1 = r4.toString()
            java.lang.String r4 = "NavController"
            android.util.Log.i(r4, r1)
            goto L_0x025d
        L_0x0177:
            java.lang.String r5 = "android-support-nav:controller:deepLinkIntent"
            r7.putParcelable(r5, r1)
            int r5 = r1.getFlags()
            r8 = 268435456(0x10000000, float:2.5243549E-29)
            r8 = r8 & r5
            if (r8 == 0) goto L_0x01a9
            r9 = 32768(0x8000, float:4.5918E-41)
            r5 = r5 & r9
            if (r5 != 0) goto L_0x01a9
            r1.addFlags(r9)
            android.content.Context r5 = r0.f696a
            b.h.e.m r6 = new b.h.e.m
            r6.<init>(r5)
            r6.mo2992a((android.content.Intent) r1)
            r6.mo2993a()
            android.app.Activity r1 = r0.f697b
            if (r1 == 0) goto L_0x025b
            r1.finish()
            android.app.Activity r1 = r0.f697b
            r1.overridePendingTransition(r4, r4)
            goto L_0x025b
        L_0x01a9:
            java.lang.String r1 = "unknown destination during deep link: "
            if (r8 == 0) goto L_0x01f6
            java.util.Deque<b.r.e> r4 = r0.f703h
            boolean r4 = r4.isEmpty()
            if (r4 != 0) goto L_0x01bc
            b.r.k r4 = r0.f699d
            int r4 = r4.f3040d
            r0.mo993a((int) r4, (boolean) r3)
        L_0x01bc:
            r4 = 0
        L_0x01bd:
            int r5 = r6.length
            if (r4 >= r5) goto L_0x025b
            int r5 = r4 + 1
            r4 = r6[r4]
            b.r.i r8 = r0.mo988a((int) r4)
            if (r8 == 0) goto L_0x01df
            r12 = 0
            r10 = 0
            r16 = -1
            r13 = 0
            r14 = 0
            b.r.o r4 = new b.r.o
            r9 = r4
            r11 = r16
            r15 = r16
            r9.<init>(r10, r11, r12, r13, r14, r15, r16)
            r0.mo990a(r8, r7, r4, r2)
            r4 = r5
            goto L_0x01bd
        L_0x01df:
            java.lang.IllegalStateException r2 = new java.lang.IllegalStateException
            java.lang.StringBuilder r1 = p085c.p086a.p087a.p088a.outline.m2937a(r1)
            android.content.Context r3 = r0.f696a
            java.lang.String r3 = p008b.p067r.NavDestination.m2389a((android.content.Context) r3, (int) r4)
            r1.append(r3)
            java.lang.String r1 = r1.toString()
            r2.<init>(r1)
            throw r2
        L_0x01f6:
            b.r.k r4 = r0.f699d
            r5 = 0
        L_0x01f9:
            int r8 = r6.length
            if (r5 >= r8) goto L_0x0259
            r8 = r6[r5]
            if (r5 != 0) goto L_0x0203
            b.r.k r9 = r0.f699d
            goto L_0x0207
        L_0x0203:
            b.r.i r9 = r4.mo3626b(r8)
        L_0x0207:
            if (r9 == 0) goto L_0x0242
            int r8 = r6.length
            int r8 = r8 - r3
            if (r5 == r8) goto L_0x0225
            b.r.k r9 = (p008b.p067r.NavGraph) r9
        L_0x020f:
            int r4 = r9.f3050k
            b.r.i r4 = r9.mo3626b(r4)
            boolean r4 = r4 instanceof p008b.p067r.NavGraph
            if (r4 == 0) goto L_0x0223
            int r4 = r9.f3050k
            b.r.i r4 = r9.mo3626b(r4)
            r9 = r4
            b.r.k r9 = (p008b.p067r.NavGraph) r9
            goto L_0x020f
        L_0x0223:
            r4 = r9
            goto L_0x023f
        L_0x0225:
            android.os.Bundle r8 = r9.mo3616a((android.os.Bundle) r7)
            r11 = 0
            r17 = -1
            b.r.k r10 = r0.f699d
            int r12 = r10.f3040d
            r13 = 1
            r14 = 0
            r15 = 0
            b.r.o r10 = new b.r.o
            r19 = r10
            r16 = r17
            r10.<init>(r11, r12, r13, r14, r15, r16, r17)
            r0.mo990a(r9, r8, r10, r2)
        L_0x023f:
            int r5 = r5 + 1
            goto L_0x01f9
        L_0x0242:
            java.lang.IllegalStateException r2 = new java.lang.IllegalStateException
            java.lang.StringBuilder r1 = p085c.p086a.p087a.p088a.outline.m2937a(r1)
            android.content.Context r3 = r0.f696a
            java.lang.String r3 = p008b.p067r.NavDestination.m2389a((android.content.Context) r3, (int) r8)
            r1.append(r3)
            java.lang.String r1 = r1.toString()
            r2.<init>(r1)
            throw r2
        L_0x0259:
            r0.f702g = r3
        L_0x025b:
            r1 = 1
            goto L_0x025e
        L_0x025d:
            r1 = 0
        L_0x025e:
            if (r1 == 0) goto L_0x0261
            goto L_0x0262
        L_0x0261:
            r3 = 0
        L_0x0262:
            if (r3 != 0) goto L_0x026b
            b.r.k r1 = r0.f699d
            r3 = r20
            r0.mo990a(r1, r3, r2, r2)
        L_0x026b:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.navigation.NavController.mo989a(int, android.os.Bundle):void");
    }

    /* renamed from: a */
    public NavDestination mo988a(int i) {
        NavDestination iVar;
        NavGraph kVar;
        NavGraph kVar2 = this.f699d;
        if (kVar2 == null) {
            return null;
        }
        if (kVar2.f3040d == i) {
            return kVar2;
        }
        if (this.f703h.isEmpty()) {
            iVar = this.f699d;
        } else {
            iVar = this.f703h.getLast().f3015c;
        }
        if (iVar instanceof NavGraph) {
            kVar = (NavGraph) iVar;
        } else {
            kVar = iVar.f3039c;
        }
        return kVar.mo3624a(i, true);
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x003c  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0097  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void mo991a(p008b.p067r.NavDirections r8) {
        /*
            r7 = this;
            int r0 = r8.getActionId()
            android.os.Bundle r8 = r8.getArguments()
            java.util.Deque<b.r.e> r1 = r7.f703h
            boolean r1 = r1.isEmpty()
            if (r1 == 0) goto L_0x0013
            b.r.k r1 = r7.f699d
            goto L_0x001d
        L_0x0013:
            java.util.Deque<b.r.e> r1 = r7.f703h
            java.lang.Object r1 = r1.getLast()
            b.r.e r1 = (p008b.p067r.NavBackStackEntry) r1
            b.r.i r1 = r1.f3015c
        L_0x001d:
            if (r1 == 0) goto L_0x009f
            b.r.c r1 = r1.mo3617a((int) r0)
            r2 = 0
            if (r1 == 0) goto L_0x0037
            b.r.o r3 = r1.f3008b
            int r4 = r1.f3007a
            android.os.Bundle r5 = r1.f3009c
            if (r5 == 0) goto L_0x0039
            android.os.Bundle r6 = new android.os.Bundle
            r6.<init>()
            r6.putAll(r5)
            goto L_0x003a
        L_0x0037:
            r4 = r0
            r3 = r2
        L_0x0039:
            r6 = r2
        L_0x003a:
            if (r8 == 0) goto L_0x0046
            if (r6 != 0) goto L_0x0043
            android.os.Bundle r6 = new android.os.Bundle
            r6.<init>()
        L_0x0043:
            r6.putAll(r8)
        L_0x0046:
            if (r4 != 0) goto L_0x005b
            if (r3 == 0) goto L_0x005b
            int r8 = r3.f3060b
            r5 = -1
            if (r8 == r5) goto L_0x005b
            boolean r0 = r3.f3061c
            boolean r8 = r7.mo993a((int) r8, (boolean) r0)
            if (r8 == 0) goto L_0x0096
            r7.mo992a()
            goto L_0x0096
        L_0x005b:
            if (r4 == 0) goto L_0x0097
            b.r.i r8 = r7.mo988a((int) r4)
            if (r8 != 0) goto L_0x0093
            android.content.Context r8 = r7.f696a
            java.lang.String r8 = p008b.p067r.NavDestination.m2389a((android.content.Context) r8, (int) r4)
            java.lang.IllegalArgumentException r2 = new java.lang.IllegalArgumentException
            java.lang.String r3 = "navigation destination "
            java.lang.StringBuilder r8 = p085c.p086a.p087a.p088a.outline.m2938a((java.lang.String) r3, (java.lang.String) r8)
            if (r1 == 0) goto L_0x0087
            java.lang.String r1 = " referenced from action "
            java.lang.StringBuilder r1 = p085c.p086a.p087a.p088a.outline.m2937a(r1)
            android.content.Context r3 = r7.f696a
            java.lang.String r0 = p008b.p067r.NavDestination.m2389a((android.content.Context) r3, (int) r0)
            r1.append(r0)
            java.lang.String r0 = r1.toString()
            goto L_0x0089
        L_0x0087:
            java.lang.String r0 = ""
        L_0x0089:
            java.lang.String r1 = " is unknown to this NavController"
            java.lang.String r8 = p085c.p086a.p087a.p088a.outline.m2935a((java.lang.StringBuilder) r8, (java.lang.String) r0, (java.lang.String) r1)
            r2.<init>(r8)
            throw r2
        L_0x0093:
            r7.mo990a(r8, r6, r3, r2)
        L_0x0096:
            return
        L_0x0097:
            java.lang.IllegalArgumentException r8 = new java.lang.IllegalArgumentException
            java.lang.String r0 = "Destination id == 0 can only be used in conjunction with a valid navOptions.popUpTo"
            r8.<init>(r0)
            throw r8
        L_0x009f:
            java.lang.IllegalStateException r8 = new java.lang.IllegalStateException
            java.lang.String r0 = "no current navigation node"
            r8.<init>(r0)
            throw r8
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.navigation.NavController.mo991a(b.r.j):void");
    }
}
