package androidx.navigation.fragment;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.Log;
import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.Fragment;
import p008b.p058m.p059d.FragmentManager;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleEventObserver;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p067r.FloatingWindow;
import p008b.p067r.NavDestination;
import p008b.p067r.NavOptions;
import p008b.p067r.Navigator;
import p008b.p067r.p069v.C0539c;
import p085c.p086a.p087a.p088a.outline;

@Navigator.C0532b("dialog")
public final class DialogFragmentNavigator extends Navigator<C0118a> {

    /* renamed from: a */
    public final Context f713a;

    /* renamed from: b */
    public final FragmentManager f714b;

    /* renamed from: c */
    public int f715c = 0;

    /* renamed from: d */
    public LifecycleEventObserver f716d = new LifecycleEventObserver(this) {
        /* renamed from: a */
        public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
            if (aVar == Lifecycle.C0488a.ON_STOP) {
                DialogFragment dialogFragment = (DialogFragment) lVar;
                if (!dialogFragment.requireDialog().isShowing()) {
                    NavHostFragment.m422a(dialogFragment).mo997e();
                }
            }
        }
    };

    /* renamed from: androidx.navigation.fragment.DialogFragmentNavigator$a */
    public static class C0118a extends NavDestination implements FloatingWindow {

        /* renamed from: j */
        public String f717j;

        public C0118a(Navigator<? extends C0118a> qVar) {
            super(qVar);
        }

        /* renamed from: a */
        public void mo1006a(Context context, AttributeSet attributeSet) {
            super.mo1006a(context, attributeSet);
            TypedArray obtainAttributes = context.getResources().obtainAttributes(attributeSet, C0539c.DialogFragmentNavigator);
            String string = obtainAttributes.getString(C0539c.DialogFragmentNavigator_android_name);
            if (string != null) {
                this.f717j = string;
            }
            obtainAttributes.recycle();
        }
    }

    public DialogFragmentNavigator(Context context, FragmentManager oVar) {
        this.f713a = context;
        this.f714b = oVar;
    }

    /* renamed from: a */
    public NavDestination mo1002a(NavDestination iVar, Bundle bundle, NavOptions oVar, Navigator.C0531a aVar) {
        C0118a aVar2 = (C0118a) iVar;
        if (this.f714b.mo3476h()) {
            Log.i("DialogFragmentNavigator", "Ignoring navigate() call: FragmentManager has already saved its state");
            return null;
        }
        String str = aVar2.f717j;
        if (str != null) {
            if (str.charAt(0) == '.') {
                str = this.f713a.getPackageName() + str;
            }
            Fragment a = this.f714b.mo3473g().mo3413a(this.f713a.getClassLoader(), str);
            if (!DialogFragment.class.isAssignableFrom(a.getClass())) {
                StringBuilder a2 = outline.m2937a("Dialog destination ");
                String str2 = aVar2.f717j;
                if (str2 != null) {
                    throw new IllegalArgumentException(outline.m2935a(a2, str2, " is not an instance of DialogFragment"));
                }
                throw new IllegalStateException("DialogFragment class was not set");
            }
            DialogFragment dialogFragment = (DialogFragment) a;
            dialogFragment.setArguments(bundle);
            dialogFragment.getLifecycle().mo3553a(this.f716d);
            FragmentManager oVar2 = this.f714b;
            StringBuilder a3 = outline.m2937a("androidx-nav-fragment:navigator:dialog:");
            int i = this.f715c;
            this.f715c = i + 1;
            a3.append(i);
            dialogFragment.show(oVar2, a3.toString());
            return aVar2;
        }
        throw new IllegalStateException("DialogFragment class was not set");
    }

    /* renamed from: b */
    public Bundle mo1004b() {
        if (this.f715c == 0) {
            return null;
        }
        Bundle bundle = new Bundle();
        bundle.putInt("androidx-nav-dialogfragment:navigator:count", this.f715c);
        return bundle;
    }

    /* renamed from: c */
    public boolean mo1005c() {
        if (this.f715c == 0) {
            return false;
        }
        if (this.f714b.mo3476h()) {
            Log.i("DialogFragmentNavigator", "Ignoring popBackStack() call: FragmentManager has already saved its state");
            return false;
        }
        FragmentManager oVar = this.f714b;
        StringBuilder a = outline.m2937a("androidx-nav-fragment:navigator:dialog:");
        int i = this.f715c - 1;
        this.f715c = i;
        a.append(i);
        Fragment b = oVar.mo3453b(a.toString());
        if (b != null) {
            Lifecycle lifecycle = b.getLifecycle();
            ((LifecycleRegistry) lifecycle).f2953a.remove(this.f716d);
            ((DialogFragment) b).dismiss();
        }
        return true;
    }

    /* renamed from: a */
    public NavDestination mo1001a() {
        return new C0118a(this);
    }

    /* renamed from: a */
    public void mo1003a(Bundle bundle) {
        if (bundle != null) {
            int i = 0;
            this.f715c = bundle.getInt("androidx-nav-dialogfragment:navigator:count", 0);
            while (i < this.f715c) {
                FragmentManager oVar = this.f714b;
                DialogFragment dialogFragment = (DialogFragment) oVar.mo3453b("androidx-nav-fragment:navigator:dialog:" + i);
                if (dialogFragment != null) {
                    dialogFragment.getLifecycle().mo3553a(this.f716d);
                    i++;
                } else {
                    throw new IllegalStateException("DialogFragment " + i + " doesn't exist in the FragmentManager");
                }
            }
        }
    }
}
