package androidx.navigation.fragment;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.activity.OnBackPressedDispatcher;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentContainerView;
import androidx.navigation.NavController;
import java.util.ArrayList;
import java.util.Map;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p058m.p059d.BackStackRecord;
import p008b.p058m.p059d.FragmentManager;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p008b.p067r.C0533s;
import p008b.p067r.C0534t;
import p008b.p067r.NavBackStackEntry;
import p008b.p067r.NavBackStackEntryState;
import p008b.p067r.NavControllerViewModel;
import p008b.p067r.NavDestination;
import p008b.p067r.NavHostController;
import p008b.p067r.Navigator;
import p008b.p067r.NavigatorProvider;
import p008b.p067r.p069v.C0538b;
import p008b.p067r.p069v.C0539c;
import p008b.p067r.p069v.FragmentNavigator;
import p085c.p086a.p087a.p088a.outline;

public class NavHostFragment extends Fragment {

    /* renamed from: b */
    public NavHostController f718b;

    /* renamed from: c */
    public Boolean f719c = null;

    /* renamed from: d */
    public int f720d;

    /* renamed from: e */
    public boolean f721e;

    /* renamed from: a */
    public static NavController m422a(Fragment fragment) {
        for (Fragment fragment2 = fragment; fragment2 != null; fragment2 = fragment2.getParentFragment()) {
            if (fragment2 instanceof NavHostFragment) {
                NavHostController mVar = ((NavHostFragment) fragment2).f718b;
                if (mVar != null) {
                    return mVar;
                }
                throw new IllegalStateException("NavController is not available before onCreate()");
            }
            Fragment fragment3 = fragment2.getParentFragmentManager().f2847q;
            if (fragment3 instanceof NavHostFragment) {
                NavHostController mVar2 = ((NavHostFragment) fragment3).f718b;
                if (mVar2 != null) {
                    return mVar2;
                }
                throw new IllegalStateException("NavController is not available before onCreate()");
            }
        }
        View view = fragment.getView();
        if (view != null) {
            return MediaDescriptionCompatApi21.m34a(view);
        }
        throw new IllegalStateException(outline.m2933a("Fragment ", fragment, " does not have a NavController set"));
    }

    public void onAttach(Context context) {
        super.onAttach(context);
        if (this.f721e) {
            FragmentManager parentFragmentManager = getParentFragmentManager();
            if (parentFragmentManager != null) {
                BackStackRecord aVar = new BackStackRecord(parentFragmentManager);
                aVar.mo3313a((Fragment) this);
                aVar.mo3311a();
                return;
            }
            throw null;
        }
    }

    public void onCreate(Bundle bundle) {
        Bundle bundle2;
        ViewModel yVar;
        super.onCreate(bundle);
        NavHostController mVar = new NavHostController(requireContext());
        this.f718b = mVar;
        mVar.f704i = this;
        getLifecycle().mo3553a(mVar.f708m);
        NavHostController mVar2 = this.f718b;
        OnBackPressedDispatcher onBackPressedDispatcher = requireActivity().getOnBackPressedDispatcher();
        if (mVar2.f704i != null) {
            mVar2.f709n.mo1513b();
            onBackPressedDispatcher.mo76a(mVar2.f704i, mVar2.f709n);
            NavHostController mVar3 = this.f718b;
            Boolean bool = this.f719c;
            int i = 0;
            mVar3.f710o = bool != null && bool.booleanValue();
            mVar3.mo998f();
            Bundle bundle3 = null;
            this.f719c = null;
            NavHostController mVar4 = this.f718b;
            ViewModelStore viewModelStore = getViewModelStore();
            if (mVar4.f703h.isEmpty()) {
                ViewModelProvider.C0500b bVar = NavControllerViewModel.f3028b;
                Class cls = NavControllerViewModel.class;
                String canonicalName = cls.getCanonicalName();
                if (canonicalName != null) {
                    String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
                    ViewModel yVar2 = viewModelStore.f2938a.get(b);
                    if (!cls.isInstance(yVar2)) {
                        if (bVar instanceof ViewModelProvider.C0501c) {
                            yVar = ((ViewModelProvider.C0501c) bVar).mo3588a(b, cls);
                        } else {
                            yVar = new NavControllerViewModel();
                        }
                        yVar2 = yVar;
                        ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                        if (put != null) {
                            put.onCleared();
                        }
                    } else if (bVar instanceof ViewModelProvider.C0503e) {
                        ((ViewModelProvider.C0503e) bVar).mo3589a(yVar2);
                    }
                    mVar4.f705j = (NavControllerViewModel) yVar2;
                    NavHostController mVar5 = this.f718b;
                    mVar5.f706k.mo3648a((Navigator<? extends NavDestination>) new DialogFragmentNavigator(requireContext(), getChildFragmentManager()));
                    NavigatorProvider rVar = mVar5.f706k;
                    Context requireContext = requireContext();
                    FragmentManager childFragmentManager = getChildFragmentManager();
                    int id = getId();
                    if (id == 0 || id == -1) {
                        id = C0538b.nav_host_fragment_container;
                    }
                    rVar.mo3648a((Navigator<? extends NavDestination>) new FragmentNavigator(requireContext, childFragmentManager, id));
                    if (bundle != null) {
                        bundle2 = bundle.getBundle("android-support-nav:fragment:navControllerState");
                        if (bundle.getBoolean("android-support-nav:fragment:defaultHost", false)) {
                            this.f721e = true;
                            FragmentManager parentFragmentManager = getParentFragmentManager();
                            if (parentFragmentManager != null) {
                                BackStackRecord aVar = new BackStackRecord(parentFragmentManager);
                                aVar.mo3313a((Fragment) this);
                                aVar.mo3311a();
                            } else {
                                throw null;
                            }
                        }
                        this.f720d = bundle.getInt("android-support-nav:fragment:graphId");
                    } else {
                        bundle2 = null;
                    }
                    if (bundle2 != null) {
                        NavHostController mVar6 = this.f718b;
                        if (mVar6 != null) {
                            bundle2.setClassLoader(mVar6.f696a.getClassLoader());
                            mVar6.f700e = bundle2.getBundle("android-support-nav:controller:navigatorState");
                            mVar6.f701f = bundle2.getParcelableArray("android-support-nav:controller:backStack");
                            mVar6.f702g = bundle2.getBoolean("android-support-nav:controller:deepLinkHandled");
                        } else {
                            throw null;
                        }
                    }
                    int i2 = this.f720d;
                    if (i2 != 0) {
                        this.f718b.mo989a(i2, (Bundle) null);
                        return;
                    }
                    Bundle arguments = getArguments();
                    if (arguments != null) {
                        i = arguments.getInt("android-support-nav:fragment:graphId");
                    }
                    if (arguments != null) {
                        bundle3 = arguments.getBundle("android-support-nav:fragment:startDestinationArgs");
                    }
                    if (i != 0) {
                        this.f718b.mo989a(i, bundle3);
                        return;
                    }
                    return;
                }
                throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
            }
            throw new IllegalStateException("ViewModelStore should be set before setGraph call");
        }
        throw new IllegalStateException("You must call setLifecycleOwner() before calling setOnBackPressedDispatcher()");
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        FragmentContainerView fragmentContainerView = new FragmentContainerView(layoutInflater.getContext());
        int id = getId();
        if (id == 0 || id == -1) {
            id = C0538b.nav_host_fragment_container;
        }
        fragmentContainerView.setId(id);
        return fragmentContainerView;
    }

    public void onInflate(Context context, AttributeSet attributeSet, Bundle bundle) {
        super.onInflate(context, attributeSet, bundle);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0534t.NavHost);
        int resourceId = obtainStyledAttributes.getResourceId(C0534t.NavHost_navGraph, 0);
        if (resourceId != 0) {
            this.f720d = resourceId;
        }
        obtainStyledAttributes.recycle();
        TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(attributeSet, C0539c.NavHostFragment);
        if (obtainStyledAttributes2.getBoolean(C0539c.NavHostFragment_defaultNavHost, false)) {
            this.f721e = true;
        }
        obtainStyledAttributes2.recycle();
    }

    public void onPrimaryNavigationFragmentChanged(boolean z) {
        NavHostController mVar = this.f718b;
        if (mVar != null) {
            mVar.f710o = z;
            mVar.mo998f();
            return;
        }
        this.f719c = Boolean.valueOf(z);
    }

    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        NavHostController mVar = this.f718b;
        Bundle bundle2 = null;
        if (mVar != null) {
            ArrayList arrayList = new ArrayList();
            Bundle bundle3 = new Bundle();
            for (Map.Entry next : mVar.f706k.f3084a.entrySet()) {
                String str = (String) next.getKey();
                Bundle b = ((Navigator) next.getValue()).mo1004b();
                if (b != null) {
                    arrayList.add(str);
                    bundle3.putBundle(str, b);
                }
            }
            if (!arrayList.isEmpty()) {
                bundle2 = new Bundle();
                bundle3.putStringArrayList("android-support-nav:controller:navigatorState:names", arrayList);
                bundle2.putBundle("android-support-nav:controller:navigatorState", bundle3);
            }
            if (!mVar.f703h.isEmpty()) {
                if (bundle2 == null) {
                    bundle2 = new Bundle();
                }
                Parcelable[] parcelableArr = new Parcelable[mVar.f703h.size()];
                int i = 0;
                for (NavBackStackEntry fVar : mVar.f703h) {
                    parcelableArr[i] = new NavBackStackEntryState(fVar);
                    i++;
                }
                bundle2.putParcelableArray("android-support-nav:controller:backStack", parcelableArr);
            }
            if (mVar.f702g) {
                if (bundle2 == null) {
                    bundle2 = new Bundle();
                }
                bundle2.putBoolean("android-support-nav:controller:deepLinkHandled", mVar.f702g);
            }
            if (bundle2 != null) {
                bundle.putBundle("android-support-nav:fragment:navControllerState", bundle2);
            }
            if (this.f721e) {
                bundle.putBoolean("android-support-nav:fragment:defaultHost", true);
            }
            int i2 = this.f720d;
            if (i2 != 0) {
                bundle.putInt("android-support-nav:fragment:graphId", i2);
                return;
            }
            return;
        }
        throw null;
    }

    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (view instanceof ViewGroup) {
            view.setTag(C0533s.nav_controller_view_tag, this.f718b);
            if (view.getParent() != null) {
                View view2 = (View) view.getParent();
                if (view2.getId() == getId()) {
                    view2.setTag(C0533s.nav_controller_view_tag, this.f718b);
                    return;
                }
                return;
            }
            return;
        }
        throw new IllegalStateException("created host view " + view + " is not a ViewGroup");
    }
}
