package com.globant.pasaportesanitario.flujos.identificacion;

import android.annotation.SuppressLint;
import android.content.res.Resources;
import android.location.Geocoder;
import android.location.Location;
import android.os.Handler;
import android.text.TextUtils;
import androidx.lifecycle.LiveData;
import com.globant.pasaportesanitario.data.DniEntidad;
import com.globant.pasaportesanitario.data.Localidad;
import com.globant.pasaportesanitario.data.Localidades;
import com.globant.pasaportesanitario.data.NombreEstado;
import com.globant.pasaportesanitario.data.Provincia;
import com.globant.pasaportesanitario.data.Provincias;
import com.globant.pasaportesanitario.data.local.modelo.DomicilioBD;
import com.globant.pasaportesanitario.data.local.modelo.UsuarioBD;
import com.globant.pasaportesanitario.data.remoto.modelo.DomicilioRemoto;
import com.globant.pasaportesanitario.data.remoto.modelo.GeoRemoto;
import com.globant.pasaportesanitario.data.repositorios.RepositorioLogout;
import com.globant.pasaportesanitario.flujos.BaseViewModel;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import com.newrelic.agent.android.instrumentation.GsonInstrumentation;
import com.newrelic.agent.android.instrumentation.Instrumented;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.concurrent.Callable;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p063o.MutableLiveData;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p125e.p128e.EventoUnico;
import p085c.p132d.p133a.p134a.p140c.p141m.p142k.C0940a;
import p085c.p132d.p133a.p134a.p140c.p141m.p142k.C0945c;
import p085c.p132d.p133a.p134a.p140c.p141m.p142k.C0971l0;
import p085c.p132d.p133a.p134a.p140c.p141m.p142k.C0994z;
import p085c.p132d.p133a.p134a.p152f.C1099a;
import p085c.p132d.p133a.p134a.p152f.C1111l;
import p085c.p132d.p133a.p134a.p155h.C1144a;
import p085c.p132d.p133a.p134a.p155h.C1146c;
import p085c.p132d.p133a.p134a.p155h.C1147d;
import p085c.p132d.p133a.p134a.p155h.C1148e;
import p085c.p132d.p133a.p134a.p155h.C1152h;
import p085c.p132d.p133a.p134a.p155h.C1156l;
import p085c.p132d.p184b.GsonBuilder;
import p229e.p230a.Completable;
import p229e.p230a.CompletableObserver;
import p229e.p230a.Scheduler;
import p229e.p230a.Single;
import p229e.p230a.p231j.p232a.AndroidSchedulers;
import p229e.p230a.p235m.Action;
import p229e.p230a.p235m.Consumer;
import p229e.p230a.p236n.p238b.ObjectHelper;
import p229e.p230a.p236n.p240d.CallbackCompletableObserver;
import p229e.p230a.p236n.p241e.p242a.CompletableObserveOn;
import p229e.p230a.p249p.Schedulers;

@Instrumented
public class IdentificacionViewModel extends BaseViewModel {
    public static String CADENA_VACIA_PRESENTACION = " ";
    public MutableLiveData<EventoUnico<Boolean>> actualizarUsuarioRespuesta = new MutableLiveData<>();
    public MutableLiveData<DniEntidad> dniEntidadMutableLiveData = new MutableLiveData<>();
    public MutableLiveData<DomicilioRemoto> domicilioRemoto = new MutableLiveData<>();
    public C1099a fusedLocationProviderClient;
    public GeoRemoto geoRemoto;
    public Geocoder geocoder;
    public IdentificacionRepository identificacionRepository;
    public MutableLiveData<EventoUnico<Boolean>> limpiarPantallaLogin = new MutableLiveData<>();
    public Localidad localidad = null;
    public Localidades localidades;
    public MutableLiveData<List<Localidad>> localidadesSpinnerLiveData = new MutableLiveData<>();
    public IdentificacionNavegador navegador;
    public String nroTelefono = "";
    public Provincia provinciaSeleccionado = null;
    public MutableLiveData<Provincias> provinciasMutableLiveData = new MutableLiveData<>();
    public MutableLiveData<EventoUnico<NavegacionFragments>> registrarUsuarioRespuesta = new MutableLiveData<>();
    public RepositorioLogout repositorioLogout;
    public Resources resources;
    public MutableLiveData<UsuarioBD> usuarioliveData = new MutableLiveData<>();

    public IdentificacionViewModel(IdentificacionRepository identificacionRepository2, Geocoder geocoder2, C1099a aVar, Resources resources2, RepositorioLogout repositorioLogout2, IdentificacionNavegador identificacionNavegador, LanzadorDeServicioDeRastreo aVar2, PantallaPrincipalRepository pantallaPrincipalRepository) {
        super(aVar2, pantallaPrincipalRepository);
        this.identificacionRepository = identificacionRepository2;
        this.geocoder = geocoder2;
        this.fusedLocationProviderClient = aVar;
        this.resources = resources2;
        this.repositorioLogout = repositorioLogout2;
        this.navegador = identificacionNavegador;
        this.localidades = crearObjetoLocalidadesDesdeString();
    }

    @SuppressLint({"CheckResult"})
    public void actualizarUsuario() {
        Single.m5579a(new Callable<Boolean>() {
            public Boolean call() throws Exception {
                IdentificacionRepository access$100 = IdentificacionViewModel.this.identificacionRepository;
                String l = ((UsuarioBD) IdentificacionViewModel.this.usuarioliveData.mo965a()).dni.toString();
                String str = ((UsuarioBD) IdentificacionViewModel.this.usuarioliveData.mo965a()).sexo;
                IdentificacionViewModel identificacionViewModel = IdentificacionViewModel.this;
                return access$100.actualizarUsuario(l, str, identificacionViewModel.nroTelefono, (DomicilioRemoto) identificacionViewModel.domicilioRemoto.mo965a(), IdentificacionViewModel.this.geoRemoto);
            }
        }).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<Boolean>() {
            public void accept(Boolean bool) throws Exception {
                IdentificacionViewModel.this.actualizarUsuarioRespuesta.mo973b(new EventoUnico(true));
            }
        }, new Consumer<Throwable>() {
            public void accept(Throwable th) throws Exception {
                IdentificacionViewModel.this.actualizarUsuarioRespuesta.mo973b(new EventoUnico(false));
            }
        });
    }

    public void construirDomicilioRemoto() {
    }

    public void crearDomicilioRemoto(String str, String str2, String str3, String str4, String str5, String str6, String str7) {
        DomicilioRemoto domicilioRemoto2;
        Localidad localidad2 = this.localidad;
        if (localidad2 != null) {
            domicilioRemoto2 = new DomicilioRemoto(str, localidad2.getNombre() != null ? this.localidad.getNombre() : CADENA_VACIA_PRESENTACION, str2, str3, str4, str5, str6, str7, this.localidad.getDepartamentoNombre() != null ? this.localidad.getDepartamentoNombre() : CADENA_VACIA_PRESENTACION);
        } else {
            String str8 = CADENA_VACIA_PRESENTACION;
            domicilioRemoto2 = new DomicilioRemoto(str, str8, str2, str3, str4, str5, str6, str7, str8);
        }
        this.domicilioRemoto.mo973b(domicilioRemoto2);
    }

    public Localidades crearObjetoLocalidadesDesdeString() {
        return (Localidades) GsonInstrumentation.fromJson(new GsonBuilder().mo5718a(), obtenerLocalidadesDeAssets(), Localidades.class);
    }

    public void crearObjetoProvinciaDesdeString() {
        Provincias provincias = (Provincias) GsonInstrumentation.fromJson(new GsonBuilder().mo5718a(), obtenerProvinciasDeAssets(), Provincias.class);
        ArrayList arrayList = new ArrayList();
        arrayList.addAll(provincias.getProvincias());
        Collections.sort(arrayList, new Comparator<Provincia>() {
            public int compare(Provincia provincia, Provincia provincia2) {
                return provincia.getNombre().compareToIgnoreCase(provincia2.getNombre());
            }
        });
        provincias.setProvincias(arrayList);
        this.provinciasMutableLiveData.mo973b(provincias);
    }

    public void filtrarLocalidades(String str) {
        ArrayList arrayList = new ArrayList();
        for (Localidad next : this.localidades.getLocalidades()) {
            if (next.getProvinciaId().equals(str)) {
                arrayList.add(next);
            }
        }
        Collections.sort(arrayList, new Comparator<Localidad>() {
            public int compare(Localidad localidad, Localidad localidad2) {
                return localidad.getNombre().compareToIgnoreCase(localidad2.getNombre());
            }
        });
        this.localidadesSpinnerLiveData.mo973b(arrayList);
    }

    public LiveData<DniEntidad> getDniEntidadLiveData() {
        return this.dniEntidadMutableLiveData;
    }

    public void inicializaGeoRemoto() {
        this.geoRemoto = new GeoRemoto("0", "0", "0");
    }

    public void localidadSeleccionada(Localidad localidad2) {
        this.localidad = localidad2;
    }

    public void logout() {
        Completable a = Completable.m5553a((Action) new Action() {
            public void run() throws Exception {
                IdentificacionViewModel.this.repositorioLogout.Logout();
            }
        }).mo9115a(Schedulers.f7556b);
        Scheduler a2 = AndroidSchedulers.m5588a();
        ObjectHelper.m5630a(a2, "scheduler is null");
        CompletableObserveOn bVar = new CompletableObserveOn(a, a2);
        C150513 r0 = new Action() {
            public void run() throws Exception {
                IdentificacionViewModel.this.limpiarPantallaLogin.mo973b(new EventoUnico(true));
            }
        };
        C150614 r1 = new Consumer<Throwable>() {
            public void accept(Throwable th) throws Exception {
            }
        };
        ObjectHelper.m5630a(r1, "onError is null");
        ObjectHelper.m5630a(r0, "onComplete is null");
        bVar.mo9116a((CompletableObserver) new CallbackCompletableObserver(r1, r0));
    }

    public void navegarSiguientePantallaDependiendoDelEstado() {
        if (this.usuarioliveData.mo965a().estadoActual.nombreEstado == NombreEstado.DEBE_AUTODIAGNOSTICARSE) {
            this.navegador.navegarAAutoDiagnosticoActivity();
        } else {
            this.navegador.navegarAPantallaPrincipal(false);
        }
    }

    public LiveData<EventoUnico<Boolean>> obtenerActualizarUsuarioLiveData() {
        return this.actualizarUsuarioRespuesta;
    }

    public LiveData<EventoUnico<Boolean>> obtenerLimpiarLogin() {
        return this.limpiarPantallaLogin;
    }

    public String obtenerLocalidadesDeAssets() {
        return MediaDescriptionCompatApi21.m45a(this.resources, "localidades.json");
    }

    public LiveData<List<Localidad>> obtenerLocalidadesParaSpinner() {
        return this.localidadesSpinnerLiveData;
    }

    public String obtenerProvinciasDeAssets() {
        return MediaDescriptionCompatApi21.m45a(this.resources, "provincias.json");
    }

    public LiveData<Provincias> obtenerProvinciasLiveData() {
        return this.provinciasMutableLiveData;
    }

    public LiveData<EventoUnico<NavegacionFragments>> obtenerRegistrarUsuarioLiveData() {
        return this.registrarUsuarioRespuesta;
    }

    public void obtenerUbicacionLatLong() {
        C1099a aVar = this.fusedLocationProviderClient;
        if (aVar != null) {
            C1111l lVar = new C1111l();
            C1147d dVar = new C1147d();
            C0945c cVar = aVar.f4788g;
            C0940a aVar2 = aVar.f4787f;
            if (cVar != null) {
                C0971l0 l0Var = new C0971l0(0, lVar, dVar, aVar2);
                Handler handler = cVar.f4825m;
                handler.sendMessage(handler.obtainMessage(4, new C0994z(l0Var, cVar.f4820h.get(), aVar)));
                C1156l<TResult> lVar2 = dVar.f5123a;
                C150210 r2 = new C1144a<Location>() {
                    public void onComplete(C1146c<Location> cVar) {
                        Location a = cVar.mo5085a();
                        if (a != null) {
                            GeoRemoto unused = IdentificacionViewModel.this.geoRemoto = new GeoRemoto(Double.valueOf(a.getLatitude()), Double.valueOf(a.getLongitude()), Double.valueOf(a.getAltitude()));
                        }
                    }
                };
                if (lVar2 != null) {
                    lVar2.f5140b.mo5091a(new C1152h(C1148e.f5124a, r2));
                    lVar2.mo5097c();
                    return;
                }
                throw null;
            }
            throw null;
        }
        throw null;
    }

    @SuppressLint({"CheckResult"})
    public void obtenerUsuario() {
        Single.m5579a(new Callable<UsuarioBD>() {
            public UsuarioBD call() throws Exception {
                return IdentificacionViewModel.this.identificacionRepository.obtenerUsuario();
            }
        }).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<UsuarioBD>() {
            public void accept(UsuarioBD usuarioBD) throws Exception {
                IdentificacionViewModel.this.usuarioliveData.mo973b(usuarioBD);
            }
        }, new Consumer<Throwable>() {
            public void accept(Throwable th) throws Exception {
            }
        });
    }

    public LiveData<UsuarioBD> obtenerUsuarioliveData() {
        return this.usuarioliveData;
    }

    public void procesarCodigoQr(String str) {
        this.dniEntidadMutableLiveData.mo973b(new DniEntidad().construirDni(str));
    }

    @SuppressLint({"CheckResult"})
    public void registrarUsuario(final String str, final String str2, final String str3) {
        Single.m5579a(new Callable<UsuarioBD>() {
            public UsuarioBD call() throws Exception {
                if (IdentificacionViewModel.this.identificacionRepository.autorizarUsuario(str, str3, str2.replaceFirst("^0+(?!$)", "")).booleanValue()) {
                    return IdentificacionViewModel.this.identificacionRepository.registrarUsuario(str, str3);
                }
                return null;
            }
        }).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<UsuarioBD>() {
            public void accept(UsuarioBD usuarioBD) throws Exception {
                DomicilioBD domicilioBD = usuarioBD.domicilio;
                if (domicilioBD == null || TextUtils.isEmpty(domicilioBD.provincia)) {
                    IdentificacionViewModel.this.registrarUsuarioRespuesta.mo973b(new EventoUnico(NavegacionFragments.IDENTIFICACION));
                } else if (usuarioBD.estadoActual.nombreEstado.equals(NombreEstado.DEBE_AUTODIAGNOSTICARSE)) {
                    IdentificacionViewModel.this.registrarUsuarioRespuesta.mo973b(new EventoUnico(NavegacionFragments.AUTODIAGNOSTICO));
                } else {
                    IdentificacionViewModel.this.registrarUsuarioRespuesta.mo973b(new EventoUnico(NavegacionFragments.PRINCIPAL));
                }
            }
        }, new Consumer<Throwable>() {
            public void accept(Throwable th) throws Exception {
                IdentificacionViewModel.this.registrarUsuarioRespuesta.mo973b(new EventoUnico(NavegacionFragments.ERROR));
            }
        });
    }
}
