package androidx.recyclerview.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.List;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p071s.p072d.C0569t;
import p008b.p071s.p072d.GapWorker;
import p008b.p071s.p072d.LayoutState;
import p008b.p071s.p072d.LinearSmoothScroller;
import p085c.p086a.p087a.p088a.outline;

public class StaggeredGridLayoutManager extends RecyclerView.C0148o implements RecyclerView.C0165z.C0167b {

    /* renamed from: A */
    public boolean f892A;

    /* renamed from: B */
    public BitSet f893B;

    /* renamed from: C */
    public int f894C;

    /* renamed from: D */
    public int f895D;

    /* renamed from: E */
    public C0171d f896E;

    /* renamed from: F */
    public int f897F;

    /* renamed from: G */
    public boolean f898G;

    /* renamed from: H */
    public boolean f899H;

    /* renamed from: I */
    public C0174e f900I;

    /* renamed from: J */
    public int f901J;

    /* renamed from: K */
    public final Rect f902K;

    /* renamed from: L */
    public final C0169b f903L;

    /* renamed from: M */
    public boolean f904M;

    /* renamed from: N */
    public boolean f905N;

    /* renamed from: O */
    public int[] f906O;

    /* renamed from: P */
    public final Runnable f907P;

    /* renamed from: s */
    public int f908s = -1;

    /* renamed from: t */
    public C0176f[] f909t;

    /* renamed from: u */
    public C0569t f910u;

    /* renamed from: v */
    public C0569t f911v;

    /* renamed from: w */
    public int f912w;

    /* renamed from: x */
    public int f913x;

    /* renamed from: y */
    public final LayoutState f914y;

    /* renamed from: z */
    public boolean f915z;

    /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$a */
    public class C0168a implements Runnable {
        public C0168a() {
        }

        public void run() {
            StaggeredGridLayoutManager.this.mo1462r();
        }
    }

    /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$b */
    public class C0169b {

        /* renamed from: a */
        public int f917a;

        /* renamed from: b */
        public int f918b;

        /* renamed from: c */
        public boolean f919c;

        /* renamed from: d */
        public boolean f920d;

        /* renamed from: e */
        public boolean f921e;

        /* renamed from: f */
        public int[] f922f;

        public C0169b() {
            mo1470b();
        }

        /* renamed from: a */
        public void mo1469a() {
            int i;
            if (this.f919c) {
                i = StaggeredGridLayoutManager.this.f910u.mo3746b();
            } else {
                i = StaggeredGridLayoutManager.this.f910u.mo3754f();
            }
            this.f918b = i;
        }

        /* renamed from: b */
        public void mo1470b() {
            this.f917a = -1;
            this.f918b = RecyclerView.UNDEFINED_DURATION;
            this.f919c = false;
            this.f920d = false;
            this.f921e = false;
            int[] iArr = this.f922f;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
        }
    }

    /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$c */
    public static class C0170c extends RecyclerView.C0153p {

        /* renamed from: e */
        public C0176f f924e;

        /* renamed from: f */
        public boolean f925f;

        public C0170c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public C0170c(int i, int i2) {
            super(i, i2);
        }

        public C0170c(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public C0170c(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    @SuppressLint({"BanParcelableUsage"})
    /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$e */
    public static class C0174e implements Parcelable {
        public static final Parcelable.Creator<C0174e> CREATOR = new C0175a();

        /* renamed from: b */
        public int f932b;

        /* renamed from: c */
        public int f933c;

        /* renamed from: d */
        public int f934d;

        /* renamed from: e */
        public int[] f935e;

        /* renamed from: f */
        public int f936f;

        /* renamed from: g */
        public int[] f937g;

        /* renamed from: h */
        public List<C0171d.C0172a> f938h;

        /* renamed from: i */
        public boolean f939i;

        /* renamed from: j */
        public boolean f940j;

        /* renamed from: k */
        public boolean f941k;

        /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$e$a */
        public static class C0175a implements Parcelable.Creator<C0174e> {
            public Object createFromParcel(Parcel parcel) {
                return new C0174e(parcel);
            }

            public Object[] newArray(int i) {
                return new C0174e[i];
            }
        }

        public C0174e() {
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.f932b);
            parcel.writeInt(this.f933c);
            parcel.writeInt(this.f934d);
            if (this.f934d > 0) {
                parcel.writeIntArray(this.f935e);
            }
            parcel.writeInt(this.f936f);
            if (this.f936f > 0) {
                parcel.writeIntArray(this.f937g);
            }
            parcel.writeInt(this.f939i ? 1 : 0);
            parcel.writeInt(this.f940j ? 1 : 0);
            parcel.writeInt(this.f941k ? 1 : 0);
            parcel.writeList(this.f938h);
        }

        public C0174e(Parcel parcel) {
            this.f932b = parcel.readInt();
            this.f933c = parcel.readInt();
            int readInt = parcel.readInt();
            this.f934d = readInt;
            if (readInt > 0) {
                int[] iArr = new int[readInt];
                this.f935e = iArr;
                parcel.readIntArray(iArr);
            }
            int readInt2 = parcel.readInt();
            this.f936f = readInt2;
            if (readInt2 > 0) {
                int[] iArr2 = new int[readInt2];
                this.f937g = iArr2;
                parcel.readIntArray(iArr2);
            }
            boolean z = false;
            this.f939i = parcel.readInt() == 1;
            this.f940j = parcel.readInt() == 1;
            this.f941k = parcel.readInt() == 1 ? true : z;
            this.f938h = parcel.readArrayList(C0171d.C0172a.class.getClassLoader());
        }

        public C0174e(C0174e eVar) {
            this.f934d = eVar.f934d;
            this.f932b = eVar.f932b;
            this.f933c = eVar.f933c;
            this.f935e = eVar.f935e;
            this.f936f = eVar.f936f;
            this.f937g = eVar.f937g;
            this.f939i = eVar.f939i;
            this.f940j = eVar.f940j;
            this.f941k = eVar.f941k;
            this.f938h = eVar.f938h;
        }
    }

    public StaggeredGridLayoutManager(Context context, AttributeSet attributeSet, int i, int i2) {
        this.f915z = false;
        this.f892A = false;
        this.f894C = -1;
        this.f895D = RecyclerView.UNDEFINED_DURATION;
        this.f896E = new C0171d();
        this.f897F = 2;
        this.f902K = new Rect();
        this.f903L = new C0169b();
        this.f904M = false;
        this.f905N = true;
        this.f907P = new C0168a();
        RecyclerView.C0148o.C0152d a = RecyclerView.C0148o.m589a(context, attributeSet, i, i2);
        int i3 = a.f853a;
        if (i3 == 0 || i3 == 1) {
            mo1064a((String) null);
            if (i3 != this.f912w) {
                this.f912w = i3;
                C0569t tVar = this.f910u;
                this.f910u = this.f911v;
                this.f911v = tVar;
                mo1396o();
            }
            int i4 = a.f854b;
            mo1064a((String) null);
            if (i4 != this.f908s) {
                this.f896E.mo1472a();
                mo1396o();
                this.f908s = i4;
                this.f893B = new BitSet(this.f908s);
                this.f909t = new C0176f[this.f908s];
                for (int i5 = 0; i5 < this.f908s; i5++) {
                    this.f909t[i5] = new C0176f(i5);
                }
                mo1396o();
            }
            boolean z = a.f855c;
            mo1064a((String) null);
            C0174e eVar = this.f900I;
            if (!(eVar == null || eVar.f939i == z)) {
                eVar.f939i = z;
            }
            this.f915z = z;
            mo1396o();
            this.f914y = new LayoutState();
            this.f910u = C0569t.m2599a(this, this.f912w);
            this.f911v = C0569t.m2599a(this, 1 - this.f912w);
            return;
        }
        throw new IllegalArgumentException("invalid orientation.");
    }

    /* renamed from: a */
    public void mo1063a(RecyclerView recyclerView, RecyclerView.C0160v vVar) {
        Runnable runnable = this.f907P;
        RecyclerView recyclerView2 = this.f834b;
        if (recyclerView2 != null) {
            recyclerView2.removeCallbacks(runnable);
        }
        for (int i = 0; i < this.f908s; i++) {
            this.f909t[i].mo1497c();
        }
        recyclerView.requestLayout();
    }

    /* renamed from: b */
    public int mo1028b(RecyclerView.C0128a0 a0Var) {
        return mo1456i(a0Var);
    }

    /* renamed from: c */
    public void mo1036c(RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var) {
        mo1452c(vVar, a0Var, true);
    }

    /* renamed from: d */
    public int mo1072d(RecyclerView.C0128a0 a0Var) {
        return mo1454h(a0Var);
    }

    /* renamed from: e */
    public int mo1037e(RecyclerView.C0128a0 a0Var) {
        return mo1456i(a0Var);
    }

    /* renamed from: f */
    public void mo1385f(int i) {
        if (i == 0) {
            mo1462r();
        }
    }

    /* renamed from: g */
    public void mo1040g(RecyclerView.C0128a0 a0Var) {
        this.f894C = -1;
        this.f895D = RecyclerView.UNDEFINED_DURATION;
        this.f900I = null;
        this.f903L.mo1470b();
    }

    /* renamed from: h */
    public final int mo1454h(RecyclerView.C0128a0 a0Var) {
        if (mo1377d() == 0) {
            return 0;
        }
        return MediaDescriptionCompatApi21.m9a(a0Var, this.f910u, mo1445b(!this.f905N), mo1438a(!this.f905N), (RecyclerView.C0148o) this, this.f905N);
    }

    /* renamed from: i */
    public final int mo1456i(RecyclerView.C0128a0 a0Var) {
        if (mo1377d() == 0) {
            return 0;
        }
        return MediaDescriptionCompatApi21.m10a(a0Var, this.f910u, mo1445b(!this.f905N), mo1438a(!this.f905N), (RecyclerView.C0148o) this, this.f905N, this.f892A);
    }

    /* renamed from: j */
    public final int mo1458j(RecyclerView.C0128a0 a0Var) {
        if (mo1377d() == 0) {
            return 0;
        }
        return MediaDescriptionCompatApi21.m86b(a0Var, this.f910u, mo1445b(!this.f905N), mo1438a(!this.f905N), this, this.f905N);
    }

    /* renamed from: k */
    public final int mo1459k(int i) {
        int b = this.f909t[0].mo1494b(i);
        for (int i2 = 1; i2 < this.f908s; i2++) {
            int b2 = this.f909t[i2].mo1494b(i);
            if (b2 < b) {
                b = b2;
            }
        }
        return b;
    }

    /* renamed from: l */
    public final boolean mo1460l(int i) {
        if (this.f912w == 0) {
            if ((i == -1) != this.f892A) {
                return true;
            }
            return false;
        }
        if (((i == -1) == this.f892A) == mo1466v()) {
            return true;
        }
        return false;
    }

    /* renamed from: m */
    public boolean mo1083m() {
        return this.f897F != 0;
    }

    /* renamed from: n */
    public Parcelable mo1084n() {
        int i;
        View view;
        int i2;
        int i3;
        int[] iArr;
        if (this.f900I != null) {
            return new C0174e(this.f900I);
        }
        C0174e eVar = new C0174e();
        eVar.f939i = this.f915z;
        eVar.f940j = this.f898G;
        eVar.f941k = this.f899H;
        C0171d dVar = this.f896E;
        if (dVar == null || (iArr = dVar.f926a) == null) {
            eVar.f936f = 0;
        } else {
            eVar.f937g = iArr;
            eVar.f936f = iArr.length;
            eVar.f938h = dVar.f927b;
        }
        int i4 = -1;
        if (mo1377d() > 0) {
            if (this.f898G) {
                i = mo1464t();
            } else {
                i = mo1463s();
            }
            eVar.f932b = i;
            if (this.f892A) {
                view = mo1438a(true);
            } else {
                view = mo1445b(true);
            }
            if (view != null) {
                i4 = mo1392i(view);
            }
            eVar.f933c = i4;
            int i5 = this.f908s;
            eVar.f934d = i5;
            eVar.f935e = new int[i5];
            for (int i6 = 0; i6 < this.f908s; i6++) {
                if (this.f898G) {
                    i2 = this.f909t[i6].mo1489a((int) RecyclerView.UNDEFINED_DURATION);
                    if (i2 != Integer.MIN_VALUE) {
                        i3 = this.f910u.mo3746b();
                    } else {
                        eVar.f935e[i6] = i2;
                    }
                } else {
                    i2 = this.f909t[i6].mo1494b((int) RecyclerView.UNDEFINED_DURATION);
                    if (i2 != Integer.MIN_VALUE) {
                        i3 = this.f910u.mo3754f();
                    } else {
                        eVar.f935e[i6] = i2;
                    }
                }
                i2 -= i3;
                eVar.f935e[i6] = i2;
            }
        } else {
            eVar.f932b = -1;
            eVar.f933c = -1;
            eVar.f934d = 0;
        }
        return eVar;
    }

    /* renamed from: q */
    public boolean mo1043q() {
        return this.f900I == null;
    }

    /* renamed from: r */
    public boolean mo1462r() {
        int i;
        int i2;
        if (mo1377d() == 0 || this.f897F == 0 || !this.f841i) {
            return false;
        }
        if (this.f892A) {
            i2 = mo1464t();
            i = mo1463s();
        } else {
            i2 = mo1463s();
            i = mo1464t();
        }
        if (i2 == 0 && mo1465u() != null) {
            this.f896E.mo1472a();
            this.f840h = true;
            mo1396o();
            return true;
        } else if (!this.f904M) {
            return false;
        } else {
            int i3 = this.f892A ? -1 : 1;
            int i4 = i + 1;
            C0171d.C0172a a = this.f896E.mo1471a(i2, i4, i3, true);
            if (a == null) {
                this.f904M = false;
                this.f896E.mo1476b(i4);
                return false;
            }
            C0171d.C0172a a2 = this.f896E.mo1471a(i2, a.f928b, i3 * -1, true);
            if (a2 == null) {
                this.f896E.mo1476b(a.f928b);
            } else {
                this.f896E.mo1476b(a2.f928b + 1);
            }
            this.f840h = true;
            mo1396o();
            return true;
        }
    }

    /* renamed from: s */
    public int mo1463s() {
        if (mo1377d() == 0) {
            return 0;
        }
        return mo1392i(mo1374c(0));
    }

    /* renamed from: t */
    public int mo1464t() {
        int d = mo1377d();
        if (d == 0) {
            return 0;
        }
        return mo1392i(mo1374c(d - 1));
    }

    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00c1, code lost:
        if (r11 == r12) goto L_0x00d5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00d3, code lost:
        if (r11 == r12) goto L_0x00d5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x00d7, code lost:
        r11 = false;
     */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x009a  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x0099 A[SYNTHETIC] */
    /* renamed from: u */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public android.view.View mo1465u() {
        /*
            r13 = this;
            int r0 = r13.mo1377d()
            r1 = 1
            int r0 = r0 - r1
            java.util.BitSet r2 = new java.util.BitSet
            int r3 = r13.f908s
            r2.<init>(r3)
            int r3 = r13.f908s
            r4 = 0
            r2.set(r4, r3, r1)
            int r3 = r13.f912w
            r5 = -1
            if (r3 != r1) goto L_0x0020
            boolean r3 = r13.mo1466v()
            if (r3 == 0) goto L_0x0020
            r3 = 1
            goto L_0x0021
        L_0x0020:
            r3 = -1
        L_0x0021:
            boolean r6 = r13.f892A
            if (r6 == 0) goto L_0x0027
            r6 = -1
            goto L_0x002b
        L_0x0027:
            int r0 = r0 + 1
            r6 = r0
            r0 = 0
        L_0x002b:
            if (r0 >= r6) goto L_0x002f
            r7 = 1
            goto L_0x0030
        L_0x002f:
            r7 = -1
        L_0x0030:
            if (r0 == r6) goto L_0x00f9
            android.view.View r8 = r13.mo1374c((int) r0)
            android.view.ViewGroup$LayoutParams r9 = r8.getLayoutParams()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r9 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0170c) r9
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r10 = r9.f924e
            int r10 = r10.f946e
            boolean r10 = r2.get(r10)
            if (r10 == 0) goto L_0x00a1
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r10 = r9.f924e
            boolean r11 = r13.f892A
            r12 = -2147483648(0xffffffff80000000, float:-0.0)
            if (r11 == 0) goto L_0x0074
            int r11 = r10.f944c
            if (r11 == r12) goto L_0x0053
            goto L_0x0058
        L_0x0053:
            r10.mo1492a()
            int r11 = r10.f944c
        L_0x0058:
            b.s.d.t r12 = r13.f910u
            int r12 = r12.mo3746b()
            if (r11 >= r12) goto L_0x0096
            java.util.ArrayList<android.view.View> r11 = r10.f942a
            int r12 = r11.size()
            int r12 = r12 + r5
            java.lang.Object r11 = r11.get(r12)
            android.view.View r11 = (android.view.View) r11
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r10 = r10.mo1495b((android.view.View) r11)
            boolean r10 = r10.f925f
            goto L_0x0094
        L_0x0074:
            int r11 = r10.f943b
            if (r11 == r12) goto L_0x0079
            goto L_0x007e
        L_0x0079:
            r10.mo1496b()
            int r11 = r10.f943b
        L_0x007e:
            b.s.d.t r12 = r13.f910u
            int r12 = r12.mo3754f()
            if (r11 <= r12) goto L_0x0096
            java.util.ArrayList<android.view.View> r11 = r10.f942a
            java.lang.Object r11 = r11.get(r4)
            android.view.View r11 = (android.view.View) r11
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r10 = r10.mo1495b((android.view.View) r11)
            boolean r10 = r10.f925f
        L_0x0094:
            r10 = r10 ^ r1
            goto L_0x0097
        L_0x0096:
            r10 = 0
        L_0x0097:
            if (r10 == 0) goto L_0x009a
            return r8
        L_0x009a:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r10 = r9.f924e
            int r10 = r10.f946e
            r2.clear(r10)
        L_0x00a1:
            boolean r10 = r9.f925f
            if (r10 == 0) goto L_0x00a6
            goto L_0x00f6
        L_0x00a6:
            int r10 = r0 + r7
            if (r10 == r6) goto L_0x00f6
            android.view.View r10 = r13.mo1374c((int) r10)
            boolean r11 = r13.f892A
            if (r11 == 0) goto L_0x00c4
            b.s.d.t r11 = r13.f910u
            int r11 = r11.mo3744a((android.view.View) r8)
            b.s.d.t r12 = r13.f910u
            int r12 = r12.mo3744a((android.view.View) r10)
            if (r11 >= r12) goto L_0x00c1
            return r8
        L_0x00c1:
            if (r11 != r12) goto L_0x00d7
            goto L_0x00d5
        L_0x00c4:
            b.s.d.t r11 = r13.f910u
            int r11 = r11.mo3751d(r8)
            b.s.d.t r12 = r13.f910u
            int r12 = r12.mo3751d(r10)
            if (r11 <= r12) goto L_0x00d3
            return r8
        L_0x00d3:
            if (r11 != r12) goto L_0x00d7
        L_0x00d5:
            r11 = 1
            goto L_0x00d8
        L_0x00d7:
            r11 = 0
        L_0x00d8:
            if (r11 == 0) goto L_0x00f6
            android.view.ViewGroup$LayoutParams r10 = r10.getLayoutParams()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r10 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0170c) r10
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r9 = r9.f924e
            int r9 = r9.f946e
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r10 = r10.f924e
            int r10 = r10.f946e
            int r9 = r9 - r10
            if (r9 >= 0) goto L_0x00ed
            r9 = 1
            goto L_0x00ee
        L_0x00ed:
            r9 = 0
        L_0x00ee:
            if (r3 >= 0) goto L_0x00f2
            r10 = 1
            goto L_0x00f3
        L_0x00f2:
            r10 = 0
        L_0x00f3:
            if (r9 == r10) goto L_0x00f6
            return r8
        L_0x00f6:
            int r0 = r0 + r7
            goto L_0x0030
        L_0x00f9:
            r0 = 0
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.recyclerview.widget.StaggeredGridLayoutManager.mo1465u():android.view.View");
    }

    /* renamed from: v */
    public boolean mo1466v() {
        return mo1383f() == 1;
    }

    /* renamed from: w */
    public final void mo1467w() {
        if (this.f912w == 1 || !mo1466v()) {
            this.f892A = this.f915z;
        } else {
            this.f892A = !this.f915z;
        }
    }

    /* renamed from: b */
    public int mo1029b(RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var) {
        if (this.f912w == 0) {
            return this.f908s;
        }
        return super.mo1029b(vVar, a0Var);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:242:0x0421, code lost:
        if (mo1462r() != false) goto L_0x0425;
     */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x01bb  */
    /* renamed from: c */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo1452c(androidx.recyclerview.widget.RecyclerView.C0160v r13, androidx.recyclerview.widget.RecyclerView.C0128a0 r14, boolean r15) {
        /*
            r12 = this;
            androidx.recyclerview.widget.StaggeredGridLayoutManager$b r0 = r12.f903L
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r1 = r12.f900I
            r2 = -1
            if (r1 != 0) goto L_0x000b
            int r1 = r12.f894C
            if (r1 == r2) goto L_0x0018
        L_0x000b:
            int r1 = r14.mo1299a()
            if (r1 != 0) goto L_0x0018
            r12.mo1370b((androidx.recyclerview.widget.RecyclerView.C0160v) r13)
            r0.mo1470b()
            return
        L_0x0018:
            boolean r1 = r0.f921e
            r3 = 1
            r4 = 0
            if (r1 == 0) goto L_0x0029
            int r1 = r12.f894C
            if (r1 != r2) goto L_0x0029
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r1 = r12.f900I
            if (r1 == 0) goto L_0x0027
            goto L_0x0029
        L_0x0027:
            r1 = 0
            goto L_0x002a
        L_0x0029:
            r1 = 1
        L_0x002a:
            r5 = 0
            r6 = -2147483648(0xffffffff80000000, float:-0.0)
            if (r1 == 0) goto L_0x01fa
            r0.mo1470b()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r7 = r12.f900I
            if (r7 == 0) goto L_0x00bc
            int r8 = r7.f934d
            if (r8 <= 0) goto L_0x007d
            int r9 = r12.f908s
            if (r8 != r9) goto L_0x006f
            r7 = 0
        L_0x003f:
            int r8 = r12.f908s
            if (r7 >= r8) goto L_0x007d
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r8 = r12.f909t
            r8 = r8[r7]
            r8.mo1497c()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r8 = r12.f900I
            int[] r9 = r8.f935e
            r9 = r9[r7]
            if (r9 == r6) goto L_0x0064
            boolean r8 = r8.f940j
            if (r8 == 0) goto L_0x005d
            b.s.d.t r8 = r12.f910u
            int r8 = r8.mo3746b()
            goto L_0x0063
        L_0x005d:
            b.s.d.t r8 = r12.f910u
            int r8 = r8.mo3754f()
        L_0x0063:
            int r9 = r9 + r8
        L_0x0064:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r8 = r12.f909t
            r8 = r8[r7]
            r8.f943b = r9
            r8.f944c = r9
            int r7 = r7 + 1
            goto L_0x003f
        L_0x006f:
            r7.f935e = r5
            r7.f934d = r4
            r7.f936f = r4
            r7.f937g = r5
            r7.f938h = r5
            int r8 = r7.f933c
            r7.f932b = r8
        L_0x007d:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r7 = r12.f900I
            boolean r8 = r7.f941k
            r12.f899H = r8
            boolean r7 = r7.f939i
            r12.mo1064a((java.lang.String) r5)
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r8 = r12.f900I
            if (r8 == 0) goto L_0x0092
            boolean r9 = r8.f939i
            if (r9 == r7) goto L_0x0092
            r8.f939i = r7
        L_0x0092:
            r12.f915z = r7
            r12.mo1396o()
            r12.mo1467w()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r7 = r12.f900I
            int r8 = r7.f932b
            if (r8 == r2) goto L_0x00a7
            r12.f894C = r8
            boolean r7 = r7.f940j
            r0.f919c = r7
            goto L_0x00ab
        L_0x00a7:
            boolean r7 = r12.f892A
            r0.f919c = r7
        L_0x00ab:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r7 = r12.f900I
            int r8 = r7.f936f
            if (r8 <= r3) goto L_0x00c3
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r8 = r12.f896E
            int[] r9 = r7.f937g
            r8.f926a = r9
            java.util.List<androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a> r7 = r7.f938h
            r8.f927b = r7
            goto L_0x00c3
        L_0x00bc:
            r12.mo1467w()
            boolean r7 = r12.f892A
            r0.f919c = r7
        L_0x00c3:
            boolean r7 = r14.f783g
            if (r7 != 0) goto L_0x01b7
            int r7 = r12.f894C
            if (r7 != r2) goto L_0x00cd
            goto L_0x01b7
        L_0x00cd:
            if (r7 < 0) goto L_0x01b3
            int r8 = r14.mo1299a()
            if (r7 < r8) goto L_0x00d7
            goto L_0x01b3
        L_0x00d7:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r7 = r12.f900I
            if (r7 == 0) goto L_0x00ec
            int r8 = r7.f932b
            if (r8 == r2) goto L_0x00ec
            int r7 = r7.f934d
            if (r7 >= r3) goto L_0x00e4
            goto L_0x00ec
        L_0x00e4:
            r0.f918b = r6
            int r7 = r12.f894C
            r0.f917a = r7
            goto L_0x01b1
        L_0x00ec:
            int r7 = r12.f894C
            android.view.View r7 = r12.mo1067b((int) r7)
            if (r7 == 0) goto L_0x017d
            boolean r8 = r12.f892A
            if (r8 == 0) goto L_0x00fd
            int r8 = r12.mo1464t()
            goto L_0x0101
        L_0x00fd:
            int r8 = r12.mo1463s()
        L_0x0101:
            r0.f917a = r8
            int r8 = r12.f895D
            if (r8 == r6) goto L_0x0133
            boolean r8 = r0.f919c
            if (r8 == 0) goto L_0x011f
            b.s.d.t r8 = r12.f910u
            int r8 = r8.mo3746b()
            int r9 = r12.f895D
            int r8 = r8 - r9
            b.s.d.t r9 = r12.f910u
            int r7 = r9.mo3744a((android.view.View) r7)
            int r8 = r8 - r7
            r0.f918b = r8
            goto L_0x01b1
        L_0x011f:
            b.s.d.t r8 = r12.f910u
            int r8 = r8.mo3754f()
            int r9 = r12.f895D
            int r8 = r8 + r9
            b.s.d.t r9 = r12.f910u
            int r7 = r9.mo3751d(r7)
            int r8 = r8 - r7
            r0.f918b = r8
            goto L_0x01b1
        L_0x0133:
            b.s.d.t r8 = r12.f910u
            int r8 = r8.mo3747b(r7)
            b.s.d.t r9 = r12.f910u
            int r9 = r9.mo3756g()
            if (r8 <= r9) goto L_0x0155
            boolean r7 = r0.f919c
            if (r7 == 0) goto L_0x014c
            b.s.d.t r7 = r12.f910u
            int r7 = r7.mo3746b()
            goto L_0x0152
        L_0x014c:
            b.s.d.t r7 = r12.f910u
            int r7 = r7.mo3754f()
        L_0x0152:
            r0.f918b = r7
            goto L_0x01b1
        L_0x0155:
            b.s.d.t r8 = r12.f910u
            int r8 = r8.mo3751d(r7)
            b.s.d.t r9 = r12.f910u
            int r9 = r9.mo3754f()
            int r8 = r8 - r9
            if (r8 >= 0) goto L_0x0168
            int r7 = -r8
            r0.f918b = r7
            goto L_0x01b1
        L_0x0168:
            b.s.d.t r8 = r12.f910u
            int r8 = r8.mo3746b()
            b.s.d.t r9 = r12.f910u
            int r7 = r9.mo3744a((android.view.View) r7)
            int r8 = r8 - r7
            if (r8 >= 0) goto L_0x017a
            r0.f918b = r8
            goto L_0x01b1
        L_0x017a:
            r0.f918b = r6
            goto L_0x01b1
        L_0x017d:
            int r7 = r12.f894C
            r0.f917a = r7
            int r8 = r12.f895D
            if (r8 != r6) goto L_0x0194
            int r7 = r12.mo1455i((int) r7)
            if (r7 != r3) goto L_0x018d
            r7 = 1
            goto L_0x018e
        L_0x018d:
            r7 = 0
        L_0x018e:
            r0.f919c = r7
            r0.mo1469a()
            goto L_0x01af
        L_0x0194:
            boolean r7 = r0.f919c
            if (r7 == 0) goto L_0x01a4
            androidx.recyclerview.widget.StaggeredGridLayoutManager r7 = androidx.recyclerview.widget.StaggeredGridLayoutManager.this
            b.s.d.t r7 = r7.f910u
            int r7 = r7.mo3746b()
            int r7 = r7 - r8
            r0.f918b = r7
            goto L_0x01af
        L_0x01a4:
            androidx.recyclerview.widget.StaggeredGridLayoutManager r7 = androidx.recyclerview.widget.StaggeredGridLayoutManager.this
            b.s.d.t r7 = r7.f910u
            int r7 = r7.mo3754f()
            int r7 = r7 + r8
            r0.f918b = r7
        L_0x01af:
            r0.f920d = r3
        L_0x01b1:
            r7 = 1
            goto L_0x01b8
        L_0x01b3:
            r12.f894C = r2
            r12.f895D = r6
        L_0x01b7:
            r7 = 0
        L_0x01b8:
            if (r7 == 0) goto L_0x01bb
            goto L_0x01f8
        L_0x01bb:
            boolean r7 = r12.f898G
            if (r7 == 0) goto L_0x01d7
            int r7 = r14.mo1299a()
            int r8 = r12.mo1377d()
        L_0x01c7:
            int r8 = r8 + r2
            if (r8 < 0) goto L_0x01f3
            android.view.View r9 = r12.mo1374c((int) r8)
            int r9 = r12.mo1392i(r9)
            if (r9 < 0) goto L_0x01c7
            if (r9 >= r7) goto L_0x01c7
            goto L_0x01f4
        L_0x01d7:
            int r7 = r14.mo1299a()
            int r8 = r12.mo1377d()
            r9 = 0
        L_0x01e0:
            if (r9 >= r8) goto L_0x01f3
            android.view.View r10 = r12.mo1374c((int) r9)
            int r10 = r12.mo1392i(r10)
            if (r10 < 0) goto L_0x01f0
            if (r10 >= r7) goto L_0x01f0
            r9 = r10
            goto L_0x01f4
        L_0x01f0:
            int r9 = r9 + 1
            goto L_0x01e0
        L_0x01f3:
            r9 = 0
        L_0x01f4:
            r0.f917a = r9
            r0.f918b = r6
        L_0x01f8:
            r0.f921e = r3
        L_0x01fa:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r7 = r12.f900I
            if (r7 != 0) goto L_0x0217
            int r7 = r12.f894C
            if (r7 != r2) goto L_0x0217
            boolean r7 = r0.f919c
            boolean r8 = r12.f898G
            if (r7 != r8) goto L_0x0210
            boolean r7 = r12.mo1466v()
            boolean r8 = r12.f899H
            if (r7 == r8) goto L_0x0217
        L_0x0210:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r7 = r12.f896E
            r7.mo1472a()
            r0.f920d = r3
        L_0x0217:
            int r7 = r12.mo1377d()
            if (r7 <= 0) goto L_0x02cf
            androidx.recyclerview.widget.StaggeredGridLayoutManager$e r7 = r12.f900I
            if (r7 == 0) goto L_0x0225
            int r7 = r7.f934d
            if (r7 >= r3) goto L_0x02cf
        L_0x0225:
            boolean r7 = r0.f920d
            if (r7 == 0) goto L_0x0244
            r1 = 0
        L_0x022a:
            int r7 = r12.f908s
            if (r1 >= r7) goto L_0x02cf
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r7 = r12.f909t
            r7 = r7[r1]
            r7.mo1497c()
            int r7 = r0.f918b
            if (r7 == r6) goto L_0x0241
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r8 = r12.f909t
            r8 = r8[r1]
            r8.f943b = r7
            r8.f944c = r7
        L_0x0241:
            int r1 = r1 + 1
            goto L_0x022a
        L_0x0244:
            if (r1 != 0) goto L_0x0266
            androidx.recyclerview.widget.StaggeredGridLayoutManager$b r1 = r12.f903L
            int[] r1 = r1.f922f
            if (r1 != 0) goto L_0x024d
            goto L_0x0266
        L_0x024d:
            r1 = 0
        L_0x024e:
            int r7 = r12.f908s
            if (r1 >= r7) goto L_0x02cf
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r7 = r12.f909t
            r7 = r7[r1]
            r7.mo1497c()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$b r8 = r12.f903L
            int[] r8 = r8.f922f
            r8 = r8[r1]
            r7.f943b = r8
            r7.f944c = r8
            int r1 = r1 + 1
            goto L_0x024e
        L_0x0266:
            r1 = 0
        L_0x0267:
            int r7 = r12.f908s
            if (r1 >= r7) goto L_0x02a7
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r7 = r12.f909t
            r7 = r7[r1]
            boolean r8 = r12.f892A
            int r9 = r0.f918b
            if (r8 == 0) goto L_0x027a
            int r10 = r7.mo1489a((int) r6)
            goto L_0x027e
        L_0x027a:
            int r10 = r7.mo1494b((int) r6)
        L_0x027e:
            r7.mo1497c()
            if (r10 != r6) goto L_0x0284
            goto L_0x02a4
        L_0x0284:
            if (r8 == 0) goto L_0x0290
            androidx.recyclerview.widget.StaggeredGridLayoutManager r11 = androidx.recyclerview.widget.StaggeredGridLayoutManager.this
            b.s.d.t r11 = r11.f910u
            int r11 = r11.mo3746b()
            if (r10 < r11) goto L_0x02a4
        L_0x0290:
            if (r8 != 0) goto L_0x029d
            androidx.recyclerview.widget.StaggeredGridLayoutManager r8 = androidx.recyclerview.widget.StaggeredGridLayoutManager.this
            b.s.d.t r8 = r8.f910u
            int r8 = r8.mo3754f()
            if (r10 <= r8) goto L_0x029d
            goto L_0x02a4
        L_0x029d:
            if (r9 == r6) goto L_0x02a0
            int r10 = r10 + r9
        L_0x02a0:
            r7.f944c = r10
            r7.f943b = r10
        L_0x02a4:
            int r1 = r1 + 1
            goto L_0x0267
        L_0x02a7:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$b r1 = r12.f903L
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r7 = r12.f909t
            if (r1 == 0) goto L_0x02ce
            int r8 = r7.length
            int[] r9 = r1.f922f
            if (r9 == 0) goto L_0x02b5
            int r9 = r9.length
            if (r9 >= r8) goto L_0x02be
        L_0x02b5:
            androidx.recyclerview.widget.StaggeredGridLayoutManager r9 = androidx.recyclerview.widget.StaggeredGridLayoutManager.this
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r9 = r9.f909t
            int r9 = r9.length
            int[] r9 = new int[r9]
            r1.f922f = r9
        L_0x02be:
            r9 = 0
        L_0x02bf:
            if (r9 >= r8) goto L_0x02cf
            int[] r10 = r1.f922f
            r11 = r7[r9]
            int r11 = r11.mo1494b((int) r6)
            r10[r9] = r11
            int r9 = r9 + 1
            goto L_0x02bf
        L_0x02ce:
            throw r5
        L_0x02cf:
            r12.mo1364a((androidx.recyclerview.widget.RecyclerView.C0160v) r13)
            b.s.d.n r1 = r12.f914y
            r1.f3219a = r4
            r12.f904M = r4
            b.s.d.t r1 = r12.f911v
            int r1 = r1.mo3756g()
            int r7 = r12.f908s
            int r7 = r1 / r7
            r12.f913x = r7
            b.s.d.t r7 = r12.f911v
            int r7 = r7.mo3750d()
            int r1 = android.view.View.MeasureSpec.makeMeasureSpec(r1, r7)
            r12.f901J = r1
            int r1 = r0.f917a
            r12.mo1446b((int) r1, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14)
            boolean r1 = r0.f919c
            if (r1 == 0) goto L_0x0311
            r12.mo1461m(r2)
            b.s.d.n r1 = r12.f914y
            r12.mo1437a((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (p008b.p071s.p072d.LayoutState) r1, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14)
            r12.mo1461m(r3)
            b.s.d.n r1 = r12.f914y
            int r2 = r0.f917a
            int r7 = r1.f3222d
            int r2 = r2 + r7
            r1.f3221c = r2
            r12.mo1437a((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (p008b.p071s.p072d.LayoutState) r1, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14)
            goto L_0x0328
        L_0x0311:
            r12.mo1461m(r3)
            b.s.d.n r1 = r12.f914y
            r12.mo1437a((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (p008b.p071s.p072d.LayoutState) r1, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14)
            r12.mo1461m(r2)
            b.s.d.n r1 = r12.f914y
            int r2 = r0.f917a
            int r7 = r1.f3222d
            int r2 = r2 + r7
            r1.f3221c = r2
            r12.mo1437a((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (p008b.p071s.p072d.LayoutState) r1, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14)
        L_0x0328:
            b.s.d.t r1 = r12.f911v
            int r1 = r1.mo3750d()
            r2 = 1073741824(0x40000000, float:2.0)
            if (r1 != r2) goto L_0x0334
            goto L_0x03de
        L_0x0334:
            r1 = 0
            int r2 = r12.mo1377d()
            r7 = 0
        L_0x033a:
            if (r7 >= r2) goto L_0x035c
            android.view.View r8 = r12.mo1374c((int) r7)
            b.s.d.t r9 = r12.f911v
            int r9 = r9.mo3747b(r8)
            float r9 = (float) r9
            int r10 = (r9 > r1 ? 1 : (r9 == r1 ? 0 : -1))
            if (r10 >= 0) goto L_0x034c
            goto L_0x0358
        L_0x034c:
            android.view.ViewGroup$LayoutParams r8 = r8.getLayoutParams()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r8 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0170c) r8
            if (r8 == 0) goto L_0x035b
            float r1 = java.lang.Math.max(r1, r9)
        L_0x0358:
            int r7 = r7 + 1
            goto L_0x033a
        L_0x035b:
            throw r5
        L_0x035c:
            int r5 = r12.f913x
            int r7 = r12.f908s
            float r7 = (float) r7
            float r1 = r1 * r7
            int r1 = java.lang.Math.round(r1)
            b.s.d.t r7 = r12.f911v
            int r7 = r7.mo3750d()
            if (r7 != r6) goto L_0x0379
            b.s.d.t r6 = r12.f911v
            int r6 = r6.mo3756g()
            int r1 = java.lang.Math.min(r1, r6)
        L_0x0379:
            int r6 = r12.f908s
            int r6 = r1 / r6
            r12.f913x = r6
            b.s.d.t r6 = r12.f911v
            int r6 = r6.mo3750d()
            int r1 = android.view.View.MeasureSpec.makeMeasureSpec(r1, r6)
            r12.f901J = r1
            int r1 = r12.f913x
            if (r1 != r5) goto L_0x0390
            goto L_0x03de
        L_0x0390:
            r1 = 0
        L_0x0391:
            if (r1 >= r2) goto L_0x03de
            android.view.View r6 = r12.mo1374c((int) r1)
            android.view.ViewGroup$LayoutParams r7 = r6.getLayoutParams()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r7 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0170c) r7
            boolean r8 = r7.f925f
            if (r8 == 0) goto L_0x03a2
            goto L_0x03db
        L_0x03a2:
            boolean r8 = r12.mo1466v()
            if (r8 == 0) goto L_0x03c4
            int r8 = r12.f912w
            if (r8 != r3) goto L_0x03c4
            int r8 = r12.f908s
            int r9 = r8 + -1
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r7 = r7.f924e
            int r7 = r7.f946e
            int r9 = r9 - r7
            int r9 = -r9
            int r10 = r12.f913x
            int r9 = r9 * r10
            int r8 = r8 - r3
            int r8 = r8 - r7
            int r7 = -r8
            int r7 = r7 * r5
            int r9 = r9 - r7
            r6.offsetLeftAndRight(r9)
            goto L_0x03db
        L_0x03c4:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r7 = r7.f924e
            int r7 = r7.f946e
            int r8 = r12.f913x
            int r8 = r8 * r7
            int r7 = r7 * r5
            int r9 = r12.f912w
            if (r9 != r3) goto L_0x03d7
            int r8 = r8 - r7
            r6.offsetLeftAndRight(r8)
            goto L_0x03db
        L_0x03d7:
            int r8 = r8 - r7
            r6.offsetTopAndBottom(r8)
        L_0x03db:
            int r1 = r1 + 1
            goto L_0x0391
        L_0x03de:
            int r1 = r12.mo1377d()
            if (r1 <= 0) goto L_0x03f5
            boolean r1 = r12.f892A
            if (r1 == 0) goto L_0x03ef
            r12.mo1442a((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14, (boolean) r3)
            r12.mo1448b((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14, (boolean) r4)
            goto L_0x03f5
        L_0x03ef:
            r12.mo1448b((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14, (boolean) r3)
            r12.mo1442a((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14, (boolean) r4)
        L_0x03f5:
            if (r15 == 0) goto L_0x0424
            boolean r15 = r14.f783g
            if (r15 != 0) goto L_0x0424
            int r15 = r12.f897F
            if (r15 == 0) goto L_0x0411
            int r15 = r12.mo1377d()
            if (r15 <= 0) goto L_0x0411
            boolean r15 = r12.f904M
            if (r15 != 0) goto L_0x040f
            android.view.View r15 = r12.mo1465u()
            if (r15 == 0) goto L_0x0411
        L_0x040f:
            r15 = 1
            goto L_0x0412
        L_0x0411:
            r15 = 0
        L_0x0412:
            if (r15 == 0) goto L_0x0424
            java.lang.Runnable r15 = r12.f907P
            androidx.recyclerview.widget.RecyclerView r1 = r12.f834b
            if (r1 == 0) goto L_0x041d
            r1.removeCallbacks(r15)
        L_0x041d:
            boolean r15 = r12.mo1462r()
            if (r15 == 0) goto L_0x0424
            goto L_0x0425
        L_0x0424:
            r3 = 0
        L_0x0425:
            boolean r15 = r14.f783g
            if (r15 == 0) goto L_0x042e
            androidx.recyclerview.widget.StaggeredGridLayoutManager$b r15 = r12.f903L
            r15.mo1470b()
        L_0x042e:
            boolean r15 = r0.f919c
            r12.f898G = r15
            boolean r15 = r12.mo1466v()
            r12.f899H = r15
            if (r3 == 0) goto L_0x0442
            androidx.recyclerview.widget.StaggeredGridLayoutManager$b r15 = r12.f903L
            r15.mo1470b()
            r12.mo1452c((androidx.recyclerview.widget.RecyclerView.C0160v) r13, (androidx.recyclerview.widget.RecyclerView.C0128a0) r14, (boolean) r4)
        L_0x0442:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.recyclerview.widget.StaggeredGridLayoutManager.mo1452c(androidx.recyclerview.widget.RecyclerView$v, androidx.recyclerview.widget.RecyclerView$a0, boolean):void");
    }

    /* renamed from: d */
    public final int mo1453d(int i, int i2, int i3) {
        if (i2 == 0 && i3 == 0) {
            return i;
        }
        int mode = View.MeasureSpec.getMode(i);
        if (mode == Integer.MIN_VALUE || mode == 1073741824) {
            return View.MeasureSpec.makeMeasureSpec(Math.max(0, (View.MeasureSpec.getSize(i) - i2) - i3), mode);
        }
        return i;
    }

    /* renamed from: e */
    public void mo1382e(int i) {
        RecyclerView recyclerView = this.f834b;
        if (recyclerView != null) {
            recyclerView.offsetChildrenVertical(i);
        }
        for (int i2 = 0; i2 < this.f908s; i2++) {
            C0176f fVar = this.f909t[i2];
            int i3 = fVar.f943b;
            if (i3 != Integer.MIN_VALUE) {
                fVar.f943b = i3 + i;
            }
            int i4 = fVar.f944c;
            if (i4 != Integer.MIN_VALUE) {
                fVar.f944c = i4 + i;
            }
        }
    }

    /* renamed from: f */
    public int mo1039f(RecyclerView.C0128a0 a0Var) {
        return mo1458j(a0Var);
    }

    /* renamed from: m */
    public final void mo1461m(int i) {
        LayoutState nVar = this.f914y;
        nVar.f3223e = i;
        int i2 = 1;
        if (this.f892A != (i == -1)) {
            i2 = -1;
        }
        nVar.f3222d = i2;
    }

    /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$f */
    public class C0176f {

        /* renamed from: a */
        public ArrayList<View> f942a = new ArrayList<>();

        /* renamed from: b */
        public int f943b = RecyclerView.UNDEFINED_DURATION;

        /* renamed from: c */
        public int f944c = RecyclerView.UNDEFINED_DURATION;

        /* renamed from: d */
        public int f945d = 0;

        /* renamed from: e */
        public final int f946e;

        public C0176f(int i) {
            this.f946e = i;
        }

        /* renamed from: a */
        public int mo1489a(int i) {
            int i2 = this.f944c;
            if (i2 != Integer.MIN_VALUE) {
                return i2;
            }
            if (this.f942a.size() == 0) {
                return i;
            }
            mo1492a();
            return this.f944c;
        }

        /* renamed from: b */
        public int mo1494b(int i) {
            int i2 = this.f943b;
            if (i2 != Integer.MIN_VALUE) {
                return i2;
            }
            if (this.f942a.size() == 0) {
                return i;
            }
            mo1496b();
            return this.f943b;
        }

        /* renamed from: c */
        public void mo1498c(View view) {
            C0170c b = mo1495b(view);
            b.f924e = this;
            this.f942a.add(0, view);
            this.f943b = RecyclerView.UNDEFINED_DURATION;
            if (this.f942a.size() == 1) {
                this.f944c = RecyclerView.UNDEFINED_DURATION;
            }
            if (b.mo1404c() || b.mo1403b()) {
                this.f945d = StaggeredGridLayoutManager.this.f910u.mo3747b(view) + this.f945d;
            }
        }

        /* renamed from: d */
        public int mo1499d() {
            if (StaggeredGridLayoutManager.this.f915z) {
                return mo1490a(this.f942a.size() - 1, -1, true);
            }
            return mo1490a(0, this.f942a.size(), true);
        }

        /* renamed from: e */
        public int mo1500e() {
            if (StaggeredGridLayoutManager.this.f915z) {
                return mo1490a(0, this.f942a.size(), true);
            }
            return mo1490a(this.f942a.size() - 1, -1, true);
        }

        /* renamed from: f */
        public void mo1501f() {
            int size = this.f942a.size();
            View remove = this.f942a.remove(size - 1);
            C0170c b = mo1495b(remove);
            b.f924e = null;
            if (b.mo1404c() || b.mo1403b()) {
                this.f945d -= StaggeredGridLayoutManager.this.f910u.mo3747b(remove);
            }
            if (size == 1) {
                this.f943b = RecyclerView.UNDEFINED_DURATION;
            }
            this.f944c = RecyclerView.UNDEFINED_DURATION;
        }

        /* renamed from: g */
        public void mo1502g() {
            View remove = this.f942a.remove(0);
            C0170c b = mo1495b(remove);
            b.f924e = null;
            if (this.f942a.size() == 0) {
                this.f944c = RecyclerView.UNDEFINED_DURATION;
            }
            if (b.mo1404c() || b.mo1403b()) {
                this.f945d -= StaggeredGridLayoutManager.this.f910u.mo3747b(remove);
            }
            this.f943b = RecyclerView.UNDEFINED_DURATION;
        }

        /* renamed from: a */
        public void mo1492a() {
            C0171d.C0172a c;
            ArrayList<View> arrayList = this.f942a;
            View view = arrayList.get(arrayList.size() - 1);
            C0170c b = mo1495b(view);
            this.f944c = StaggeredGridLayoutManager.this.f910u.mo3744a(view);
            if (b.f925f && (c = StaggeredGridLayoutManager.this.f896E.mo1478c(b.mo1402a())) != null && c.f929c == 1) {
                int i = this.f944c;
                int i2 = this.f946e;
                int[] iArr = c.f930d;
                this.f944c = i + (iArr == null ? 0 : iArr[i2]);
            }
        }

        /* renamed from: b */
        public void mo1496b() {
            C0171d.C0172a c;
            int i = 0;
            View view = this.f942a.get(0);
            C0170c b = mo1495b(view);
            this.f943b = StaggeredGridLayoutManager.this.f910u.mo3751d(view);
            if (b.f925f && (c = StaggeredGridLayoutManager.this.f896E.mo1478c(b.mo1402a())) != null && c.f929c == -1) {
                int i2 = this.f943b;
                int i3 = this.f946e;
                int[] iArr = c.f930d;
                if (iArr != null) {
                    i = iArr[i3];
                }
                this.f943b = i2 - i;
            }
        }

        /* renamed from: c */
        public void mo1497c() {
            this.f942a.clear();
            this.f943b = RecyclerView.UNDEFINED_DURATION;
            this.f944c = RecyclerView.UNDEFINED_DURATION;
            this.f945d = 0;
        }

        /* renamed from: a */
        public void mo1493a(View view) {
            C0170c b = mo1495b(view);
            b.f924e = this;
            this.f942a.add(view);
            this.f944c = RecyclerView.UNDEFINED_DURATION;
            if (this.f942a.size() == 1) {
                this.f943b = RecyclerView.UNDEFINED_DURATION;
            }
            if (b.mo1404c() || b.mo1403b()) {
                this.f945d = StaggeredGridLayoutManager.this.f910u.mo3747b(view) + this.f945d;
            }
        }

        /* renamed from: b */
        public C0170c mo1495b(View view) {
            return (C0170c) view.getLayoutParams();
        }

        /* renamed from: a */
        public int mo1490a(int i, int i2, boolean z) {
            int f = StaggeredGridLayoutManager.this.f910u.mo3754f();
            int b = StaggeredGridLayoutManager.this.f910u.mo3746b();
            int i3 = i2 > i ? 1 : -1;
            while (i != i2) {
                View view = this.f942a.get(i);
                int d = StaggeredGridLayoutManager.this.f910u.mo3751d(view);
                int a = StaggeredGridLayoutManager.this.f910u.mo3744a(view);
                boolean z2 = false;
                boolean z3 = !z ? d < b : d <= b;
                if (!z ? a > f : a >= f) {
                    z2 = true;
                }
                if (z3 && z2 && (d < f || a > b)) {
                    return StaggeredGridLayoutManager.this.mo1392i(view);
                }
                i += i3;
            }
            return -1;
        }

        /* renamed from: a */
        public View mo1491a(int i, int i2) {
            View view = null;
            if (i2 != -1) {
                int size = this.f942a.size() - 1;
                while (size >= 0) {
                    View view2 = this.f942a.get(size);
                    StaggeredGridLayoutManager staggeredGridLayoutManager = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager.f915z && staggeredGridLayoutManager.mo1392i(view2) >= i) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager2 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager2.f915z && staggeredGridLayoutManager2.mo1392i(view2) <= i) || !view2.hasFocusable()) {
                        break;
                    }
                    size--;
                    view = view2;
                }
            } else {
                int size2 = this.f942a.size();
                int i3 = 0;
                while (i3 < size2) {
                    View view3 = this.f942a.get(i3);
                    StaggeredGridLayoutManager staggeredGridLayoutManager3 = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager3.f915z && staggeredGridLayoutManager3.mo1392i(view3) <= i) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager4 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager4.f915z && staggeredGridLayoutManager4.mo1392i(view3) >= i) || !view3.hasFocusable()) {
                        break;
                    }
                    i3++;
                    view = view3;
                }
            }
            return view;
        }
    }

    /* renamed from: b */
    public View mo1445b(boolean z) {
        int f = this.f910u.mo3754f();
        int b = this.f910u.mo3746b();
        int d = mo1377d();
        View view = null;
        for (int i = 0; i < d; i++) {
            View c = mo1374c(i);
            int d2 = this.f910u.mo3751d(c);
            if (this.f910u.mo3744a(c) > f && d2 < b) {
                if (d2 >= f || !z) {
                    return c;
                }
                if (view == null) {
                    view = c;
                }
            }
        }
        return view;
    }

    /* renamed from: d */
    public void mo1379d(int i) {
        RecyclerView recyclerView = this.f834b;
        if (recyclerView != null) {
            recyclerView.offsetChildrenHorizontal(i);
        }
        for (int i2 = 0; i2 < this.f908s; i2++) {
            C0176f fVar = this.f909t[i2];
            int i3 = fVar.f943b;
            if (i3 != Integer.MIN_VALUE) {
                fVar.f943b = i3 + i;
            }
            int i4 = fVar.f944c;
            if (i4 != Integer.MIN_VALUE) {
                fVar.f944c = i4 + i;
            }
        }
    }

    /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$d */
    public static class C0171d {

        /* renamed from: a */
        public int[] f926a;

        /* renamed from: b */
        public List<C0172a> f927b;

        /* renamed from: a */
        public void mo1473a(int i) {
            int[] iArr = this.f926a;
            if (iArr == null) {
                int[] iArr2 = new int[(Math.max(i, 10) + 1)];
                this.f926a = iArr2;
                Arrays.fill(iArr2, -1);
            } else if (i >= iArr.length) {
                int length = iArr.length;
                while (length <= i) {
                    length *= 2;
                }
                int[] iArr3 = new int[length];
                this.f926a = iArr3;
                System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                int[] iArr4 = this.f926a;
                Arrays.fill(iArr4, iArr.length, iArr4.length, -1);
            }
        }

        /* renamed from: b */
        public int mo1476b(int i) {
            List<C0172a> list = this.f927b;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    if (this.f927b.get(size).f928b >= i) {
                        this.f927b.remove(size);
                    }
                }
            }
            return mo1479d(i);
        }

        /* renamed from: c */
        public C0172a mo1478c(int i) {
            List<C0172a> list = this.f927b;
            if (list == null) {
                return null;
            }
            for (int size = list.size() - 1; size >= 0; size--) {
                C0172a aVar = this.f927b.get(size);
                if (aVar.f928b == i) {
                    return aVar;
                }
            }
            return null;
        }

        /* JADX WARNING: Removed duplicated region for block: B:21:0x0048  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0052  */
        /* renamed from: d */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public int mo1479d(int r5) {
            /*
                r4 = this;
                int[] r0 = r4.f926a
                r1 = -1
                if (r0 != 0) goto L_0x0006
                return r1
            L_0x0006:
                int r0 = r0.length
                if (r5 < r0) goto L_0x000a
                return r1
            L_0x000a:
                java.util.List<androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a> r0 = r4.f927b
                if (r0 != 0) goto L_0x0010
            L_0x000e:
                r0 = -1
                goto L_0x0046
            L_0x0010:
                androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a r0 = r4.mo1478c(r5)
                if (r0 == 0) goto L_0x001b
                java.util.List<androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a> r2 = r4.f927b
                r2.remove(r0)
            L_0x001b:
                java.util.List<androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a> r0 = r4.f927b
                int r0 = r0.size()
                r2 = 0
            L_0x0022:
                if (r2 >= r0) goto L_0x0034
                java.util.List<androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a> r3 = r4.f927b
                java.lang.Object r3 = r3.get(r2)
                androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a r3 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0171d.C0172a) r3
                int r3 = r3.f928b
                if (r3 < r5) goto L_0x0031
                goto L_0x0035
            L_0x0031:
                int r2 = r2 + 1
                goto L_0x0022
            L_0x0034:
                r2 = -1
            L_0x0035:
                if (r2 == r1) goto L_0x000e
                java.util.List<androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a> r0 = r4.f927b
                java.lang.Object r0 = r0.get(r2)
                androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a r0 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0171d.C0172a) r0
                java.util.List<androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a> r3 = r4.f927b
                r3.remove(r2)
                int r0 = r0.f928b
            L_0x0046:
                if (r0 != r1) goto L_0x0052
                int[] r0 = r4.f926a
                int r2 = r0.length
                java.util.Arrays.fill(r0, r5, r2, r1)
                int[] r5 = r4.f926a
                int r5 = r5.length
                return r5
            L_0x0052:
                int[] r2 = r4.f926a
                int r0 = r0 + 1
                java.util.Arrays.fill(r2, r5, r0, r1)
                return r0
            */
            throw new UnsupportedOperationException("Method not decompiled: androidx.recyclerview.widget.StaggeredGridLayoutManager.C0171d.mo1479d(int):int");
        }

        @SuppressLint({"BanParcelableUsage"})
        /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a */
        public static class C0172a implements Parcelable {
            public static final Parcelable.Creator<C0172a> CREATOR = new C0173a();

            /* renamed from: b */
            public int f928b;

            /* renamed from: c */
            public int f929c;

            /* renamed from: d */
            public int[] f930d;

            /* renamed from: e */
            public boolean f931e;

            /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a$a */
            public static class C0173a implements Parcelable.Creator<C0172a> {
                public Object createFromParcel(Parcel parcel) {
                    return new C0172a(parcel);
                }

                public Object[] newArray(int i) {
                    return new C0172a[i];
                }
            }

            public C0172a(Parcel parcel) {
                this.f928b = parcel.readInt();
                this.f929c = parcel.readInt();
                this.f931e = parcel.readInt() != 1 ? false : true;
                int readInt = parcel.readInt();
                if (readInt > 0) {
                    int[] iArr = new int[readInt];
                    this.f930d = iArr;
                    parcel.readIntArray(iArr);
                }
            }

            public int describeContents() {
                return 0;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("FullSpanItem{mPosition=");
                a.append(this.f928b);
                a.append(", mGapDir=");
                a.append(this.f929c);
                a.append(", mHasUnwantedGapAfter=");
                a.append(this.f931e);
                a.append(", mGapPerSpan=");
                a.append(Arrays.toString(this.f930d));
                a.append('}');
                return a.toString();
            }

            public void writeToParcel(Parcel parcel, int i) {
                parcel.writeInt(this.f928b);
                parcel.writeInt(this.f929c);
                parcel.writeInt(this.f931e ? 1 : 0);
                int[] iArr = this.f930d;
                if (iArr == null || iArr.length <= 0) {
                    parcel.writeInt(0);
                    return;
                }
                parcel.writeInt(iArr.length);
                parcel.writeIntArray(this.f930d);
            }

            public C0172a() {
            }
        }

        /* renamed from: b */
        public void mo1477b(int i, int i2) {
            int[] iArr = this.f926a;
            if (iArr != null && i < iArr.length) {
                int i3 = i + i2;
                mo1473a(i3);
                int[] iArr2 = this.f926a;
                System.arraycopy(iArr2, i3, iArr2, i, (iArr2.length - i) - i2);
                int[] iArr3 = this.f926a;
                Arrays.fill(iArr3, iArr3.length - i2, iArr3.length, -1);
                List<C0172a> list = this.f927b;
                if (list != null) {
                    for (int size = list.size() - 1; size >= 0; size--) {
                        C0172a aVar = this.f927b.get(size);
                        int i4 = aVar.f928b;
                        if (i4 >= i) {
                            if (i4 < i3) {
                                this.f927b.remove(size);
                            } else {
                                aVar.f928b = i4 - i2;
                            }
                        }
                    }
                }
            }
        }

        /* renamed from: a */
        public void mo1472a() {
            int[] iArr = this.f926a;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
            this.f927b = null;
        }

        /* renamed from: a */
        public void mo1474a(int i, int i2) {
            int[] iArr = this.f926a;
            if (iArr != null && i < iArr.length) {
                int i3 = i + i2;
                mo1473a(i3);
                int[] iArr2 = this.f926a;
                System.arraycopy(iArr2, i, iArr2, i3, (iArr2.length - i) - i2);
                Arrays.fill(this.f926a, i, i3, -1);
                List<C0172a> list = this.f927b;
                if (list != null) {
                    for (int size = list.size() - 1; size >= 0; size--) {
                        C0172a aVar = this.f927b.get(size);
                        int i4 = aVar.f928b;
                        if (i4 >= i) {
                            aVar.f928b = i4 + i2;
                        }
                    }
                }
            }
        }

        /* renamed from: a */
        public void mo1475a(C0172a aVar) {
            if (this.f927b == null) {
                this.f927b = new ArrayList();
            }
            int size = this.f927b.size();
            for (int i = 0; i < size; i++) {
                C0172a aVar2 = this.f927b.get(i);
                if (aVar2.f928b == aVar.f928b) {
                    this.f927b.remove(i);
                }
                if (aVar2.f928b >= aVar.f928b) {
                    this.f927b.add(i, aVar);
                    return;
                }
            }
            this.f927b.add(aVar);
        }

        /* renamed from: a */
        public C0172a mo1471a(int i, int i2, int i3, boolean z) {
            List<C0172a> list = this.f927b;
            if (list == null) {
                return null;
            }
            int size = list.size();
            for (int i4 = 0; i4 < size; i4++) {
                C0172a aVar = this.f927b.get(i4);
                int i5 = aVar.f928b;
                if (i5 >= i2) {
                    return null;
                }
                if (i5 >= i && (i3 == 0 || aVar.f929c == i3 || (z && aVar.f931e))) {
                    return aVar;
                }
            }
            return null;
        }
    }

    /* renamed from: h */
    public void mo1078h(int i) {
        C0174e eVar = this.f900I;
        if (!(eVar == null || eVar.f932b == i)) {
            eVar.f935e = null;
            eVar.f934d = 0;
            eVar.f932b = -1;
            eVar.f933c = -1;
        }
        this.f894C = i;
        this.f895D = RecyclerView.UNDEFINED_DURATION;
        mo1396o();
    }

    /* renamed from: i */
    public final int mo1455i(int i) {
        if (mo1377d() != 0) {
            if ((i < mo1463s()) != this.f892A) {
                return -1;
            }
            return 1;
        } else if (this.f892A) {
            return 1;
        } else {
            return -1;
        }
    }

    /* renamed from: j */
    public final int mo1457j(int i) {
        int a = this.f909t[0].mo1489a(i);
        for (int i2 = 1; i2 < this.f908s; i2++) {
            int a2 = this.f909t[i2].mo1489a(i);
            if (a2 > a) {
                a = a2;
            }
        }
        return a;
    }

    /* renamed from: a */
    public void mo1064a(String str) {
        RecyclerView recyclerView;
        if (this.f900I == null && (recyclerView = this.f834b) != null) {
            recyclerView.assertNotInLayoutOrScroll(str);
        }
    }

    /* renamed from: a */
    public void mo1015a(Rect rect, int i, int i2) {
        int i3;
        int i4;
        int k = mo1394k() + mo1393j();
        int i5 = mo1391i() + mo1395l();
        if (this.f912w == 1) {
            i4 = RecyclerView.C0148o.m587a(i2, rect.height() + i5, mo1386g());
            i3 = RecyclerView.C0148o.m587a(i, (this.f913x * this.f908s) + k, mo1389h());
        } else {
            i3 = RecyclerView.C0148o.m587a(i, rect.width() + k, mo1389h());
            i4 = RecyclerView.C0148o.m587a(i2, (this.f913x * this.f908s) + i5, mo1386g());
        }
        this.f834b.setMeasuredDimension(i3, i4);
    }

    /* renamed from: b */
    public final void mo1448b(RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var, boolean z) {
        int f;
        int k = mo1459k(Integer.MAX_VALUE);
        if (k != Integer.MAX_VALUE && (f = k - this.f910u.mo3754f()) > 0) {
            int c = f - mo1449c(f, vVar, a0Var);
            if (z && c > 0) {
                this.f910u.mo3745a(-c);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x003d  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x003f  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0042  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0059  */
    /* renamed from: b */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo1446b(int r5, androidx.recyclerview.widget.RecyclerView.C0128a0 r6) {
        /*
            r4 = this;
            b.s.d.n r0 = r4.f914y
            r1 = 0
            r0.f3220b = r1
            r0.f3221c = r5
            androidx.recyclerview.widget.RecyclerView$z r0 = r4.f839g
            r2 = 1
            if (r0 == 0) goto L_0x0012
            boolean r0 = r0.f881e
            if (r0 == 0) goto L_0x0012
            r0 = 1
            goto L_0x0013
        L_0x0012:
            r0 = 0
        L_0x0013:
            if (r0 == 0) goto L_0x0033
            int r6 = r6.f777a
            r0 = -1
            if (r6 == r0) goto L_0x0033
            boolean r0 = r4.f892A
            if (r6 >= r5) goto L_0x0020
            r5 = 1
            goto L_0x0021
        L_0x0020:
            r5 = 0
        L_0x0021:
            if (r0 != r5) goto L_0x002a
            b.s.d.t r5 = r4.f910u
            int r5 = r5.mo3756g()
            goto L_0x0034
        L_0x002a:
            b.s.d.t r5 = r4.f910u
            int r5 = r5.mo3756g()
            r6 = r5
            r5 = 0
            goto L_0x0035
        L_0x0033:
            r5 = 0
        L_0x0034:
            r6 = 0
        L_0x0035:
            androidx.recyclerview.widget.RecyclerView r0 = r4.f834b
            if (r0 == 0) goto L_0x003f
            boolean r0 = r0.mClipToPadding
            if (r0 == 0) goto L_0x003f
            r0 = 1
            goto L_0x0040
        L_0x003f:
            r0 = 0
        L_0x0040:
            if (r0 == 0) goto L_0x0059
            b.s.d.n r0 = r4.f914y
            b.s.d.t r3 = r4.f910u
            int r3 = r3.mo3754f()
            int r3 = r3 - r6
            r0.f3224f = r3
            b.s.d.n r6 = r4.f914y
            b.s.d.t r0 = r4.f910u
            int r0 = r0.mo3746b()
            int r0 = r0 + r5
            r6.f3225g = r0
            goto L_0x0069
        L_0x0059:
            b.s.d.n r0 = r4.f914y
            b.s.d.t r3 = r4.f910u
            int r3 = r3.mo3743a()
            int r3 = r3 + r5
            r0.f3225g = r3
            b.s.d.n r5 = r4.f914y
            int r6 = -r6
            r5.f3224f = r6
        L_0x0069:
            b.s.d.n r5 = r4.f914y
            r5.f3226h = r1
            r5.f3219a = r2
            b.s.d.t r6 = r4.f910u
            int r6 = r6.mo3750d()
            if (r6 != 0) goto L_0x0080
            b.s.d.t r6 = r4.f910u
            int r6 = r6.mo3743a()
            if (r6 != 0) goto L_0x0080
            r1 = 1
        L_0x0080:
            r5.f3227i = r1
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.recyclerview.widget.StaggeredGridLayoutManager.mo1446b(int, androidx.recyclerview.widget.RecyclerView$a0):void");
    }

    /* renamed from: a */
    public int mo1049a(RecyclerView.C0128a0 a0Var) {
        return mo1454h(a0Var);
    }

    /* renamed from: a */
    public final void mo1440a(View view, int i, int i2, boolean z) {
        boolean z2;
        Rect rect = this.f902K;
        RecyclerView recyclerView = this.f834b;
        if (recyclerView == null) {
            rect.set(0, 0, 0, 0);
        } else {
            rect.set(recyclerView.getItemDecorInsetsForChild(view));
        }
        C0170c cVar = (C0170c) view.getLayoutParams();
        int i3 = cVar.leftMargin;
        Rect rect2 = this.f902K;
        int d = mo1453d(i, i3 + rect2.left, cVar.rightMargin + rect2.right);
        int i4 = cVar.topMargin;
        Rect rect3 = this.f902K;
        int d2 = mo1453d(i2, i4 + rect3.top, cVar.bottomMargin + rect3.bottom);
        if (z) {
            z2 = mo1372b(view, d, d2, cVar);
        } else {
            z2 = mo1366a(view, d, d2, (RecyclerView.C0153p) cVar);
        }
        if (z2) {
            view.measure(d, d2);
        }
    }

    /* renamed from: b */
    public void mo1032b(RecyclerView recyclerView, int i, int i2) {
        mo1451c(i, i2, 2);
    }

    /* renamed from: b */
    public final void mo1447b(RecyclerView.C0160v vVar, int i) {
        while (mo1377d() > 0) {
            View c = mo1374c(0);
            if (this.f910u.mo3744a(c) <= i && this.f910u.mo3753e(c) <= i) {
                C0170c cVar = (C0170c) c.getLayoutParams();
                if (cVar.f925f) {
                    int i2 = 0;
                    while (i2 < this.f908s) {
                        if (this.f909t[i2].f942a.size() != 1) {
                            i2++;
                        } else {
                            return;
                        }
                    }
                    for (int i3 = 0; i3 < this.f908s; i3++) {
                        this.f909t[i3].mo1502g();
                    }
                } else if (cVar.f924e.f942a.size() != 1) {
                    cVar.f924e.mo1502g();
                } else {
                    return;
                }
                mo1361a(c, vVar);
            } else {
                return;
            }
        }
    }

    /* renamed from: a */
    public void mo1057a(Parcelable parcelable) {
        if (parcelable instanceof C0174e) {
            this.f900I = (C0174e) parcelable;
            mo1396o();
        }
    }

    /* renamed from: a */
    public void mo1018a(RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var, View view, AccessibilityNodeInfoCompat bVar) {
        int i;
        int i2;
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof C0170c)) {
            super.mo1362a(view, bVar);
            return;
        }
        C0170c cVar = (C0170c) layoutParams;
        if (this.f912w == 0) {
            C0176f fVar = cVar.f924e;
            if (fVar == null) {
                i2 = -1;
            } else {
                i2 = fVar.f946e;
            }
            bVar.mo3171b((Object) AccessibilityNodeInfoCompat.C0413c.m2033a(i2, cVar.f925f ? this.f908s : 1, -1, -1, false, false));
            return;
        }
        C0176f fVar2 = cVar.f924e;
        if (fVar2 == null) {
            i = -1;
        } else {
            i = fVar2.f946e;
        }
        bVar.mo3171b((Object) AccessibilityNodeInfoCompat.C0413c.m2033a(-1, -1, i, cVar.f925f ? this.f908s : 1, false, false));
    }

    /* renamed from: b */
    public boolean mo1069b() {
        return this.f912w == 1;
    }

    /* renamed from: b */
    public int mo1027b(int i, RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var) {
        return mo1449c(i, vVar, a0Var);
    }

    /* renamed from: a */
    public void mo1058a(AccessibilityEvent accessibilityEvent) {
        super.mo1058a(accessibilityEvent);
        if (mo1377d() > 0) {
            View b = mo1445b(false);
            View a = mo1438a(false);
            if (b != null && a != null) {
                int i = mo1392i(b);
                int i2 = mo1392i(a);
                if (i < i2) {
                    accessibilityEvent.setFromIndex(i);
                    accessibilityEvent.setToIndex(i2);
                    return;
                }
                accessibilityEvent.setFromIndex(i2);
                accessibilityEvent.setToIndex(i);
            }
        }
    }

    /* renamed from: a */
    public int mo1009a(RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var) {
        if (this.f912w == 1) {
            return this.f908s;
        }
        return super.mo1009a(vVar, a0Var);
    }

    /* renamed from: a */
    public View mo1438a(boolean z) {
        int f = this.f910u.mo3754f();
        int b = this.f910u.mo3746b();
        View view = null;
        for (int d = mo1377d() - 1; d >= 0; d--) {
            View c = mo1374c(d);
            int d2 = this.f910u.mo3751d(c);
            int a = this.f910u.mo3744a(c);
            if (a > f && d2 < b) {
                if (a <= b || !z) {
                    return c;
                }
                if (view == null) {
                    view = c;
                }
            }
        }
        return view;
    }

    /* renamed from: a */
    public final void mo1442a(RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var, boolean z) {
        int b;
        int j = mo1457j((int) RecyclerView.UNDEFINED_DURATION);
        if (j != Integer.MIN_VALUE && (b = this.f910u.mo3746b() - j) > 0) {
            int i = b - (-mo1449c(-b, vVar, a0Var));
            if (z && i > 0) {
                this.f910u.mo3745a(i);
            }
        }
    }

    /* renamed from: a */
    public void mo1022a(RecyclerView recyclerView, int i, int i2) {
        mo1451c(i, i2, 1);
    }

    /* renamed from: a */
    public void mo1021a(RecyclerView recyclerView) {
        this.f896E.mo1472a();
        mo1396o();
    }

    /* renamed from: a */
    public void mo1023a(RecyclerView recyclerView, int i, int i2, int i3) {
        mo1451c(i, i2, 8);
    }

    /* renamed from: a */
    public void mo1024a(RecyclerView recyclerView, int i, int i2, Object obj) {
        mo1451c(i, i2, 4);
    }

    /* JADX WARNING: type inference failed for: r10v0 */
    /* JADX WARNING: type inference failed for: r10v1, types: [boolean] */
    /* JADX WARNING: type inference failed for: r10v5 */
    /* JADX WARNING: Removed duplicated region for block: B:140:0x0299  */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x02b1  */
    /* JADX WARNING: Removed duplicated region for block: B:158:0x02d2  */
    /* JADX WARNING: Removed duplicated region for block: B:163:0x02f9  */
    /* JADX WARNING: Removed duplicated region for block: B:170:0x031e  */
    /* JADX WARNING: Removed duplicated region for block: B:171:0x032b  */
    /* JADX WARNING: Removed duplicated region for block: B:174:0x0339  */
    /* JADX WARNING: Removed duplicated region for block: B:175:0x0341  */
    /* JADX WARNING: Removed duplicated region for block: B:182:0x035f  */
    /* JADX WARNING: Removed duplicated region for block: B:183:0x0365  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final int mo1437a(androidx.recyclerview.widget.RecyclerView.C0160v r19, p008b.p071s.p072d.LayoutState r20, androidx.recyclerview.widget.RecyclerView.C0128a0 r21) {
        /*
            r18 = this;
            r6 = r18
            r7 = r19
            r8 = r20
            java.util.BitSet r0 = r6.f893B
            int r1 = r6.f908s
            r9 = 1
            r10 = 0
            r0.set(r10, r1, r9)
            b.s.d.n r0 = r6.f914y
            boolean r0 = r0.f3227i
            if (r0 == 0) goto L_0x0020
            int r0 = r8.f3223e
            if (r0 != r9) goto L_0x001d
            r13 = 2147483647(0x7fffffff, float:NaN)
            goto L_0x0030
        L_0x001d:
            r13 = -2147483648(0xffffffff80000000, float:-0.0)
            goto L_0x0030
        L_0x0020:
            int r0 = r8.f3223e
            if (r0 != r9) goto L_0x002a
            int r0 = r8.f3225g
            int r1 = r8.f3220b
            int r0 = r0 + r1
            goto L_0x002f
        L_0x002a:
            int r0 = r8.f3224f
            int r1 = r8.f3220b
            int r0 = r0 - r1
        L_0x002f:
            r13 = r0
        L_0x0030:
            int r0 = r8.f3223e
            r6.mo1450c((int) r0, (int) r13)
            boolean r0 = r6.f892A
            if (r0 == 0) goto L_0x0040
            b.s.d.t r0 = r6.f910u
            int r0 = r0.mo3746b()
            goto L_0x0046
        L_0x0040:
            b.s.d.t r0 = r6.f910u
            int r0 = r0.mo3754f()
        L_0x0046:
            r14 = r0
            r0 = 0
        L_0x0048:
            int r1 = r8.f3221c
            if (r1 < 0) goto L_0x0054
            int r2 = r21.mo1299a()
            if (r1 >= r2) goto L_0x0054
            r1 = 1
            goto L_0x0055
        L_0x0054:
            r1 = 0
        L_0x0055:
            r2 = -1
            if (r1 == 0) goto L_0x0374
            b.s.d.n r1 = r6.f914y
            boolean r1 = r1.f3227i
            if (r1 != 0) goto L_0x0066
            java.util.BitSet r1 = r6.f893B
            boolean r1 = r1.isEmpty()
            if (r1 != 0) goto L_0x0374
        L_0x0066:
            int r0 = r8.f3221c
            r3 = 9223372036854775807(0x7fffffffffffffff, double:NaN)
            androidx.recyclerview.widget.RecyclerView$d0 r0 = r7.mo1415a(r0, r10, r3)
            android.view.View r15 = r0.f802a
            int r0 = r8.f3221c
            int r1 = r8.f3222d
            int r0 = r0 + r1
            r8.f3221c = r0
            android.view.ViewGroup$LayoutParams r0 = r15.getLayoutParams()
            r5 = r0
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r5 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0170c) r5
            int r0 = r5.mo1402a()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r1 = r6.f896E
            int[] r1 = r1.f926a
            if (r1 == 0) goto L_0x0092
            int r3 = r1.length
            if (r0 < r3) goto L_0x008f
            goto L_0x0092
        L_0x008f:
            r1 = r1[r0]
            goto L_0x0093
        L_0x0092:
            r1 = -1
        L_0x0093:
            if (r1 != r2) goto L_0x0097
            r3 = 1
            goto L_0x0098
        L_0x0097:
            r3 = 0
        L_0x0098:
            if (r3 == 0) goto L_0x0103
            boolean r1 = r5.f925f
            if (r1 == 0) goto L_0x00a3
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r1 = r6.f909t
            r1 = r1[r10]
            goto L_0x00f7
        L_0x00a3:
            int r1 = r8.f3223e
            boolean r1 = r6.mo1460l(r1)
            if (r1 == 0) goto L_0x00b2
            int r1 = r6.f908s
            int r1 = r1 - r9
            r4 = -1
            r16 = -1
            goto L_0x00b8
        L_0x00b2:
            int r1 = r6.f908s
            r4 = r1
            r1 = 0
            r16 = 1
        L_0x00b8:
            int r11 = r8.f3223e
            r17 = 0
            if (r11 != r9) goto L_0x00db
            b.s.d.t r11 = r6.f910u
            int r11 = r11.mo3754f()
            r12 = 2147483647(0x7fffffff, float:NaN)
        L_0x00c7:
            if (r1 == r4) goto L_0x00f5
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r2 = r6.f909t
            r2 = r2[r1]
            int r10 = r2.mo1489a((int) r11)
            if (r10 >= r12) goto L_0x00d6
            r17 = r2
            r12 = r10
        L_0x00d6:
            int r1 = r1 + r16
            r2 = -1
            r10 = 0
            goto L_0x00c7
        L_0x00db:
            b.s.d.t r2 = r6.f910u
            int r2 = r2.mo3746b()
            r10 = -2147483648(0xffffffff80000000, float:-0.0)
        L_0x00e3:
            if (r1 == r4) goto L_0x00f5
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r11 = r6.f909t
            r11 = r11[r1]
            int r12 = r11.mo1494b((int) r2)
            if (r12 <= r10) goto L_0x00f2
            r17 = r11
            r10 = r12
        L_0x00f2:
            int r1 = r1 + r16
            goto L_0x00e3
        L_0x00f5:
            r1 = r17
        L_0x00f7:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r2 = r6.f896E
            r2.mo1473a((int) r0)
            int[] r2 = r2.f926a
            int r4 = r1.f946e
            r2[r0] = r4
            goto L_0x0107
        L_0x0103:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r2 = r6.f909t
            r1 = r2[r1]
        L_0x0107:
            r10 = r1
            r5.f924e = r10
            int r1 = r8.f3223e
            if (r1 != r9) goto L_0x0114
            r1 = -1
            r2 = 0
            r6.mo1360a((android.view.View) r15, (int) r1, (boolean) r2)
            goto L_0x0118
        L_0x0114:
            r2 = 0
            r6.mo1360a((android.view.View) r15, (int) r2, (boolean) r2)
        L_0x0118:
            boolean r1 = r5.f925f
            if (r1 == 0) goto L_0x0154
            int r1 = r6.f912w
            if (r1 != r9) goto L_0x013a
            int r1 = r6.f901J
            int r2 = r6.f850r
            int r4 = r6.f848p
            int r11 = r18.mo1395l()
            int r12 = r18.mo1391i()
            int r12 = r12 + r11
            int r11 = r5.height
            int r2 = androidx.recyclerview.widget.RecyclerView.C0148o.m588a((int) r2, (int) r4, (int) r12, (int) r11, (boolean) r9)
            r4 = 0
            r6.mo1440a((android.view.View) r15, (int) r1, (int) r2, (boolean) r4)
            goto L_0x019c
        L_0x013a:
            r4 = 0
            int r1 = r6.f849q
            int r2 = r6.f847o
            int r11 = r18.mo1393j()
            int r12 = r18.mo1394k()
            int r12 = r12 + r11
            int r11 = r5.width
            int r1 = androidx.recyclerview.widget.RecyclerView.C0148o.m588a((int) r1, (int) r2, (int) r12, (int) r11, (boolean) r9)
            int r2 = r6.f901J
            r6.mo1440a((android.view.View) r15, (int) r1, (int) r2, (boolean) r4)
            goto L_0x019c
        L_0x0154:
            r4 = 0
            int r1 = r6.f912w
            if (r1 != r9) goto L_0x017b
            int r1 = r6.f913x
            int r2 = r6.f847o
            int r11 = r5.width
            int r1 = androidx.recyclerview.widget.RecyclerView.C0148o.m588a((int) r1, (int) r2, (int) r4, (int) r11, (boolean) r4)
            int r2 = r6.f850r
            int r11 = r6.f848p
            int r12 = r18.mo1395l()
            int r16 = r18.mo1391i()
            int r12 = r16 + r12
            int r7 = r5.height
            int r2 = androidx.recyclerview.widget.RecyclerView.C0148o.m588a((int) r2, (int) r11, (int) r12, (int) r7, (boolean) r9)
            r6.mo1440a((android.view.View) r15, (int) r1, (int) r2, (boolean) r4)
            goto L_0x019c
        L_0x017b:
            int r1 = r6.f849q
            int r2 = r6.f847o
            int r4 = r18.mo1393j()
            int r7 = r18.mo1394k()
            int r7 = r7 + r4
            int r4 = r5.width
            int r1 = androidx.recyclerview.widget.RecyclerView.C0148o.m588a((int) r1, (int) r2, (int) r7, (int) r4, (boolean) r9)
            int r2 = r6.f913x
            int r4 = r6.f848p
            int r7 = r5.height
            r11 = 0
            int r2 = androidx.recyclerview.widget.RecyclerView.C0148o.m588a((int) r2, (int) r4, (int) r11, (int) r7, (boolean) r11)
            r6.mo1440a((android.view.View) r15, (int) r1, (int) r2, (boolean) r11)
        L_0x019c:
            int r1 = r8.f3223e
            if (r1 != r9) goto L_0x01e8
            boolean r1 = r5.f925f
            if (r1 == 0) goto L_0x01a9
            int r1 = r6.mo1457j((int) r14)
            goto L_0x01ad
        L_0x01a9:
            int r1 = r10.mo1489a((int) r14)
        L_0x01ad:
            b.s.d.t r2 = r6.f910u
            int r2 = r2.mo3747b(r15)
            int r2 = r2 + r1
            if (r3 == 0) goto L_0x01e5
            boolean r4 = r5.f925f
            if (r4 == 0) goto L_0x01e5
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a r4 = new androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a
            r4.<init>()
            int r7 = r6.f908s
            int[] r7 = new int[r7]
            r4.f930d = r7
            r7 = 0
        L_0x01c6:
            int r11 = r6.f908s
            if (r7 >= r11) goto L_0x01db
            int[] r11 = r4.f930d
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r12 = r6.f909t
            r12 = r12[r7]
            int r12 = r12.mo1489a((int) r1)
            int r12 = r1 - r12
            r11[r7] = r12
            int r7 = r7 + 1
            goto L_0x01c6
        L_0x01db:
            r7 = -1
            r4.f929c = r7
            r4.f928b = r0
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r7 = r6.f896E
            r7.mo1475a((androidx.recyclerview.widget.StaggeredGridLayoutManager.C0171d.C0172a) r4)
        L_0x01e5:
            r4 = r1
            r7 = r2
            goto L_0x022e
        L_0x01e8:
            boolean r1 = r5.f925f
            if (r1 == 0) goto L_0x01f1
            int r1 = r6.mo1459k(r14)
            goto L_0x01f5
        L_0x01f1:
            int r1 = r10.mo1494b((int) r14)
        L_0x01f5:
            b.s.d.t r2 = r6.f910u
            int r2 = r2.mo3747b(r15)
            int r2 = r1 - r2
            if (r3 == 0) goto L_0x022c
            boolean r4 = r5.f925f
            if (r4 == 0) goto L_0x022c
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a r4 = new androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a
            r4.<init>()
            int r7 = r6.f908s
            int[] r7 = new int[r7]
            r4.f930d = r7
            r7 = 0
        L_0x020f:
            int r11 = r6.f908s
            if (r7 >= r11) goto L_0x0223
            int[] r11 = r4.f930d
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r12 = r6.f909t
            r12 = r12[r7]
            int r12 = r12.mo1494b((int) r1)
            int r12 = r12 - r1
            r11[r7] = r12
            int r7 = r7 + 1
            goto L_0x020f
        L_0x0223:
            r4.f929c = r9
            r4.f928b = r0
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r7 = r6.f896E
            r7.mo1475a((androidx.recyclerview.widget.StaggeredGridLayoutManager.C0171d.C0172a) r4)
        L_0x022c:
            r7 = r1
            r4 = r2
        L_0x022e:
            boolean r1 = r5.f925f
            if (r1 == 0) goto L_0x0293
            int r1 = r8.f3222d
            r2 = -1
            if (r1 != r2) goto L_0x0293
            if (r3 == 0) goto L_0x023c
            r6.f904M = r9
            goto L_0x0293
        L_0x023c:
            int r1 = r8.f3223e
            if (r1 != r9) goto L_0x0262
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r1 = r6.f909t
            r2 = 0
            r1 = r1[r2]
            r11 = -2147483648(0xffffffff80000000, float:-0.0)
            int r1 = r1.mo1489a((int) r11)
            r2 = 1
        L_0x024c:
            int r3 = r6.f908s
            if (r2 >= r3) goto L_0x025f
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r3 = r6.f909t
            r3 = r3[r2]
            int r3 = r3.mo1489a((int) r11)
            if (r3 == r1) goto L_0x025c
            r1 = 0
            goto L_0x0260
        L_0x025c:
            int r2 = r2 + 1
            goto L_0x024c
        L_0x025f:
            r1 = 1
        L_0x0260:
            r1 = r1 ^ r9
            goto L_0x0284
        L_0x0262:
            r11 = -2147483648(0xffffffff80000000, float:-0.0)
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r1 = r6.f909t
            r2 = 0
            r1 = r1[r2]
            int r1 = r1.mo1494b((int) r11)
            r2 = 1
        L_0x026e:
            int r3 = r6.f908s
            if (r2 >= r3) goto L_0x0281
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r3 = r6.f909t
            r3 = r3[r2]
            int r3 = r3.mo1494b((int) r11)
            if (r3 == r1) goto L_0x027e
            r2 = 0
            goto L_0x0282
        L_0x027e:
            int r2 = r2 + 1
            goto L_0x026e
        L_0x0281:
            r2 = 1
        L_0x0282:
            r1 = r2 ^ 1
        L_0x0284:
            if (r1 == 0) goto L_0x0295
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r1 = r6.f896E
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a r0 = r1.mo1478c(r0)
            if (r0 == 0) goto L_0x0290
            r0.f931e = r9
        L_0x0290:
            r6.f904M = r9
            goto L_0x0295
        L_0x0293:
            r11 = -2147483648(0xffffffff80000000, float:-0.0)
        L_0x0295:
            int r0 = r8.f3223e
            if (r0 != r9) goto L_0x02b1
            boolean r0 = r5.f925f
            if (r0 == 0) goto L_0x02ab
            int r0 = r6.f908s
        L_0x029f:
            r1 = -1
            int r0 = r0 + r1
            if (r0 < 0) goto L_0x02c8
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r1 = r6.f909t
            r1 = r1[r0]
            r1.mo1493a((android.view.View) r15)
            goto L_0x029f
        L_0x02ab:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r0 = r5.f924e
            r0.mo1493a((android.view.View) r15)
            goto L_0x02c8
        L_0x02b1:
            boolean r0 = r5.f925f
            if (r0 == 0) goto L_0x02c3
            int r0 = r6.f908s
        L_0x02b7:
            r1 = -1
            int r0 = r0 + r1
            if (r0 < 0) goto L_0x02c8
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r1 = r6.f909t
            r1 = r1[r0]
            r1.mo1498c(r15)
            goto L_0x02b7
        L_0x02c3:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r0 = r5.f924e
            r0.mo1498c(r15)
        L_0x02c8:
            boolean r0 = r18.mo1466v()
            if (r0 == 0) goto L_0x02f9
            int r0 = r6.f912w
            if (r0 != r9) goto L_0x02f9
            boolean r0 = r5.f925f
            if (r0 == 0) goto L_0x02dd
            b.s.d.t r0 = r6.f911v
            int r0 = r0.mo3746b()
            goto L_0x02ee
        L_0x02dd:
            b.s.d.t r0 = r6.f911v
            int r0 = r0.mo3746b()
            int r1 = r6.f908s
            int r1 = r1 - r9
            int r2 = r10.f946e
            int r1 = r1 - r2
            int r2 = r6.f913x
            int r1 = r1 * r2
            int r0 = r0 - r1
        L_0x02ee:
            b.s.d.t r1 = r6.f911v
            int r1 = r1.mo3747b(r15)
            int r1 = r0 - r1
            r12 = r0
            r3 = r1
            goto L_0x031a
        L_0x02f9:
            boolean r0 = r5.f925f
            if (r0 == 0) goto L_0x0304
            b.s.d.t r0 = r6.f911v
            int r0 = r0.mo3754f()
            goto L_0x0311
        L_0x0304:
            int r0 = r10.f946e
            int r1 = r6.f913x
            int r0 = r0 * r1
            b.s.d.t r1 = r6.f911v
            int r1 = r1.mo3754f()
            int r0 = r0 + r1
        L_0x0311:
            b.s.d.t r1 = r6.f911v
            int r1 = r1.mo3747b(r15)
            int r1 = r1 + r0
            r3 = r0
            r12 = r1
        L_0x031a:
            int r0 = r6.f912w
            if (r0 != r9) goto L_0x032b
            r0 = r18
            r1 = r15
            r2 = r3
            r3 = r4
            r4 = r12
            r12 = r5
            r5 = r7
            r0.mo1359a((android.view.View) r1, (int) r2, (int) r3, (int) r4, (int) r5)
            r7 = r12
            goto L_0x0335
        L_0x032b:
            r0 = r18
            r1 = r15
            r2 = r4
            r4 = r7
            r7 = r5
            r5 = r12
            r0.mo1359a((android.view.View) r1, (int) r2, (int) r3, (int) r4, (int) r5)
        L_0x0335:
            boolean r0 = r7.f925f
            if (r0 == 0) goto L_0x0341
            b.s.d.n r0 = r6.f914y
            int r0 = r0.f3223e
            r6.mo1450c((int) r0, (int) r13)
            goto L_0x0348
        L_0x0341:
            b.s.d.n r0 = r6.f914y
            int r0 = r0.f3223e
            r6.mo1444a((androidx.recyclerview.widget.StaggeredGridLayoutManager.C0176f) r10, (int) r0, (int) r13)
        L_0x0348:
            b.s.d.n r0 = r6.f914y
            r1 = r19
            r6.mo1443a((androidx.recyclerview.widget.RecyclerView.C0160v) r1, (p008b.p071s.p072d.LayoutState) r0)
            b.s.d.n r0 = r6.f914y
            boolean r0 = r0.f3226h
            if (r0 == 0) goto L_0x036e
            boolean r0 = r15.hasFocusable()
            if (r0 == 0) goto L_0x036e
            boolean r0 = r7.f925f
            if (r0 == 0) goto L_0x0365
            java.util.BitSet r0 = r6.f893B
            r0.clear()
            goto L_0x036e
        L_0x0365:
            java.util.BitSet r0 = r6.f893B
            int r2 = r10.f946e
            r3 = 0
            r0.set(r2, r3)
            goto L_0x036f
        L_0x036e:
            r3 = 0
        L_0x036f:
            r7 = r1
            r0 = 1
            r10 = 0
            goto L_0x0048
        L_0x0374:
            r1 = r7
            r3 = 0
            if (r0 != 0) goto L_0x037d
            b.s.d.n r0 = r6.f914y
            r6.mo1443a((androidx.recyclerview.widget.RecyclerView.C0160v) r1, (p008b.p071s.p072d.LayoutState) r0)
        L_0x037d:
            b.s.d.n r0 = r6.f914y
            int r0 = r0.f3223e
            r1 = -1
            if (r0 != r1) goto L_0x0396
            b.s.d.t r0 = r6.f910u
            int r0 = r0.mo3754f()
            int r0 = r6.mo1459k(r0)
            b.s.d.t r1 = r6.f910u
            int r1 = r1.mo3754f()
            int r1 = r1 - r0
            goto L_0x03a8
        L_0x0396:
            b.s.d.t r0 = r6.f910u
            int r0 = r0.mo3746b()
            int r0 = r6.mo1457j((int) r0)
            b.s.d.t r1 = r6.f910u
            int r1 = r1.mo3746b()
            int r1 = r0 - r1
        L_0x03a8:
            if (r1 <= 0) goto L_0x03b1
            int r0 = r8.f3220b
            int r10 = java.lang.Math.min(r0, r1)
            goto L_0x03b2
        L_0x03b1:
            r10 = 0
        L_0x03b2:
            return r10
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.recyclerview.widget.StaggeredGridLayoutManager.mo1437a(androidx.recyclerview.widget.RecyclerView$v, b.s.d.n, androidx.recyclerview.widget.RecyclerView$a0):int");
    }

    /* renamed from: c */
    public int mo1033c(RecyclerView.C0128a0 a0Var) {
        return mo1458j(a0Var);
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0025  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0043 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0044  */
    /* renamed from: c */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo1451c(int r7, int r8, int r9) {
        /*
            r6 = this;
            boolean r0 = r6.f892A
            if (r0 == 0) goto L_0x0009
            int r0 = r6.mo1464t()
            goto L_0x000d
        L_0x0009:
            int r0 = r6.mo1463s()
        L_0x000d:
            r1 = 8
            if (r9 != r1) goto L_0x001a
            if (r7 >= r8) goto L_0x0016
            int r2 = r8 + 1
            goto L_0x001c
        L_0x0016:
            int r2 = r7 + 1
            r3 = r8
            goto L_0x001d
        L_0x001a:
            int r2 = r7 + r8
        L_0x001c:
            r3 = r7
        L_0x001d:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r4 = r6.f896E
            r4.mo1479d(r3)
            r4 = 1
            if (r9 == r4) goto L_0x003c
            r5 = 2
            if (r9 == r5) goto L_0x0036
            if (r9 == r1) goto L_0x002b
            goto L_0x0041
        L_0x002b:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r9 = r6.f896E
            r9.mo1477b(r7, r4)
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r7 = r6.f896E
            r7.mo1474a(r8, r4)
            goto L_0x0041
        L_0x0036:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r9 = r6.f896E
            r9.mo1477b(r7, r8)
            goto L_0x0041
        L_0x003c:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$d r9 = r6.f896E
            r9.mo1474a(r7, r8)
        L_0x0041:
            if (r2 > r0) goto L_0x0044
            return
        L_0x0044:
            boolean r7 = r6.f892A
            if (r7 == 0) goto L_0x004d
            int r7 = r6.mo1463s()
            goto L_0x0051
        L_0x004d:
            int r7 = r6.mo1464t()
        L_0x0051:
            if (r3 > r7) goto L_0x0056
            r6.mo1396o()
        L_0x0056:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.recyclerview.widget.StaggeredGridLayoutManager.mo1451c(int, int, int):void");
    }

    /* renamed from: c */
    public final void mo1450c(int i, int i2) {
        for (int i3 = 0; i3 < this.f908s; i3++) {
            if (!this.f909t[i3].f942a.isEmpty()) {
                mo1444a(this.f909t[i3], i, i2);
            }
        }
    }

    /* renamed from: c */
    public int mo1449c(int i, RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var) {
        if (mo1377d() == 0 || i == 0) {
            return 0;
        }
        mo1439a(i, a0Var);
        int a = mo1437a(vVar, this.f914y, a0Var);
        if (this.f914y.f3220b >= a) {
            i = i < 0 ? -a : a;
        }
        this.f910u.mo3745a(-i);
        this.f898G = this.f892A;
        LayoutState nVar = this.f914y;
        nVar.f3220b = 0;
        mo1443a(vVar, nVar);
        return i;
    }

    /* renamed from: c */
    public RecyclerView.C0153p mo1035c() {
        if (this.f912w == 0) {
            return new C0170c(-2, -1);
        }
        return new C0170c(-1, -2);
    }

    /* renamed from: a */
    public final void mo1443a(RecyclerView.C0160v vVar, LayoutState nVar) {
        int i;
        int i2;
        if (nVar.f3219a && !nVar.f3227i) {
            if (nVar.f3220b != 0) {
                int i3 = 1;
                if (nVar.f3223e == -1) {
                    int i4 = nVar.f3224f;
                    int b = this.f909t[0].mo1494b(i4);
                    while (i3 < this.f908s) {
                        int b2 = this.f909t[i3].mo1494b(i4);
                        if (b2 > b) {
                            b = b2;
                        }
                        i3++;
                    }
                    int i5 = i4 - b;
                    if (i5 < 0) {
                        i2 = nVar.f3225g;
                    } else {
                        i2 = nVar.f3225g - Math.min(i5, nVar.f3220b);
                    }
                    mo1441a(vVar, i2);
                    return;
                }
                int i6 = nVar.f3225g;
                int a = this.f909t[0].mo1489a(i6);
                while (i3 < this.f908s) {
                    int a2 = this.f909t[i3].mo1489a(i6);
                    if (a2 < a) {
                        a = a2;
                    }
                    i3++;
                }
                int i7 = a - nVar.f3225g;
                if (i7 < 0) {
                    i = nVar.f3224f;
                } else {
                    i = Math.min(i7, nVar.f3220b) + nVar.f3224f;
                }
                mo1447b(vVar, i);
            } else if (nVar.f3223e == -1) {
                mo1441a(vVar, nVar.f3225g);
            } else {
                mo1447b(vVar, nVar.f3224f);
            }
        }
    }

    /* renamed from: a */
    public final void mo1441a(RecyclerView.C0160v vVar, int i) {
        int d = mo1377d() - 1;
        while (d >= 0) {
            View c = mo1374c(d);
            if (this.f910u.mo3751d(c) >= i && this.f910u.mo3755f(c) >= i) {
                C0170c cVar = (C0170c) c.getLayoutParams();
                if (cVar.f925f) {
                    int i2 = 0;
                    while (i2 < this.f908s) {
                        if (this.f909t[i2].f942a.size() != 1) {
                            i2++;
                        } else {
                            return;
                        }
                    }
                    for (int i3 = 0; i3 < this.f908s; i3++) {
                        this.f909t[i3].mo1501f();
                    }
                } else if (cVar.f924e.f942a.size() != 1) {
                    cVar.f924e.mo1501f();
                } else {
                    return;
                }
                mo1361a(c, vVar);
                d--;
            } else {
                return;
            }
        }
    }

    /* renamed from: a */
    public boolean mo1065a() {
        return this.f912w == 0;
    }

    /* renamed from: a */
    public int mo1008a(int i, RecyclerView.C0160v vVar, RecyclerView.C0128a0 a0Var) {
        return mo1449c(i, vVar, a0Var);
    }

    /* renamed from: a */
    public PointF mo1051a(int i) {
        int i2 = mo1455i(i);
        PointF pointF = new PointF();
        if (i2 == 0) {
            return null;
        }
        if (this.f912w == 0) {
            pointF.x = (float) i2;
            pointF.y = 0.0f;
        } else {
            pointF.x = 0.0f;
            pointF.y = (float) i2;
        }
        return pointF;
    }

    /* renamed from: a */
    public void mo1062a(RecyclerView recyclerView, RecyclerView.C0128a0 a0Var, int i) {
        LinearSmoothScroller oVar = new LinearSmoothScroller(recyclerView.getContext());
        oVar.f877a = i;
        mo1365a((RecyclerView.C0165z) oVar);
    }

    /* renamed from: a */
    public void mo1054a(int i, int i2, RecyclerView.C0128a0 a0Var, RecyclerView.C0148o.C0151c cVar) {
        int i3;
        int i4;
        if (this.f912w != 0) {
            i = i2;
        }
        if (mo1377d() != 0 && i != 0) {
            mo1439a(i, a0Var);
            int[] iArr = this.f906O;
            if (iArr == null || iArr.length < this.f908s) {
                this.f906O = new int[this.f908s];
            }
            int i5 = 0;
            for (int i6 = 0; i6 < this.f908s; i6++) {
                LayoutState nVar = this.f914y;
                if (nVar.f3222d == -1) {
                    i4 = nVar.f3224f;
                    i3 = this.f909t[i6].mo1494b(i4);
                } else {
                    i4 = this.f909t[i6].mo1489a(nVar.f3225g);
                    i3 = this.f914y.f3225g;
                }
                int i7 = i4 - i3;
                if (i7 >= 0) {
                    this.f906O[i5] = i7;
                    i5++;
                }
            }
            Arrays.sort(this.f906O, 0, i5);
            int i8 = 0;
            while (i8 < i5) {
                int i9 = this.f914y.f3221c;
                if (i9 >= 0 && i9 < a0Var.mo1299a()) {
                    ((GapWorker.C0565b) cVar).mo3729a(this.f914y.f3221c, this.f906O[i8]);
                    LayoutState nVar2 = this.f914y;
                    nVar2.f3221c += nVar2.f3222d;
                    i8++;
                } else {
                    return;
                }
            }
        }
    }

    /* renamed from: a */
    public void mo1439a(int i, RecyclerView.C0128a0 a0Var) {
        int i2;
        int i3;
        if (i > 0) {
            i3 = mo1464t();
            i2 = 1;
        } else {
            i3 = mo1463s();
            i2 = -1;
        }
        this.f914y.f3219a = true;
        mo1446b(i3, a0Var);
        mo1461m(i2);
        LayoutState nVar = this.f914y;
        nVar.f3221c = i3 + nVar.f3222d;
        nVar.f3220b = Math.abs(i);
    }

    /* renamed from: a */
    public RecyclerView.C0153p mo1013a(Context context, AttributeSet attributeSet) {
        return new C0170c(context, attributeSet);
    }

    /* renamed from: a */
    public RecyclerView.C0153p mo1014a(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new C0170c((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new C0170c(layoutParams);
    }

    /* renamed from: a */
    public boolean mo1026a(RecyclerView.C0153p pVar) {
        return pVar instanceof C0170c;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:25:0x003c, code lost:
        if (r9.f912w == 1) goto L_0x003e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0042, code lost:
        if (r9.f912w == 0) goto L_0x003e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x004e, code lost:
        if (mo1466v() == false) goto L_0x0030;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x005a, code lost:
        if (mo1466v() == false) goto L_0x003e;
     */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x005f A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0060  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public android.view.View mo1011a(android.view.View r10, int r11, androidx.recyclerview.widget.RecyclerView.C0160v r12, androidx.recyclerview.widget.RecyclerView.C0128a0 r13) {
        /*
            r9 = this;
            int r0 = r9.mo1377d()
            r1 = 0
            if (r0 != 0) goto L_0x0008
            return r1
        L_0x0008:
            android.view.View r10 = r9.mo1368b((android.view.View) r10)
            if (r10 != 0) goto L_0x000f
            return r1
        L_0x000f:
            r9.mo1467w()
            r0 = -1
            r2 = -2147483648(0xffffffff80000000, float:-0.0)
            r3 = 1
            if (r11 == r3) goto L_0x0051
            r4 = 2
            if (r11 == r4) goto L_0x0045
            r4 = 17
            if (r11 == r4) goto L_0x0040
            r4 = 33
            if (r11 == r4) goto L_0x003a
            r4 = 66
            if (r11 == r4) goto L_0x0035
            r4 = 130(0x82, float:1.82E-43)
            if (r11 == r4) goto L_0x002c
            goto L_0x0032
        L_0x002c:
            int r11 = r9.f912w
            if (r11 != r3) goto L_0x0032
        L_0x0030:
            r11 = 1
            goto L_0x005d
        L_0x0032:
            r11 = -2147483648(0xffffffff80000000, float:-0.0)
            goto L_0x005d
        L_0x0035:
            int r11 = r9.f912w
            if (r11 != 0) goto L_0x0032
            goto L_0x0030
        L_0x003a:
            int r11 = r9.f912w
            if (r11 != r3) goto L_0x0032
        L_0x003e:
            r11 = -1
            goto L_0x005d
        L_0x0040:
            int r11 = r9.f912w
            if (r11 != 0) goto L_0x0032
        L_0x0044:
            goto L_0x003e
        L_0x0045:
            int r11 = r9.f912w
            if (r11 != r3) goto L_0x004a
            goto L_0x0030
        L_0x004a:
            boolean r11 = r9.mo1466v()
            if (r11 == 0) goto L_0x0030
            goto L_0x0055
        L_0x0051:
            int r11 = r9.f912w
            if (r11 != r3) goto L_0x0056
        L_0x0055:
            goto L_0x0044
        L_0x0056:
            boolean r11 = r9.mo1466v()
            if (r11 == 0) goto L_0x003e
            goto L_0x0030
        L_0x005d:
            if (r11 != r2) goto L_0x0060
            return r1
        L_0x0060:
            android.view.ViewGroup$LayoutParams r2 = r10.getLayoutParams()
            androidx.recyclerview.widget.StaggeredGridLayoutManager$c r2 = (androidx.recyclerview.widget.StaggeredGridLayoutManager.C0170c) r2
            boolean r4 = r2.f925f
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f r2 = r2.f924e
            if (r11 != r3) goto L_0x0071
            int r5 = r9.mo1464t()
            goto L_0x0075
        L_0x0071:
            int r5 = r9.mo1463s()
        L_0x0075:
            r9.mo1446b((int) r5, (androidx.recyclerview.widget.RecyclerView.C0128a0) r13)
            r9.mo1461m(r11)
            b.s.d.n r6 = r9.f914y
            int r7 = r6.f3222d
            int r7 = r7 + r5
            r6.f3221c = r7
            r7 = 1051372203(0x3eaaaaab, float:0.33333334)
            b.s.d.t r8 = r9.f910u
            int r8 = r8.mo3756g()
            float r8 = (float) r8
            float r8 = r8 * r7
            int r7 = (int) r8
            r6.f3220b = r7
            b.s.d.n r6 = r9.f914y
            r6.f3226h = r3
            r7 = 0
            r6.f3219a = r7
            r9.mo1437a((androidx.recyclerview.widget.RecyclerView.C0160v) r12, (p008b.p071s.p072d.LayoutState) r6, (androidx.recyclerview.widget.RecyclerView.C0128a0) r13)
            boolean r12 = r9.f892A
            r9.f898G = r12
            if (r4 != 0) goto L_0x00aa
            android.view.View r12 = r2.mo1491a(r5, r11)
            if (r12 == 0) goto L_0x00aa
            if (r12 == r10) goto L_0x00aa
            return r12
        L_0x00aa:
            boolean r12 = r9.mo1460l(r11)
            if (r12 == 0) goto L_0x00c5
            int r12 = r9.f908s
            int r12 = r12 - r3
        L_0x00b3:
            if (r12 < 0) goto L_0x00da
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r13 = r9.f909t
            r13 = r13[r12]
            android.view.View r13 = r13.mo1491a(r5, r11)
            if (r13 == 0) goto L_0x00c2
            if (r13 == r10) goto L_0x00c2
            return r13
        L_0x00c2:
            int r12 = r12 + -1
            goto L_0x00b3
        L_0x00c5:
            r12 = 0
        L_0x00c6:
            int r13 = r9.f908s
            if (r12 >= r13) goto L_0x00da
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r13 = r9.f909t
            r13 = r13[r12]
            android.view.View r13 = r13.mo1491a(r5, r11)
            if (r13 == 0) goto L_0x00d7
            if (r13 == r10) goto L_0x00d7
            return r13
        L_0x00d7:
            int r12 = r12 + 1
            goto L_0x00c6
        L_0x00da:
            boolean r12 = r9.f915z
            r12 = r12 ^ r3
            if (r11 != r0) goto L_0x00e1
            r13 = 1
            goto L_0x00e2
        L_0x00e1:
            r13 = 0
        L_0x00e2:
            if (r12 != r13) goto L_0x00e6
            r12 = 1
            goto L_0x00e7
        L_0x00e6:
            r12 = 0
        L_0x00e7:
            if (r4 != 0) goto L_0x00fd
            if (r12 == 0) goto L_0x00f0
            int r13 = r2.mo1499d()
            goto L_0x00f4
        L_0x00f0:
            int r13 = r2.mo1500e()
        L_0x00f4:
            android.view.View r13 = r9.mo1067b((int) r13)
            if (r13 == 0) goto L_0x00fd
            if (r13 == r10) goto L_0x00fd
            return r13
        L_0x00fd:
            boolean r11 = r9.mo1460l(r11)
            if (r11 == 0) goto L_0x012c
            int r11 = r9.f908s
            int r11 = r11 - r3
        L_0x0106:
            if (r11 < 0) goto L_0x014f
            int r13 = r2.f946e
            if (r11 != r13) goto L_0x010d
            goto L_0x0129
        L_0x010d:
            if (r12 == 0) goto L_0x0118
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r13 = r9.f909t
            r13 = r13[r11]
            int r13 = r13.mo1499d()
            goto L_0x0120
        L_0x0118:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r13 = r9.f909t
            r13 = r13[r11]
            int r13 = r13.mo1500e()
        L_0x0120:
            android.view.View r13 = r9.mo1067b((int) r13)
            if (r13 == 0) goto L_0x0129
            if (r13 == r10) goto L_0x0129
            return r13
        L_0x0129:
            int r11 = r11 + -1
            goto L_0x0106
        L_0x012c:
            int r11 = r9.f908s
            if (r7 >= r11) goto L_0x014f
            if (r12 == 0) goto L_0x013b
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r11 = r9.f909t
            r11 = r11[r7]
            int r11 = r11.mo1499d()
            goto L_0x0143
        L_0x013b:
            androidx.recyclerview.widget.StaggeredGridLayoutManager$f[] r11 = r9.f909t
            r11 = r11[r7]
            int r11 = r11.mo1500e()
        L_0x0143:
            android.view.View r11 = r9.mo1067b((int) r11)
            if (r11 == 0) goto L_0x014c
            if (r11 == r10) goto L_0x014c
            return r11
        L_0x014c:
            int r7 = r7 + 1
            goto L_0x012c
        L_0x014f:
            return r1
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.recyclerview.widget.StaggeredGridLayoutManager.mo1011a(android.view.View, int, androidx.recyclerview.widget.RecyclerView$v, androidx.recyclerview.widget.RecyclerView$a0):android.view.View");
    }

    /* renamed from: a */
    public final void mo1444a(C0176f fVar, int i, int i2) {
        int i3 = fVar.f945d;
        if (i == -1) {
            int i4 = fVar.f943b;
            if (i4 == Integer.MIN_VALUE) {
                fVar.mo1496b();
                i4 = fVar.f943b;
            }
            if (i4 + i3 <= i2) {
                this.f893B.set(fVar.f946e, false);
                return;
            }
            return;
        }
        int i5 = fVar.f944c;
        if (i5 == Integer.MIN_VALUE) {
            fVar.mo1492a();
            i5 = fVar.f944c;
        }
        if (i5 - i3 >= i2) {
            this.f893B.set(fVar.f946e, false);
        }
    }
}
