package com.globant.pasaportesanitario.flujos.identificacion;

import android.app.Activity;
import android.content.res.Resources;
import android.location.Geocoder;
import android.util.Log;
import com.globant.pasaportesanitario.data.local.BaseDeDatos;
import com.globant.pasaportesanitario.data.remoto.Api;
import com.globant.pasaportesanitario.data.remoto.CovidRetrofit;
import com.globant.pasaportesanitario.data.remoto.interceptores.EncabezadosInterceptor;
import com.globant.pasaportesanitario.data.repositorios.RepositorioLogout;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import java.util.Locale;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreoImpl;
import p085c.p118c.p119a.p123d.p124v.ServiciosUtil;
import p085c.p118c.p119a.p125e.p127d.EncabezadoSeguridadUtileria;
import p085c.p132d.p133a.p134a.p152f.C1099a;

public class IdentificacionViewModelFactory implements ViewModelProvider.C0500b {
    public BaseActivity context;
    public IdentificacionNavegador identificacionNavegador;

    public IdentificacionViewModelFactory(BaseActivity baseActivity, IdentificacionNavegador identificacionNavegador2) {
        this.context = baseActivity;
        this.identificacionNavegador = identificacionNavegador2;
    }

    public <T extends ViewModel> T create(Class<T> cls) {
        Class<T> cls2 = cls;
        EncabezadoSeguridadUtileria a = EncabezadoSeguridadUtileria.m3901a(this.context);
        Api api = new Api(new CovidRetrofit(new EncabezadosInterceptor(a, this.context)));
        Geocoder geocoder = new Geocoder(this.context, Locale.getDefault());
        C1099a aVar = new C1099a((Activity) this.context);
        Resources resources = this.context.getResources();
        BaseDeDatos obtenerbaseDeDatos = BaseDeDatos.obtenerbaseDeDatos(this.context);
        IdentificacionRepository identificacionRepository = new IdentificacionRepository(api, obtenerbaseDeDatos, a);
        LanzadorDeServicioDeRastreoImpl bVar = new LanzadorDeServicioDeRastreoImpl(this.context, new ServiciosUtil(this.context));
        PantallaPrincipalRepository pantallaPrincipalRepository = new PantallaPrincipalRepository(api, obtenerbaseDeDatos);
        RepositorioLogout repositorioLogout = new RepositorioLogout(this.context, a, obtenerbaseDeDatos);
        try {
            return (ViewModel) cls2.getConstructor(new Class[]{IdentificacionRepository.class, Geocoder.class, C1099a.class, Resources.class, RepositorioLogout.class, IdentificacionNavegador.class, LanzadorDeServicioDeRastreo.class, PantallaPrincipalRepository.class}).newInstance(new Object[]{identificacionRepository, geocoder, aVar, resources, repositorioLogout, this.identificacionNavegador, bVar, pantallaPrincipalRepository});
        } catch (Exception unused) {
            Log.e("viewModel", "error");
            throw new IllegalArgumentException("unexpected model class " + cls2);
        }
    }
}
