package androidx.room;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.os.IInterface;
import android.os.RemoteCallbackList;
import android.os.RemoteException;
import android.util.Log;
import java.util.HashMap;
import p008b.p073t.IMultiInstanceInvalidationCallback;
import p008b.p073t.IMultiInstanceInvalidationService;

public class MultiInstanceInvalidationService extends Service {

    /* renamed from: b */
    public int f948b = 0;

    /* renamed from: c */
    public final HashMap<Integer, String> f949c = new HashMap<>();

    /* renamed from: d */
    public final RemoteCallbackList<IMultiInstanceInvalidationCallback> f950d = new C0177a();

    /* renamed from: e */
    public final IMultiInstanceInvalidationService.C0579a f951e = new C0178b();

    /* renamed from: androidx.room.MultiInstanceInvalidationService$a */
    public class C0177a extends RemoteCallbackList<IMultiInstanceInvalidationCallback> {
        public C0177a() {
        }

        public void onCallbackDied(IInterface iInterface, Object obj) {
            IMultiInstanceInvalidationCallback cVar = (IMultiInstanceInvalidationCallback) iInterface;
            MultiInstanceInvalidationService.this.f949c.remove(Integer.valueOf(((Integer) obj).intValue()));
        }
    }

    public IBinder onBind(Intent intent) {
        return this.f951e;
    }

    /* renamed from: androidx.room.MultiInstanceInvalidationService$b */
    public class C0178b extends IMultiInstanceInvalidationService.C0579a {
        public C0178b() {
        }

        /* renamed from: a */
        public int mo1505a(IMultiInstanceInvalidationCallback cVar, String str) {
            if (str == null) {
                return 0;
            }
            synchronized (MultiInstanceInvalidationService.this.f950d) {
                MultiInstanceInvalidationService multiInstanceInvalidationService = MultiInstanceInvalidationService.this;
                int i = multiInstanceInvalidationService.f948b + 1;
                multiInstanceInvalidationService.f948b = i;
                if (MultiInstanceInvalidationService.this.f950d.register(cVar, Integer.valueOf(i))) {
                    MultiInstanceInvalidationService.this.f949c.put(Integer.valueOf(i), str);
                    return i;
                }
                MultiInstanceInvalidationService multiInstanceInvalidationService2 = MultiInstanceInvalidationService.this;
                multiInstanceInvalidationService2.f948b--;
                return 0;
            }
        }

        /* renamed from: a */
        public void mo1507a(IMultiInstanceInvalidationCallback cVar, int i) {
            synchronized (MultiInstanceInvalidationService.this.f950d) {
                MultiInstanceInvalidationService.this.f950d.unregister(cVar);
                MultiInstanceInvalidationService.this.f949c.remove(Integer.valueOf(i));
            }
        }

        /* renamed from: a */
        public void mo1506a(int i, String[] strArr) {
            synchronized (MultiInstanceInvalidationService.this.f950d) {
                String str = MultiInstanceInvalidationService.this.f949c.get(Integer.valueOf(i));
                if (str == null) {
                    Log.w("ROOM", "Remote invalidation client ID not registered");
                    return;
                }
                int beginBroadcast = MultiInstanceInvalidationService.this.f950d.beginBroadcast();
                for (int i2 = 0; i2 < beginBroadcast; i2++) {
                    try {
                        int intValue = ((Integer) MultiInstanceInvalidationService.this.f950d.getBroadcastCookie(i2)).intValue();
                        String str2 = MultiInstanceInvalidationService.this.f949c.get(Integer.valueOf(intValue));
                        if (i != intValue && str.equals(str2)) {
                            MultiInstanceInvalidationService.this.f950d.getBroadcastItem(i2).mo3783a(strArr);
                        }
                    } catch (RemoteException e) {
                        Log.w("ROOM", "Error invoking a remote callback", e);
                    } catch (Throwable th) {
                        MultiInstanceInvalidationService.this.f950d.finishBroadcast();
                        throw th;
                    }
                }
                MultiInstanceInvalidationService.this.f950d.finishBroadcast();
            }
        }
    }
}
