package androidx.savedstate;

import android.annotation.SuppressLint;
import android.os.Bundle;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
import p008b.p063o.GenericLifecycleObserver;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p076u.SavedStateRegistry;
import p008b.p076u.SavedStateRegistryOwner;
import p085c.p086a.p087a.p088a.outline;

@SuppressLint({"RestrictedApi"})
public final class Recreator implements GenericLifecycleObserver {

    /* renamed from: a */
    public final SavedStateRegistryOwner f954a;

    /* renamed from: androidx.savedstate.Recreator$a */
    public static final class C0179a implements SavedStateRegistry.C0604b {

        /* renamed from: a */
        public final Set<String> f955a = new HashSet();

        public C0179a(SavedStateRegistry aVar) {
            if (aVar.f3395a.mo2644b("androidx.savedstate.Restarter", this) != null) {
                throw new IllegalArgumentException("SavedStateProvider with the given key is already registered");
            }
        }

        /* renamed from: a */
        public Bundle mo1508a() {
            Bundle bundle = new Bundle();
            bundle.putStringArrayList("classes_to_restore", new ArrayList(this.f955a));
            return bundle;
        }
    }

    public Recreator(SavedStateRegistryOwner cVar) {
        this.f954a = cVar;
    }

    /* renamed from: a */
    public void mo73a(LifecycleOwner lVar, Lifecycle.C0488a aVar) {
        if (aVar == Lifecycle.C0488a.ON_CREATE) {
            ((LifecycleRegistry) lVar.getLifecycle()).f2953a.remove(this);
            Bundle a = this.f954a.getSavedStateRegistry().mo3889a("androidx.savedstate.Restarter");
            if (a != null) {
                ArrayList<String> stringArrayList = a.getStringArrayList("classes_to_restore");
                if (stringArrayList != null) {
                    Iterator<String> it = stringArrayList.iterator();
                    while (it.hasNext()) {
                        String next = it.next();
                        try {
                            Class<? extends U> asSubclass = Class.forName(next, false, Recreator.class.getClassLoader()).asSubclass(SavedStateRegistry.C0603a.class);
                            try {
                                Constructor<? extends U> declaredConstructor = asSubclass.getDeclaredConstructor(new Class[0]);
                                declaredConstructor.setAccessible(true);
                                try {
                                    ((SavedStateRegistry.C0603a) declaredConstructor.newInstance(new Object[0])).mo984a(this.f954a);
                                } catch (Exception e) {
                                    throw new RuntimeException(outline.m2941b("Failed to instantiate ", next), e);
                                }
                            } catch (NoSuchMethodException e2) {
                                StringBuilder a2 = outline.m2937a("Class");
                                a2.append(asSubclass.getSimpleName());
                                a2.append(" must have default constructor in order to be automatically recreated");
                                throw new IllegalStateException(a2.toString(), e2);
                            }
                        } catch (ClassNotFoundException e3) {
                            throw new RuntimeException(outline.m2934a("Class ", next, " wasn't found"), e3);
                        }
                    }
                    return;
                }
                throw new IllegalStateException("Bundle with restored state for the component \"androidx.savedstate.Restarter\" must contain list of strings by the key \"classes_to_restore\"");
            }
            return;
        }
        throw new AssertionError("Next event must be ON_CREATE");
    }
}
