package com.bumptech.glide.manager;

import android.content.Context;
import android.util.Log;
import androidx.fragment.app.Fragment;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import java.util.HashSet;
import java.util.Set;
import p008b.p058m.p059d.FragmentManager;
import p085c.p089b.p090a.Glide;
import p085c.p089b.p090a.RequestManager;
import p085c.p089b.p090a.p109o.ActivityFragmentLifecycle;
import p085c.p089b.p090a.p109o.RequestManagerRetriever;
import p085c.p089b.p090a.p109o.RequestManagerTreeNode;

@Instrumented
public class SupportRequestManagerFragment extends Fragment implements TraceFieldInterface {

    /* renamed from: b */
    public final ActivityFragmentLifecycle f6618b;

    /* renamed from: c */
    public final RequestManagerTreeNode f6619c = new C1402a();

    /* renamed from: d */
    public final Set<SupportRequestManagerFragment> f6620d = new HashSet();

    /* renamed from: e */
    public SupportRequestManagerFragment f6621e;

    /* renamed from: f */
    public RequestManager f6622f;

    /* renamed from: g */
    public Fragment f6623g;

    /* renamed from: com.bumptech.glide.manager.SupportRequestManagerFragment$a */
    public class C1402a implements RequestManagerTreeNode {
        public C1402a() {
        }

        public String toString() {
            return super.toString() + "{fragment=" + SupportRequestManagerFragment.this + "}";
        }
    }

    public SupportRequestManagerFragment() {
        ActivityFragmentLifecycle aVar = new ActivityFragmentLifecycle();
        this.f6618b = aVar;
    }

    /* renamed from: a */
    public final void mo6016a(Context context, FragmentManager oVar) {
        mo6018c();
        RequestManagerRetriever lVar = Glide.m2942a(context).f3676g;
        if (lVar != null) {
            SupportRequestManagerFragment a = lVar.mo4606a(oVar, (Fragment) null, RequestManagerRetriever.m3673d(context));
            this.f6621e = a;
            if (!equals(a)) {
                this.f6621e.f6620d.add(this);
                return;
            }
            return;
        }
        throw null;
    }

    /* renamed from: b */
    public final Fragment mo6017b() {
        Fragment parentFragment = getParentFragment();
        return parentFragment != null ? parentFragment : this.f6623g;
    }

    /* renamed from: c */
    public final void mo6018c() {
        SupportRequestManagerFragment supportRequestManagerFragment = this.f6621e;
        if (supportRequestManagerFragment != null) {
            supportRequestManagerFragment.f6620d.remove(this);
            this.f6621e = null;
        }
    }

    public void onAttach(Context context) {
        super.onAttach(context);
        Fragment fragment = this;
        while (fragment.getParentFragment() != null) {
            fragment = fragment.getParentFragment();
        }
        FragmentManager fragmentManager = fragment.getFragmentManager();
        if (fragmentManager != null) {
            try {
                mo6016a(getContext(), fragmentManager);
            } catch (IllegalStateException e) {
                if (Log.isLoggable("SupportRMFragment", 5)) {
                    Log.w("SupportRMFragment", "Unable to register fragment with root", e);
                }
            }
        } else if (Log.isLoggable("SupportRMFragment", 5)) {
            Log.w("SupportRMFragment", "Unable to register fragment with root, ancestor detached");
        }
    }

    public void onDestroy() {
        super.onDestroy();
        this.f6618b.mo4587a();
        mo6018c();
    }

    public void onDetach() {
        super.onDetach();
        this.f6623g = null;
        mo6018c();
    }

    public void onStart() {
        super.onStart();
        this.f6618b.mo4589b();
    }

    public void onStop() {
        super.onStop();
        this.f6618b.mo4591c();
    }

    public String toString() {
        return super.toString() + "{parent=" + mo6017b() + "}";
    }
}
