package com.globant.pasaportesanitario.flujos.inicio;

import android.app.Application;
import android.content.res.Resources;
import android.text.TextUtils;
import androidx.lifecycle.LiveData;
import com.globant.pasaportesanitario.data.NombreEstado;
import com.globant.pasaportesanitario.data.local.modelo.DomicilioBD;
import com.globant.pasaportesanitario.data.local.modelo.UsuarioBD;
import com.globant.pasaportesanitario.flujos.BaseViewModel;
import com.globant.pasaportesanitario.flujos.identificacion.IdentificacionRepository;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import java.util.concurrent.Callable;
import p008b.p063o.MutableLiveData;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p125e.p127d.EncabezadoSeguridadUtileria;
import p085c.p118c.p119a.p125e.p128e.EventoUnico;
import p229e.p230a.Single;
import p229e.p230a.p231j.p232a.AndroidSchedulers;
import p229e.p230a.p235m.Consumer;
import p229e.p230a.p249p.Schedulers;

public class InicioViewModel extends BaseViewModel {
    public final Application application;
    public MutableLiveData<EventoUnico<NavegacionFragments>> eventosDeNavegacion = new MutableLiveData<>();
    public IdentificacionRepository identificacionRepository;
    public Resources resources;

    public InicioViewModel(IdentificacionRepository identificacionRepository2, Resources resources2, Application application2, LanzadorDeServicioDeRastreo aVar, PantallaPrincipalRepository pantallaPrincipalRepository) {
        super(aVar, pantallaPrincipalRepository);
        this.identificacionRepository = identificacionRepository2;
        this.resources = resources2;
        this.application = application2;
    }

    public void navegarSiguientePantalla() {
        if (TextUtils.isEmpty(EncabezadoSeguridadUtileria.m3901a(this.application).mo4758a())) {
            this.eventosDeNavegacion.mo973b(new EventoUnico(NavegacionFragments.LOGIN));
        } else {
            Single.m5579a(new Callable<UsuarioBD>() {
                public UsuarioBD call() throws Exception {
                    return InicioViewModel.this.identificacionRepository.obtenerUsuario();
                }
            }).mo9143b(Schedulers.f7556b).mo9140a(AndroidSchedulers.m5588a()).mo9141a(new Consumer<UsuarioBD>() {
                public void accept(UsuarioBD usuarioBD) throws Exception {
                    DomicilioBD domicilioBD = usuarioBD.domicilio;
                    if (domicilioBD == null || TextUtils.isEmpty(domicilioBD.provincia)) {
                        InicioViewModel.this.eventosDeNavegacion.mo973b(new EventoUnico(NavegacionFragments.LOGIN));
                    } else if (usuarioBD.estadoActual.nombreEstado.equals(NombreEstado.DEBE_AUTODIAGNOSTICARSE)) {
                        InicioViewModel.this.eventosDeNavegacion.mo973b(new EventoUnico(NavegacionFragments.DIAGNOSTICO));
                    } else {
                        InicioViewModel.this.eventosDeNavegacion.mo973b(new EventoUnico(NavegacionFragments.PRINCIPAL));
                    }
                }
            }, new Consumer<Throwable>() {
                public void accept(Throwable th) throws Exception {
                    InicioViewModel.this.eventosDeNavegacion.mo973b(new EventoUnico(NavegacionFragments.LOGIN));
                }
            });
        }
    }

    public LiveData<EventoUnico<NavegacionFragments>> obtenerEventosDeNavegacionLiveData() {
        return this.eventosDeNavegacion;
    }
}
