package com.globant.pasaportesanitario.flujos.identificacion;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import androidx.fragment.app.Fragment;
import com.globant.pasaportesanitario.data.DniEntidad;
import com.globant.pasaportesanitario.flujos.autodiagnostico.AutodiagnosticoActivity;
import com.globant.pasaportesanitario.flujos.inicio.InicioTerminosFragment;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalActivity;
import com.globant.pasaportesanitario.utils.dialogs.PantallaCompletaDialog;
import com.google.android.material.textfield.TextInputLayout;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.util.ArrayList;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p033h.p035f.ContextCompat;
import p008b.p058m.p059d.FragmentActivity;
import p008b.p063o.Observer;
import p008b.p063o.ViewModelProvider;
import p085c.p118c.p119a.p125e.p126c.C0888b;
import p085c.p118c.p119a.p125e.p126c.ComoObtenerTramiteDialog;
import p085c.p118c.p119a.p125e.p128e.EventoUnico;
import p085c.p132d.p190c.p204t.p205a.IntentIntegrator;
import p085c.p132d.p190c.p204t.p205a.IntentResult;
import p271ar.gob.coronavirus.R;

@Instrumented
public class IdentificacionDniManualFragment extends Fragment implements TraceFieldInterface {
    public static final String DNI_SCAN_LOG = "Escaneo DNI";
    public static final int SOLICITAR_PERMISO_CAMARA = 100;
    public Trace _nr_trace;
    public TextView botonEscanear;
    public TextView botonSiguiente;
    public CheckBox checkBox;
    public TextView comoObtenerNoTramite;
    public EditText dniEt;
    public TextInputLayout dniIL;
    public RadioButton femeninoRb;
    public IdentificacionViewModel identificacionViewModel;
    public Dialog loaderDialog;
    public RadioButton masculinoRb;
    public LinearLayout mensajeErrorContainer;
    public TextInputLayout noTramiteIL;
    public EditText numeroTramiteEt;
    public RadioGroup radioGroupSexo;
    public TextView textViewErrorSexo;
    public TextView txtTyC;

    /* renamed from: com.globant.pasaportesanitario.flujos.identificacion.IdentificacionDniManualFragment$13 */
    public static /* synthetic */ class C148813 {

        /* renamed from: $SwitchMap$com$globant$pasaportesanitario$flujos$identificacion$NavegacionFragments */
        public static final /* synthetic */ int[] f6635xeed0b233;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|(3:7|8|10)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0015 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x001c */
        static {
            /*
                com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments[] r0 = com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments.values()
                int r0 = r0.length
                int[] r0 = new int[r0]
                f6635xeed0b233 = r0
                com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments r1 = com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments.IDENTIFICACION     // Catch:{ NoSuchFieldError -> 0x000e }
                r1 = 1
                r0[r1] = r1     // Catch:{ NoSuchFieldError -> 0x000e }
            L_0x000e:
                int[] r0 = f6635xeed0b233     // Catch:{ NoSuchFieldError -> 0x0015 }
                com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments r1 = com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments.AUTODIAGNOSTICO     // Catch:{ NoSuchFieldError -> 0x0015 }
                r1 = 2
                r0[r1] = r1     // Catch:{ NoSuchFieldError -> 0x0015 }
            L_0x0015:
                int[] r0 = f6635xeed0b233     // Catch:{ NoSuchFieldError -> 0x001c }
                com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments r1 = com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments.PRINCIPAL     // Catch:{ NoSuchFieldError -> 0x001c }
                r1 = 3
                r0[r1] = r1     // Catch:{ NoSuchFieldError -> 0x001c }
            L_0x001c:
                int[] r0 = f6635xeed0b233     // Catch:{ NoSuchFieldError -> 0x0024 }
                com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments r1 = com.globant.pasaportesanitario.flujos.identificacion.NavegacionFragments.ERROR     // Catch:{ NoSuchFieldError -> 0x0024 }
                r1 = 0
                r2 = 4
                r0[r1] = r2     // Catch:{ NoSuchFieldError -> 0x0024 }
            L_0x0024:
                return
            */
            throw new UnsupportedOperationException("Method not decompiled: com.globant.pasaportesanitario.flujos.identificacion.IdentificacionDniManualFragment.C148813.<clinit>():void");
        }
    }

    public enum TipoMensajeError {
        VACIO,
        INVALIDO,
        SIN_ERROR
    }

    /* access modifiers changed from: private */
    public void crearDialogoInternet() {
        final PantallaCompletaDialog a = PantallaCompletaDialog.m5131a(getString(R.string.hubo_error), getString(R.string.no_hay_internet), getString(R.string.cerrar).toUpperCase(), R.drawable.ic_error);
        a.f6650b = new PantallaCompletaDialog.C1575a() {
            public void onClick(View view) {
                a.dismiss();
            }
        };
        a.show(getParentFragmentManager(), "TAG");
    }

    /* access modifiers changed from: private */
    public void deshabilidatBotones() {
        this.botonEscanear.setEnabled(false);
        this.botonSiguiente.setEnabled(false);
    }

    /* access modifiers changed from: private */
    public void habilitarBonotes() {
        this.botonEscanear.setEnabled(true);
        this.botonSiguiente.setEnabled(true);
    }

    private void iniciarEventos() {
        this.botonSiguiente.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                if (MediaDescriptionCompatApi21.m101c(IdentificacionDniManualFragment.this.getContext())) {
                    IdentificacionDniManualFragment.this.mensajeErrorContainer.setVisibility(8);
                    String obj = IdentificacionDniManualFragment.this.dniEt.getText().toString();
                    String obj2 = IdentificacionDniManualFragment.this.numeroTramiteEt.getText().toString();
                    if (IdentificacionDniManualFragment.this.validarDatosEntrada(obj, obj2).booleanValue()) {
                        IdentificacionDniManualFragment.this.identificacionViewModel.registrarUsuario(obj, obj2, IdentificacionDniManualFragment.this.obtenerValorRadioGroupSexo());
                        IdentificacionDniManualFragment.this.loaderDialog.show();
                    }
                    IdentificacionDniManualFragment.this.dniIL.clearFocus();
                    IdentificacionDniManualFragment.this.noTramiteIL.clearFocus();
                    IdentificacionDniManualFragment.this.botonSiguiente.requestFocus();
                    return;
                }
                IdentificacionDniManualFragment.this.crearDialogoInternet();
            }
        });
        this.botonEscanear.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                IdentificacionDniManualFragment.this.mensajeErrorContainer.setVisibility(8);
                if (IdentificacionDniManualFragment.this.revisarPermisoCamara().booleanValue()) {
                    IdentificacionDniManualFragment identificacionDniManualFragment = IdentificacionDniManualFragment.this;
                    IntentIntegrator aVar = new IntentIntegrator(identificacionDniManualFragment.getActivity());
                    aVar.f6208b = identificacionDniManualFragment;
                    aVar.mo5826a();
                }
            }
        });
        this.comoObtenerNoTramite.setOnClickListener(new View.OnClickListener() {
            public void onClick(final View view) {
                view.setClickable(false);
                C0888b bVar = new C0888b(IdentificacionDniManualFragment.this.getActivity());
                if (bVar.f4733a != null) {
                    Dialog dialog = new Dialog(bVar.f4733a);
                    bVar.f4734b = dialog;
                    dialog.requestWindowFeature(1);
                    bVar.f4734b.setContentView(R.layout.tramite_dialog_layout);
                    bVar.f4734b.setCancelable(true);
                    bVar.f4734b.getWindow().setBackgroundDrawableResource(17170445);
                    ((TextView) bVar.f4734b.findViewById(R.id.boton_cerrar)).setOnClickListener(new ComoObtenerTramiteDialog(bVar));
                    bVar.f4734b.show();
                }
                new Handler().postDelayed(new Runnable() {
                    public void run() {
                        view.setClickable(true);
                    }
                }, 500);
            }
        });
    }

    private void iniciarObservers() {
        this.identificacionViewModel.getDniEntidadLiveData().mo968a(getViewLifecycleOwner(), new Observer<DniEntidad>() {
            public void onChanged(DniEntidad dniEntidad) {
                if (dniEntidad.tieneDatosBasicosCompletos()) {
                    IdentificacionDniManualFragment.this.insertarDatosEnLaVista(dniEntidad);
                    return;
                }
                Context context = IdentificacionDniManualFragment.this.getContext();
                C14981 r2 = new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialogInterface, int i) {
                        dialogInterface.dismiss();
                    }
                };
                AlertDialog.Builder builder = new AlertDialog.Builder(context);
                builder.setMessage(R.string.mensaje_error_escanear_dni);
                builder.setPositiveButton(R.string.aceptar, r2);
                builder.setCancelable(false);
                builder.show();
            }
        });
        this.identificacionViewModel.obtenerRegistrarUsuarioLiveData().mo968a(getViewLifecycleOwner(), new Observer<EventoUnico<NavegacionFragments>>() {
            public void onChanged(EventoUnico<NavegacionFragments> aVar) {
                if (aVar.mo4760a() != null) {
                    int ordinal = ((NavegacionFragments) aVar.f4743a).ordinal();
                    if (ordinal == 0) {
                        IdentificacionDniManualFragment.this.mensajeErrorContainer.setVisibility(0);
                    } else if (ordinal == 1) {
                        ((IdentificacionActivity) IdentificacionDniManualFragment.this.getActivity()).navegarAIdentificacionConfirmacionDatosFragment();
                    } else if (ordinal == 2) {
                        AutodiagnosticoActivity.iniciar(IdentificacionDniManualFragment.this.getContext(), false);
                        IdentificacionDniManualFragment.this.getActivity().finish();
                    } else if (ordinal == 3) {
                        PantallaPrincipalActivity.iniciar(IdentificacionDniManualFragment.this.getContext(), false);
                        IdentificacionDniManualFragment.this.getActivity().finish();
                    }
                }
                IdentificacionDniManualFragment.this.loaderDialog.dismiss();
            }
        });
        this.identificacionViewModel.obtenerLimpiarLogin().mo968a(requireActivity(), new Observer<EventoUnico<Boolean>>() {
            public void onChanged(EventoUnico<Boolean> aVar) {
                if (aVar.mo4760a() != null && ((Boolean) aVar.f4743a).booleanValue()) {
                    IdentificacionDniManualFragment.this.limpiarVista();
                }
            }
        });
    }

    private void iniciarViews() {
        this.botonSiguiente = (TextView) getView().findViewById(R.id.btn_siguiente_dni_manual_identificacion_fragment);
        this.botonEscanear = (TextView) getView().findViewById(R.id.btn_escanear_dni_identificacion_fragment);
        this.dniIL = (TextInputLayout) getView().findViewById(R.id.ti_numero_dni_identificacion);
        this.noTramiteIL = (TextInputLayout) getView().findViewById(R.id.ti_numero_tramite_identificacion);
        this.dniEt = this.dniIL.getEditText();
        this.numeroTramiteEt = this.noTramiteIL.getEditText();
        this.masculinoRb = (RadioButton) getView().findViewById(R.id.rb_masculino_identificacion_fragment);
        this.femeninoRb = (RadioButton) getView().findViewById(R.id.rb_femenino_identificacion_fragment);
        this.textViewErrorSexo = (TextView) getView().findViewById(R.id.error_sexo_radio_group);
        this.radioGroupSexo = (RadioGroup) getView().findViewById(R.id.radioGroupSexo);
        this.mensajeErrorContainer = (LinearLayout) getView().findViewById(R.id.ln_mensaje_error_container);
        this.comoObtenerNoTramite = (TextView) getView().findViewById(R.id.tv_como_obtengo_numero_tramite_identificacion_fragment);
        this.checkBox = (CheckBox) getView().findViewById(R.id.checkBoxAceptarCondiciones);
        this.txtTyC = (TextView) getView().findViewById(R.id.txtTerminosYCondiciones);
        setTyCTextoFormateado();
        this.dniEt.setOnFocusChangeListener(new View.OnFocusChangeListener() {
            public void onFocusChange(View view, boolean z) {
                if (z) {
                    IdentificacionDniManualFragment.this.dniIL.setErrorEnabled(false);
                }
            }
        });
        this.numeroTramiteEt.setOnFocusChangeListener(new View.OnFocusChangeListener() {
            public void onFocusChange(View view, boolean z) {
                if (z) {
                    IdentificacionDniManualFragment.this.noTramiteIL.setErrorEnabled(false);
                }
            }
        });
        this.radioGroupSexo.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            public void onCheckedChanged(RadioGroup radioGroup, int i) {
                if (IdentificacionDniManualFragment.this.textViewErrorSexo != null) {
                    IdentificacionDniManualFragment.this.textViewErrorSexo.setVisibility(4);
                }
                MediaDescriptionCompatApi21.m51a((Activity) IdentificacionDniManualFragment.this.requireActivity());
            }
        });
        this.checkBox.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                if (z) {
                    IdentificacionDniManualFragment.this.habilitarBonotes();
                } else {
                    IdentificacionDniManualFragment.this.deshabilidatBotones();
                }
                MediaDescriptionCompatApi21.m51a((Activity) IdentificacionDniManualFragment.this.requireActivity());
            }
        });
        this.checkBox.setChecked(true);
        this.txtTyC.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                new InicioTerminosFragment().show(IdentificacionDniManualFragment.this.getParentFragmentManager(), "TyC");
            }
        });
        FragmentActivity activity = getActivity();
        getActivity().getLayoutInflater();
        this.loaderDialog = MediaDescriptionCompatApi21.m21a((Context) activity);
    }

    /* access modifiers changed from: private */
    public void insertarDatosEnLaVista(DniEntidad dniEntidad) {
        this.dniEt.setText(dniEntidad.getId());
        this.numeroTramiteEt.setText(dniEntidad.getTramite());
        if (dniEntidad.getSexo().equals("M")) {
            this.masculinoRb.setChecked(true);
        } else {
            this.femeninoRb.setChecked(true);
        }
    }

    /* access modifiers changed from: private */
    public void limpiarVista() {
        this.dniEt.setText("");
        this.numeroTramiteEt.setText("");
        this.radioGroupSexo.clearCheck();
    }

    /* access modifiers changed from: private */
    public String obtenerValorRadioGroupSexo() {
        switch (this.radioGroupSexo.getCheckedRadioButtonId()) {
            case R.id.rb_femenino_identificacion_fragment /*2131296616*/:
                return "F";
            case R.id.rb_masculino_identificacion_fragment /*2131296617*/:
                return "M";
            default:
                return "";
        }
    }

    /* access modifiers changed from: private */
    public Boolean revisarPermisoCamara() {
        boolean z = true;
        if (ContextCompat.m1785a(requireContext(), "android.permission.CAMERA") != 0) {
            z = false;
            requestPermissions(new String[]{"android.permission.CAMERA"}, 100);
        }
        return Boolean.valueOf(z);
    }

    private void setTyCTextoFormateado() {
        this.txtTyC.setText(Html.fromHtml(getString(R.string.acepto_terminos)));
    }

    /* access modifiers changed from: private */
    public Boolean validarDatosEntrada(String str, String str2) {
        if (validarDni(str) == TipoMensajeError.SIN_ERROR && validarNumeroDeTramite(str2) == TipoMensajeError.SIN_ERROR && !obtenerValorRadioGroupSexo().isEmpty()) {
            return true;
        }
        if (this.textViewErrorSexo != null) {
            if (obtenerValorRadioGroupSexo().isEmpty()) {
                this.textViewErrorSexo.setVisibility(0);
            } else {
                this.textViewErrorSexo.setVisibility(4);
            }
        }
        if (validarDni(str) == TipoMensajeError.VACIO) {
            this.dniIL.setError(getString(R.string.erro_dni));
        } else if (validarDni(str) == TipoMensajeError.INVALIDO) {
            this.dniIL.setError(getString(R.string.erro_dni_invalido));
        } else {
            this.dniIL.setErrorEnabled(false);
        }
        if (validarNumeroDeTramite(str2) == TipoMensajeError.VACIO) {
            this.noTramiteIL.setError(getString(R.string.erro_numero_tramite));
        } else if (validarNumeroDeTramite(str2) == TipoMensajeError.INVALIDO) {
            this.noTramiteIL.setError(getString(R.string.erro_numero_tramite_invalido));
        } else {
            this.noTramiteIL.setErrorEnabled(false);
        }
        return false;
    }

    private TipoMensajeError validarDni(String str) {
        if (str.isEmpty()) {
            return TipoMensajeError.VACIO;
        }
        if (str.length() < 7 || str.length() > 9) {
            return TipoMensajeError.INVALIDO;
        }
        return TipoMensajeError.SIN_ERROR;
    }

    private TipoMensajeError validarNumeroDeTramite(String str) {
        if (str.isEmpty()) {
            return TipoMensajeError.VACIO;
        }
        return TipoMensajeError.SIN_ERROR;
    }

    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        iniciarViews();
        this.identificacionViewModel = (IdentificacionViewModel) new ViewModelProvider(getActivity()).mo3593a(IdentificacionViewModel.class);
        iniciarObservers();
        iniciarEventos();
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        String str;
        super.onActivityResult(i, i2, intent);
        IntentResult a = IntentIntegrator.m4849a(i, i2, intent);
        if (a != null && (str = a.f6211a) != null) {
            this.identificacionViewModel.procesarCodigoQr(str);
        }
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        try {
            TraceMachine.enterMethod(this._nr_trace, "IdentificacionDniManualFragment#onCreateView", (ArrayList<String>) null);
        } catch (NoSuchFieldError unused) {
            TraceMachine.enterMethod((Trace) null, "IdentificacionDniManualFragment#onCreateView", (ArrayList<String>) null);
        }
        View inflate = layoutInflater.inflate(R.layout.identificacion_pregunta_dni_manual_fragment, viewGroup, false);
        TraceMachine.exitMethod();
        return inflate;
    }

    public void onPause() {
        super.onPause();
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i == 100 && iArr.length > 0 && iArr[0] == 0) {
            IntentIntegrator aVar = new IntentIntegrator(getActivity());
            aVar.f6208b = this;
            aVar.mo5826a();
        }
    }

    public void onStart() {
        super.onStart();
    }

    public void onStop() {
        super.onStop();
    }
}
