package com.globant.pasaportesanitario.flujos.inicio;

import android.app.Application;
import android.content.res.Resources;
import android.util.Log;
import com.globant.pasaportesanitario.data.local.BaseDeDatos;
import com.globant.pasaportesanitario.data.remoto.Api;
import com.globant.pasaportesanitario.data.remoto.CovidRetrofit;
import com.globant.pasaportesanitario.data.remoto.interceptores.EncabezadosInterceptor;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.flujos.identificacion.IdentificacionRepository;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalRepository;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreoImpl;
import p085c.p118c.p119a.p123d.p124v.ServiciosUtil;
import p085c.p118c.p119a.p125e.p127d.EncabezadoSeguridadUtileria;

public class InicioViewModelFactory implements ViewModelProvider.C0500b {
    public Application application;
    public BaseActivity context;

    public InicioViewModelFactory(BaseActivity baseActivity, Application application2) {
        this.context = baseActivity;
        this.application = application2;
    }

    public <T extends ViewModel> T create(Class<T> cls) {
        EncabezadoSeguridadUtileria a = EncabezadoSeguridadUtileria.m3901a(this.context);
        Api api = new Api(new CovidRetrofit(new EncabezadosInterceptor(a, this.context)));
        Resources resources = this.context.getResources();
        BaseDeDatos obtenerbaseDeDatos = BaseDeDatos.obtenerbaseDeDatos(this.context);
        IdentificacionRepository identificacionRepository = new IdentificacionRepository(api, obtenerbaseDeDatos, a);
        LanzadorDeServicioDeRastreoImpl bVar = new LanzadorDeServicioDeRastreoImpl(this.context, new ServiciosUtil(this.context));
        PantallaPrincipalRepository pantallaPrincipalRepository = new PantallaPrincipalRepository(api, obtenerbaseDeDatos);
        try {
            return (ViewModel) cls.getConstructor(new Class[]{IdentificacionRepository.class, Resources.class, Application.class, LanzadorDeServicioDeRastreo.class, PantallaPrincipalRepository.class}).newInstance(new Object[]{identificacionRepository, resources, this.application, bVar, pantallaPrincipalRepository});
        } catch (Exception unused) {
            Log.e("viewModel", "error");
            throw new IllegalArgumentException("unexpected model class " + cls);
        }
    }
}
