package com.globant.pasaportesanitario.flujos.pantallaprincipal.p222ui.pantallaprincipal;

import android.content.DialogInterface;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.fragment.app.Fragment;
import com.globant.pasaportesanitario.data.NombreEstado;
import com.globant.pasaportesanitario.data.local.modelo.EstadoActualBD;
import com.globant.pasaportesanitario.data.local.modelo.TiempoRestante;
import com.globant.pasaportesanitario.data.local.modelo.UsuarioBD;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.flujos.autodiagnostico.AutodiagnosticoActivity;
import com.globant.pasaportesanitario.flujos.autodiagnostico.resultado.ResultadoActivity;
import com.globant.pasaportesanitario.flujos.identificacion.IdentificacionActivity;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalViewModel;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalViewModelFactory;
import com.globant.pasaportesanitario.utils.token.TokenUtils;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.BitmapFactoryInstrumentation;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.Observer;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p125e.p130g.TokenInfo;
import p271ar.gob.coronavirus.R;

@Instrumented
/* renamed from: com.globant.pasaportesanitario.flujos.pantallaprincipal.ui.pantallaprincipal.CircularFragment */
public class CircularFragment extends Fragment implements TraceFieldInterface {
    public Trace _nr_trace;
    public View botonNuevoDiagnostico;
    public TextView cantidadHoras;
    public View containerMasInfromacion;
    public ImageView imagenQr;
    public PantallaPrincipalViewModel mViewModel;
    public TextView unidadDeTiempo;

    private void escucharCambiosDelUsuario() {
        this.mViewModel.obtenerUltimoEstadoLiveData().mo968a(requireActivity(), new Observer<UsuarioBD>() {
            public void onChanged(UsuarioBD usuarioBD) {
                CircularFragment.this.mViewModel.despacharEventoNavegacion();
                if (CircularFragment.this.getActivity() != null && !TextUtils.isEmpty(usuarioBD.estadoActual.permisoCirculacionBD.permisoQr)) {
                    byte[] decode = Base64.decode(usuarioBD.estadoActual.permisoCirculacionBD.permisoQr, 0);
                    CircularFragment.this.imagenQr.setImageBitmap(BitmapFactoryInstrumentation.decodeByteArray(decode, 0, decode.length));
                    CircularFragment.this.setTiempo(usuarioBD);
                    if (usuarioBD.estadoActual.nombreEstado.equals(NombreEstado.NO_CONTAGIOSO)) {
                        CircularFragment.this.unidadDeTiempo.setText("");
                        CircularFragment.this.cantidadHoras.setText(" ");
                        CircularFragment.this.containerMasInfromacion.setVisibility(8);
                        CircularFragment.this.botonNuevoDiagnostico.setVisibility(8);
                    }
                }
            }
        });
    }

    /* access modifiers changed from: private */
    public void setTiempo(UsuarioBD usuarioBD) {
        TiempoRestante tiempoRestante;
        MediaDescriptionCompatApi21.m103d(usuarioBD.estadoActual.permisoCirculacionBD.fechaVencimientoPermiso);
        if (getActivity() != null && this.cantidadHoras != null && this.unidadDeTiempo != null) {
            EstadoActualBD estadoActualBD = usuarioBD.estadoActual;
            String str = estadoActualBD.permisoCirculacionBD.fechaVencimientoPermiso;
            String str2 = estadoActualBD.fechaHoraVencimiento;
            new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
            if (MediaDescriptionCompatApi21.m48a(str).compareTo(MediaDescriptionCompatApi21.m48a(str2)) > 0) {
                tiempoRestante = MediaDescriptionCompatApi21.m103d(str2);
            } else {
                tiempoRestante = MediaDescriptionCompatApi21.m103d(str);
            }
            this.cantidadHoras.setText(tiempoRestante.getTiempoRestante());
            this.unidadDeTiempo.setText(tiempoRestante.getUnidadTiempo());
        }
    }

    private void setupEmojis() {
        TokenInfo a = TokenUtils.m5132a();
        ((TextView) getView().findViewById(R.id.emoji_uno)).setText(a.mo4763a());
        ((TextView) getView().findViewById(R.id.emoji_dos)).setText(a.mo4764b());
        ((TextView) getView().findViewById(R.id.emoji_tres)).setText(a.mo4765c());
    }

    public void onActivityCreated(Bundle bundle) {
        ViewModel yVar;
        super.onActivityCreated(bundle);
        if (getView() != null) {
            this.cantidadHoras = (TextView) getView().findViewById(R.id.cantidad_horas);
            this.unidadDeTiempo = (TextView) getView().findViewById(R.id.unidad_de_tiempo);
            this.botonNuevoDiagnostico = getView().findViewById(R.id.boton_nuevo_diagnostico);
            this.containerMasInfromacion = getView().findViewById(R.id.container_mas_informacion);
            this.botonNuevoDiagnostico.setOnClickListener(new View.OnClickListener() {
                public void onClick(View view) {
                    AutodiagnosticoActivity.iniciarActividadParaResultado(CircularFragment.this.getActivity(), true);
                }
            });
        }
        PantallaPrincipalViewModelFactory pantallaPrincipalViewModelFactory = new PantallaPrincipalViewModelFactory((BaseActivity) requireActivity());
        ViewModelStore viewModelStore = requireActivity().getViewModelStore();
        Class cls = PantallaPrincipalViewModel.class;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            ViewModel yVar2 = viewModelStore.f2938a.get(b);
            if (!cls.isInstance(yVar2)) {
                if (pantallaPrincipalViewModelFactory instanceof ViewModelProvider.C0501c) {
                    yVar = ((ViewModelProvider.C0501c) pantallaPrincipalViewModelFactory).mo3588a(b, cls);
                } else {
                    yVar = pantallaPrincipalViewModelFactory.create(cls);
                }
                yVar2 = yVar;
                ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (pantallaPrincipalViewModelFactory instanceof ViewModelProvider.C0503e) {
                ((ViewModelProvider.C0503e) pantallaPrincipalViewModelFactory).mo3589a(yVar2);
            }
            this.mViewModel = (PantallaPrincipalViewModel) yVar2;
            return;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        try {
            TraceMachine.enterMethod(this._nr_trace, "CircularFragment#onCreateView", (ArrayList<String>) null);
        } catch (NoSuchFieldError unused) {
            TraceMachine.enterMethod((Trace) null, "CircularFragment#onCreateView", (ArrayList<String>) null);
        }
        View inflate = layoutInflater.inflate(R.layout.fragment_circular, viewGroup, false);
        this.imagenQr = (ImageView) inflate.findViewById(R.id.imagenQr);
        inflate.findViewById(R.id.boton_actualizar_certificado).setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                MediaDescriptionCompatApi21.m52a(view.getContext(), (int) R.string.pregunta_actualizar_certificado, (DialogInterface.OnClickListener) new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialogInterface, int i) {
                        CircularFragment.this.mViewModel.obtenerUltimoEstadoDeBackend();
                    }
                });
            }
        });
        TextView textView = (TextView) inflate.findViewById(R.id.boton_mas_informacion);
        textView.setPaintFlags(textView.getPaintFlags() | 8);
        textView.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                ResultadoActivity.iniciar(CircularFragment.this.getActivity(), ResultadoActivity.OpcionesNavegacion.RESULTADO_VERDE);
            }
        });
        TextView textView2 = (TextView) inflate.findViewById(R.id.desvincular_dni);
        textView2.setPaintFlags(textView2.getPaintFlags() | 8);
        textView2.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                MediaDescriptionCompatApi21.m52a(view.getContext(), (int) R.string.pregunta_desvincular_dni, (DialogInterface.OnClickListener) new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialogInterface, int i) {
                        CircularFragment.this.mViewModel.logout();
                        IdentificacionActivity.iniciarEliminandoPilaNavegacion(CircularFragment.this.requireContext());
                    }
                });
            }
        });
        TraceMachine.exitMethod();
        return inflate;
    }

    public void onResume() {
        super.onResume();
        setupEmojis();
        this.mViewModel.actualizarDatosUsuario();
    }

    public void onStart() {
        super.onStart();
        escucharCambiosDelUsuario();
    }

    public void onStop() {
        super.onStop();
        this.mViewModel.obtenerUltimoEstadoLiveData().mo967a((LifecycleOwner) requireActivity());
    }
}
