package com.globant.pasaportesanitario.flujos.pantallaprincipal.p222ui.pantallaprincipal;

import android.content.DialogInterface;
import android.os.Bundle;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.fragment.app.Fragment;
import com.globant.pasaportesanitario.data.local.modelo.TiempoRestante;
import com.globant.pasaportesanitario.data.local.modelo.UsuarioBD;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import com.globant.pasaportesanitario.flujos.autodiagnostico.resultado.ResultadoActivity;
import com.globant.pasaportesanitario.flujos.identificacion.IdentificacionActivity;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalViewModel;
import com.globant.pasaportesanitario.flujos.pantallaprincipal.PantallaPrincipalViewModelFactory;
import com.globant.pasaportesanitario.utils.token.TokenUtils;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.util.ArrayList;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.Observer;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p085c.p086a.p087a.p088a.outline;
import p085c.p118c.p119a.p125e.p130g.TokenInfo;
import p271ar.gob.coronavirus.R;

@Instrumented
/* renamed from: com.globant.pasaportesanitario.flujos.pantallaprincipal.ui.pantallaprincipal.DerivadoASaludFragment */
public class DerivadoASaludFragment extends Fragment implements TraceFieldInterface {
    public Trace _nr_trace;
    public TextView cantidadHoras;
    public PantallaPrincipalViewModel mViewModel;
    public TextView unidadDeTiempo;

    private void escucharCambiosDelUsuario() {
        this.mViewModel.obtenerUltimoEstadoLiveData().mo968a(requireActivity(), new Observer<UsuarioBD>() {
            public void onChanged(UsuarioBD usuarioBD) {
                DerivadoASaludFragment.this.mViewModel.despacharEventoNavegacion();
                DerivadoASaludFragment.this.setTiempo(usuarioBD);
            }
        });
    }

    /* access modifiers changed from: private */
    public void setTiempo(UsuarioBD usuarioBD) {
        TextView textView;
        TiempoRestante d = MediaDescriptionCompatApi21.m103d(usuarioBD.estadoActual.fechaHoraVencimiento);
        if (getActivity() != null && (textView = this.cantidadHoras) != null && this.unidadDeTiempo != null) {
            textView.setText(d.getTiempoRestante());
            this.unidadDeTiempo.setText(d.getUnidadTiempo());
        }
    }

    private void setupEmojis() {
        TokenInfo a = TokenUtils.m5132a();
        ((TextView) getView().findViewById(R.id.emoji_uno)).setText(a.mo4763a());
        ((TextView) getView().findViewById(R.id.emoji_dos)).setText(a.mo4764b());
        ((TextView) getView().findViewById(R.id.emoji_tres)).setText(a.mo4765c());
    }

    public void onActivityCreated(Bundle bundle) {
        ViewModel yVar;
        super.onActivityCreated(bundle);
        if (getView() != null) {
            this.cantidadHoras = (TextView) getView().findViewById(R.id.cantidad_horas);
            this.unidadDeTiempo = (TextView) getView().findViewById(R.id.unidad_de_tiempo);
        }
        PantallaPrincipalViewModelFactory pantallaPrincipalViewModelFactory = new PantallaPrincipalViewModelFactory((BaseActivity) requireActivity());
        ViewModelStore viewModelStore = requireActivity().getViewModelStore();
        Class cls = PantallaPrincipalViewModel.class;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String b = outline.m2941b("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            ViewModel yVar2 = viewModelStore.f2938a.get(b);
            if (!cls.isInstance(yVar2)) {
                if (pantallaPrincipalViewModelFactory instanceof ViewModelProvider.C0501c) {
                    yVar = ((ViewModelProvider.C0501c) pantallaPrincipalViewModelFactory).mo3588a(b, cls);
                } else {
                    yVar = pantallaPrincipalViewModelFactory.create(cls);
                }
                yVar2 = yVar;
                ViewModel put = viewModelStore.f2938a.put(b, yVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (pantallaPrincipalViewModelFactory instanceof ViewModelProvider.C0503e) {
                ((ViewModelProvider.C0503e) pantallaPrincipalViewModelFactory).mo3589a(yVar2);
            }
            this.mViewModel = (PantallaPrincipalViewModel) yVar2;
            return;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        try {
            TraceMachine.enterMethod(this._nr_trace, "DerivadoASaludFragment#onCreateView", (ArrayList<String>) null);
        } catch (NoSuchFieldError unused) {
            TraceMachine.enterMethod((Trace) null, "DerivadoASaludFragment#onCreateView", (ArrayList<String>) null);
        }
        View inflate = layoutInflater.inflate(R.layout.pantalla_principal_infectado_fragment, viewGroup, false);
        ((TextView) inflate.findViewById(R.id.diagnostico)).setText(R.string.derivado_a_salud_local_banner);
        TextView textView = (TextView) inflate.findViewById(R.id.aislado);
        if (textView != null) {
            textView.setText(getString(R.string.estado_aislado_texto));
        }
        inflate.findViewById(R.id.boton_actualizar_certificado).setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                MediaDescriptionCompatApi21.m52a(view.getContext(), (int) R.string.pregunta_actualizar_certificado, (DialogInterface.OnClickListener) new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialogInterface, int i) {
                        DerivadoASaludFragment.this.mViewModel.obtenerUltimoEstadoDeBackend();
                    }
                });
            }
        });
        TextView textView2 = (TextView) inflate.findViewById(R.id.desvincular_dni);
        textView2.setPaintFlags(textView2.getPaintFlags() | 8);
        textView2.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                MediaDescriptionCompatApi21.m52a(view.getContext(), (int) R.string.pregunta_desvincular_dni, (DialogInterface.OnClickListener) new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialogInterface, int i) {
                        DerivadoASaludFragment.this.mViewModel.logout();
                        IdentificacionActivity.iniciarEliminandoPilaNavegacion(DerivadoASaludFragment.this.requireContext());
                    }
                });
            }
        });
        TextView textView3 = (TextView) inflate.findViewById(R.id.boton_mas_informacion);
        textView3.setPaintFlags(textView3.getPaintFlags() | 8);
        textView3.setOnClickListener(new View.OnClickListener() {
            public void onClick(final View view) {
                view.setClickable(false);
                ResultadoActivity.iniciar(DerivadoASaludFragment.this.getActivity(), ResultadoActivity.OpcionesNavegacion.RESULTADO_ROSA);
                new Handler().postDelayed(new Runnable() {
                    public void run() {
                        view.setClickable(true);
                    }
                }, 500);
            }
        });
        TraceMachine.exitMethod();
        return inflate;
    }

    public void onResume() {
        super.onResume();
        setupEmojis();
        this.mViewModel.actualizarDatosUsuario();
    }

    public void onStart() {
        super.onStart();
        escucharCambiosDelUsuario();
    }

    public void onStop() {
        super.onStop();
        this.mViewModel.obtenerUltimoEstadoLiveData().mo967a((LifecycleOwner) requireActivity());
    }
}
