package com.globant.pasaportesanitario.flujos.pantallaprincipal;

import com.globant.pasaportesanitario.data.local.BaseDeDatos;
import com.globant.pasaportesanitario.data.remoto.Api;
import com.globant.pasaportesanitario.data.remoto.CovidRetrofit;
import com.globant.pasaportesanitario.data.remoto.interceptores.EncabezadosInterceptor;
import com.globant.pasaportesanitario.data.repositorios.RepositorioLogout;
import com.globant.pasaportesanitario.flujos.BaseActivity;
import p008b.p063o.ViewModel;
import p008b.p063o.ViewModelProvider;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreo;
import p085c.p118c.p119a.p123d.LanzadorDeServicioDeRastreoImpl;
import p085c.p118c.p119a.p123d.p124v.ServiciosUtil;
import p085c.p118c.p119a.p125e.p127d.EncabezadoSeguridadUtileria;

public class PantallaPrincipalViewModelFactory implements ViewModelProvider.C0500b {
    public BaseActivity context;

    public PantallaPrincipalViewModelFactory(BaseActivity baseActivity) {
        this.context = baseActivity;
    }

    public <T extends ViewModel> T create(Class<T> cls) {
        EncabezadoSeguridadUtileria a = EncabezadoSeguridadUtileria.m3901a(this.context);
        Api api = new Api(new CovidRetrofit(new EncabezadosInterceptor(a, this.context)));
        BaseDeDatos obtenerbaseDeDatos = BaseDeDatos.obtenerbaseDeDatos(this.context);
        RepositorioLogout repositorioLogout = new RepositorioLogout(this.context, a, obtenerbaseDeDatos);
        LanzadorDeServicioDeRastreoImpl bVar = new LanzadorDeServicioDeRastreoImpl(this.context, new ServiciosUtil(this.context));
        PantallaPrincipalRepository pantallaPrincipalRepository = new PantallaPrincipalRepository(api, obtenerbaseDeDatos);
        try {
            return (ViewModel) cls.getConstructor(new Class[]{PantallaPrincipalRepository.class, RepositorioLogout.class, LanzadorDeServicioDeRastreo.class}).newInstance(new Object[]{pantallaPrincipalRepository, repositorioLogout, bVar});
        } catch (Exception e) {
            e.printStackTrace();
            throw new IllegalArgumentException("unexpected model class " + cls);
        }
    }
}
