package com.google.android.gms.auth.api.signin;

import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.newrelic.agent.android.connectivity.CatPayload;
import com.newrelic.agent.android.instrumentation.Instrumented;
import java.util.AbstractSet;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import p085c.p132d.p133a.p134a.p135a.p136a.p137a.C0895a;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p134a.p140c.p143n.p144b0.C1012a;
import p085c.p132d.p133a.p134a.p140c.p146p.C1057a;
import p085c.p132d.p133a.p134a.p140c.p146p.C1058b;

@Instrumented
public class GoogleSignInAccount extends C1012a implements ReflectedParcelable {
    public static final Parcelable.Creator<GoogleSignInAccount> CREATOR = new C0895a();

    /* renamed from: o */
    public static C1057a f6652o = C1058b.f5031a;

    /* renamed from: b */
    public final int f6653b;

    /* renamed from: c */
    public String f6654c;

    /* renamed from: d */
    public String f6655d;

    /* renamed from: e */
    public String f6656e;

    /* renamed from: f */
    public String f6657f;

    /* renamed from: g */
    public Uri f6658g;

    /* renamed from: h */
    public String f6659h;

    /* renamed from: i */
    public long f6660i;

    /* renamed from: j */
    public String f6661j;

    /* renamed from: k */
    public List<Scope> f6662k;

    /* renamed from: l */
    public String f6663l;

    /* renamed from: m */
    public String f6664m;

    /* renamed from: n */
    public Set<Scope> f6665n = new HashSet();

    public GoogleSignInAccount(int i, String str, String str2, String str3, String str4, Uri uri, String str5, long j, String str6, List<Scope> list, String str7, String str8) {
        this.f6653b = i;
        this.f6654c = str;
        this.f6655d = str2;
        this.f6656e = str3;
        this.f6657f = str4;
        this.f6658g = uri;
        this.f6659h = str5;
        this.f6660i = j;
        this.f6661j = str6;
        this.f6662k = list;
        this.f6663l = str7;
        this.f6664m = str8;
    }

    /* renamed from: a */
    public static GoogleSignInAccount m5133a(String str) throws JSONException {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        JSONObject jSONObject = new JSONObject(str);
        String optString = jSONObject.optString("photoUrl", (String) null);
        Uri parse = !TextUtils.isEmpty(optString) ? Uri.parse(optString) : null;
        long parseLong = Long.parseLong(jSONObject.getString("expirationTime"));
        HashSet hashSet = new HashSet();
        JSONArray jSONArray = jSONObject.getJSONArray("grantedScopes");
        int length = jSONArray.length();
        for (int i = 0; i < length; i++) {
            hashSet.add(new Scope(1, jSONArray.getString(i)));
        }
        String optString2 = jSONObject.optString(CatPayload.PAYLOAD_ID_KEY);
        String optString3 = jSONObject.optString("tokenId", (String) null);
        String optString4 = jSONObject.optString("email", (String) null);
        String optString5 = jSONObject.optString("displayName", (String) null);
        String optString6 = jSONObject.optString("givenName", (String) null);
        String optString7 = jSONObject.optString("familyName", (String) null);
        Long valueOf = Long.valueOf(parseLong);
        String string = jSONObject.getString("obfuscatedIdentifier");
        if (valueOf == null) {
            if (((C1058b) f6652o) != null) {
                valueOf = Long.valueOf(System.currentTimeMillis() / 1000);
            } else {
                throw null;
            }
        }
        long longValue = valueOf.longValue();
        C1050v.m4199b(string);
        C1050v.m4153a(hashSet);
        GoogleSignInAccount googleSignInAccount = r3;
        GoogleSignInAccount googleSignInAccount2 = new GoogleSignInAccount(3, optString2, optString3, optString4, optString5, parse, (String) null, longValue, string, new ArrayList(hashSet), optString6, optString7);
        GoogleSignInAccount googleSignInAccount3 = googleSignInAccount;
        googleSignInAccount3.f6659h = jSONObject.optString("serverAuthCode", (String) null);
        return googleSignInAccount3;
    }

    /* renamed from: c */
    public Set<Scope> mo6413c() {
        HashSet hashSet = new HashSet(this.f6662k);
        hashSet.addAll(this.f6665n);
        return hashSet;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof GoogleSignInAccount)) {
            return false;
        }
        GoogleSignInAccount googleSignInAccount = (GoogleSignInAccount) obj;
        if (googleSignInAccount.f6661j.equals(this.f6661j)) {
            if (((AbstractSet) googleSignInAccount.mo6413c()).equals(mo6413c())) {
                return true;
            }
        }
        return false;
    }

    public int hashCode() {
        return ((AbstractSet) mo6413c()).hashCode() + ((this.f6661j.hashCode() + 527) * 31);
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a = C1050v.m4131a(parcel);
        C1050v.m4165a(parcel, 1, this.f6653b);
        C1050v.m4169a(parcel, 2, this.f6654c, false);
        C1050v.m4169a(parcel, 3, this.f6655d, false);
        C1050v.m4169a(parcel, 4, this.f6656e, false);
        C1050v.m4169a(parcel, 5, this.f6657f, false);
        C1050v.m4168a(parcel, 6, (Parcelable) this.f6658g, i, false);
        C1050v.m4169a(parcel, 7, this.f6659h, false);
        C1050v.m4166a(parcel, 8, this.f6660i);
        C1050v.m4169a(parcel, 9, this.f6661j, false);
        C1050v.m4170a(parcel, 10, this.f6662k, false);
        C1050v.m4169a(parcel, 11, this.f6663l, false);
        C1050v.m4169a(parcel, 12, this.f6664m, false);
        C1050v.m4227k(parcel, a);
    }
}
