package com.google.android.gms.common.api;

import android.app.PendingIntent;
import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.newrelic.agent.android.analytics.AnalyticAttribute;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import java.util.Arrays;
import p085c.p132d.p133a.p134a.p140c.p141m.C0937h;
import p085c.p132d.p133a.p134a.p140c.p141m.C0996m;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p134a.p140c.p143n.p144b0.C1012a;

public final class Status extends C1012a implements C0937h, ReflectedParcelable {
    public static final Parcelable.Creator<Status> CREATOR = new C0996m();

    /* renamed from: f */
    public static final Status f6671f = new Status(0, (String) null);

    /* renamed from: g */
    public static final Status f6672g = new Status(15, (String) null);

    /* renamed from: h */
    public static final Status f6673h = new Status(16, (String) null);

    /* renamed from: b */
    public final int f6674b;

    /* renamed from: c */
    public final int f6675c;

    /* renamed from: d */
    public final String f6676d;

    /* renamed from: e */
    public final PendingIntent f6677e;

    static {
        new Status(14, (String) null);
        new Status(8, (String) null);
        new Status(17, (String) null);
        new Status(18, (String) null);
    }

    public Status(int i, int i2, String str, PendingIntent pendingIntent) {
        this.f6674b = i;
        this.f6675c = i2;
        this.f6676d = str;
        this.f6677e = pendingIntent;
    }

    public Status(int i, String str) {
        this.f6674b = 1;
        this.f6675c = i;
        this.f6676d = str;
        this.f6677e = null;
    }

    /* renamed from: b */
    public final Status mo4837b() {
        return this;
    }

    public final boolean equals(Object obj) {
        if (!(obj instanceof Status)) {
            return false;
        }
        Status status = (Status) obj;
        return this.f6674b == status.f6674b && this.f6675c == status.f6675c && C1050v.m4207b((Object) this.f6676d, (Object) status.f6676d) && C1050v.m4207b((Object) this.f6677e, (Object) status.f6677e);
    }

    public final int hashCode() {
        return Arrays.hashCode(new Object[]{Integer.valueOf(this.f6674b), Integer.valueOf(this.f6675c), this.f6676d, this.f6677e});
    }

    public final String toString() {
        C1050v.C1051a d = C1050v.m4216d(this);
        String str = this.f6676d;
        if (str == null) {
            int i = this.f6675c;
            switch (i) {
                case -1:
                    str = "SUCCESS_CACHE";
                    break;
                case 0:
                    str = "SUCCESS";
                    break;
                case 2:
                    str = "SERVICE_VERSION_UPDATE_REQUIRED";
                    break;
                case 3:
                    str = "SERVICE_DISABLED";
                    break;
                case 4:
                    str = "SIGN_IN_REQUIRED";
                    break;
                case 5:
                    str = "INVALID_ACCOUNT";
                    break;
                case 6:
                    str = "RESOLUTION_REQUIRED";
                    break;
                case 7:
                    str = "NETWORK_ERROR";
                    break;
                case 8:
                    str = "INTERNAL_ERROR";
                    break;
                case 10:
                    str = "DEVELOPER_ERROR";
                    break;
                case 13:
                    str = "ERROR";
                    break;
                case 14:
                    str = "INTERRUPTED";
                    break;
                case 15:
                    str = "TIMEOUT";
                    break;
                case 16:
                    str = "CANCELED";
                    break;
                case 17:
                    str = "API_NOT_CONNECTED";
                    break;
                case 18:
                    str = "DEAD_CLIENT";
                    break;
                default:
                    StringBuilder sb = new StringBuilder(32);
                    sb.append("unknown status code: ");
                    sb.append(i);
                    str = sb.toString();
                    break;
            }
        }
        d.mo4996a(AnalyticAttribute.STATUS_CODE_ATTRIBUTE, str);
        d.mo4996a("resolution", this.f6677e);
        return d.toString();
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a = C1050v.m4131a(parcel);
        C1050v.m4165a(parcel, 1, this.f6675c);
        C1050v.m4169a(parcel, 2, this.f6676d, false);
        C1050v.m4168a(parcel, 3, (Parcelable) this.f6677e, i, false);
        C1050v.m4165a(parcel, (int) HarvestConfiguration.DEFAULT_MAX_TRANSACTION_COUNT, this.f6674b);
        C1050v.m4227k(parcel, a);
    }
}
