package com.google.android.gms.common.api.internal;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.util.Pair;
import com.google.android.gms.common.annotation.KeepName;
import com.google.android.gms.common.api.Status;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.atomic.AtomicReference;
import p085c.p132d.p133a.p134a.p140c.p141m.C0933e;
import p085c.p132d.p133a.p134a.p140c.p141m.C0935f;
import p085c.p132d.p133a.p134a.p140c.p141m.C0937h;
import p085c.p132d.p133a.p134a.p140c.p141m.C0938i;
import p085c.p132d.p133a.p134a.p140c.p141m.p142k.C0967j0;
import p085c.p132d.p133a.p134a.p140c.p141m.p142k.C0987t0;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;

@KeepName
public abstract class BasePendingResult<R extends C0937h> extends C0933e<R> {

    /* renamed from: a */
    public final Object f6678a = new Object();

    /* renamed from: b */
    public final C1576a<R> f6679b = new C1576a<>(Looper.getMainLooper());

    /* renamed from: c */
    public final CountDownLatch f6680c = new CountDownLatch(1);

    /* renamed from: d */
    public final ArrayList<C0933e.C0934a> f6681d = new ArrayList<>();

    /* renamed from: e */
    public C0938i<? super R> f6682e;

    /* renamed from: f */
    public final AtomicReference<C0967j0> f6683f = new AtomicReference<>();

    /* renamed from: g */
    public R f6684g;

    /* renamed from: h */
    public Status f6685h;

    /* renamed from: i */
    public volatile boolean f6686i;

    /* renamed from: j */
    public boolean f6687j;
    @KeepName
    public C1577b mResultGuardian;

    /* renamed from: com.google.android.gms.common.api.internal.BasePendingResult$a */
    public static class C1576a<R extends C0937h> extends Handler {
        public C1576a(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message message) {
            int i = message.what;
            if (i == 1) {
                Pair pair = (Pair) message.obj;
                C0938i iVar = (C0938i) pair.first;
                C0937h hVar = (C0937h) pair.second;
                try {
                    iVar.mo4838a(hVar);
                } catch (RuntimeException e) {
                    BasePendingResult.m5138c(hVar);
                    throw e;
                }
            } else if (i != 2) {
                StringBuilder sb = new StringBuilder(45);
                sb.append("Don't know how to handle message: ");
                sb.append(i);
                Log.wtf("BasePendingResult", sb.toString(), new Exception());
            } else {
                ((BasePendingResult) message.obj).mo6435b(Status.f6672g);
            }
        }
    }

    /* renamed from: com.google.android.gms.common.api.internal.BasePendingResult$b */
    public final class C1577b {
        public /* synthetic */ C1577b(C0987t0 t0Var) {
        }

        public final void finalize() throws Throwable {
            BasePendingResult.m5138c(BasePendingResult.this.f6684g);
            super.finalize();
        }
    }

    static {
        new C0987t0();
    }

    @Deprecated
    public BasePendingResult() {
        new WeakReference((Object) null);
    }

    /* renamed from: c */
    public static void m5138c(C0937h hVar) {
        if (hVar instanceof C0935f) {
            try {
                ((C0935f) hVar).mo4836a();
            } catch (RuntimeException e) {
                String valueOf = String.valueOf(hVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 18);
                sb.append("Unable to release ");
                sb.append(valueOf);
                Log.w("BasePendingResult", sb.toString(), e);
            }
        }
    }

    /* renamed from: a */
    public final R mo6431a() {
        R r;
        synchronized (this.f6678a) {
            C1050v.m4180a(!this.f6686i, (Object) "Result has already been consumed.");
            C1050v.m4180a(mo6436b(), (Object) "Result is not ready.");
            r = this.f6684g;
            this.f6684g = null;
            this.f6682e = null;
            this.f6686i = true;
        }
        C0967j0 andSet = this.f6683f.getAndSet((Object) null);
        if (andSet != null) {
            andSet.mo4901a(this);
        }
        return r;
    }

    /* renamed from: a */
    public abstract R mo6432a(Status status);

    /* renamed from: a */
    public final void mo6433a(R r) {
        synchronized (this.f6678a) {
            if (!this.f6687j) {
                mo6436b();
                boolean z = true;
                C1050v.m4180a(!mo6436b(), (Object) "Results have already been set");
                if (this.f6686i) {
                    z = false;
                }
                C1050v.m4180a(z, (Object) "Result has already been consumed");
                mo6434b(r);
                return;
            }
            m5138c(r);
        }
    }

    /* renamed from: b */
    public final void mo6434b(R r) {
        this.f6684g = r;
        this.f6680c.countDown();
        this.f6685h = this.f6684g.mo4837b();
        if (this.f6682e != null) {
            this.f6679b.removeMessages(2);
            C1576a<R> aVar = this.f6679b;
            C0938i<? super R> iVar = this.f6682e;
            C0937h a = mo6431a();
            if (aVar != null) {
                aVar.sendMessage(aVar.obtainMessage(1, new Pair(iVar, a)));
            } else {
                throw null;
            }
        } else if (this.f6684g instanceof C0935f) {
            this.mResultGuardian = new C1577b((C0987t0) null);
        }
        ArrayList<C0933e.C0934a> arrayList = this.f6681d;
        int size = arrayList.size();
        int i = 0;
        while (i < size) {
            C0933e.C0934a aVar2 = arrayList.get(i);
            i++;
            aVar2.mo4835a(this.f6685h);
        }
        this.f6681d.clear();
    }

    /* renamed from: b */
    public final void mo6435b(Status status) {
        synchronized (this.f6678a) {
            if (!mo6436b()) {
                mo6433a(mo6432a(status));
                this.f6687j = true;
            }
        }
    }

    /* renamed from: b */
    public final boolean mo6436b() {
        return this.f6680c.getCount() == 0;
    }
}
