package com.google.android.gms.location;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.gms.common.internal.ReflectedParcelable;
import java.util.Arrays;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p134a.p140c.p143n.p144b0.C1012a;
import p085c.p132d.p133a.p134a.p152f.C1104e;

public final class LocationRequest extends C1012a implements ReflectedParcelable {
    public static final Parcelable.Creator<LocationRequest> CREATOR = new C1104e();

    /* renamed from: b */
    public int f6699b;

    /* renamed from: c */
    public long f6700c;

    /* renamed from: d */
    public long f6701d;

    /* renamed from: e */
    public boolean f6702e;

    /* renamed from: f */
    public long f6703f;

    /* renamed from: g */
    public int f6704g;

    /* renamed from: h */
    public float f6705h;

    /* renamed from: i */
    public long f6706i;

    public LocationRequest() {
        this.f6699b = 102;
        this.f6700c = 3600000;
        this.f6701d = 600000;
        this.f6702e = false;
        this.f6703f = RecyclerView.FOREVER_NS;
        this.f6704g = Integer.MAX_VALUE;
        this.f6705h = 0.0f;
        this.f6706i = 0;
    }

    public LocationRequest(int i, long j, long j2, boolean z, long j3, int i2, float f, long j4) {
        this.f6699b = i;
        this.f6700c = j;
        this.f6701d = j2;
        this.f6702e = z;
        this.f6703f = j3;
        this.f6704g = i2;
        this.f6705h = f;
        this.f6706i = j4;
    }

    /* renamed from: a */
    public static void m5155a(long j) {
        if (j < 0) {
            StringBuilder sb = new StringBuilder(38);
            sb.append("invalid interval: ");
            sb.append(j);
            throw new IllegalArgumentException(sb.toString());
        }
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof LocationRequest)) {
            return false;
        }
        LocationRequest locationRequest = (LocationRequest) obj;
        if (this.f6699b == locationRequest.f6699b) {
            long j = this.f6700c;
            if (j == locationRequest.f6700c && this.f6701d == locationRequest.f6701d && this.f6702e == locationRequest.f6702e && this.f6703f == locationRequest.f6703f && this.f6704g == locationRequest.f6704g && this.f6705h == locationRequest.f6705h) {
                long j2 = this.f6706i;
                if (j2 >= j) {
                    j = j2;
                }
                long j3 = locationRequest.f6706i;
                long j4 = locationRequest.f6700c;
                if (j3 < j4) {
                    j3 = j4;
                }
                if (j == j3) {
                    return true;
                }
            }
        }
        return false;
    }

    public final int hashCode() {
        return Arrays.hashCode(new Object[]{Integer.valueOf(this.f6699b), Long.valueOf(this.f6700c), Float.valueOf(this.f6705h), Long.valueOf(this.f6706i)});
    }

    public final String toString() {
        StringBuilder a = outline.m2937a("Request[");
        int i = this.f6699b;
        a.append(i != 100 ? i != 102 ? i != 104 ? i != 105 ? "???" : "PRIORITY_NO_POWER" : "PRIORITY_LOW_POWER" : "PRIORITY_BALANCED_POWER_ACCURACY" : "PRIORITY_HIGH_ACCURACY");
        if (this.f6699b != 105) {
            a.append(" requested=");
            a.append(this.f6700c);
            a.append("ms");
        }
        a.append(" fastest=");
        a.append(this.f6701d);
        a.append("ms");
        if (this.f6706i > this.f6700c) {
            a.append(" maxWait=");
            a.append(this.f6706i);
            a.append("ms");
        }
        if (this.f6705h > 0.0f) {
            a.append(" smallestDisplacement=");
            a.append(this.f6705h);
            a.append("m");
        }
        long j = this.f6703f;
        if (j != RecyclerView.FOREVER_NS) {
            a.append(" expireIn=");
            a.append(j - SystemClock.elapsedRealtime());
            a.append("ms");
        }
        if (this.f6704g != Integer.MAX_VALUE) {
            a.append(" num=");
            a.append(this.f6704g);
        }
        a.append(']');
        return a.toString();
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a = C1050v.m4131a(parcel);
        C1050v.m4165a(parcel, 1, this.f6699b);
        C1050v.m4166a(parcel, 2, this.f6700c);
        C1050v.m4166a(parcel, 3, this.f6701d);
        C1050v.m4171a(parcel, 4, this.f6702e);
        C1050v.m4166a(parcel, 5, this.f6703f);
        C1050v.m4165a(parcel, 6, this.f6704g);
        float f = this.f6705h;
        C1050v.m4215c(parcel, 7, 4);
        parcel.writeFloat(f);
        C1050v.m4166a(parcel, 8, this.f6706i);
        C1050v.m4227k(parcel, a);
    }
}
