package com.google.android.material.appbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import androidx.appcompat.widget.Toolbar;
import p008b.p033h.p045m.ViewCompat;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.p160d0.MaterialShapeDrawable;
import p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay;
import p085c.p132d.p133a.p156b.p180w.ElevationOverlayProvider;

public class MaterialToolbar extends Toolbar {

    /* renamed from: Q */
    public static final int f6738Q = C1221j.Widget_MaterialComponents_Toolbar;

    public MaterialToolbar(Context context) {
        this(context, (AttributeSet) null);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Drawable background = getBackground();
        if (background instanceof MaterialShapeDrawable) {
            C1050v.m4175a((View) this, (MaterialShapeDrawable) background);
        }
    }

    public void setElevation(float f) {
        super.setElevation(f);
        C1050v.m4174a((View) this, f);
    }

    public MaterialToolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C1161b.toolbarStyle);
    }

    public MaterialToolbar(Context context, AttributeSet attributeSet, int i) {
        super(MaterialThemeOverlay.m4458a(context, attributeSet, i, f6738Q), attributeSet, i);
        Context context2 = getContext();
        Drawable background = getBackground();
        if (background == null || (background instanceof ColorDrawable)) {
            MaterialShapeDrawable gVar = new MaterialShapeDrawable();
            gVar.mo5119a(ColorStateList.valueOf(background != null ? ((ColorDrawable) background).getColor() : 0));
            gVar.f5186b.f5210b = new ElevationOverlayProvider(context2);
            gVar.mo5140i();
            gVar.mo5115a(ViewCompat.m1960g(this));
            setBackground(gVar);
        }
    }
}
