package com.google.android.material.behavior;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.TimeInterpolator;
import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewPropertyAnimator;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import p085c.p132d.p133a.p156b.p168l.AnimationUtils;

public class HideBottomViewOnScrollBehavior<V extends View> extends CoordinatorLayout.C0074c<V> {

    /* renamed from: a */
    public int f6739a = 0;

    /* renamed from: b */
    public int f6740b = 2;

    /* renamed from: c */
    public int f6741c = 0;

    /* renamed from: d */
    public ViewPropertyAnimator f6742d;

    /* renamed from: com.google.android.material.behavior.HideBottomViewOnScrollBehavior$a */
    public class C1582a extends AnimatorListenerAdapter {
        public C1582a() {
        }

        public void onAnimationEnd(Animator animator) {
            HideBottomViewOnScrollBehavior.this.f6742d = null;
        }
    }

    public HideBottomViewOnScrollBehavior() {
    }

    /* renamed from: a */
    public boolean mo614a(CoordinatorLayout coordinatorLayout, V v, int i) {
        this.f6739a = v.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) v.getLayoutParams()).bottomMargin;
        return false;
    }

    /* renamed from: a */
    public boolean mo621a(CoordinatorLayout coordinatorLayout, V v, View view, View view2, int i, int i2) {
        return i == 2;
    }

    /* renamed from: a */
    public void mo612a(CoordinatorLayout coordinatorLayout, V v, View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
        if (i2 > 0) {
            if (this.f6740b != 1) {
                ViewPropertyAnimator viewPropertyAnimator = this.f6742d;
                if (viewPropertyAnimator != null) {
                    viewPropertyAnimator.cancel();
                    v.clearAnimation();
                }
                this.f6740b = 1;
                mo6501a(v, this.f6739a + this.f6741c, 175, AnimationUtils.f5426c);
            }
        } else if (i2 < 0 && this.f6740b != 2) {
            ViewPropertyAnimator viewPropertyAnimator2 = this.f6742d;
            if (viewPropertyAnimator2 != null) {
                viewPropertyAnimator2.cancel();
                v.clearAnimation();
            }
            this.f6740b = 2;
            mo6501a(v, 0, 225, AnimationUtils.f5427d);
        }
    }

    public HideBottomViewOnScrollBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    /* renamed from: a */
    public final void mo6501a(V v, int i, long j, TimeInterpolator timeInterpolator) {
        this.f6742d = v.animate().translationY((float) i).setInterpolator(timeInterpolator).setDuration(j).setListener(new C1582a());
    }
}
