package com.google.android.material.behavior;

import android.view.MotionEvent;
import android.view.View;
import android.view.ViewParent;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p050j.p052b.ViewDragHelper;
import p085c.p132d.p133a.p156b.p161e0.C1187l;
import p085c.p132d.p133a.p156b.p161e0.SnackbarManager;

public class SwipeDismissBehavior<V extends View> extends CoordinatorLayout.C0074c<V> {

    /* renamed from: a */
    public ViewDragHelper f6744a;

    /* renamed from: b */
    public C1584b f6745b;

    /* renamed from: c */
    public boolean f6746c;

    /* renamed from: d */
    public float f6747d = 0.0f;

    /* renamed from: e */
    public int f6748e = 2;

    /* renamed from: f */
    public float f6749f = 0.5f;

    /* renamed from: g */
    public float f6750g = 0.0f;

    /* renamed from: h */
    public float f6751h = 0.5f;

    /* renamed from: i */
    public final ViewDragHelper.C0438c f6752i = new C1583a();

    /* renamed from: com.google.android.material.behavior.SwipeDismissBehavior$b */
    public interface C1584b {
    }

    /* renamed from: com.google.android.material.behavior.SwipeDismissBehavior$c */
    public class C1585c implements Runnable {

        /* renamed from: b */
        public final View f6756b;

        /* renamed from: c */
        public final boolean f6757c;

        public C1585c(View view, boolean z) {
            this.f6756b = view;
            this.f6757c = z;
        }

        public void run() {
            C1584b bVar;
            ViewDragHelper fVar = SwipeDismissBehavior.this.f6744a;
            if (fVar != null && fVar.mo3239a(true)) {
                ViewCompat.m1942a(this.f6756b, (Runnable) this);
            } else if (this.f6757c && (bVar = SwipeDismissBehavior.this.f6745b) != null) {
                ((C1187l) bVar).mo5184a(this.f6756b);
            }
        }
    }

    /* renamed from: a */
    public boolean mo6503a(View view) {
        return true;
    }

    /* renamed from: a */
    public boolean mo614a(CoordinatorLayout coordinatorLayout, V v, int i) {
        if (ViewCompat.m1964i(v) == 0) {
            v.setImportantForAccessibility(1);
            ViewCompat.m1959f(v, 1048576);
            if (mo6503a(v)) {
                ViewCompat.m1940a(v, AccessibilityNodeInfoCompat.C0411a.f2554j, (CharSequence) null, new p085c.p132d.p133a.p156b.p170n.SwipeDismissBehavior(this));
            }
        }
        return false;
    }

    /* renamed from: b */
    public boolean mo622b(CoordinatorLayout coordinatorLayout, V v, MotionEvent motionEvent) {
        ViewDragHelper fVar = this.f6744a;
        if (fVar == null) {
            return false;
        }
        fVar.mo3234a(motionEvent);
        return true;
    }

    /* renamed from: com.google.android.material.behavior.SwipeDismissBehavior$a */
    public class C1583a extends ViewDragHelper.C0438c {

        /* renamed from: a */
        public int f6753a;

        /* renamed from: b */
        public int f6754b = -1;

        public C1583a() {
        }

        /* renamed from: a */
        public void mo3255a(View view, int i) {
            this.f6754b = i;
            this.f6753a = view.getLeft();
            ViewParent parent = view.getParent();
            if (parent != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
        }

        /* renamed from: b */
        public boolean mo3259b(View view, int i) {
            int i2 = this.f6754b;
            return (i2 == -1 || i2 == i) && SwipeDismissBehavior.this.mo6503a(view);
        }

        /* renamed from: b */
        public int mo3258b(View view, int i, int i2) {
            return view.getTop();
        }

        /* renamed from: a */
        public void mo3253a(int i) {
            C1584b bVar = SwipeDismissBehavior.this.f6745b;
            if (bVar != null) {
                C1187l lVar = (C1187l) bVar;
                if (lVar == null) {
                    throw null;
                } else if (i == 0) {
                    SnackbarManager.m4404b().mo5200g(lVar.f5309a.f6994n);
                } else if (i == 1 || i == 2) {
                    SnackbarManager.m4404b().mo5199f(lVar.f5309a.f6994n);
                }
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:21:0x0054, code lost:
            if (java.lang.Math.abs(r8.getLeft() - r7.f6753a) >= java.lang.Math.round(((float) r8.getWidth()) * r7.f6755c.f6749f)) goto L_0x002a;
         */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0059  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0066  */
        /* JADX WARNING: Removed duplicated region for block: B:31:0x0076  */
        /* JADX WARNING: Removed duplicated region for block: B:32:0x0081  */
        /* renamed from: a */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public void mo3254a(android.view.View r8, float r9, float r10) {
            /*
                r7 = this;
                r10 = -1
                r7.f6754b = r10
                int r10 = r8.getWidth()
                r0 = 0
                r1 = 0
                r2 = 1
                int r3 = (r9 > r0 ? 1 : (r9 == r0 ? 0 : -1))
                if (r3 == 0) goto L_0x003a
                int r4 = p008b.p033h.p045m.ViewCompat.m1966k(r8)
                if (r4 != r2) goto L_0x0016
                r4 = 1
                goto L_0x0017
            L_0x0016:
                r4 = 0
            L_0x0017:
                com.google.android.material.behavior.SwipeDismissBehavior r5 = com.google.android.material.behavior.SwipeDismissBehavior.this
                int r5 = r5.f6748e
                r6 = 2
                if (r5 != r6) goto L_0x001f
                goto L_0x002a
            L_0x001f:
                if (r5 != 0) goto L_0x002e
                if (r4 == 0) goto L_0x0028
                int r9 = (r9 > r0 ? 1 : (r9 == r0 ? 0 : -1))
                if (r9 >= 0) goto L_0x002c
                goto L_0x002a
            L_0x0028:
                if (r3 <= 0) goto L_0x002c
            L_0x002a:
                r9 = 1
                goto L_0x0057
            L_0x002c:
                r9 = 0
                goto L_0x0057
            L_0x002e:
                if (r5 != r2) goto L_0x002c
                if (r4 == 0) goto L_0x0035
                if (r3 <= 0) goto L_0x002c
                goto L_0x0039
            L_0x0035:
                int r9 = (r9 > r0 ? 1 : (r9 == r0 ? 0 : -1))
                if (r9 >= 0) goto L_0x002c
            L_0x0039:
                goto L_0x002a
            L_0x003a:
                int r9 = r8.getLeft()
                int r0 = r7.f6753a
                int r9 = r9 - r0
                int r0 = r8.getWidth()
                float r0 = (float) r0
                com.google.android.material.behavior.SwipeDismissBehavior r3 = com.google.android.material.behavior.SwipeDismissBehavior.this
                float r3 = r3.f6749f
                float r0 = r0 * r3
                int r0 = java.lang.Math.round(r0)
                int r9 = java.lang.Math.abs(r9)
                if (r9 < r0) goto L_0x002c
                goto L_0x002a
            L_0x0057:
                if (r9 == 0) goto L_0x0066
                int r9 = r8.getLeft()
                int r0 = r7.f6753a
                if (r9 >= r0) goto L_0x0063
                int r0 = r0 - r10
                goto L_0x0064
            L_0x0063:
                int r0 = r0 + r10
            L_0x0064:
                r1 = 1
                goto L_0x0068
            L_0x0066:
                int r0 = r7.f6753a
            L_0x0068:
                com.google.android.material.behavior.SwipeDismissBehavior r9 = com.google.android.material.behavior.SwipeDismissBehavior.this
                b.j.b.f r9 = r9.f6744a
                int r10 = r8.getTop()
                boolean r9 = r9.mo3245b((int) r0, (int) r10)
                if (r9 == 0) goto L_0x0081
                com.google.android.material.behavior.SwipeDismissBehavior$c r9 = new com.google.android.material.behavior.SwipeDismissBehavior$c
                com.google.android.material.behavior.SwipeDismissBehavior r10 = com.google.android.material.behavior.SwipeDismissBehavior.this
                r9.<init>(r8, r1)
                p008b.p033h.p045m.ViewCompat.m1942a((android.view.View) r8, (java.lang.Runnable) r9)
                goto L_0x008e
            L_0x0081:
                if (r1 == 0) goto L_0x008e
                com.google.android.material.behavior.SwipeDismissBehavior r9 = com.google.android.material.behavior.SwipeDismissBehavior.this
                com.google.android.material.behavior.SwipeDismissBehavior$b r9 = r9.f6745b
                if (r9 == 0) goto L_0x008e
                c.d.a.b.e0.l r9 = (p085c.p132d.p133a.p156b.p161e0.C1187l) r9
                r9.mo5184a(r8)
            L_0x008e:
                return
            */
            throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.behavior.SwipeDismissBehavior.C1583a.mo3254a(android.view.View, float, float):void");
        }

        /* renamed from: a */
        public int mo3251a(View view) {
            return view.getWidth();
        }

        /* renamed from: a */
        public int mo3252a(View view, int i, int i2) {
            int i3;
            int i4;
            int width;
            boolean z = ViewCompat.m1966k(view) == 1;
            int i5 = SwipeDismissBehavior.this.f6748e;
            if (i5 != 0) {
                if (i5 != 1) {
                    i3 = this.f6753a - view.getWidth();
                    i4 = view.getWidth() + this.f6753a;
                } else if (z) {
                    i3 = this.f6753a;
                    width = view.getWidth();
                } else {
                    i3 = this.f6753a - view.getWidth();
                    i4 = this.f6753a;
                }
                return Math.min(Math.max(i3, i), i4);
            } else if (z) {
                i3 = this.f6753a - view.getWidth();
                i4 = this.f6753a;
                return Math.min(Math.max(i3, i), i4);
            } else {
                i3 = this.f6753a;
                width = view.getWidth();
            }
            i4 = width + i3;
            return Math.min(Math.max(i3, i), i4);
        }

        /* renamed from: a */
        public void mo3256a(View view, int i, int i2, int i3, int i4) {
            float width = (((float) view.getWidth()) * SwipeDismissBehavior.this.f6750g) + ((float) this.f6753a);
            float width2 = (((float) view.getWidth()) * SwipeDismissBehavior.this.f6751h) + ((float) this.f6753a);
            float f = (float) i;
            if (f <= width) {
                view.setAlpha(1.0f);
            } else if (f >= width2) {
                view.setAlpha(0.0f);
            } else {
                view.setAlpha(SwipeDismissBehavior.m5188a(0.0f, 1.0f - ((f - width) / (width2 - width)), 1.0f));
            }
        }
    }

    /* renamed from: a */
    public boolean mo618a(CoordinatorLayout coordinatorLayout, V v, MotionEvent motionEvent) {
        boolean z = this.f6746c;
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            z = coordinatorLayout.mo560a((View) v, (int) motionEvent.getX(), (int) motionEvent.getY());
            this.f6746c = z;
        } else if (actionMasked == 1 || actionMasked == 3) {
            this.f6746c = false;
        }
        if (!z) {
            return false;
        }
        if (this.f6744a == null) {
            this.f6744a = new ViewDragHelper(coordinatorLayout.getContext(), coordinatorLayout, this.f6752i);
        }
        return this.f6744a.mo3248c(motionEvent);
    }

    /* renamed from: a */
    public static float m5188a(float f, float f2, float f3) {
        return Math.min(Math.max(f, f2), f3);
    }
}
