package com.google.android.material.bottomappbar;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.Toolbar;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.google.android.material.behavior.HideBottomViewOnScrollBehavior;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import p008b.p033h.p045m.ViewCompat;
import p008b.p050j.p051a.AbsSavedState;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.p168l.TransformationCallback;
import p085c.p132d.p133a.p156b.p171o.BottomAppBarTopEdgeTreatment;
import p085c.p132d.p133a.p156b.p171o.C1229b;
import p085c.p132d.p133a.p156b.p171o.C1231c;
import p085c.p132d.p133a.p156b.p171o.C1232d;
import p085c.p132d.p133a.p156b.p171o.C1233e;

public class BottomAppBar extends Toolbar implements CoordinatorLayout.C0073b {

    /* renamed from: Q */
    public Animator f6759Q;

    /* renamed from: R */
    public Animator f6760R;

    /* renamed from: S */
    public int f6761S;

    /* renamed from: T */
    public int f6762T;

    /* renamed from: U */
    public boolean f6763U;

    /* renamed from: V */
    public int f6764V;

    /* renamed from: W */
    public boolean f6765W;

    /* renamed from: a0 */
    public Behavior f6766a0;

    /* renamed from: b0 */
    public AnimatorListenerAdapter f6767b0;

    /* renamed from: com.google.android.material.bottomappbar.BottomAppBar$a */
    public static class C1587a extends AbsSavedState {
        public static final Parcelable.Creator<C1587a> CREATOR = new C1588a();

        /* renamed from: d */
        public int f6773d;

        /* renamed from: e */
        public boolean f6774e;

        /* renamed from: com.google.android.material.bottomappbar.BottomAppBar$a$a */
        public static class C1588a implements Parcelable.ClassLoaderCreator<C1587a> {
            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C1587a(parcel, classLoader);
            }

            public Object[] newArray(int i) {
                return new C1587a[i];
            }

            public Object createFromParcel(Parcel parcel) {
                return new C1587a(parcel, (ClassLoader) null);
            }
        }

        public C1587a(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeParcelable(this.f2617b, i);
            parcel.writeInt(this.f6773d);
            parcel.writeInt(this.f6774e ? 1 : 0);
        }

        public C1587a(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f6773d = parcel.readInt();
            this.f6774e = parcel.readInt() != 0;
        }
    }

    private ActionMenuView getActionMenuView() {
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (childAt instanceof ActionMenuView) {
                return (ActionMenuView) childAt;
            }
        }
        return null;
    }

    private int getBottomInset() {
        return 0;
    }

    /* access modifiers changed from: private */
    public float getFabTranslationX() {
        return mo6506b(this.f6761S);
    }

    private float getFabTranslationY() {
        return -getTopEdgeTreatment().f5497d;
    }

    private int getLeftInset() {
        return 0;
    }

    private int getRightInset() {
        return 0;
    }

    private BottomAppBarTopEdgeTreatment getTopEdgeTreatment() {
        throw null;
    }

    public ColorStateList getBackgroundTint() {
        throw null;
    }

    public float getCradleVerticalOffset() {
        return getTopEdgeTreatment().f5497d;
    }

    public int getFabAlignmentMode() {
        return this.f6761S;
    }

    public int getFabAnimationMode() {
        return this.f6762T;
    }

    public float getFabCradleMargin() {
        return getTopEdgeTreatment().f5496c;
    }

    public float getFabCradleRoundedCornerRadius() {
        return getTopEdgeTreatment().f5495b;
    }

    public boolean getHideOnScroll() {
        return this.f6763U;
    }

    /* renamed from: h */
    public final FloatingActionButton mo6514h() {
        View i = mo6515i();
        if (i instanceof FloatingActionButton) {
            return (FloatingActionButton) i;
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:6:0x001e  */
    /* renamed from: i */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final android.view.View mo6515i() {
        /*
            r4 = this;
            android.view.ViewParent r0 = r4.getParent()
            boolean r0 = r0 instanceof androidx.coordinatorlayout.widget.CoordinatorLayout
            r1 = 0
            if (r0 != 0) goto L_0x000a
            return r1
        L_0x000a:
            android.view.ViewParent r0 = r4.getParent()
            androidx.coordinatorlayout.widget.CoordinatorLayout r0 = (androidx.coordinatorlayout.widget.CoordinatorLayout) r0
            java.util.List r0 = r0.mo561b((android.view.View) r4)
            java.util.Iterator r0 = r0.iterator()
        L_0x0018:
            boolean r2 = r0.hasNext()
            if (r2 == 0) goto L_0x002d
            java.lang.Object r2 = r0.next()
            android.view.View r2 = (android.view.View) r2
            boolean r3 = r2 instanceof com.google.android.material.floatingactionbutton.FloatingActionButton
            if (r3 != 0) goto L_0x002c
            boolean r3 = r2 instanceof com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton
            if (r3 == 0) goto L_0x0018
        L_0x002c:
            return r2
        L_0x002d:
            return r1
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.bottomappbar.BottomAppBar.mo6515i():android.view.View");
    }

    /* renamed from: j */
    public final boolean mo6516j() {
        FloatingActionButton h = mo6514h();
        return h != null && h.mo6830c();
    }

    /* renamed from: k */
    public final void mo6517k() {
        getTopEdgeTreatment().f5498e = getFabTranslationX();
        mo6515i();
        if (this.f6765W) {
            boolean j = mo6516j();
        }
        throw null;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        throw null;
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (z) {
            Animator animator = this.f6760R;
            if (animator != null) {
                animator.cancel();
            }
            Animator animator2 = this.f6759Q;
            if (animator2 != null) {
                animator2.cancel();
            }
            mo6517k();
            throw null;
        }
        ActionMenuView actionMenuView = getActionMenuView();
        if (actionMenuView != null) {
            actionMenuView.setAlpha(1.0f);
            if (!mo6516j()) {
                actionMenuView.setTranslationX((float) mo6505a(actionMenuView, 0, false));
            } else {
                actionMenuView.setTranslationX((float) mo6505a(actionMenuView, this.f6761S, this.f6765W));
            }
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof C1587a)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        C1587a aVar = (C1587a) parcelable;
        super.onRestoreInstanceState(aVar.f2617b);
        this.f6761S = aVar.f6773d;
        this.f6765W = aVar.f6774e;
    }

    public Parcelable onSaveInstanceState() {
        C1587a aVar = new C1587a(super.onSaveInstanceState());
        aVar.f6773d = this.f6761S;
        aVar.f6774e = this.f6765W;
        return aVar;
    }

    public void setBackgroundTint(ColorStateList colorStateList) {
        throw null;
    }

    public void setCradleVerticalOffset(float f) {
        if (f != getCradleVerticalOffset()) {
            BottomAppBarTopEdgeTreatment topEdgeTreatment = getTopEdgeTreatment();
            if (topEdgeTreatment == null) {
                throw null;
            } else if (f >= 0.0f) {
                topEdgeTreatment.f5497d = f;
                throw null;
            } else {
                throw new IllegalArgumentException("cradleVerticalOffset must be positive.");
            }
        }
    }

    public void setElevation(float f) {
        throw null;
    }

    public void setFabAlignmentMode(int i) {
        int i2;
        if (this.f6761S != i && ViewCompat.m1978w(this)) {
            Animator animator = this.f6759Q;
            if (animator != null) {
                animator.cancel();
            }
            ArrayList arrayList = new ArrayList();
            if (this.f6762T == 1) {
                ObjectAnimator ofFloat = ObjectAnimator.ofFloat(mo6514h(), "translationX", new float[]{mo6506b(i)});
                ofFloat.setDuration(300);
                arrayList.add(ofFloat);
            } else {
                FloatingActionButton h = mo6514h();
                if (h != null && !h.mo6829b()) {
                    this.f6764V++;
                    h.mo6825a((FloatingActionButton.C1619a) new C1229b(this, i), true);
                }
            }
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(arrayList);
            this.f6759Q = animatorSet;
            animatorSet.addListener(new p085c.p132d.p133a.p156b.p171o.BottomAppBar(this));
            this.f6759Q.start();
        }
        boolean z = this.f6765W;
        if (ViewCompat.m1978w(this)) {
            Animator animator2 = this.f6760R;
            if (animator2 != null) {
                animator2.cancel();
            }
            ArrayList arrayList2 = new ArrayList();
            if (!mo6516j()) {
                z = false;
                i2 = 0;
            } else {
                i2 = i;
            }
            ActionMenuView actionMenuView = getActionMenuView();
            if (actionMenuView != null) {
                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(actionMenuView, "alpha", new float[]{1.0f});
                if (Math.abs(actionMenuView.getTranslationX() - ((float) mo6505a(actionMenuView, i2, z))) > 1.0f) {
                    ObjectAnimator ofFloat3 = ObjectAnimator.ofFloat(actionMenuView, "alpha", new float[]{0.0f});
                    ofFloat3.addListener(new C1232d(this, actionMenuView, i2, z));
                    AnimatorSet animatorSet2 = new AnimatorSet();
                    animatorSet2.setDuration(150);
                    animatorSet2.playSequentially(new Animator[]{ofFloat3, ofFloat2});
                    arrayList2.add(animatorSet2);
                } else if (actionMenuView.getAlpha() < 1.0f) {
                    arrayList2.add(ofFloat2);
                }
            }
            AnimatorSet animatorSet3 = new AnimatorSet();
            animatorSet3.playTogether(arrayList2);
            this.f6760R = animatorSet3;
            animatorSet3.addListener(new C1231c(this));
            this.f6760R.start();
        }
        this.f6761S = i;
    }

    public void setFabAnimationMode(int i) {
        this.f6762T = i;
    }

    public void setFabCradleMargin(float f) {
        if (f != getFabCradleMargin()) {
            getTopEdgeTreatment().f5496c = f;
            throw null;
        }
    }

    public void setFabCradleRoundedCornerRadius(float f) {
        if (f != getFabCradleRoundedCornerRadius()) {
            getTopEdgeTreatment().f5495b = f;
            throw null;
        }
    }

    public void setHideOnScroll(boolean z) {
        this.f6763U = z;
    }

    public void setSubtitle(CharSequence charSequence) {
    }

    public void setTitle(CharSequence charSequence) {
    }

    /* renamed from: a */
    public static /* synthetic */ void m5202a(BottomAppBar bottomAppBar) {
        bottomAppBar.f6764V--;
    }

    /* renamed from: b */
    public final float mo6506b(int i) {
        boolean a = C1050v.m4185a((View) this);
        int i2 = 1;
        if (i != 1) {
            return 0.0f;
        }
        int measuredWidth = (getMeasuredWidth() / 2) + 0;
        if (a) {
            i2 = -1;
        }
        return (float) (measuredWidth * i2);
    }

    public Behavior getBehavior() {
        if (this.f6766a0 == null) {
            this.f6766a0 = new Behavior();
        }
        return this.f6766a0;
    }

    public static class Behavior extends HideBottomViewOnScrollBehavior<BottomAppBar> {

        /* renamed from: e */
        public final Rect f6768e = new Rect();

        /* renamed from: f */
        public WeakReference<BottomAppBar> f6769f;

        /* renamed from: g */
        public int f6770g;

        /* renamed from: h */
        public final View.OnLayoutChangeListener f6771h = new C1586a();

        /* renamed from: com.google.android.material.bottomappbar.BottomAppBar$Behavior$a */
        public class C1586a implements View.OnLayoutChangeListener {
            public C1586a() {
            }

            public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
                if (((BottomAppBar) Behavior.this.f6769f.get()) == null || !(view instanceof FloatingActionButton)) {
                    view.removeOnLayoutChangeListener(this);
                    return;
                }
                FloatingActionButton floatingActionButton = (FloatingActionButton) view;
                Behavior.this.f6768e.set(0, 0, floatingActionButton.getMeasuredWidth(), floatingActionButton.getMeasuredHeight());
                throw null;
            }
        }

        public Behavior() {
        }

        /* renamed from: a */
        public boolean mo614a(CoordinatorLayout coordinatorLayout, View view, int i) {
            BottomAppBar bottomAppBar = (BottomAppBar) view;
            this.f6769f = new WeakReference<>(bottomAppBar);
            View c = bottomAppBar.mo6515i();
            if (c == null || ViewCompat.m1978w(c)) {
                coordinatorLayout.mo564b(bottomAppBar, i);
                this.f6739a = bottomAppBar.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) bottomAppBar.getLayoutParams()).bottomMargin;
                return false;
            }
            CoordinatorLayout.C0077f fVar = (CoordinatorLayout.C0077f) c.getLayoutParams();
            fVar.f536d = 49;
            this.f6770g = fVar.bottomMargin;
            if (c instanceof FloatingActionButton) {
                FloatingActionButton floatingActionButton = (FloatingActionButton) c;
                floatingActionButton.addOnLayoutChangeListener(this.f6771h);
                if (bottomAppBar != null) {
                    floatingActionButton.mo6823a((Animator.AnimatorListener) null);
                    floatingActionButton.mo6827b(new C1233e(bottomAppBar));
                    floatingActionButton.mo6824a((TransformationCallback<? extends FloatingActionButton>) null);
                } else {
                    throw null;
                }
            }
            bottomAppBar.mo6517k();
            throw null;
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        /* renamed from: a */
        public boolean mo621a(CoordinatorLayout coordinatorLayout, View view, View view2, View view3, int i, int i2) {
            if (!((BottomAppBar) view).getHideOnScroll()) {
                return false;
            }
            return i == 2;
        }
    }

    /* renamed from: a */
    public int mo6505a(ActionMenuView actionMenuView, int i, boolean z) {
        if (i != 1 || !z) {
            return 0;
        }
        boolean a = C1050v.m4185a((View) this);
        int measuredWidth = a ? getMeasuredWidth() : 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if ((childAt.getLayoutParams() instanceof Toolbar.C0064e) && (((Toolbar.C0064e) childAt.getLayoutParams()).f962a & 8388615) == 8388611) {
                if (a) {
                    measuredWidth = Math.min(measuredWidth, childAt.getLeft());
                } else {
                    measuredWidth = Math.max(measuredWidth, childAt.getRight());
                }
            }
        }
        return measuredWidth - ((a ? actionMenuView.getRight() : actionMenuView.getLeft()) + 0);
    }
}
