package com.google.android.material.bottomsheet;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import okhttp3.internal.http1.Http1ExchangeCodec;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p033h.p045m.p046x.AccessibilityViewCommand;
import p008b.p050j.p051a.AbsSavedState;
import p008b.p050j.p052b.ViewDragHelper;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1163d;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p160d0.MaterialShapeDrawable;
import p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel;
import p085c.p132d.p133a.p156b.p180w.ElevationOverlayProvider;

public class BottomSheetBehavior<V extends View> extends CoordinatorLayout.C0074c<V> {

    /* renamed from: M */
    public static final int f6775M = C1221j.Widget_Design_BottomSheet_Modal;

    /* renamed from: A */
    public boolean f6776A;

    /* renamed from: B */
    public int f6777B;

    /* renamed from: C */
    public int f6778C;

    /* renamed from: D */
    public WeakReference<V> f6779D;

    /* renamed from: E */
    public WeakReference<View> f6780E;

    /* renamed from: F */
    public final ArrayList<C1592d> f6781F = new ArrayList<>();

    /* renamed from: G */
    public VelocityTracker f6782G;

    /* renamed from: H */
    public int f6783H;

    /* renamed from: I */
    public int f6784I;

    /* renamed from: J */
    public boolean f6785J;

    /* renamed from: K */
    public Map<View, Integer> f6786K;

    /* renamed from: L */
    public final ViewDragHelper.C0438c f6787L = new C1590b();

    /* renamed from: a */
    public int f6788a = 0;

    /* renamed from: b */
    public boolean f6789b = true;

    /* renamed from: c */
    public boolean f6790c = false;

    /* renamed from: d */
    public float f6791d;

    /* renamed from: e */
    public int f6792e;

    /* renamed from: f */
    public boolean f6793f;

    /* renamed from: g */
    public int f6794g;

    /* renamed from: h */
    public boolean f6795h;

    /* renamed from: i */
    public MaterialShapeDrawable f6796i;

    /* renamed from: j */
    public ShapeAppearanceModel f6797j;

    /* renamed from: k */
    public boolean f6798k;

    /* renamed from: l */
    public BottomSheetBehavior<V>.f f6799l = null;

    /* renamed from: m */
    public ValueAnimator f6800m;

    /* renamed from: n */
    public int f6801n;

    /* renamed from: o */
    public int f6802o;

    /* renamed from: p */
    public int f6803p;

    /* renamed from: q */
    public float f6804q = 0.5f;

    /* renamed from: r */
    public int f6805r;

    /* renamed from: s */
    public float f6806s = -1.0f;

    /* renamed from: t */
    public boolean f6807t;

    /* renamed from: u */
    public boolean f6808u;

    /* renamed from: v */
    public boolean f6809v = true;

    /* renamed from: w */
    public int f6810w = 4;

    /* renamed from: x */
    public ViewDragHelper f6811x;

    /* renamed from: y */
    public boolean f6812y;

    /* renamed from: z */
    public int f6813z;

    /* renamed from: com.google.android.material.bottomsheet.BottomSheetBehavior$a */
    public class C1589a implements Runnable {

        /* renamed from: b */
        public final /* synthetic */ View f6814b;

        /* renamed from: c */
        public final /* synthetic */ int f6815c;

        public C1589a(View view, int i) {
            this.f6814b = view;
            this.f6815c = i;
        }

        public void run() {
            BottomSheetBehavior.this.mo6534a(this.f6814b, this.f6815c);
        }
    }

    /* renamed from: com.google.android.material.bottomsheet.BottomSheetBehavior$b */
    public class C1590b extends ViewDragHelper.C0438c {
        public C1590b() {
        }

        /* renamed from: a */
        public void mo3256a(View view, int i, int i2, int i3, int i4) {
            BottomSheetBehavior.this.mo6532a(i2);
        }

        /* renamed from: b */
        public boolean mo3259b(View view, int i) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            int i2 = bottomSheetBehavior.f6810w;
            if (i2 == 1 || bottomSheetBehavior.f6785J) {
                return false;
            }
            if (i2 == 3 && bottomSheetBehavior.f6783H == i) {
                WeakReference<View> weakReference = bottomSheetBehavior.f6780E;
                View view2 = weakReference != null ? (View) weakReference.get() : null;
                if (view2 != null && view2.canScrollVertically(-1)) {
                    return false;
                }
            }
            WeakReference<V> weakReference2 = BottomSheetBehavior.this.f6779D;
            if (weakReference2 == null || weakReference2.get() != view) {
                return false;
            }
            return true;
        }

        /* renamed from: a */
        public void mo3253a(int i) {
            if (i == 1) {
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (bottomSheetBehavior.f6809v) {
                    bottomSheetBehavior.mo6545d(1);
                }
            }
        }

        /* renamed from: a */
        public void mo3254a(View view, float f, float f2) {
            int i;
            int i2;
            int i3 = 4;
            if (f2 < 0.0f) {
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (bottomSheetBehavior.f6789b) {
                    i = bottomSheetBehavior.f6802o;
                } else {
                    int top = view.getTop();
                    BottomSheetBehavior bottomSheetBehavior2 = BottomSheetBehavior.this;
                    int i4 = bottomSheetBehavior2.f6803p;
                    if (top > i4) {
                        i2 = i4;
                        i3 = 6;
                        BottomSheetBehavior.this.mo6535a(view, i3, i, true);
                    }
                    i = bottomSheetBehavior2.f6801n;
                }
            } else {
                BottomSheetBehavior bottomSheetBehavior3 = BottomSheetBehavior.this;
                if (bottomSheetBehavior3.f6807t && bottomSheetBehavior3.mo6538a(view, f2)) {
                    if (Math.abs(f) >= Math.abs(f2) || f2 <= 500.0f) {
                        int top2 = view.getTop();
                        BottomSheetBehavior bottomSheetBehavior4 = BottomSheetBehavior.this;
                        if (!(top2 > (bottomSheetBehavior4.mo6544d() + bottomSheetBehavior4.f6778C) / 2)) {
                            BottomSheetBehavior bottomSheetBehavior5 = BottomSheetBehavior.this;
                            if (bottomSheetBehavior5.f6789b) {
                                i = bottomSheetBehavior5.f6802o;
                            } else if (Math.abs(view.getTop() - BottomSheetBehavior.this.f6801n) < Math.abs(view.getTop() - BottomSheetBehavior.this.f6803p)) {
                                i = BottomSheetBehavior.this.f6801n;
                            } else {
                                i2 = BottomSheetBehavior.this.f6803p;
                                i3 = 6;
                                BottomSheetBehavior.this.mo6535a(view, i3, i, true);
                            }
                        }
                    }
                    i = BottomSheetBehavior.this.f6778C;
                    i3 = 5;
                    BottomSheetBehavior.this.mo6535a(view, i3, i, true);
                } else if (f2 == 0.0f || Math.abs(f) > Math.abs(f2)) {
                    int top3 = view.getTop();
                    BottomSheetBehavior bottomSheetBehavior6 = BottomSheetBehavior.this;
                    if (!bottomSheetBehavior6.f6789b) {
                        int i5 = bottomSheetBehavior6.f6803p;
                        if (top3 < i5) {
                            if (top3 < Math.abs(top3 - bottomSheetBehavior6.f6805r)) {
                                i = BottomSheetBehavior.this.f6801n;
                            } else {
                                i2 = BottomSheetBehavior.this.f6803p;
                            }
                        } else if (Math.abs(top3 - i5) < Math.abs(top3 - BottomSheetBehavior.this.f6805r)) {
                            i2 = BottomSheetBehavior.this.f6803p;
                        } else {
                            i = BottomSheetBehavior.this.f6805r;
                            BottomSheetBehavior.this.mo6535a(view, i3, i, true);
                        }
                        i3 = 6;
                        BottomSheetBehavior.this.mo6535a(view, i3, i, true);
                    } else if (Math.abs(top3 - bottomSheetBehavior6.f6802o) < Math.abs(top3 - BottomSheetBehavior.this.f6805r)) {
                        i = BottomSheetBehavior.this.f6802o;
                    } else {
                        i = BottomSheetBehavior.this.f6805r;
                        BottomSheetBehavior.this.mo6535a(view, i3, i, true);
                    }
                } else {
                    BottomSheetBehavior bottomSheetBehavior7 = BottomSheetBehavior.this;
                    if (bottomSheetBehavior7.f6789b) {
                        i = bottomSheetBehavior7.f6805r;
                    } else {
                        int top4 = view.getTop();
                        if (Math.abs(top4 - BottomSheetBehavior.this.f6803p) < Math.abs(top4 - BottomSheetBehavior.this.f6805r)) {
                            i2 = BottomSheetBehavior.this.f6803p;
                            i3 = 6;
                        } else {
                            i = BottomSheetBehavior.this.f6805r;
                        }
                    }
                    BottomSheetBehavior.this.mo6535a(view, i3, i, true);
                }
            }
            i3 = 3;
            BottomSheetBehavior.this.mo6535a(view, i3, i, true);
        }

        /* renamed from: b */
        public int mo3258b(View view, int i, int i2) {
            int d = BottomSheetBehavior.this.mo6544d();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return MediaDescriptionCompatApi21.m5a(i, d, bottomSheetBehavior.f6807t ? bottomSheetBehavior.f6778C : bottomSheetBehavior.f6805r);
        }

        /* renamed from: b */
        public int mo3257b(View view) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            if (bottomSheetBehavior.f6807t) {
                return bottomSheetBehavior.f6778C;
            }
            return bottomSheetBehavior.f6805r;
        }

        /* renamed from: a */
        public int mo3252a(View view, int i, int i2) {
            return view.getLeft();
        }
    }

    /* renamed from: com.google.android.material.bottomsheet.BottomSheetBehavior$c */
    public class C1591c implements AccessibilityViewCommand {

        /* renamed from: a */
        public final /* synthetic */ int f6818a;

        public C1591c(int i) {
            this.f6818a = i;
        }

        /* renamed from: a */
        public boolean mo3186a(View view, AccessibilityViewCommand.C0416a aVar) {
            BottomSheetBehavior.this.mo6543c(this.f6818a);
            return true;
        }
    }

    /* renamed from: com.google.android.material.bottomsheet.BottomSheetBehavior$d */
    public static abstract class C1592d {
        /* renamed from: a */
        public abstract void mo5311a(View view, float f);

        /* renamed from: a */
        public abstract void mo5312a(View view, int i);
    }

    /* renamed from: com.google.android.material.bottomsheet.BottomSheetBehavior$f */
    public class C1595f implements Runnable {

        /* renamed from: b */
        public final View f6825b;

        /* renamed from: c */
        public boolean f6826c;

        /* renamed from: d */
        public int f6827d;

        public C1595f(View view, int i) {
            this.f6825b = view;
            this.f6827d = i;
        }

        public void run() {
            ViewDragHelper fVar = BottomSheetBehavior.this.f6811x;
            if (fVar == null || !fVar.mo3239a(true)) {
                BottomSheetBehavior.this.mo6545d(this.f6827d);
            } else {
                ViewCompat.m1942a(this.f6825b, (Runnable) this);
            }
            this.f6826c = false;
        }
    }

    public BottomSheetBehavior() {
    }

    /* renamed from: a */
    public Parcelable mo607a(CoordinatorLayout coordinatorLayout, V v) {
        return new C1593e((Parcelable) View.BaseSavedState.EMPTY_STATE, (BottomSheetBehavior<?>) this);
    }

    /* renamed from: a */
    public void mo612a(CoordinatorLayout coordinatorLayout, V v, View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
    }

    /* renamed from: b */
    public boolean mo622b(CoordinatorLayout coordinatorLayout, V v, MotionEvent motionEvent) {
        if (!v.isShown()) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (this.f6810w == 1 && actionMasked == 0) {
            return true;
        }
        ViewDragHelper fVar = this.f6811x;
        if (fVar != null) {
            fVar.mo3234a(motionEvent);
        }
        if (actionMasked == 0) {
            this.f6783H = -1;
            VelocityTracker velocityTracker = this.f6782G;
            if (velocityTracker != null) {
                velocityTracker.recycle();
                this.f6782G = null;
            }
        }
        if (this.f6782G == null) {
            this.f6782G = VelocityTracker.obtain();
        }
        this.f6782G.addMovement(motionEvent);
        if (actionMasked == 2 && !this.f6812y) {
            float abs = Math.abs(((float) this.f6784I) - motionEvent.getY());
            ViewDragHelper fVar2 = this.f6811x;
            if (abs > ((float) fVar2.f2638b)) {
                fVar2.mo3235a((View) v, motionEvent.getPointerId(motionEvent.getActionIndex()));
            }
        }
        return !this.f6812y;
    }

    /* renamed from: c */
    public void mo6543c(int i) {
        if (i != this.f6810w) {
            if (this.f6779D != null) {
                mo6547e(i);
            } else if (i == 4 || i == 3 || i == 6 || (this.f6807t && i == 5)) {
                this.f6810w = i;
            }
        }
    }

    /* renamed from: d */
    public int mo6544d() {
        return this.f6789b ? this.f6802o : this.f6801n;
    }

    /* renamed from: e */
    public final void mo6547e(int i) {
        View view = (View) this.f6779D.get();
        if (view != null) {
            ViewParent parent = view.getParent();
            if (parent == null || !parent.isLayoutRequested() || !ViewCompat.m1977v(view)) {
                mo6534a(view, i);
            } else {
                view.post(new C1589a(view, i));
            }
        }
    }

    /* renamed from: f */
    public final void mo6548f(int i) {
        ValueAnimator valueAnimator;
        if (i != 2) {
            boolean z = i == 3;
            if (this.f6798k != z) {
                this.f6798k = z;
                if (this.f6796i != null && (valueAnimator = this.f6800m) != null) {
                    if (valueAnimator.isRunning()) {
                        this.f6800m.reverse();
                        return;
                    }
                    float f = z ? 0.0f : 1.0f;
                    this.f6800m.setFloatValues(new float[]{1.0f - f, f});
                    this.f6800m.start();
                }
            }
        }
    }

    /* renamed from: d */
    public void mo6545d(int i) {
        View view;
        if (this.f6810w != i) {
            this.f6810w = i;
            WeakReference<V> weakReference = this.f6779D;
            if (weakReference != null && (view = (View) weakReference.get()) != null) {
                if (i == 3) {
                    mo6541b(true);
                } else if (i == 6 || i == 5 || i == 4) {
                    mo6541b(false);
                }
                mo6548f(i);
                for (int i2 = 0; i2 < this.f6781F.size(); i2++) {
                    this.f6781F.get(i2).mo5312a(view, i);
                }
                mo6546e();
            }
        }
    }

    /* renamed from: a */
    public void mo610a(CoordinatorLayout coordinatorLayout, V v, Parcelable parcelable) {
        C1593e eVar = (C1593e) parcelable;
        Parcelable parcelable2 = eVar.f2617b;
        int i = this.f6788a;
        if (i != 0) {
            if (i == -1 || (i & 1) == 1) {
                this.f6792e = eVar.f6821e;
            }
            int i2 = this.f6788a;
            if (i2 == -1 || (i2 & 2) == 2) {
                this.f6789b = eVar.f6822f;
            }
            int i3 = this.f6788a;
            if (i3 == -1 || (i3 & 4) == 4) {
                this.f6807t = eVar.f6823g;
            }
            int i4 = this.f6788a;
            if (i4 == -1 || (i4 & 8) == 8) {
                this.f6808u = eVar.f6824h;
            }
        }
        int i5 = eVar.f6820d;
        if (i5 == 1 || i5 == 2) {
            this.f6810w = 4;
        } else {
            this.f6810w = i5;
        }
    }

    /* renamed from: com.google.android.material.bottomsheet.BottomSheetBehavior$e */
    public static class C1593e extends AbsSavedState {
        public static final Parcelable.Creator<C1593e> CREATOR = new C1594a();

        /* renamed from: d */
        public final int f6820d;

        /* renamed from: e */
        public int f6821e;

        /* renamed from: f */
        public boolean f6822f;

        /* renamed from: g */
        public boolean f6823g;

        /* renamed from: h */
        public boolean f6824h;

        /* renamed from: com.google.android.material.bottomsheet.BottomSheetBehavior$e$a */
        public static class C1594a implements Parcelable.ClassLoaderCreator<C1593e> {
            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C1593e(parcel, classLoader);
            }

            public Object[] newArray(int i) {
                return new C1593e[i];
            }

            public Object createFromParcel(Parcel parcel) {
                return new C1593e(parcel, (ClassLoader) null);
            }
        }

        public C1593e(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f6820d = parcel.readInt();
            this.f6821e = parcel.readInt();
            boolean z = false;
            this.f6822f = parcel.readInt() == 1;
            this.f6823g = parcel.readInt() == 1;
            this.f6824h = parcel.readInt() == 1 ? true : z;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeParcelable(this.f2617b, i);
            parcel.writeInt(this.f6820d);
            parcel.writeInt(this.f6821e);
            parcel.writeInt(this.f6822f ? 1 : 0);
            parcel.writeInt(this.f6823g ? 1 : 0);
            parcel.writeInt(this.f6824h ? 1 : 0);
        }

        public C1593e(Parcelable parcelable, BottomSheetBehavior<?> bottomSheetBehavior) {
            super(parcelable);
            this.f6820d = bottomSheetBehavior.f6810w;
            this.f6821e = bottomSheetBehavior.f6792e;
            this.f6822f = bottomSheetBehavior.f6789b;
            this.f6823g = bottomSheetBehavior.f6807t;
            this.f6824h = bottomSheetBehavior.f6808u;
        }
    }

    /* renamed from: c */
    public final int mo6542c() {
        if (this.f6793f) {
            return Math.max(this.f6794g, this.f6778C - ((this.f6777B * 9) / 16));
        }
        return this.f6792e;
    }

    /* renamed from: e */
    public final void mo6546e() {
        View view;
        WeakReference<V> weakReference = this.f6779D;
        if (weakReference != null && (view = (View) weakReference.get()) != null) {
            ViewCompat.m1959f(view, 524288);
            ViewCompat.m1959f(view, Http1ExchangeCodec.HEADER_LIMIT);
            ViewCompat.m1959f(view, 1048576);
            if (this.f6807t && this.f6810w != 5) {
                mo6536a(view, AccessibilityNodeInfoCompat.C0411a.f2554j, 5);
            }
            int i = this.f6810w;
            int i2 = 6;
            if (i == 3) {
                if (this.f6789b) {
                    i2 = 4;
                }
                mo6536a(view, AccessibilityNodeInfoCompat.C0411a.f2553i, i2);
            } else if (i == 4) {
                if (this.f6789b) {
                    i2 = 3;
                }
                mo6536a(view, AccessibilityNodeInfoCompat.C0411a.f2552h, i2);
            } else if (i == 6) {
                mo6536a(view, AccessibilityNodeInfoCompat.C0411a.f2553i, 4);
                mo6536a(view, AccessibilityNodeInfoCompat.C0411a.f2552h, 3);
            }
        }
    }

    public BottomSheetBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        int i;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C1224k.BottomSheetBehavior_Layout);
        this.f6795h = obtainStyledAttributes.hasValue(C1224k.BottomSheetBehavior_Layout_shapeAppearance);
        boolean hasValue = obtainStyledAttributes.hasValue(C1224k.BottomSheetBehavior_Layout_backgroundTint);
        if (hasValue) {
            mo6533a(context, attributeSet, hasValue, C1050v.m4138a(context, obtainStyledAttributes, C1224k.BottomSheetBehavior_Layout_backgroundTint));
        } else {
            mo6533a(context, attributeSet, hasValue, (ColorStateList) null);
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(new float[]{0.0f, 1.0f});
        this.f6800m = ofFloat;
        ofFloat.setDuration(500);
        this.f6800m.addUpdateListener(new p085c.p132d.p133a.p156b.p172p.BottomSheetBehavior(this));
        this.f6806s = obtainStyledAttributes.getDimension(C1224k.BottomSheetBehavior_Layout_android_elevation, -1.0f);
        TypedValue peekValue = obtainStyledAttributes.peekValue(C1224k.BottomSheetBehavior_Layout_behavior_peekHeight);
        if (peekValue == null || (i = peekValue.data) != -1) {
            mo6540b(obtainStyledAttributes.getDimensionPixelSize(C1224k.BottomSheetBehavior_Layout_behavior_peekHeight, -1));
        } else {
            mo6540b(i);
        }
        mo6537a(obtainStyledAttributes.getBoolean(C1224k.BottomSheetBehavior_Layout_behavior_hideable, false));
        boolean z = obtainStyledAttributes.getBoolean(C1224k.BottomSheetBehavior_Layout_behavior_fitToContents, true);
        if (this.f6789b != z) {
            this.f6789b = z;
            if (this.f6779D != null) {
                mo6539b();
            }
            mo6545d((!this.f6789b || this.f6810w != 6) ? this.f6810w : 3);
            mo6546e();
        }
        this.f6808u = obtainStyledAttributes.getBoolean(C1224k.BottomSheetBehavior_Layout_behavior_skipCollapsed, false);
        this.f6809v = obtainStyledAttributes.getBoolean(C1224k.BottomSheetBehavior_Layout_behavior_draggable, true);
        this.f6788a = obtainStyledAttributes.getInt(C1224k.BottomSheetBehavior_Layout_behavior_saveFlags, 0);
        float f = obtainStyledAttributes.getFloat(C1224k.BottomSheetBehavior_Layout_behavior_halfExpandedRatio, 0.5f);
        if (f <= 0.0f || f >= 1.0f) {
            throw new IllegalArgumentException("ratio must be a float value between 0 and 1");
        }
        this.f6804q = f;
        if (this.f6779D != null) {
            this.f6803p = (int) ((1.0f - f) * ((float) this.f6778C));
        }
        TypedValue peekValue2 = obtainStyledAttributes.peekValue(C1224k.BottomSheetBehavior_Layout_behavior_expandedOffset);
        if (peekValue2 == null || peekValue2.type != 16) {
            int dimensionPixelOffset = obtainStyledAttributes.getDimensionPixelOffset(C1224k.BottomSheetBehavior_Layout_behavior_expandedOffset, 0);
            if (dimensionPixelOffset >= 0) {
                this.f6801n = dimensionPixelOffset;
            } else {
                throw new IllegalArgumentException("offset must be greater than or equal to 0");
            }
        } else {
            int i2 = peekValue2.data;
            if (i2 >= 0) {
                this.f6801n = i2;
            } else {
                throw new IllegalArgumentException("offset must be greater than or equal to 0");
            }
        }
        obtainStyledAttributes.recycle();
        this.f6791d = (float) ViewConfiguration.get(context).getScaledMaximumFlingVelocity();
    }

    /* renamed from: a */
    public void mo609a(CoordinatorLayout.C0077f fVar) {
        this.f6779D = null;
        this.f6811x = null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0025  */
    /* JADX WARNING: Removed duplicated region for block: B:21:? A[RETURN, SYNTHETIC] */
    /* renamed from: b */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void mo6540b(int r4) {
        /*
            r3 = this;
            r0 = 1
            r1 = -1
            r2 = 0
            if (r4 != r1) goto L_0x000c
            boolean r4 = r3.f6793f
            if (r4 != 0) goto L_0x0015
            r3.f6793f = r0
            goto L_0x001f
        L_0x000c:
            boolean r1 = r3.f6793f
            if (r1 != 0) goto L_0x0017
            int r1 = r3.f6792e
            if (r1 == r4) goto L_0x0015
            goto L_0x0017
        L_0x0015:
            r0 = 0
            goto L_0x001f
        L_0x0017:
            r3.f6793f = r2
            int r4 = java.lang.Math.max(r2, r4)
            r3.f6792e = r4
        L_0x001f:
            if (r0 == 0) goto L_0x003a
            java.lang.ref.WeakReference<V> r4 = r3.f6779D
            if (r4 == 0) goto L_0x003a
            r3.mo6539b()
            int r4 = r3.f6810w
            r0 = 4
            if (r4 != r0) goto L_0x003a
            java.lang.ref.WeakReference<V> r4 = r3.f6779D
            java.lang.Object r4 = r4.get()
            android.view.View r4 = (android.view.View) r4
            if (r4 == 0) goto L_0x003a
            r4.requestLayout()
        L_0x003a:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.bottomsheet.BottomSheetBehavior.mo6540b(int):void");
    }

    /* renamed from: a */
    public void mo608a() {
        this.f6779D = null;
        this.f6811x = null;
    }

    /* renamed from: a */
    public boolean mo614a(CoordinatorLayout coordinatorLayout, V v, int i) {
        MaterialShapeDrawable gVar;
        if (ViewCompat.m1963h(coordinatorLayout) && !v.getFitsSystemWindows()) {
            v.setFitsSystemWindows(true);
        }
        if (this.f6779D == null) {
            this.f6794g = coordinatorLayout.getResources().getDimensionPixelSize(C1163d.design_bottom_sheet_peek_height_min);
            this.f6779D = new WeakReference<>(v);
            if (this.f6795h && (gVar = this.f6796i) != null) {
                v.setBackground(gVar);
            }
            MaterialShapeDrawable gVar2 = this.f6796i;
            if (gVar2 != null) {
                float f = this.f6806s;
                if (f == -1.0f) {
                    f = v.getElevation();
                }
                gVar2.mo5115a(f);
                boolean z = this.f6810w == 3;
                this.f6798k = z;
                this.f6796i.mo5125b(z ? 0.0f : 1.0f);
            }
            mo6546e();
            if (v.getImportantForAccessibility() == 0) {
                v.setImportantForAccessibility(1);
            }
        }
        if (this.f6811x == null) {
            this.f6811x = new ViewDragHelper(coordinatorLayout.getContext(), coordinatorLayout, this.f6787L);
        }
        int top = v.getTop();
        coordinatorLayout.mo564b(v, i);
        this.f6777B = coordinatorLayout.getWidth();
        int height = coordinatorLayout.getHeight();
        this.f6778C = height;
        this.f6802o = Math.max(0, height - v.getHeight());
        this.f6803p = (int) ((1.0f - this.f6804q) * ((float) this.f6778C));
        mo6539b();
        int i2 = this.f6810w;
        if (i2 == 3) {
            ViewCompat.m1957e(v, mo6544d());
        } else if (i2 == 6) {
            ViewCompat.m1957e(v, this.f6803p);
        } else if (!this.f6807t || i2 != 5) {
            int i3 = this.f6810w;
            if (i3 == 4) {
                ViewCompat.m1957e(v, this.f6805r);
            } else if (i3 == 1 || i3 == 2) {
                ViewCompat.m1957e(v, top - v.getTop());
            }
        } else {
            ViewCompat.m1957e(v, this.f6778C);
        }
        this.f6780E = new WeakReference<>(mo6531a((View) v));
        return true;
    }

    /* renamed from: b */
    public final void mo6539b() {
        int c = mo6542c();
        if (this.f6789b) {
            this.f6805r = Math.max(this.f6778C - c, this.f6802o);
        } else {
            this.f6805r = this.f6778C - c;
        }
    }

    /* renamed from: b */
    public static <V extends View> BottomSheetBehavior<V> m5214b(V v) {
        ViewGroup.LayoutParams layoutParams = v.getLayoutParams();
        if (layoutParams instanceof CoordinatorLayout.C0077f) {
            CoordinatorLayout.C0074c cVar = ((CoordinatorLayout.C0077f) layoutParams).f533a;
            if (cVar instanceof BottomSheetBehavior) {
                return (BottomSheetBehavior) cVar;
            }
            throw new IllegalArgumentException("The view is not associated with BottomSheetBehavior");
        }
        throw new IllegalArgumentException("The view is not a child of CoordinatorLayout");
    }

    /* renamed from: b */
    public final void mo6541b(boolean z) {
        Map<View, Integer> map;
        WeakReference<V> weakReference = this.f6779D;
        if (weakReference != null) {
            ViewParent parent = ((View) weakReference.get()).getParent();
            if (parent instanceof CoordinatorLayout) {
                CoordinatorLayout coordinatorLayout = (CoordinatorLayout) parent;
                int childCount = coordinatorLayout.getChildCount();
                if (z) {
                    if (this.f6786K == null) {
                        this.f6786K = new HashMap(childCount);
                    } else {
                        return;
                    }
                }
                for (int i = 0; i < childCount; i++) {
                    View childAt = coordinatorLayout.getChildAt(i);
                    if (childAt != this.f6779D.get()) {
                        if (z) {
                            this.f6786K.put(childAt, Integer.valueOf(childAt.getImportantForAccessibility()));
                            if (this.f6790c) {
                                ViewCompat.m1962h(childAt, 4);
                            }
                        } else if (this.f6790c && (map = this.f6786K) != null && map.containsKey(childAt)) {
                            ViewCompat.m1962h(childAt, this.f6786K.get(childAt).intValue());
                        }
                    }
                }
                if (!z) {
                    this.f6786K = null;
                }
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r11v11, resolved type: java.lang.Object} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r3v2, resolved type: android.view.View} */
    /* JADX WARNING: Multi-variable type inference failed */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean mo618a(androidx.coordinatorlayout.widget.CoordinatorLayout r10, V r11, android.view.MotionEvent r12) {
        /*
            r9 = this;
            boolean r0 = r11.isShown()
            r1 = 0
            r2 = 1
            if (r0 == 0) goto L_0x00d8
            boolean r0 = r9.f6809v
            if (r0 != 0) goto L_0x000e
            goto L_0x00d8
        L_0x000e:
            int r0 = r12.getActionMasked()
            r3 = 0
            r4 = -1
            if (r0 != 0) goto L_0x0021
            r9.f6783H = r4
            android.view.VelocityTracker r5 = r9.f6782G
            if (r5 == 0) goto L_0x0021
            r5.recycle()
            r9.f6782G = r3
        L_0x0021:
            android.view.VelocityTracker r5 = r9.f6782G
            if (r5 != 0) goto L_0x002b
            android.view.VelocityTracker r5 = android.view.VelocityTracker.obtain()
            r9.f6782G = r5
        L_0x002b:
            android.view.VelocityTracker r5 = r9.f6782G
            r5.addMovement(r12)
            r5 = 2
            if (r0 == 0) goto L_0x0044
            if (r0 == r2) goto L_0x0039
            r11 = 3
            if (r0 == r11) goto L_0x0039
            goto L_0x0087
        L_0x0039:
            r9.f6785J = r1
            r9.f6783H = r4
            boolean r11 = r9.f6812y
            if (r11 == 0) goto L_0x0087
            r9.f6812y = r1
            return r1
        L_0x0044:
            float r6 = r12.getX()
            int r6 = (int) r6
            float r7 = r12.getY()
            int r7 = (int) r7
            r9.f6784I = r7
            int r7 = r9.f6810w
            if (r7 == r5) goto L_0x0076
            java.lang.ref.WeakReference<android.view.View> r7 = r9.f6780E
            if (r7 == 0) goto L_0x005f
            java.lang.Object r7 = r7.get()
            android.view.View r7 = (android.view.View) r7
            goto L_0x0060
        L_0x005f:
            r7 = r3
        L_0x0060:
            if (r7 == 0) goto L_0x0076
            int r8 = r9.f6784I
            boolean r7 = r10.mo560a((android.view.View) r7, (int) r6, (int) r8)
            if (r7 == 0) goto L_0x0076
            int r7 = r12.getActionIndex()
            int r7 = r12.getPointerId(r7)
            r9.f6783H = r7
            r9.f6785J = r2
        L_0x0076:
            int r7 = r9.f6783H
            if (r7 != r4) goto L_0x0084
            int r4 = r9.f6784I
            boolean r11 = r10.mo560a((android.view.View) r11, (int) r6, (int) r4)
            if (r11 != 0) goto L_0x0084
            r11 = 1
            goto L_0x0085
        L_0x0084:
            r11 = 0
        L_0x0085:
            r9.f6812y = r11
        L_0x0087:
            boolean r11 = r9.f6812y
            if (r11 != 0) goto L_0x0096
            b.j.b.f r11 = r9.f6811x
            if (r11 == 0) goto L_0x0096
            boolean r11 = r11.mo3248c((android.view.MotionEvent) r12)
            if (r11 == 0) goto L_0x0096
            return r2
        L_0x0096:
            java.lang.ref.WeakReference<android.view.View> r11 = r9.f6780E
            if (r11 == 0) goto L_0x00a1
            java.lang.Object r11 = r11.get()
            r3 = r11
            android.view.View r3 = (android.view.View) r3
        L_0x00a1:
            if (r0 != r5) goto L_0x00d7
            if (r3 == 0) goto L_0x00d7
            boolean r11 = r9.f6812y
            if (r11 != 0) goto L_0x00d7
            int r11 = r9.f6810w
            if (r11 == r2) goto L_0x00d7
            float r11 = r12.getX()
            int r11 = (int) r11
            float r0 = r12.getY()
            int r0 = (int) r0
            boolean r10 = r10.mo560a((android.view.View) r3, (int) r11, (int) r0)
            if (r10 != 0) goto L_0x00d7
            b.j.b.f r10 = r9.f6811x
            if (r10 == 0) goto L_0x00d7
            int r10 = r9.f6784I
            float r10 = (float) r10
            float r11 = r12.getY()
            float r10 = r10 - r11
            float r10 = java.lang.Math.abs(r10)
            b.j.b.f r11 = r9.f6811x
            int r11 = r11.f2638b
            float r11 = (float) r11
            int r10 = (r10 > r11 ? 1 : (r10 == r11 ? 0 : -1))
            if (r10 <= 0) goto L_0x00d7
            r1 = 1
        L_0x00d7:
            return r1
        L_0x00d8:
            r9.f6812y = r2
            return r1
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.bottomsheet.BottomSheetBehavior.mo618a(androidx.coordinatorlayout.widget.CoordinatorLayout, android.view.View, android.view.MotionEvent):boolean");
    }

    /* renamed from: a */
    public boolean mo621a(CoordinatorLayout coordinatorLayout, V v, View view, View view2, int i, int i2) {
        this.f6813z = 0;
        this.f6776A = false;
        if ((i & 2) != 0) {
            return true;
        }
        return false;
    }

    /* renamed from: a */
    public void mo613a(CoordinatorLayout coordinatorLayout, V v, View view, int i, int i2, int[] iArr, int i3) {
        if (i3 != 1) {
            WeakReference<View> weakReference = this.f6780E;
            if (view == (weakReference != null ? (View) weakReference.get() : null)) {
                int top = v.getTop();
                int i4 = top - i2;
                if (i2 > 0) {
                    if (i4 < mo6544d()) {
                        iArr[1] = top - mo6544d();
                        ViewCompat.m1957e(v, -iArr[1]);
                        mo6545d(3);
                    } else if (this.f6809v) {
                        iArr[1] = i2;
                        ViewCompat.m1957e(v, -i2);
                        mo6545d(1);
                    } else {
                        return;
                    }
                } else if (i2 < 0 && !view.canScrollVertically(-1)) {
                    int i5 = this.f6805r;
                    if (i4 > i5 && !this.f6807t) {
                        iArr[1] = top - i5;
                        ViewCompat.m1957e(v, -iArr[1]);
                        mo6545d(4);
                    } else if (this.f6809v) {
                        iArr[1] = i2;
                        ViewCompat.m1957e(v, -i2);
                        mo6545d(1);
                    } else {
                        return;
                    }
                }
                mo6532a(v.getTop());
                this.f6813z = i2;
                this.f6776A = true;
            }
        }
    }

    /* renamed from: a */
    public void mo611a(CoordinatorLayout coordinatorLayout, V v, View view, int i) {
        int i2;
        int i3;
        float f;
        int i4 = 3;
        if (v.getTop() == mo6544d()) {
            mo6545d(3);
            return;
        }
        WeakReference<View> weakReference = this.f6780E;
        if (weakReference != null && view == weakReference.get() && this.f6776A) {
            if (this.f6813z > 0) {
                if (this.f6789b) {
                    i2 = this.f6802o;
                } else {
                    int top = v.getTop();
                    int i5 = this.f6803p;
                    if (top > i5) {
                        i2 = i5;
                    } else {
                        i2 = this.f6801n;
                    }
                }
                mo6535a((View) v, i4, i2, false);
                this.f6776A = false;
            }
            if (this.f6807t) {
                VelocityTracker velocityTracker = this.f6782G;
                if (velocityTracker == null) {
                    f = 0.0f;
                } else {
                    velocityTracker.computeCurrentVelocity(HarvestConfiguration.DEFAULT_MAX_TRANSACTION_COUNT, this.f6791d);
                    f = this.f6782G.getYVelocity(this.f6783H);
                }
                if (mo6538a((View) v, f)) {
                    i2 = this.f6778C;
                    i4 = 5;
                    mo6535a((View) v, i4, i2, false);
                    this.f6776A = false;
                }
            }
            if (this.f6813z == 0) {
                int top2 = v.getTop();
                if (!this.f6789b) {
                    int i6 = this.f6803p;
                    if (top2 < i6) {
                        if (top2 < Math.abs(top2 - this.f6805r)) {
                            i2 = this.f6801n;
                            mo6535a((View) v, i4, i2, false);
                            this.f6776A = false;
                        }
                        i2 = this.f6803p;
                    } else if (Math.abs(top2 - i6) < Math.abs(top2 - this.f6805r)) {
                        i2 = this.f6803p;
                    } else {
                        i3 = this.f6805r;
                    }
                } else if (Math.abs(top2 - this.f6802o) < Math.abs(top2 - this.f6805r)) {
                    i2 = this.f6802o;
                    mo6535a((View) v, i4, i2, false);
                    this.f6776A = false;
                } else {
                    i3 = this.f6805r;
                }
            } else if (this.f6789b) {
                i3 = this.f6805r;
            } else {
                int top3 = v.getTop();
                if (Math.abs(top3 - this.f6803p) < Math.abs(top3 - this.f6805r)) {
                    i2 = this.f6803p;
                } else {
                    i3 = this.f6805r;
                }
            }
            i4 = 4;
            mo6535a((View) v, i4, i2, false);
            this.f6776A = false;
            i4 = 6;
            mo6535a((View) v, i4, i2, false);
            this.f6776A = false;
        }
    }

    /* renamed from: a */
    public boolean mo620a(CoordinatorLayout coordinatorLayout, V v, View view, float f, float f2) {
        WeakReference<View> weakReference = this.f6780E;
        if (weakReference == null || view != weakReference.get() || this.f6810w == 3) {
            return false;
        }
        return true;
    }

    /* renamed from: a */
    public void mo6537a(boolean z) {
        if (this.f6807t != z) {
            this.f6807t = z;
            if (!z && this.f6810w == 5) {
                mo6543c(4);
            }
            mo6546e();
        }
    }

    /* renamed from: a */
    public boolean mo6538a(View view, float f) {
        if (this.f6808u) {
            return true;
        }
        if (view.getTop() < this.f6805r) {
            return false;
        }
        if (Math.abs(((f * 0.1f) + ((float) view.getTop())) - ((float) this.f6805r)) / ((float) mo6542c()) > 0.5f) {
            return true;
        }
        return false;
    }

    /* renamed from: a */
    public View mo6531a(View view) {
        if (ViewCompat.m1979x(view)) {
            return view;
        }
        if (!(view instanceof ViewGroup)) {
            return null;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View a = mo6531a(viewGroup.getChildAt(i));
            if (a != null) {
                return a;
            }
        }
        return null;
    }

    /* renamed from: a */
    public final void mo6533a(Context context, AttributeSet attributeSet, boolean z, ColorStateList colorStateList) {
        if (this.f6795h) {
            this.f6797j = ShapeAppearanceModel.m4377a(context, attributeSet, C1161b.bottomSheetStyle, f6775M).mo5159a();
            MaterialShapeDrawable gVar = new MaterialShapeDrawable(this.f6797j);
            this.f6796i = gVar;
            gVar.f5186b.f5210b = new ElevationOverlayProvider(context);
            gVar.mo5140i();
            if (!z || colorStateList == null) {
                TypedValue typedValue = new TypedValue();
                context.getTheme().resolveAttribute(16842801, typedValue, true);
                this.f6796i.setTint(typedValue.data);
                return;
            }
            this.f6796i.mo5119a(colorStateList);
        }
    }

    /* renamed from: a */
    public void mo6534a(View view, int i) {
        int i2;
        int i3;
        if (i == 4) {
            i2 = this.f6805r;
        } else if (i == 6) {
            i2 = this.f6803p;
            if (this.f6789b && i2 <= (i3 = this.f6802o)) {
                i = 3;
                i2 = i3;
            }
        } else if (i == 3) {
            i2 = mo6544d();
        } else if (!this.f6807t || i != 5) {
            throw new IllegalArgumentException(outline.m2930a("Illegal state argument: ", i));
        } else {
            i2 = this.f6778C;
        }
        mo6535a(view, i, i2, false);
    }

    /* renamed from: a */
    public void mo6535a(View view, int i, int i2, boolean z) {
        boolean z2;
        if (z) {
            z2 = this.f6811x.mo3245b(view.getLeft(), i2);
        } else {
            ViewDragHelper fVar = this.f6811x;
            int left = view.getLeft();
            fVar.f2655s = view;
            fVar.f2639c = -1;
            z2 = fVar.mo3237a(left, i2, 0, 0);
            if (!z2 && fVar.f2637a == 0 && fVar.f2655s != null) {
                fVar.f2655s = null;
            }
        }
        if (z2) {
            mo6545d(2);
            mo6548f(i);
            if (this.f6799l == null) {
                this.f6799l = new C1595f(view, i);
            }
            BottomSheetBehavior<V>.f fVar2 = this.f6799l;
            if (!fVar2.f6826c) {
                fVar2.f6827d = i;
                ViewCompat.m1942a(view, (Runnable) fVar2);
                this.f6799l.f6826c = true;
                return;
            }
            fVar2.f6827d = i;
            return;
        }
        mo6545d(i);
    }

    /* renamed from: a */
    public void mo6532a(int i) {
        float f;
        float f2;
        View view = (View) this.f6779D.get();
        if (view != null && !this.f6781F.isEmpty()) {
            int i2 = this.f6805r;
            if (i > i2 || i2 == mo6544d()) {
                int i3 = this.f6805r;
                f = (float) (i3 - i);
                f2 = (float) (this.f6778C - i3);
            } else {
                int i4 = this.f6805r;
                f = (float) (i4 - i);
                f2 = (float) (i4 - mo6544d());
            }
            float f3 = f / f2;
            for (int i5 = 0; i5 < this.f6781F.size(); i5++) {
                this.f6781F.get(i5).mo5311a(view, f3);
            }
        }
    }

    /* renamed from: a */
    public final void mo6536a(V v, AccessibilityNodeInfoCompat.C0411a aVar, int i) {
        ViewCompat.m1940a(v, aVar, (CharSequence) null, new C1591c(i));
    }
}
