package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import java.util.Iterator;
import java.util.LinkedHashSet;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.p012l.p013a.AppCompatResources;
import p008b.p010b.p019p.AppCompatButton;
import p008b.p033h.p045m.ViewCompat;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.p158b0.RippleUtils;
import p085c.p132d.p133a.p156b.p160d0.MaterialShapeDrawable;
import p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel;
import p085c.p132d.p133a.p156b.p160d0.Shapeable;
import p085c.p132d.p133a.p156b.p173q.MaterialButtonHelper;

public class MaterialButton extends AppCompatButton implements Checkable, Shapeable {

    /* renamed from: p */
    public static final int[] f6829p = {16842911};

    /* renamed from: q */
    public static final int[] f6830q = {16842912};

    /* renamed from: r */
    public static final int f6831r = C1221j.Widget_MaterialComponents_Button;

    /* renamed from: d */
    public final MaterialButtonHelper f6832d;

    /* renamed from: e */
    public final LinkedHashSet<C1596a> f6833e;

    /* renamed from: f */
    public C1597b f6834f;

    /* renamed from: g */
    public PorterDuff.Mode f6835g;

    /* renamed from: h */
    public ColorStateList f6836h;

    /* renamed from: i */
    public Drawable f6837i;

    /* renamed from: j */
    public int f6838j;

    /* renamed from: k */
    public int f6839k;

    /* renamed from: l */
    public int f6840l;

    /* renamed from: m */
    public boolean f6841m;

    /* renamed from: n */
    public boolean f6842n;

    /* renamed from: o */
    public int f6843o;

    /* renamed from: com.google.android.material.button.MaterialButton$a */
    public interface C1596a {
        /* renamed from: a */
        void mo6605a(MaterialButton materialButton, boolean z);
    }

    /* renamed from: com.google.android.material.button.MaterialButton$b */
    public interface C1597b {
        /* renamed from: a */
        void mo6606a(MaterialButton materialButton, boolean z);
    }

    public MaterialButton(Context context) {
        this(context, (AttributeSet) null);
    }

    private String getA11yClassName() {
        return (mo6556a() ? CompoundButton.class : Button.class).getName();
    }

    /* renamed from: a */
    public final void mo6555a(boolean z) {
        Drawable drawable = this.f6837i;
        boolean z2 = false;
        if (drawable != null) {
            Drawable mutate = MediaDescriptionCompatApi21.m99c(drawable).mutate();
            this.f6837i = mutate;
            mutate.setTintList(this.f6836h);
            PorterDuff.Mode mode = this.f6835g;
            if (mode != null) {
                this.f6837i.setTintMode(mode);
            }
            int i = this.f6838j;
            if (i == 0) {
                i = this.f6837i.getIntrinsicWidth();
            }
            int i2 = this.f6838j;
            if (i2 == 0) {
                i2 = this.f6837i.getIntrinsicHeight();
            }
            Drawable drawable2 = this.f6837i;
            int i3 = this.f6839k;
            drawable2.setBounds(i3, 0, i + i3, i2);
        }
        int i4 = this.f6843o;
        boolean z3 = i4 == 1 || i4 == 2;
        if (!z) {
            Drawable[] compoundDrawablesRelative = getCompoundDrawablesRelative();
            Drawable drawable3 = compoundDrawablesRelative[0];
            Drawable drawable4 = compoundDrawablesRelative[2];
            if ((z3 && drawable3 != this.f6837i) || (!z3 && drawable4 != this.f6837i)) {
                z2 = true;
            }
            if (!z2) {
                return;
            }
            if (z3) {
                setCompoundDrawablesRelative(this.f6837i, (Drawable) null, (Drawable) null, (Drawable) null);
            } else {
                setCompoundDrawablesRelative((Drawable) null, (Drawable) null, this.f6837i, (Drawable) null);
            }
        } else if (z3) {
            setCompoundDrawablesRelative(this.f6837i, (Drawable) null, (Drawable) null, (Drawable) null);
        } else {
            setCompoundDrawablesRelative((Drawable) null, (Drawable) null, this.f6837i, (Drawable) null);
        }
    }

    /* renamed from: b */
    public final boolean mo6557b() {
        MaterialButtonHelper aVar = this.f6832d;
        return aVar != null && !aVar.f5523o;
    }

    /* renamed from: c */
    public final void mo6558c() {
        if (this.f6837i != null && getLayout() != null) {
            int i = this.f6843o;
            boolean z = true;
            if (i == 1 || i == 3) {
                this.f6839k = 0;
                mo6555a(false);
                return;
            }
            TextPaint paint = getPaint();
            String charSequence = getText().toString();
            if (getTransformationMethod() != null) {
                charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
            }
            int min = Math.min((int) paint.measureText(charSequence), getLayout().getEllipsizedWidth());
            int i2 = this.f6838j;
            if (i2 == 0) {
                i2 = this.f6837i.getIntrinsicWidth();
            }
            int measuredWidth = (((((getMeasuredWidth() - min) - ViewCompat.m1969n(this)) - i2) - this.f6840l) - getPaddingStart()) / 2;
            boolean z2 = ViewCompat.m1966k(this) == 1;
            if (this.f6843o != 4) {
                z = false;
            }
            if (z2 != z) {
                measuredWidth = -measuredWidth;
            }
            if (this.f6839k != measuredWidth) {
                this.f6839k = measuredWidth;
                mo6555a(false);
            }
        }
    }

    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    public int getCornerRadius() {
        if (mo6557b()) {
            return this.f6832d.f5515g;
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.f6837i;
    }

    public int getIconGravity() {
        return this.f6843o;
    }

    public int getIconPadding() {
        return this.f6840l;
    }

    public int getIconSize() {
        return this.f6838j;
    }

    public ColorStateList getIconTint() {
        return this.f6836h;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f6835g;
    }

    public ColorStateList getRippleColor() {
        if (mo6557b()) {
            return this.f6832d.f5520l;
        }
        return null;
    }

    public ShapeAppearanceModel getShapeAppearanceModel() {
        if (mo6557b()) {
            return this.f6832d.f5510b;
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public ColorStateList getStrokeColor() {
        if (mo6557b()) {
            return this.f6832d.f5519k;
        }
        return null;
    }

    public int getStrokeWidth() {
        if (mo6557b()) {
            return this.f6832d.f5516h;
        }
        return 0;
    }

    public ColorStateList getSupportBackgroundTintList() {
        if (mo6557b()) {
            return this.f6832d.f5518j;
        }
        return super.getSupportBackgroundTintList();
    }

    public PorterDuff.Mode getSupportBackgroundTintMode() {
        if (mo6557b()) {
            return this.f6832d.f5517i;
        }
        return super.getSupportBackgroundTintMode();
    }

    public boolean isChecked() {
        return this.f6841m;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        C1050v.m4175a((View) this, this.f6832d.mo5316b());
    }

    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (mo6556a()) {
            Button.mergeDrawableStates(onCreateDrawableState, f6829p);
        }
        if (this.f6841m) {
            Button.mergeDrawableStates(onCreateDrawableState, f6830q);
        }
        return onCreateDrawableState;
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(getA11yClassName());
        accessibilityEvent.setChecked(this.f6841m);
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getA11yClassName());
        accessibilityNodeInfo.setCheckable(mo6556a());
        accessibilityNodeInfo.setChecked(this.f6841m);
        accessibilityNodeInfo.setClickable(isClickable());
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        MaterialButtonHelper aVar;
        super.onLayout(z, i, i2, i3, i4);
        if (Build.VERSION.SDK_INT == 21 && (aVar = this.f6832d) != null) {
            int i5 = i4 - i2;
            int i6 = i3 - i;
            Drawable drawable = aVar.f5521m;
            if (drawable != null) {
                drawable.setBounds(aVar.f5511c, aVar.f5513e, i6 - aVar.f5512d, i5 - aVar.f5514f);
            }
        }
    }

    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        mo6558c();
    }

    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        super.onTextChanged(charSequence, i, i2, i3);
        mo6558c();
    }

    public boolean performClick() {
        toggle();
        return super.performClick();
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(int i) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            if (aVar.mo5316b() != null) {
                aVar.mo5316b().setTint(i);
                return;
            }
            return;
        }
        super.setBackgroundColor(i);
    }

    public void setBackgroundDrawable(Drawable drawable) {
        if (!mo6557b()) {
            super.setBackgroundDrawable(drawable);
        } else if (drawable != getBackground()) {
            Log.w("MaterialButton", "Do not set the background; MaterialButton manages its own background drawable.");
            MaterialButtonHelper aVar = this.f6832d;
            aVar.f5523o = true;
            aVar.f5509a.setSupportBackgroundTintList(aVar.f5518j);
            aVar.f5509a.setSupportBackgroundTintMode(aVar.f5517i);
            super.setBackgroundDrawable(drawable);
        } else {
            getBackground().setState(drawable.getState());
        }
    }

    public void setBackgroundResource(int i) {
        setBackgroundDrawable(i != 0 ? AppCompatResources.m982c(getContext(), i) : null);
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCheckable(boolean z) {
        if (mo6557b()) {
            this.f6832d.f5525q = z;
        }
    }

    public void setChecked(boolean z) {
        if (mo6556a() && isEnabled() && this.f6841m != z) {
            this.f6841m = z;
            refreshDrawableState();
            if (!this.f6842n) {
                this.f6842n = true;
                Iterator it = this.f6833e.iterator();
                while (it.hasNext()) {
                    ((C1596a) it.next()).mo6605a(this, this.f6841m);
                }
                this.f6842n = false;
            }
        }
    }

    public void setCornerRadius(int i) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            if (!aVar.f5524p || aVar.f5515g != i) {
                aVar.f5515g = i;
                aVar.f5524p = true;
                aVar.mo5315a(aVar.f5510b.mo5156a((float) i));
            }
        }
    }

    public void setCornerRadiusResource(int i) {
        if (mo6557b()) {
            setCornerRadius(getResources().getDimensionPixelSize(i));
        }
    }

    public void setElevation(float f) {
        super.setElevation(f);
        if (mo6557b()) {
            MaterialShapeDrawable b = this.f6832d.mo5316b();
            MaterialShapeDrawable.C1165b bVar = b.f5186b;
            if (bVar.f5223o != f) {
                bVar.f5223o = f;
                b.mo5140i();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        if (this.f6837i != drawable) {
            this.f6837i = drawable;
            mo6555a(true);
        }
    }

    public void setIconGravity(int i) {
        if (this.f6843o != i) {
            this.f6843o = i;
            mo6558c();
        }
    }

    public void setIconPadding(int i) {
        if (this.f6840l != i) {
            this.f6840l = i;
            setCompoundDrawablePadding(i);
        }
    }

    public void setIconResource(int i) {
        setIcon(i != 0 ? AppCompatResources.m982c(getContext(), i) : null);
    }

    public void setIconSize(int i) {
        if (i < 0) {
            throw new IllegalArgumentException("iconSize cannot be less than 0");
        } else if (this.f6838j != i) {
            this.f6838j = i;
            mo6555a(true);
        }
    }

    public void setIconTint(ColorStateList colorStateList) {
        if (this.f6836h != colorStateList) {
            this.f6836h = colorStateList;
            mo6555a(false);
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.f6835g != mode) {
            this.f6835g = mode;
            mo6555a(false);
        }
    }

    public void setIconTintResource(int i) {
        setIconTint(AppCompatResources.m981b(getContext(), i));
    }

    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    public void setOnPressedChangeListenerInternal(C1597b bVar) {
        this.f6834f = bVar;
    }

    public void setPressed(boolean z) {
        C1597b bVar = this.f6834f;
        if (bVar != null) {
            bVar.mo6606a(this, z);
        }
        super.setPressed(z);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            if (aVar.f5520l != colorStateList) {
                aVar.f5520l = colorStateList;
                if (aVar.f5509a.getBackground() instanceof RippleDrawable) {
                    ((RippleDrawable) aVar.f5509a.getBackground()).setColor(RippleUtils.m4341a(colorStateList));
                }
            }
        }
    }

    public void setRippleColorResource(int i) {
        if (mo6557b()) {
            setRippleColor(AppCompatResources.m981b(getContext(), i));
        }
    }

    public void setShapeAppearanceModel(ShapeAppearanceModel jVar) {
        if (mo6557b()) {
            this.f6832d.mo5315a(jVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    public void setShouldDrawSurfaceColorStroke(boolean z) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            aVar.f5522n = z;
            aVar.mo5318d();
        }
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            if (aVar.f5519k != colorStateList) {
                aVar.f5519k = colorStateList;
                aVar.mo5318d();
            }
        }
    }

    public void setStrokeColorResource(int i) {
        if (mo6557b()) {
            setStrokeColor(AppCompatResources.m981b(getContext(), i));
        }
    }

    public void setStrokeWidth(int i) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            if (aVar.f5516h != i) {
                aVar.f5516h = i;
                aVar.mo5318d();
            }
        }
    }

    public void setStrokeWidthResource(int i) {
        if (mo6557b()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i));
        }
    }

    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            if (aVar.f5518j != colorStateList) {
                aVar.f5518j = colorStateList;
                if (aVar.mo5316b() != null) {
                    aVar.mo5316b().setTintList(aVar.f5518j);
                    return;
                }
                return;
            }
            return;
        }
        super.setSupportBackgroundTintList(colorStateList);
    }

    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        if (mo6557b()) {
            MaterialButtonHelper aVar = this.f6832d;
            if (aVar.f5517i != mode) {
                aVar.f5517i = mode;
                if (aVar.mo5316b() != null && aVar.f5517i != null) {
                    aVar.mo5316b().setTintMode(aVar.f5517i);
                    return;
                }
                return;
            }
            return;
        }
        super.setSupportBackgroundTintMode(mode);
    }

    public void toggle() {
        setChecked(!this.f6841m);
    }

    public MaterialButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C1161b.materialButtonStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public MaterialButton(android.content.Context r21, android.util.AttributeSet r22, int r23) {
        /*
            r20 = this;
            r0 = r20
            r7 = r22
            r8 = r23
            int r1 = f6831r
            r2 = r21
            android.content.Context r1 = p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay.m4458a(r2, r7, r8, r1)
            r0.<init>(r1, r7, r8)
            java.util.LinkedHashSet r1 = new java.util.LinkedHashSet
            r1.<init>()
            r0.f6833e = r1
            r9 = 0
            r0.f6841m = r9
            r0.f6842n = r9
            android.content.Context r10 = r20.getContext()
            int[] r3 = p085c.p132d.p133a.p156b.C1224k.MaterialButton
            int r5 = f6831r
            int[] r6 = new int[r9]
            r1 = r10
            r2 = r22
            r4 = r23
            android.content.res.TypedArray r1 = p085c.p132d.p133a.p156b.p183z.ThemeEnforcement.m4671b(r1, r2, r3, r4, r5, r6)
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_iconPadding
            int r2 = r1.getDimensionPixelSize(r2, r9)
            r0.f6840l = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_iconTintMode
            r3 = -1
            int r2 = r1.getInt(r2, r3)
            android.graphics.PorterDuff$Mode r4 = android.graphics.PorterDuff.Mode.SRC_IN
            android.graphics.PorterDuff$Mode r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4140a((int) r2, (android.graphics.PorterDuff.Mode) r4)
            r0.f6835g = r2
            android.content.Context r2 = r20.getContext()
            int r4 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_iconTint
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r4)
            r0.f6836h = r2
            android.content.Context r2 = r20.getContext()
            int r4 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_icon
            android.graphics.drawable.Drawable r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4193b((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r4)
            r0.f6837i = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_iconGravity
            r4 = 1
            int r2 = r1.getInteger(r2, r4)
            r0.f6843o = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_iconSize
            int r2 = r1.getDimensionPixelSize(r2, r9)
            r0.f6838j = r2
            int r2 = f6831r
            c.d.a.b.d0.j$b r2 = p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel.m4377a((android.content.Context) r10, (android.util.AttributeSet) r7, (int) r8, (int) r2)
            c.d.a.b.d0.j r2 = r2.mo5159a()
            c.d.a.b.q.a r5 = new c.d.a.b.q.a
            r5.<init>(r0, r2)
            r0.f6832d = r5
            if (r5 == 0) goto L_0x01da
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_android_insetLeft
            int r2 = r1.getDimensionPixelOffset(r2, r9)
            r5.f5511c = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_android_insetRight
            int r2 = r1.getDimensionPixelOffset(r2, r9)
            r5.f5512d = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_android_insetTop
            int r2 = r1.getDimensionPixelOffset(r2, r9)
            r5.f5513e = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_android_insetBottom
            int r2 = r1.getDimensionPixelOffset(r2, r9)
            r5.f5514f = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_cornerRadius
            boolean r2 = r1.hasValue(r2)
            if (r2 == 0) goto L_0x00bf
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_cornerRadius
            int r2 = r1.getDimensionPixelSize(r2, r3)
            r5.f5515g = r2
            c.d.a.b.d0.j r6 = r5.f5510b
            float r2 = (float) r2
            c.d.a.b.d0.j r2 = r6.mo5156a((float) r2)
            r5.mo5315a((p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel) r2)
            r5.f5524p = r4
        L_0x00bf:
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_strokeWidth
            int r2 = r1.getDimensionPixelSize(r2, r9)
            r5.f5516h = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_backgroundTintMode
            int r2 = r1.getInt(r2, r3)
            android.graphics.PorterDuff$Mode r6 = android.graphics.PorterDuff.Mode.SRC_IN
            android.graphics.PorterDuff$Mode r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4140a((int) r2, (android.graphics.PorterDuff.Mode) r6)
            r5.f5517i = r2
            com.google.android.material.button.MaterialButton r2 = r5.f5509a
            android.content.Context r2 = r2.getContext()
            int r6 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_backgroundTint
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r6)
            r5.f5518j = r2
            com.google.android.material.button.MaterialButton r2 = r5.f5509a
            android.content.Context r2 = r2.getContext()
            int r6 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_strokeColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r6)
            r5.f5519k = r2
            com.google.android.material.button.MaterialButton r2 = r5.f5509a
            android.content.Context r2 = r2.getContext()
            int r6 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_rippleColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r6)
            r5.f5520l = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_android_checkable
            boolean r2 = r1.getBoolean(r2, r9)
            r5.f5525q = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.MaterialButton_elevation
            int r2 = r1.getDimensionPixelSize(r2, r9)
            com.google.android.material.button.MaterialButton r6 = r5.f5509a
            int r6 = p008b.p033h.p045m.ViewCompat.m1970o(r6)
            com.google.android.material.button.MaterialButton r7 = r5.f5509a
            int r7 = r7.getPaddingTop()
            com.google.android.material.button.MaterialButton r8 = r5.f5509a
            int r8 = r8.getPaddingEnd()
            com.google.android.material.button.MaterialButton r10 = r5.f5509a
            int r10 = r10.getPaddingBottom()
            com.google.android.material.button.MaterialButton r11 = r5.f5509a
            c.d.a.b.d0.g r12 = new c.d.a.b.d0.g
            c.d.a.b.d0.j r13 = r5.f5510b
            r12.<init>((p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel) r13)
            com.google.android.material.button.MaterialButton r13 = r5.f5509a
            android.content.Context r13 = r13.getContext()
            r12.mo5118a((android.content.Context) r13)
            android.content.res.ColorStateList r13 = r5.f5518j
            r12.setTintList(r13)
            android.graphics.PorterDuff$Mode r13 = r5.f5517i
            if (r13 == 0) goto L_0x0143
            r12.setTintMode(r13)
        L_0x0143:
            int r13 = r5.f5516h
            float r13 = (float) r13
            android.content.res.ColorStateList r14 = r5.f5519k
            r12.mo5117a((float) r13, (android.content.res.ColorStateList) r14)
            c.d.a.b.d0.g r13 = new c.d.a.b.d0.g
            c.d.a.b.d0.j r14 = r5.f5510b
            r13.<init>((p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel) r14)
            r13.setTint(r9)
            int r14 = r5.f5516h
            float r14 = (float) r14
            boolean r15 = r5.f5522n
            if (r15 == 0) goto L_0x0165
            com.google.android.material.button.MaterialButton r15 = r5.f5509a
            int r4 = p085c.p132d.p133a.p156b.C1161b.colorSurface
            int r4 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4132a((android.view.View) r15, (int) r4)
            goto L_0x0166
        L_0x0165:
            r4 = 0
        L_0x0166:
            r13.mo5116a((float) r14, (int) r4)
            c.d.a.b.d0.g r4 = new c.d.a.b.d0.g
            c.d.a.b.d0.j r14 = r5.f5510b
            r4.<init>((p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel) r14)
            r5.f5521m = r4
            r4.setTint(r3)
            android.graphics.drawable.RippleDrawable r3 = new android.graphics.drawable.RippleDrawable
            android.content.res.ColorStateList r4 = r5.f5520l
            android.content.res.ColorStateList r4 = p085c.p132d.p133a.p156b.p158b0.RippleUtils.m4341a((android.content.res.ColorStateList) r4)
            android.graphics.drawable.LayerDrawable r15 = new android.graphics.drawable.LayerDrawable
            r14 = 2
            android.graphics.drawable.Drawable[] r14 = new android.graphics.drawable.Drawable[r14]
            r14[r9] = r13
            r13 = 1
            r14[r13] = r12
            r15.<init>(r14)
            android.graphics.drawable.InsetDrawable r12 = new android.graphics.drawable.InsetDrawable
            int r14 = r5.f5511c
            int r9 = r5.f5513e
            int r13 = r5.f5512d
            int r0 = r5.f5514f
            r16 = r14
            r14 = r12
            r17 = r9
            r18 = r13
            r19 = r0
            r14.<init>(r15, r16, r17, r18, r19)
            android.graphics.drawable.Drawable r0 = r5.f5521m
            r3.<init>(r4, r12, r0)
            r5.f5526r = r3
            r11.setInternalBackground(r3)
            c.d.a.b.d0.g r0 = r5.mo5316b()
            if (r0 == 0) goto L_0x01b4
            float r2 = (float) r2
            r0.mo5115a((float) r2)
        L_0x01b4:
            com.google.android.material.button.MaterialButton r0 = r5.f5509a
            int r2 = r5.f5511c
            int r6 = r6 + r2
            int r2 = r5.f5513e
            int r7 = r7 + r2
            int r2 = r5.f5512d
            int r8 = r8 + r2
            int r2 = r5.f5514f
            int r10 = r10 + r2
            r0.setPaddingRelative(r6, r7, r8, r10)
            r1.recycle()
            r0 = r20
            int r1 = r0.f6840l
            r0.setCompoundDrawablePadding(r1)
            android.graphics.drawable.Drawable r1 = r0.f6837i
            if (r1 == 0) goto L_0x01d5
            r9 = 1
            goto L_0x01d6
        L_0x01d5:
            r9 = 0
        L_0x01d6:
            r0.mo6555a(r9)
            return
        L_0x01da:
            r1 = 0
            throw r1
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.button.MaterialButton.<init>(android.content.Context, android.util.AttributeSet, int):void");
    }

    /* renamed from: a */
    public boolean mo6556a() {
        MaterialButtonHelper aVar = this.f6832d;
        return aVar != null && aVar.f5525q;
    }
}
