package com.google.android.material.checkbox;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import p008b.p010b.p019p.AppCompatCheckBox;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay;
import p085c.p132d.p133a.p156b.p183z.ThemeEnforcement;

public class MaterialCheckBox extends AppCompatCheckBox {

    /* renamed from: g */
    public static final int f6844g = C1221j.Widget_MaterialComponents_CompoundButton_CheckBox;

    /* renamed from: h */
    public static final int[][] f6845h = {new int[]{16842910, 16842912}, new int[]{16842910, -16842912}, new int[]{-16842910, 16842912}, new int[]{-16842910, -16842912}};

    /* renamed from: e */
    public ColorStateList f6846e;

    /* renamed from: f */
    public boolean f6847f;

    public MaterialCheckBox(Context context) {
        this(context, (AttributeSet) null);
    }

    private ColorStateList getMaterialThemeColorsTintList() {
        if (this.f6846e == null) {
            int[] iArr = new int[f6845h.length];
            int a = C1050v.m4132a((View) this, C1161b.colorControlActivated);
            int a2 = C1050v.m4132a((View) this, C1161b.colorSurface);
            int a3 = C1050v.m4132a((View) this, C1161b.colorOnSurface);
            iArr[0] = C1050v.m4128a(a2, a, 1.0f);
            iArr[1] = C1050v.m4128a(a2, a3, 0.54f);
            iArr[2] = C1050v.m4128a(a2, a3, 0.38f);
            iArr[3] = C1050v.m4128a(a2, a3, 0.38f);
            this.f6846e = new ColorStateList(f6845h, iArr);
        }
        return this.f6846e;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f6847f && getButtonTintList() == null) {
            setUseMaterialThemeColors(true);
        }
    }

    public void setUseMaterialThemeColors(boolean z) {
        this.f6847f = z;
        if (z) {
            setButtonTintList(getMaterialThemeColorsTintList());
        } else {
            setButtonTintList((ColorStateList) null);
        }
    }

    public MaterialCheckBox(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C1161b.checkboxStyle);
    }

    public MaterialCheckBox(Context context, AttributeSet attributeSet, int i) {
        super(MaterialThemeOverlay.m4458a(context, attributeSet, i, f6844g), attributeSet, i);
        Context context2 = getContext();
        TypedArray b = ThemeEnforcement.m4671b(context2, attributeSet, C1224k.MaterialCheckBox, i, f6844g, new int[0]);
        if (b.hasValue(C1224k.MaterialCheckBox_buttonTint)) {
            setButtonTintList(C1050v.m4138a(context2, b, C1224k.MaterialCheckBox_buttonTint));
        }
        this.f6847f = b.getBoolean(C1224k.MaterialCheckBox_useMaterialThemeColors, false);
        b.recycle();
    }
}
