package com.google.android.material.chip;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Bundle;
import android.text.SpannableStringBuilder;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.PointerIcon;
import android.view.View;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;
import com.newrelic.agent.android.instrumentation.ViewInstrumentation;
import java.lang.ref.WeakReference;
import java.util.List;
import p008b.p010b.p012l.p013a.AppCompatResources;
import p008b.p010b.p019p.AppCompatCheckBox;
import p008b.p033h.p037g.p038j.WrappedDrawable;
import p008b.p033h.p043k.BidiFormatter;
import p008b.p033h.p043k.TextDirectionHeuristicCompat;
import p008b.p033h.p043k.TextDirectionHeuristicsCompat;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p050j.p052b.ExploreByTouchHelper;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1192f;
import p085c.p132d.p133a.p156b.C1220i;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.p157a0.TextAppearance;
import p085c.p132d.p133a.p156b.p157a0.TextAppearanceFontCallback;
import p085c.p132d.p133a.p156b.p158b0.RippleUtils;
import p085c.p132d.p133a.p156b.p160d0.MaterialShapeDrawable;
import p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel;
import p085c.p132d.p133a.p156b.p160d0.Shapeable;
import p085c.p132d.p133a.p156b.p168l.MotionSpec;
import p085c.p132d.p133a.p156b.p175s.ChipDrawable;

public class Chip extends AppCompatCheckBox implements ChipDrawable.C1239a, Shapeable {

    /* renamed from: u */
    public static final int f6848u = C1221j.Widget_MaterialComponents_Chip_Action;

    /* renamed from: v */
    public static final Rect f6849v = new Rect();

    /* renamed from: w */
    public static final int[] f6850w = {16842913};

    /* renamed from: x */
    public static final int[] f6851x = {16842911};

    /* renamed from: e */
    public ChipDrawable f6852e;

    /* renamed from: f */
    public InsetDrawable f6853f;

    /* renamed from: g */
    public RippleDrawable f6854g;

    /* renamed from: h */
    public View.OnClickListener f6855h;

    /* renamed from: i */
    public CompoundButton.OnCheckedChangeListener f6856i;

    /* renamed from: j */
    public boolean f6857j;

    /* renamed from: k */
    public boolean f6858k;

    /* renamed from: l */
    public boolean f6859l;

    /* renamed from: m */
    public boolean f6860m;

    /* renamed from: n */
    public boolean f6861n;

    /* renamed from: o */
    public int f6862o;

    /* renamed from: p */
    public int f6863p;

    /* renamed from: q */
    public final C1599b f6864q;

    /* renamed from: r */
    public final Rect f6865r;

    /* renamed from: s */
    public final RectF f6866s;

    /* renamed from: t */
    public final TextAppearanceFontCallback f6867t;

    /* renamed from: com.google.android.material.chip.Chip$a */
    public class C1598a extends TextAppearanceFontCallback {
        public C1598a() {
        }

        /* renamed from: a */
        public void mo5098a(int i) {
        }

        /* renamed from: a */
        public void mo5100a(Typeface typeface, boolean z) {
            CharSequence charSequence;
            Chip chip = Chip.this;
            ChipDrawable bVar = chip.f6852e;
            if (bVar.f5547F0) {
                charSequence = bVar.f5548G;
            } else {
                charSequence = chip.getText();
            }
            chip.setText(charSequence);
            Chip.this.requestLayout();
            Chip.this.invalidate();
        }
    }

    public Chip(Context context) {
        this(context, (AttributeSet) null);
    }

    /* access modifiers changed from: private */
    public RectF getCloseIconTouchBounds() {
        this.f6866s.setEmpty();
        if (mo6610b()) {
            ChipDrawable bVar = this.f6852e;
            bVar.mo5367c(bVar.getBounds(), this.f6866s);
        }
        return this.f6866s;
    }

    /* access modifiers changed from: private */
    public Rect getCloseIconTouchBoundsInt() {
        RectF closeIconTouchBounds = getCloseIconTouchBounds();
        this.f6865r.set((int) closeIconTouchBounds.left, (int) closeIconTouchBounds.top, (int) closeIconTouchBounds.right, (int) closeIconTouchBounds.bottom);
        return this.f6865r;
    }

    private TextAppearance getTextAppearance() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5582m0.f5830f;
        }
        return null;
    }

    private void setCloseIconHovered(boolean z) {
        if (this.f6859l != z) {
            this.f6859l = z;
            refreshDrawableState();
        }
    }

    private void setCloseIconPressed(boolean z) {
        if (this.f6858k != z) {
            this.f6858k = z;
            refreshDrawableState();
        }
    }

    /* renamed from: d */
    public final void mo6612d() {
        if (this.f6853f != null) {
            this.f6853f = null;
            setMinWidth(0);
            setMinHeight((int) getChipMinHeight());
            mo6616f();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:40:0x00be, code lost:
        if (r1 != Integer.MIN_VALUE) goto L_0x00c0;
     */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00cb A[ORIG_RETURN, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:47:? A[RETURN, SYNTHETIC] */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean dispatchHoverEvent(android.view.MotionEvent r11) {
        /*
            r10 = this;
            java.lang.Class<b.j.b.a> r0 = p008b.p050j.p052b.ExploreByTouchHelper.class
            java.lang.String r1 = "Unable to send Accessibility Exit event"
            java.lang.String r2 = "Chip"
            int r3 = r11.getAction()
            r4 = -2147483648(0xffffffff80000000, float:-0.0)
            r5 = 10
            r6 = 0
            r7 = 1
            if (r3 != r5) goto L_0x005a
            java.lang.String r3 = "m"
            java.lang.reflect.Field r3 = r0.getDeclaredField(r3)     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            r3.setAccessible(r7)     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            com.google.android.material.chip.Chip$b r8 = r10.f6864q     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            java.lang.Object r3 = r3.get(r8)     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            java.lang.Integer r3 = (java.lang.Integer) r3     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            int r3 = r3.intValue()     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            if (r3 == r4) goto L_0x005a
            java.lang.String r3 = "f"
            java.lang.Class[] r8 = new java.lang.Class[r7]     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            java.lang.Class r9 = java.lang.Integer.TYPE     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            r8[r6] = r9     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            java.lang.reflect.Method r0 = r0.getDeclaredMethod(r3, r8)     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            r0.setAccessible(r7)     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            com.google.android.material.chip.Chip$b r3 = r10.f6864q     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            java.lang.Object[] r8 = new java.lang.Object[r7]     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            java.lang.Integer r9 = java.lang.Integer.valueOf(r4)     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            r8[r6] = r9     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            r0.invoke(r3, r8)     // Catch:{ NoSuchMethodException -> 0x0056, IllegalAccessException -> 0x0051, InvocationTargetException -> 0x004c, NoSuchFieldException -> 0x0047 }
            r0 = 1
            goto L_0x005b
        L_0x0047:
            r0 = move-exception
            android.util.Log.e(r2, r1, r0)
            goto L_0x005a
        L_0x004c:
            r0 = move-exception
            android.util.Log.e(r2, r1, r0)
            goto L_0x005a
        L_0x0051:
            r0 = move-exception
            android.util.Log.e(r2, r1, r0)
            goto L_0x005a
        L_0x0056:
            r0 = move-exception
            android.util.Log.e(r2, r1, r0)
        L_0x005a:
            r0 = 0
        L_0x005b:
            if (r0 != 0) goto L_0x00cb
            com.google.android.material.chip.Chip$b r0 = r10.f6864q
            android.view.accessibility.AccessibilityManager r1 = r0.f2625h
            boolean r1 = r1.isEnabled()
            if (r1 == 0) goto L_0x00c2
            android.view.accessibility.AccessibilityManager r1 = r0.f2625h
            boolean r1 = r1.isTouchExplorationEnabled()
            if (r1 != 0) goto L_0x0070
            goto L_0x00c2
        L_0x0070:
            int r1 = r11.getAction()
            r2 = 7
            r3 = 256(0x100, float:3.59E-43)
            r8 = 128(0x80, float:1.794E-43)
            if (r1 == r2) goto L_0x0092
            r2 = 9
            if (r1 == r2) goto L_0x0092
            if (r1 == r5) goto L_0x0082
            goto L_0x00c2
        L_0x0082:
            int r1 = r0.f2630m
            if (r1 == r4) goto L_0x00c2
            if (r1 != r4) goto L_0x0089
            goto L_0x00c0
        L_0x0089:
            r0.f2630m = r4
            r0.mo3216a((int) r4, (int) r8)
            r0.mo3216a((int) r1, (int) r3)
            goto L_0x00c0
        L_0x0092:
            float r1 = r11.getX()
            float r2 = r11.getY()
            com.google.android.material.chip.Chip r5 = com.google.android.material.chip.Chip.this
            boolean r5 = r5.mo6610b()
            if (r5 == 0) goto L_0x00b0
            com.google.android.material.chip.Chip r5 = com.google.android.material.chip.Chip.this
            android.graphics.RectF r5 = r5.getCloseIconTouchBounds()
            boolean r1 = r5.contains(r1, r2)
            if (r1 == 0) goto L_0x00b0
            r1 = 1
            goto L_0x00b1
        L_0x00b0:
            r1 = 0
        L_0x00b1:
            int r2 = r0.f2630m
            if (r2 != r1) goto L_0x00b6
            goto L_0x00be
        L_0x00b6:
            r0.f2630m = r1
            r0.mo3216a((int) r1, (int) r8)
            r0.mo3216a((int) r2, (int) r3)
        L_0x00be:
            if (r1 == r4) goto L_0x00c2
        L_0x00c0:
            r0 = 1
            goto L_0x00c3
        L_0x00c2:
            r0 = 0
        L_0x00c3:
            if (r0 != 0) goto L_0x00cb
            boolean r11 = super.dispatchHoverEvent(r11)
            if (r11 == 0) goto L_0x00cc
        L_0x00cb:
            r6 = 1
        L_0x00cc:
            return r6
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.chip.Chip.dispatchHoverEvent(android.view.MotionEvent):boolean");
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        C1599b bVar = this.f6864q;
        if (bVar != null) {
            int i = 0;
            if (keyEvent.getAction() != 1) {
                int keyCode = keyEvent.getKeyCode();
                if (keyCode != 61) {
                    int i2 = 66;
                    if (keyCode != 66) {
                        switch (keyCode) {
                            case 19:
                            case 20:
                            case 21:
                            case 22:
                                if (keyEvent.hasNoModifiers()) {
                                    if (keyCode == 19) {
                                        i2 = 33;
                                    } else if (keyCode == 21) {
                                        i2 = 17;
                                    } else if (keyCode != 22) {
                                        i2 = 130;
                                    }
                                    int repeatCount = keyEvent.getRepeatCount() + 1;
                                    int i3 = 0;
                                    while (i < repeatCount && bVar.mo3218a(i2, (Rect) null)) {
                                        i++;
                                        i3 = 1;
                                    }
                                    i = i3;
                                    break;
                                }
                                break;
                            case 23:
                                break;
                        }
                    }
                    if (keyEvent.hasNoModifiers() && keyEvent.getRepeatCount() == 0) {
                        int i4 = bVar.f2629l;
                        if (i4 != Integer.MIN_VALUE) {
                            bVar.mo3217a(i4, 16, (Bundle) null);
                        }
                        i = 1;
                    }
                } else if (keyEvent.hasNoModifiers()) {
                    i = bVar.mo3218a(2, (Rect) null);
                } else if (keyEvent.hasModifiers(1)) {
                    i = bVar.mo3218a(1, (Rect) null);
                }
            }
            if (i == 0 || this.f6864q.f2629l == Integer.MIN_VALUE) {
                return super.dispatchKeyEvent(keyEvent);
            }
            return true;
        }
        throw null;
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        ChipDrawable bVar = this.f6852e;
        int i = 0;
        if (bVar != null && ChipDrawable.m4501f(bVar.f5557N)) {
            ChipDrawable bVar2 = this.f6852e;
            int isEnabled = isEnabled();
            if (this.f6860m) {
                isEnabled++;
            }
            if (this.f6859l) {
                isEnabled++;
            }
            if (this.f6858k) {
                isEnabled++;
            }
            if (isChecked()) {
                isEnabled++;
            }
            int[] iArr = new int[isEnabled];
            if (isEnabled()) {
                iArr[0] = 16842910;
                i = 1;
            }
            if (this.f6860m) {
                iArr[i] = 16842908;
                i++;
            }
            if (this.f6859l) {
                iArr[i] = 16843623;
                i++;
            }
            if (this.f6858k) {
                iArr[i] = 16842919;
                i++;
            }
            if (isChecked()) {
                iArr[i] = 16842913;
            }
            i = bVar2.mo5364b(iArr);
        }
        if (i != 0) {
            invalidate();
        }
    }

    /* renamed from: e */
    public final void mo6615e() {
        if (mo6610b()) {
            ChipDrawable bVar = this.f6852e;
            if ((bVar != null && bVar.f5556M) && this.f6855h != null) {
                ViewCompat.m1938a((View) this, (AccessibilityDelegateCompat) this.f6864q);
                return;
            }
        }
        ViewCompat.m1938a((View) this, (AccessibilityDelegateCompat) null);
    }

    /* renamed from: f */
    public final void mo6616f() {
        if (RippleUtils.f5165a) {
            mo6617g();
            return;
        }
        this.f6852e.mo5377e(true);
        ViewCompat.m1937a((View) this, getBackgroundDrawable());
        mo6648h();
        if (getBackgroundDrawable() == this.f6853f && this.f6852e.getCallback() == null) {
            this.f6852e.setCallback(this.f6853f);
        }
    }

    /* renamed from: g */
    public final void mo6617g() {
        this.f6854g = new RippleDrawable(RippleUtils.m4341a(this.f6852e.f5546F), getBackgroundDrawable(), (Drawable) null);
        this.f6852e.mo5377e(false);
        ViewCompat.m1937a((View) this, (Drawable) this.f6854g);
        mo6648h();
    }

    public Drawable getBackgroundDrawable() {
        InsetDrawable insetDrawable = this.f6853f;
        return insetDrawable == null ? this.f6852e : insetDrawable;
    }

    public Drawable getCheckedIcon() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5564U;
        }
        return null;
    }

    public ColorStateList getChipBackgroundColor() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5536A;
        }
        return null;
    }

    public float getChipCornerRadius() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.mo5393l();
        }
        return 0.0f;
    }

    public Drawable getChipDrawable() {
        return this.f6852e;
    }

    public float getChipEndPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5574e0;
        }
        return 0.0f;
    }

    public Drawable getChipIcon() {
        Drawable drawable;
        ChipDrawable bVar = this.f6852e;
        if (bVar == null || (drawable = bVar.f5552I) == null) {
            return null;
        }
        return drawable instanceof WrappedDrawable ? ((WrappedDrawable) drawable).mo3015a() : drawable;
    }

    public float getChipIconSize() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5554K;
        }
        return 0.0f;
    }

    public ColorStateList getChipIconTint() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5553J;
        }
        return null;
    }

    public float getChipMinHeight() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5538B;
        }
        return 0.0f;
    }

    public float getChipStartPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5567X;
        }
        return 0.0f;
    }

    public ColorStateList getChipStrokeColor() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5542D;
        }
        return null;
    }

    public float getChipStrokeWidth() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5544E;
        }
        return 0.0f;
    }

    @Deprecated
    public CharSequence getChipText() {
        return getText();
    }

    public Drawable getCloseIcon() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.mo5395m();
        }
        return null;
    }

    public CharSequence getCloseIconContentDescription() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5561R;
        }
        return null;
    }

    public float getCloseIconEndPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5573d0;
        }
        return 0.0f;
    }

    public float getCloseIconSize() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5560Q;
        }
        return 0.0f;
    }

    public float getCloseIconStartPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5572c0;
        }
        return 0.0f;
    }

    public ColorStateList getCloseIconTint() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5559P;
        }
        return null;
    }

    public TextUtils.TruncateAt getEllipsize() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5545E0;
        }
        return null;
    }

    public void getFocusedRect(Rect rect) {
        C1599b bVar = this.f6864q;
        if (bVar.f2629l == 1 || bVar.f2628k == 1) {
            rect.set(getCloseIconTouchBoundsInt());
        } else {
            super.getFocusedRect(rect);
        }
    }

    public MotionSpec getHideMotionSpec() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5566W;
        }
        return null;
    }

    public float getIconEndPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5569Z;
        }
        return 0.0f;
    }

    public float getIconStartPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5568Y;
        }
        return 0.0f;
    }

    public ColorStateList getRippleColor() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5546F;
        }
        return null;
    }

    public ShapeAppearanceModel getShapeAppearanceModel() {
        return this.f6852e.f5186b.f5209a;
    }

    public MotionSpec getShowMotionSpec() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5565V;
        }
        return null;
    }

    public float getTextEndPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5571b0;
        }
        return 0.0f;
    }

    public float getTextStartPadding() {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            return bVar.f5570a0;
        }
        return 0.0f;
    }

    /* renamed from: h */
    public final void mo6648h() {
        ChipDrawable bVar;
        if (!TextUtils.isEmpty(getText()) && (bVar = this.f6852e) != null) {
            int k = (int) (bVar.mo5391k() + bVar.f5574e0 + bVar.f5571b0);
            ChipDrawable bVar2 = this.f6852e;
            int j = (int) (bVar2.mo5389j() + bVar2.f5567X + bVar2.f5570a0);
            if (this.f6853f != null) {
                Rect rect = new Rect();
                this.f6853f.getPadding(rect);
                j += rect.left;
                k += rect.right;
            }
            ViewCompat.m1933a(this, j, getPaddingTop(), k, getPaddingBottom());
        }
    }

    /* renamed from: i */
    public final void mo6649i() {
        TextPaint paint = getPaint();
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            paint.drawableState = bVar.getState();
        }
        TextAppearance textAppearance = getTextAppearance();
        if (textAppearance != null) {
            textAppearance.mo5102a(getContext(), paint, this.f6867t);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        C1050v.m4175a((View) this, (MaterialShapeDrawable) this.f6852e);
    }

    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (isChecked()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, f6850w);
        }
        if (mo6611c()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, f6851x);
        }
        return onCreateDrawableState;
    }

    public void onFocusChanged(boolean z, int i, Rect rect) {
        super.onFocusChanged(z, i, rect);
        C1599b bVar = this.f6864q;
        int i2 = bVar.f2629l;
        if (i2 != Integer.MIN_VALUE) {
            bVar.mo3219b(i2);
        }
        if (z) {
            bVar.mo3218a(i, rect);
        }
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 7) {
            setCloseIconHovered(getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()));
        } else if (actionMasked == 10) {
            setCloseIconHovered(false);
        }
        return super.onHoverEvent(motionEvent);
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        int i;
        int i2;
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        if (mo6611c() || isClickable()) {
            accessibilityNodeInfo.setClassName(mo6611c() ? "android.widget.CompoundButton" : "android.widget.Button");
        } else {
            accessibilityNodeInfo.setClassName(ViewInstrumentation.VIEW_CLASS_NAME);
        }
        accessibilityNodeInfo.setCheckable(mo6611c());
        accessibilityNodeInfo.setClickable(isClickable());
        if (getParent() instanceof ChipGroup) {
            ChipGroup chipGroup = (ChipGroup) getParent();
            AccessibilityNodeInfoCompat bVar = new AccessibilityNodeInfoCompat(accessibilityNodeInfo);
            if (chipGroup.f5797d) {
                int i3 = 0;
                int i4 = 0;
                while (true) {
                    if (i3 >= chipGroup.getChildCount()) {
                        i4 = -1;
                        break;
                    }
                    if (chipGroup.getChildAt(i3) instanceof Chip) {
                        if (((Chip) chipGroup.getChildAt(i3)) == this) {
                            break;
                        }
                        i4++;
                    }
                    i3++;
                }
                i = i4;
            } else {
                i = -1;
            }
            Object tag = getTag(C1192f.row_index_key);
            if (!(tag instanceof Integer)) {
                i2 = -1;
            } else {
                i2 = ((Integer) tag).intValue();
            }
            bVar.mo3171b((Object) AccessibilityNodeInfoCompat.C0413c.m2033a(i2, 1, i, 1, false, isChecked()));
        }
    }

    @TargetApi(24)
    public PointerIcon onResolvePointerIcon(MotionEvent motionEvent, int i) {
        if (!getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()) || !isEnabled()) {
            return null;
        }
        return PointerIcon.getSystemIcon(getContext(), 1002);
    }

    @TargetApi(17)
    public void onRtlPropertiesChanged(int i) {
        super.onRtlPropertiesChanged(i);
        if (this.f6862o != i) {
            this.f6862o = i;
            mo6648h();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x001e, code lost:
        if (r0 != 3) goto L_0x004c;
     */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0055 A[ORIG_RETURN, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:27:? A[RETURN, SYNTHETIC] */
    @android.annotation.SuppressLint({"ClickableViewAccessibility"})
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean onTouchEvent(android.view.MotionEvent r6) {
        /*
            r5 = this;
            int r0 = r6.getActionMasked()
            android.graphics.RectF r1 = r5.getCloseIconTouchBounds()
            float r2 = r6.getX()
            float r3 = r6.getY()
            boolean r1 = r1.contains(r2, r3)
            r2 = 0
            r3 = 1
            if (r0 == 0) goto L_0x0045
            if (r0 == r3) goto L_0x002b
            r4 = 2
            if (r0 == r4) goto L_0x0021
            r1 = 3
            if (r0 == r1) goto L_0x0040
            goto L_0x004c
        L_0x0021:
            boolean r0 = r5.f6858k
            if (r0 == 0) goto L_0x004c
            if (r1 != 0) goto L_0x004a
            r5.setCloseIconPressed(r2)
            goto L_0x004a
        L_0x002b:
            boolean r0 = r5.f6858k
            if (r0 == 0) goto L_0x0040
            r5.playSoundEffect(r2)
            android.view.View$OnClickListener r0 = r5.f6855h
            if (r0 == 0) goto L_0x0039
            r0.onClick(r5)
        L_0x0039:
            com.google.android.material.chip.Chip$b r0 = r5.f6864q
            r0.mo3216a((int) r3, (int) r3)
            r0 = 1
            goto L_0x0041
        L_0x0040:
            r0 = 0
        L_0x0041:
            r5.setCloseIconPressed(r2)
            goto L_0x004d
        L_0x0045:
            if (r1 == 0) goto L_0x004c
            r5.setCloseIconPressed(r3)
        L_0x004a:
            r0 = 1
            goto L_0x004d
        L_0x004c:
            r0 = 0
        L_0x004d:
            if (r0 != 0) goto L_0x0055
            boolean r6 = super.onTouchEvent(r6)
            if (r6 == 0) goto L_0x0056
        L_0x0055:
            r2 = 1
        L_0x0056:
            return r2
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.chip.Chip.onTouchEvent(android.view.MotionEvent):boolean");
    }

    public void setBackground(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.f6854g) {
            super.setBackground(drawable);
        } else {
            Log.w("Chip", "Do not set the background; Chip manages its own background drawable.");
        }
    }

    public void setBackgroundColor(int i) {
        Log.w("Chip", "Do not set the background color; Chip manages its own background drawable.");
    }

    public void setBackgroundDrawable(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.f6854g) {
            super.setBackgroundDrawable(drawable);
        } else {
            Log.w("Chip", "Do not set the background drawable; Chip manages its own background drawable.");
        }
    }

    public void setBackgroundResource(int i) {
        Log.w("Chip", "Do not set the background resource; Chip manages its own background drawable.");
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        Log.w("Chip", "Do not set the background tint list; Chip manages its own background drawable.");
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        Log.w("Chip", "Do not set the background tint mode; Chip manages its own background drawable.");
    }

    public void setCheckable(boolean z) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5359a(z);
        }
    }

    public void setCheckableResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5359a(bVar.f5575f0.getResources().getBoolean(i));
        }
    }

    public void setChecked(boolean z) {
        CompoundButton.OnCheckedChangeListener onCheckedChangeListener;
        ChipDrawable bVar = this.f6852e;
        if (bVar == null) {
            this.f6857j = z;
        } else if (bVar.f5562S) {
            boolean isChecked = isChecked();
            super.setChecked(z);
            if (isChecked != z && (onCheckedChangeListener = this.f6856i) != null) {
                onCheckedChangeListener.onCheckedChanged(this, z);
            }
        }
    }

    public void setCheckedIcon(Drawable drawable) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5362b(drawable);
        }
    }

    @Deprecated
    public void setCheckedIconEnabled(boolean z) {
        setCheckedIconVisible(z);
    }

    @Deprecated
    public void setCheckedIconEnabledResource(int i) {
        setCheckedIconVisible(i);
    }

    public void setCheckedIconResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5362b(AppCompatResources.m982c(bVar.f5575f0, i));
        }
    }

    public void setCheckedIconVisible(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5363b(bVar.f5575f0.getResources().getBoolean(i));
        }
    }

    public void setChipBackgroundColor(ColorStateList colorStateList) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null && bVar.f5536A != colorStateList) {
            bVar.f5536A = colorStateList;
            bVar.onStateChange(bVar.getState());
        }
    }

    public void setChipBackgroundColorResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5366c(AppCompatResources.m981b(bVar.f5575f0, i));
        }
    }

    @Deprecated
    public void setChipCornerRadius(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5365c(f);
        }
    }

    @Deprecated
    public void setChipCornerRadiusResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5365c(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setChipDrawable(ChipDrawable bVar) {
        ChipDrawable bVar2 = this.f6852e;
        if (bVar2 != bVar) {
            if (bVar2 != null) {
                bVar2.f5543D0 = new WeakReference<>((Object) null);
            }
            this.f6852e = bVar;
            bVar.f5547F0 = false;
            if (bVar != null) {
                bVar.f5543D0 = new WeakReference<>(this);
                mo6609a(this.f6863p);
                return;
            }
            throw null;
        }
    }

    public void setChipEndPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null && bVar.f5574e0 != f) {
            bVar.f5574e0 = f;
            bVar.invalidateSelf();
            bVar.mo5397n();
        }
    }

    public void setChipEndPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5370d(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setChipIcon(Drawable drawable) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5368c(drawable);
        }
    }

    @Deprecated
    public void setChipIconEnabled(boolean z) {
        setChipIconVisible(z);
    }

    @Deprecated
    public void setChipIconEnabledResource(int i) {
        setChipIconVisible(i);
    }

    public void setChipIconResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5368c(AppCompatResources.m982c(bVar.f5575f0, i));
        }
    }

    public void setChipIconSize(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5374e(f);
        }
    }

    public void setChipIconSizeResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5374e(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setChipIconTint(ColorStateList colorStateList) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5371d(colorStateList);
        }
    }

    public void setChipIconTintResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5371d(AppCompatResources.m981b(bVar.f5575f0, i));
        }
    }

    public void setChipIconVisible(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5369c(bVar.f5575f0.getResources().getBoolean(i));
        }
    }

    public void setChipMinHeight(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null && bVar.f5538B != f) {
            bVar.f5538B = f;
            bVar.invalidateSelf();
            bVar.mo5397n();
        }
    }

    public void setChipMinHeightResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5378f(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setChipStartPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null && bVar.f5567X != f) {
            bVar.f5567X = f;
            bVar.invalidateSelf();
            bVar.mo5397n();
        }
    }

    public void setChipStartPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5380g(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setChipStrokeColor(ColorStateList colorStateList) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5375e(colorStateList);
        }
    }

    public void setChipStrokeColorResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5375e(AppCompatResources.m981b(bVar.f5575f0, i));
        }
    }

    public void setChipStrokeWidth(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5386h(f);
        }
    }

    public void setChipStrokeWidthResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5386h(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    @Deprecated
    public void setChipText(CharSequence charSequence) {
        setText(charSequence);
    }

    @Deprecated
    public void setChipTextResource(int i) {
        setText(getResources().getString(i));
    }

    public void setCloseIcon(Drawable drawable) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5372d(drawable);
        }
        mo6615e();
    }

    public void setCloseIconContentDescription(CharSequence charSequence) {
        SpannableStringBuilder spannableStringBuilder;
        String str;
        ChipDrawable bVar = this.f6852e;
        if (bVar != null && bVar.f5561R != charSequence) {
            BidiFormatter a = BidiFormatter.m1866a();
            TextDirectionHeuristicCompat cVar = a.f2471c;
            if (charSequence == null) {
                spannableStringBuilder = null;
            } else {
                boolean a2 = ((TextDirectionHeuristicsCompat.C0392d) cVar).mo3095a(charSequence, 0, charSequence.length());
                SpannableStringBuilder spannableStringBuilder2 = new SpannableStringBuilder();
                String str2 = "";
                if ((a.f2470b & 2) != 0) {
                    boolean a3 = ((TextDirectionHeuristicsCompat.C0392d) (a2 ? TextDirectionHeuristicsCompat.f2483b : TextDirectionHeuristicsCompat.f2482a)).mo3095a(charSequence, 0, charSequence.length());
                    if (a.f2469a || (!a3 && BidiFormatter.m1865a(charSequence) != 1)) {
                        str = (!a.f2469a || (a3 && BidiFormatter.m1865a(charSequence) != -1)) ? str2 : BidiFormatter.f2466f;
                    } else {
                        str = BidiFormatter.f2465e;
                    }
                    spannableStringBuilder2.append(str);
                }
                if (a2 != a.f2469a) {
                    spannableStringBuilder2.append(a2 ? (char) 8235 : 8234);
                    spannableStringBuilder2.append(charSequence);
                    spannableStringBuilder2.append(8236);
                } else {
                    spannableStringBuilder2.append(charSequence);
                }
                boolean a4 = ((TextDirectionHeuristicsCompat.C0392d) (a2 ? TextDirectionHeuristicsCompat.f2483b : TextDirectionHeuristicsCompat.f2482a)).mo3095a(charSequence, 0, charSequence.length());
                if (!a.f2469a && (a4 || BidiFormatter.m1867b(charSequence) == 1)) {
                    str2 = BidiFormatter.f2465e;
                } else if (a.f2469a && (!a4 || BidiFormatter.m1867b(charSequence) == -1)) {
                    str2 = BidiFormatter.f2466f;
                }
                spannableStringBuilder2.append(str2);
                spannableStringBuilder = spannableStringBuilder2;
            }
            bVar.f5561R = spannableStringBuilder;
            bVar.invalidateSelf();
        }
    }

    @Deprecated
    public void setCloseIconEnabled(boolean z) {
        setCloseIconVisible(z);
    }

    @Deprecated
    public void setCloseIconEnabledResource(int i) {
        setCloseIconVisible(i);
    }

    public void setCloseIconEndPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5387i(f);
        }
    }

    public void setCloseIconEndPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5387i(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setCloseIconResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5372d(AppCompatResources.m982c(bVar.f5575f0, i));
        }
        mo6615e();
    }

    public void setCloseIconSize(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5390j(f);
        }
    }

    public void setCloseIconSizeResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5390j(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setCloseIconStartPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5392k(f);
        }
    }

    public void setCloseIconStartPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5392k(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setCloseIconTint(ColorStateList colorStateList) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5379f(colorStateList);
        }
    }

    public void setCloseIconTintResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5379f(AppCompatResources.m981b(bVar.f5575f0, i));
        }
    }

    public void setCloseIconVisible(int i) {
        setCloseIconVisible(getResources().getBoolean(i));
    }

    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        if (i != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i3 == 0) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(i, i2, i3, i4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        if (i != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i3 == 0) {
            super.setCompoundDrawablesWithIntrinsicBounds(i, i2, i3, i4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setElevation(float f) {
        super.setElevation(f);
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            MaterialShapeDrawable.C1165b bVar2 = bVar.f5186b;
            if (bVar2.f5223o != f) {
                bVar2.f5223o = f;
                bVar.mo5140i();
            }
        }
    }

    public void setEllipsize(TextUtils.TruncateAt truncateAt) {
        if (this.f6852e != null) {
            if (truncateAt != TextUtils.TruncateAt.MARQUEE) {
                super.setEllipsize(truncateAt);
                ChipDrawable bVar = this.f6852e;
                if (bVar != null) {
                    bVar.f5545E0 = truncateAt;
                    return;
                }
                return;
            }
            throw new UnsupportedOperationException("Text within a chip are not allowed to scroll.");
        }
    }

    public void setEnsureMinTouchTargetSize(boolean z) {
        this.f6861n = z;
        mo6609a(this.f6863p);
    }

    public void setGravity(int i) {
        if (i != 8388627) {
            Log.w("Chip", "Chip text must be vertically center and start aligned");
        } else {
            super.setGravity(i);
        }
    }

    public void setHideMotionSpec(MotionSpec gVar) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.f5566W = gVar;
        }
    }

    public void setHideMotionSpecResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.f5566W = MotionSpec.m4460a(bVar.f5575f0, i);
        }
    }

    public void setIconEndPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5394l(f);
        }
    }

    public void setIconEndPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5394l(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setIconStartPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5396m(f);
        }
    }

    public void setIconStartPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5396m(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setLayoutDirection(int i) {
        if (this.f6852e != null) {
            super.setLayoutDirection(i);
        }
    }

    public void setLines(int i) {
        if (i <= 1) {
            super.setLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxLines(int i) {
        if (i <= 1) {
            super.setMaxLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxWidth(int i) {
        super.setMaxWidth(i);
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.f5549G0 = i;
        }
    }

    public void setMinLines(int i) {
        if (i <= 1) {
            super.setMinLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setOnCheckedChangeListenerInternal(CompoundButton.OnCheckedChangeListener onCheckedChangeListener) {
        this.f6856i = onCheckedChangeListener;
    }

    public void setOnCloseIconClickListener(View.OnClickListener onClickListener) {
        this.f6855h = onClickListener;
        mo6615e();
    }

    public void setRippleColor(ColorStateList colorStateList) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5381g(colorStateList);
        }
        if (!this.f6852e.f5539B0) {
            mo6617g();
        }
    }

    public void setRippleColorResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5381g(AppCompatResources.m981b(bVar.f5575f0, i));
            if (!this.f6852e.f5539B0) {
                mo6617g();
            }
        }
    }

    public void setShapeAppearanceModel(ShapeAppearanceModel jVar) {
        ChipDrawable bVar = this.f6852e;
        bVar.f5186b.f5209a = jVar;
        bVar.invalidateSelf();
    }

    public void setShowMotionSpec(MotionSpec gVar) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.f5565V = gVar;
        }
    }

    public void setShowMotionSpecResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.f5565V = MotionSpec.m4460a(bVar.f5575f0, i);
        }
    }

    public void setSingleLine(boolean z) {
        if (z) {
            super.setSingleLine(z);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setText(CharSequence charSequence, TextView.BufferType bufferType) {
        if (this.f6852e != null) {
            if (charSequence == null) {
                charSequence = "";
            }
            super.setText(this.f6852e.f5547F0 ? null : charSequence, bufferType);
            ChipDrawable bVar = this.f6852e;
            if (bVar != null) {
                bVar.mo5358a(charSequence);
            }
        }
    }

    public void setTextAppearance(TextAppearance bVar) {
        ChipDrawable bVar2 = this.f6852e;
        if (bVar2 != null) {
            bVar2.mo5357a(bVar);
        }
        mo6649i();
    }

    public void setTextAppearanceResource(int i) {
        setTextAppearance(getContext(), i);
    }

    public void setTextEndPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null && bVar.f5571b0 != f) {
            bVar.f5571b0 = f;
            bVar.invalidateSelf();
            bVar.mo5397n();
        }
    }

    public void setTextEndPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5398n(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public void setTextStartPadding(float f) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null && bVar.f5570a0 != f) {
            bVar.f5570a0 = f;
            bVar.invalidateSelf();
            bVar.mo5397n();
        }
    }

    public void setTextStartPaddingResource(int i) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5399o(bVar.f5575f0.getResources().getDimension(i));
        }
    }

    public Chip(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C1161b.chipStyle);
    }

    /* renamed from: a */
    public void mo5408a() {
        mo6609a(this.f6863p);
        requestLayout();
        invalidateOutline();
    }

    /* renamed from: b */
    public final boolean mo6610b() {
        ChipDrawable bVar = this.f6852e;
        return (bVar == null || bVar.mo5395m() == null) ? false : true;
    }

    /* renamed from: c */
    public boolean mo6611c() {
        ChipDrawable bVar = this.f6852e;
        return bVar != null && bVar.f5562S;
    }

    public void setCloseIconVisible(boolean z) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5373d(z);
        }
        mo6615e();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:32:0x011a, code lost:
        r4 = r1.getResourceId(r4, 0);
     */
    /* JADX WARNING: Illegal instructions before constructor call */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public Chip(android.content.Context r15, android.util.AttributeSet r16, int r17) {
        /*
            r14 = this;
            r0 = r14
            r7 = r16
            r8 = r17
            int r1 = f6848u
            r2 = r15
            android.content.Context r1 = p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay.m4458a(r15, r7, r8, r1)
            r14.<init>(r1, r7, r8)
            android.graphics.Rect r1 = new android.graphics.Rect
            r1.<init>()
            r0.f6865r = r1
            android.graphics.RectF r1 = new android.graphics.RectF
            r1.<init>()
            r0.f6866s = r1
            com.google.android.material.chip.Chip$a r1 = new com.google.android.material.chip.Chip$a
            r1.<init>()
            r0.f6867t = r1
            android.content.Context r9 = r14.getContext()
            r10 = 8388627(0x800013, float:1.175497E-38)
            r11 = 1
            if (r7 != 0) goto L_0x002f
            goto L_0x008f
        L_0x002f:
            java.lang.String r1 = "http://schemas.android.com/apk/res/android"
            java.lang.String r2 = "background"
            java.lang.String r2 = r7.getAttributeValue(r1, r2)
            java.lang.String r3 = "Chip"
            if (r2 == 0) goto L_0x0040
            java.lang.String r2 = "Do not set the background; Chip manages its own background drawable."
            android.util.Log.w(r3, r2)
        L_0x0040:
            java.lang.String r2 = "drawableLeft"
            java.lang.String r2 = r7.getAttributeValue(r1, r2)
            if (r2 != 0) goto L_0x0350
            java.lang.String r2 = "drawableStart"
            java.lang.String r2 = r7.getAttributeValue(r1, r2)
            if (r2 != 0) goto L_0x0348
            java.lang.String r2 = "drawableEnd"
            java.lang.String r2 = r7.getAttributeValue(r1, r2)
            java.lang.String r4 = "Please set end drawable using R.attr#closeIcon."
            if (r2 != 0) goto L_0x0342
            java.lang.String r2 = "drawableRight"
            java.lang.String r2 = r7.getAttributeValue(r1, r2)
            if (r2 != 0) goto L_0x033c
            java.lang.String r2 = "singleLine"
            boolean r2 = r7.getAttributeBooleanValue(r1, r2, r11)
            if (r2 == 0) goto L_0x0334
            java.lang.String r2 = "lines"
            int r2 = r7.getAttributeIntValue(r1, r2, r11)
            if (r2 != r11) goto L_0x0334
            java.lang.String r2 = "minLines"
            int r2 = r7.getAttributeIntValue(r1, r2, r11)
            if (r2 != r11) goto L_0x0334
            java.lang.String r2 = "maxLines"
            int r2 = r7.getAttributeIntValue(r1, r2, r11)
            if (r2 != r11) goto L_0x0334
            java.lang.String r2 = "gravity"
            int r1 = r7.getAttributeIntValue(r1, r2, r10)
            if (r1 == r10) goto L_0x008f
            java.lang.String r1 = "Chip text must be vertically center and start aligned"
            android.util.Log.w(r3, r1)
        L_0x008f:
            int r5 = f6848u
            c.d.a.b.s.b r12 = new c.d.a.b.s.b
            r12.<init>(r9, r7, r8, r5)
            android.content.Context r1 = r12.f5575f0
            int[] r3 = p085c.p132d.p133a.p156b.C1224k.Chip
            r13 = 0
            int[] r6 = new int[r13]
            r2 = r16
            r4 = r17
            android.content.res.TypedArray r1 = p085c.p132d.p133a.p156b.p183z.ThemeEnforcement.m4671b(r1, r2, r3, r4, r5, r6)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_shapeAppearance
            boolean r2 = r1.hasValue(r2)
            r12.f5551H0 = r2
            android.content.Context r2 = r12.f5575f0
            int r3 = p085c.p132d.p133a.p156b.C1224k.Chip_chipSurfaceColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r3)
            android.content.res.ColorStateList r3 = r12.f5595z
            if (r3 == r2) goto L_0x00c2
            r12.f5595z = r2
            int[] r2 = r12.getState()
            r12.onStateChange(r2)
        L_0x00c2:
            android.content.Context r2 = r12.f5575f0
            int r3 = p085c.p132d.p133a.p156b.C1224k.Chip_chipBackgroundColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r3)
            r12.mo5366c((android.content.res.ColorStateList) r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_chipMinHeight
            r3 = 0
            float r2 = r1.getDimension(r2, r3)
            r12.mo5378f((float) r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_chipCornerRadius
            boolean r2 = r1.hasValue(r2)
            if (r2 == 0) goto L_0x00e8
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_chipCornerRadius
            float r2 = r1.getDimension(r2, r3)
            r12.mo5365c((float) r2)
        L_0x00e8:
            android.content.Context r2 = r12.f5575f0
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_chipStrokeColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r4)
            r12.mo5375e((android.content.res.ColorStateList) r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_chipStrokeWidth
            float r2 = r1.getDimension(r2, r3)
            r12.mo5386h((float) r2)
            android.content.Context r2 = r12.f5575f0
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_rippleColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r4)
            r12.mo5381g((android.content.res.ColorStateList) r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_android_text
            java.lang.CharSequence r2 = r1.getText(r2)
            r12.mo5358a((java.lang.CharSequence) r2)
            android.content.Context r2 = r12.f5575f0
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_android_textAppearance
            boolean r5 = r1.hasValue(r4)
            if (r5 == 0) goto L_0x0126
            int r4 = r1.getResourceId(r4, r13)
            if (r4 == 0) goto L_0x0126
            c.d.a.b.a0.b r5 = new c.d.a.b.a0.b
            r5.<init>(r2, r4)
            goto L_0x0127
        L_0x0126:
            r5 = 0
        L_0x0127:
            r12.mo5357a((p085c.p132d.p133a.p156b.p157a0.TextAppearance) r5)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_android_ellipsize
            int r2 = r1.getInt(r2, r13)
            if (r2 == r11) goto L_0x0143
            r4 = 2
            if (r2 == r4) goto L_0x013e
            r4 = 3
            if (r2 == r4) goto L_0x0139
            goto L_0x0147
        L_0x0139:
            android.text.TextUtils$TruncateAt r2 = android.text.TextUtils.TruncateAt.END
            r12.f5545E0 = r2
            goto L_0x0147
        L_0x013e:
            android.text.TextUtils$TruncateAt r2 = android.text.TextUtils.TruncateAt.MIDDLE
            r12.f5545E0 = r2
            goto L_0x0147
        L_0x0143:
            android.text.TextUtils$TruncateAt r2 = android.text.TextUtils.TruncateAt.START
            r12.f5545E0 = r2
        L_0x0147:
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_chipIconVisible
            boolean r2 = r1.getBoolean(r2, r13)
            r12.mo5369c((boolean) r2)
            java.lang.String r2 = "http://schemas.android.com/apk/res-auto"
            if (r7 == 0) goto L_0x016d
            java.lang.String r4 = "chipIconEnabled"
            java.lang.String r4 = r7.getAttributeValue(r2, r4)
            if (r4 == 0) goto L_0x016d
            java.lang.String r4 = "chipIconVisible"
            java.lang.String r4 = r7.getAttributeValue(r2, r4)
            if (r4 != 0) goto L_0x016d
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_chipIconEnabled
            boolean r4 = r1.getBoolean(r4, r13)
            r12.mo5369c((boolean) r4)
        L_0x016d:
            android.content.Context r4 = r12.f5575f0
            int r5 = p085c.p132d.p133a.p156b.C1224k.Chip_chipIcon
            android.graphics.drawable.Drawable r4 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4193b((android.content.Context) r4, (android.content.res.TypedArray) r1, (int) r5)
            r12.mo5368c((android.graphics.drawable.Drawable) r4)
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_chipIconTint
            boolean r4 = r1.hasValue(r4)
            if (r4 == 0) goto L_0x018b
            android.content.Context r4 = r12.f5575f0
            int r5 = p085c.p132d.p133a.p156b.C1224k.Chip_chipIconTint
            android.content.res.ColorStateList r4 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r4, (android.content.res.TypedArray) r1, (int) r5)
            r12.mo5371d((android.content.res.ColorStateList) r4)
        L_0x018b:
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_chipIconSize
            float r4 = r1.getDimension(r4, r3)
            r12.mo5374e((float) r4)
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_closeIconVisible
            boolean r4 = r1.getBoolean(r4, r13)
            r12.mo5373d((boolean) r4)
            if (r7 == 0) goto L_0x01b8
            java.lang.String r4 = "closeIconEnabled"
            java.lang.String r4 = r7.getAttributeValue(r2, r4)
            if (r4 == 0) goto L_0x01b8
            java.lang.String r4 = "closeIconVisible"
            java.lang.String r4 = r7.getAttributeValue(r2, r4)
            if (r4 != 0) goto L_0x01b8
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_closeIconEnabled
            boolean r4 = r1.getBoolean(r4, r13)
            r12.mo5373d((boolean) r4)
        L_0x01b8:
            android.content.Context r4 = r12.f5575f0
            int r5 = p085c.p132d.p133a.p156b.C1224k.Chip_closeIcon
            android.graphics.drawable.Drawable r4 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4193b((android.content.Context) r4, (android.content.res.TypedArray) r1, (int) r5)
            r12.mo5372d((android.graphics.drawable.Drawable) r4)
            android.content.Context r4 = r12.f5575f0
            int r5 = p085c.p132d.p133a.p156b.C1224k.Chip_closeIconTint
            android.content.res.ColorStateList r4 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r4, (android.content.res.TypedArray) r1, (int) r5)
            r12.mo5379f((android.content.res.ColorStateList) r4)
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_closeIconSize
            float r4 = r1.getDimension(r4, r3)
            r12.mo5390j(r4)
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_android_checkable
            boolean r4 = r1.getBoolean(r4, r13)
            r12.mo5359a((boolean) r4)
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_checkedIconVisible
            boolean r4 = r1.getBoolean(r4, r13)
            r12.mo5363b((boolean) r4)
            if (r7 == 0) goto L_0x0204
            java.lang.String r4 = "checkedIconEnabled"
            java.lang.String r4 = r7.getAttributeValue(r2, r4)
            if (r4 == 0) goto L_0x0204
            java.lang.String r4 = "checkedIconVisible"
            java.lang.String r2 = r7.getAttributeValue(r2, r4)
            if (r2 != 0) goto L_0x0204
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_checkedIconEnabled
            boolean r2 = r1.getBoolean(r2, r13)
            r12.mo5363b((boolean) r2)
        L_0x0204:
            android.content.Context r2 = r12.f5575f0
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_checkedIcon
            android.graphics.drawable.Drawable r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4193b((android.content.Context) r2, (android.content.res.TypedArray) r1, (int) r4)
            r12.mo5362b((android.graphics.drawable.Drawable) r2)
            android.content.Context r2 = r12.f5575f0
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_showMotionSpec
            c.d.a.b.l.g r2 = p085c.p132d.p133a.p156b.p168l.MotionSpec.m4461a(r2, r1, r4)
            r12.f5565V = r2
            android.content.Context r2 = r12.f5575f0
            int r4 = p085c.p132d.p133a.p156b.C1224k.Chip_hideMotionSpec
            c.d.a.b.l.g r2 = p085c.p132d.p133a.p156b.p168l.MotionSpec.m4461a(r2, r1, r4)
            r12.f5566W = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_chipStartPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5380g((float) r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_iconStartPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5396m(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_iconEndPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5394l(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_textStartPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5399o(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_textEndPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5398n(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_closeIconStartPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5392k(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_closeIconEndPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5387i(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_chipEndPadding
            float r2 = r1.getDimension(r2, r3)
            r12.mo5370d((float) r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_android_maxWidth
            r3 = 2147483647(0x7fffffff, float:NaN)
            int r2 = r1.getDimensionPixelSize(r2, r3)
            r12.f5549G0 = r2
            r1.recycle()
            int[] r3 = p085c.p132d.p133a.p156b.C1224k.Chip
            int r5 = f6848u
            int[] r6 = new int[r13]
            r1 = r9
            r2 = r16
            r4 = r17
            android.content.res.TypedArray r1 = p085c.p132d.p133a.p156b.p183z.ThemeEnforcement.m4671b(r1, r2, r3, r4, r5, r6)
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_ensureMinTouchTargetSize
            boolean r2 = r1.getBoolean(r2, r13)
            r0.f6861n = r2
            android.content.Context r2 = r14.getContext()
            android.content.res.Resources r2 = r2.getResources()
            r3 = 48
            float r3 = (float) r3
            android.util.DisplayMetrics r2 = r2.getDisplayMetrics()
            float r2 = android.util.TypedValue.applyDimension(r11, r3, r2)
            double r2 = (double) r2
            double r2 = java.lang.Math.ceil(r2)
            float r2 = (float) r2
            int r3 = p085c.p132d.p133a.p156b.C1224k.Chip_chipMinTouchTargetSize
            float r2 = r1.getDimension(r3, r2)
            double r2 = (double) r2
            double r2 = java.lang.Math.ceil(r2)
            int r2 = (int) r2
            r0.f6863p = r2
            r1.recycle()
            r14.setChipDrawable(r12)
            float r1 = p008b.p033h.p045m.ViewCompat.m1960g(r14)
            r12.mo5115a((float) r1)
            int[] r3 = p085c.p132d.p133a.p156b.C1224k.Chip
            int r5 = f6848u
            int[] r6 = new int[r13]
            r1 = r9
            r2 = r16
            android.content.res.TypedArray r1 = p085c.p132d.p133a.p156b.p183z.ThemeEnforcement.m4671b(r1, r2, r3, r4, r5, r6)
            int r2 = android.os.Build.VERSION.SDK_INT
            r3 = 23
            if (r2 >= r3) goto L_0x02e0
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_android_textColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4138a((android.content.Context) r9, (android.content.res.TypedArray) r1, (int) r2)
            r14.setTextColor(r2)
        L_0x02e0:
            int r2 = p085c.p132d.p133a.p156b.C1224k.Chip_shapeAppearance
            boolean r2 = r1.hasValue(r2)
            r1.recycle()
            com.google.android.material.chip.Chip$b r1 = new com.google.android.material.chip.Chip$b
            r1.<init>(r14)
            r0.f6864q = r1
            r14.mo6615e()
            if (r2 != 0) goto L_0x02fd
            c.d.a.b.s.a r1 = new c.d.a.b.s.a
            r1.<init>(r14)
            r14.setOutlineProvider(r1)
        L_0x02fd:
            boolean r1 = r0.f6857j
            r14.setChecked(r1)
            java.lang.CharSequence r1 = r12.f5548G
            r14.setText(r1)
            android.text.TextUtils$TruncateAt r1 = r12.f5545E0
            r14.setEllipsize(r1)
            r14.setIncludeFontPadding(r13)
            r14.mo6649i()
            c.d.a.b.s.b r1 = r0.f6852e
            boolean r1 = r1.f5547F0
            if (r1 != 0) goto L_0x031e
            r14.setLines(r11)
            r14.setHorizontallyScrolling(r11)
        L_0x031e:
            r14.setGravity(r10)
            r14.mo6648h()
            boolean r1 = r0.f6861n
            if (r1 == 0) goto L_0x032d
            int r1 = r0.f6863p
            r14.setMinHeight(r1)
        L_0x032d:
            int r1 = r14.getLayoutDirection()
            r0.f6862o = r1
            return
        L_0x0334:
            java.lang.UnsupportedOperationException r1 = new java.lang.UnsupportedOperationException
            java.lang.String r2 = "Chip does not support multi-line text"
            r1.<init>(r2)
            throw r1
        L_0x033c:
            java.lang.UnsupportedOperationException r1 = new java.lang.UnsupportedOperationException
            r1.<init>(r4)
            throw r1
        L_0x0342:
            java.lang.UnsupportedOperationException r1 = new java.lang.UnsupportedOperationException
            r1.<init>(r4)
            throw r1
        L_0x0348:
            java.lang.UnsupportedOperationException r1 = new java.lang.UnsupportedOperationException
            java.lang.String r2 = "Please set start drawable using R.attr#chipIcon."
            r1.<init>(r2)
            throw r1
        L_0x0350:
            java.lang.UnsupportedOperationException r1 = new java.lang.UnsupportedOperationException
            java.lang.String r2 = "Please set left drawable using R.attr#chipIcon."
            r1.<init>(r2)
            throw r1
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.chip.Chip.<init>(android.content.Context, android.util.AttributeSet, int):void");
    }

    public void setCheckedIconVisible(boolean z) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5363b(z);
        }
    }

    public void setChipIconVisible(boolean z) {
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5369c(z);
        }
    }

    public void setCompoundDrawablesRelativeWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set right drawable using R.attr#closeIcon.");
        }
    }

    public void setTextAppearance(Context context, int i) {
        super.setTextAppearance(context, i);
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5357a(new TextAppearance(bVar.f5575f0, i));
        }
        mo6649i();
    }

    /* renamed from: a */
    public boolean mo6609a(int i) {
        this.f6863p = i;
        if (!this.f6861n) {
            if (this.f6853f != null) {
                mo6612d();
            } else {
                mo6616f();
            }
            return false;
        }
        int max = Math.max(0, i - ((int) this.f6852e.f5538B));
        int max2 = Math.max(0, i - this.f6852e.getIntrinsicWidth());
        if (max2 > 0 || max > 0) {
            int i2 = max2 > 0 ? max2 / 2 : 0;
            int i3 = max > 0 ? max / 2 : 0;
            if (this.f6853f != null) {
                Rect rect = new Rect();
                this.f6853f.getPadding(rect);
                if (rect.top == i3 && rect.bottom == i3 && rect.left == i2 && rect.right == i2) {
                    mo6616f();
                    return true;
                }
            }
            if (getMinHeight() != i) {
                setMinHeight(i);
            }
            if (getMinWidth() != i) {
                setMinWidth(i);
            }
            this.f6853f = new InsetDrawable(this.f6852e, i2, i3, i2, i3);
            mo6616f();
            return true;
        }
        if (this.f6853f != null) {
            mo6612d();
        } else {
            mo6616f();
        }
        return false;
    }

    /* renamed from: com.google.android.material.chip.Chip$b */
    public class C1599b extends ExploreByTouchHelper {
        public C1599b(Chip chip) {
            super(chip);
        }

        /* renamed from: a */
        public void mo3214a(List<Integer> list) {
            boolean z = false;
            list.add(0);
            if (Chip.this.mo6610b()) {
                ChipDrawable bVar = Chip.this.f6852e;
                if (bVar != null && bVar.f5556M) {
                    z = true;
                }
                if (z && Chip.this.f6855h != null) {
                    list.add(1);
                }
            }
        }

        /* renamed from: a */
        public void mo3213a(int i, AccessibilityNodeInfoCompat bVar) {
            CharSequence charSequence = "";
            if (i == 1) {
                CharSequence closeIconContentDescription = Chip.this.getCloseIconContentDescription();
                if (closeIconContentDescription != null) {
                    bVar.f2546a.setContentDescription(closeIconContentDescription);
                } else {
                    CharSequence text = Chip.this.getText();
                    Context context = Chip.this.getContext();
                    int i2 = C1220i.mtrl_chip_close_icon_content_description;
                    Object[] objArr = new Object[1];
                    if (!TextUtils.isEmpty(text)) {
                        charSequence = text;
                    }
                    objArr[0] = charSequence;
                    bVar.f2546a.setContentDescription(context.getString(i2, objArr).trim());
                }
                bVar.f2546a.setBoundsInParent(Chip.this.getCloseIconTouchBoundsInt());
                bVar.mo3167a(AccessibilityNodeInfoCompat.C0411a.f2549e);
                bVar.f2546a.setEnabled(Chip.this.isEnabled());
                return;
            }
            bVar.f2546a.setContentDescription(charSequence);
            bVar.f2546a.setBoundsInParent(Chip.f6849v);
        }

        /* renamed from: a */
        public boolean mo3217a(int i, int i2, Bundle bundle) {
            boolean z = false;
            if (i2 == 16) {
                if (i == 0) {
                    return Chip.this.performClick();
                }
                if (i == 1) {
                    Chip chip = Chip.this;
                    chip.playSoundEffect(0);
                    View.OnClickListener onClickListener = chip.f6855h;
                    if (onClickListener != null) {
                        onClickListener.onClick(chip);
                        z = true;
                    }
                    chip.f6864q.mo3216a(1, 1);
                }
            }
            return z;
        }
    }

    public void setTextAppearance(int i) {
        super.setTextAppearance(i);
        ChipDrawable bVar = this.f6852e;
        if (bVar != null) {
            bVar.mo5357a(new TextAppearance(bVar.f5575f0, i));
        }
        mo6649i();
    }
}
