package com.google.android.material.chip;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import java.util.ArrayList;
import java.util.List;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay;
import p085c.p132d.p133a.p156b.p183z.FlowLayout;
import p085c.p132d.p133a.p156b.p183z.ThemeEnforcement;

public class ChipGroup extends FlowLayout {

    /* renamed from: o */
    public static final int f6870o = C1221j.Widget_MaterialComponents_ChipGroup;

    /* renamed from: f */
    public int f6871f;

    /* renamed from: g */
    public int f6872g;

    /* renamed from: h */
    public boolean f6873h;

    /* renamed from: i */
    public boolean f6874i;

    /* renamed from: j */
    public C1603d f6875j;

    /* renamed from: k */
    public final C1601b f6876k;

    /* renamed from: l */
    public C1604e f6877l;

    /* renamed from: m */
    public int f6878m;

    /* renamed from: n */
    public boolean f6879n;

    /* renamed from: com.google.android.material.chip.ChipGroup$b */
    public class C1601b implements CompoundButton.OnCheckedChangeListener {
        public /* synthetic */ C1601b(C1600a aVar) {
        }

        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            ChipGroup chipGroup = ChipGroup.this;
            if (!chipGroup.f6879n) {
                if (chipGroup.getCheckedChipIds().isEmpty()) {
                    ChipGroup chipGroup2 = ChipGroup.this;
                    if (chipGroup2.f6874i) {
                        chipGroup2.mo6750a(compoundButton.getId(), true);
                        ChipGroup chipGroup3 = ChipGroup.this;
                        chipGroup3.f6878m = compoundButton.getId();
                        C1603d dVar = chipGroup3.f6875j;
                        return;
                    }
                }
                int id = compoundButton.getId();
                if (z) {
                    ChipGroup chipGroup4 = ChipGroup.this;
                    int i = chipGroup4.f6878m;
                    if (!(i == -1 || i == id || !chipGroup4.f6873h)) {
                        chipGroup4.mo6750a(i, false);
                    }
                    ChipGroup.this.setCheckedId(id);
                    return;
                }
                ChipGroup chipGroup5 = ChipGroup.this;
                if (chipGroup5.f6878m == id) {
                    chipGroup5.setCheckedId(-1);
                }
            }
        }
    }

    /* renamed from: com.google.android.material.chip.ChipGroup$c */
    public static class C1602c extends ViewGroup.MarginLayoutParams {
        public C1602c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public C1602c(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public C1602c(int i, int i2) {
            super(i, i2);
        }
    }

    /* renamed from: com.google.android.material.chip.ChipGroup$d */
    public interface C1603d {
        /* renamed from: a */
        void mo6780a(ChipGroup chipGroup, int i);
    }

    /* renamed from: com.google.android.material.chip.ChipGroup$e */
    public class C1604e implements ViewGroup.OnHierarchyChangeListener {

        /* renamed from: b */
        public ViewGroup.OnHierarchyChangeListener f6881b;

        public /* synthetic */ C1604e(C1600a aVar) {
        }

        public void onChildViewAdded(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                if (view2.getId() == -1) {
                    view2.setId(View.generateViewId());
                }
                ((Chip) view2).setOnCheckedChangeListenerInternal(ChipGroup.this.f6876k);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f6881b;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewAdded(view, view2);
            }
        }

        public void onChildViewRemoved(View view, View view2) {
            if (view == ChipGroup.this && (view2 instanceof Chip)) {
                ((Chip) view2).setOnCheckedChangeListenerInternal((CompoundButton.OnCheckedChangeListener) null);
            }
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = this.f6881b;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewRemoved(view, view2);
            }
        }
    }

    public ChipGroup(Context context) {
        this(context, (AttributeSet) null);
    }

    private int getChipCount() {
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if (getChildAt(i2) instanceof Chip) {
                i++;
            }
        }
        return i;
    }

    /* access modifiers changed from: private */
    public void setCheckedId(int i) {
        this.f6878m = i;
        C1603d dVar = this.f6875j;
        if (dVar != null && this.f6873h) {
            dVar.mo6780a(this, i);
        }
    }

    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof Chip) {
            Chip chip = (Chip) view;
            if (chip.isChecked()) {
                int i2 = this.f6878m;
                if (i2 != -1 && this.f6873h) {
                    mo6750a(i2, false);
                }
                setCheckedId(chip.getId());
            }
        }
        super.addView(view, i, layoutParams);
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof C1602c);
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new C1602c(-2, -2);
    }

    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new C1602c(getContext(), attributeSet);
    }

    public int getCheckedChipId() {
        if (this.f6873h) {
            return this.f6878m;
        }
        return -1;
    }

    public List<Integer> getCheckedChipIds() {
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if ((childAt instanceof Chip) && ((Chip) childAt).isChecked()) {
                arrayList.add(Integer.valueOf(childAt.getId()));
                if (this.f6873h) {
                    return arrayList;
                }
            }
        }
        return arrayList;
    }

    public int getChipSpacingHorizontal() {
        return this.f6871f;
    }

    public int getChipSpacingVertical() {
        return this.f6872g;
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        int i = this.f6878m;
        if (i != -1) {
            mo6750a(i, true);
            setCheckedId(this.f6878m);
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        new AccessibilityNodeInfoCompat(accessibilityNodeInfo).mo3169a((Object) new AccessibilityNodeInfoCompat.C0412b(AccessibilityNodeInfo.CollectionInfo.obtain(getRowCount(), this.f5797d ? getChipCount() : -1, false, this.f6873h ? 1 : 2)));
    }

    public void setChipSpacing(int i) {
        setChipSpacingHorizontal(i);
        setChipSpacingVertical(i);
    }

    public void setChipSpacingHorizontal(int i) {
        if (this.f6871f != i) {
            this.f6871f = i;
            setItemSpacing(i);
            requestLayout();
        }
    }

    public void setChipSpacingHorizontalResource(int i) {
        setChipSpacingHorizontal(getResources().getDimensionPixelOffset(i));
    }

    public void setChipSpacingResource(int i) {
        setChipSpacing(getResources().getDimensionPixelOffset(i));
    }

    public void setChipSpacingVertical(int i) {
        if (this.f6872g != i) {
            this.f6872g = i;
            setLineSpacing(i);
            requestLayout();
        }
    }

    public void setChipSpacingVerticalResource(int i) {
        setChipSpacingVertical(getResources().getDimensionPixelOffset(i));
    }

    @Deprecated
    public void setDividerDrawableHorizontal(Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setDividerDrawableVertical(Drawable drawable) {
        throw new UnsupportedOperationException("Changing divider drawables have no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setFlexWrap(int i) {
        throw new UnsupportedOperationException("Changing flex wrap not allowed. ChipGroup exposes a singleLine attribute instead.");
    }

    public void setOnCheckedChangeListener(C1603d dVar) {
        this.f6875j = dVar;
    }

    public void setOnHierarchyChangeListener(ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener) {
        this.f6877l.f6881b = onHierarchyChangeListener;
    }

    public void setSelectionRequired(boolean z) {
        this.f6874i = z;
    }

    @Deprecated
    public void setShowDividerHorizontal(int i) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    @Deprecated
    public void setShowDividerVertical(int i) {
        throw new UnsupportedOperationException("Changing divider modes has no effect. ChipGroup do not use divider drawables as spacing.");
    }

    public void setSingleLine(boolean z) {
        super.setSingleLine(z);
    }

    public void setSingleSelection(boolean z) {
        if (this.f6873h != z) {
            this.f6873h = z;
            this.f6879n = true;
            for (int i = 0; i < getChildCount(); i++) {
                View childAt = getChildAt(i);
                if (childAt instanceof Chip) {
                    ((Chip) childAt).setChecked(false);
                }
            }
            this.f6879n = false;
            setCheckedId(-1);
        }
    }

    public ChipGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C1161b.chipGroupStyle);
    }

    /* renamed from: a */
    public boolean mo5548a() {
        return this.f5797d;
    }

    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new C1602c(layoutParams);
    }

    public void setSingleLine(int i) {
        setSingleLine(getResources().getBoolean(i));
    }

    public ChipGroup(Context context, AttributeSet attributeSet, int i) {
        super(MaterialThemeOverlay.m4458a(context, attributeSet, i, f6870o), attributeSet, i);
        this.f6876k = new C1601b((C1600a) null);
        this.f6877l = new C1604e((C1600a) null);
        this.f6878m = -1;
        this.f6879n = false;
        TypedArray b = ThemeEnforcement.m4671b(getContext(), attributeSet, C1224k.ChipGroup, i, f6870o, new int[0]);
        int dimensionPixelOffset = b.getDimensionPixelOffset(C1224k.ChipGroup_chipSpacing, 0);
        setChipSpacingHorizontal(b.getDimensionPixelOffset(C1224k.ChipGroup_chipSpacingHorizontal, dimensionPixelOffset));
        setChipSpacingVertical(b.getDimensionPixelOffset(C1224k.ChipGroup_chipSpacingVertical, dimensionPixelOffset));
        setSingleLine(b.getBoolean(C1224k.ChipGroup_singleLine, false));
        setSingleSelection(b.getBoolean(C1224k.ChipGroup_singleSelection, false));
        setSelectionRequired(b.getBoolean(C1224k.ChipGroup_selectionRequired, false));
        int resourceId = b.getResourceId(C1224k.ChipGroup_checkedChip, -1);
        if (resourceId != -1) {
            this.f6878m = resourceId;
        }
        b.recycle();
        super.setOnHierarchyChangeListener(this.f6877l);
        ViewCompat.m1962h(this, 1);
    }

    /* renamed from: a */
    public final void mo6750a(int i, boolean z) {
        View findViewById = findViewById(i);
        if (findViewById instanceof Chip) {
            this.f6879n = true;
            ((Chip) findViewById).setChecked(z);
            this.f6879n = false;
        }
    }

    public void setSingleSelection(int i) {
        setSingleSelection(getResources().getBoolean(i));
    }
}
