package com.google.android.material.datepicker;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.View;
import android.widget.GridView;
import android.widget.ListAdapter;
import java.util.Calendar;
import p008b.p033h.p044l.Pair;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1192f;
import p085c.p132d.p133a.p156b.p178u.CalendarStyle;
import p085c.p132d.p133a.p156b.p178u.DateSelector;
import p085c.p132d.p133a.p156b.p178u.MonthAdapter;

public final class MaterialCalendarGridView extends GridView {

    /* renamed from: b */
    public final Calendar f6905b;

    /* renamed from: com.google.android.material.datepicker.MaterialCalendarGridView$a */
    public class C1611a extends AccessibilityDelegateCompat {
        public C1611a(MaterialCalendarGridView materialCalendarGridView) {
        }

        /* renamed from: a */
        public void mo725a(View view, AccessibilityNodeInfoCompat bVar) {
            this.f2500a.onInitializeAccessibilityNodeInfo(view, bVar.f2546a);
            bVar.mo3169a((Object) null);
        }
    }

    public MaterialCalendarGridView(Context context) {
        this(context, (AttributeSet) null);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getAdapter().notifyDataSetChanged();
    }

    public final void onDraw(Canvas canvas) {
        int i;
        int i2;
        int i3;
        int i4;
        MaterialCalendarGridView materialCalendarGridView = this;
        super.onDraw(canvas);
        MonthAdapter adapter = getAdapter();
        DateSelector<?> dVar = adapter.f5658c;
        CalendarStyle cVar = adapter.f5659d;
        Long item = adapter.getItem(adapter.mo5471a());
        Long item2 = adapter.getItem(adapter.mo5472b());
        for (Pair next : dVar.mo5442g()) {
            F f = next.f2494a;
            if (f != null) {
                if (next.f2495b == null) {
                    continue;
                } else {
                    long longValue = ((Long) f).longValue();
                    long longValue2 = ((Long) next.f2495b).longValue();
                    Long valueOf = Long.valueOf(longValue);
                    Long valueOf2 = Long.valueOf(longValue2);
                    int i5 = 1;
                    if (!(item == null || item2 == null || valueOf == null || valueOf2 == null || valueOf.longValue() > item2.longValue() || valueOf2.longValue() < item.longValue())) {
                        if (longValue < item.longValue()) {
                            i2 = adapter.mo5471a();
                            if (i2 % adapter.f5657b.f5653f == 0) {
                                i = 0;
                            } else {
                                i = materialCalendarGridView.getChildAt(i2 - 1).getRight();
                            }
                        } else {
                            materialCalendarGridView.f6905b.setTimeInMillis(longValue);
                            i2 = (materialCalendarGridView.f6905b.get(5) - 1) + adapter.mo5471a();
                            View childAt = materialCalendarGridView.getChildAt(i2);
                            i = (childAt.getWidth() / 2) + childAt.getLeft();
                        }
                        if (longValue2 > item2.longValue()) {
                            i4 = adapter.mo5472b();
                            if ((i4 + 1) % adapter.f5657b.f5653f == 0) {
                                i3 = getWidth();
                            } else {
                                i3 = materialCalendarGridView.getChildAt(i4).getRight();
                            }
                        } else {
                            materialCalendarGridView.f6905b.setTimeInMillis(longValue2);
                            i4 = (materialCalendarGridView.f6905b.get(5) - 1) + adapter.mo5471a();
                            View childAt2 = materialCalendarGridView.getChildAt(i4);
                            i3 = (childAt2.getWidth() / 2) + childAt2.getLeft();
                        }
                        int itemId = (int) adapter.getItemId(i2);
                        int itemId2 = (int) adapter.getItemId(i4);
                        while (itemId <= itemId2) {
                            int numColumns = getNumColumns() * itemId;
                            int numColumns2 = (getNumColumns() + numColumns) - i5;
                            View childAt3 = materialCalendarGridView.getChildAt(numColumns);
                            canvas.drawRect((float) (numColumns > i2 ? 0 : i), (float) (childAt3.getTop() + cVar.f5623a.f5617a.top), (float) (i4 > numColumns2 ? getWidth() : i3), (float) (childAt3.getBottom() - cVar.f5623a.f5617a.bottom), cVar.f5630h);
                            itemId++;
                            i5 = 1;
                            materialCalendarGridView = this;
                        }
                    } else {
                        return;
                    }
                }
            }
            materialCalendarGridView = this;
        }
    }

    public void onFocusChanged(boolean z, int i, Rect rect) {
        if (!z) {
            super.onFocusChanged(false, i, rect);
        } else if (i == 33) {
            setSelection(getAdapter().mo5472b());
        } else if (i == 130) {
            setSelection(getAdapter().mo5471a());
        } else {
            super.onFocusChanged(true, i, rect);
        }
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (!super.onKeyDown(i, keyEvent)) {
            return false;
        }
        if (getSelectedItemPosition() == -1 || getSelectedItemPosition() >= getAdapter().mo5471a()) {
            return true;
        }
        if (19 != i) {
            return false;
        }
        setSelection(getAdapter().mo5471a());
        return true;
    }

    public void setSelection(int i) {
        if (i < getAdapter().mo5471a()) {
            super.setSelection(getAdapter().mo5471a());
        } else {
            super.setSelection(i);
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public final void setAdapter(ListAdapter listAdapter) {
        if (listAdapter instanceof MonthAdapter) {
            super.setAdapter(listAdapter);
        } else {
            throw new IllegalArgumentException(String.format("%1$s must have its Adapter set to a %2$s", new Object[]{MaterialCalendarGridView.class.getCanonicalName(), MonthAdapter.class.getCanonicalName()}));
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f6905b = C1050v.m4211c();
        if (MaterialDatePicker.m5294b(getContext())) {
            setNextFocusLeftId(C1192f.cancel_button);
            setNextFocusRightId(C1192f.confirm_button);
        }
        ViewCompat.m1938a((View) this, (AccessibilityDelegateCompat) new C1611a(this));
    }

    public MonthAdapter getAdapter() {
        return (MonthAdapter) super.getAdapter();
    }
}
