package com.google.android.material.datepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.InsetDrawable;
import android.os.Bundle;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;
import androidx.fragment.app.DialogFragment;
import com.google.android.material.internal.CheckableImageButton;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.instrumentation.Instrumented;
import java.util.Iterator;
import java.util.LinkedHashSet;
import p008b.p033h.p045m.ViewCompat;
import p008b.p058m.p059d.BackStackRecord;
import p008b.p058m.p059d.FragmentManager;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1163d;
import p085c.p132d.p133a.p156b.C1192f;
import p085c.p132d.p133a.p156b.C1220i;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.p160d0.MaterialShapeDrawable;
import p085c.p132d.p133a.p156b.p178u.CalendarConstraints;
import p085c.p132d.p133a.p156b.p178u.DateSelector;
import p085c.p132d.p133a.p156b.p178u.MaterialPickerOnPositiveButtonClickListener;
import p085c.p132d.p133a.p156b.p178u.Month;
import p085c.p132d.p133a.p156b.p178u.OnSelectionChangedListener;
import p085c.p132d.p133a.p156b.p178u.PickerFragment;
import p085c.p132d.p133a.p156b.p179v.InsetDialogOnTouchListener;

@Instrumented
public final class MaterialDatePicker<S> extends DialogFragment implements TraceFieldInterface {

    /* renamed from: s */
    public static final Object f6906s = "CONFIRM_BUTTON_TAG";

    /* renamed from: t */
    public static final Object f6907t = "CANCEL_BUTTON_TAG";

    /* renamed from: u */
    public static final Object f6908u = "TOGGLE_BUTTON_TAG";

    /* renamed from: b */
    public final LinkedHashSet<MaterialPickerOnPositiveButtonClickListener<? super S>> f6909b = new LinkedHashSet<>();

    /* renamed from: c */
    public final LinkedHashSet<View.OnClickListener> f6910c = new LinkedHashSet<>();

    /* renamed from: d */
    public final LinkedHashSet<DialogInterface.OnCancelListener> f6911d = new LinkedHashSet<>();

    /* renamed from: e */
    public final LinkedHashSet<DialogInterface.OnDismissListener> f6912e = new LinkedHashSet<>();

    /* renamed from: f */
    public int f6913f;

    /* renamed from: g */
    public DateSelector<S> f6914g;

    /* renamed from: h */
    public PickerFragment<S> f6915h;

    /* renamed from: i */
    public CalendarConstraints f6916i;

    /* renamed from: j */
    public MaterialCalendar<S> f6917j;

    /* renamed from: k */
    public int f6918k;

    /* renamed from: l */
    public CharSequence f6919l;

    /* renamed from: m */
    public boolean f6920m;

    /* renamed from: n */
    public int f6921n;

    /* renamed from: o */
    public TextView f6922o;

    /* renamed from: p */
    public CheckableImageButton f6923p;

    /* renamed from: q */
    public MaterialShapeDrawable f6924q;

    /* renamed from: r */
    public Button f6925r;

    /* renamed from: com.google.android.material.datepicker.MaterialDatePicker$a */
    public class C1612a implements View.OnClickListener {
        public C1612a() {
        }

        public void onClick(View view) {
            Iterator it = MaterialDatePicker.this.f6909b.iterator();
            while (it.hasNext()) {
                ((MaterialPickerOnPositiveButtonClickListener) it.next()).mo5459a(MaterialDatePicker.this.f6914g.mo5438a());
            }
            MaterialDatePicker.this.dismiss();
        }
    }

    /* renamed from: com.google.android.material.datepicker.MaterialDatePicker$b */
    public class C1613b implements View.OnClickListener {
        public C1613b() {
        }

        public void onClick(View view) {
            Iterator it = MaterialDatePicker.this.f6910c.iterator();
            while (it.hasNext()) {
                ((View.OnClickListener) it.next()).onClick(view);
            }
            MaterialDatePicker.this.dismiss();
        }
    }

    /* renamed from: com.google.android.material.datepicker.MaterialDatePicker$c */
    public class C1614c implements OnSelectionChangedListener<S> {
        public C1614c() {
        }

        /* renamed from: a */
        public void mo5481a(S s) {
            MaterialDatePicker.this.mo6798c();
            if (MaterialDatePicker.this.f6914g.mo5443h()) {
                MaterialDatePicker.this.f6925r.setEnabled(true);
            } else {
                MaterialDatePicker.this.f6925r.setEnabled(false);
            }
        }
    }

    /* renamed from: d */
    public static long m5295d() {
        return Month.m4573c().f5655h;
    }

    /* renamed from: b */
    public final void mo6797b() {
        DateSelector<S> dVar = this.f6914g;
        Context requireContext = requireContext();
        int i = this.f6913f;
        if (i == 0) {
            i = this.f6914g.mo5440b(requireContext);
        }
        CalendarConstraints aVar = this.f6916i;
        MaterialCalendar<S> materialCalendar = new MaterialCalendar<>();
        Bundle bundle = new Bundle();
        bundle.putInt("THEME_RES_ID_KEY", i);
        bundle.putParcelable("GRID_SELECTOR_KEY", dVar);
        bundle.putParcelable("CALENDAR_CONSTRAINTS_KEY", aVar);
        bundle.putParcelable("CURRENT_MONTH_KEY", aVar.f5607d);
        materialCalendar.setArguments(bundle);
        this.f6917j = materialCalendar;
        PickerFragment tVar = materialCalendar;
        if (this.f6923p.f6958d) {
            DateSelector<S> dVar2 = this.f6914g;
            CalendarConstraints aVar2 = this.f6916i;
            PickerFragment materialTextInputPicker = new MaterialTextInputPicker();
            Bundle bundle2 = new Bundle();
            bundle2.putParcelable("DATE_SELECTOR_KEY", dVar2);
            bundle2.putParcelable("CALENDAR_CONSTRAINTS_KEY", aVar2);
            materialTextInputPicker.setArguments(bundle2);
            tVar = materialTextInputPicker;
        }
        this.f6915h = tVar;
        mo6798c();
        FragmentManager childFragmentManager = getChildFragmentManager();
        if (childFragmentManager != null) {
            BackStackRecord aVar3 = new BackStackRecord(childFragmentManager);
            aVar3.mo3526a(C1192f.mtrl_calendar_frame, this.f6915h);
            aVar3.mo3322c();
            PickerFragment<S> tVar2 = this.f6915h;
            tVar2.f5669b.add(new C1614c());
            return;
        }
        throw null;
    }

    /* renamed from: c */
    public final void mo6798c() {
        String a = this.f6914g.mo5439a(getContext());
        this.f6922o.setContentDescription(String.format(getString(C1220i.mtrl_picker_announce_current_selection), new Object[]{a}));
        this.f6922o.setText(a);
    }

    public final void onCancel(DialogInterface dialogInterface) {
        Iterator it = this.f6911d.iterator();
        while (it.hasNext()) {
            ((DialogInterface.OnCancelListener) it.next()).onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(3:1|2|8) */
    /* JADX WARNING: Missing exception handler attribute for start block: B:1:0x0008 */
    /* JADX WARNING: Removed duplicated region for block: B:1:0x0008 A[LOOP:0: B:1:0x0008->B:2:?, LOOP_START, SYNTHETIC, Splitter:B:1:0x0008] */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void onCreate(android.os.Bundle r3) {
        /*
            r2 = this;
            java.lang.String r0 = "MaterialDatePicker#onCreate"
            java.lang.String r1 = "MaterialDatePicker"
            com.newrelic.agent.android.tracing.TraceMachine.startTracing(r1)
            r1 = 0
        L_0x0008:
            com.newrelic.agent.android.tracing.TraceMachine.enterMethod(r1, r0, r1)     // Catch:{ NoSuchFieldError -> 0x0008 }
            super.onCreate(r3)
            if (r3 != 0) goto L_0x0014
            android.os.Bundle r3 = r2.getArguments()
        L_0x0014:
            java.lang.String r0 = "OVERRIDE_THEME_RES_ID"
            int r0 = r3.getInt(r0)
            r2.f6913f = r0
            java.lang.String r0 = "DATE_SELECTOR_KEY"
            android.os.Parcelable r0 = r3.getParcelable(r0)
            c.d.a.b.u.d r0 = (p085c.p132d.p133a.p156b.p178u.DateSelector) r0
            r2.f6914g = r0
            java.lang.String r0 = "CALENDAR_CONSTRAINTS_KEY"
            android.os.Parcelable r0 = r3.getParcelable(r0)
            c.d.a.b.u.a r0 = (p085c.p132d.p133a.p156b.p178u.CalendarConstraints) r0
            r2.f6916i = r0
            java.lang.String r0 = "TITLE_TEXT_RES_ID_KEY"
            int r0 = r3.getInt(r0)
            r2.f6918k = r0
            java.lang.String r0 = "TITLE_TEXT_KEY"
            java.lang.CharSequence r0 = r3.getCharSequence(r0)
            r2.f6919l = r0
            java.lang.String r0 = "INPUT_MODE_KEY"
            int r3 = r3.getInt(r0)
            r2.f6921n = r3
            com.newrelic.agent.android.tracing.TraceMachine.exitMethod()
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.datepicker.MaterialDatePicker.onCreate(android.os.Bundle):void");
    }

    public final Dialog onCreateDialog(Bundle bundle) {
        Context requireContext = requireContext();
        Context requireContext2 = requireContext();
        int i = this.f6913f;
        if (i == 0) {
            i = this.f6914g.mo5440b(requireContext2);
        }
        Dialog dialog = new Dialog(requireContext, i);
        Context context = dialog.getContext();
        this.f6920m = m5294b(context);
        int a = C1050v.m4130a(context, C1161b.colorSurface, MaterialDatePicker.class.getCanonicalName());
        MaterialShapeDrawable gVar = new MaterialShapeDrawable(context, (AttributeSet) null, C1161b.materialCalendarStyle, C1221j.Widget_MaterialComponents_MaterialCalendar);
        this.f6924q = gVar;
        gVar.mo5118a(context);
        this.f6924q.mo5119a(ColorStateList.valueOf(a));
        this.f6924q.mo5115a(ViewCompat.m1960g(dialog.getWindow().getDecorView()));
        return dialog;
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(3:1|2|25) */
    /* JADX WARNING: Missing exception handler attribute for start block: B:1:0x0003 */
    /* JADX WARNING: Removed duplicated region for block: B:1:0x0003 A[LOOP:0: B:1:0x0003->B:2:?, LOOP_START, SYNTHETIC, Splitter:B:1:0x0003] */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final android.view.View onCreateView(android.view.LayoutInflater r8, android.view.ViewGroup r9, android.os.Bundle r10) {
        /*
            r7 = this;
            java.lang.String r10 = "MaterialDatePicker#onCreateView"
            r0 = 0
        L_0x0003:
            com.newrelic.agent.android.tracing.TraceMachine.enterMethod(r0, r10, r0)     // Catch:{ NoSuchFieldError -> 0x0003 }
            boolean r10 = r7.f6920m
            if (r10 == 0) goto L_0x000d
            int r10 = p085c.p132d.p133a.p156b.C1218h.mtrl_picker_fullscreen
            goto L_0x000f
        L_0x000d:
            int r10 = p085c.p132d.p133a.p156b.C1218h.mtrl_picker_dialog
        L_0x000f:
            android.view.View r8 = r8.inflate(r10, r9)
            android.content.Context r9 = r8.getContext()
            boolean r10 = r7.f6920m
            if (r10 == 0) goto L_0x002f
            int r10 = p085c.p132d.p133a.p156b.C1192f.mtrl_calendar_frame
            android.view.View r10 = r8.findViewById(r10)
            android.widget.LinearLayout$LayoutParams r1 = new android.widget.LinearLayout$LayoutParams
            int r2 = m5292a((android.content.Context) r9)
            r3 = -2
            r1.<init>(r2, r3)
            r10.setLayoutParams(r1)
            goto L_0x008c
        L_0x002f:
            int r10 = p085c.p132d.p133a.p156b.C1192f.mtrl_calendar_main_pane
            android.view.View r10 = r8.findViewById(r10)
            int r1 = p085c.p132d.p133a.p156b.C1192f.mtrl_calendar_frame
            android.view.View r1 = r8.findViewById(r1)
            android.widget.LinearLayout$LayoutParams r2 = new android.widget.LinearLayout$LayoutParams
            int r3 = m5292a((android.content.Context) r9)
            r4 = -1
            r2.<init>(r3, r4)
            r10.setLayoutParams(r2)
            android.content.Context r10 = r7.requireContext()
            android.content.res.Resources r10 = r10.getResources()
            int r2 = p085c.p132d.p133a.p156b.C1163d.mtrl_calendar_navigation_height
            int r2 = r10.getDimensionPixelSize(r2)
            int r3 = p085c.p132d.p133a.p156b.C1163d.mtrl_calendar_navigation_top_padding
            int r3 = r10.getDimensionPixelOffset(r3)
            int r3 = r3 + r2
            int r2 = p085c.p132d.p133a.p156b.C1163d.mtrl_calendar_navigation_bottom_padding
            int r2 = r10.getDimensionPixelOffset(r2)
            int r2 = r2 + r3
            int r3 = p085c.p132d.p133a.p156b.C1163d.mtrl_calendar_days_of_week_height
            int r3 = r10.getDimensionPixelSize(r3)
            int r5 = p085c.p132d.p133a.p156b.p178u.MonthAdapter.f5656f
            int r6 = p085c.p132d.p133a.p156b.C1163d.mtrl_calendar_day_height
            int r6 = r10.getDimensionPixelSize(r6)
            int r6 = r6 * r5
            int r5 = p085c.p132d.p133a.p156b.p178u.MonthAdapter.f5656f
            int r5 = r5 + r4
            int r4 = p085c.p132d.p133a.p156b.C1163d.mtrl_calendar_month_vertical_padding
            int r4 = r10.getDimensionPixelOffset(r4)
            int r4 = r4 * r5
            int r4 = r4 + r6
            int r5 = p085c.p132d.p133a.p156b.C1163d.mtrl_calendar_bottom_padding
            int r10 = r10.getDimensionPixelOffset(r5)
            int r2 = r2 + r3
            int r2 = r2 + r4
            int r2 = r2 + r10
            r1.setMinimumHeight(r2)
        L_0x008c:
            int r10 = p085c.p132d.p133a.p156b.C1192f.mtrl_picker_header_selection_text
            android.view.View r10 = r8.findViewById(r10)
            android.widget.TextView r10 = (android.widget.TextView) r10
            r7.f6922o = r10
            r1 = 1
            p008b.p033h.p045m.ViewCompat.m1961g(r10, r1)
            int r10 = p085c.p132d.p133a.p156b.C1192f.mtrl_picker_header_toggle
            android.view.View r10 = r8.findViewById(r10)
            com.google.android.material.internal.CheckableImageButton r10 = (com.google.android.material.internal.CheckableImageButton) r10
            r7.f6923p = r10
            int r10 = p085c.p132d.p133a.p156b.C1192f.mtrl_picker_title_text
            android.view.View r10 = r8.findViewById(r10)
            android.widget.TextView r10 = (android.widget.TextView) r10
            java.lang.CharSequence r2 = r7.f6919l
            if (r2 == 0) goto L_0x00b4
            r10.setText(r2)
            goto L_0x00b9
        L_0x00b4:
            int r2 = r7.f6918k
            r10.setText(r2)
        L_0x00b9:
            com.google.android.material.internal.CheckableImageButton r10 = r7.f6923p
            java.lang.Object r2 = f6908u
            r10.setTag(r2)
            com.google.android.material.internal.CheckableImageButton r10 = r7.f6923p
            android.graphics.drawable.StateListDrawable r2 = new android.graphics.drawable.StateListDrawable
            r2.<init>()
            int[] r3 = new int[r1]
            r4 = 16842912(0x10100a0, float:2.3694006E-38)
            r5 = 0
            r3[r5] = r4
            int r4 = p085c.p132d.p133a.p156b.C1176e.ic_calendar_black_24dp
            android.graphics.drawable.Drawable r4 = p008b.p010b.p012l.p013a.AppCompatResources.m982c(r9, r4)
            r2.addState(r3, r4)
            int[] r3 = new int[r5]
            int r4 = p085c.p132d.p133a.p156b.C1176e.ic_edit_black_24dp
            android.graphics.drawable.Drawable r9 = p008b.p010b.p012l.p013a.AppCompatResources.m982c(r9, r4)
            r2.addState(r3, r9)
            r10.setImageDrawable(r2)
            com.google.android.material.internal.CheckableImageButton r9 = r7.f6923p
            int r10 = r7.f6921n
            if (r10 == 0) goto L_0x00ee
            r10 = 1
            goto L_0x00ef
        L_0x00ee:
            r10 = 0
        L_0x00ef:
            r9.setChecked(r10)
            com.google.android.material.internal.CheckableImageButton r9 = r7.f6923p
            p008b.p033h.p045m.ViewCompat.m1938a((android.view.View) r9, (p008b.p033h.p045m.AccessibilityDelegateCompat) r0)
            com.google.android.material.internal.CheckableImageButton r9 = r7.f6923p
            r7.mo6796a((com.google.android.material.internal.CheckableImageButton) r9)
            com.google.android.material.internal.CheckableImageButton r9 = r7.f6923p
            c.d.a.b.u.m r10 = new c.d.a.b.u.m
            r10.<init>(r7)
            r9.setOnClickListener(r10)
            int r9 = p085c.p132d.p133a.p156b.C1192f.confirm_button
            android.view.View r9 = r8.findViewById(r9)
            android.widget.Button r9 = (android.widget.Button) r9
            r7.f6925r = r9
            c.d.a.b.u.d<S> r9 = r7.f6914g
            boolean r9 = r9.mo5443h()
            if (r9 == 0) goto L_0x011e
            android.widget.Button r9 = r7.f6925r
            r9.setEnabled(r1)
            goto L_0x0123
        L_0x011e:
            android.widget.Button r9 = r7.f6925r
            r9.setEnabled(r5)
        L_0x0123:
            android.widget.Button r9 = r7.f6925r
            java.lang.Object r10 = f6906s
            r9.setTag(r10)
            android.widget.Button r9 = r7.f6925r
            com.google.android.material.datepicker.MaterialDatePicker$a r10 = new com.google.android.material.datepicker.MaterialDatePicker$a
            r10.<init>()
            r9.setOnClickListener(r10)
            int r9 = p085c.p132d.p133a.p156b.C1192f.cancel_button
            android.view.View r9 = r8.findViewById(r9)
            android.widget.Button r9 = (android.widget.Button) r9
            java.lang.Object r10 = f6907t
            r9.setTag(r10)
            com.google.android.material.datepicker.MaterialDatePicker$b r10 = new com.google.android.material.datepicker.MaterialDatePicker$b
            r10.<init>()
            r9.setOnClickListener(r10)
            com.newrelic.agent.android.tracing.TraceMachine.exitMethod()
            return r8
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.datepicker.MaterialDatePicker.onCreateView(android.view.LayoutInflater, android.view.ViewGroup, android.os.Bundle):android.view.View");
    }

    public final void onDismiss(DialogInterface dialogInterface) {
        Iterator it = this.f6912e.iterator();
        while (it.hasNext()) {
            ((DialogInterface.OnDismissListener) it.next()).onDismiss(dialogInterface);
        }
        ViewGroup viewGroup = (ViewGroup) getView();
        if (viewGroup != null) {
            viewGroup.removeAllViews();
        }
        super.onDismiss(dialogInterface);
    }

    public final void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt("OVERRIDE_THEME_RES_ID", this.f6913f);
        bundle.putParcelable("DATE_SELECTOR_KEY", this.f6914g);
        CalendarConstraints.C1246b bVar = new CalendarConstraints.C1246b(this.f6916i);
        Month oVar = this.f6917j.f6890f;
        if (oVar != null) {
            bVar.f5615c = Long.valueOf(oVar.f5655h);
        }
        if (bVar.f5615c == null) {
            long d = m5295d();
            if (bVar.f5613a > d || d > bVar.f5614b) {
                d = bVar.f5613a;
            }
            bVar.f5615c = Long.valueOf(d);
        }
        Bundle bundle2 = new Bundle();
        bundle2.putParcelable("DEEP_COPY_VALIDATOR_KEY", bVar.f5616d);
        bundle.putParcelable("CALENDAR_CONSTRAINTS_KEY", new CalendarConstraints(Month.m4572a(bVar.f5613a), Month.m4572a(bVar.f5614b), Month.m4572a(bVar.f5615c.longValue()), (CalendarConstraints.C1247c) bundle2.getParcelable("DEEP_COPY_VALIDATOR_KEY"), (CalendarConstraints.C1245a) null));
        bundle.putInt("TITLE_TEXT_RES_ID_KEY", this.f6918k);
        bundle.putCharSequence("TITLE_TEXT_KEY", this.f6919l);
    }

    public void onStart() {
        super.onStart();
        Window window = requireDialog().getWindow();
        if (this.f6920m) {
            window.setLayout(-1, -1);
            window.setBackgroundDrawable(this.f6924q);
        } else {
            window.setLayout(-2, -2);
            int dimensionPixelOffset = getResources().getDimensionPixelOffset(C1163d.mtrl_calendar_dialog_background_inset);
            Rect rect = new Rect(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset);
            window.setBackgroundDrawable(new InsetDrawable(this.f6924q, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset));
            window.getDecorView().setOnTouchListener(new InsetDialogOnTouchListener(requireDialog(), rect));
        }
        mo6797b();
    }

    public void onStop() {
        this.f6915h.f5669b.clear();
        super.onStop();
    }

    /* renamed from: a */
    public final void mo6796a(CheckableImageButton checkableImageButton) {
        String str;
        if (this.f6923p.f6958d) {
            str = checkableImageButton.getContext().getString(C1220i.mtrl_picker_toggle_to_calendar_input_mode);
        } else {
            str = checkableImageButton.getContext().getString(C1220i.mtrl_picker_toggle_to_text_input_mode);
        }
        this.f6923p.setContentDescription(str);
    }

    /* renamed from: a */
    public static int m5292a(Context context) {
        Resources resources = context.getResources();
        int dimensionPixelOffset = resources.getDimensionPixelOffset(C1163d.mtrl_calendar_content_padding);
        int i = Month.m4573c().f5653f;
        int dimensionPixelSize = resources.getDimensionPixelSize(C1163d.mtrl_calendar_day_width) * i;
        return ((i - 1) * resources.getDimensionPixelOffset(C1163d.mtrl_calendar_month_horizontal_padding)) + dimensionPixelSize + (dimensionPixelOffset * 2);
    }

    /* renamed from: b */
    public static boolean m5294b(Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(C1050v.m4130a(context, C1161b.materialCalendarStyle, MaterialCalendar.class.getCanonicalName()), new int[]{16843277});
        boolean z = obtainStyledAttributes.getBoolean(0, false);
        obtainStyledAttributes.recycle();
        return z;
    }
}
