package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.button.MaterialButton;
import java.util.List;
import p008b.p033h.p045m.ViewCompat;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p168l.MotionSpec;
import p085c.p132d.p133a.p156b.p182y.MotionStrategy;
import p085c.p132d.p133a.p156b.p183z.DescendantOffsetUtils;

public class ExtendedFloatingActionButton extends MaterialButton implements CoordinatorLayout.C0073b {

    /* renamed from: s */
    public final MotionStrategy f6932s;

    /* renamed from: t */
    public final MotionStrategy f6933t;

    /* renamed from: u */
    public final MotionStrategy f6934u;

    /* renamed from: v */
    public final MotionStrategy f6935v;

    /* renamed from: w */
    public boolean f6936w;

    public static class ExtendedFloatingActionButtonBehavior<T extends ExtendedFloatingActionButton> extends CoordinatorLayout.C0074c<T> {

        /* renamed from: a */
        public Rect f6937a;

        /* renamed from: b */
        public boolean f6938b;

        /* renamed from: c */
        public boolean f6939c;

        public ExtendedFloatingActionButtonBehavior() {
            this.f6938b = false;
            this.f6939c = true;
        }

        /* renamed from: a */
        public boolean mo616a(CoordinatorLayout coordinatorLayout, View view, Rect rect) {
            ExtendedFloatingActionButton extendedFloatingActionButton = (ExtendedFloatingActionButton) view;
            return false;
        }

        /* renamed from: b */
        public boolean mo623b(CoordinatorLayout coordinatorLayout, View view, View view2) {
            ExtendedFloatingActionButton extendedFloatingActionButton = (ExtendedFloatingActionButton) view;
            if (view2 instanceof AppBarLayout) {
                mo6816a(coordinatorLayout, (AppBarLayout) view2, extendedFloatingActionButton);
            } else {
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                if (layoutParams instanceof CoordinatorLayout.C0077f ? ((CoordinatorLayout.C0077f) layoutParams).f533a instanceof BottomSheetBehavior : false) {
                    mo6817b(view2, extendedFloatingActionButton);
                }
            }
            return false;
        }

        /* renamed from: a */
        public boolean mo614a(CoordinatorLayout coordinatorLayout, View view, int i) {
            ExtendedFloatingActionButton extendedFloatingActionButton = (ExtendedFloatingActionButton) view;
            List<View> a = coordinatorLayout.mo551a((View) extendedFloatingActionButton);
            int size = a.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view2 = a.get(i2);
                if (!(view2 instanceof AppBarLayout)) {
                    ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                    if ((layoutParams instanceof CoordinatorLayout.C0077f ? ((CoordinatorLayout.C0077f) layoutParams).f533a instanceof BottomSheetBehavior : false) && mo6817b(view2, extendedFloatingActionButton)) {
                        break;
                    }
                } else if (mo6816a(coordinatorLayout, (AppBarLayout) view2, extendedFloatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.mo564b(extendedFloatingActionButton, i);
            return true;
        }

        public ExtendedFloatingActionButtonBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C1224k.ExtendedFloatingActionButton_Behavior_Layout);
            this.f6938b = obtainStyledAttributes.getBoolean(C1224k.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoHide, false);
            this.f6939c = obtainStyledAttributes.getBoolean(C1224k.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoShrink, true);
            obtainStyledAttributes.recycle();
        }

        /* renamed from: b */
        public final boolean mo6817b(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            MotionStrategy iVar;
            MotionStrategy iVar2;
            if (!mo6815a(view, extendedFloatingActionButton)) {
                return false;
            }
            if (view.getTop() < (extendedFloatingActionButton.getHeight() / 2) + ((CoordinatorLayout.C0077f) extendedFloatingActionButton.getLayoutParams()).topMargin) {
                if (this.f6939c) {
                    iVar2 = extendedFloatingActionButton.f6932s;
                } else {
                    iVar2 = extendedFloatingActionButton.f6935v;
                }
                ExtendedFloatingActionButton.m5301a(extendedFloatingActionButton, iVar2);
                return true;
            }
            if (this.f6939c) {
                iVar = extendedFloatingActionButton.f6933t;
            } else {
                iVar = extendedFloatingActionButton.f6934u;
            }
            ExtendedFloatingActionButton.m5301a(extendedFloatingActionButton, iVar);
            return true;
        }

        /* renamed from: a */
        public void mo609a(CoordinatorLayout.C0077f fVar) {
            if (fVar.f540h == 0) {
                fVar.f540h = 80;
            }
        }

        /* renamed from: a */
        public final boolean mo6815a(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            CoordinatorLayout.C0077f fVar = (CoordinatorLayout.C0077f) extendedFloatingActionButton.getLayoutParams();
            if ((this.f6938b || this.f6939c) && fVar.f538f == view.getId()) {
                return true;
            }
            return false;
        }

        /* renamed from: a */
        public final boolean mo6816a(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, ExtendedFloatingActionButton extendedFloatingActionButton) {
            MotionStrategy iVar;
            MotionStrategy iVar2;
            if (!mo6815a(appBarLayout, extendedFloatingActionButton)) {
                return false;
            }
            if (this.f6937a == null) {
                this.f6937a = new Rect();
            }
            Rect rect = this.f6937a;
            DescendantOffsetUtils.m4658a((ViewGroup) coordinatorLayout, (View) appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                if (this.f6939c) {
                    iVar2 = extendedFloatingActionButton.f6932s;
                } else {
                    iVar2 = extendedFloatingActionButton.f6935v;
                }
                ExtendedFloatingActionButton.m5301a(extendedFloatingActionButton, iVar2);
                return true;
            }
            if (this.f6939c) {
                iVar = extendedFloatingActionButton.f6933t;
            } else {
                iVar = extendedFloatingActionButton.f6934u;
            }
            ExtendedFloatingActionButton.m5301a(extendedFloatingActionButton, iVar);
            return true;
        }
    }

    /* renamed from: com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton$a */
    public static class C1616a extends Property<View, Float> {
        public C1616a(Class cls, String str) {
            super(cls, str);
        }

        public Object get(Object obj) {
            return Float.valueOf((float) ((View) obj).getLayoutParams().width);
        }

        public void set(Object obj, Object obj2) {
            View view = (View) obj;
            view.getLayoutParams().width = ((Float) obj2).intValue();
            view.requestLayout();
        }
    }

    /* renamed from: com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton$b */
    public static class C1617b extends Property<View, Float> {
        public C1617b(Class cls, String str) {
            super(cls, str);
        }

        public Object get(Object obj) {
            return Float.valueOf((float) ((View) obj).getLayoutParams().height);
        }

        public void set(Object obj, Object obj2) {
            View view = (View) obj;
            view.getLayoutParams().height = ((Float) obj2).intValue();
            view.requestLayout();
        }
    }

    /* renamed from: com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton$c */
    public static abstract class C1618c {
    }

    static {
        Class<Float> cls = Float.class;
        new C1616a(cls, "width");
        new C1617b(cls, "height");
    }

    /* renamed from: a */
    public static /* synthetic */ void m5301a(ExtendedFloatingActionButton extendedFloatingActionButton, MotionStrategy iVar) {
        if (extendedFloatingActionButton == null) {
            throw null;
        } else if (!iVar.mo5529e()) {
            if (!(ViewCompat.m1978w(extendedFloatingActionButton) && !extendedFloatingActionButton.isInEditMode())) {
                iVar.mo5530f();
                iVar.mo5525a((C1618c) null);
                return;
            }
            extendedFloatingActionButton.measure(0, 0);
            AnimatorSet a = iVar.mo5524a();
            a.addListener(new p085c.p132d.p133a.p156b.p182y.ExtendedFloatingActionButton(extendedFloatingActionButton, iVar));
            for (Animator.AnimatorListener addListener : iVar.mo5528d()) {
                a.addListener(addListener);
            }
            a.start();
        }
    }

    public CoordinatorLayout.C0074c<ExtendedFloatingActionButton> getBehavior() {
        return null;
    }

    public int getCollapsedSize() {
        return getIconSize() + (Math.min(ViewCompat.m1970o(this), getPaddingEnd()) * 2);
    }

    public MotionSpec getExtendMotionSpec() {
        throw null;
    }

    public MotionSpec getHideMotionSpec() {
        throw null;
    }

    public MotionSpec getShowMotionSpec() {
        throw null;
    }

    public MotionSpec getShrinkMotionSpec() {
        throw null;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f6936w && TextUtils.isEmpty(getText()) && getIcon() != null) {
            this.f6936w = false;
            throw null;
        }
    }

    public void setExtendMotionSpec(MotionSpec gVar) {
        throw null;
    }

    public void setExtendMotionSpecResource(int i) {
        setExtendMotionSpec(MotionSpec.m4460a(getContext(), i));
    }

    public void setExtended(boolean z) {
        if (this.f6936w != z) {
            MotionStrategy iVar = null;
            if (!iVar.mo5529e()) {
                iVar.mo5530f();
            }
        }
    }

    public void setHideMotionSpec(MotionSpec gVar) {
        throw null;
    }

    public void setHideMotionSpecResource(int i) {
        setHideMotionSpec(MotionSpec.m4460a(getContext(), i));
    }

    public void setShowMotionSpec(MotionSpec gVar) {
        throw null;
    }

    public void setShowMotionSpecResource(int i) {
        setShowMotionSpec(MotionSpec.m4460a(getContext(), i));
    }

    public void setShrinkMotionSpec(MotionSpec gVar) {
        throw null;
    }

    public void setShrinkMotionSpecResource(int i) {
        setShrinkMotionSpec(MotionSpec.m4460a(getContext(), i));
    }
}
