package com.newrelic.agent.android.analytics;

import com.newrelic.agent.android.util.SafeJsonPrimitive;
import com.newrelic.com.google.gson.JsonElement;
import com.newrelic.com.google.gson.JsonObject;
import com.newrelic.com.google.gson.JsonPrimitive;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import p085c.p086a.p087a.p088a.outline;

public class AnalyticAttribute {
    public static final String ACCOUNT_ID_ATTRIBUTE = "accountId";
    public static final String ACTION_TYPE_ATTRIBUTE = "actionType";
    public static final String APPLICATION_PLATFORM_ATTRIBUTE = "platform";
    public static final String APPLICATION_PLATFORM_VERSION_ATTRIBUTE = "platformVersion";
    public static final String APP_BUILD_ATTRIBUTE = "appBuild";
    public static final String APP_DATA_ATTRIBUTE = "nr.X-NewRelic-App-Data";
    public static final String APP_ID_ATTRIBUTE = "appId";
    public static final String APP_INSTALL_ATTRIBUTE = "install";
    public static final String APP_NAME_ATTRIBUTE = "appName";
    public static final String APP_UPGRADE_ATTRIBUTE = "upgradeFrom";
    public static final String ARCHITECTURE_ATTRIBUTE = "architecture";
    public static final int ATTRIBUTE_NAME_MAX_LENGTH = 256;
    public static final int ATTRIBUTE_VALUE_MAX_LENGTH = 4096;
    public static final String BYTES_RECEIVED_ATTRIBUTE = "bytesReceived";
    public static final String BYTES_SENT_ATTRIBUTE = "bytesSent";
    public static final String CARRIER_ATTRIBUTE = "carrier";
    public static final String CONNECTION_TYPE_ATTRIBUTE = "connectionType";
    public static final String CONTENT_TYPE_ATTRIBUTE = "contentType";
    public static final String DEVICE_MANUFACTURER_ATTRIBUTE = "deviceManufacturer";
    public static final String DEVICE_MODEL_ATTRIBUTE = "deviceModel";
    public static final String EVENT_CATEGORY_ATTRIBUTE = "category";
    public static final String EVENT_NAME_ATTRIBUTE = "name";
    public static final String EVENT_TIMESTAMP_ATTRIBUTE = "timestamp";
    public static final String EVENT_TYPE_ATTRIBUTE = "eventType";
    public static final String EVENT_TYPE_ATTRIBUTE_MOBILE = "Mobile";
    public static final String EVENT_TYPE_ATTRIBUTE_MOBILE_BREADCRUMB = "MobileBreadcrumb";
    public static final String EVENT_TYPE_ATTRIBUTE_MOBILE_CRASH = "MobileCrash";
    public static final String EVENT_TYPE_ATTRIBUTE_MOBILE_REQUEST = "MobileRequest";
    public static final String EVENT_TYPE_ATTRIBUTE_MOBILE_REQUEST_ERROR = "MobileRequestError";
    public static final String EVENT_TYPE_ATTRIBUTE_MOBILE_USER_ACTION = "MobileUserAction";
    public static final String GESTURE_BACK_PRESSED_ATTRIBUTE = "backPressed";
    public static final String GESTURE_CONTENT_DESCRIPTION_ATTRIBUTE = "contentDescription";
    public static final String GESTURE_CONTROL_CLASS_ATTRIBUTE = "controlClass";
    public static final String GESTURE_CONTROL_ID_ATTRIBUTE = "controlId";
    public static final String GESTURE_CONTROL_RECT_ATTRIBUTE = "controlRect";
    public static final String GESTURE_COORDINATES_ATTRIBUTE = "touchCoordinates";
    public static final String GESTURE_LABEL_ATTRIBUTE = "label";
    public static final String GESTURE_METHOD_EXECUTED_ATTRIBUTE = "methodExecuted";
    public static final String GESTURE_ORIENTATION_ATTRIBUTE = "orientation";
    public static final String GESTURE_TARGET_OBJECT_ATTRIBUTE = "targetObject";
    public static final String INSTANT_APP_ATTRIBUTE = "instantApp";
    public static final String INTERACTION_DURATION_ATTRIBUTE = "interactionDuration";
    public static final String LAST_INTERACTION_ATTRIBUTE = "lastInteraction";
    public static final String MEM_USAGE_MB_ATTRIBUTE = "memUsageMb";
    public static final String NETWORK_ERROR_CODE_ATTRIBUTE = "networkErrorCode";
    public static final String NEW_RELIC_VERSION_ATTRIBUTE = "newRelicVersion";
    public static final String NR_GUID_ATTRIBUTE = "guid";
    public static final String NR_PARENTID_ATTRIBUTE = "parentId";
    public static final String NR_TRACEID_ATTRIBUTE = "traceId";
    public static final String OS_BUILD_ATTRIBUTE = "osBuild";
    public static final String OS_MAJOR_VERSION_ATTRIBUTE = "osMajorVersion";
    public static final String OS_NAME_ATTRIBUTE = "osName";
    public static final String OS_VERSION_ATTRIBUTE = "osVersion";
    public static final String REQUEST_DOMAIN_ATTRIBUTE = "requestDomain";
    public static final String REQUEST_METHOD_ATTRIBUTE = "requestMethod";
    public static final String REQUEST_PATH_ATTRIBUTE = "requestPath";
    public static final String REQUEST_URL_ATTRIBUTE = "requestUrl";
    public static final String RESPONSE_BODY_ATTRIBUTE = "nr.responseBody";
    public static final String RESPONSE_TIME_ATTRIBUTE = "responseTime";
    public static final String RUNTIME_ATTRIBUTE = "runTime";
    public static final String SESSION_DURATION_ATTRIBUTE = "sessionDuration";
    public static final String SESSION_ID_ATTRIBUTE = "sessionId";
    public static final String SESSION_TIME_SINCE_LOAD_ATTRIBUTE = "timeSinceLoad";
    public static final String STATUS_CODE_ATTRIBUTE = "statusCode";
    public static final String TYPE_ATTRIBUTE = "type";
    public static final String USER_ID_ATTRIBUTE = "userId";
    public static final String UUID_ATTRIBUTE = "uuid";
    public static Set<String> blackList = new HashSet<String>() {
        {
            add(AnalyticAttribute.APP_INSTALL_ATTRIBUTE);
            add(AnalyticAttribute.APP_UPGRADE_ATTRIBUTE);
            add(AnalyticAttribute.SESSION_DURATION_ATTRIBUTE);
        }
    };
    public AttributeDataType attributeDataType;
    public double doubleValue;
    public boolean isPersistent;
    public String name;
    public String stringValue;

    /* renamed from: com.newrelic.agent.android.analytics.AnalyticAttribute$2 */
    public static /* synthetic */ class C17172 {

        /* renamed from: $SwitchMap$com$newrelic$agent$android$analytics$AnalyticAttribute$AttributeDataType */
        public static final /* synthetic */ int[] f7282xc725568b;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x001d */
        static {
            /*
                com.newrelic.agent.android.analytics.AnalyticAttribute$AttributeDataType[] r0 = com.newrelic.agent.android.analytics.AnalyticAttribute.AttributeDataType.values()
                int r0 = r0.length
                int[] r0 = new int[r0]
                f7282xc725568b = r0
                r1 = 1
                com.newrelic.agent.android.analytics.AnalyticAttribute$AttributeDataType r2 = com.newrelic.agent.android.analytics.AnalyticAttribute.AttributeDataType.VOID     // Catch:{ NoSuchFieldError -> 0x000f }
                r2 = 0
                r0[r2] = r1     // Catch:{ NoSuchFieldError -> 0x000f }
            L_0x000f:
                r0 = 2
                int[] r2 = f7282xc725568b     // Catch:{ NoSuchFieldError -> 0x0016 }
                com.newrelic.agent.android.analytics.AnalyticAttribute$AttributeDataType r3 = com.newrelic.agent.android.analytics.AnalyticAttribute.AttributeDataType.STRING     // Catch:{ NoSuchFieldError -> 0x0016 }
                r2[r1] = r0     // Catch:{ NoSuchFieldError -> 0x0016 }
            L_0x0016:
                r1 = 3
                int[] r2 = f7282xc725568b     // Catch:{ NoSuchFieldError -> 0x001d }
                com.newrelic.agent.android.analytics.AnalyticAttribute$AttributeDataType r3 = com.newrelic.agent.android.analytics.AnalyticAttribute.AttributeDataType.DOUBLE     // Catch:{ NoSuchFieldError -> 0x001d }
                r2[r0] = r1     // Catch:{ NoSuchFieldError -> 0x001d }
            L_0x001d:
                int[] r0 = f7282xc725568b     // Catch:{ NoSuchFieldError -> 0x0024 }
                com.newrelic.agent.android.analytics.AnalyticAttribute$AttributeDataType r2 = com.newrelic.agent.android.analytics.AnalyticAttribute.AttributeDataType.BOOLEAN     // Catch:{ NoSuchFieldError -> 0x0024 }
                r2 = 4
                r0[r1] = r2     // Catch:{ NoSuchFieldError -> 0x0024 }
            L_0x0024:
                return
            */
            throw new UnsupportedOperationException("Method not decompiled: com.newrelic.agent.android.analytics.AnalyticAttribute.C17172.<clinit>():void");
        }
    }

    public enum AttributeDataType {
        VOID,
        STRING,
        DOUBLE,
        BOOLEAN
    }

    public AnalyticAttribute() {
        this.stringValue = null;
        this.doubleValue = Double.NaN;
        this.isPersistent = false;
        this.attributeDataType = AttributeDataType.VOID;
    }

    public static boolean isAttributeBlacklisted(AnalyticAttribute analyticAttribute) {
        return blackList.contains(analyticAttribute.getName());
    }

    public static Set<AnalyticAttribute> newFromJson(JsonObject jsonObject) {
        HashSet hashSet = new HashSet();
        for (Map.Entry next : jsonObject.entrySet()) {
            String str = (String) next.getKey();
            if (((JsonElement) next.getValue()).isJsonPrimitive()) {
                JsonPrimitive asJsonPrimitive = ((JsonElement) next.getValue()).getAsJsonPrimitive();
                if (asJsonPrimitive.isString()) {
                    hashSet.add(new AnalyticAttribute(str, asJsonPrimitive.getAsString(), false));
                } else if (asJsonPrimitive.isBoolean()) {
                    hashSet.add(new AnalyticAttribute(str, asJsonPrimitive.getAsBoolean(), false));
                } else if (asJsonPrimitive.isNumber()) {
                    hashSet.add(new AnalyticAttribute(str, asJsonPrimitive.getAsDouble(), false));
                }
            } else {
                hashSet.add(new AnalyticAttribute(str, ((JsonElement) next.getValue()).getAsString(), false));
            }
        }
        return hashSet;
    }

    public JsonElement asJsonElement() {
        int ordinal = this.attributeDataType.ordinal();
        if (ordinal == 1) {
            return SafeJsonPrimitive.factory(getStringValue());
        }
        if (ordinal == 2) {
            return SafeJsonPrimitive.factory(Double.valueOf(getDoubleValue()));
        }
        if (ordinal != 3) {
            return null;
        }
        return SafeJsonPrimitive.factory(Boolean.valueOf(getBooleanValue()));
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && AnalyticAttribute.class == obj.getClass() && this.name.equals(((AnalyticAttribute) obj).name);
    }

    public AttributeDataType getAttributeDataType() {
        return this.attributeDataType;
    }

    public boolean getBooleanValue() {
        if (this.attributeDataType == AttributeDataType.BOOLEAN) {
            return Boolean.valueOf(this.stringValue).booleanValue();
        }
        return false;
    }

    public double getDoubleValue() {
        if (this.attributeDataType == AttributeDataType.DOUBLE) {
            return this.doubleValue;
        }
        return Double.NaN;
    }

    public String getName() {
        return this.name;
    }

    public String getStringValue() {
        if (this.attributeDataType == AttributeDataType.STRING) {
            return this.stringValue;
        }
        return null;
    }

    public int hashCode() {
        return this.name.hashCode();
    }

    public boolean isBooleanAttribute() {
        return this.attributeDataType == AttributeDataType.BOOLEAN;
    }

    public boolean isDoubleAttribute() {
        return this.attributeDataType == AttributeDataType.DOUBLE;
    }

    public boolean isPersistent() {
        return this.isPersistent && !isAttributeBlacklisted(this);
    }

    public boolean isStringAttribute() {
        return this.attributeDataType == AttributeDataType.STRING;
    }

    public void setBooleanValue(boolean z) {
        this.stringValue = Boolean.toString(z);
        this.doubleValue = Double.NaN;
        this.attributeDataType = AttributeDataType.BOOLEAN;
    }

    public void setDoubleValue(double d) {
        this.doubleValue = d;
        this.stringValue = null;
        this.attributeDataType = AttributeDataType.DOUBLE;
    }

    public void setPersistent(boolean z) {
        this.isPersistent = z;
    }

    public void setStringValue(String str) {
        this.stringValue = str;
        this.doubleValue = Double.NaN;
        this.attributeDataType = AttributeDataType.STRING;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("AnalyticAttribute{");
        StringBuilder a = outline.m2937a("name='");
        a.append(this.name);
        a.append("'");
        sb.append(a.toString());
        int ordinal = this.attributeDataType.ordinal();
        if (ordinal == 1) {
            StringBuilder a2 = outline.m2937a(",stringValue='");
            a2.append(this.stringValue);
            a2.append("'");
            sb.append(a2.toString());
        } else if (ordinal == 2) {
            StringBuilder a3 = outline.m2937a(",doubleValue='");
            a3.append(this.doubleValue);
            a3.append("'");
            sb.append(a3.toString());
        } else if (ordinal == 3) {
            StringBuilder a4 = outline.m2937a(",booleanValue=");
            a4.append(Boolean.valueOf(this.stringValue).toString());
            sb.append(a4.toString());
        }
        StringBuilder a5 = outline.m2937a(",isPersistent=");
        a5.append(this.isPersistent);
        sb.append(a5.toString());
        sb.append("}");
        return sb.toString();
    }

    public String valueAsString() {
        int ordinal = this.attributeDataType.ordinal();
        if (ordinal == 1) {
            return this.stringValue;
        }
        if (ordinal == 2) {
            return Double.toString(this.doubleValue);
        }
        if (ordinal != 3) {
            return null;
        }
        return Boolean.valueOf(getBooleanValue()).toString();
    }

    public AnalyticAttribute(String str, String str2) {
        this(str, str2, true);
    }

    public AnalyticAttribute(String str, String str2, boolean z) {
        this.name = str;
        setStringValue(str2);
        this.isPersistent = z;
    }

    public AnalyticAttribute(String str, double d) {
        this(str, d, true);
    }

    public AnalyticAttribute(String str, double d, boolean z) {
        this.name = str;
        setDoubleValue(d);
        this.isPersistent = z;
    }

    public AnalyticAttribute(String str, boolean z) {
        this(str, z, true);
    }

    public AnalyticAttribute(String str, boolean z, boolean z2) {
        this.name = str;
        setBooleanValue(z);
        this.isPersistent = z2;
    }

    public AnalyticAttribute(AnalyticAttribute analyticAttribute) {
        this.name = analyticAttribute.name;
        this.doubleValue = analyticAttribute.doubleValue;
        this.stringValue = analyticAttribute.stringValue;
        this.isPersistent = analyticAttribute.isPersistent;
        this.attributeDataType = analyticAttribute.attributeDataType;
    }
}
