package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.p019p.AppCompatDrawableManager;
import p008b.p033h.p045m.ViewCompat;
import p085c.p132d.p133a.p156b.C1157a;
import p085c.p132d.p133a.p156b.C1163d;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p159c0.ShadowViewDelegate;
import p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel;
import p085c.p132d.p133a.p156b.p160d0.Shapeable;
import p085c.p132d.p133a.p156b.p162f0.ExtendableSavedState;
import p085c.p132d.p133a.p156b.p168l.MotionSpec;
import p085c.p132d.p133a.p156b.p168l.TransformationCallback;
import p085c.p132d.p133a.p156b.p181x.ExpandableTransformationWidget;
import p085c.p132d.p133a.p156b.p182y.C1260d;
import p085c.p132d.p133a.p156b.p182y.C1261e;
import p085c.p132d.p133a.p156b.p182y.C1271g;
import p085c.p132d.p133a.p156b.p182y.FloatingActionButtonImpl;
import p085c.p132d.p133a.p156b.p182y.FloatingActionButtonImplLollipop;
import p085c.p132d.p133a.p156b.p183z.DescendantOffsetUtils;
import p085c.p132d.p133a.p156b.p183z.VisibilityAwareImageButton;

public class FloatingActionButton extends VisibilityAwareImageButton implements ExpandableTransformationWidget, Shapeable, CoordinatorLayout.C0073b {

    /* renamed from: c */
    public ColorStateList f6940c;

    /* renamed from: d */
    public PorterDuff.Mode f6941d;

    /* renamed from: e */
    public ColorStateList f6942e;

    /* renamed from: f */
    public PorterDuff.Mode f6943f;

    /* renamed from: g */
    public ColorStateList f6944g;

    /* renamed from: h */
    public int f6945h;

    /* renamed from: i */
    public int f6946i;

    /* renamed from: j */
    public int f6947j;

    /* renamed from: k */
    public boolean f6948k;

    /* renamed from: l */
    public final Rect f6949l;

    /* renamed from: m */
    public C1261e f6950m;

    public static class Behavior extends BaseBehavior<FloatingActionButton> {
        public Behavior() {
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* renamed from: com.google.android.material.floatingactionbutton.FloatingActionButton$a */
    public static abstract class C1619a {
        /* renamed from: a */
        public void mo5294a(FloatingActionButton floatingActionButton) {
        }

        /* renamed from: b */
        public void mo5295b(FloatingActionButton floatingActionButton) {
        }
    }

    /* renamed from: com.google.android.material.floatingactionbutton.FloatingActionButton$b */
    public class C1620b implements ShadowViewDelegate {
        public C1620b() {
        }
    }

    /* renamed from: com.google.android.material.floatingactionbutton.FloatingActionButton$c */
    public class C1621c<T extends FloatingActionButton> implements C1261e.C1266e {

        /* renamed from: a */
        public final TransformationCallback<T> f6954a;

        public C1621c(TransformationCallback<T> jVar) {
            this.f6954a = jVar;
        }

        /* renamed from: a */
        public void mo5517a() {
            this.f6954a.mo5278a(FloatingActionButton.this);
        }

        /* renamed from: b */
        public void mo5518b() {
            this.f6954a.mo5279b(FloatingActionButton.this);
        }

        public boolean equals(Object obj) {
            return (obj instanceof C1621c) && ((C1621c) obj).f6954a.equals(this.f6954a);
        }

        public int hashCode() {
            return this.f6954a.hashCode();
        }
    }

    private C1261e getImpl() {
        if (this.f6950m == null) {
            this.f6950m = new FloatingActionButtonImplLollipop(this, new C1620b());
        }
        return this.f6950m;
    }

    /* renamed from: b */
    public void mo6828b(C1619a aVar, boolean z) {
        p085c.p132d.p133a.p156b.p182y.FloatingActionButton bVar;
        C1261e impl = getImpl();
        if (aVar == null) {
            bVar = null;
        } else {
            bVar = new p085c.p132d.p133a.p156b.p182y.FloatingActionButton(this, aVar);
        }
        if (!impl.mo5504c()) {
            Animator animator = impl.f5716k;
            if (animator != null) {
                animator.cancel();
            }
            if (impl.mo5511j()) {
                if (impl.f5725t.getVisibility() != 0) {
                    impl.f5725t.setAlpha(0.0f);
                    impl.f5725t.setScaleY(0.0f);
                    impl.f5725t.setScaleX(0.0f);
                    impl.mo5498a(0.0f);
                }
                MotionSpec gVar = impl.f5717l;
                if (gVar == null) {
                    if (impl.f5714i == null) {
                        impl.f5714i = MotionSpec.m4460a(impl.f5725t.getContext(), C1157a.design_fab_show_motion_spec);
                    }
                    gVar = impl.f5714i;
                    MediaDescriptionCompatApi21.m42a(gVar);
                }
                AnimatorSet a = impl.mo5496a(gVar, 1.0f, 1.0f, 1.0f);
                a.addListener(new C1260d(impl, z, bVar));
                ArrayList<Animator.AnimatorListener> arrayList = impl.f5722q;
                if (arrayList != null) {
                    Iterator<Animator.AnimatorListener> it = arrayList.iterator();
                    while (it.hasNext()) {
                        a.addListener(it.next());
                    }
                }
                a.start();
                return;
            }
            impl.f5725t.mo5572a(0, z);
            impl.f5725t.setAlpha(1.0f);
            impl.f5725t.setScaleY(1.0f);
            impl.f5725t.setScaleX(1.0f);
            impl.mo5498a(1.0f);
            if (bVar != null) {
                bVar.f5690a.mo5295b(bVar.f5691b);
            }
        }
    }

    /* renamed from: c */
    public boolean mo6830c() {
        return getImpl().mo5504c();
    }

    /* renamed from: d */
    public final void mo6831d() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            ColorStateList colorStateList = this.f6942e;
            if (colorStateList == null) {
                MediaDescriptionCompatApi21.m53a(drawable);
                return;
            }
            int colorForState = colorStateList.getColorForState(getDrawableState(), 0);
            PorterDuff.Mode mode = this.f6943f;
            if (mode == null) {
                mode = PorterDuff.Mode.SRC_IN;
            }
            drawable.mutate().setColorFilter(AppCompatDrawableManager.m1334a(colorForState, mode));
        }
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        getImpl().mo5502a(getDrawableState());
    }

    public ColorStateList getBackgroundTintList() {
        return this.f6940c;
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return this.f6941d;
    }

    public CoordinatorLayout.C0074c<FloatingActionButton> getBehavior() {
        return new Behavior();
    }

    public float getCompatElevation() {
        return getImpl().mo5495a();
    }

    public float getCompatHoveredFocusedTranslationZ() {
        return getImpl().f5711f;
    }

    public float getCompatPressedTranslationZ() {
        return getImpl().f5712g;
    }

    public Drawable getContentBackground() {
        if (getImpl() != null) {
            return null;
        }
        throw null;
    }

    public int getCustomSize() {
        return this.f6946i;
    }

    public int getExpandedComponentIdHint() {
        throw null;
    }

    public MotionSpec getHideMotionSpec() {
        return getImpl().f5718m;
    }

    @Deprecated
    public int getRippleColor() {
        ColorStateList colorStateList = this.f6944g;
        if (colorStateList != null) {
            return colorStateList.getDefaultColor();
        }
        return 0;
    }

    public ColorStateList getRippleColorStateList() {
        return this.f6944g;
    }

    public ShapeAppearanceModel getShapeAppearanceModel() {
        ShapeAppearanceModel jVar = getImpl().f5706a;
        MediaDescriptionCompatApi21.m42a(jVar);
        return jVar;
    }

    public MotionSpec getShowMotionSpec() {
        return getImpl().f5717l;
    }

    public int getSize() {
        return this.f6945h;
    }

    public int getSizeDimension() {
        return mo6822a(this.f6945h);
    }

    public ColorStateList getSupportBackgroundTintList() {
        return getBackgroundTintList();
    }

    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return getBackgroundTintMode();
    }

    public ColorStateList getSupportImageTintList() {
        return this.f6942e;
    }

    public PorterDuff.Mode getSupportImageTintMode() {
        return this.f6943f;
    }

    public boolean getUseCompatPadding() {
        return this.f6948k;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        getImpl().mo5505d();
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        C1261e impl = getImpl();
        if (impl.mo5509h()) {
            ViewTreeObserver viewTreeObserver = impl.f5725t.getViewTreeObserver();
            if (impl.f5731z == null) {
                impl.f5731z = new C1271g(impl);
            }
            viewTreeObserver.addOnPreDrawListener(impl.f5731z);
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        C1261e impl = getImpl();
        ViewTreeObserver viewTreeObserver = impl.f5725t.getViewTreeObserver();
        ViewTreeObserver.OnPreDrawListener onPreDrawListener = impl.f5731z;
        if (onPreDrawListener != null) {
            viewTreeObserver.removeOnPreDrawListener(onPreDrawListener);
            impl.f5731z = null;
        }
    }

    public void onMeasure(int i, int i2) {
        int sizeDimension = getSizeDimension();
        this.f6947j = (sizeDimension + 0) / 2;
        getImpl().mo5514m();
        Math.min(m5309a(sizeDimension, i), m5309a(sizeDimension, i2));
        throw null;
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof ExtendableSavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        ExtendableSavedState aVar = (ExtendableSavedState) parcelable;
        super.onRestoreInstanceState(aVar.f2617b);
        Bundle orDefault = aVar.f5322d.getOrDefault("expandableWidgetHelper", null);
        MediaDescriptionCompatApi21.m42a(orDefault);
        Bundle bundle = orDefault;
        throw null;
    }

    public Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        if (onSaveInstanceState == null) {
            onSaveInstanceState = new Bundle();
        }
        new ExtendableSavedState(onSaveInstanceState);
        throw null;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            mo6826a((Rect) null);
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setBackgroundColor(int i) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundDrawable(Drawable drawable) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundResource(int i) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        if (this.f6940c != colorStateList) {
            this.f6940c = colorStateList;
            if (getImpl() == null) {
                throw null;
            }
        }
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        if (this.f6941d != mode) {
            this.f6941d = mode;
            if (getImpl() == null) {
                throw null;
            }
        }
    }

    public void setCompatElevation(float f) {
        C1261e impl = getImpl();
        if (impl.f5710e != f) {
            impl.f5710e = f;
            impl.mo5499a(f, impl.f5711f, impl.f5712g);
        }
    }

    public void setCompatElevationResource(int i) {
        setCompatElevation(getResources().getDimension(i));
    }

    public void setCompatHoveredFocusedTranslationZ(float f) {
        C1261e impl = getImpl();
        if (impl.f5711f != f) {
            impl.f5711f = f;
            impl.mo5499a(impl.f5710e, f, impl.f5712g);
        }
    }

    public void setCompatHoveredFocusedTranslationZResource(int i) {
        setCompatHoveredFocusedTranslationZ(getResources().getDimension(i));
    }

    public void setCompatPressedTranslationZ(float f) {
        C1261e impl = getImpl();
        if (impl.f5712g != f) {
            impl.f5712g = f;
            impl.mo5499a(impl.f5710e, impl.f5711f, f);
        }
    }

    public void setCompatPressedTranslationZResource(int i) {
        setCompatPressedTranslationZ(getResources().getDimension(i));
    }

    public void setCustomSize(int i) {
        if (i < 0) {
            throw new IllegalArgumentException("Custom size must be non-negative");
        } else if (i != this.f6946i) {
            this.f6946i = i;
            requestLayout();
        }
    }

    public void setElevation(float f) {
        super.setElevation(f);
        if (getImpl() == null) {
            throw null;
        }
    }

    public void setEnsureMinTouchTargetSize(boolean z) {
        if (z != getImpl().f5708c) {
            getImpl().f5708c = z;
            requestLayout();
        }
    }

    public void setExpandedComponentIdHint(int i) {
        throw null;
    }

    public void setHideMotionSpec(MotionSpec gVar) {
        getImpl().f5718m = gVar;
    }

    public void setHideMotionSpecResource(int i) {
        setHideMotionSpec(MotionSpec.m4460a(getContext(), i));
    }

    public void setImageDrawable(Drawable drawable) {
        if (getDrawable() != drawable) {
            super.setImageDrawable(drawable);
            C1261e impl = getImpl();
            impl.mo5498a(impl.f5720o);
            if (this.f6942e != null) {
                mo6831d();
            }
        }
    }

    public void setImageResource(int i) {
        throw null;
    }

    public void setRippleColor(int i) {
        setRippleColor(ColorStateList.valueOf(i));
    }

    public void setScaleX(float f) {
        super.setScaleX(f);
        getImpl().mo5507f();
    }

    public void setScaleY(float f) {
        super.setScaleY(f);
        getImpl().mo5507f();
    }

    public void setShadowPaddingEnabled(boolean z) {
        C1261e impl = getImpl();
        impl.f5709d = z;
        impl.mo5514m();
    }

    public void setShapeAppearanceModel(ShapeAppearanceModel jVar) {
        getImpl().f5706a = jVar;
    }

    public void setShowMotionSpec(MotionSpec gVar) {
        getImpl().f5717l = gVar;
    }

    public void setShowMotionSpecResource(int i) {
        setShowMotionSpec(MotionSpec.m4460a(getContext(), i));
    }

    public void setSize(int i) {
        this.f6946i = 0;
        if (i != this.f6945h) {
            this.f6945h = i;
            requestLayout();
        }
    }

    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        setBackgroundTintList(colorStateList);
    }

    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        setBackgroundTintMode(mode);
    }

    public void setSupportImageTintList(ColorStateList colorStateList) {
        if (this.f6942e != colorStateList) {
            this.f6942e = colorStateList;
            mo6831d();
        }
    }

    public void setSupportImageTintMode(PorterDuff.Mode mode) {
        if (this.f6943f != mode) {
            this.f6943f = mode;
            mo6831d();
        }
    }

    public void setTranslationX(float f) {
        super.setTranslationX(f);
        getImpl().mo5508g();
    }

    public void setTranslationY(float f) {
        super.setTranslationY(f);
        getImpl().mo5508g();
    }

    public void setTranslationZ(float f) {
        super.setTranslationZ(f);
        getImpl().mo5508g();
    }

    public void setUseCompatPadding(boolean z) {
        if (this.f6948k != z) {
            this.f6948k = z;
            getImpl().mo5506e();
        }
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
    }

    public static class BaseBehavior<T extends FloatingActionButton> extends CoordinatorLayout.C0074c<T> {

        /* renamed from: a */
        public Rect f6951a;

        /* renamed from: b */
        public boolean f6952b;

        public BaseBehavior() {
            this.f6952b = true;
        }

        /* renamed from: a */
        public boolean mo616a(CoordinatorLayout coordinatorLayout, View view, Rect rect) {
            FloatingActionButton floatingActionButton = (FloatingActionButton) view;
            Rect rect2 = floatingActionButton.f6949l;
            rect.set(floatingActionButton.getLeft() + rect2.left, floatingActionButton.getTop() + rect2.top, floatingActionButton.getRight() - rect2.right, floatingActionButton.getBottom() - rect2.bottom);
            return true;
        }

        /* renamed from: b */
        public boolean mo623b(CoordinatorLayout coordinatorLayout, View view, View view2) {
            FloatingActionButton floatingActionButton = (FloatingActionButton) view;
            if (view2 instanceof AppBarLayout) {
                mo6896a(coordinatorLayout, (AppBarLayout) view2, floatingActionButton);
            } else {
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                if (layoutParams instanceof CoordinatorLayout.C0077f ? ((CoordinatorLayout.C0077f) layoutParams).f533a instanceof BottomSheetBehavior : false) {
                    mo6897b(view2, floatingActionButton);
                }
            }
            return false;
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C1224k.FloatingActionButton_Behavior_Layout);
            this.f6952b = obtainStyledAttributes.getBoolean(C1224k.FloatingActionButton_Behavior_Layout_behavior_autoHide, true);
            obtainStyledAttributes.recycle();
        }

        /* renamed from: a */
        public boolean mo614a(CoordinatorLayout coordinatorLayout, View view, int i) {
            int i2;
            FloatingActionButton floatingActionButton = (FloatingActionButton) view;
            List<View> a = coordinatorLayout.mo551a((View) floatingActionButton);
            int size = a.size();
            int i3 = 0;
            for (int i4 = 0; i4 < size; i4++) {
                View view2 = a.get(i4);
                if (!(view2 instanceof AppBarLayout)) {
                    ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                    if ((layoutParams instanceof CoordinatorLayout.C0077f ? ((CoordinatorLayout.C0077f) layoutParams).f533a instanceof BottomSheetBehavior : false) && mo6897b(view2, floatingActionButton)) {
                        break;
                    }
                } else if (mo6896a(coordinatorLayout, (AppBarLayout) view2, floatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.mo564b(floatingActionButton, i);
            Rect rect = floatingActionButton.f6949l;
            if (rect == null || rect.centerX() <= 0 || rect.centerY() <= 0) {
                return true;
            }
            CoordinatorLayout.C0077f fVar = (CoordinatorLayout.C0077f) floatingActionButton.getLayoutParams();
            if (floatingActionButton.getRight() >= coordinatorLayout.getWidth() - fVar.rightMargin) {
                i2 = rect.right;
            } else {
                i2 = floatingActionButton.getLeft() <= fVar.leftMargin ? -rect.left : 0;
            }
            if (floatingActionButton.getBottom() >= coordinatorLayout.getHeight() - fVar.bottomMargin) {
                i3 = rect.bottom;
            } else if (floatingActionButton.getTop() <= fVar.topMargin) {
                i3 = -rect.top;
            }
            if (i3 != 0) {
                ViewCompat.m1957e(floatingActionButton, i3);
            }
            if (i2 == 0) {
                return true;
            }
            ViewCompat.m1955d(floatingActionButton, i2);
            return true;
        }

        /* renamed from: b */
        public final boolean mo6897b(View view, FloatingActionButton floatingActionButton) {
            if (!mo6895a(view, floatingActionButton)) {
                return false;
            }
            if (view.getTop() < (floatingActionButton.getHeight() / 2) + ((CoordinatorLayout.C0077f) floatingActionButton.getLayoutParams()).topMargin) {
                floatingActionButton.mo6825a((C1619a) null, false);
                return true;
            }
            floatingActionButton.mo6828b((C1619a) null, false);
            return true;
        }

        /* renamed from: a */
        public void mo609a(CoordinatorLayout.C0077f fVar) {
            if (fVar.f540h == 0) {
                fVar.f540h = 80;
            }
        }

        /* renamed from: a */
        public final boolean mo6895a(View view, FloatingActionButton floatingActionButton) {
            CoordinatorLayout.C0077f fVar = (CoordinatorLayout.C0077f) floatingActionButton.getLayoutParams();
            if (this.f6952b && fVar.f538f == view.getId() && floatingActionButton.getUserSetVisibility() == 0) {
                return true;
            }
            return false;
        }

        /* renamed from: a */
        public final boolean mo6896a(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, FloatingActionButton floatingActionButton) {
            if (!mo6895a(appBarLayout, floatingActionButton)) {
                return false;
            }
            if (this.f6951a == null) {
                this.f6951a = new Rect();
            }
            Rect rect = this.f6951a;
            DescendantOffsetUtils.m4658a((ViewGroup) coordinatorLayout, (View) appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                floatingActionButton.mo6825a((C1619a) null, false);
                return true;
            }
            floatingActionButton.mo6828b((C1619a) null, false);
            return true;
        }
    }

    /* renamed from: a */
    public void mo6825a(C1619a aVar, boolean z) {
        p085c.p132d.p133a.p156b.p182y.FloatingActionButton bVar;
        C1261e impl = getImpl();
        if (aVar == null) {
            bVar = null;
        } else {
            bVar = new p085c.p132d.p133a.p156b.p182y.FloatingActionButton(this, aVar);
        }
        if (!impl.mo5503b()) {
            Animator animator = impl.f5716k;
            if (animator != null) {
                animator.cancel();
            }
            if (impl.mo5511j()) {
                MotionSpec gVar = impl.f5718m;
                if (gVar == null) {
                    if (impl.f5715j == null) {
                        impl.f5715j = MotionSpec.m4460a(impl.f5725t.getContext(), C1157a.design_fab_hide_motion_spec);
                    }
                    gVar = impl.f5715j;
                    MediaDescriptionCompatApi21.m42a(gVar);
                }
                AnimatorSet a = impl.mo5496a(gVar, 0.0f, 0.0f, 0.0f);
                a.addListener(new FloatingActionButtonImpl(impl, z, bVar));
                ArrayList<Animator.AnimatorListener> arrayList = impl.f5723r;
                if (arrayList != null) {
                    Iterator<Animator.AnimatorListener> it = arrayList.iterator();
                    while (it.hasNext()) {
                        a.addListener(it.next());
                    }
                }
                a.start();
                return;
            }
            impl.f5725t.mo5572a(z ? 8 : 4, z);
            if (bVar != null) {
                bVar.f5690a.mo5294a(bVar.f5691b);
            }
        }
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (this.f6944g != colorStateList) {
            this.f6944g = colorStateList;
            getImpl().mo5500a(this.f6944g);
        }
    }

    /* renamed from: a */
    public void mo6823a(Animator.AnimatorListener animatorListener) {
        C1261e impl = getImpl();
        if (impl.f5723r == null) {
            impl.f5723r = new ArrayList<>();
        }
        impl.f5723r.add(animatorListener);
    }

    /* renamed from: a */
    public boolean mo5486a() {
        throw null;
    }

    /* renamed from: a */
    public final int mo6822a(int i) {
        int i2 = this.f6946i;
        if (i2 != 0) {
            return i2;
        }
        Resources resources = getResources();
        if (i != -1) {
            if (i != 1) {
                return resources.getDimensionPixelSize(C1163d.design_fab_size_normal);
            }
            return resources.getDimensionPixelSize(C1163d.design_fab_size_mini);
        } else if (Math.max(resources.getConfiguration().screenWidthDp, resources.getConfiguration().screenHeightDp) < 470) {
            return mo6822a(1);
        } else {
            return mo6822a(0);
        }
    }

    /* renamed from: b */
    public void mo6827b(Animator.AnimatorListener animatorListener) {
        C1261e impl = getImpl();
        if (impl.f5722q == null) {
            impl.f5722q = new ArrayList<>();
        }
        impl.f5722q.add(animatorListener);
    }

    /* renamed from: b */
    public boolean mo6829b() {
        return getImpl().mo5503b();
    }

    @Deprecated
    /* renamed from: a */
    public boolean mo6826a(Rect rect) {
        if (!ViewCompat.m1978w(this)) {
            return false;
        }
        rect.set(0, 0, getWidth(), getHeight());
        throw null;
    }

    /* renamed from: a */
    public static int m5309a(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            return Math.min(i, size);
        }
        if (mode == 0) {
            return i;
        }
        if (mode == 1073741824) {
            return size;
        }
        throw new IllegalArgumentException();
    }

    /* renamed from: a */
    public void mo6824a(TransformationCallback<? extends FloatingActionButton> jVar) {
        C1261e impl = getImpl();
        C1621c cVar = new C1621c(jVar);
        if (impl.f5724s == null) {
            impl.f5724s = new ArrayList<>();
        }
        impl.f5724s.add(cVar);
    }
}
