package com.google.android.material.internal;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.widget.Checkable;
import android.widget.ImageButton;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import p008b.p010b.C0181a;
import p008b.p010b.p019p.AppCompatImageButton;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p050j.p051a.AbsSavedState;

public class CheckableImageButton extends AppCompatImageButton implements Checkable {

    /* renamed from: g */
    public static final int[] f6957g = {16842912};

    /* renamed from: d */
    public boolean f6958d;

    /* renamed from: e */
    public boolean f6959e;

    /* renamed from: f */
    public boolean f6960f;

    /* renamed from: com.google.android.material.internal.CheckableImageButton$a */
    public class C1622a extends AccessibilityDelegateCompat {
        public C1622a() {
        }

        /* renamed from: a */
        public void mo725a(View view, AccessibilityNodeInfoCompat bVar) {
            this.f2500a.onInitializeAccessibilityNodeInfo(view, bVar.f2546a);
            bVar.f2546a.setCheckable(CheckableImageButton.this.f6959e);
            bVar.f2546a.setChecked(CheckableImageButton.this.f6958d);
        }

        /* renamed from: b */
        public void mo727b(View view, AccessibilityEvent accessibilityEvent) {
            this.f2500a.onInitializeAccessibilityEvent(view, accessibilityEvent);
            accessibilityEvent.setChecked(CheckableImageButton.this.f6958d);
        }
    }

    /* renamed from: com.google.android.material.internal.CheckableImageButton$b */
    public static class C1623b extends AbsSavedState {
        public static final Parcelable.Creator<C1623b> CREATOR = new C1624a();

        /* renamed from: d */
        public boolean f6962d;

        /* renamed from: com.google.android.material.internal.CheckableImageButton$b$a */
        public static class C1624a implements Parcelable.ClassLoaderCreator<C1623b> {
            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C1623b(parcel, classLoader);
            }

            public Object[] newArray(int i) {
                return new C1623b[i];
            }

            public Object createFromParcel(Parcel parcel) {
                return new C1623b(parcel, (ClassLoader) null);
            }
        }

        public C1623b(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeParcelable(this.f2617b, i);
            parcel.writeInt(this.f6962d ? 1 : 0);
        }

        public C1623b(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f6962d = parcel.readInt() != 1 ? false : true;
        }
    }

    public CheckableImageButton(Context context) {
        this(context, (AttributeSet) null);
    }

    public boolean isChecked() {
        return this.f6958d;
    }

    public int[] onCreateDrawableState(int i) {
        if (this.f6958d) {
            return ImageButton.mergeDrawableStates(super.onCreateDrawableState(i + f6957g.length), f6957g);
        }
        return super.onCreateDrawableState(i);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof C1623b)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        C1623b bVar = (C1623b) parcelable;
        super.onRestoreInstanceState(bVar.f2617b);
        setChecked(bVar.f6962d);
    }

    public Parcelable onSaveInstanceState() {
        C1623b bVar = new C1623b(super.onSaveInstanceState());
        bVar.f6962d = this.f6958d;
        return bVar;
    }

    public void setCheckable(boolean z) {
        if (this.f6959e != z) {
            this.f6959e = z;
            sendAccessibilityEvent(0);
        }
    }

    public void setChecked(boolean z) {
        if (this.f6959e && this.f6958d != z) {
            this.f6958d = z;
            refreshDrawableState();
            sendAccessibilityEvent(HarvestConfiguration.DEFAULT_RESPONSE_BODY_LIMIT);
        }
    }

    public void setPressable(boolean z) {
        this.f6960f = z;
    }

    public void setPressed(boolean z) {
        if (this.f6960f) {
            super.setPressed(z);
        }
    }

    public void toggle() {
        setChecked(!this.f6958d);
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C0181a.imageButtonStyle);
    }

    public CheckableImageButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f6959e = true;
        this.f6960f = true;
        ViewCompat.m1938a((View) this, (AccessibilityDelegateCompat) new C1622a());
    }
}
