package com.google.android.material.internal;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.widget.CheckedTextView;
import android.widget.FrameLayout;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.C0181a;
import p008b.p010b.p017o.p018i.MenuItemImpl;
import p008b.p010b.p017o.p018i.MenuView;
import p008b.p010b.p019p.LinearLayoutCompat;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p085c.p132d.p133a.p156b.C1163d;
import p085c.p132d.p133a.p156b.C1176e;
import p085c.p132d.p133a.p156b.C1192f;
import p085c.p132d.p133a.p156b.C1218h;
import p085c.p132d.p133a.p156b.p183z.ForegroundLinearLayout;

public class NavigationMenuItemView extends ForegroundLinearLayout implements MenuView.C0265a {

    /* renamed from: G */
    public static final int[] f6963G = {16842912};

    /* renamed from: A */
    public FrameLayout f6964A;

    /* renamed from: B */
    public MenuItemImpl f6965B;

    /* renamed from: C */
    public ColorStateList f6966C;

    /* renamed from: D */
    public boolean f6967D;

    /* renamed from: E */
    public Drawable f6968E;

    /* renamed from: F */
    public final AccessibilityDelegateCompat f6969F;

    /* renamed from: w */
    public int f6970w;

    /* renamed from: x */
    public boolean f6971x;

    /* renamed from: y */
    public boolean f6972y;

    /* renamed from: z */
    public final CheckedTextView f6973z;

    /* renamed from: com.google.android.material.internal.NavigationMenuItemView$a */
    public class C1625a extends AccessibilityDelegateCompat {
        public C1625a() {
        }

        /* renamed from: a */
        public void mo725a(View view, AccessibilityNodeInfoCompat bVar) {
            this.f2500a.onInitializeAccessibilityNodeInfo(view, bVar.f2546a);
            bVar.f2546a.setCheckable(NavigationMenuItemView.this.f6972y);
        }
    }

    public NavigationMenuItemView(Context context) {
        this(context, (AttributeSet) null);
    }

    private void setActionView(View view) {
        if (view != null) {
            if (this.f6964A == null) {
                this.f6964A = (FrameLayout) ((ViewStub) findViewById(C1192f.design_menu_item_action_area_stub)).inflate();
            }
            this.f6964A.removeAllViews();
            this.f6964A.addView(view);
        }
    }

    /* renamed from: a */
    public void mo96a(MenuItemImpl iVar, int i) {
        StateListDrawable stateListDrawable;
        this.f6965B = iVar;
        setVisibility(iVar.isVisible() ? 0 : 8);
        boolean z = true;
        if (getBackground() == null) {
            TypedValue typedValue = new TypedValue();
            if (getContext().getTheme().resolveAttribute(C0181a.colorControlHighlight, typedValue, true)) {
                stateListDrawable = new StateListDrawable();
                stateListDrawable.addState(f6963G, new ColorDrawable(typedValue.data));
                stateListDrawable.addState(ViewGroup.EMPTY_STATE_SET, new ColorDrawable(0));
            } else {
                stateListDrawable = null;
            }
            ViewCompat.m1937a((View) this, (Drawable) stateListDrawable);
        }
        setCheckable(iVar.isCheckable());
        setChecked(iVar.isChecked());
        setEnabled(iVar.isEnabled());
        setTitle(iVar.f1413e);
        setIcon(iVar.getIcon());
        setActionView(iVar.getActionView());
        setContentDescription(iVar.f1425q);
        MediaDescriptionCompatApi21.m56a((View) this, iVar.f1426r);
        MenuItemImpl iVar2 = this.f6965B;
        if (!(iVar2.f1413e == null && iVar2.getIcon() == null && this.f6965B.getActionView() != null)) {
            z = false;
        }
        if (z) {
            this.f6973z.setVisibility(8);
            FrameLayout frameLayout = this.f6964A;
            if (frameLayout != null) {
                LinearLayoutCompat.C0282a aVar = (LinearLayoutCompat.C0282a) frameLayout.getLayoutParams();
                aVar.width = -1;
                this.f6964A.setLayoutParams(aVar);
                return;
            }
            return;
        }
        this.f6973z.setVisibility(0);
        FrameLayout frameLayout2 = this.f6964A;
        if (frameLayout2 != null) {
            LinearLayoutCompat.C0282a aVar2 = (LinearLayoutCompat.C0282a) frameLayout2.getLayoutParams();
            aVar2.width = -2;
            this.f6964A.setLayoutParams(aVar2);
        }
    }

    /* renamed from: c */
    public boolean mo99c() {
        return false;
    }

    public MenuItemImpl getItemData() {
        return this.f6965B;
    }

    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 1);
        MenuItemImpl iVar = this.f6965B;
        if (iVar != null && iVar.isCheckable() && this.f6965B.isChecked()) {
            ViewGroup.mergeDrawableStates(onCreateDrawableState, f6963G);
        }
        return onCreateDrawableState;
    }

    public void setCheckable(boolean z) {
        refreshDrawableState();
        if (this.f6972y != z) {
            this.f6972y = z;
            this.f6969F.mo3106a((View) this.f6973z, (int) HarvestConfiguration.DEFAULT_RESPONSE_BODY_LIMIT);
        }
    }

    public void setChecked(boolean z) {
        refreshDrawableState();
        this.f6973z.setChecked(z);
    }

    public void setHorizontalPadding(int i) {
        setPadding(i, 0, i, 0);
    }

    public void setIcon(Drawable drawable) {
        if (drawable != null) {
            if (this.f6967D) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = MediaDescriptionCompatApi21.m99c(drawable).mutate();
                drawable.setTintList(this.f6966C);
            }
            int i = this.f6970w;
            drawable.setBounds(0, 0, i, i);
        } else if (this.f6971x) {
            if (this.f6968E == null) {
                Drawable drawable2 = getResources().getDrawable(C1176e.navigation_empty_icon, getContext().getTheme());
                this.f6968E = drawable2;
                if (drawable2 != null) {
                    int i2 = this.f6970w;
                    drawable2.setBounds(0, 0, i2, i2);
                }
            }
            drawable = this.f6968E;
        }
        this.f6973z.setCompoundDrawablesRelative(drawable, (Drawable) null, (Drawable) null, (Drawable) null);
    }

    public void setIconPadding(int i) {
        this.f6973z.setCompoundDrawablePadding(i);
    }

    public void setIconSize(int i) {
        this.f6970w = i;
    }

    public void setIconTintList(ColorStateList colorStateList) {
        this.f6966C = colorStateList;
        this.f6967D = colorStateList != null;
        MenuItemImpl iVar = this.f6965B;
        if (iVar != null) {
            setIcon(iVar.getIcon());
        }
    }

    public void setMaxLines(int i) {
        this.f6973z.setMaxLines(i);
    }

    public void setNeedsEmptyIcon(boolean z) {
        this.f6971x = z;
    }

    public void setTextAppearance(int i) {
        MediaDescriptionCompatApi21.m104d(this.f6973z, i);
    }

    public void setTextColor(ColorStateList colorStateList) {
        this.f6973z.setTextColor(colorStateList);
    }

    public void setTitle(CharSequence charSequence) {
        this.f6973z.setText(charSequence);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public NavigationMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f6969F = new C1625a();
        setOrientation(0);
        LayoutInflater.from(context).inflate(C1218h.design_navigation_menu_item, this, true);
        setIconSize(context.getResources().getDimensionPixelSize(C1163d.design_navigation_icon_size));
        CheckedTextView checkedTextView = (CheckedTextView) findViewById(C1192f.design_menu_item_text);
        this.f6973z = checkedTextView;
        checkedTextView.setDuplicateParentStateEnabled(true);
        ViewCompat.m1938a((View) this.f6973z, this.f6969F);
    }
}
