package com.google.android.material.radiobutton;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import p008b.p010b.p019p.AppCompatRadioButton;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay;
import p085c.p132d.p133a.p156b.p183z.ThemeEnforcement;

public class MaterialRadioButton extends AppCompatRadioButton {

    /* renamed from: g */
    public static final int f6975g = C1221j.Widget_MaterialComponents_CompoundButton_RadioButton;

    /* renamed from: h */
    public static final int[][] f6976h = {new int[]{16842910, 16842912}, new int[]{16842910, -16842912}, new int[]{-16842910, 16842912}, new int[]{-16842910, -16842912}};

    /* renamed from: e */
    public ColorStateList f6977e;

    /* renamed from: f */
    public boolean f6978f;

    public MaterialRadioButton(Context context) {
        this(context, (AttributeSet) null);
    }

    private ColorStateList getMaterialThemeColorsTintList() {
        if (this.f6977e == null) {
            int a = C1050v.m4132a((View) this, C1161b.colorControlActivated);
            int a2 = C1050v.m4132a((View) this, C1161b.colorOnSurface);
            int a3 = C1050v.m4132a((View) this, C1161b.colorSurface);
            int[] iArr = new int[f6976h.length];
            iArr[0] = C1050v.m4128a(a3, a, 1.0f);
            iArr[1] = C1050v.m4128a(a3, a2, 0.54f);
            iArr[2] = C1050v.m4128a(a3, a2, 0.38f);
            iArr[3] = C1050v.m4128a(a3, a2, 0.38f);
            this.f6977e = new ColorStateList(f6976h, iArr);
        }
        return this.f6977e;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f6978f && getButtonTintList() == null) {
            setUseMaterialThemeColors(true);
        }
    }

    public void setUseMaterialThemeColors(boolean z) {
        this.f6978f = z;
        if (z) {
            setButtonTintList(getMaterialThemeColorsTintList());
        } else {
            setButtonTintList((ColorStateList) null);
        }
    }

    public MaterialRadioButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C1161b.radioButtonStyle);
    }

    public MaterialRadioButton(Context context, AttributeSet attributeSet, int i) {
        super(MaterialThemeOverlay.m4458a(context, attributeSet, i, f6975g), attributeSet, i);
        TypedArray b = ThemeEnforcement.m4671b(getContext(), attributeSet, C1224k.MaterialRadioButton, i, f6975g, new int[0]);
        this.f6978f = b.getBoolean(C1224k.MaterialRadioButton_useMaterialThemeColors, false);
        b.recycle();
    }
}
