package com.google.android.material.snackbar;

import android.accessibilityservice.AccessibilityServiceInfo;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityManager;
import android.widget.FrameLayout;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import com.google.android.material.behavior.SwipeDismissBehavior;
import com.google.android.material.snackbar.BaseTransientBottomBar;
import java.util.List;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.OnApplyWindowInsetsListener;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.WindowInsetsCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1163d;
import p085c.p132d.p133a.p156b.C1218h;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p161e0.C1177b;
import p085c.p132d.p133a.p156b.p161e0.C1178c;
import p085c.p132d.p133a.p156b.p161e0.C1182g;
import p085c.p132d.p133a.p156b.p161e0.C1183h;
import p085c.p132d.p133a.p156b.p161e0.C1184i;
import p085c.p132d.p133a.p156b.p161e0.C1185j;
import p085c.p132d.p133a.p156b.p161e0.C1186k;
import p085c.p132d.p133a.p156b.p161e0.C1187l;
import p085c.p132d.p133a.p156b.p161e0.C1188m;
import p085c.p132d.p133a.p156b.p161e0.ContentViewCallback;
import p085c.p132d.p133a.p156b.p161e0.SnackbarManager;
import p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay;
import p085c.p132d.p133a.p156b.p168l.AnimationUtils;
import p085c.p132d.p133a.p156b.p183z.ThemeEnforcement;

public abstract class BaseTransientBottomBar<B extends BaseTransientBottomBar<B>> {

    /* renamed from: o */
    public static final Handler f6979o = new Handler(Looper.getMainLooper(), new C1626a());

    /* renamed from: p */
    public static final int[] f6980p = {C1161b.snackbarStyle};

    /* renamed from: a */
    public final ViewGroup f6981a;

    /* renamed from: b */
    public final Context f6982b;

    /* renamed from: c */
    public final C1634i f6983c;

    /* renamed from: d */
    public final ContentViewCallback f6984d;

    /* renamed from: e */
    public int f6985e;

    /* renamed from: f */
    public final Runnable f6986f = new C1627b();

    /* renamed from: g */
    public Rect f6987g;

    /* renamed from: h */
    public int f6988h;

    /* renamed from: i */
    public int f6989i;

    /* renamed from: j */
    public int f6990j;

    /* renamed from: k */
    public int f6991k;

    /* renamed from: l */
    public int f6992l;

    /* renamed from: m */
    public final AccessibilityManager f6993m;

    /* renamed from: n */
    public SnackbarManager.C1190b f6994n = new C1630e();

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$a */
    public static class C1626a implements Handler.Callback {
        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                BaseTransientBottomBar baseTransientBottomBar = (BaseTransientBottomBar) message.obj;
                baseTransientBottomBar.f6983c.setOnAttachStateChangeListener(new C1185j(baseTransientBottomBar));
                if (baseTransientBottomBar.f6983c.getParent() == null) {
                    ViewGroup.LayoutParams layoutParams = baseTransientBottomBar.f6983c.getLayoutParams();
                    if (layoutParams instanceof CoordinatorLayout.C0077f) {
                        CoordinatorLayout.C0077f fVar = (CoordinatorLayout.C0077f) layoutParams;
                        Behavior behavior = new Behavior();
                        C1631f fVar2 = behavior.f6995j;
                        if (fVar2 != null) {
                            fVar2.f7000a = baseTransientBottomBar.f6994n;
                            behavior.f6745b = new C1187l(baseTransientBottomBar);
                            fVar.mo629a((CoordinatorLayout.C0074c) behavior);
                            fVar.f539g = 80;
                        } else {
                            throw null;
                        }
                    }
                    baseTransientBottomBar.f6992l = 0;
                    baseTransientBottomBar.mo6936e();
                    baseTransientBottomBar.f6983c.setVisibility(4);
                    baseTransientBottomBar.f6981a.addView(baseTransientBottomBar.f6983c);
                }
                if (ViewCompat.m1978w(baseTransientBottomBar.f6983c)) {
                    baseTransientBottomBar.mo6935d();
                } else {
                    baseTransientBottomBar.f6983c.setOnLayoutChangeListener(new C1186k(baseTransientBottomBar));
                }
                return true;
            } else if (i != 1) {
                return false;
            } else {
                BaseTransientBottomBar baseTransientBottomBar2 = (BaseTransientBottomBar) message.obj;
                int i2 = message.arg1;
                if (!baseTransientBottomBar2.mo6934c() || baseTransientBottomBar2.f6983c.getVisibility() != 0) {
                    baseTransientBottomBar2.mo6932a(i2);
                } else if (baseTransientBottomBar2.f6983c.getAnimationMode() == 1) {
                    ValueAnimator ofFloat = ValueAnimator.ofFloat(new float[]{1.0f, 0.0f});
                    ofFloat.setInterpolator(AnimationUtils.f5424a);
                    ofFloat.addUpdateListener(new C1178c(baseTransientBottomBar2));
                    ofFloat.setDuration(75);
                    ofFloat.addListener(new C1177b(baseTransientBottomBar2, i2));
                    ofFloat.start();
                } else {
                    ValueAnimator valueAnimator = new ValueAnimator();
                    valueAnimator.setIntValues(new int[]{0, baseTransientBottomBar2.mo6931a()});
                    valueAnimator.setInterpolator(AnimationUtils.f5425b);
                    valueAnimator.setDuration(250);
                    valueAnimator.addListener(new C1182g(baseTransientBottomBar2, i2));
                    valueAnimator.addUpdateListener(new C1183h(baseTransientBottomBar2));
                    valueAnimator.start();
                }
                return true;
            }
        }
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$b */
    public class C1627b implements Runnable {
        public C1627b() {
        }

        public void run() {
            Context context;
            BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
            if (baseTransientBottomBar.f6983c != null && (context = baseTransientBottomBar.f6982b) != null) {
                DisplayMetrics displayMetrics = new DisplayMetrics();
                ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getRealMetrics(displayMetrics);
                int i = displayMetrics.heightPixels;
                BaseTransientBottomBar baseTransientBottomBar2 = BaseTransientBottomBar.this;
                int[] iArr = new int[2];
                baseTransientBottomBar2.f6983c.getLocationOnScreen(iArr);
                int height = (i - (baseTransientBottomBar2.f6983c.getHeight() + iArr[1])) + ((int) BaseTransientBottomBar.this.f6983c.getTranslationY());
                BaseTransientBottomBar baseTransientBottomBar3 = BaseTransientBottomBar.this;
                if (height < baseTransientBottomBar3.f6991k) {
                    ViewGroup.LayoutParams layoutParams = baseTransientBottomBar3.f6983c.getLayoutParams();
                    if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
                        Log.w("BaseTransientBottomBar", "Unable to apply gesture inset because layout params are not MarginLayoutParams");
                        return;
                    }
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                    int i2 = marginLayoutParams.bottomMargin;
                    BaseTransientBottomBar baseTransientBottomBar4 = BaseTransientBottomBar.this;
                    marginLayoutParams.bottomMargin = (baseTransientBottomBar4.f6991k - height) + i2;
                    baseTransientBottomBar4.f6983c.requestLayout();
                }
            }
        }
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$c */
    public class C1628c implements OnApplyWindowInsetsListener {
        public C1628c() {
        }

        /* renamed from: a */
        public WindowInsetsCompat mo605a(View view, WindowInsetsCompat wVar) {
            BaseTransientBottomBar.this.f6988h = wVar.mo3157a();
            BaseTransientBottomBar.this.f6989i = wVar.mo3158b();
            BaseTransientBottomBar.this.f6990j = wVar.mo3159c();
            BaseTransientBottomBar.this.mo6936e();
            return wVar;
        }
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$e */
    public class C1630e implements SnackbarManager.C1190b {
        public C1630e() {
        }

        /* renamed from: a */
        public void mo5202a() {
            Handler handler = BaseTransientBottomBar.f6979o;
            handler.sendMessage(handler.obtainMessage(0, BaseTransientBottomBar.this));
        }

        /* renamed from: a */
        public void mo5203a(int i) {
            Handler handler = BaseTransientBottomBar.f6979o;
            handler.sendMessage(handler.obtainMessage(1, i, 0, BaseTransientBottomBar.this));
        }
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$f */
    public static class C1631f {

        /* renamed from: a */
        public SnackbarManager.C1190b f7000a;

        public C1631f(SwipeDismissBehavior<?> swipeDismissBehavior) {
            if (swipeDismissBehavior != null) {
                swipeDismissBehavior.f6750g = SwipeDismissBehavior.m5188a(0.0f, 0.1f, 1.0f);
                swipeDismissBehavior.f6751h = SwipeDismissBehavior.m5188a(0.0f, 0.6f, 1.0f);
                swipeDismissBehavior.f6748e = 0;
                return;
            }
            throw null;
        }
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$g */
    public interface C1632g {
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$h */
    public interface C1633h {
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$i */
    public static class C1634i extends FrameLayout {

        /* renamed from: i */
        public static final View.OnTouchListener f7001i = new C1635a();

        /* renamed from: b */
        public C1633h f7002b;

        /* renamed from: c */
        public C1632g f7003c;

        /* renamed from: d */
        public int f7004d;

        /* renamed from: e */
        public final float f7005e;

        /* renamed from: f */
        public final float f7006f;

        /* renamed from: g */
        public ColorStateList f7007g;

        /* renamed from: h */
        public PorterDuff.Mode f7008h;

        /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$i$a */
        public static class C1635a implements View.OnTouchListener {
            @SuppressLint({"ClickableViewAccessibility"})
            public boolean onTouch(View view, MotionEvent motionEvent) {
                return true;
            }
        }

        public C1634i(Context context) {
            this(context, (AttributeSet) null);
        }

        public float getActionTextColorAlpha() {
            return this.f7006f;
        }

        public int getAnimationMode() {
            return this.f7004d;
        }

        public float getBackgroundOverlayColorAlpha() {
            return this.f7005e;
        }

        public void onAttachedToWindow() {
            WindowInsets rootWindowInsets;
            super.onAttachedToWindow();
            C1632g gVar = this.f7003c;
            if (gVar != null) {
                C1185j jVar = (C1185j) gVar;
                if (jVar == null) {
                    throw null;
                } else if (Build.VERSION.SDK_INT >= 29 && (rootWindowInsets = jVar.f5307a.f6983c.getRootWindowInsets()) != null) {
                    jVar.f5307a.f6991k = rootWindowInsets.getMandatorySystemGestureInsets().bottom;
                    jVar.f5307a.mo6936e();
                }
            }
            ViewCompat.m1923B(this);
        }

        public void onDetachedFromWindow() {
            super.onDetachedFromWindow();
            C1632g gVar = this.f7003c;
            if (gVar != null) {
                C1185j jVar = (C1185j) gVar;
                BaseTransientBottomBar baseTransientBottomBar = jVar.f5307a;
                if (baseTransientBottomBar == null) {
                    throw null;
                } else if (SnackbarManager.m4404b().mo5192a(baseTransientBottomBar.f6994n)) {
                    BaseTransientBottomBar.f6979o.post(new C1184i(jVar));
                }
            }
        }

        public void onLayout(boolean z, int i, int i2, int i3, int i4) {
            super.onLayout(z, i, i2, i3, i4);
            C1633h hVar = this.f7002b;
            if (hVar != null) {
                C1186k kVar = (C1186k) hVar;
                kVar.f5308a.f6983c.setOnLayoutChangeListener((C1633h) null);
                kVar.f5308a.mo6935d();
            }
        }

        public void setAnimationMode(int i) {
            this.f7004d = i;
        }

        public void setBackground(Drawable drawable) {
            setBackgroundDrawable(drawable);
        }

        public void setBackgroundDrawable(Drawable drawable) {
            if (!(drawable == null || this.f7007g == null)) {
                drawable = MediaDescriptionCompatApi21.m99c(drawable.mutate());
                drawable.setTintList(this.f7007g);
                drawable.setTintMode(this.f7008h);
            }
            super.setBackgroundDrawable(drawable);
        }

        public void setBackgroundTintList(ColorStateList colorStateList) {
            this.f7007g = colorStateList;
            if (getBackground() != null) {
                Drawable c = MediaDescriptionCompatApi21.m99c(getBackground().mutate());
                c.setTintList(colorStateList);
                c.setTintMode(this.f7008h);
                if (c != getBackground()) {
                    super.setBackgroundDrawable(c);
                }
            }
        }

        public void setBackgroundTintMode(PorterDuff.Mode mode) {
            this.f7008h = mode;
            if (getBackground() != null) {
                Drawable c = MediaDescriptionCompatApi21.m99c(getBackground().mutate());
                c.setTintMode(mode);
                if (c != getBackground()) {
                    super.setBackgroundDrawable(c);
                }
            }
        }

        public void setOnAttachStateChangeListener(C1632g gVar) {
            this.f7003c = gVar;
        }

        public void setOnClickListener(View.OnClickListener onClickListener) {
            setOnTouchListener(onClickListener != null ? null : f7001i);
            super.setOnClickListener(onClickListener);
        }

        public void setOnLayoutChangeListener(C1633h hVar) {
            this.f7002b = hVar;
        }

        public C1634i(Context context, AttributeSet attributeSet) {
            super(MaterialThemeOverlay.m4458a(context, attributeSet, 0, 0), attributeSet);
            Drawable drawable;
            Context context2 = getContext();
            TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, C1224k.SnackbarLayout);
            if (obtainStyledAttributes.hasValue(C1224k.SnackbarLayout_elevation)) {
                ViewCompat.m1930a((View) this, (float) obtainStyledAttributes.getDimensionPixelSize(C1224k.SnackbarLayout_elevation, 0));
            }
            this.f7004d = obtainStyledAttributes.getInt(C1224k.SnackbarLayout_animationMode, 0);
            this.f7005e = obtainStyledAttributes.getFloat(C1224k.SnackbarLayout_backgroundOverlayColorAlpha, 1.0f);
            setBackgroundTintList(C1050v.m4138a(context2, obtainStyledAttributes, C1224k.SnackbarLayout_backgroundTint));
            setBackgroundTintMode(C1050v.m4140a(obtainStyledAttributes.getInt(C1224k.SnackbarLayout_backgroundTintMode, -1), PorterDuff.Mode.SRC_IN));
            this.f7006f = obtainStyledAttributes.getFloat(C1224k.SnackbarLayout_actionTextColorAlpha, 1.0f);
            obtainStyledAttributes.recycle();
            setOnTouchListener(f7001i);
            setFocusable(true);
            if (getBackground() == null) {
                float dimension = getResources().getDimension(C1163d.mtrl_snackbar_background_corner_radius);
                GradientDrawable gradientDrawable = new GradientDrawable();
                gradientDrawable.setShape(0);
                gradientDrawable.setCornerRadius(dimension);
                int i = C1161b.colorSurface;
                int i2 = C1161b.colorOnSurface;
                gradientDrawable.setColor(C1050v.m4128a(C1050v.m4132a((View) this, i), C1050v.m4132a((View) this, i2), getBackgroundOverlayColorAlpha()));
                if (this.f7007g != null) {
                    drawable = MediaDescriptionCompatApi21.m99c((Drawable) gradientDrawable);
                    drawable.setTintList(this.f7007g);
                } else {
                    drawable = MediaDescriptionCompatApi21.m99c((Drawable) gradientDrawable);
                }
                ViewCompat.m1937a((View) this, drawable);
            }
        }
    }

    public BaseTransientBottomBar(ViewGroup viewGroup, View view, ContentViewCallback nVar) {
        if (viewGroup == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null parent");
        } else if (view == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null content");
        } else if (nVar != null) {
            this.f6981a = viewGroup;
            this.f6984d = nVar;
            Context context = viewGroup.getContext();
            this.f6982b = context;
            ThemeEnforcement.m4670a(context, ThemeEnforcement.f5832a, "Theme.AppCompat");
            LayoutInflater from = LayoutInflater.from(this.f6982b);
            TypedArray obtainStyledAttributes = this.f6982b.obtainStyledAttributes(f6980p);
            int resourceId = obtainStyledAttributes.getResourceId(0, -1);
            obtainStyledAttributes.recycle();
            C1634i iVar = (C1634i) from.inflate(resourceId != -1 ? C1218h.mtrl_layout_snackbar : C1218h.design_layout_snackbar, this.f6981a, false);
            this.f6983c = iVar;
            if (view instanceof SnackbarContentLayout) {
                SnackbarContentLayout snackbarContentLayout = (SnackbarContentLayout) view;
                float actionTextColorAlpha = iVar.getActionTextColorAlpha();
                if (actionTextColorAlpha != 1.0f) {
                    snackbarContentLayout.f7012c.setTextColor(C1050v.m4128a(C1050v.m4132a((View) snackbarContentLayout, C1161b.colorSurface), snackbarContentLayout.f7012c.getCurrentTextColor(), actionTextColorAlpha));
                }
            }
            this.f6983c.addView(view);
            ViewGroup.LayoutParams layoutParams = this.f6983c.getLayoutParams();
            if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                this.f6987g = new Rect(marginLayoutParams.leftMargin, marginLayoutParams.topMargin, marginLayoutParams.rightMargin, marginLayoutParams.bottomMargin);
            }
            ViewCompat.m1961g(this.f6983c, 1);
            this.f6983c.setImportantForAccessibility(1);
            this.f6983c.setFitsSystemWindows(true);
            ViewCompat.m1939a((View) this.f6983c, (OnApplyWindowInsetsListener) new C1628c());
            ViewCompat.m1938a((View) this.f6983c, (AccessibilityDelegateCompat) new C1629d());
            this.f6993m = (AccessibilityManager) this.f6982b.getSystemService("accessibility");
        } else {
            throw new IllegalArgumentException("Transient bottom bar must have non-null callback");
        }
    }

    /* renamed from: a */
    public final int mo6931a() {
        int height = this.f6983c.getHeight();
        ViewGroup.LayoutParams layoutParams = this.f6983c.getLayoutParams();
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? height + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin : height;
    }

    /* renamed from: b */
    public void mo6933b() {
        SnackbarManager.m4404b().mo5198e(this.f6994n);
    }

    /* renamed from: c */
    public boolean mo6934c() {
        List<AccessibilityServiceInfo> enabledAccessibilityServiceList = this.f6993m.getEnabledAccessibilityServiceList(1);
        if (enabledAccessibilityServiceList == null || !enabledAccessibilityServiceList.isEmpty()) {
            return false;
        }
        return true;
    }

    /* renamed from: d */
    public final void mo6935d() {
        if (mo6934c()) {
            this.f6983c.post(new C1188m(this));
            return;
        }
        this.f6983c.setVisibility(0);
        mo6933b();
    }

    /* renamed from: e */
    public final void mo6936e() {
        Rect rect;
        ViewGroup.LayoutParams layoutParams = this.f6983c.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams) || (rect = this.f6987g) == null) {
            Log.w("BaseTransientBottomBar", "Unable to update margins because layout params are not MarginLayoutParams");
            return;
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
        marginLayoutParams.bottomMargin = rect.bottom + this.f6988h;
        marginLayoutParams.leftMargin = rect.left + this.f6989i;
        marginLayoutParams.rightMargin = rect.right + this.f6990j;
        this.f6983c.requestLayout();
        if (Build.VERSION.SDK_INT >= 29) {
            boolean z = false;
            if (this.f6991k > 0) {
                ViewGroup.LayoutParams layoutParams2 = this.f6983c.getLayoutParams();
                if ((layoutParams2 instanceof CoordinatorLayout.C0077f) && (((CoordinatorLayout.C0077f) layoutParams2).f533a instanceof SwipeDismissBehavior)) {
                    z = true;
                }
            }
            if (z) {
                this.f6983c.removeCallbacks(this.f6986f);
                this.f6983c.post(this.f6986f);
            }
        }
    }

    public static class Behavior extends SwipeDismissBehavior<View> {

        /* renamed from: j */
        public final C1631f f6995j = new C1631f(this);

        /* renamed from: a */
        public boolean mo6503a(View view) {
            if (this.f6995j != null) {
                return view instanceof C1634i;
            }
            throw null;
        }

        /* renamed from: a */
        public boolean mo618a(CoordinatorLayout coordinatorLayout, View view, MotionEvent motionEvent) {
            C1631f fVar = this.f6995j;
            if (fVar != null) {
                int actionMasked = motionEvent.getActionMasked();
                if (actionMasked != 0) {
                    if (actionMasked == 1 || actionMasked == 3) {
                        SnackbarManager.m4404b().mo5200g(fVar.f7000a);
                    }
                } else if (coordinatorLayout.mo560a(view, (int) motionEvent.getX(), (int) motionEvent.getY())) {
                    SnackbarManager.m4404b().mo5199f(fVar.f7000a);
                }
                return super.mo618a(coordinatorLayout, view, motionEvent);
            }
            throw null;
        }
    }

    /* renamed from: com.google.android.material.snackbar.BaseTransientBottomBar$d */
    public class C1629d extends AccessibilityDelegateCompat {
        public C1629d() {
        }

        /* renamed from: a */
        public void mo725a(View view, AccessibilityNodeInfoCompat bVar) {
            this.f2500a.onInitializeAccessibilityNodeInfo(view, bVar.f2546a);
            bVar.f2546a.addAction(1048576);
            bVar.f2546a.setDismissable(true);
        }

        /* renamed from: a */
        public boolean mo726a(View view, int i, Bundle bundle) {
            if (i != 1048576) {
                return super.mo726a(view, i, bundle);
            }
            Snackbar snackbar = (Snackbar) BaseTransientBottomBar.this;
            if (snackbar != null) {
                SnackbarManager.m4404b().mo5190a(snackbar.f6994n, 3);
                return true;
            }
            throw null;
        }
    }

    /* renamed from: a */
    public void mo6932a(int i) {
        SnackbarManager.m4404b().mo5197d(this.f6994n);
        ViewParent parent = this.f6983c.getParent();
        if (parent instanceof ViewGroup) {
            ((ViewGroup) parent).removeView(this.f6983c);
        }
    }
}
