package com.google.android.material.textfield;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.google.android.material.internal.CheckableImageButton;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import java.util.Iterator;
import java.util.LinkedHashSet;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.p012l.p013a.AppCompatResources;
import p008b.p010b.p019p.AppCompatDrawableManager;
import p008b.p010b.p019p.AppCompatTextView;
import p008b.p010b.p019p.DrawableUtils;
import p008b.p033h.p035f.ContextCompat;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p050j.p051a.AbsSavedState;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1162c;
import p085c.p132d.p133a.p156b.C1163d;
import p085c.p132d.p133a.p156b.C1192f;
import p085c.p132d.p133a.p156b.C1220i;
import p085c.p132d.p133a.p156b.C1221j;
import p085c.p132d.p133a.p156b.p157a0.CancelableFontCallback;
import p085c.p132d.p133a.p156b.p157a0.TextAppearance;
import p085c.p132d.p133a.p156b.p157a0.TextAppearanceFontCallback;
import p085c.p132d.p133a.p156b.p160d0.MaterialShapeDrawable;
import p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel;
import p085c.p132d.p133a.p156b.p163g0.CutoutDrawable;
import p085c.p132d.p133a.p156b.p163g0.EndIconDelegate;
import p085c.p132d.p133a.p156b.p163g0.IndicatorViewController;
import p085c.p132d.p133a.p156b.p168l.AnimationUtils;
import p085c.p132d.p133a.p156b.p183z.C1272b;
import p085c.p132d.p133a.p156b.p183z.CollapsingTextHelper;
import p085c.p132d.p133a.p156b.p183z.DescendantOffsetUtils;

public class TextInputLayout extends LinearLayout {

    /* renamed from: I0 */
    public static final int f7017I0 = C1221j.Widget_Design_TextInputLayout;

    /* renamed from: A */
    public CharSequence f7018A;

    /* renamed from: A0 */
    public final int f7019A0;

    /* renamed from: B */
    public boolean f7020B;

    /* renamed from: B0 */
    public int f7021B0;

    /* renamed from: C */
    public MaterialShapeDrawable f7022C;

    /* renamed from: C0 */
    public boolean f7023C0;

    /* renamed from: D */
    public MaterialShapeDrawable f7024D;

    /* renamed from: D0 */
    public final C1272b f7025D0;

    /* renamed from: E */
    public ShapeAppearanceModel f7026E;

    /* renamed from: E0 */
    public boolean f7027E0;

    /* renamed from: F */
    public final int f7028F;

    /* renamed from: F0 */
    public ValueAnimator f7029F0;

    /* renamed from: G */
    public int f7030G;

    /* renamed from: G0 */
    public boolean f7031G0;

    /* renamed from: H */
    public final int f7032H;

    /* renamed from: H0 */
    public boolean f7033H0;

    /* renamed from: I */
    public int f7034I;

    /* renamed from: J */
    public final int f7035J;

    /* renamed from: K */
    public final int f7036K;

    /* renamed from: L */
    public int f7037L;

    /* renamed from: M */
    public int f7038M;

    /* renamed from: N */
    public final Rect f7039N;

    /* renamed from: O */
    public final Rect f7040O;

    /* renamed from: P */
    public final RectF f7041P;

    /* renamed from: Q */
    public Typeface f7042Q;

    /* renamed from: R */
    public final CheckableImageButton f7043R;

    /* renamed from: S */
    public ColorStateList f7044S;

    /* renamed from: T */
    public boolean f7045T;

    /* renamed from: U */
    public PorterDuff.Mode f7046U;

    /* renamed from: V */
    public boolean f7047V;

    /* renamed from: W */
    public Drawable f7048W;

    /* renamed from: a0 */
    public int f7049a0;

    /* renamed from: b */
    public final FrameLayout f7050b;

    /* renamed from: b0 */
    public View.OnLongClickListener f7051b0;

    /* renamed from: c */
    public final LinearLayout f7052c;

    /* renamed from: c0 */
    public final LinkedHashSet<C1641f> f7053c0;

    /* renamed from: d */
    public final LinearLayout f7054d;

    /* renamed from: d0 */
    public int f7055d0;

    /* renamed from: e */
    public final FrameLayout f7056e;

    /* renamed from: e0 */
    public final SparseArray<EndIconDelegate> f7057e0;

    /* renamed from: f */
    public EditText f7058f;

    /* renamed from: f0 */
    public final CheckableImageButton f7059f0;

    /* renamed from: g */
    public CharSequence f7060g;

    /* renamed from: g0 */
    public final LinkedHashSet<C1642g> f7061g0;

    /* renamed from: h */
    public final IndicatorViewController f7062h;

    /* renamed from: h0 */
    public ColorStateList f7063h0;

    /* renamed from: i */
    public boolean f7064i;

    /* renamed from: i0 */
    public boolean f7065i0;

    /* renamed from: j */
    public int f7066j;

    /* renamed from: j0 */
    public PorterDuff.Mode f7067j0;

    /* renamed from: k */
    public boolean f7068k;

    /* renamed from: k0 */
    public boolean f7069k0;

    /* renamed from: l */
    public TextView f7070l;

    /* renamed from: l0 */
    public Drawable f7071l0;

    /* renamed from: m */
    public int f7072m;

    /* renamed from: m0 */
    public int f7073m0;

    /* renamed from: n */
    public int f7074n;

    /* renamed from: n0 */
    public Drawable f7075n0;

    /* renamed from: o */
    public CharSequence f7076o;

    /* renamed from: o0 */
    public View.OnLongClickListener f7077o0;

    /* renamed from: p */
    public boolean f7078p;

    /* renamed from: p0 */
    public final CheckableImageButton f7079p0;

    /* renamed from: q */
    public TextView f7080q;

    /* renamed from: q0 */
    public ColorStateList f7081q0;

    /* renamed from: r */
    public ColorStateList f7082r;

    /* renamed from: r0 */
    public ColorStateList f7083r0;

    /* renamed from: s */
    public int f7084s;

    /* renamed from: s0 */
    public ColorStateList f7085s0;

    /* renamed from: t */
    public ColorStateList f7086t;

    /* renamed from: t0 */
    public int f7087t0;

    /* renamed from: u */
    public ColorStateList f7088u;

    /* renamed from: u0 */
    public int f7089u0;

    /* renamed from: v */
    public CharSequence f7090v;

    /* renamed from: v0 */
    public int f7091v0;

    /* renamed from: w */
    public final TextView f7092w;

    /* renamed from: w0 */
    public ColorStateList f7093w0;

    /* renamed from: x */
    public CharSequence f7094x;

    /* renamed from: x0 */
    public int f7095x0;

    /* renamed from: y */
    public final TextView f7096y;

    /* renamed from: y0 */
    public final int f7097y0;

    /* renamed from: z */
    public boolean f7098z;

    /* renamed from: z0 */
    public final int f7099z0;

    /* renamed from: com.google.android.material.textfield.TextInputLayout$a */
    public class C1636a implements TextWatcher {
        public C1636a() {
        }

        public void afterTextChanged(Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.mo6976a(!textInputLayout.f7033H0, false);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.f7064i) {
                textInputLayout2.mo6971a(editable.length());
            }
            TextInputLayout textInputLayout3 = TextInputLayout.this;
            if (textInputLayout3.f7078p) {
                textInputLayout3.mo6980b(editable.length());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }
    }

    /* renamed from: com.google.android.material.textfield.TextInputLayout$b */
    public class C1637b implements Runnable {
        public C1637b() {
        }

        public void run() {
            TextInputLayout.this.f7059f0.performClick();
            TextInputLayout.this.f7059f0.jumpDrawablesToCurrentState();
        }
    }

    /* renamed from: com.google.android.material.textfield.TextInputLayout$c */
    public class C1638c implements Runnable {
        public C1638c() {
        }

        public void run() {
            TextInputLayout.this.f7058f.requestLayout();
        }
    }

    /* renamed from: com.google.android.material.textfield.TextInputLayout$d */
    public class C1639d implements ValueAnimator.AnimatorUpdateListener {
        public C1639d() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            TextInputLayout.this.f7025D0.mo5542c(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* renamed from: com.google.android.material.textfield.TextInputLayout$e */
    public static class C1640e extends AccessibilityDelegateCompat {

        /* renamed from: d */
        public final TextInputLayout f7104d;

        public C1640e(TextInputLayout textInputLayout) {
            this.f7104d = textInputLayout;
        }

        /* renamed from: a */
        public void mo725a(View view, AccessibilityNodeInfoCompat bVar) {
            String str;
            String str2;
            this.f2500a.onInitializeAccessibilityNodeInfo(view, bVar.f2546a);
            EditText editText = this.f7104d.getEditText();
            Editable text = editText != null ? editText.getText() : null;
            CharSequence hint = this.f7104d.getHint();
            CharSequence helperText = this.f7104d.getHelperText();
            CharSequence error = this.f7104d.getError();
            int counterMaxLength = this.f7104d.getCounterMaxLength();
            CharSequence counterOverflowDescription = this.f7104d.getCounterOverflowDescription();
            boolean z = !TextUtils.isEmpty(text);
            boolean z2 = !TextUtils.isEmpty(hint);
            boolean z3 = !TextUtils.isEmpty(helperText);
            boolean z4 = !TextUtils.isEmpty(error);
            boolean z5 = z4 || !TextUtils.isEmpty(counterOverflowDescription);
            if (z2) {
                str = hint.toString();
            } else {
                str = "";
            }
            StringBuilder a = outline.m2937a(str);
            if ((z4 || z3) && !TextUtils.isEmpty(str)) {
                str2 = ", ";
            } else {
                str2 = "";
            }
            a.append(str2);
            StringBuilder a2 = outline.m2937a(a.toString());
            if (z4) {
                helperText = error;
            } else if (!z3) {
                helperText = "";
            }
            a2.append(helperText);
            String sb = a2.toString();
            if (z) {
                bVar.f2546a.setText(text);
            } else if (!TextUtils.isEmpty(sb)) {
                bVar.f2546a.setText(sb);
            }
            if (!TextUtils.isEmpty(sb)) {
                if (Build.VERSION.SDK_INT >= 26) {
                    bVar.mo3168a((CharSequence) sb);
                } else {
                    if (z) {
                        sb = text + ", " + sb;
                    }
                    bVar.f2546a.setText(sb);
                }
                boolean z6 = !z;
                if (Build.VERSION.SDK_INT >= 26) {
                    bVar.f2546a.setShowingHintText(z6);
                } else {
                    bVar.mo3166a(4, z6);
                }
            }
            if (text == null || text.length() != counterMaxLength) {
                counterMaxLength = -1;
            }
            bVar.f2546a.setMaxTextLength(counterMaxLength);
            if (z5) {
                if (!z4) {
                    error = counterOverflowDescription;
                }
                bVar.f2546a.setError(error);
            }
        }
    }

    /* renamed from: com.google.android.material.textfield.TextInputLayout$f */
    public interface C1641f {
        /* renamed from: a */
        void mo5214a(TextInputLayout textInputLayout);
    }

    /* renamed from: com.google.android.material.textfield.TextInputLayout$g */
    public interface C1642g {
        /* renamed from: a */
        void mo5252a(TextInputLayout textInputLayout, int i);
    }

    /* renamed from: com.google.android.material.textfield.TextInputLayout$h */
    public static class C1643h extends AbsSavedState {
        public static final Parcelable.Creator<C1643h> CREATOR = new C1644a();

        /* renamed from: d */
        public CharSequence f7105d;

        /* renamed from: e */
        public boolean f7106e;

        /* renamed from: com.google.android.material.textfield.TextInputLayout$h$a */
        public static class C1644a implements Parcelable.ClassLoaderCreator<C1643h> {
            public Object createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new C1643h(parcel, classLoader);
            }

            public Object[] newArray(int i) {
                return new C1643h[i];
            }

            public Object createFromParcel(Parcel parcel) {
                return new C1643h(parcel, (ClassLoader) null);
            }
        }

        public C1643h(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            StringBuilder a = outline.m2937a("TextInputLayout.SavedState{");
            a.append(Integer.toHexString(System.identityHashCode(this)));
            a.append(" error=");
            a.append(this.f7105d);
            a.append("}");
            return a.toString();
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeParcelable(this.f2617b, i);
            TextUtils.writeToParcel(this.f7105d, parcel, i);
            parcel.writeInt(this.f7106e ? 1 : 0);
        }

        public C1643h(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7105d = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f7106e = parcel.readInt() != 1 ? false : true;
        }
    }

    public TextInputLayout(Context context) {
        this(context, (AttributeSet) null);
    }

    private EndIconDelegate getEndIconDelegate() {
        EndIconDelegate nVar = this.f7057e0.get(this.f7055d0);
        return nVar != null ? nVar : this.f7057e0.get(0);
    }

    private CheckableImageButton getEndIconToUpdateDummyDrawable() {
        if (this.f7079p0.getVisibility() == 0) {
            return this.f7079p0;
        }
        if (!mo6989f() || !mo6990g()) {
            return null;
        }
        return this.f7059f0;
    }

    private void setEditText(EditText editText) {
        if (this.f7058f == null) {
            if (this.f7055d0 != 3 && !(editText instanceof TextInputEditText)) {
                Log.i("TextInputLayout", "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.f7058f = editText;
            mo7036h();
            setTextInputAccessibilityDelegate(new C1640e(this));
            this.f7025D0.mo5536a(this.f7058f.getTypeface());
            C1272b bVar = this.f7025D0;
            float textSize = this.f7058f.getTextSize();
            if (bVar.f5775i != textSize) {
                bVar.f5775i = textSize;
                bVar.mo5545e();
            }
            int gravity = this.f7058f.getGravity();
            this.f7025D0.mo5535a((gravity & -113) | 48);
            C1272b bVar2 = this.f7025D0;
            if (bVar2.f5773g != gravity) {
                bVar2.f5773g = gravity;
                bVar2.mo5545e();
            }
            this.f7058f.addTextChangedListener(new C1636a());
            if (this.f7083r0 == null) {
                this.f7083r0 = this.f7058f.getHintTextColors();
            }
            if (this.f7098z) {
                if (TextUtils.isEmpty(this.f7018A)) {
                    CharSequence hint = this.f7058f.getHint();
                    this.f7060g = hint;
                    setHint(hint);
                    this.f7058f.setHint((CharSequence) null);
                }
                this.f7020B = true;
            }
            if (this.f7070l != null) {
                mo6971a(this.f7058f.getText().length());
            }
            mo7042n();
            this.f7062h.mo5237a();
            this.f7052c.bringToFront();
            this.f7054d.bringToFront();
            this.f7056e.bringToFront();
            this.f7079p0.bringToFront();
            Iterator it = this.f7053c0.iterator();
            while (it.hasNext()) {
                ((C1641f) it.next()).mo5214a(this);
            }
            mo7048p();
            mo7050r();
            if (!isEnabled()) {
                editText.setEnabled(false);
            }
            mo6976a(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setErrorIconVisible(boolean z) {
        int i = 0;
        this.f7079p0.setVisibility(z ? 0 : 8);
        FrameLayout frameLayout = this.f7056e;
        if (z) {
            i = 8;
        }
        frameLayout.setVisibility(i);
        mo7050r();
        if (!mo6989f()) {
            mo7041m();
        }
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.f7018A)) {
            this.f7018A = charSequence;
            C1272b bVar = this.f7025D0;
            if (charSequence == null || !TextUtils.equals(bVar.f5789w, charSequence)) {
                bVar.f5789w = charSequence;
                bVar.f5790x = null;
                Bitmap bitmap = bVar.f5744A;
                if (bitmap != null) {
                    bitmap.recycle();
                    bVar.f5744A = null;
                }
                bVar.mo5545e();
            }
            if (!this.f7023C0) {
                mo7037i();
            }
        }
    }

    private void setPlaceholderTextEnabled(boolean z) {
        if (this.f7078p != z) {
            if (z) {
                AppCompatTextView zVar = new AppCompatTextView(getContext());
                this.f7080q = zVar;
                zVar.setId(C1192f.textinput_placeholder);
                ViewCompat.m1961g(this.f7080q, 1);
                setPlaceholderTextAppearance(this.f7084s);
                setPlaceholderTextColor(this.f7082r);
                TextView textView = this.f7080q;
                if (textView != null) {
                    this.f7050b.addView(textView);
                    this.f7080q.setVisibility(0);
                }
            } else {
                TextView textView2 = this.f7080q;
                if (textView2 != null) {
                    textView2.setVisibility(8);
                }
                this.f7080q = null;
            }
            this.f7078p = z;
        }
    }

    /* renamed from: a */
    public final void mo6976a(boolean z, boolean z2) {
        ColorStateList colorStateList;
        TextView textView;
        boolean isEnabled = isEnabled();
        EditText editText = this.f7058f;
        boolean z3 = editText != null && !TextUtils.isEmpty(editText.getText());
        EditText editText2 = this.f7058f;
        boolean z4 = editText2 != null && editText2.hasFocus();
        boolean c = this.f7062h.mo5244c();
        ColorStateList colorStateList2 = this.f7083r0;
        if (colorStateList2 != null) {
            C1272b bVar = this.f7025D0;
            if (bVar.f5778l != colorStateList2) {
                bVar.f5778l = colorStateList2;
                bVar.mo5545e();
            }
            C1272b bVar2 = this.f7025D0;
            ColorStateList colorStateList3 = this.f7083r0;
            if (bVar2.f5777k != colorStateList3) {
                bVar2.f5777k = colorStateList3;
                bVar2.mo5545e();
            }
        }
        if (!isEnabled) {
            ColorStateList colorStateList4 = this.f7083r0;
            int colorForState = colorStateList4 != null ? colorStateList4.getColorForState(new int[]{-16842910}, this.f7021B0) : this.f7021B0;
            this.f7025D0.mo5540b(ColorStateList.valueOf(colorForState));
            C1272b bVar3 = this.f7025D0;
            ColorStateList valueOf = ColorStateList.valueOf(colorForState);
            if (bVar3.f5777k != valueOf) {
                bVar3.f5777k = valueOf;
                bVar3.mo5545e();
            }
        } else if (c) {
            C1272b bVar4 = this.f7025D0;
            TextView textView2 = this.f7062h.f5376m;
            bVar4.mo5540b(textView2 != null ? textView2.getTextColors() : null);
        } else if (this.f7068k && (textView = this.f7070l) != null) {
            this.f7025D0.mo5540b(textView.getTextColors());
        } else if (z4 && (colorStateList = this.f7085s0) != null) {
            C1272b bVar5 = this.f7025D0;
            if (bVar5.f5778l != colorStateList) {
                bVar5.f5778l = colorStateList;
                bVar5.mo5545e();
            }
        }
        if (z3 || (isEnabled() && (z4 || c))) {
            if (z2 || this.f7023C0) {
                ValueAnimator valueAnimator = this.f7029F0;
                if (valueAnimator != null && valueAnimator.isRunning()) {
                    this.f7029F0.cancel();
                }
                if (!z || !this.f7027E0) {
                    this.f7025D0.mo5542c(1.0f);
                } else {
                    mo6970a(1.0f);
                }
                this.f7023C0 = false;
                if (mo6988e()) {
                    mo7037i();
                }
                mo7038j();
                mo7049q();
                mo7051s();
            }
        } else if (z2 || !this.f7023C0) {
            ValueAnimator valueAnimator2 = this.f7029F0;
            if (valueAnimator2 != null && valueAnimator2.isRunning()) {
                this.f7029F0.cancel();
            }
            if (!z || !this.f7027E0) {
                this.f7025D0.mo5542c(0.0f);
            } else {
                mo6970a(0.0f);
            }
            if (mo6988e() && (!((CutoutDrawable) this.f7022C).f5335A.isEmpty()) && mo6988e()) {
                ((CutoutDrawable) this.f7022C).mo5221a(0.0f, 0.0f, 0.0f, 0.0f);
            }
            this.f7023C0 = true;
            TextView textView3 = this.f7080q;
            if (textView3 != null && this.f7078p) {
                textView3.setText((CharSequence) null);
                this.f7080q.setVisibility(4);
            }
            mo7049q();
            mo7051s();
        }
    }

    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & -113) | 16;
            this.f7050b.addView(view, layoutParams2);
            this.f7050b.setLayoutParams(layoutParams);
            mo7043o();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i, layoutParams);
    }

    /* renamed from: b */
    public final void mo6980b(int i) {
        if (i != 0 || this.f7023C0) {
            TextView textView = this.f7080q;
            if (textView != null && this.f7078p) {
                textView.setText((CharSequence) null);
                this.f7080q.setVisibility(4);
                return;
            }
            return;
        }
        mo7038j();
    }

    /* renamed from: c */
    public final void mo6982c() {
        mo6974a(this.f7043R, this.f7045T, this.f7044S, this.f7047V, this.f7046U);
    }

    /* renamed from: d */
    public final int mo6983d() {
        float b;
        if (!this.f7098z) {
            return 0;
        }
        int i = this.f7030G;
        if (i == 0 || i == 1) {
            b = this.f7025D0.mo5538b();
        } else if (i != 2) {
            return 0;
        } else {
            b = this.f7025D0.mo5538b() / 2.0f;
        }
        return (int) b;
    }

    public void dispatchProvideAutofillStructure(ViewStructure viewStructure, int i) {
        EditText editText;
        if (this.f7060g == null || (editText = this.f7058f) == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i);
            return;
        }
        boolean z = this.f7020B;
        this.f7020B = false;
        CharSequence hint = editText.getHint();
        this.f7058f.setHint(this.f7060g);
        try {
            super.dispatchProvideAutofillStructure(viewStructure, i);
        } finally {
            this.f7058f.setHint(hint);
            this.f7020B = z;
        }
    }

    public void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        this.f7033H0 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.f7033H0 = false;
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (this.f7098z) {
            C1272b bVar = this.f7025D0;
            if (bVar != null) {
                int save = canvas.save();
                if (bVar.f5790x != null && bVar.f5768b) {
                    float lineLeft = (bVar.f5761R.getLineLeft(0) + bVar.f5783q) - (bVar.f5764U * 2.0f);
                    bVar.f5750G.setTextSize(bVar.f5747D);
                    float f = bVar.f5783q;
                    float f2 = bVar.f5784r;
                    boolean z = bVar.f5792z && bVar.f5744A != null;
                    float lineAscent = (float) bVar.f5761R.getLineAscent(0);
                    float f3 = bVar.f5746C;
                    if (f3 != 1.0f) {
                        canvas.scale(f3, f3, f, f2);
                    }
                    if (z) {
                        canvas.drawBitmap(bVar.f5744A, f, f2 + lineAscent, bVar.f5745B);
                        canvas.restoreToCount(save);
                    } else {
                        if (bVar.mo5546f()) {
                            int alpha = bVar.f5750G.getAlpha();
                            canvas.translate(lineLeft, f2);
                            float f4 = (float) alpha;
                            bVar.f5750G.setAlpha((int) (bVar.f5763T * f4));
                            bVar.f5761R.draw(canvas);
                            canvas.translate(f - lineLeft, 0.0f);
                            bVar.f5750G.setAlpha((int) (bVar.f5762S * f4));
                            CharSequence charSequence = bVar.f5765V;
                            float f5 = -lineAscent;
                            canvas.drawText(charSequence, 0, charSequence.length(), 0.0f, f5 / bVar.f5746C, bVar.f5750G);
                            String trim = bVar.f5765V.toString().trim();
                            if (trim.endsWith("…")) {
                                trim = trim.substring(0, trim.length() - 1);
                            }
                            String str = trim;
                            bVar.f5750G.setAlpha(alpha);
                            canvas.drawText(str, 0, Math.min(bVar.f5761R.getLineEnd(0), str.length()), 0.0f, f5 / bVar.f5746C, bVar.f5750G);
                        } else {
                            canvas.translate(f, f2 + lineAscent);
                            bVar.f5761R.draw(canvas);
                        }
                        canvas.restoreToCount(save);
                    }
                }
            } else {
                throw null;
            }
        }
        MaterialShapeDrawable gVar = this.f7024D;
        if (gVar != null) {
            Rect bounds = gVar.getBounds();
            bounds.top = bounds.bottom - this.f7034I;
            this.f7024D.draw(canvas);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0020, code lost:
        r1 = r2.f5777k;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void drawableStateChanged() {
        /*
            r4 = this;
            boolean r0 = r4.f7031G0
            if (r0 == 0) goto L_0x0005
            return
        L_0x0005:
            r0 = 1
            r4.f7031G0 = r0
            super.drawableStateChanged()
            int[] r1 = r4.getDrawableState()
            c.d.a.b.z.b r2 = r4.f7025D0
            r3 = 0
            if (r2 == 0) goto L_0x0037
            r2.f5748E = r1
            android.content.res.ColorStateList r1 = r2.f5778l
            if (r1 == 0) goto L_0x0020
            boolean r1 = r1.isStateful()
            if (r1 != 0) goto L_0x002a
        L_0x0020:
            android.content.res.ColorStateList r1 = r2.f5777k
            if (r1 == 0) goto L_0x002c
            boolean r1 = r1.isStateful()
            if (r1 == 0) goto L_0x002c
        L_0x002a:
            r1 = 1
            goto L_0x002d
        L_0x002c:
            r1 = 0
        L_0x002d:
            if (r1 == 0) goto L_0x0034
            r2.mo5545e()
            r1 = 1
            goto L_0x0035
        L_0x0034:
            r1 = 0
        L_0x0035:
            r1 = r1 | r3
            goto L_0x0038
        L_0x0037:
            r1 = 0
        L_0x0038:
            android.widget.EditText r2 = r4.f7058f
            if (r2 == 0) goto L_0x004d
            boolean r2 = p008b.p033h.p045m.ViewCompat.m1978w(r4)
            if (r2 == 0) goto L_0x0049
            boolean r2 = r4.isEnabled()
            if (r2 == 0) goto L_0x0049
            goto L_0x004a
        L_0x0049:
            r0 = 0
        L_0x004a:
            r4.mo6976a((boolean) r0, (boolean) r3)
        L_0x004d:
            r4.mo7042n()
            r4.mo7124t()
            if (r1 == 0) goto L_0x0058
            r4.invalidate()
        L_0x0058:
            r4.f7031G0 = r3
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.textfield.TextInputLayout.drawableStateChanged():void");
    }

    /* renamed from: e */
    public final boolean mo6988e() {
        return this.f7098z && !TextUtils.isEmpty(this.f7018A) && (this.f7022C instanceof CutoutDrawable);
    }

    /* renamed from: f */
    public final boolean mo6989f() {
        return this.f7055d0 != 0;
    }

    /* renamed from: g */
    public boolean mo6990g() {
        return this.f7056e.getVisibility() == 0 && this.f7059f0.getVisibility() == 0;
    }

    public int getBaseline() {
        EditText editText = this.f7058f;
        if (editText == null) {
            return super.getBaseline();
        }
        return mo6983d() + getPaddingTop() + editText.getBaseline();
    }

    public MaterialShapeDrawable getBoxBackground() {
        int i = this.f7030G;
        if (i == 1 || i == 2) {
            return this.f7022C;
        }
        throw new IllegalStateException();
    }

    public int getBoxBackgroundColor() {
        return this.f7038M;
    }

    public int getBoxBackgroundMode() {
        return this.f7030G;
    }

    public float getBoxCornerRadiusBottomEnd() {
        MaterialShapeDrawable gVar = this.f7022C;
        return gVar.f5186b.f5209a.f5240h.mo5106a(gVar.mo5124b());
    }

    public float getBoxCornerRadiusBottomStart() {
        MaterialShapeDrawable gVar = this.f7022C;
        return gVar.f5186b.f5209a.f5239g.mo5106a(gVar.mo5124b());
    }

    public float getBoxCornerRadiusTopEnd() {
        MaterialShapeDrawable gVar = this.f7022C;
        return gVar.f5186b.f5209a.f5238f.mo5106a(gVar.mo5124b());
    }

    public float getBoxCornerRadiusTopStart() {
        return this.f7022C.mo5132f();
    }

    public int getBoxStrokeColor() {
        return this.f7091v0;
    }

    public ColorStateList getBoxStrokeErrorColor() {
        return this.f7093w0;
    }

    public int getCounterMaxLength() {
        return this.f7066j;
    }

    public CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (!this.f7064i || !this.f7068k || (textView = this.f7070l) == null) {
            return null;
        }
        return textView.getContentDescription();
    }

    public ColorStateList getCounterOverflowTextColor() {
        return this.f7086t;
    }

    public ColorStateList getCounterTextColor() {
        return this.f7086t;
    }

    public ColorStateList getDefaultHintTextColor() {
        return this.f7083r0;
    }

    public EditText getEditText() {
        return this.f7058f;
    }

    public CharSequence getEndIconContentDescription() {
        return this.f7059f0.getContentDescription();
    }

    public Drawable getEndIconDrawable() {
        return this.f7059f0.getDrawable();
    }

    public int getEndIconMode() {
        return this.f7055d0;
    }

    public CheckableImageButton getEndIconView() {
        return this.f7059f0;
    }

    public CharSequence getError() {
        IndicatorViewController oVar = this.f7062h;
        if (oVar.f5375l) {
            return oVar.f5374k;
        }
        return null;
    }

    public CharSequence getErrorContentDescription() {
        return this.f7062h.f5377n;
    }

    public int getErrorCurrentTextColors() {
        return this.f7062h.mo5245d();
    }

    public Drawable getErrorIconDrawable() {
        return this.f7079p0.getDrawable();
    }

    public final int getErrorTextCurrentColor() {
        return this.f7062h.mo5245d();
    }

    public CharSequence getHelperText() {
        IndicatorViewController oVar = this.f7062h;
        if (oVar.f5381r) {
            return oVar.f5380q;
        }
        return null;
    }

    public int getHelperTextCurrentTextColor() {
        TextView textView = this.f7062h.f5382s;
        if (textView != null) {
            return textView.getCurrentTextColor();
        }
        return -1;
    }

    public CharSequence getHint() {
        if (this.f7098z) {
            return this.f7018A;
        }
        return null;
    }

    public final float getHintCollapsedTextHeight() {
        return this.f7025D0.mo5538b();
    }

    public final int getHintCurrentCollapsedTextColor() {
        return this.f7025D0.mo5541c();
    }

    public ColorStateList getHintTextColor() {
        return this.f7085s0;
    }

    @Deprecated
    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.f7059f0.getContentDescription();
    }

    @Deprecated
    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.f7059f0.getDrawable();
    }

    public CharSequence getPlaceholderText() {
        if (this.f7078p) {
            return this.f7076o;
        }
        return null;
    }

    public int getPlaceholderTextAppearance() {
        return this.f7084s;
    }

    public ColorStateList getPlaceholderTextColor() {
        return this.f7082r;
    }

    public CharSequence getPrefixText() {
        return this.f7090v;
    }

    public ColorStateList getPrefixTextColor() {
        return this.f7092w.getTextColors();
    }

    public TextView getPrefixTextView() {
        return this.f7092w;
    }

    public CharSequence getStartIconContentDescription() {
        return this.f7043R.getContentDescription();
    }

    public Drawable getStartIconDrawable() {
        return this.f7043R.getDrawable();
    }

    public CharSequence getSuffixText() {
        return this.f7094x;
    }

    public ColorStateList getSuffixTextColor() {
        return this.f7096y.getTextColors();
    }

    public TextView getSuffixTextView() {
        return this.f7096y;
    }

    public Typeface getTypeface() {
        return this.f7042Q;
    }

    /* renamed from: h */
    public final void mo7036h() {
        int i = this.f7030G;
        boolean z = true;
        if (i == 0) {
            this.f7022C = null;
            this.f7024D = null;
        } else if (i == 1) {
            this.f7022C = new MaterialShapeDrawable(this.f7026E);
            this.f7024D = new MaterialShapeDrawable();
        } else if (i == 2) {
            if (!this.f7098z || (this.f7022C instanceof CutoutDrawable)) {
                this.f7022C = new MaterialShapeDrawable(this.f7026E);
            } else {
                this.f7022C = new CutoutDrawable(this.f7026E);
            }
            this.f7024D = null;
        } else {
            throw new IllegalArgumentException(this.f7030G + " is illegal; only @BoxBackgroundMode constants are supported.");
        }
        EditText editText = this.f7058f;
        if (editText == null || this.f7022C == null || editText.getBackground() != null || this.f7030G == 0) {
            z = false;
        }
        if (z) {
            ViewCompat.m1937a((View) this.f7058f, (Drawable) this.f7022C);
        }
        mo7124t();
        if (this.f7030G != 0) {
            mo7043o();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0075  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x009c  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00dc  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00e8  */
    /* renamed from: i */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo7037i() {
        /*
            r12 = this;
            boolean r0 = r12.mo6988e()
            if (r0 != 0) goto L_0x0007
            return
        L_0x0007:
            android.graphics.RectF r0 = r12.f7041P
            c.d.a.b.z.b r1 = r12.f7025D0
            android.widget.EditText r2 = r12.f7058f
            int r2 = r2.getWidth()
            android.widget.EditText r3 = r12.f7058f
            int r3 = r3.getGravity()
            java.lang.CharSequence r4 = r1.f5789w
            boolean r4 = r1.mo5537a((java.lang.CharSequence) r4)
            r1.f5791y = r4
            r5 = 8388613(0x800005, float:1.175495E-38)
            r6 = 1
            r7 = 1073741824(0x40000000, float:2.0)
            r8 = 17
            r9 = 5
            if (r3 == r8) goto L_0x005d
            r10 = r3 & 7
            if (r10 != r6) goto L_0x002f
            goto L_0x005d
        L_0x002f:
            r10 = r3 & r5
            if (r10 == r5) goto L_0x0049
            r10 = r3 & 5
            if (r10 != r9) goto L_0x0038
            goto L_0x0049
        L_0x0038:
            if (r4 == 0) goto L_0x0044
            android.graphics.Rect r4 = r1.f5771e
            int r4 = r4.right
            float r4 = (float) r4
            float r10 = r1.mo5532a()
            goto L_0x0064
        L_0x0044:
            android.graphics.Rect r4 = r1.f5771e
            int r4 = r4.left
            goto L_0x0051
        L_0x0049:
            boolean r4 = r1.f5791y
            if (r4 == 0) goto L_0x0053
            android.graphics.Rect r4 = r1.f5771e
            int r4 = r4.left
        L_0x0051:
            float r4 = (float) r4
            goto L_0x0065
        L_0x0053:
            android.graphics.Rect r4 = r1.f5771e
            int r4 = r4.right
            float r4 = (float) r4
            float r10 = r1.mo5532a()
            goto L_0x0064
        L_0x005d:
            float r4 = (float) r2
            float r4 = r4 / r7
            float r10 = r1.mo5532a()
            float r10 = r10 / r7
        L_0x0064:
            float r4 = r4 - r10
        L_0x0065:
            r0.left = r4
            android.graphics.Rect r10 = r1.f5771e
            int r11 = r10.top
            float r11 = (float) r11
            r0.top = r11
            if (r3 == r8) goto L_0x009c
            r8 = r3 & 7
            if (r8 != r6) goto L_0x0075
            goto L_0x009c
        L_0x0075:
            r2 = r3 & r5
            if (r2 == r5) goto L_0x008b
            r2 = r3 & 5
            if (r2 != r9) goto L_0x007e
            goto L_0x008b
        L_0x007e:
            boolean r2 = r1.f5791y
            if (r2 == 0) goto L_0x0085
            int r2 = r10.right
            goto L_0x009a
        L_0x0085:
            float r2 = r1.mo5532a()
            float r2 = r2 + r4
            goto L_0x00a4
        L_0x008b:
            boolean r2 = r1.f5791y
            if (r2 == 0) goto L_0x0096
            float r2 = r0.left
            float r3 = r1.mo5532a()
            goto L_0x00a3
        L_0x0096:
            android.graphics.Rect r2 = r1.f5771e
            int r2 = r2.right
        L_0x009a:
            float r2 = (float) r2
            goto L_0x00a4
        L_0x009c:
            float r2 = (float) r2
            float r2 = r2 / r7
            float r3 = r1.mo5532a()
            float r3 = r3 / r7
        L_0x00a3:
            float r2 = r2 + r3
        L_0x00a4:
            r0.right = r2
            android.graphics.Rect r2 = r1.f5771e
            int r2 = r2.top
            float r2 = (float) r2
            float r1 = r1.mo5538b()
            float r1 = r1 + r2
            r0.bottom = r1
            float r2 = r0.left
            int r3 = r12.f7028F
            float r3 = (float) r3
            float r2 = r2 - r3
            r0.left = r2
            float r2 = r0.top
            float r2 = r2 - r3
            r0.top = r2
            float r2 = r0.right
            float r2 = r2 + r3
            r0.right = r2
            float r1 = r1 + r3
            r0.bottom = r1
            int r1 = r12.getPaddingLeft()
            int r1 = -r1
            float r1 = (float) r1
            int r2 = r12.getPaddingTop()
            int r2 = -r2
            float r2 = (float) r2
            r0.offset(r1, r2)
            c.d.a.b.d0.g r1 = r12.f7022C
            c.d.a.b.g0.g r1 = (p085c.p132d.p133a.p156b.p163g0.CutoutDrawable) r1
            if (r1 == 0) goto L_0x00e8
            float r2 = r0.left
            float r3 = r0.top
            float r4 = r0.right
            float r0 = r0.bottom
            r1.mo5221a(r2, r3, r4, r0)
            return
        L_0x00e8:
            r0 = 0
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.textfield.TextInputLayout.mo7037i():void");
    }

    /* renamed from: j */
    public final void mo7038j() {
        TextView textView = this.f7080q;
        if (textView != null && this.f7078p) {
            textView.setText(this.f7076o);
            this.f7080q.setVisibility(0);
            this.f7080q.bringToFront();
        }
    }

    /* renamed from: k */
    public final void mo7039k() {
        if (this.f7070l != null) {
            EditText editText = this.f7058f;
            mo6971a(editText == null ? 0 : editText.getText().length());
        }
    }

    /* renamed from: l */
    public final void mo7040l() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        TextView textView = this.f7070l;
        if (textView != null) {
            mo6972a(textView, this.f7068k ? this.f7072m : this.f7074n);
            if (!this.f7068k && (colorStateList2 = this.f7086t) != null) {
                this.f7070l.setTextColor(colorStateList2);
            }
            if (this.f7068k && (colorStateList = this.f7088u) != null) {
                this.f7070l.setTextColor(colorStateList);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x0095  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x009a  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x0106  */
    /* renamed from: m */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final boolean mo7041m() {
        /*
            r10 = this;
            android.widget.EditText r0 = r10.f7058f
            r1 = 0
            if (r0 != 0) goto L_0x0006
            return r1
        L_0x0006:
            android.graphics.drawable.Drawable r0 = r10.getStartIconDrawable()
            r2 = 1
            if (r0 != 0) goto L_0x0011
            java.lang.CharSequence r0 = r10.f7090v
            if (r0 == 0) goto L_0x001b
        L_0x0011:
            android.widget.LinearLayout r0 = r10.f7052c
            int r0 = r0.getMeasuredWidth()
            if (r0 <= 0) goto L_0x001b
            r0 = 1
            goto L_0x001c
        L_0x001b:
            r0 = 0
        L_0x001c:
            r3 = 0
            r4 = 3
            r5 = 2
            if (r0 == 0) goto L_0x005d
            android.widget.LinearLayout r0 = r10.f7052c
            int r0 = r0.getMeasuredWidth()
            android.widget.EditText r6 = r10.f7058f
            int r6 = r6.getPaddingLeft()
            int r0 = r0 - r6
            android.graphics.drawable.Drawable r6 = r10.f7048W
            if (r6 == 0) goto L_0x0036
            int r6 = r10.f7049a0
            if (r6 == r0) goto L_0x0042
        L_0x0036:
            android.graphics.drawable.ColorDrawable r6 = new android.graphics.drawable.ColorDrawable
            r6.<init>()
            r10.f7048W = r6
            r10.f7049a0 = r0
            r6.setBounds(r1, r1, r0, r2)
        L_0x0042:
            android.widget.EditText r0 = r10.f7058f
            android.graphics.drawable.Drawable[] r0 = r0.getCompoundDrawablesRelative()
            r6 = r0[r1]
            android.graphics.drawable.Drawable r7 = r10.f7048W
            if (r6 == r7) goto L_0x005b
            android.widget.EditText r6 = r10.f7058f
            r8 = r0[r2]
            r9 = r0[r5]
            r0 = r0[r4]
            r6.setCompoundDrawablesRelative(r7, r8, r9, r0)
        L_0x0059:
            r0 = 1
            goto L_0x0075
        L_0x005b:
            r0 = 0
            goto L_0x0075
        L_0x005d:
            android.graphics.drawable.Drawable r0 = r10.f7048W
            if (r0 == 0) goto L_0x005b
            android.widget.EditText r0 = r10.f7058f
            android.graphics.drawable.Drawable[] r0 = r0.getCompoundDrawablesRelative()
            android.widget.EditText r6 = r10.f7058f
            r7 = r0[r2]
            r8 = r0[r5]
            r0 = r0[r4]
            r6.setCompoundDrawablesRelative(r3, r7, r8, r0)
            r10.f7048W = r3
            goto L_0x0059
        L_0x0075:
            com.google.android.material.internal.CheckableImageButton r6 = r10.f7079p0
            int r6 = r6.getVisibility()
            if (r6 == 0) goto L_0x008d
            boolean r6 = r10.mo6989f()
            if (r6 == 0) goto L_0x0089
            boolean r6 = r10.mo6990g()
            if (r6 != 0) goto L_0x008d
        L_0x0089:
            java.lang.CharSequence r6 = r10.f7094x
            if (r6 == 0) goto L_0x0097
        L_0x008d:
            android.widget.LinearLayout r6 = r10.f7054d
            int r6 = r6.getMeasuredWidth()
            if (r6 <= 0) goto L_0x0097
            r6 = 1
            goto L_0x0098
        L_0x0097:
            r6 = 0
        L_0x0098:
            if (r6 == 0) goto L_0x0106
            android.widget.TextView r3 = r10.f7096y
            int r3 = r3.getMeasuredWidth()
            android.widget.EditText r6 = r10.f7058f
            int r6 = r6.getPaddingRight()
            int r3 = r3 - r6
            com.google.android.material.internal.CheckableImageButton r6 = r10.getEndIconToUpdateDummyDrawable()
            if (r6 == 0) goto L_0x00bd
            int r7 = r6.getMeasuredWidth()
            int r7 = r7 + r3
            android.view.ViewGroup$LayoutParams r3 = r6.getLayoutParams()
            android.view.ViewGroup$MarginLayoutParams r3 = (android.view.ViewGroup.MarginLayoutParams) r3
            int r3 = r3.getMarginStart()
            int r3 = r3 + r7
        L_0x00bd:
            android.widget.EditText r6 = r10.f7058f
            android.graphics.drawable.Drawable[] r6 = r6.getCompoundDrawablesRelative()
            android.graphics.drawable.Drawable r7 = r10.f7071l0
            if (r7 == 0) goto L_0x00de
            int r8 = r10.f7073m0
            if (r8 == r3) goto L_0x00de
            r10.f7073m0 = r3
            r7.setBounds(r1, r1, r3, r2)
            android.widget.EditText r0 = r10.f7058f
            r1 = r6[r1]
            r3 = r6[r2]
            android.graphics.drawable.Drawable r5 = r10.f7071l0
            r4 = r6[r4]
            r0.setCompoundDrawablesRelative(r1, r3, r5, r4)
            goto L_0x0127
        L_0x00de:
            android.graphics.drawable.Drawable r7 = r10.f7071l0
            if (r7 != 0) goto L_0x00ee
            android.graphics.drawable.ColorDrawable r7 = new android.graphics.drawable.ColorDrawable
            r7.<init>()
            r10.f7071l0 = r7
            r10.f7073m0 = r3
            r7.setBounds(r1, r1, r3, r2)
        L_0x00ee:
            r3 = r6[r5]
            android.graphics.drawable.Drawable r7 = r10.f7071l0
            if (r3 == r7) goto L_0x0104
            r0 = r6[r5]
            r10.f7075n0 = r0
            android.widget.EditText r0 = r10.f7058f
            r1 = r6[r1]
            r3 = r6[r2]
            r4 = r6[r4]
            r0.setCompoundDrawablesRelative(r1, r3, r7, r4)
            goto L_0x0127
        L_0x0104:
            r2 = r0
            goto L_0x0127
        L_0x0106:
            android.graphics.drawable.Drawable r6 = r10.f7071l0
            if (r6 == 0) goto L_0x0128
            android.widget.EditText r6 = r10.f7058f
            android.graphics.drawable.Drawable[] r6 = r6.getCompoundDrawablesRelative()
            r5 = r6[r5]
            android.graphics.drawable.Drawable r7 = r10.f7071l0
            if (r5 != r7) goto L_0x0124
            android.widget.EditText r0 = r10.f7058f
            r1 = r6[r1]
            r5 = r6[r2]
            android.graphics.drawable.Drawable r7 = r10.f7075n0
            r4 = r6[r4]
            r0.setCompoundDrawablesRelative(r1, r5, r7, r4)
            goto L_0x0125
        L_0x0124:
            r2 = r0
        L_0x0125:
            r10.f7071l0 = r3
        L_0x0127:
            r0 = r2
        L_0x0128:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.textfield.TextInputLayout.mo7041m():boolean");
    }

    /* renamed from: n */
    public void mo7042n() {
        Drawable background;
        TextView textView;
        EditText editText = this.f7058f;
        if (editText != null && this.f7030G == 0 && (background = editText.getBackground()) != null) {
            if (DrawableUtils.m1316a(background)) {
                background = background.mutate();
            }
            if (this.f7062h.mo5244c()) {
                background.setColorFilter(AppCompatDrawableManager.m1334a(this.f7062h.mo5245d(), PorterDuff.Mode.SRC_IN));
            } else if (!this.f7068k || (textView = this.f7070l) == null) {
                MediaDescriptionCompatApi21.m53a(background);
                this.f7058f.refreshDrawableState();
            } else {
                background.setColorFilter(AppCompatDrawableManager.m1334a(textView.getCurrentTextColor(), PorterDuff.Mode.SRC_IN));
            }
        }
    }

    /* renamed from: o */
    public final void mo7043o() {
        if (this.f7030G != 1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f7050b.getLayoutParams();
            int d = mo6983d();
            if (d != layoutParams.topMargin) {
                layoutParams.topMargin = d;
                this.f7050b.requestLayout();
            }
        }
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        super.onLayout(z, i, i2, i3, i4);
        EditText editText = this.f7058f;
        if (editText != null) {
            Rect rect = this.f7039N;
            DescendantOffsetUtils.m4658a((ViewGroup) this, (View) editText, rect);
            MaterialShapeDrawable gVar = this.f7024D;
            if (gVar != null) {
                int i7 = rect.bottom;
                gVar.setBounds(rect.left, i7 - this.f7036K, rect.right, i7);
            }
            if (this.f7098z) {
                C1272b bVar = this.f7025D0;
                float textSize = this.f7058f.getTextSize();
                if (bVar.f5775i != textSize) {
                    bVar.f5775i = textSize;
                    bVar.mo5545e();
                }
                int gravity = this.f7058f.getGravity();
                this.f7025D0.mo5535a((gravity & -113) | 48);
                C1272b bVar2 = this.f7025D0;
                if (bVar2.f5773g != gravity) {
                    bVar2.f5773g = gravity;
                    bVar2.mo5545e();
                }
                C1272b bVar3 = this.f7025D0;
                if (this.f7058f != null) {
                    Rect rect2 = this.f7040O;
                    boolean z2 = false;
                    boolean z3 = ViewCompat.m1966k(this) == 1;
                    rect2.bottom = rect.bottom;
                    int i8 = this.f7030G;
                    if (i8 == 1) {
                        rect2.left = mo6968a(rect.left, z3);
                        rect2.top = rect.top + this.f7032H;
                        rect2.right = mo6978b(rect.right, z3);
                    } else if (i8 != 2) {
                        rect2.left = mo6968a(rect.left, z3);
                        rect2.top = getPaddingTop();
                        rect2.right = mo6978b(rect.right, z3);
                    } else {
                        rect2.left = this.f7058f.getPaddingLeft() + rect.left;
                        rect2.top = rect.top - mo6983d();
                        rect2.right = rect.right - this.f7058f.getPaddingRight();
                    }
                    if (bVar3 != null) {
                        int i9 = rect2.left;
                        int i10 = rect2.top;
                        int i11 = rect2.right;
                        int i12 = rect2.bottom;
                        if (!C1272b.m4642a(bVar3.f5771e, i9, i10, i11, i12)) {
                            bVar3.f5771e.set(i9, i10, i11, i12);
                            bVar3.f5749F = true;
                            bVar3.mo5543d();
                        }
                        C1272b bVar4 = this.f7025D0;
                        if (this.f7058f != null) {
                            Rect rect3 = this.f7040O;
                            TextPaint textPaint = bVar4.f5751H;
                            textPaint.setTextSize(bVar4.f5775i);
                            textPaint.setTypeface(bVar4.f5786t);
                            float f = -bVar4.f5751H.ascent();
                            rect3.left = this.f7058f.getCompoundPaddingLeft() + rect.left;
                            if (this.f7030G == 1 && this.f7058f.getMinLines() <= 1) {
                                i5 = (int) (((float) rect.centerY()) - (f / 2.0f));
                            } else {
                                i5 = rect.top + this.f7058f.getCompoundPaddingTop();
                            }
                            rect3.top = i5;
                            rect3.right = rect.right - this.f7058f.getCompoundPaddingRight();
                            if (this.f7030G == 1 && this.f7058f.getMinLines() <= 1) {
                                z2 = true;
                            }
                            if (z2) {
                                i6 = (int) (((float) rect3.top) + f);
                            } else {
                                i6 = rect.bottom - this.f7058f.getCompoundPaddingBottom();
                            }
                            rect3.bottom = i6;
                            int i13 = rect3.left;
                            int i14 = rect3.top;
                            int i15 = rect3.right;
                            if (!C1272b.m4642a(bVar4.f5770d, i13, i14, i15, i6)) {
                                bVar4.f5770d.set(i13, i14, i15, i6);
                                bVar4.f5749F = true;
                                bVar4.mo5543d();
                            }
                            this.f7025D0.mo5545e();
                            if (mo6988e() && !this.f7023C0) {
                                mo7037i();
                                return;
                            }
                            return;
                        }
                        throw new IllegalStateException();
                    }
                    throw null;
                }
                throw new IllegalStateException();
            }
        }
    }

    public void onMeasure(int i, int i2) {
        EditText editText;
        int max;
        super.onMeasure(i, i2);
        boolean z = false;
        if (this.f7058f != null && this.f7058f.getMeasuredHeight() < (max = Math.max(this.f7054d.getMeasuredHeight(), this.f7052c.getMeasuredHeight()))) {
            this.f7058f.setMinimumHeight(max);
            z = true;
        }
        boolean m = mo7041m();
        if (z || m) {
            this.f7058f.post(new C1638c());
        }
        if (this.f7080q != null && (editText = this.f7058f) != null) {
            this.f7080q.setGravity((editText.getGravity() & -113) | 48);
            this.f7080q.setPadding(this.f7058f.getCompoundPaddingLeft(), this.f7058f.getCompoundPaddingTop(), this.f7058f.getCompoundPaddingRight(), this.f7058f.getCompoundPaddingBottom());
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof C1643h)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        C1643h hVar = (C1643h) parcelable;
        super.onRestoreInstanceState(hVar.f2617b);
        setError(hVar.f7105d);
        if (hVar.f7106e) {
            this.f7059f0.post(new C1637b());
        }
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        C1643h hVar = new C1643h(super.onSaveInstanceState());
        if (this.f7062h.mo5244c()) {
            hVar.f7105d = getError();
        }
        hVar.f7106e = mo6989f() && this.f7059f0.f6958d;
        return hVar;
    }

    /* renamed from: p */
    public final void mo7048p() {
        if (this.f7058f != null) {
            TextView textView = this.f7092w;
            int i = 0;
            if (!(this.f7043R.getVisibility() == 0)) {
                i = this.f7058f.getPaddingLeft();
            }
            textView.setPadding(i, this.f7058f.getCompoundPaddingTop(), this.f7092w.getCompoundPaddingRight(), this.f7058f.getCompoundPaddingBottom());
        }
    }

    /* renamed from: q */
    public final void mo7049q() {
        this.f7092w.setVisibility((this.f7090v == null || this.f7023C0) ? 8 : 0);
        mo7041m();
    }

    /* renamed from: r */
    public final void mo7050r() {
        if (this.f7058f != null) {
            TextView textView = this.f7096y;
            int paddingLeft = textView.getPaddingLeft();
            int paddingTop = this.f7058f.getPaddingTop();
            int i = 0;
            if (!mo6990g()) {
                if (!(this.f7079p0.getVisibility() == 0)) {
                    i = this.f7058f.getPaddingRight();
                }
            }
            textView.setPadding(paddingLeft, paddingTop, i, this.f7058f.getPaddingBottom());
        }
    }

    /* renamed from: s */
    public final void mo7051s() {
        int visibility = this.f7096y.getVisibility();
        int i = 0;
        boolean z = this.f7094x != null && !this.f7023C0;
        TextView textView = this.f7096y;
        if (!z) {
            i = 8;
        }
        textView.setVisibility(i);
        if (visibility != this.f7096y.getVisibility()) {
            getEndIconDelegate().mo5209a(z);
        }
        mo7041m();
    }

    public void setBoxBackgroundColor(int i) {
        if (this.f7038M != i) {
            this.f7038M = i;
            this.f7095x0 = i;
            mo6969a();
        }
    }

    public void setBoxBackgroundColorResource(int i) {
        setBoxBackgroundColor(ContextCompat.m1784a(getContext(), i));
    }

    public void setBoxBackgroundMode(int i) {
        if (i != this.f7030G) {
            this.f7030G = i;
            if (this.f7058f != null) {
                mo7036h();
            }
        }
    }

    public void setBoxStrokeColor(int i) {
        if (this.f7091v0 != i) {
            this.f7091v0 = i;
            mo7124t();
        }
    }

    public void setBoxStrokeColorStateList(ColorStateList colorStateList) {
        if (colorStateList.isStateful()) {
            this.f7087t0 = colorStateList.getDefaultColor();
            this.f7021B0 = colorStateList.getColorForState(new int[]{-16842910}, -1);
            this.f7089u0 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
            this.f7091v0 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        } else if (this.f7091v0 != colorStateList.getDefaultColor()) {
            this.f7091v0 = colorStateList.getDefaultColor();
        }
        mo7124t();
    }

    public void setBoxStrokeErrorColor(ColorStateList colorStateList) {
        if (this.f7093w0 != colorStateList) {
            this.f7093w0 = colorStateList;
            mo7124t();
        }
    }

    public void setCounterEnabled(boolean z) {
        if (this.f7064i != z) {
            if (z) {
                AppCompatTextView zVar = new AppCompatTextView(getContext());
                this.f7070l = zVar;
                zVar.setId(C1192f.textinput_counter);
                Typeface typeface = this.f7042Q;
                if (typeface != null) {
                    this.f7070l.setTypeface(typeface);
                }
                this.f7070l.setMaxLines(1);
                this.f7062h.mo5239a(this.f7070l, 2);
                ((ViewGroup.MarginLayoutParams) this.f7070l.getLayoutParams()).setMarginStart(getResources().getDimensionPixelOffset(C1163d.mtrl_textinput_counter_margin_start));
                mo7040l();
                mo7039k();
            } else {
                this.f7062h.mo5243b(this.f7070l, 2);
                this.f7070l = null;
            }
            this.f7064i = z;
        }
    }

    public void setCounterMaxLength(int i) {
        if (this.f7066j != i) {
            if (i > 0) {
                this.f7066j = i;
            } else {
                this.f7066j = -1;
            }
            if (this.f7064i) {
                mo7039k();
            }
        }
    }

    public void setCounterOverflowTextAppearance(int i) {
        if (this.f7072m != i) {
            this.f7072m = i;
            mo7040l();
        }
    }

    public void setCounterOverflowTextColor(ColorStateList colorStateList) {
        if (this.f7088u != colorStateList) {
            this.f7088u = colorStateList;
            mo7040l();
        }
    }

    public void setCounterTextAppearance(int i) {
        if (this.f7074n != i) {
            this.f7074n = i;
            mo7040l();
        }
    }

    public void setCounterTextColor(ColorStateList colorStateList) {
        if (this.f7086t != colorStateList) {
            this.f7086t = colorStateList;
            mo7040l();
        }
    }

    public void setDefaultHintTextColor(ColorStateList colorStateList) {
        this.f7083r0 = colorStateList;
        this.f7085s0 = colorStateList;
        if (this.f7058f != null) {
            mo6976a(false, false);
        }
    }

    public void setEnabled(boolean z) {
        m5356a((ViewGroup) this, z);
        super.setEnabled(z);
    }

    public void setEndIconActivated(boolean z) {
        this.f7059f0.setActivated(z);
    }

    public void setEndIconCheckable(boolean z) {
        this.f7059f0.setCheckable(z);
    }

    public void setEndIconContentDescription(int i) {
        setEndIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setEndIconDrawable(int i) {
        setEndIconDrawable(i != 0 ? AppCompatResources.m982c(getContext(), i) : null);
    }

    public void setEndIconMode(int i) {
        int i2 = this.f7055d0;
        this.f7055d0 = i;
        setEndIconVisible(i != 0);
        if (getEndIconDelegate().mo5223a(this.f7030G)) {
            getEndIconDelegate().mo5208a();
            mo6979b();
            Iterator it = this.f7061g0.iterator();
            while (it.hasNext()) {
                ((C1642g) it.next()).mo5252a(this, i2);
            }
            return;
        }
        StringBuilder a = outline.m2937a("The current box background mode ");
        a.append(this.f7030G);
        a.append(" is not supported by the end icon mode ");
        a.append(i);
        throw new IllegalStateException(a.toString());
    }

    public void setEndIconOnClickListener(View.OnClickListener onClickListener) {
        CheckableImageButton checkableImageButton = this.f7059f0;
        View.OnLongClickListener onLongClickListener = this.f7077o0;
        checkableImageButton.setOnClickListener(onClickListener);
        m5357a(checkableImageButton, onLongClickListener);
    }

    public void setEndIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f7077o0 = onLongClickListener;
        CheckableImageButton checkableImageButton = this.f7059f0;
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        m5357a(checkableImageButton, onLongClickListener);
    }

    public void setEndIconTintList(ColorStateList colorStateList) {
        if (this.f7063h0 != colorStateList) {
            this.f7063h0 = colorStateList;
            this.f7065i0 = true;
            mo6979b();
        }
    }

    public void setEndIconTintMode(PorterDuff.Mode mode) {
        if (this.f7067j0 != mode) {
            this.f7067j0 = mode;
            this.f7069k0 = true;
            mo6979b();
        }
    }

    public void setEndIconVisible(boolean z) {
        if (mo6990g() != z) {
            this.f7059f0.setVisibility(z ? 0 : 8);
            mo7050r();
            mo7041m();
        }
    }

    public void setError(CharSequence charSequence) {
        if (!this.f7062h.f5375l) {
            if (!TextUtils.isEmpty(charSequence)) {
                setErrorEnabled(true);
            } else {
                return;
            }
        }
        if (!TextUtils.isEmpty(charSequence)) {
            IndicatorViewController oVar = this.f7062h;
            oVar.mo5242b();
            oVar.f5374k = charSequence;
            oVar.f5376m.setText(charSequence);
            if (oVar.f5372i != 1) {
                oVar.f5373j = 1;
            }
            oVar.mo5238a(oVar.f5372i, oVar.f5373j, oVar.mo5241a(oVar.f5376m, charSequence));
            return;
        }
        this.f7062h.mo5246e();
    }

    public void setErrorContentDescription(CharSequence charSequence) {
        IndicatorViewController oVar = this.f7062h;
        oVar.f5377n = charSequence;
        TextView textView = oVar.f5376m;
        if (textView != null) {
            textView.setContentDescription(charSequence);
        }
    }

    public void setErrorEnabled(boolean z) {
        IndicatorViewController oVar = this.f7062h;
        if (oVar.f5375l != z) {
            oVar.mo5242b();
            if (z) {
                AppCompatTextView zVar = new AppCompatTextView(oVar.f5364a);
                oVar.f5376m = zVar;
                zVar.setId(C1192f.textinput_error);
                oVar.f5376m.setTextAlignment(5);
                Typeface typeface = oVar.f5385v;
                if (typeface != null) {
                    oVar.f5376m.setTypeface(typeface);
                }
                int i = oVar.f5378o;
                oVar.f5378o = i;
                TextView textView = oVar.f5376m;
                if (textView != null) {
                    oVar.f5365b.mo6972a(textView, i);
                }
                ColorStateList colorStateList = oVar.f5379p;
                oVar.f5379p = colorStateList;
                TextView textView2 = oVar.f5376m;
                if (!(textView2 == null || colorStateList == null)) {
                    textView2.setTextColor(colorStateList);
                }
                CharSequence charSequence = oVar.f5377n;
                oVar.f5377n = charSequence;
                TextView textView3 = oVar.f5376m;
                if (textView3 != null) {
                    textView3.setContentDescription(charSequence);
                }
                oVar.f5376m.setVisibility(4);
                ViewCompat.m1961g(oVar.f5376m, 1);
                oVar.mo5239a(oVar.f5376m, 0);
            } else {
                oVar.mo5246e();
                oVar.mo5243b(oVar.f5376m, 0);
                oVar.f5376m = null;
                oVar.f5365b.mo7042n();
                oVar.f5365b.mo7124t();
            }
            oVar.f5375l = z;
        }
    }

    public void setErrorIconDrawable(int i) {
        setErrorIconDrawable(i != 0 ? AppCompatResources.m982c(getContext(), i) : null);
    }

    public void setErrorIconTintList(ColorStateList colorStateList) {
        this.f7081q0 = colorStateList;
        Drawable drawable = this.f7079p0.getDrawable();
        if (drawable != null) {
            drawable = MediaDescriptionCompatApi21.m99c(drawable).mutate();
            drawable.setTintList(colorStateList);
        }
        if (this.f7079p0.getDrawable() != drawable) {
            this.f7079p0.setImageDrawable(drawable);
        }
    }

    public void setErrorIconTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f7079p0.getDrawable();
        if (drawable != null) {
            drawable = MediaDescriptionCompatApi21.m99c(drawable).mutate();
            drawable.setTintMode(mode);
        }
        if (this.f7079p0.getDrawable() != drawable) {
            this.f7079p0.setImageDrawable(drawable);
        }
    }

    public void setErrorTextAppearance(int i) {
        IndicatorViewController oVar = this.f7062h;
        oVar.f5378o = i;
        TextView textView = oVar.f5376m;
        if (textView != null) {
            oVar.f5365b.mo6972a(textView, i);
        }
    }

    public void setErrorTextColor(ColorStateList colorStateList) {
        IndicatorViewController oVar = this.f7062h;
        oVar.f5379p = colorStateList;
        TextView textView = oVar.f5376m;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setHelperText(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (!this.f7062h.f5381r) {
                setHelperTextEnabled(true);
            }
            IndicatorViewController oVar = this.f7062h;
            oVar.mo5242b();
            oVar.f5380q = charSequence;
            oVar.f5382s.setText(charSequence);
            if (oVar.f5372i != 2) {
                oVar.f5373j = 2;
            }
            oVar.mo5238a(oVar.f5372i, oVar.f5373j, oVar.mo5241a(oVar.f5382s, charSequence));
        } else if (this.f7062h.f5381r) {
            setHelperTextEnabled(false);
        }
    }

    public void setHelperTextColor(ColorStateList colorStateList) {
        IndicatorViewController oVar = this.f7062h;
        oVar.f5384u = colorStateList;
        TextView textView = oVar.f5382s;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setHelperTextEnabled(boolean z) {
        IndicatorViewController oVar = this.f7062h;
        if (oVar.f5381r != z) {
            oVar.mo5242b();
            if (z) {
                AppCompatTextView zVar = new AppCompatTextView(oVar.f5364a);
                oVar.f5382s = zVar;
                zVar.setId(C1192f.textinput_helper_text);
                oVar.f5382s.setTextAlignment(5);
                Typeface typeface = oVar.f5385v;
                if (typeface != null) {
                    oVar.f5382s.setTypeface(typeface);
                }
                oVar.f5382s.setVisibility(4);
                ViewCompat.m1961g(oVar.f5382s, 1);
                int i = oVar.f5383t;
                oVar.f5383t = i;
                TextView textView = oVar.f5382s;
                if (textView != null) {
                    MediaDescriptionCompatApi21.m104d(textView, i);
                }
                ColorStateList colorStateList = oVar.f5384u;
                oVar.f5384u = colorStateList;
                TextView textView2 = oVar.f5382s;
                if (!(textView2 == null || colorStateList == null)) {
                    textView2.setTextColor(colorStateList);
                }
                oVar.mo5239a(oVar.f5382s, 1);
            } else {
                oVar.mo5242b();
                if (oVar.f5372i == 2) {
                    oVar.f5373j = 0;
                }
                oVar.mo5238a(oVar.f5372i, oVar.f5373j, oVar.mo5241a(oVar.f5382s, (CharSequence) null));
                oVar.mo5243b(oVar.f5382s, 1);
                oVar.f5382s = null;
                oVar.f5365b.mo7042n();
                oVar.f5365b.mo7124t();
            }
            oVar.f5381r = z;
        }
    }

    public void setHelperTextTextAppearance(int i) {
        IndicatorViewController oVar = this.f7062h;
        oVar.f5383t = i;
        TextView textView = oVar.f5382s;
        if (textView != null) {
            MediaDescriptionCompatApi21.m104d(textView, i);
        }
    }

    public void setHint(CharSequence charSequence) {
        if (this.f7098z) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(HarvestConfiguration.DEFAULT_RESPONSE_BODY_LIMIT);
        }
    }

    public void setHintAnimationEnabled(boolean z) {
        this.f7027E0 = z;
    }

    public void setHintEnabled(boolean z) {
        if (z != this.f7098z) {
            this.f7098z = z;
            if (!z) {
                this.f7020B = false;
                if (!TextUtils.isEmpty(this.f7018A) && TextUtils.isEmpty(this.f7058f.getHint())) {
                    this.f7058f.setHint(this.f7018A);
                }
                setHintInternal((CharSequence) null);
            } else {
                CharSequence hint = this.f7058f.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.f7018A)) {
                        setHint(hint);
                    }
                    this.f7058f.setHint((CharSequence) null);
                }
                this.f7020B = true;
            }
            if (this.f7058f != null) {
                mo7043o();
            }
        }
    }

    public void setHintTextAppearance(int i) {
        C1272b bVar = this.f7025D0;
        TextAppearance bVar2 = new TextAppearance(bVar.f5767a.getContext(), i);
        ColorStateList colorStateList = bVar2.f5149b;
        if (colorStateList != null) {
            bVar.f5778l = colorStateList;
        }
        float f = bVar2.f5148a;
        if (f != 0.0f) {
            bVar.f5776j = f;
        }
        ColorStateList colorStateList2 = bVar2.f5153f;
        if (colorStateList2 != null) {
            bVar.f5757N = colorStateList2;
        }
        bVar.f5755L = bVar2.f5154g;
        bVar.f5756M = bVar2.f5155h;
        bVar.f5754K = bVar2.f5156i;
        CancelableFontCallback aVar = bVar.f5788v;
        if (aVar != null) {
            aVar.f5147c = true;
        }
        CollapsingTextHelper aVar2 = new CollapsingTextHelper(bVar);
        bVar2.mo5101a();
        bVar.f5788v = new CancelableFontCallback(aVar2, bVar2.f5159l);
        bVar2.mo5103a(bVar.f5767a.getContext(), (TextAppearanceFontCallback) bVar.f5788v);
        bVar.mo5545e();
        this.f7085s0 = this.f7025D0.f5778l;
        if (this.f7058f != null) {
            mo6976a(false, false);
            mo7043o();
        }
    }

    public void setHintTextColor(ColorStateList colorStateList) {
        if (this.f7085s0 != colorStateList) {
            if (this.f7083r0 == null) {
                C1272b bVar = this.f7025D0;
                if (bVar.f5778l != colorStateList) {
                    bVar.f5778l = colorStateList;
                    bVar.mo5545e();
                }
            }
            this.f7085s0 = colorStateList;
            if (this.f7058f != null) {
                mo6976a(false, false);
            }
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(int i) {
        setPasswordVisibilityToggleContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(int i) {
        setPasswordVisibilityToggleDrawable(i != 0 ? AppCompatResources.m982c(getContext(), i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleEnabled(boolean z) {
        if (z && this.f7055d0 != 1) {
            setEndIconMode(1);
        } else if (!z) {
            setEndIconMode(0);
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintList(ColorStateList colorStateList) {
        this.f7063h0 = colorStateList;
        this.f7065i0 = true;
        mo6979b();
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintMode(PorterDuff.Mode mode) {
        this.f7067j0 = mode;
        this.f7069k0 = true;
        mo6979b();
    }

    public void setPlaceholderText(CharSequence charSequence) {
        int i = 0;
        if (!this.f7078p || !TextUtils.isEmpty(charSequence)) {
            if (!this.f7078p) {
                setPlaceholderTextEnabled(true);
            }
            this.f7076o = charSequence;
        } else {
            setPlaceholderTextEnabled(false);
        }
        EditText editText = this.f7058f;
        if (editText != null) {
            i = editText.getText().length();
        }
        mo6980b(i);
    }

    public void setPlaceholderTextAppearance(int i) {
        this.f7084s = i;
        TextView textView = this.f7080q;
        if (textView != null) {
            MediaDescriptionCompatApi21.m104d(textView, i);
        }
    }

    public void setPlaceholderTextColor(ColorStateList colorStateList) {
        if (this.f7082r != colorStateList) {
            this.f7082r = colorStateList;
            TextView textView = this.f7080q;
            if (textView != null && colorStateList != null) {
                textView.setTextColor(colorStateList);
            }
        }
    }

    public void setPrefixText(CharSequence charSequence) {
        this.f7090v = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f7092w.setText(charSequence);
        mo7049q();
    }

    public void setPrefixTextAppearance(int i) {
        MediaDescriptionCompatApi21.m104d(this.f7092w, i);
    }

    public void setPrefixTextColor(ColorStateList colorStateList) {
        this.f7092w.setTextColor(colorStateList);
    }

    public void setStartIconCheckable(boolean z) {
        this.f7043R.setCheckable(z);
    }

    public void setStartIconContentDescription(int i) {
        setStartIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setStartIconDrawable(int i) {
        setStartIconDrawable(i != 0 ? AppCompatResources.m982c(getContext(), i) : null);
    }

    public void setStartIconOnClickListener(View.OnClickListener onClickListener) {
        CheckableImageButton checkableImageButton = this.f7043R;
        View.OnLongClickListener onLongClickListener = this.f7051b0;
        checkableImageButton.setOnClickListener(onClickListener);
        m5357a(checkableImageButton, onLongClickListener);
    }

    public void setStartIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f7051b0 = onLongClickListener;
        CheckableImageButton checkableImageButton = this.f7043R;
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        m5357a(checkableImageButton, onLongClickListener);
    }

    public void setStartIconTintList(ColorStateList colorStateList) {
        if (this.f7044S != colorStateList) {
            this.f7044S = colorStateList;
            this.f7045T = true;
            mo6982c();
        }
    }

    public void setStartIconTintMode(PorterDuff.Mode mode) {
        if (this.f7046U != mode) {
            this.f7046U = mode;
            this.f7047V = true;
            mo6982c();
        }
    }

    public void setStartIconVisible(boolean z) {
        int i = 0;
        if ((this.f7043R.getVisibility() == 0) != z) {
            CheckableImageButton checkableImageButton = this.f7043R;
            if (!z) {
                i = 8;
            }
            checkableImageButton.setVisibility(i);
            mo7048p();
            mo7041m();
        }
    }

    public void setSuffixText(CharSequence charSequence) {
        this.f7094x = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.f7096y.setText(charSequence);
        mo7051s();
    }

    public void setSuffixTextAppearance(int i) {
        MediaDescriptionCompatApi21.m104d(this.f7096y, i);
    }

    public void setSuffixTextColor(ColorStateList colorStateList) {
        this.f7096y.setTextColor(colorStateList);
    }

    public void setTextInputAccessibilityDelegate(C1640e eVar) {
        EditText editText = this.f7058f;
        if (editText != null) {
            ViewCompat.m1938a((View) editText, (AccessibilityDelegateCompat) eVar);
        }
    }

    public void setTypeface(Typeface typeface) {
        if (typeface != this.f7042Q) {
            this.f7042Q = typeface;
            this.f7025D0.mo5536a(typeface);
            IndicatorViewController oVar = this.f7062h;
            if (typeface != oVar.f5385v) {
                oVar.f5385v = typeface;
                TextView textView = oVar.f5376m;
                if (textView != null) {
                    textView.setTypeface(typeface);
                }
                TextView textView2 = oVar.f5382s;
                if (textView2 != null) {
                    textView2.setTypeface(typeface);
                }
            }
            TextView textView3 = this.f7070l;
            if (textView3 != null) {
                textView3.setTypeface(typeface);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x0012, code lost:
        r0 = r6.f7058f;
     */
    /* renamed from: t */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void mo7124t() {
        /*
            r6 = this;
            c.d.a.b.d0.g r0 = r6.f7022C
            if (r0 == 0) goto L_0x0119
            int r0 = r6.f7030G
            if (r0 != 0) goto L_0x000a
            goto L_0x0119
        L_0x000a:
            boolean r0 = r6.isFocused()
            r1 = 0
            r2 = 1
            if (r0 != 0) goto L_0x001f
            android.widget.EditText r0 = r6.f7058f
            if (r0 == 0) goto L_0x001d
            boolean r0 = r0.hasFocus()
            if (r0 == 0) goto L_0x001d
            goto L_0x001f
        L_0x001d:
            r0 = 0
            goto L_0x0020
        L_0x001f:
            r0 = 1
        L_0x0020:
            boolean r3 = r6.isHovered()
            if (r3 != 0) goto L_0x0033
            android.widget.EditText r3 = r6.f7058f
            if (r3 == 0) goto L_0x0031
            boolean r3 = r3.isHovered()
            if (r3 == 0) goto L_0x0031
            goto L_0x0033
        L_0x0031:
            r3 = 0
            goto L_0x0034
        L_0x0033:
            r3 = 1
        L_0x0034:
            boolean r4 = r6.isEnabled()
            if (r4 != 0) goto L_0x003f
            int r4 = r6.f7021B0
            r6.f7037L = r4
            goto L_0x0081
        L_0x003f:
            c.d.a.b.g0.o r4 = r6.f7062h
            boolean r4 = r4.mo5244c()
            if (r4 == 0) goto L_0x0058
            android.content.res.ColorStateList r4 = r6.f7093w0
            if (r4 == 0) goto L_0x004f
            r6.mo6981b((boolean) r0, (boolean) r3)
            goto L_0x0081
        L_0x004f:
            c.d.a.b.g0.o r4 = r6.f7062h
            int r4 = r4.mo5245d()
            r6.f7037L = r4
            goto L_0x0081
        L_0x0058:
            boolean r4 = r6.f7068k
            if (r4 == 0) goto L_0x006f
            android.widget.TextView r4 = r6.f7070l
            if (r4 == 0) goto L_0x006f
            android.content.res.ColorStateList r5 = r6.f7093w0
            if (r5 == 0) goto L_0x0068
            r6.mo6981b((boolean) r0, (boolean) r3)
            goto L_0x0081
        L_0x0068:
            int r4 = r4.getCurrentTextColor()
            r6.f7037L = r4
            goto L_0x0081
        L_0x006f:
            if (r0 == 0) goto L_0x0076
            int r4 = r6.f7091v0
            r6.f7037L = r4
            goto L_0x0081
        L_0x0076:
            if (r3 == 0) goto L_0x007d
            int r4 = r6.f7089u0
            r6.f7037L = r4
            goto L_0x0081
        L_0x007d:
            int r4 = r6.f7087t0
            r6.f7037L = r4
        L_0x0081:
            android.graphics.drawable.Drawable r4 = r6.getErrorIconDrawable()
            if (r4 == 0) goto L_0x0094
            c.d.a.b.g0.o r4 = r6.f7062h
            boolean r5 = r4.f5375l
            if (r5 == 0) goto L_0x0094
            boolean r4 = r4.mo5244c()
            if (r4 == 0) goto L_0x0094
            r1 = 1
        L_0x0094:
            r6.setErrorIconVisible(r1)
            com.google.android.material.internal.CheckableImageButton r1 = r6.f7079p0
            android.content.res.ColorStateList r4 = r6.f7081q0
            r6.mo6973a((com.google.android.material.internal.CheckableImageButton) r1, (android.content.res.ColorStateList) r4)
            com.google.android.material.internal.CheckableImageButton r1 = r6.f7043R
            android.content.res.ColorStateList r4 = r6.f7044S
            r6.mo6973a((com.google.android.material.internal.CheckableImageButton) r1, (android.content.res.ColorStateList) r4)
            com.google.android.material.internal.CheckableImageButton r1 = r6.f7059f0
            android.content.res.ColorStateList r4 = r6.f7063h0
            r6.mo6973a((com.google.android.material.internal.CheckableImageButton) r1, (android.content.res.ColorStateList) r4)
            c.d.a.b.g0.n r1 = r6.getEndIconDelegate()
            boolean r1 = r1.mo5224b()
            if (r1 == 0) goto L_0x00e2
            c.d.a.b.g0.o r1 = r6.f7062h
            boolean r1 = r1.mo5244c()
            if (r1 == 0) goto L_0x00df
            android.graphics.drawable.Drawable r1 = r6.getEndIconDrawable()
            if (r1 == 0) goto L_0x00df
            android.graphics.drawable.Drawable r1 = r6.getEndIconDrawable()
            android.graphics.drawable.Drawable r1 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m99c((android.graphics.drawable.Drawable) r1)
            android.graphics.drawable.Drawable r1 = r1.mutate()
            c.d.a.b.g0.o r4 = r6.f7062h
            int r4 = r4.mo5245d()
            r1.setTint(r4)
            com.google.android.material.internal.CheckableImageButton r4 = r6.f7059f0
            r4.setImageDrawable(r1)
            goto L_0x00e2
        L_0x00df:
            r6.mo6979b()
        L_0x00e2:
            if (r0 == 0) goto L_0x00ef
            boolean r1 = r6.isEnabled()
            if (r1 == 0) goto L_0x00ef
            int r1 = r6.f7036K
            r6.f7034I = r1
            goto L_0x00f3
        L_0x00ef:
            int r1 = r6.f7035J
            r6.f7034I = r1
        L_0x00f3:
            int r1 = r6.f7030G
            if (r1 != r2) goto L_0x0116
            boolean r1 = r6.isEnabled()
            if (r1 != 0) goto L_0x0102
            int r0 = r6.f7097y0
            r6.f7038M = r0
            goto L_0x0116
        L_0x0102:
            if (r3 == 0) goto L_0x010b
            if (r0 != 0) goto L_0x010b
            int r0 = r6.f7019A0
            r6.f7038M = r0
            goto L_0x0116
        L_0x010b:
            if (r0 == 0) goto L_0x0112
            int r0 = r6.f7099z0
            r6.f7038M = r0
            goto L_0x0116
        L_0x0112:
            int r0 = r6.f7095x0
            r6.f7038M = r0
        L_0x0116:
            r6.mo6969a()
        L_0x0119:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.textfield.TextInputLayout.mo7124t():void");
    }

    public TextInputLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, C1161b.textInputStyle);
    }

    public void setEndIconContentDescription(CharSequence charSequence) {
        if (getEndIconContentDescription() != charSequence) {
            this.f7059f0.setContentDescription(charSequence);
        }
    }

    public void setEndIconDrawable(Drawable drawable) {
        this.f7059f0.setImageDrawable(drawable);
    }

    public void setErrorIconDrawable(Drawable drawable) {
        this.f7079p0.setImageDrawable(drawable);
        setErrorIconVisible(drawable != null && this.f7062h.f5375l);
    }

    public void setStartIconContentDescription(CharSequence charSequence) {
        if (getStartIconContentDescription() != charSequence) {
            this.f7043R.setContentDescription(charSequence);
        }
    }

    public void setStartIconDrawable(Drawable drawable) {
        this.f7043R.setImageDrawable(drawable);
        if (drawable != null) {
            setStartIconVisible(true);
            mo6982c();
            return;
        }
        setStartIconVisible(false);
        setStartIconOnClickListener((View.OnClickListener) null);
        setStartIconOnLongClickListener((View.OnLongClickListener) null);
        setStartIconContentDescription((CharSequence) null);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public TextInputLayout(android.content.Context r21, android.util.AttributeSet r22, int r23) {
        /*
            r20 = this;
            r0 = r20
            r7 = r22
            r8 = r23
            int r1 = f7017I0
            r2 = r21
            android.content.Context r1 = p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay.m4458a(r2, r7, r8, r1)
            r0.<init>(r1, r7, r8)
            c.d.a.b.g0.o r1 = new c.d.a.b.g0.o
            r1.<init>(r0)
            r0.f7062h = r1
            android.graphics.Rect r1 = new android.graphics.Rect
            r1.<init>()
            r0.f7039N = r1
            android.graphics.Rect r1 = new android.graphics.Rect
            r1.<init>()
            r0.f7040O = r1
            android.graphics.RectF r1 = new android.graphics.RectF
            r1.<init>()
            r0.f7041P = r1
            java.util.LinkedHashSet r1 = new java.util.LinkedHashSet
            r1.<init>()
            r0.f7053c0 = r1
            r9 = 0
            r0.f7055d0 = r9
            android.util.SparseArray r1 = new android.util.SparseArray
            r1.<init>()
            r0.f7057e0 = r1
            java.util.LinkedHashSet r1 = new java.util.LinkedHashSet
            r1.<init>()
            r0.f7061g0 = r1
            c.d.a.b.z.b r1 = new c.d.a.b.z.b
            r1.<init>(r0)
            r0.f7025D0 = r1
            android.content.Context r10 = r20.getContext()
            r11 = 1
            r0.setOrientation(r11)
            r0.setWillNotDraw(r9)
            r0.setAddStatesFromChildren(r11)
            android.widget.FrameLayout r1 = new android.widget.FrameLayout
            r1.<init>(r10)
            r0.f7050b = r1
            r1.setAddStatesFromChildren(r11)
            android.widget.FrameLayout r1 = r0.f7050b
            r0.addView(r1)
            android.widget.LinearLayout r1 = new android.widget.LinearLayout
            r1.<init>(r10)
            r0.f7052c = r1
            r1.setOrientation(r9)
            android.widget.LinearLayout r1 = r0.f7052c
            android.widget.FrameLayout$LayoutParams r2 = new android.widget.FrameLayout$LayoutParams
            r12 = -2
            r13 = -1
            r3 = 8388611(0x800003, float:1.1754948E-38)
            r2.<init>(r12, r13, r3)
            r1.setLayoutParams(r2)
            android.widget.FrameLayout r1 = r0.f7050b
            android.widget.LinearLayout r2 = r0.f7052c
            r1.addView(r2)
            android.widget.LinearLayout r1 = new android.widget.LinearLayout
            r1.<init>(r10)
            r0.f7054d = r1
            r1.setOrientation(r9)
            android.widget.LinearLayout r1 = r0.f7054d
            android.widget.FrameLayout$LayoutParams r2 = new android.widget.FrameLayout$LayoutParams
            r3 = 8388613(0x800005, float:1.175495E-38)
            r2.<init>(r12, r13, r3)
            r1.setLayoutParams(r2)
            android.widget.FrameLayout r1 = r0.f7050b
            android.widget.LinearLayout r2 = r0.f7054d
            r1.addView(r2)
            android.widget.FrameLayout r1 = new android.widget.FrameLayout
            r1.<init>(r10)
            r0.f7056e = r1
            android.widget.FrameLayout$LayoutParams r2 = new android.widget.FrameLayout$LayoutParams
            r2.<init>(r12, r13)
            r1.setLayoutParams(r2)
            c.d.a.b.z.b r1 = r0.f7025D0
            android.animation.TimeInterpolator r2 = p085c.p132d.p133a.p156b.p168l.AnimationUtils.f5424a
            r1.f5753J = r2
            r1.mo5545e()
            c.d.a.b.z.b r1 = r0.f7025D0
            android.animation.TimeInterpolator r2 = p085c.p132d.p133a.p156b.p168l.AnimationUtils.f5424a
            r1.f5752I = r2
            r1.mo5545e()
            c.d.a.b.z.b r1 = r0.f7025D0
            r2 = 8388659(0x800033, float:1.1755015E-38)
            r1.mo5535a((int) r2)
            int[] r14 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout
            int r15 = f7017I0
            r1 = 5
            int[] r6 = new int[r1]
            int r1 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterTextAppearance
            r6[r9] = r1
            int r1 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterOverflowTextAppearance
            r6[r11] = r1
            int r1 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorTextAppearance
            r5 = 2
            r6[r5] = r1
            int r1 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_helperTextTextAppearance
            r4 = 3
            r6[r4] = r1
            r1 = 4
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_hintTextAppearance
            r6[r1] = r2
            p085c.p132d.p133a.p156b.p183z.ThemeEnforcement.m4668a(r10, r7, r8, r15)
            r1 = r10
            r2 = r22
            r3 = r14
            r12 = 3
            r4 = r23
            r12 = 2
            r5 = r15
            p085c.p132d.p133a.p156b.p183z.ThemeEnforcement.m4669a(r1, r2, r3, r4, r5, r6)
            b.b.p.x0 r1 = new b.b.p.x0
            android.content.res.TypedArray r2 = r10.obtainStyledAttributes(r7, r14, r8, r15)
            r1.<init>(r10, r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_hintEnabled
            boolean r2 = r1.mo2567a((int) r2, (boolean) r11)
            r0.f7098z = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_android_hint
            java.lang.CharSequence r2 = r1.mo2575e(r2)
            r0.setHint(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_hintAnimationEnabled
            boolean r2 = r1.mo2567a((int) r2, (boolean) r11)
            r0.f7027E0 = r2
            int r2 = f7017I0
            c.d.a.b.d0.j$b r2 = p085c.p132d.p133a.p156b.p160d0.ShapeAppearanceModel.m4377a((android.content.Context) r10, (android.util.AttributeSet) r7, (int) r8, (int) r2)
            c.d.a.b.d0.j r2 = r2.mo5159a()
            r0.f7026E = r2
            android.content.res.Resources r2 = r10.getResources()
            int r3 = p085c.p132d.p133a.p156b.C1163d.mtrl_textinput_box_label_cutout_padding
            int r2 = r2.getDimensionPixelOffset(r3)
            r0.f7028F = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxCollapsedPaddingTop
            int r2 = r1.mo2568b(r2, r9)
            r0.f7032H = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxStrokeWidth
            android.content.res.Resources r3 = r10.getResources()
            int r4 = p085c.p132d.p133a.p156b.C1163d.mtrl_textinput_box_stroke_width_default
            int r3 = r3.getDimensionPixelSize(r4)
            int r2 = r1.mo2570c(r2, r3)
            r0.f7035J = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxStrokeWidthFocused
            android.content.res.Resources r3 = r10.getResources()
            int r4 = p085c.p132d.p133a.p156b.C1163d.mtrl_textinput_box_stroke_width_focused
            int r3 = r3.getDimensionPixelSize(r4)
            int r2 = r1.mo2570c(r2, r3)
            r0.f7036K = r2
            int r2 = r0.f7035J
            r0.f7034I = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxCornerRadiusTopStart
            r3 = -1082130432(0xffffffffbf800000, float:-1.0)
            float r2 = r1.mo2563a((int) r2, (float) r3)
            int r4 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxCornerRadiusTopEnd
            float r4 = r1.mo2563a((int) r4, (float) r3)
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxCornerRadiusBottomEnd
            float r5 = r1.mo2563a((int) r5, (float) r3)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxCornerRadiusBottomStart
            float r3 = r1.mo2563a((int) r6, (float) r3)
            c.d.a.b.d0.j r6 = r0.f7026E
            r7 = 0
            if (r6 == 0) goto L_0x061b
            c.d.a.b.d0.j$b r8 = new c.d.a.b.d0.j$b
            r8.<init>(r6)
            r6 = 0
            int r14 = (r2 > r6 ? 1 : (r2 == r6 ? 0 : -1))
            if (r14 < 0) goto L_0x0193
            r8.mo5161c(r2)
        L_0x0193:
            int r2 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1))
            if (r2 < 0) goto L_0x019a
            r8.mo5162d(r4)
        L_0x019a:
            int r2 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1))
            if (r2 < 0) goto L_0x01a1
            r8.mo5160b(r5)
        L_0x01a1:
            int r2 = (r3 > r6 ? 1 : (r3 == r6 ? 0 : -1))
            if (r2 < 0) goto L_0x01a8
            r8.mo5158a((float) r3)
        L_0x01a8:
            c.d.a.b.d0.j r2 = r8.mo5159a()
            r0.f7026E = r2
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxBackgroundColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4139a((android.content.Context) r10, (p008b.p010b.p019p.TintTypedArray) r1, (int) r2)
            if (r2 == 0) goto L_0x020a
            int r3 = r2.getDefaultColor()
            r0.f7095x0 = r3
            r0.f7038M = r3
            boolean r3 = r2.isStateful()
            r4 = -16842910(0xfffffffffefeff62, float:-1.6947497E38)
            if (r3 == 0) goto L_0x01e8
            int[] r3 = new int[r11]
            r3[r9] = r4
            int r3 = r2.getColorForState(r3, r13)
            r0.f7097y0 = r3
            int[] r3 = new int[r12]
            r3 = {16842908, 16842910} // fill-array
            int r3 = r2.getColorForState(r3, r13)
            r0.f7099z0 = r3
            int[] r3 = new int[r12]
            r3 = {16843623, 16842910} // fill-array
            int r2 = r2.getColorForState(r3, r13)
            r0.f7019A0 = r2
            goto L_0x0214
        L_0x01e8:
            int r2 = r0.f7095x0
            r0.f7099z0 = r2
            int r2 = p085c.p132d.p133a.p156b.C1162c.mtrl_filled_background_color
            android.content.res.ColorStateList r2 = p008b.p010b.p012l.p013a.AppCompatResources.m981b(r10, r2)
            int[] r3 = new int[r11]
            r3[r9] = r4
            int r3 = r2.getColorForState(r3, r13)
            r0.f7097y0 = r3
            int[] r3 = new int[r11]
            r4 = 16843623(0x1010367, float:2.3696E-38)
            r3[r9] = r4
            int r2 = r2.getColorForState(r3, r13)
            r0.f7019A0 = r2
            goto L_0x0214
        L_0x020a:
            r0.f7038M = r9
            r0.f7095x0 = r9
            r0.f7097y0 = r9
            r0.f7099z0 = r9
            r0.f7019A0 = r9
        L_0x0214:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_android_textColorHint
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x0226
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_android_textColorHint
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.f7085s0 = r2
            r0.f7083r0 = r2
        L_0x0226:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxStrokeColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4139a((android.content.Context) r10, (p008b.p010b.p019p.TintTypedArray) r1, (int) r2)
            int r3 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxStrokeColor
            int r3 = r1.mo2564a((int) r3, (int) r9)
            r0.f7091v0 = r3
            int r3 = p085c.p132d.p133a.p156b.C1162c.mtrl_textinput_default_box_stroke_color
            int r3 = p008b.p033h.p035f.ContextCompat.m1784a((android.content.Context) r10, (int) r3)
            r0.f7087t0 = r3
            int r3 = p085c.p132d.p133a.p156b.C1162c.mtrl_textinput_disabled_color
            int r3 = p008b.p033h.p035f.ContextCompat.m1784a((android.content.Context) r10, (int) r3)
            r0.f7021B0 = r3
            int r3 = p085c.p132d.p133a.p156b.C1162c.mtrl_textinput_hovered_box_stroke_color
            int r3 = p008b.p033h.p035f.ContextCompat.m1784a((android.content.Context) r10, (int) r3)
            r0.f7089u0 = r3
            if (r2 == 0) goto L_0x0251
            r0.setBoxStrokeColorStateList(r2)
        L_0x0251:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxStrokeErrorColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x0262
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxStrokeErrorColor
            android.content.res.ColorStateList r2 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4139a((android.content.Context) r10, (p008b.p010b.p019p.TintTypedArray) r1, (int) r2)
            r0.setBoxStrokeErrorColor(r2)
        L_0x0262:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_hintTextAppearance
            int r2 = r1.mo2576f(r2, r13)
            if (r2 == r13) goto L_0x0273
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_hintTextAppearance
            int r2 = r1.mo2576f(r2, r9)
            r0.setHintTextAppearance(r2)
        L_0x0273:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorTextAppearance
            int r2 = r1.mo2576f(r2, r9)
            int r3 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorContentDescription
            java.lang.CharSequence r3 = r1.mo2575e(r3)
            int r4 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorEnabled
            boolean r4 = r1.mo2567a((int) r4, (boolean) r9)
            android.content.Context r5 = r20.getContext()
            android.view.LayoutInflater r5 = android.view.LayoutInflater.from(r5)
            int r6 = p085c.p132d.p133a.p156b.C1218h.design_text_input_end_icon
            android.widget.LinearLayout r8 = r0.f7054d
            android.view.View r5 = r5.inflate(r6, r8, r9)
            com.google.android.material.internal.CheckableImageButton r5 = (com.google.android.material.internal.CheckableImageButton) r5
            r0.f7079p0 = r5
            r6 = 8
            r5.setVisibility(r6)
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorIconDrawable
            boolean r5 = r1.mo2577f(r5)
            if (r5 == 0) goto L_0x02af
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorIconDrawable
            android.graphics.drawable.Drawable r5 = r1.mo2569b(r5)
            r0.setErrorIconDrawable((android.graphics.drawable.Drawable) r5)
        L_0x02af:
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorIconTint
            boolean r5 = r1.mo2577f(r5)
            if (r5 == 0) goto L_0x02c0
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorIconTint
            android.content.res.ColorStateList r5 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4139a((android.content.Context) r10, (p008b.p010b.p019p.TintTypedArray) r1, (int) r5)
            r0.setErrorIconTintList(r5)
        L_0x02c0:
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorIconTintMode
            boolean r5 = r1.mo2577f(r5)
            if (r5 == 0) goto L_0x02d5
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorIconTintMode
            int r5 = r1.mo2572d(r5, r13)
            android.graphics.PorterDuff$Mode r5 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4140a((int) r5, (android.graphics.PorterDuff.Mode) r7)
            r0.setErrorIconTintMode(r5)
        L_0x02d5:
            com.google.android.material.internal.CheckableImageButton r5 = r0.f7079p0
            android.content.res.Resources r8 = r20.getResources()
            int r14 = p085c.p132d.p133a.p156b.C1220i.error_icon_content_description
            java.lang.CharSequence r8 = r8.getText(r14)
            r5.setContentDescription(r8)
            com.google.android.material.internal.CheckableImageButton r5 = r0.f7079p0
            p008b.p033h.p045m.ViewCompat.m1962h(r5, r12)
            com.google.android.material.internal.CheckableImageButton r5 = r0.f7079p0
            r5.setClickable(r9)
            com.google.android.material.internal.CheckableImageButton r5 = r0.f7079p0
            r5.setPressable(r9)
            com.google.android.material.internal.CheckableImageButton r5 = r0.f7079p0
            r5.setFocusable(r9)
            int r5 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_helperTextTextAppearance
            int r5 = r1.mo2576f(r5, r9)
            int r8 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_helperTextEnabled
            boolean r8 = r1.mo2567a((int) r8, (boolean) r9)
            int r14 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_helperText
            java.lang.CharSequence r14 = r1.mo2575e(r14)
            int r15 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_placeholderTextAppearance
            int r15 = r1.mo2576f(r15, r9)
            int r12 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_placeholderText
            java.lang.CharSequence r12 = r1.mo2575e(r12)
            int r11 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_prefixTextAppearance
            int r11 = r1.mo2576f(r11, r9)
            int r7 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_prefixText
            java.lang.CharSequence r7 = r1.mo2575e(r7)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_suffixTextAppearance
            int r6 = r1.mo2576f(r6, r9)
            int r13 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_suffixText
            java.lang.CharSequence r13 = r1.mo2575e(r13)
            r16 = r6
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterEnabled
            boolean r6 = r1.mo2567a((int) r6, (boolean) r9)
            int r9 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterMaxLength
            r17 = r6
            r6 = -1
            int r9 = r1.mo2572d(r9, r6)
            r0.setCounterMaxLength(r9)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterTextAppearance
            r9 = 0
            int r6 = r1.mo2576f(r6, r9)
            r0.f7074n = r6
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterOverflowTextAppearance
            int r6 = r1.mo2576f(r6, r9)
            r0.f7072m = r6
            android.content.Context r6 = r20.getContext()
            android.view.LayoutInflater r6 = android.view.LayoutInflater.from(r6)
            r18 = r13
            int r13 = p085c.p132d.p133a.p156b.C1218h.design_text_input_start_icon
            r19 = r11
            android.widget.LinearLayout r11 = r0.f7052c
            android.view.View r6 = r6.inflate(r13, r11, r9)
            com.google.android.material.internal.CheckableImageButton r6 = (com.google.android.material.internal.CheckableImageButton) r6
            r0.f7043R = r6
            r9 = 8
            r6.setVisibility(r9)
            r6 = 0
            r0.setStartIconOnClickListener(r6)
            r0.setStartIconOnLongClickListener(r6)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconDrawable
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x03a3
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconDrawable
            android.graphics.drawable.Drawable r6 = r1.mo2569b(r6)
            r0.setStartIconDrawable((android.graphics.drawable.Drawable) r6)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconContentDescription
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x0399
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconContentDescription
            java.lang.CharSequence r6 = r1.mo2575e(r6)
            r0.setStartIconContentDescription((java.lang.CharSequence) r6)
        L_0x0399:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconCheckable
            r9 = 1
            boolean r6 = r1.mo2567a((int) r6, (boolean) r9)
            r0.setStartIconCheckable(r6)
        L_0x03a3:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconTint
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x03b4
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconTint
            android.content.res.ColorStateList r6 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4139a((android.content.Context) r10, (p008b.p010b.p019p.TintTypedArray) r1, (int) r6)
            r0.setStartIconTintList(r6)
        L_0x03b4:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconTintMode
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x03cb
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_startIconTintMode
            r9 = -1
            int r6 = r1.mo2572d(r6, r9)
            r9 = 0
            android.graphics.PorterDuff$Mode r6 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4140a((int) r6, (android.graphics.PorterDuff.Mode) r9)
            r0.setStartIconTintMode(r6)
        L_0x03cb:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_boxBackgroundMode
            r9 = 0
            int r6 = r1.mo2572d(r6, r9)
            r0.setBoxBackgroundMode(r6)
            android.content.Context r6 = r20.getContext()
            android.view.LayoutInflater r6 = android.view.LayoutInflater.from(r6)
            int r11 = p085c.p132d.p133a.p156b.C1218h.design_text_input_end_icon
            android.widget.FrameLayout r13 = r0.f7056e
            android.view.View r6 = r6.inflate(r11, r13, r9)
            com.google.android.material.internal.CheckableImageButton r6 = (com.google.android.material.internal.CheckableImageButton) r6
            r0.f7059f0 = r6
            android.widget.FrameLayout r9 = r0.f7056e
            r9.addView(r6)
            com.google.android.material.internal.CheckableImageButton r6 = r0.f7059f0
            r9 = 8
            r6.setVisibility(r9)
            android.util.SparseArray<c.d.a.b.g0.n> r6 = r0.f7057e0
            c.d.a.b.g0.f r9 = new c.d.a.b.g0.f
            r9.<init>(r0)
            r11 = -1
            r6.append(r11, r9)
            android.util.SparseArray<c.d.a.b.g0.n> r6 = r0.f7057e0
            c.d.a.b.g0.p r9 = new c.d.a.b.g0.p
            r9.<init>(r0)
            r11 = 0
            r6.append(r11, r9)
            android.util.SparseArray<c.d.a.b.g0.n> r6 = r0.f7057e0
            c.d.a.b.g0.q r9 = new c.d.a.b.g0.q
            r9.<init>(r0)
            r11 = 1
            r6.append(r11, r9)
            android.util.SparseArray<c.d.a.b.g0.n> r6 = r0.f7057e0
            c.d.a.b.g0.a r9 = new c.d.a.b.g0.a
            r9.<init>(r0)
            r11 = 2
            r6.append(r11, r9)
            android.util.SparseArray<c.d.a.b.g0.n> r6 = r0.f7057e0
            c.d.a.b.g0.h r9 = new c.d.a.b.g0.h
            r9.<init>(r0)
            r11 = 3
            r6.append(r11, r9)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconMode
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x046b
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconMode
            r9 = 0
            int r6 = r1.mo2572d(r6, r9)
            r0.setEndIconMode(r6)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconDrawable
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x044f
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconDrawable
            android.graphics.drawable.Drawable r6 = r1.mo2569b(r6)
            r0.setEndIconDrawable((android.graphics.drawable.Drawable) r6)
        L_0x044f:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconContentDescription
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x0460
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconContentDescription
            java.lang.CharSequence r6 = r1.mo2575e(r6)
            r0.setEndIconContentDescription((java.lang.CharSequence) r6)
        L_0x0460:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconCheckable
            r9 = 1
            boolean r6 = r1.mo2567a((int) r6, (boolean) r9)
            r0.setEndIconCheckable(r6)
            goto L_0x04b7
        L_0x046b:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleEnabled
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x04b7
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleEnabled
            r9 = 0
            boolean r6 = r1.mo2567a((int) r6, (boolean) r9)
            r0.setEndIconMode(r6)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleDrawable
            android.graphics.drawable.Drawable r6 = r1.mo2569b(r6)
            r0.setEndIconDrawable((android.graphics.drawable.Drawable) r6)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleContentDescription
            java.lang.CharSequence r6 = r1.mo2575e(r6)
            r0.setEndIconContentDescription((java.lang.CharSequence) r6)
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleTint
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x04a0
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleTint
            android.content.res.ColorStateList r6 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4139a((android.content.Context) r10, (p008b.p010b.p019p.TintTypedArray) r1, (int) r6)
            r0.setEndIconTintList(r6)
        L_0x04a0:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleTintMode
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x04b7
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleTintMode
            r9 = -1
            int r6 = r1.mo2572d(r6, r9)
            r9 = 0
            android.graphics.PorterDuff$Mode r6 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4140a((int) r6, (android.graphics.PorterDuff.Mode) r9)
            r0.setEndIconTintMode(r6)
        L_0x04b7:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_passwordToggleEnabled
            boolean r6 = r1.mo2577f(r6)
            if (r6 != 0) goto L_0x04e7
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconTint
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x04d0
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconTint
            android.content.res.ColorStateList r6 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4139a((android.content.Context) r10, (p008b.p010b.p019p.TintTypedArray) r1, (int) r6)
            r0.setEndIconTintList(r6)
        L_0x04d0:
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconTintMode
            boolean r6 = r1.mo2577f(r6)
            if (r6 == 0) goto L_0x04e7
            int r6 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_endIconTintMode
            r9 = -1
            int r6 = r1.mo2572d(r6, r9)
            r9 = 0
            android.graphics.PorterDuff$Mode r6 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4140a((int) r6, (android.graphics.PorterDuff.Mode) r9)
            r0.setEndIconTintMode(r6)
        L_0x04e7:
            b.b.p.z r6 = new b.b.p.z
            r6.<init>(r10)
            r0.f7092w = r6
            int r9 = p085c.p132d.p133a.p156b.C1192f.textinput_prefix_text
            r6.setId(r9)
            android.widget.TextView r6 = r0.f7092w
            android.widget.FrameLayout$LayoutParams r9 = new android.widget.FrameLayout$LayoutParams
            r11 = -2
            r9.<init>(r11, r11)
            r6.setLayoutParams(r9)
            android.widget.TextView r6 = r0.f7092w
            r9 = 1
            r6.setAccessibilityLiveRegion(r9)
            android.widget.LinearLayout r6 = r0.f7052c
            com.google.android.material.internal.CheckableImageButton r9 = r0.f7043R
            r6.addView(r9)
            android.widget.LinearLayout r6 = r0.f7052c
            android.widget.TextView r9 = r0.f7092w
            r6.addView(r9)
            b.b.p.z r6 = new b.b.p.z
            r6.<init>(r10)
            r0.f7096y = r6
            int r9 = p085c.p132d.p133a.p156b.C1192f.textinput_suffix_text
            r6.setId(r9)
            android.widget.TextView r6 = r0.f7096y
            android.widget.FrameLayout$LayoutParams r9 = new android.widget.FrameLayout$LayoutParams
            r10 = 80
            r11 = -2
            r9.<init>(r11, r11, r10)
            r6.setLayoutParams(r9)
            android.widget.TextView r6 = r0.f7096y
            r9 = 1
            r6.setAccessibilityLiveRegion(r9)
            android.widget.LinearLayout r6 = r0.f7054d
            android.widget.TextView r9 = r0.f7096y
            r6.addView(r9)
            android.widget.LinearLayout r6 = r0.f7054d
            com.google.android.material.internal.CheckableImageButton r9 = r0.f7079p0
            r6.addView(r9)
            android.widget.LinearLayout r6 = r0.f7054d
            android.widget.FrameLayout r9 = r0.f7056e
            r6.addView(r9)
            r0.setHelperTextEnabled(r8)
            r0.setHelperText(r14)
            r0.setHelperTextTextAppearance(r5)
            r0.setErrorEnabled(r4)
            r0.setErrorTextAppearance(r2)
            r0.setErrorContentDescription(r3)
            int r2 = r0.f7074n
            r0.setCounterTextAppearance(r2)
            int r2 = r0.f7072m
            r0.setCounterOverflowTextAppearance(r2)
            r0.setPlaceholderText(r12)
            r0.setPlaceholderTextAppearance(r15)
            r0.setPrefixText(r7)
            r2 = r19
            r0.setPrefixTextAppearance(r2)
            r2 = r18
            r0.setSuffixText(r2)
            r2 = r16
            r0.setSuffixTextAppearance(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x058b
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_errorTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setErrorTextColor(r2)
        L_0x058b:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_helperTextTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x059c
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_helperTextTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setHelperTextColor(r2)
        L_0x059c:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_hintTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x05ad
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_hintTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setHintTextColor(r2)
        L_0x05ad:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x05be
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setCounterTextColor(r2)
        L_0x05be:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterOverflowTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x05cf
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_counterOverflowTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setCounterOverflowTextColor(r2)
        L_0x05cf:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_placeholderTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x05e0
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_placeholderTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setPlaceholderTextColor(r2)
        L_0x05e0:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_prefixTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x05f1
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_prefixTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setPrefixTextColor(r2)
        L_0x05f1:
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_suffixTextColor
            boolean r2 = r1.mo2577f(r2)
            if (r2 == 0) goto L_0x0602
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_suffixTextColor
            android.content.res.ColorStateList r2 = r1.mo2565a(r2)
            r0.setSuffixTextColor(r2)
        L_0x0602:
            r2 = r17
            r0.setCounterEnabled(r2)
            int r2 = p085c.p132d.p133a.p156b.C1224k.TextInputLayout_android_enabled
            r3 = 1
            boolean r2 = r1.mo2567a((int) r2, (boolean) r3)
            r0.setEnabled(r2)
            android.content.res.TypedArray r1 = r1.f1794b
            r1.recycle()
            r1 = 2
            r0.setImportantForAccessibility(r1)
            return
        L_0x061b:
            r1 = r7
            throw r1
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.textfield.TextInputLayout.<init>(android.content.Context, android.util.AttributeSet, int):void");
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(CharSequence charSequence) {
        this.f7059f0.setContentDescription(charSequence);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(Drawable drawable) {
        this.f7059f0.setImageDrawable(drawable);
    }

    /* renamed from: b */
    public final int mo6978b(int i, boolean z) {
        int compoundPaddingRight = i - this.f7058f.getCompoundPaddingRight();
        if (this.f7090v == null || !z) {
            return compoundPaddingRight;
        }
        return this.f7092w.getPaddingRight() + this.f7092w.getMeasuredWidth() + compoundPaddingRight;
    }

    /* renamed from: b */
    public final void mo6979b() {
        mo6974a(this.f7059f0, this.f7065i0, this.f7063h0, this.f7069k0, this.f7067j0);
    }

    /* renamed from: b */
    public final void mo6981b(boolean z, boolean z2) {
        int defaultColor = this.f7093w0.getDefaultColor();
        int colorForState = this.f7093w0.getColorForState(new int[]{16843623, 16842910}, defaultColor);
        int colorForState2 = this.f7093w0.getColorForState(new int[]{16843518, 16842910}, defaultColor);
        if (z) {
            this.f7037L = colorForState2;
        } else if (z2) {
            this.f7037L = colorForState;
        } else {
            this.f7037L = defaultColor;
        }
    }

    /* renamed from: a */
    public void mo6971a(int i) {
        boolean z = this.f7068k;
        int i2 = this.f7066j;
        if (i2 == -1) {
            this.f7070l.setText(String.valueOf(i));
            this.f7070l.setContentDescription((CharSequence) null);
            this.f7068k = false;
        } else {
            this.f7068k = i > i2;
            Context context = getContext();
            this.f7070l.setContentDescription(context.getString(this.f7068k ? C1220i.character_counter_overflowed_content_description : C1220i.character_counter_content_description, new Object[]{Integer.valueOf(i), Integer.valueOf(this.f7066j)}));
            if (z != this.f7068k) {
                mo7040l();
            }
            this.f7070l.setText(getContext().getString(C1220i.character_counter_pattern, new Object[]{Integer.valueOf(i), Integer.valueOf(this.f7066j)}));
        }
        if (this.f7058f != null && z != this.f7068k) {
            mo6976a(false, false);
            mo7124t();
            mo7042n();
        }
    }

    /* renamed from: a */
    public static void m5356a(ViewGroup viewGroup, boolean z) {
        int childCount = viewGroup.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = viewGroup.getChildAt(i);
            childAt.setEnabled(z);
            if (childAt instanceof ViewGroup) {
                m5356a((ViewGroup) childAt, z);
            }
        }
    }

    /* renamed from: a */
    public void mo6972a(TextView textView, int i) {
        boolean z = true;
        try {
            MediaDescriptionCompatApi21.m104d(textView, i);
            if (Build.VERSION.SDK_INT < 23 || textView.getTextColors().getDefaultColor() != -65281) {
                z = false;
            }
        } catch (Exception unused) {
        }
        if (z) {
            MediaDescriptionCompatApi21.m104d(textView, C1221j.TextAppearance_AppCompat_Caption);
            textView.setTextColor(ContextCompat.m1784a(getContext(), C1162c.design_error));
        }
    }

    /* renamed from: a */
    public final int mo6968a(int i, boolean z) {
        int compoundPaddingLeft = this.f7058f.getCompoundPaddingLeft() + i;
        return (this.f7090v == null || z) ? compoundPaddingLeft : (compoundPaddingLeft - this.f7092w.getMeasuredWidth()) + this.f7092w.getPaddingLeft();
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0024  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0034  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0062  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo6969a() {
        /*
            r6 = this;
            c.d.a.b.d0.g r0 = r6.f7022C
            if (r0 != 0) goto L_0x0005
            return
        L_0x0005:
            c.d.a.b.d0.j r1 = r6.f7026E
            r0.setShapeAppearanceModel(r1)
            int r0 = r6.f7030G
            r1 = 2
            r2 = -1
            r3 = 0
            r4 = 1
            if (r0 != r1) goto L_0x0021
            int r0 = r6.f7034I
            if (r0 <= r2) goto L_0x001c
            int r0 = r6.f7037L
            if (r0 == 0) goto L_0x001c
            r0 = 1
            goto L_0x001d
        L_0x001c:
            r0 = 0
        L_0x001d:
            if (r0 == 0) goto L_0x0021
            r0 = 1
            goto L_0x0022
        L_0x0021:
            r0 = 0
        L_0x0022:
            if (r0 == 0) goto L_0x002e
            c.d.a.b.d0.g r0 = r6.f7022C
            int r1 = r6.f7034I
            float r1 = (float) r1
            int r5 = r6.f7037L
            r0.mo5116a((float) r1, (int) r5)
        L_0x002e:
            int r0 = r6.f7038M
            int r1 = r6.f7030G
            if (r1 != r4) goto L_0x0044
            int r0 = p085c.p132d.p133a.p156b.C1161b.colorSurface
            android.content.Context r1 = r6.getContext()
            int r0 = p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4129a((android.content.Context) r1, (int) r0, (int) r3)
            int r1 = r6.f7038M
            int r0 = p008b.p033h.p037g.ColorUtils.m1797a(r1, r0)
        L_0x0044:
            r6.f7038M = r0
            c.d.a.b.d0.g r1 = r6.f7022C
            android.content.res.ColorStateList r0 = android.content.res.ColorStateList.valueOf(r0)
            r1.mo5119a((android.content.res.ColorStateList) r0)
            int r0 = r6.f7055d0
            r1 = 3
            if (r0 != r1) goto L_0x005d
            android.widget.EditText r0 = r6.f7058f
            android.graphics.drawable.Drawable r0 = r0.getBackground()
            r0.invalidateSelf()
        L_0x005d:
            c.d.a.b.d0.g r0 = r6.f7024D
            if (r0 != 0) goto L_0x0062
            goto L_0x007b
        L_0x0062:
            int r0 = r6.f7034I
            if (r0 <= r2) goto L_0x006b
            int r0 = r6.f7037L
            if (r0 == 0) goto L_0x006b
            r3 = 1
        L_0x006b:
            if (r3 == 0) goto L_0x0078
            c.d.a.b.d0.g r0 = r6.f7024D
            int r1 = r6.f7037L
            android.content.res.ColorStateList r1 = android.content.res.ColorStateList.valueOf(r1)
            r0.mo5119a((android.content.res.ColorStateList) r1)
        L_0x0078:
            r6.invalidate()
        L_0x007b:
            r6.invalidate()
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.material.textfield.TextInputLayout.mo6969a():void");
    }

    /* renamed from: a */
    public void mo6975a(C1641f fVar) {
        this.f7053c0.add(fVar);
        if (this.f7058f != null) {
            fVar.mo5214a(this);
        }
    }

    /* renamed from: a */
    public final void mo6974a(CheckableImageButton checkableImageButton, boolean z, ColorStateList colorStateList, boolean z2, PorterDuff.Mode mode) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (drawable != null && (z || z2)) {
            drawable = MediaDescriptionCompatApi21.m99c(drawable).mutate();
            if (z) {
                drawable.setTintList(colorStateList);
            }
            if (z2) {
                drawable.setTintMode(mode);
            }
        }
        if (checkableImageButton.getDrawable() != drawable) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    /* renamed from: a */
    public static void m5357a(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        boolean s = ViewCompat.m1974s(checkableImageButton);
        boolean z = false;
        int i = 1;
        boolean z2 = onLongClickListener != null;
        if (s || z2) {
            z = true;
        }
        checkableImageButton.setFocusable(z);
        checkableImageButton.setClickable(s);
        checkableImageButton.setPressable(s);
        checkableImageButton.setLongClickable(z2);
        if (!z) {
            i = 2;
        }
        checkableImageButton.setImportantForAccessibility(i);
    }

    /* renamed from: a */
    public final void mo6973a(CheckableImageButton checkableImageButton, ColorStateList colorStateList) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (checkableImageButton.getDrawable() != null && colorStateList != null && colorStateList.isStateful()) {
            int colorForState = colorStateList.getColorForState(getDrawableState(), colorStateList.getDefaultColor());
            Drawable mutate = MediaDescriptionCompatApi21.m99c(drawable).mutate();
            mutate.setTintList(ColorStateList.valueOf(colorForState));
            checkableImageButton.setImageDrawable(mutate);
        }
    }

    /* renamed from: a */
    public void mo6970a(float f) {
        if (this.f7025D0.f5769c != f) {
            if (this.f7029F0 == null) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.f7029F0 = valueAnimator;
                valueAnimator.setInterpolator(AnimationUtils.f5425b);
                this.f7029F0.setDuration(167);
                this.f7029F0.addUpdateListener(new C1639d());
            }
            this.f7029F0.setFloatValues(new float[]{this.f7025D0.f5769c, f});
            this.f7029F0.start();
        }
    }
}
