package com.google.android.material.textview;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import p008b.p010b.p019p.AppCompatTextView;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1161b;
import p085c.p132d.p133a.p156b.C1224k;
import p085c.p132d.p133a.p156b.p165i0.p166a.MaterialThemeOverlay;

public class MaterialTextView extends AppCompatTextView {
    public MaterialTextView(Context context) {
        this(context, (AttributeSet) null);
    }

    /* renamed from: a */
    public final void mo7135a(Resources.Theme theme, int i) {
        TypedArray obtainStyledAttributes = theme.obtainStyledAttributes(i, C1224k.MaterialTextAppearance);
        int a = m5392a(getContext(), obtainStyledAttributes, C1224k.MaterialTextAppearance_android_lineHeight, C1224k.MaterialTextAppearance_lineHeight);
        obtainStyledAttributes.recycle();
        if (a >= 0) {
            setLineHeight(a);
        }
    }

    public void setTextAppearance(Context context, int i) {
        super.setTextAppearance(context, i);
        if (C1050v.m4184a(context, C1161b.textAppearanceLineHeightEnabled, true)) {
            mo7135a(context.getTheme(), i);
        }
    }

    public MaterialTextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842884);
    }

    public MaterialTextView(Context context, AttributeSet attributeSet, int i) {
        this(context, attributeSet, i, 0);
    }

    public MaterialTextView(Context context, AttributeSet attributeSet, int i, int i2) {
        super(MaterialThemeOverlay.m4458a(context, attributeSet, i, i2), attributeSet, i);
        Context context2 = getContext();
        boolean z = true;
        if (C1050v.m4184a(context2, C1161b.textAppearanceLineHeightEnabled, true)) {
            Resources.Theme theme = context2.getTheme();
            TypedArray obtainStyledAttributes = theme.obtainStyledAttributes(attributeSet, C1224k.MaterialTextView, i, i2);
            int a = m5392a(context2, obtainStyledAttributes, C1224k.MaterialTextView_android_lineHeight, C1224k.MaterialTextView_lineHeight);
            obtainStyledAttributes.recycle();
            if (!(a == -1 ? false : z)) {
                TypedArray obtainStyledAttributes2 = theme.obtainStyledAttributes(attributeSet, C1224k.MaterialTextView, i, i2);
                int resourceId = obtainStyledAttributes2.getResourceId(C1224k.MaterialTextView_android_textAppearance, -1);
                obtainStyledAttributes2.recycle();
                if (resourceId != -1) {
                    mo7135a(theme, resourceId);
                }
            }
        }
    }

    /* renamed from: a */
    public static int m5392a(Context context, TypedArray typedArray, int... iArr) {
        int i = -1;
        for (int i2 = 0; i2 < iArr.length && i < 0; i2++) {
            int i3 = iArr[i2];
            TypedValue typedValue = new TypedValue();
            if (!typedArray.getValue(i3, typedValue) || typedValue.type != 2) {
                i = typedArray.getDimensionPixelSize(i3, -1);
            } else {
                TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(new int[]{typedValue.data});
                int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(0, -1);
                obtainStyledAttributes.recycle();
                i = dimensionPixelSize;
            }
        }
        return i;
    }
}
