package com.google.gson.internal;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.util.Collections;
import java.util.List;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.ExclusionStrategy;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p185d0.Since;
import p085c.p132d.p184b.p185d0.Until;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class Excluder implements TypeAdapterFactory, Cloneable {

    /* renamed from: g */
    public static final Excluder f7131g = new Excluder();

    /* renamed from: b */
    public double f7132b = -1.0d;

    /* renamed from: c */
    public int f7133c = 136;

    /* renamed from: d */
    public boolean f7134d = true;

    /* renamed from: e */
    public List<ExclusionStrategy> f7135e = Collections.emptyList();

    /* renamed from: f */
    public List<ExclusionStrategy> f7136f = Collections.emptyList();

    /* renamed from: a */
    public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
        Class<? super T> cls = aVar.f5915a;
        boolean a = mo7153a((Class<?>) cls, true);
        boolean a2 = mo7153a((Class<?>) cls, false);
        if (a || a2) {
            return new C1650a(a2, a, kVar, aVar);
        }
        return null;
    }

    /* renamed from: b */
    public final boolean mo7154b(Class<?> cls) {
        if (cls.isMemberClass()) {
            if (!((cls.getModifiers() & 8) != 0)) {
                return true;
            }
        }
        return false;
    }

    public Object clone() throws CloneNotSupportedException {
        try {
            return (Excluder) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError(e);
        }
    }

    /* renamed from: a */
    public boolean mo7153a(Class<?> cls, boolean z) {
        if (this.f7132b != -1.0d && !mo7151a((Since) cls.getAnnotation(Since.class), (Until) cls.getAnnotation(Until.class))) {
            return true;
        }
        if ((!this.f7134d && mo7154b(cls)) || mo7152a(cls)) {
            return true;
        }
        for (ExclusionStrategy shouldSkipClass : z ? this.f7135e : this.f7136f) {
            if (shouldSkipClass.shouldSkipClass(cls)) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: com.google.gson.internal.Excluder$a */
    public class C1650a extends C1278b0<T> {

        /* renamed from: a */
        public C1278b0<T> f7137a;

        /* renamed from: b */
        public final /* synthetic */ boolean f7138b;

        /* renamed from: c */
        public final /* synthetic */ boolean f7139c;

        /* renamed from: d */
        public final /* synthetic */ C1319k f7140d;

        /* renamed from: e */
        public final /* synthetic */ TypeToken f7141e;

        public C1650a(boolean z, boolean z2, C1319k kVar, TypeToken aVar) {
            this.f7138b = z;
            this.f7139c = z2;
            this.f7140d = kVar;
            this.f7141e = aVar;
        }

        /* renamed from: a */
        public T mo5575a(JsonReader jsonReader) throws IOException {
            if (this.f7138b) {
                jsonReader.skipValue();
                return null;
            }
            C1278b0<T> b0Var = this.f7137a;
            if (b0Var == null) {
                b0Var = this.f7140d.mo5707a((TypeAdapterFactory) Excluder.this, this.f7141e);
                this.f7137a = b0Var;
            }
            return b0Var.mo5575a(jsonReader);
        }

        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, T t) throws IOException {
            if (this.f7139c) {
                jsonWriter.nullValue();
                return;
            }
            C1278b0<T> b0Var = this.f7137a;
            if (b0Var == null) {
                b0Var = this.f7140d.mo5707a((TypeAdapterFactory) Excluder.this, this.f7141e);
                this.f7137a = b0Var;
            }
            b0Var.mo5577a(jsonWriter, t);
        }
    }

    /* renamed from: a */
    public final boolean mo7152a(Class<?> cls) {
        return !Enum.class.isAssignableFrom(cls) && (cls.isAnonymousClass() || cls.isLocalClass());
    }

    /* renamed from: a */
    public final boolean mo7151a(Since cVar, Until dVar) {
        if (!(cVar == null || cVar.value() <= this.f7132b)) {
            return false;
        }
        if (dVar == null || dVar.value() > this.f7132b) {
            return true;
        }
        return false;
    }
}
