package com.google.gson.internal.bind;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.GenericArrayType;
import java.lang.reflect.Type;
import java.util.ArrayList;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p186e0.C$Gson$Types;
import p085c.p132d.p184b.p186e0.p187z.TypeAdapterRuntimeTypeWrapper;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class ArrayTypeAdapter<E> extends C1278b0<Object> {

    /* renamed from: c */
    public static final TypeAdapterFactory f7143c = new TypeAdapterFactory() {
        /* renamed from: a */
        public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
            Type type;
            Type type2 = aVar.f5916b;
            boolean z = type2 instanceof GenericArrayType;
            if (!z && (!(type2 instanceof Class) || !((Class) type2).isArray())) {
                return null;
            }
            if (z) {
                type = ((GenericArrayType) type2).getGenericComponentType();
            } else {
                type = ((Class) type2).getComponentType();
            }
            return new ArrayTypeAdapter(kVar, kVar.mo5708a(new TypeToken(type)), C$Gson$Types.m4691c(type));
        }
    };

    /* renamed from: a */
    public final Class<E> f7144a;

    /* renamed from: b */
    public final C1278b0<E> f7145b;

    public ArrayTypeAdapter(C1319k kVar, C1278b0<E> b0Var, Class<E> cls) {
        this.f7145b = new TypeAdapterRuntimeTypeWrapper(kVar, b0Var, cls);
        this.f7144a = cls;
    }

    /* renamed from: a */
    public Object mo5575a(JsonReader jsonReader) throws IOException {
        if (jsonReader.peek() == JsonToken.NULL) {
            jsonReader.nextNull();
            return null;
        }
        ArrayList arrayList = new ArrayList();
        jsonReader.beginArray();
        while (jsonReader.hasNext()) {
            arrayList.add(this.f7145b.mo5575a(jsonReader));
        }
        jsonReader.endArray();
        int size = arrayList.size();
        Object newInstance = Array.newInstance(this.f7144a, size);
        for (int i = 0; i < size; i++) {
            Array.set(newInstance, i, arrayList.get(i));
        }
        return newInstance;
    }

    /* renamed from: a */
    public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
        if (obj == null) {
            jsonWriter.nullValue();
            return;
        }
        jsonWriter.beginArray();
        int length = Array.getLength(obj);
        for (int i = 0; i < length; i++) {
            this.f7145b.mo5577a(jsonWriter, Array.get(obj, i));
        }
        jsonWriter.endArray();
    }
}
