package com.google.gson.internal.bind;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.WildcardType;
import java.util.Collection;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p186e0.C$Gson$Types;
import p085c.p132d.p184b.p186e0.C1291g;
import p085c.p132d.p184b.p186e0.ObjectConstructor;
import p085c.p132d.p184b.p186e0.p187z.TypeAdapterRuntimeTypeWrapper;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class CollectionTypeAdapterFactory implements TypeAdapterFactory {

    /* renamed from: b */
    public final C1291g f7146b;

    public CollectionTypeAdapterFactory(C1291g gVar) {
        this.f7146b = gVar;
    }

    /* renamed from: a */
    public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
        Type type;
        Type type2 = aVar.f5916b;
        Class<? super T> cls = aVar.f5915a;
        if (!Collection.class.isAssignableFrom(cls)) {
            return null;
        }
        Class<Collection> cls2 = Collection.class;
        C1050v.m4205b(cls2.isAssignableFrom(cls));
        Type a = C$Gson$Types.m4687a(type2, (Class<?>) cls, C$Gson$Types.m4686a(type2, (Class<?>) cls, (Class<?>) cls2));
        if (a instanceof WildcardType) {
            a = ((WildcardType) a).getUpperBounds()[0];
        }
        if (a instanceof ParameterizedType) {
            type = ((ParameterizedType) a).getActualTypeArguments()[0];
        } else {
            type = Object.class;
        }
        return new C1652a(kVar, type, kVar.mo5708a(new TypeToken(type)), this.f7146b.mo5606a(aVar));
    }

    /* renamed from: com.google.gson.internal.bind.CollectionTypeAdapterFactory$a */
    public static final class C1652a<E> extends C1278b0<Collection<E>> {

        /* renamed from: a */
        public final C1278b0<E> f7147a;

        /* renamed from: b */
        public final ObjectConstructor<? extends Collection<E>> f7148b;

        public C1652a(C1319k kVar, Type type, C1278b0<E> b0Var, ObjectConstructor<? extends Collection<E>> rVar) {
            this.f7147a = new TypeAdapterRuntimeTypeWrapper(kVar, b0Var, type);
            this.f7148b = rVar;
        }

        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            Collection<Object> collection = (Collection) obj;
            if (collection == null) {
                jsonWriter.nullValue();
                return;
            }
            jsonWriter.beginArray();
            for (Object a : collection) {
                this.f7147a.mo5577a(jsonWriter, a);
            }
            jsonWriter.endArray();
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            Collection collection = (Collection) this.f7148b.construct();
            jsonReader.beginArray();
            while (jsonReader.hasNext()) {
                collection.add(this.f7147a.mo5575a(jsonReader));
            }
            jsonReader.endArray();
            return collection;
        }
    }
}
