package com.google.gson.internal.bind;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.newrelic.agent.android.util.SafeJsonPrimitive;
import java.io.IOException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.Map;
import java.util.Properties;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.JsonArray;
import p085c.p132d.p184b.JsonElement;
import p085c.p132d.p184b.JsonIOException;
import p085c.p132d.p184b.JsonNull;
import p085c.p132d.p184b.JsonObject;
import p085c.p132d.p184b.JsonPrimitive;
import p085c.p132d.p184b.JsonSyntaxException;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p186e0.C$Gson$Types;
import p085c.p132d.p184b.p186e0.C1291g;
import p085c.p132d.p184b.p186e0.JsonReaderInternalAccess;
import p085c.p132d.p184b.p186e0.ObjectConstructor;
import p085c.p132d.p184b.p186e0.p187z.JsonTreeWriter;
import p085c.p132d.p184b.p186e0.p187z.TypeAdapterRuntimeTypeWrapper;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class MapTypeAdapterFactory implements TypeAdapterFactory {

    /* renamed from: b */
    public final C1291g f7153b;

    /* renamed from: c */
    public final boolean f7154c;

    public MapTypeAdapterFactory(C1291g gVar, boolean z) {
        this.f7153b = gVar;
        this.f7154c = z;
    }

    /* renamed from: a */
    public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
        Type[] typeArr;
        C1278b0<Boolean> b0Var;
        Type type = aVar.f5916b;
        if (!Map.class.isAssignableFrom(aVar.f5915a)) {
            return null;
        }
        Class<?> c = C$Gson$Types.m4691c(type);
        Class<Object> cls = Object.class;
        Class<String> cls2 = String.class;
        if (type == Properties.class) {
            typeArr = new Type[]{cls2, cls2};
        } else {
            Class<Map> cls3 = Map.class;
            C1050v.m4205b(cls3.isAssignableFrom(c));
            Type a = C$Gson$Types.m4687a(type, c, C$Gson$Types.m4686a(type, c, (Class<?>) cls3));
            typeArr = a instanceof ParameterizedType ? ((ParameterizedType) a).getActualTypeArguments() : new Type[]{cls, cls};
        }
        Type type2 = typeArr[0];
        if (type2 == Boolean.TYPE || type2 == Boolean.class) {
            b0Var = TypeAdapters.f7212f;
        } else {
            b0Var = kVar.mo5708a(new TypeToken(type2));
        }
        return new C1654a(kVar, typeArr[0], b0Var, typeArr[1], kVar.mo5708a(new TypeToken(typeArr[1])), this.f7153b.mo5606a(aVar));
    }

    /* renamed from: com.google.gson.internal.bind.MapTypeAdapterFactory$a */
    public final class C1654a<K, V> extends C1278b0<Map<K, V>> {

        /* renamed from: a */
        public final C1278b0<K> f7155a;

        /* renamed from: b */
        public final C1278b0<V> f7156b;

        /* renamed from: c */
        public final ObjectConstructor<? extends Map<K, V>> f7157c;

        public C1654a(C1319k kVar, Type type, C1278b0<K> b0Var, Type type2, C1278b0<V> b0Var2, ObjectConstructor<? extends Map<K, V>> rVar) {
            this.f7155a = new TypeAdapterRuntimeTypeWrapper(kVar, b0Var, type);
            this.f7156b = new TypeAdapterRuntimeTypeWrapper(kVar, b0Var2, type2);
            this.f7157c = rVar;
        }

        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            Map map = (Map) obj;
            if (map == null) {
                jsonWriter.nullValue();
            } else if (!MapTypeAdapterFactory.this.f7154c) {
                jsonWriter.beginObject();
                for (Map.Entry entry : map.entrySet()) {
                    jsonWriter.name(String.valueOf(entry.getKey()));
                    this.f7156b.mo5577a(jsonWriter, entry.getValue());
                }
                jsonWriter.endObject();
            } else {
                ArrayList arrayList = new ArrayList(map.size());
                ArrayList arrayList2 = new ArrayList(map.size());
                int i = 0;
                boolean z = false;
                for (Map.Entry entry2 : map.entrySet()) {
                    C1278b0<K> b0Var = this.f7155a;
                    Object key = entry2.getKey();
                    if (b0Var != null) {
                        try {
                            JsonTreeWriter bVar = new JsonTreeWriter();
                            b0Var.mo5577a(bVar, key);
                            if (bVar.f5902b.isEmpty()) {
                                JsonElement qVar = bVar.f5904d;
                                arrayList.add(qVar);
                                arrayList2.add(entry2.getValue());
                                if (qVar != null) {
                                    z |= (qVar instanceof JsonArray) || (qVar instanceof JsonObject);
                                } else {
                                    throw null;
                                }
                            } else {
                                throw new IllegalStateException("Expected one JSON element but was " + bVar.f5902b);
                            }
                        } catch (IOException e) {
                            throw new JsonIOException((Throwable) e);
                        }
                    } else {
                        throw null;
                    }
                }
                if (z) {
                    jsonWriter.beginArray();
                    int size = arrayList.size();
                    while (i < size) {
                        jsonWriter.beginArray();
                        TypeAdapters.f7204X.mo5577a(jsonWriter, (JsonElement) arrayList.get(i));
                        this.f7156b.mo5577a(jsonWriter, arrayList2.get(i));
                        jsonWriter.endArray();
                        i++;
                    }
                    jsonWriter.endArray();
                    return;
                }
                jsonWriter.beginObject();
                int size2 = arrayList.size();
                while (i < size2) {
                    JsonElement qVar2 = (JsonElement) arrayList.get(i);
                    if (qVar2 != null) {
                        if (qVar2 instanceof JsonPrimitive) {
                            JsonPrimitive a = qVar2.mo5724a();
                            Object obj2 = a.f5951a;
                            if (obj2 instanceof Number) {
                                str = String.valueOf(a.mo5732c());
                            } else if (obj2 instanceof Boolean) {
                                str = Boolean.toString(a.mo5731b());
                            } else if (obj2 instanceof String) {
                                str = a.mo5733d();
                            } else {
                                throw new AssertionError();
                            }
                        } else if (qVar2 instanceof JsonNull) {
                            str = SafeJsonPrimitive.NULL_STRING;
                        } else {
                            throw new AssertionError();
                        }
                        jsonWriter.name(str);
                        this.f7156b.mo5577a(jsonWriter, arrayList2.get(i));
                        i++;
                    } else {
                        throw null;
                    }
                }
                jsonWriter.endObject();
            }
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            JsonToken peek = jsonReader.peek();
            if (peek == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            Map map = (Map) this.f7157c.construct();
            if (peek == JsonToken.BEGIN_ARRAY) {
                jsonReader.beginArray();
                while (jsonReader.hasNext()) {
                    jsonReader.beginArray();
                    K a = this.f7155a.mo5575a(jsonReader);
                    if (map.put(a, this.f7156b.mo5575a(jsonReader)) == null) {
                        jsonReader.endArray();
                    } else {
                        throw new JsonSyntaxException("duplicate key: " + a);
                    }
                }
                jsonReader.endArray();
            } else {
                jsonReader.beginObject();
                while (jsonReader.hasNext()) {
                    JsonReaderInternalAccess.INSTANCE.promoteNameToValue(jsonReader);
                    K a2 = this.f7155a.mo5575a(jsonReader);
                    if (map.put(a2, this.f7156b.mo5575a(jsonReader)) != null) {
                        throw new JsonSyntaxException("duplicate key: " + a2);
                    }
                }
                jsonReader.endObject();
            }
            return map;
        }
    }
}
