package com.newrelic.agent.android.api.common;

import com.newrelic.agent.android.FeatureFlag;
import com.newrelic.agent.android.connectivity.CatPayload;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import p085c.p086a.p087a.p088a.outline;

public class TransactionData {
    public final String appData;
    public final long bytesReceived;
    public final long bytesSent;
    public final String carrier;
    public final CatPayload catPayload;
    public int errorCode = 0;
    public final Object errorCodeLock = new Object();
    public final String httpMethod;
    public Map<String, String> params = null;
    public String responseBody = null;
    public final int statusCode;
    public final float time;
    public final long timestamp;
    public final String url;
    public final String wanType;

    public TransactionData(String str, String str2, String str3, float f, int i, int i2, long j, long j2, String str4, String str5, CatPayload catPayload2) {
        String str6 = str;
        int indexOf = str.indexOf(63);
        if (indexOf < 0 && (indexOf = str.indexOf(59)) < 0) {
            indexOf = str.length();
        }
        this.url = str.substring(0, indexOf);
        this.httpMethod = str2;
        this.carrier = str3;
        this.time = f;
        this.statusCode = i;
        this.errorCode = i2;
        this.bytesSent = j;
        this.bytesReceived = j2;
        this.appData = str4;
        this.wanType = str5;
        this.timestamp = System.currentTimeMillis();
        this.responseBody = null;
        this.params = null;
        this.catPayload = catPayload2;
    }

    public List<Object> asList() {
        ArrayList arrayList = new ArrayList();
        arrayList.add(this.url);
        arrayList.add(this.carrier);
        arrayList.add(Float.valueOf(this.time));
        arrayList.add(Integer.valueOf(this.statusCode));
        arrayList.add(Integer.valueOf(this.errorCode));
        arrayList.add(Long.valueOf(this.bytesSent));
        arrayList.add(Long.valueOf(this.bytesReceived));
        arrayList.add(this.appData);
        return arrayList;
    }

    public String getAppData() {
        return this.appData;
    }

    public long getBytesReceived() {
        return this.bytesReceived;
    }

    public long getBytesSent() {
        return this.bytesSent;
    }

    public String getCarrier() {
        return this.carrier;
    }

    public CatPayload getCatPayload() {
        return this.catPayload;
    }

    public int getErrorCode() {
        int i;
        synchronized (this.errorCodeLock) {
            i = this.errorCode;
        }
        return i;
    }

    public String getHttpMethod() {
        return this.httpMethod;
    }

    public Map<String, String> getParams() {
        return this.params;
    }

    public String getResponseBody() {
        return this.responseBody;
    }

    public int getStatusCode() {
        return this.statusCode;
    }

    public float getTime() {
        return this.time;
    }

    public long getTimestamp() {
        return this.timestamp;
    }

    public String getUrl() {
        return this.url;
    }

    public String getWanType() {
        return this.wanType;
    }

    public void setErrorCode(int i) {
        synchronized (this.errorCodeLock) {
            this.errorCode = i;
        }
    }

    public void setParams(Map<String, String> map) {
        this.params = map;
    }

    public void setResponseBody(String str) {
        if (!FeatureFlag.featureEnabled(FeatureFlag.HttpResponseBodyCapture)) {
            return;
        }
        if (str == null || str.isEmpty()) {
            this.responseBody = null;
        } else {
            this.responseBody = str;
        }
    }

    public String toString() {
        StringBuilder a = outline.m2937a("TransactionData{timestamp=");
        a.append(this.timestamp);
        a.append(", url='");
        outline.m2940a(a, this.url, '\'', ", httpMethod='");
        outline.m2940a(a, this.httpMethod, '\'', ", carrier='");
        outline.m2940a(a, this.carrier, '\'', ", time=");
        a.append(this.time);
        a.append(", statusCode=");
        a.append(this.statusCode);
        a.append(", errorCode=");
        a.append(this.errorCode);
        a.append(", errorCodeLock=");
        a.append(this.errorCodeLock);
        a.append(", bytesSent=");
        a.append(this.bytesSent);
        a.append(", bytesReceived=");
        a.append(this.bytesReceived);
        a.append(", appData='");
        outline.m2940a(a, this.appData, '\'', ", wanType='");
        a.append(this.wanType);
        a.append('\'');
        a.append('}');
        return a.toString();
    }
}
