package com.google.gson.internal.bind;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.util.ArrayList;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p186e0.LinkedTreeMap;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class ObjectTypeAdapter extends C1278b0<Object> {

    /* renamed from: b */
    public static final TypeAdapterFactory f7159b = new TypeAdapterFactory() {
        /* renamed from: a */
        public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
            if (aVar.f5915a == Object.class) {
                return new ObjectTypeAdapter(kVar);
            }
            return null;
        }
    };

    /* renamed from: a */
    public final C1319k f7160a;

    public ObjectTypeAdapter(C1319k kVar) {
        this.f7160a = kVar;
    }

    /* renamed from: a */
    public Object mo5575a(JsonReader jsonReader) throws IOException {
        int ordinal = jsonReader.peek().ordinal();
        if (ordinal == 0) {
            ArrayList arrayList = new ArrayList();
            jsonReader.beginArray();
            while (jsonReader.hasNext()) {
                arrayList.add(mo5575a(jsonReader));
            }
            jsonReader.endArray();
            return arrayList;
        } else if (ordinal == 2) {
            LinkedTreeMap qVar = new LinkedTreeMap();
            jsonReader.beginObject();
            while (jsonReader.hasNext()) {
                qVar.put(jsonReader.nextName(), mo5575a(jsonReader));
            }
            jsonReader.endObject();
            return qVar;
        } else if (ordinal == 5) {
            return jsonReader.nextString();
        } else {
            if (ordinal == 6) {
                return Double.valueOf(jsonReader.nextDouble());
            }
            if (ordinal == 7) {
                return Boolean.valueOf(jsonReader.nextBoolean());
            }
            if (ordinal == 8) {
                jsonReader.nextNull();
                return null;
            }
            throw new IllegalStateException();
        }
    }

    /* renamed from: a */
    public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
        if (obj == null) {
            jsonWriter.nullValue();
            return;
        }
        C1319k kVar = this.f7160a;
        Class<?> cls = obj.getClass();
        if (kVar != null) {
            C1278b0 a = kVar.mo5708a(new TypeToken(cls));
            if (a instanceof ObjectTypeAdapter) {
                jsonWriter.beginObject();
                jsonWriter.endObject();
                return;
            }
            a.mo5577a(jsonWriter, obj);
            return;
        }
        throw null;
    }
}
