package com.newrelic.agent.android.connectivity;

import com.newrelic.agent.android.harvest.Harvest;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import com.newrelic.agent.android.harvest.HarvestLifecycleAware;
import java.util.concurrent.atomic.AtomicReference;

public class CatFacade implements ConnectivityFacade, HarvestLifecycleAware {
    public static final CatFacade instance = new CatFacade();
    public AtomicReference<String> atomicId = new AtomicReference<>("");
    public AtomicReference<String> atomicTraceId = new AtomicReference<>("");
    public HarvestConfiguration configuration = HarvestConfiguration.getDefaultHarvestConfiguration();

    private String generateRandom16CharHex() {
        return Long.toHexString(randomNumber().longValue()) + Long.toHexString(randomNumber().longValue()) + Long.toHexString(randomNumber().longValue()) + Long.toHexString(randomNumber().longValue());
    }

    public static CatFacade getInstance() {
        return instance;
    }

    private Long randomNumber() {
        return Long.valueOf((long) Math.floor(Math.random() * 65535.0d));
    }

    public CatPayload createCatPayload() {
        return new CatPayload(this.configuration.getAccount_id(), this.configuration.getApplication_id(), generateRandom16CharHex(), this.atomicTraceId.get());
    }

    public void onHarvest() {
    }

    public void onHarvestBefore() {
    }

    public void onHarvestComplete() {
    }

    public void onHarvestConnected() {
        this.configuration = Harvest.getHarvestConfiguration();
    }

    public void onHarvestDisabled() {
    }

    public void onHarvestDisconnected() {
    }

    public void onHarvestError() {
    }

    public void onHarvestFinalize() {
    }

    public void onHarvestSendFailed() {
    }

    public void onHarvestStart() {
    }

    public void onHarvestStop() {
    }

    public void setConfiguration(HarvestConfiguration harvestConfiguration) {
        this.configuration = harvestConfiguration;
    }

    public synchronized CatPayload startTrip() {
        this.atomicTraceId.set(generateRandom16CharHex());
        this.atomicId.set(generateRandom16CharHex());
        return new CatPayload(this.configuration.getAccount_id(), this.configuration.getApplication_id(), this.atomicId.get(), this.atomicTraceId.get());
    }
}
