package com.google.gson.internal.bind;

import com.google.gson.internal.Excluder;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.lang.reflect.Field;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.ExclusionStrategy;
import p085c.p132d.p184b.FieldAttributes;
import p085c.p132d.p184b.FieldNamingStrategy;
import p085c.p132d.p184b.JsonSyntaxException;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p185d0.Since;
import p085c.p132d.p184b.p185d0.Until;
import p085c.p132d.p184b.p186e0.C1291g;
import p085c.p132d.p184b.p186e0.ObjectConstructor;
import p085c.p132d.p184b.p186e0.p187z.TypeAdapterRuntimeTypeWrapper;

public final class ReflectiveTypeAdapterFactory implements TypeAdapterFactory {

    /* renamed from: b */
    public final C1291g f7161b;

    /* renamed from: c */
    public final FieldNamingStrategy f7162c;

    /* renamed from: d */
    public final Excluder f7163d;

    /* renamed from: e */
    public final JsonAdapterAnnotationTypeAdapterFactory f7164e;

    /* renamed from: com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$b */
    public static abstract class C1657b {

        /* renamed from: a */
        public final String f7167a;

        /* renamed from: b */
        public final boolean f7168b;

        /* renamed from: c */
        public final boolean f7169c;

        public C1657b(String str, boolean z, boolean z2) {
            this.f7167a = str;
            this.f7168b = z;
            this.f7169c = z2;
        }
    }

    public ReflectiveTypeAdapterFactory(C1291g gVar, FieldNamingStrategy eVar, Excluder excluder, JsonAdapterAnnotationTypeAdapterFactory jsonAdapterAnnotationTypeAdapterFactory) {
        this.f7161b = gVar;
        this.f7162c = eVar;
        this.f7163d = excluder;
        this.f7164e = jsonAdapterAnnotationTypeAdapterFactory;
    }

    /* renamed from: a */
    public boolean mo7159a(Field field, boolean z) {
        boolean z2;
        Excluder excluder = this.f7163d;
        if (excluder.mo7153a(field.getType(), z)) {
            return false;
        }
        if ((excluder.f7133c & field.getModifiers()) == 0 && ((excluder.f7132b == -1.0d || excluder.mo7151a((Since) field.getAnnotation(Since.class), (Until) field.getAnnotation(Until.class))) && !field.isSynthetic() && ((excluder.f7134d || !excluder.mo7154b(field.getType())) && !excluder.mo7152a(field.getType())))) {
            List<ExclusionStrategy> list = z ? excluder.f7135e : excluder.f7136f;
            if (!list.isEmpty()) {
                FieldAttributes cVar = new FieldAttributes(field);
                Iterator<ExclusionStrategy> it = list.iterator();
                while (true) {
                    if (it.hasNext()) {
                        if (it.next().mo5580a(cVar)) {
                            break;
                        }
                    } else {
                        break;
                    }
                }
                z2 = true;
            }
            z2 = false;
        } else {
            z2 = true;
        }
        if (!z2) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x00c3  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0193 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0179 A[SYNTHETIC] */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public <T> p085c.p132d.p184b.C1278b0<T> mo5582a(p085c.p132d.p184b.C1319k r35, p085c.p132d.p184b.p189f0.TypeToken<T> r36) {
        /*
            r34 = this;
            r11 = r34
            r12 = r35
            r0 = r36
            java.lang.Class<java.lang.Object> r13 = java.lang.Object.class
            java.lang.Class<? super T> r1 = r0.f5915a
            boolean r2 = r13.isAssignableFrom(r1)
            r14 = 0
            if (r2 != 0) goto L_0x0012
            return r14
        L_0x0012:
            c.d.b.e0.g r2 = r11.f7161b
            c.d.b.e0.r r15 = r2.mo5606a(r0)
            com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$a r10 = new com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$a
            java.util.LinkedHashMap r9 = new java.util.LinkedHashMap
            r9.<init>()
            boolean r2 = r1.isInterface()
            if (r2 == 0) goto L_0x002c
        L_0x0025:
            r14 = r9
            r33 = r10
            r28 = r15
            goto L_0x01d6
        L_0x002c:
            java.lang.reflect.Type r8 = r0.f5916b
            r7 = r0
            r6 = r1
        L_0x0030:
            if (r6 == r13) goto L_0x0025
            java.lang.reflect.Field[] r5 = r6.getDeclaredFields()
            int r4 = r5.length
            r3 = 0
            r2 = 0
        L_0x0039:
            if (r2 >= r4) goto L_0x01af
            r1 = r5[r2]
            r0 = 1
            boolean r16 = r11.mo7159a((java.lang.reflect.Field) r1, (boolean) r0)
            boolean r17 = r11.mo7159a((java.lang.reflect.Field) r1, (boolean) r3)
            if (r16 != 0) goto L_0x0060
            if (r17 != 0) goto L_0x0060
            r19 = r2
            r20 = r4
            r31 = r5
            r36 = r6
            r32 = r7
            r14 = r9
            r33 = r10
            r22 = r13
            r28 = r15
            r29 = 0
            r15 = r8
            goto L_0x0179
        L_0x0060:
            r1.setAccessible(r0)
            java.lang.reflect.Type r3 = r7.f5916b
            java.lang.reflect.Type r14 = r1.getGenericType()
            java.lang.reflect.Type r14 = p085c.p132d.p184b.p186e0.C$Gson$Types.m4687a((java.lang.reflect.Type) r3, (java.lang.Class<?>) r6, (java.lang.reflect.Type) r14)
            java.lang.Class<c.d.b.d0.b> r3 = p085c.p132d.p184b.p185d0.SerializedName.class
            java.lang.annotation.Annotation r3 = r1.getAnnotation(r3)
            c.d.b.d0.b r3 = (p085c.p132d.p184b.p185d0.SerializedName) r3
            if (r3 != 0) goto L_0x0084
            c.d.b.e r3 = r11.f7162c
            java.lang.String r3 = r3.translateName(r1)
            java.util.List r3 = java.util.Collections.singletonList(r3)
            r19 = r2
            goto L_0x0095
        L_0x0084:
            java.lang.String r0 = r3.value()
            java.lang.String[] r3 = r3.alternate()
            r19 = r2
            int r2 = r3.length
            if (r2 != 0) goto L_0x009b
            java.util.List r3 = java.util.Collections.singletonList(r0)
        L_0x0095:
            r20 = r4
            r18 = 1
            r4 = r3
            goto L_0x00bb
        L_0x009b:
            java.util.ArrayList r2 = new java.util.ArrayList
            r20 = r4
            int r4 = r3.length
            r18 = 1
            int r4 = r4 + 1
            r2.<init>(r4)
            r2.add(r0)
            int r0 = r3.length
            r4 = 0
        L_0x00ac:
            if (r4 >= r0) goto L_0x00ba
            r21 = r0
            r0 = r3[r4]
            r2.add(r0)
            int r4 = r4 + 1
            r0 = r21
            goto L_0x00ac
        L_0x00ba:
            r4 = r2
        L_0x00bb:
            int r3 = r4.size()
            r0 = 0
            r2 = 0
        L_0x00c1:
            if (r2 >= r3) goto L_0x0166
            java.lang.Object r21 = r4.get(r2)
            r22 = r13
            r13 = r21
            java.lang.String r13 = (java.lang.String) r13
            r21 = r9
            if (r2 == 0) goto L_0x00d3
            r16 = 0
        L_0x00d3:
            c.d.b.f0.a r9 = new c.d.b.f0.a
            r9.<init>(r14)
            r23 = r0
            java.lang.Class<? super T> r0 = r9.f5915a
            r24 = r2
            java.util.Map<java.lang.Class<?>, java.lang.Class<?>> r2 = p085c.p132d.p184b.p186e0.Primitives.f5885a
            boolean r25 = r2.containsKey(r0)
            java.lang.Class<c.d.b.d0.a> r0 = p085c.p132d.p184b.p185d0.JsonAdapter.class
            java.lang.annotation.Annotation r0 = r1.getAnnotation(r0)
            c.d.b.d0.a r0 = (p085c.p132d.p184b.p185d0.JsonAdapter) r0
            if (r0 == 0) goto L_0x00f9
            com.google.gson.internal.bind.JsonAdapterAnnotationTypeAdapterFactory r2 = r11.f7164e
            r26 = r1
            c.d.b.e0.g r1 = r11.f7161b
            c.d.b.b0 r0 = r2.mo7158a(r1, r12, r9, r0)
            goto L_0x00fc
        L_0x00f9:
            r26 = r1
            r0 = 0
        L_0x00fc:
            if (r0 == 0) goto L_0x0101
            r27 = 1
            goto L_0x0103
        L_0x0101:
            r27 = 0
        L_0x0103:
            if (r0 != 0) goto L_0x0109
            c.d.b.b0 r0 = r12.mo5708a(r9)
        L_0x0109:
            r28 = r0
            c.d.b.e0.z.c r2 = new c.d.b.e0.z.c
            r1 = r23
            r0 = r2
            r11 = r1
            r23 = r26
            r1 = r34
            r12 = r2
            r2 = r13
            r26 = r3
            r29 = 0
            r3 = r16
            r30 = r4
            r4 = r17
            r31 = r5
            r5 = r23
            r36 = r6
            r6 = r27
            r27 = r14
            r14 = r7
            r7 = r28
            r28 = r15
            r15 = r8
            r8 = r35
            r32 = r14
            r14 = r21
            r33 = r10
            r10 = r25
            r0.<init>(r1, r2, r3, r4, r5, r6, r7, r8, r9, r10)
            java.lang.Object r0 = r14.put(r13, r12)
            com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$b r0 = (com.google.gson.internal.bind.ReflectiveTypeAdapterFactory.C1657b) r0
            if (r11 != 0) goto L_0x0147
            goto L_0x0148
        L_0x0147:
            r0 = r11
        L_0x0148:
            int r2 = r24 + 1
            r11 = r34
            r12 = r35
            r6 = r36
            r9 = r14
            r8 = r15
            r13 = r22
            r1 = r23
            r3 = r26
            r14 = r27
            r15 = r28
            r4 = r30
            r5 = r31
            r7 = r32
            r10 = r33
            goto L_0x00c1
        L_0x0166:
            r11 = r0
            r31 = r5
            r36 = r6
            r32 = r7
            r14 = r9
            r33 = r10
            r22 = r13
            r28 = r15
            r29 = 0
            r15 = r8
            if (r11 != 0) goto L_0x0193
        L_0x0179:
            int r2 = r19 + 1
            r11 = r34
            r12 = r35
            r6 = r36
            r9 = r14
            r8 = r15
            r4 = r20
            r13 = r22
            r15 = r28
            r5 = r31
            r7 = r32
            r10 = r33
            r3 = 0
            r14 = 0
            goto L_0x0039
        L_0x0193:
            java.lang.IllegalArgumentException r0 = new java.lang.IllegalArgumentException
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            r1.append(r15)
            java.lang.String r2 = " declares multiple JSON fields named "
            r1.append(r2)
            java.lang.String r2 = r11.f7167a
            r1.append(r2)
            java.lang.String r1 = r1.toString()
            r0.<init>(r1)
            throw r0
        L_0x01af:
            r36 = r6
            r0 = r7
            r14 = r9
            r33 = r10
            r22 = r13
            r28 = r15
            r15 = r8
            java.lang.reflect.Type r0 = r0.f5916b
            java.lang.reflect.Type r1 = r36.getGenericSuperclass()
            r2 = r36
            java.lang.reflect.Type r0 = p085c.p132d.p184b.p186e0.C$Gson$Types.m4687a((java.lang.reflect.Type) r0, (java.lang.Class<?>) r2, (java.lang.reflect.Type) r1)
            c.d.b.f0.a r7 = new c.d.b.f0.a
            r7.<init>(r0)
            java.lang.Class<? super T> r6 = r7.f5915a
            r11 = r34
            r12 = r35
            r15 = r28
            r14 = 0
            goto L_0x0030
        L_0x01d6:
            r0 = r28
            r1 = r33
            r1.<init>(r0, r14)
            return r1
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.gson.internal.bind.ReflectiveTypeAdapterFactory.mo5582a(c.d.b.k, c.d.b.f0.a):c.d.b.b0");
    }

    /* renamed from: com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$a */
    public static final class C1656a<T> extends C1278b0<T> {

        /* renamed from: a */
        public final ObjectConstructor<T> f7165a;

        /* renamed from: b */
        public final Map<String, C1657b> f7166b;

        public C1656a(ObjectConstructor<T> rVar, Map<String, C1657b> map) {
            this.f7165a = rVar;
            this.f7166b = map;
        }

        /* renamed from: a */
        public T mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            T construct = this.f7165a.construct();
            try {
                jsonReader.beginObject();
                while (jsonReader.hasNext()) {
                    C1657b bVar = this.f7166b.get(jsonReader.nextName());
                    if (bVar != null) {
                        if (bVar.f7169c) {
                            p085c.p132d.p184b.p186e0.p187z.ReflectiveTypeAdapterFactory cVar = (p085c.p132d.p184b.p186e0.p187z.ReflectiveTypeAdapterFactory) bVar;
                            Object a = cVar.f5907f.mo5575a(jsonReader);
                            if (a != null || !cVar.f5910i) {
                                cVar.f5905d.set(construct, a);
                            }
                        }
                    }
                    jsonReader.skipValue();
                }
                jsonReader.endObject();
                return construct;
            } catch (IllegalStateException e) {
                throw new JsonSyntaxException((Throwable) e);
            } catch (IllegalAccessException e2) {
                throw new AssertionError(e2);
            }
        }

        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, T t) throws IOException {
            C1278b0 b0Var;
            if (t == null) {
                jsonWriter.nullValue();
                return;
            }
            jsonWriter.beginObject();
            try {
                for (C1657b next : this.f7166b.values()) {
                    p085c.p132d.p184b.p186e0.p187z.ReflectiveTypeAdapterFactory cVar = (p085c.p132d.p184b.p186e0.p187z.ReflectiveTypeAdapterFactory) next;
                    boolean z = false;
                    if (cVar.f7168b) {
                        if (cVar.f5905d.get(t) != t) {
                            z = true;
                        }
                    }
                    if (z) {
                        jsonWriter.name(next.f7167a);
                        p085c.p132d.p184b.p186e0.p187z.ReflectiveTypeAdapterFactory cVar2 = (p085c.p132d.p184b.p186e0.p187z.ReflectiveTypeAdapterFactory) next;
                        Object obj = cVar2.f5905d.get(t);
                        if (cVar2.f5906e) {
                            b0Var = cVar2.f5907f;
                        } else {
                            b0Var = new TypeAdapterRuntimeTypeWrapper(cVar2.f5908g, cVar2.f5907f, cVar2.f5909h.f5916b);
                        }
                        b0Var.mo5577a(jsonWriter, obj);
                    }
                }
                jsonWriter.endObject();
            } catch (IllegalAccessException e) {
                throw new AssertionError(e);
            }
        }
    }
}
