package com.newrelic.agent.android.connectivity;

import com.newrelic.agent.android.FeatureFlag;
import com.newrelic.agent.android.analytics.AnalyticAttribute;
import com.newrelic.agent.android.analytics.AnalyticsControllerImpl;
import com.newrelic.agent.android.analytics.AnalyticsEventCategory;
import java.util.Map;
import java.util.TreeMap;
import java.util.concurrent.atomic.AtomicReference;

public class UserActionFacade {
    public static CatFacade catFacade = CatFacade.getInstance();
    public static AtomicReference<UserActionFacade> instance = new AtomicReference<>((Object) null);

    public static UserActionFacade getInstance() {
        instance.compareAndSet((Object) null, new UserActionFacade());
        return instance.get();
    }

    public static void setCatFacade(CatFacade catFacade2) {
        catFacade = catFacade2;
    }

    public void recordUserAction(UserActionType userActionType) {
        recordUserAction(userActionType, (Map<String, Object>) null);
    }

    public void recordUserAction(UserActionType userActionType, Map<String, Object> map) {
        if (FeatureFlag.featureEnabled(FeatureFlag.DistributedTracing)) {
            TreeMap treeMap = new TreeMap();
            treeMap.put(AnalyticAttribute.ACTION_TYPE_ATTRIBUTE, userActionType.toString());
            if (map != null) {
                treeMap.putAll(map);
            }
            AnalyticsControllerImpl.getInstance().internalRecordEvent((String) null, AnalyticsEventCategory.UserAction, AnalyticAttribute.EVENT_TYPE_ATTRIBUTE_MOBILE_USER_ACTION, treeMap);
        }
    }
}
