package com.google.gson.internal.bind;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.sql.Date;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.JsonSyntaxException;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class SqlDateTypeAdapter extends C1278b0<Date> {

    /* renamed from: b */
    public static final TypeAdapterFactory f7170b = new TypeAdapterFactory() {
        /* renamed from: a */
        public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
            if (aVar.f5915a == Date.class) {
                return new SqlDateTypeAdapter();
            }
            return null;
        }
    };

    /* renamed from: a */
    public final DateFormat f7171a = new SimpleDateFormat("MMM d, yyyy");

    /* renamed from: a */
    public synchronized Date m5449a(JsonReader jsonReader) throws IOException {
        if (jsonReader.peek() == JsonToken.NULL) {
            jsonReader.nextNull();
            return null;
        }
        try {
            return new Date(this.f7171a.parse(jsonReader.nextString()).getTime());
        } catch (ParseException e) {
            throw new JsonSyntaxException((Throwable) e);
        }
    }

    /* renamed from: a */
    public synchronized void mo5577a(JsonWriter jsonWriter, Date date) throws IOException {
        jsonWriter.value(date == null ? null : this.f7171a.format(date));
    }
}
