package com.google.gson.internal.bind;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.sql.Time;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.JsonSyntaxException;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class TimeTypeAdapter extends C1278b0<Time> {

    /* renamed from: b */
    public static final TypeAdapterFactory f7172b = new TypeAdapterFactory() {
        /* renamed from: a */
        public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
            if (aVar.f5915a == Time.class) {
                return new TimeTypeAdapter();
            }
            return null;
        }
    };

    /* renamed from: a */
    public final DateFormat f7173a = new SimpleDateFormat("hh:mm:ss a");

    /* renamed from: a */
    public synchronized Time m5454a(JsonReader jsonReader) throws IOException {
        if (jsonReader.peek() == JsonToken.NULL) {
            jsonReader.nextNull();
            return null;
        }
        try {
            return new Time(this.f7173a.parse(jsonReader.nextString()).getTime());
        } catch (ParseException e) {
            throw new JsonSyntaxException((Throwable) e);
        }
    }

    /* renamed from: a */
    public synchronized void mo5577a(JsonWriter jsonWriter, Time time) throws IOException {
        jsonWriter.value(time == null ? null : this.f7173a.format(time));
    }
}
