package com.google.gson.internal.bind;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.newrelic.agent.android.util.SafeJsonPrimitive;
import com.newrelic.com.google.gson.internal.bind.TypeAdapters;
import java.io.IOException;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.InetAddress;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.BitSet;
import java.util.Calendar;
import java.util.Currency;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.StringTokenizer;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicIntegerArray;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.JsonArray;
import p085c.p132d.p184b.JsonElement;
import p085c.p132d.p184b.JsonIOException;
import p085c.p132d.p184b.JsonNull;
import p085c.p132d.p184b.JsonObject;
import p085c.p132d.p184b.JsonPrimitive;
import p085c.p132d.p184b.JsonSyntaxException;
import p085c.p132d.p184b.TypeAdapter;
import p085c.p132d.p184b.TypeAdapterFactory;
import p085c.p132d.p184b.p185d0.SerializedName;
import p085c.p132d.p184b.p186e0.LazilyParsedNumber;
import p085c.p132d.p184b.p189f0.TypeToken;

public final class TypeAdapters {

    /* renamed from: A */
    public static final C1278b0<String> f7181A = new C1680g();

    /* renamed from: B */
    public static final C1278b0<BigDecimal> f7182B = new C1681h();

    /* renamed from: C */
    public static final C1278b0<BigInteger> f7183C = new C1682i();

    /* renamed from: D */
    public static final TypeAdapterFactory f7184D;

    /* renamed from: E */
    public static final C1278b0<StringBuilder> f7185E;

    /* renamed from: F */
    public static final TypeAdapterFactory f7186F;

    /* renamed from: G */
    public static final C1278b0<StringBuffer> f7187G;

    /* renamed from: H */
    public static final TypeAdapterFactory f7188H;

    /* renamed from: I */
    public static final C1278b0<URL> f7189I;

    /* renamed from: J */
    public static final TypeAdapterFactory f7190J;

    /* renamed from: K */
    public static final C1278b0<URI> f7191K;

    /* renamed from: L */
    public static final TypeAdapterFactory f7192L;

    /* renamed from: M */
    public static final C1278b0<InetAddress> f7193M;

    /* renamed from: N */
    public static final TypeAdapterFactory f7194N;

    /* renamed from: O */
    public static final C1278b0<UUID> f7195O;

    /* renamed from: P */
    public static final TypeAdapterFactory f7196P;

    /* renamed from: Q */
    public static final C1278b0<Currency> f7197Q;

    /* renamed from: R */
    public static final TypeAdapterFactory f7198R;

    /* renamed from: S */
    public static final TypeAdapterFactory f7199S = new TypeAdapterFactory() {
        /* renamed from: a */
        public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
            if (aVar.f5915a != Timestamp.class) {
                return null;
            }
            Class<Date> cls = Date.class;
            if (kVar != null) {
                return new C1663a(this, kVar.mo5708a(new TypeToken(cls)));
            }
            throw null;
        }

        /* renamed from: com.google.gson.internal.bind.TypeAdapters$26$a */
        public class C1663a extends C1278b0<Timestamp> {

            /* renamed from: a */
            public final /* synthetic */ C1278b0 f7233a;

            public C1663a(C166226 r1, C1278b0 b0Var) {
                this.f7233a = b0Var;
            }

            /* renamed from: a */
            public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
                this.f7233a.mo5577a(jsonWriter, (Timestamp) obj);
            }

            /* renamed from: a */
            public Object mo5575a(JsonReader jsonReader) throws IOException {
                Date date = (Date) this.f7233a.mo5575a(jsonReader);
                if (date != null) {
                    return new Timestamp(date.getTime());
                }
                return null;
            }
        }
    };

    /* renamed from: T */
    public static final C1278b0<Calendar> f7200T;

    /* renamed from: U */
    public static final TypeAdapterFactory f7201U;

    /* renamed from: V */
    public static final C1278b0<Locale> f7202V;

    /* renamed from: W */
    public static final TypeAdapterFactory f7203W;

    /* renamed from: X */
    public static final C1278b0<JsonElement> f7204X;

    /* renamed from: Y */
    public static final TypeAdapterFactory f7205Y;

    /* renamed from: Z */
    public static final TypeAdapterFactory f7206Z = new TypeAdapterFactory() {
        /* renamed from: a */
        public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
            Class cls = aVar.f5915a;
            if (!Enum.class.isAssignableFrom(cls) || cls == Enum.class) {
                return null;
            }
            if (!cls.isEnum()) {
                cls = cls.getSuperclass();
            }
            return new C1676c0(cls);
        }
    };

    /* renamed from: a */
    public static final C1278b0<Class> f7207a;

    /* renamed from: b */
    public static final TypeAdapterFactory f7208b;

    /* renamed from: c */
    public static final C1278b0<BitSet> f7209c;

    /* renamed from: d */
    public static final TypeAdapterFactory f7210d;

    /* renamed from: e */
    public static final C1278b0<Boolean> f7211e = new C1695v();

    /* renamed from: f */
    public static final C1278b0<Boolean> f7212f = new C1696w();

    /* renamed from: g */
    public static final TypeAdapterFactory f7213g;

    /* renamed from: h */
    public static final C1278b0<Number> f7214h = new C1697x();

    /* renamed from: i */
    public static final TypeAdapterFactory f7215i;

    /* renamed from: j */
    public static final C1278b0<Number> f7216j = new C1698y();

    /* renamed from: k */
    public static final TypeAdapterFactory f7217k;

    /* renamed from: l */
    public static final C1278b0<Number> f7218l = new C1699z();

    /* renamed from: m */
    public static final TypeAdapterFactory f7219m;

    /* renamed from: n */
    public static final C1278b0<AtomicInteger> f7220n;

    /* renamed from: o */
    public static final TypeAdapterFactory f7221o;

    /* renamed from: p */
    public static final C1278b0<AtomicBoolean> f7222p;

    /* renamed from: q */
    public static final TypeAdapterFactory f7223q;

    /* renamed from: r */
    public static final C1278b0<AtomicIntegerArray> f7224r;

    /* renamed from: s */
    public static final TypeAdapterFactory f7225s;

    /* renamed from: t */
    public static final C1278b0<Number> f7226t = new C1673b();

    /* renamed from: u */
    public static final C1278b0<Number> f7227u = new C1675c();

    /* renamed from: v */
    public static final C1278b0<Number> f7228v = new C1677d();

    /* renamed from: w */
    public static final C1278b0<Number> f7229w;

    /* renamed from: x */
    public static final TypeAdapterFactory f7230x;

    /* renamed from: y */
    public static final C1278b0<Character> f7231y = new C1679f();

    /* renamed from: z */
    public static final TypeAdapterFactory f7232z;

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$31 */
    public final class C166531 implements TypeAdapterFactory {
        /* renamed from: a */
        public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
            boolean equals = aVar.equals((Object) null);
            return null;
        }
    }

    static {
        final TypeAdapter a0Var = new TypeAdapter(new C1684k());
        f7207a = a0Var;
        final Class<Class> cls = Class.class;
        f7208b = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final TypeAdapter a0Var2 = new TypeAdapter(new C1694u());
        f7209c = a0Var2;
        final Class<BitSet> cls2 = BitSet.class;
        f7210d = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final Class cls3 = Boolean.TYPE;
        final Class<Boolean> cls4 = Boolean.class;
        final C1278b0<Boolean> b0Var = f7211e;
        f7213g = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (cls == r0 || cls == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append("+");
                a.append(r0.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final Class cls5 = Byte.TYPE;
        final Class<Byte> cls6 = Byte.class;
        final C1278b0<Number> b0Var2 = f7214h;
        f7215i = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (cls == r0 || cls == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append("+");
                a.append(r0.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final Class cls7 = Short.TYPE;
        final Class<Short> cls8 = Short.class;
        final C1278b0<Number> b0Var3 = f7216j;
        f7217k = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (cls == r0 || cls == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append("+");
                a.append(r0.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final Class cls9 = Integer.TYPE;
        final Class<Integer> cls10 = Integer.class;
        final C1278b0<Number> b0Var4 = f7218l;
        f7219m = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (cls == r0 || cls == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append("+");
                a.append(r0.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final TypeAdapter a0Var3 = new TypeAdapter(new C1672a0());
        f7220n = a0Var3;
        final Class<AtomicInteger> cls11 = AtomicInteger.class;
        f7221o = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final TypeAdapter a0Var4 = new TypeAdapter(new C1674b0());
        f7222p = a0Var4;
        final Class<AtomicBoolean> cls12 = AtomicBoolean.class;
        f7223q = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final TypeAdapter a0Var5 = new TypeAdapter(new C1671a());
        f7224r = a0Var5;
        final Class<AtomicIntegerArray> cls13 = AtomicIntegerArray.class;
        f7225s = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1678e eVar = new C1678e();
        f7229w = eVar;
        final Class<Number> cls14 = Number.class;
        f7230x = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final Class cls15 = Character.TYPE;
        final Class<Character> cls16 = Character.class;
        final C1278b0<Character> b0Var5 = f7231y;
        f7232z = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (cls == cls15 || cls == cls16) {
                    return b0Var5;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(cls16.getName());
                a.append("+");
                a.append(cls15.getName());
                a.append(",adapter=");
                a.append(b0Var5);
                a.append("]");
                return a.toString();
            }
        };
        final Class<String> cls17 = String.class;
        final C1278b0<String> b0Var6 = f7181A;
        f7184D = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1683j jVar = new C1683j();
        f7185E = jVar;
        final Class<StringBuilder> cls18 = StringBuilder.class;
        f7186F = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1685l lVar = new C1685l();
        f7187G = lVar;
        final Class<StringBuffer> cls19 = StringBuffer.class;
        f7188H = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1686m mVar = new C1686m();
        f7189I = mVar;
        final Class<URL> cls20 = URL.class;
        f7190J = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1687n nVar = new C1687n();
        f7191K = nVar;
        final Class<URI> cls21 = URI.class;
        f7192L = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1688o oVar = new C1688o();
        f7193M = oVar;
        final Class<InetAddress> cls22 = InetAddress.class;
        f7194N = new TypeAdapterFactory() {

            /* renamed from: com.google.gson.internal.bind.TypeAdapters$35$a */
            public class C1670a extends C1278b0<T1> {

                /* renamed from: a */
                public final /* synthetic */ Class f7244a;

                public C1670a(Class cls) {
                    this.f7244a = cls;
                }

                /* renamed from: a */
                public void mo5577a(JsonWriter jsonWriter, T1 t1) throws IOException {
                    r0.mo5577a(jsonWriter, t1);
                }

                /* renamed from: a */
                public T1 mo5575a(JsonReader jsonReader) throws IOException {
                    T1 a = r0.mo5575a(jsonReader);
                    if (a == null || this.f7244a.isInstance(a)) {
                        return a;
                    }
                    StringBuilder a2 = outline.m2937a("Expected a ");
                    a2.append(this.f7244a.getName());
                    a2.append(" but was ");
                    a2.append(a.getClass().getName());
                    throw new JsonSyntaxException(a2.toString());
                }
            }

            /* renamed from: a */
            public <T2> C1278b0<T2> mo5582a(C1319k kVar, TypeToken<T2> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (!r1.isAssignableFrom(cls)) {
                    return null;
                }
                return new C1670a(cls);
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[typeHierarchy=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r0);
                a.append("]");
                return a.toString();
            }
        };
        final C1689p pVar = new C1689p();
        f7195O = pVar;
        final Class<UUID> cls23 = UUID.class;
        f7196P = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final TypeAdapter a0Var6 = new TypeAdapter(new C1690q());
        f7197Q = a0Var6;
        final Class<Currency> cls24 = Currency.class;
        f7198R = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1691r rVar = new C1691r();
        f7200T = rVar;
        final Class<Calendar> cls25 = Calendar.class;
        final Class<GregorianCalendar> cls26 = GregorianCalendar.class;
        f7201U = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (cls == cls25 || cls == cls26) {
                    return rVar;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(cls25.getName());
                a.append("+");
                a.append(cls26.getName());
                a.append(",adapter=");
                a.append(rVar);
                a.append("]");
                return a.toString();
            }
        };
        final C1692s sVar = new C1692s();
        f7202V = sVar;
        final Class<Locale> cls27 = Locale.class;
        f7203W = new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == r1) {
                    return r2;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(r1.getName());
                a.append(",adapter=");
                a.append(r2);
                a.append("]");
                return a.toString();
            }
        };
        final C1693t tVar = new C1693t();
        f7204X = tVar;
        final Class<JsonElement> cls28 = JsonElement.class;
        f7205Y = new TypeAdapterFactory() {

            /* renamed from: com.google.gson.internal.bind.TypeAdapters$35$a */
            public class C1670a extends C1278b0<T1> {

                /* renamed from: a */
                public final /* synthetic */ Class f7244a;

                public C1670a(Class cls) {
                    this.f7244a = cls;
                }

                /* renamed from: a */
                public void mo5577a(JsonWriter jsonWriter, T1 t1) throws IOException {
                    tVar.mo5577a(jsonWriter, t1);
                }

                /* renamed from: a */
                public T1 mo5575a(JsonReader jsonReader) throws IOException {
                    T1 a = tVar.mo5575a(jsonReader);
                    if (a == null || this.f7244a.isInstance(a)) {
                        return a;
                    }
                    StringBuilder a2 = outline.m2937a("Expected a ");
                    a2.append(this.f7244a.getName());
                    a2.append(" but was ");
                    a2.append(a.getClass().getName());
                    throw new JsonSyntaxException(a2.toString());
                }
            }

            /* renamed from: a */
            public <T2> C1278b0<T2> mo5582a(C1319k kVar, TypeToken<T2> aVar) {
                Class<? super T> cls = aVar.f5915a;
                if (!cls28.isAssignableFrom(cls)) {
                    return null;
                }
                return new C1670a(cls);
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[typeHierarchy=");
                a.append(cls28.getName());
                a.append(",adapter=");
                a.append(tVar);
                a.append("]");
                return a.toString();
            }
        };
    }

    /* renamed from: a */
    public static <TT> TypeAdapterFactory m5461a(final Class<TT> cls, final C1278b0<TT> b0Var) {
        return new TypeAdapterFactory() {
            /* renamed from: a */
            public <T> C1278b0<T> mo5582a(C1319k kVar, TypeToken<T> aVar) {
                if (aVar.f5915a == cls) {
                    return b0Var;
                }
                return null;
            }

            public String toString() {
                StringBuilder a = outline.m2937a("Factory[type=");
                a.append(cls.getName());
                a.append(",adapter=");
                a.append(b0Var);
                a.append("]");
                return a.toString();
            }
        };
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$a0 */
    public static class C1672a0 extends C1278b0<AtomicInteger> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((long) ((AtomicInteger) obj).get());
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            try {
                return new AtomicInteger(jsonReader.nextInt());
            } catch (NumberFormatException e) {
                throw new JsonSyntaxException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$b */
    public static class C1673b extends C1278b0<Number> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            try {
                return Long.valueOf(jsonReader.nextLong());
            } catch (NumberFormatException e) {
                throw new JsonSyntaxException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$b0 */
    public static class C1674b0 extends C1278b0<AtomicBoolean> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value(((AtomicBoolean) obj).get());
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            return new AtomicBoolean(jsonReader.nextBoolean());
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$c */
    public static class C1675c extends C1278b0<Number> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return Float.valueOf((float) jsonReader.nextDouble());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$c0 */
    public static final class C1676c0<T extends Enum<T>> extends C1278b0<T> {

        /* renamed from: a */
        public final Map<String, T> f7246a = new HashMap();

        /* renamed from: b */
        public final Map<T, String> f7247b = new HashMap();

        public C1676c0(Class<T> cls) {
            try {
                for (Enum enumR : (Enum[]) cls.getEnumConstants()) {
                    String name = enumR.name();
                    SerializedName bVar = (SerializedName) cls.getField(name).getAnnotation(SerializedName.class);
                    if (bVar != null) {
                        name = bVar.value();
                        for (String put : bVar.alternate()) {
                            this.f7246a.put(put, enumR);
                        }
                    }
                    this.f7246a.put(name, enumR);
                    this.f7247b.put(enumR, name);
                }
            } catch (NoSuchFieldException e) {
                throw new AssertionError(e);
            }
        }

        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            Enum enumR = (Enum) obj;
            if (enumR == null) {
                str = null;
            } else {
                str = this.f7247b.get(enumR);
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return (Enum) this.f7246a.get(jsonReader.nextString());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$d */
    public static class C1677d extends C1278b0<Number> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return Double.valueOf(jsonReader.nextDouble());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$e */
    public static class C1678e extends C1278b0<Number> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            JsonToken peek = jsonReader.peek();
            int ordinal = peek.ordinal();
            if (ordinal == 5 || ordinal == 6) {
                return new LazilyParsedNumber(jsonReader.nextString());
            }
            if (ordinal == 8) {
                jsonReader.nextNull();
                return null;
            }
            throw new JsonSyntaxException("Expecting number, got: " + peek);
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$f */
    public static class C1679f extends C1278b0<Character> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            Character ch = (Character) obj;
            if (ch == null) {
                str = null;
            } else {
                str = String.valueOf(ch);
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            String nextString = jsonReader.nextString();
            if (nextString.length() == 1) {
                return Character.valueOf(nextString.charAt(0));
            }
            throw new JsonSyntaxException(outline.m2941b("Expecting character, got: ", nextString));
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$g */
    public static class C1680g extends C1278b0<String> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((String) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            JsonToken peek = jsonReader.peek();
            if (peek == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            } else if (peek == JsonToken.BOOLEAN) {
                return Boolean.toString(jsonReader.nextBoolean());
            } else {
                return jsonReader.nextString();
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$h */
    public static class C1681h extends C1278b0<BigDecimal> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) (BigDecimal) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            try {
                return new BigDecimal(jsonReader.nextString());
            } catch (NumberFormatException e) {
                throw new JsonSyntaxException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$i */
    public static class C1682i extends C1278b0<BigInteger> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) (BigInteger) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            try {
                return new BigInteger(jsonReader.nextString());
            } catch (NumberFormatException e) {
                throw new JsonSyntaxException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$j */
    public static class C1683j extends C1278b0<StringBuilder> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            StringBuilder sb = (StringBuilder) obj;
            if (sb == null) {
                str = null;
            } else {
                str = sb.toString();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return new StringBuilder(jsonReader.nextString());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$l */
    public static class C1685l extends C1278b0<StringBuffer> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            StringBuffer stringBuffer = (StringBuffer) obj;
            if (stringBuffer == null) {
                str = null;
            } else {
                str = stringBuffer.toString();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return new StringBuffer(jsonReader.nextString());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$m */
    public static class C1686m extends C1278b0<URL> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            URL url = (URL) obj;
            if (url == null) {
                str = null;
            } else {
                str = url.toExternalForm();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            String nextString = jsonReader.nextString();
            if (SafeJsonPrimitive.NULL_STRING.equals(nextString)) {
                return null;
            }
            return new URL(nextString);
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$n */
    public static class C1687n extends C1278b0<URI> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            URI uri = (URI) obj;
            if (uri == null) {
                str = null;
            } else {
                str = uri.toASCIIString();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            try {
                String nextString = jsonReader.nextString();
                if (SafeJsonPrimitive.NULL_STRING.equals(nextString)) {
                    return null;
                }
                return new URI(nextString);
            } catch (URISyntaxException e) {
                throw new JsonIOException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$o */
    public static class C1688o extends C1278b0<InetAddress> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            InetAddress inetAddress = (InetAddress) obj;
            if (inetAddress == null) {
                str = null;
            } else {
                str = inetAddress.getHostAddress();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return InetAddress.getByName(jsonReader.nextString());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$p */
    public static class C1689p extends C1278b0<UUID> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            UUID uuid = (UUID) obj;
            if (uuid == null) {
                str = null;
            } else {
                str = uuid.toString();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return UUID.fromString(jsonReader.nextString());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$q */
    public static class C1690q extends C1278b0<Currency> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value(((Currency) obj).getCurrencyCode());
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            return Currency.getInstance(jsonReader.nextString());
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$s */
    public static class C1692s extends C1278b0<Locale> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            Locale locale = (Locale) obj;
            if (locale == null) {
                str = null;
            } else {
                str = locale.toString();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            String str = null;
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            StringTokenizer stringTokenizer = new StringTokenizer(jsonReader.nextString(), "_");
            String nextToken = stringTokenizer.hasMoreElements() ? stringTokenizer.nextToken() : null;
            String nextToken2 = stringTokenizer.hasMoreElements() ? stringTokenizer.nextToken() : null;
            if (stringTokenizer.hasMoreElements()) {
                str = stringTokenizer.nextToken();
            }
            if (nextToken2 == null && str == null) {
                return new Locale(nextToken);
            }
            if (str == null) {
                return new Locale(nextToken, nextToken2);
            }
            return new Locale(nextToken, nextToken2, str);
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$v */
    public static class C1695v extends C1278b0<Boolean> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Boolean) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            } else if (jsonReader.peek() == JsonToken.STRING) {
                return Boolean.valueOf(Boolean.parseBoolean(jsonReader.nextString()));
            } else {
                return Boolean.valueOf(jsonReader.nextBoolean());
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$w */
    public static class C1696w extends C1278b0<Boolean> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            String str;
            Boolean bool = (Boolean) obj;
            if (bool == null) {
                str = SafeJsonPrimitive.NULL_STRING;
            } else {
                str = bool.toString();
            }
            jsonWriter.value(str);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() != JsonToken.NULL) {
                return Boolean.valueOf(jsonReader.nextString());
            }
            jsonReader.nextNull();
            return null;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$x */
    public static class C1697x extends C1278b0<Number> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            try {
                return Byte.valueOf((byte) jsonReader.nextInt());
            } catch (NumberFormatException e) {
                throw new JsonSyntaxException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$y */
    public static class C1698y extends C1278b0<Number> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            try {
                return Short.valueOf((short) jsonReader.nextInt());
            } catch (NumberFormatException e) {
                throw new JsonSyntaxException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$z */
    public static class C1699z extends C1278b0<Number> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            jsonWriter.value((Number) obj);
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            try {
                return Integer.valueOf(jsonReader.nextInt());
            } catch (NumberFormatException e) {
                throw new JsonSyntaxException((Throwable) e);
            }
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$k */
    public static class C1684k extends C1278b0<Class> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            StringBuilder a = outline.m2937a("Attempted to serialize java.lang.Class: ");
            a.append(((Class) obj).getName());
            a.append(". Forgot to register a type adapter?");
            throw new UnsupportedOperationException(a.toString());
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            throw new UnsupportedOperationException("Attempted to deserialize a java.lang.Class. Forgot to register a type adapter?");
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$a */
    public static class C1671a extends C1278b0<AtomicIntegerArray> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            AtomicIntegerArray atomicIntegerArray = (AtomicIntegerArray) obj;
            jsonWriter.beginArray();
            int length = atomicIntegerArray.length();
            for (int i = 0; i < length; i++) {
                jsonWriter.value((long) atomicIntegerArray.get(i));
            }
            jsonWriter.endArray();
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            ArrayList arrayList = new ArrayList();
            jsonReader.beginArray();
            while (jsonReader.hasNext()) {
                try {
                    arrayList.add(Integer.valueOf(jsonReader.nextInt()));
                } catch (NumberFormatException e) {
                    throw new JsonSyntaxException((Throwable) e);
                }
            }
            jsonReader.endArray();
            int size = arrayList.size();
            AtomicIntegerArray atomicIntegerArray = new AtomicIntegerArray(size);
            for (int i = 0; i < size; i++) {
                atomicIntegerArray.set(i, ((Integer) arrayList.get(i)).intValue());
            }
            return atomicIntegerArray;
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$u */
    public static class C1694u extends C1278b0<BitSet> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            BitSet bitSet = (BitSet) obj;
            jsonWriter.beginArray();
            int length = bitSet.length();
            for (int i = 0; i < length; i++) {
                jsonWriter.value(bitSet.get(i) ? 1 : 0);
            }
            jsonWriter.endArray();
        }

        /* JADX WARNING: Code restructure failed: missing block: B:13:0x003e, code lost:
            if (r6.nextInt() != 0) goto L_0x004b;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:17:0x0049, code lost:
            if (java.lang.Integer.parseInt(r1) != 0) goto L_0x004b;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:19:0x004d, code lost:
            r1 = false;
         */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0050  */
        /* JADX WARNING: Removed duplicated region for block: B:31:0x0053 A[SYNTHETIC] */
        /* renamed from: a */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public java.lang.Object mo5575a(com.google.gson.stream.JsonReader r6) throws java.io.IOException {
            /*
                r5 = this;
                java.util.BitSet r0 = new java.util.BitSet
                r0.<init>()
                r6.beginArray()
                com.google.gson.stream.JsonToken r1 = r6.peek()
                r2 = 0
            L_0x000d:
                com.google.gson.stream.JsonToken r3 = com.google.gson.stream.JsonToken.END_ARRAY
                if (r1 == r3) goto L_0x0066
                int r3 = r1.ordinal()
                r4 = 5
                if (r3 == r4) goto L_0x0041
                r4 = 6
                if (r3 == r4) goto L_0x003a
                r4 = 7
                if (r3 != r4) goto L_0x0023
                boolean r1 = r6.nextBoolean()
                goto L_0x004e
            L_0x0023:
                c.d.b.y r6 = new c.d.b.y
                java.lang.StringBuilder r0 = new java.lang.StringBuilder
                r0.<init>()
                java.lang.String r2 = "Invalid bitset value type: "
                r0.append(r2)
                r0.append(r1)
                java.lang.String r0 = r0.toString()
                r6.<init>((java.lang.String) r0)
                throw r6
            L_0x003a:
                int r1 = r6.nextInt()
                if (r1 == 0) goto L_0x004d
                goto L_0x004b
            L_0x0041:
                java.lang.String r1 = r6.nextString()
                int r1 = java.lang.Integer.parseInt(r1)     // Catch:{ NumberFormatException -> 0x005a }
                if (r1 == 0) goto L_0x004d
            L_0x004b:
                r1 = 1
                goto L_0x004e
            L_0x004d:
                r1 = 0
            L_0x004e:
                if (r1 == 0) goto L_0x0053
                r0.set(r2)
            L_0x0053:
                int r2 = r2 + 1
                com.google.gson.stream.JsonToken r1 = r6.peek()
                goto L_0x000d
            L_0x005a:
                c.d.b.y r6 = new c.d.b.y
                java.lang.String r0 = "Error: Expecting: bitset number value (1, 0), Found: "
                java.lang.String r0 = p085c.p086a.p087a.p088a.outline.m2941b(r0, r1)
                r6.<init>((java.lang.String) r0)
                throw r6
            L_0x0066:
                r6.endArray()
                return r0
            */
            throw new UnsupportedOperationException("Method not decompiled: com.google.gson.internal.bind.TypeAdapters.C1694u.mo5575a(com.google.gson.stream.JsonReader):java.lang.Object");
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$r */
    public static class C1691r extends C1278b0<Calendar> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, Object obj) throws IOException {
            Calendar calendar = (Calendar) obj;
            if (calendar == null) {
                jsonWriter.nullValue();
                return;
            }
            jsonWriter.beginObject();
            jsonWriter.name(TypeAdapters.C181823.YEAR);
            jsonWriter.value((long) calendar.get(1));
            jsonWriter.name(TypeAdapters.C181823.MONTH);
            jsonWriter.value((long) calendar.get(2));
            jsonWriter.name(TypeAdapters.C181823.DAY_OF_MONTH);
            jsonWriter.value((long) calendar.get(5));
            jsonWriter.name(TypeAdapters.C181823.HOUR_OF_DAY);
            jsonWriter.value((long) calendar.get(11));
            jsonWriter.name(TypeAdapters.C181823.MINUTE);
            jsonWriter.value((long) calendar.get(12));
            jsonWriter.name(TypeAdapters.C181823.SECOND);
            jsonWriter.value((long) calendar.get(13));
            jsonWriter.endObject();
        }

        /* renamed from: a */
        public Object mo5575a(JsonReader jsonReader) throws IOException {
            if (jsonReader.peek() == JsonToken.NULL) {
                jsonReader.nextNull();
                return null;
            }
            jsonReader.beginObject();
            int i = 0;
            int i2 = 0;
            int i3 = 0;
            int i4 = 0;
            int i5 = 0;
            int i6 = 0;
            while (jsonReader.peek() != JsonToken.END_OBJECT) {
                String nextName = jsonReader.nextName();
                int nextInt = jsonReader.nextInt();
                if (TypeAdapters.C181823.YEAR.equals(nextName)) {
                    i = nextInt;
                } else if (TypeAdapters.C181823.MONTH.equals(nextName)) {
                    i2 = nextInt;
                } else if (TypeAdapters.C181823.DAY_OF_MONTH.equals(nextName)) {
                    i3 = nextInt;
                } else if (TypeAdapters.C181823.HOUR_OF_DAY.equals(nextName)) {
                    i4 = nextInt;
                } else if (TypeAdapters.C181823.MINUTE.equals(nextName)) {
                    i5 = nextInt;
                } else if (TypeAdapters.C181823.SECOND.equals(nextName)) {
                    i6 = nextInt;
                }
            }
            jsonReader.endObject();
            return new GregorianCalendar(i, i2, i3, i4, i5, i6);
        }
    }

    /* renamed from: com.google.gson.internal.bind.TypeAdapters$t */
    public static class C1693t extends C1278b0<JsonElement> {
        /* renamed from: a */
        public void mo5577a(JsonWriter jsonWriter, JsonElement qVar) throws IOException {
            if (qVar == null || (qVar instanceof JsonNull)) {
                jsonWriter.nullValue();
            } else if (qVar instanceof JsonPrimitive) {
                JsonPrimitive a = qVar.mo5724a();
                Object obj = a.f5951a;
                if (obj instanceof Number) {
                    jsonWriter.value(a.mo5732c());
                } else if (obj instanceof Boolean) {
                    jsonWriter.value(a.mo5731b());
                } else {
                    jsonWriter.value(a.mo5733d());
                }
            } else {
                boolean z = qVar instanceof JsonArray;
                if (z) {
                    jsonWriter.beginArray();
                    if (z) {
                        Iterator<JsonElement> it = ((JsonArray) qVar).iterator();
                        while (it.hasNext()) {
                            mo5577a(jsonWriter, it.next());
                        }
                        jsonWriter.endArray();
                        return;
                    }
                    throw new IllegalStateException("Not a JSON Array: " + qVar);
                }
                boolean z2 = qVar instanceof JsonObject;
                if (z2) {
                    jsonWriter.beginObject();
                    if (z2) {
                        for (Map.Entry next : ((JsonObject) qVar).f5949a.entrySet()) {
                            jsonWriter.name((String) next.getKey());
                            mo5577a(jsonWriter, (JsonElement) next.getValue());
                        }
                        jsonWriter.endObject();
                        return;
                    }
                    throw new IllegalStateException("Not a JSON Object: " + qVar);
                }
                StringBuilder a2 = outline.m2937a("Couldn't write ");
                a2.append(qVar.getClass());
                throw new IllegalArgumentException(a2.toString());
            }
        }

        /* renamed from: a */
        public JsonElement m5518a(JsonReader jsonReader) throws IOException {
            int ordinal = jsonReader.peek().ordinal();
            if (ordinal == 0) {
                JsonArray nVar = new JsonArray();
                jsonReader.beginArray();
                while (jsonReader.hasNext()) {
                    Object a = m5518a(jsonReader);
                    if (a == null) {
                        a = JsonNull.f5948a;
                    }
                    nVar.f5947b.add(a);
                }
                jsonReader.endArray();
                return nVar;
            } else if (ordinal == 2) {
                JsonObject tVar = new JsonObject();
                jsonReader.beginObject();
                while (jsonReader.hasNext()) {
                    String nextName = jsonReader.nextName();
                    Object a2 = m5518a(jsonReader);
                    if (a2 == null) {
                        a2 = JsonNull.f5948a;
                    }
                    tVar.f5949a.put(nextName, a2);
                }
                jsonReader.endObject();
                return tVar;
            } else if (ordinal == 5) {
                return new JsonPrimitive(jsonReader.nextString());
            } else {
                if (ordinal == 6) {
                    return new JsonPrimitive((Number) new LazilyParsedNumber(jsonReader.nextString()));
                }
                if (ordinal == 7) {
                    return new JsonPrimitive(Boolean.valueOf(jsonReader.nextBoolean()));
                }
                if (ordinal == 8) {
                    jsonReader.nextNull();
                    return JsonNull.f5948a;
                }
                throw new IllegalArgumentException();
            }
        }
    }
}
