package com.journeyapps.barcodescanner;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Build;
import android.os.Bundle;
import android.view.KeyEvent;
import com.journeyapps.barcodescanner.BarcodeView;
import com.journeyapps.barcodescanner.CompoundBarcodeView;
import com.newrelic.agent.android.api.p224v2.TraceFieldInterface;
import com.newrelic.agent.android.background.ApplicationStateMonitor;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.tracing.Trace;
import com.newrelic.agent.android.tracing.TraceMachine;
import java.util.ArrayList;
import java.util.Map;
import java.util.Set;
import p008b.p033h.p034e.ActivityCompat;
import p008b.p033h.p035f.ContextCompat;
import p085c.p132d.p190c.BarcodeFormat;
import p085c.p132d.p190c.DecodeHintType;
import p085c.p132d.p190c.MultiFormatReader;
import p085c.p132d.p190c.p194q.p195a.BeepManager;
import p085c.p132d.p190c.p194q.p195a.C1330h;
import p085c.p132d.p190c.p194q.p195a.C1331i;
import p085c.p132d.p190c.p194q.p195a.DecodeFormatManager;
import p085c.p132d.p190c.p194q.p195a.DecodeHintManager;
import p085c.p132d.p190c.p194q.p195a.InactivityTimer;
import p085c.p219e.p220a.BarcodeCallback;
import p085c.p219e.p220a.CaptureManager;
import p085c.p219e.p220a.DefaultDecoderFactory;
import p085c.p219e.p220a.p221q.CameraSettings;

@Instrumented
public class CaptureActivity extends Activity implements TraceFieldInterface {

    /* renamed from: b */
    public CaptureManager f7260b;

    /* renamed from: c */
    public CompoundBarcodeView f7261c;

    public void onCreate(Bundle bundle) {
        int intExtra;
        int i;
        TraceMachine.startTracing("CaptureActivity");
        while (true) {
            try {
                TraceMachine.enterMethod((Trace) null, "CaptureActivity#onCreate", (ArrayList<String>) null);
                break;
            } catch (NoSuchFieldError unused) {
            }
        }
        super.onCreate(bundle);
        setContentView(C1331i.zxing_capture);
        this.f7261c = (CompoundBarcodeView) findViewById(C1330h.zxing_barcode_scanner);
        CaptureManager fVar = new CaptureManager(this, this.f7261c);
        this.f7260b = fVar;
        Intent intent = getIntent();
        fVar.f6496a.getWindow().addFlags(128);
        if (bundle != null) {
            fVar.f6498c = bundle.getInt("SAVED_ORIENTATION_LOCK", -1);
        }
        if (intent != null) {
            if (fVar.f6498c == -1 && intent.getBooleanExtra("SCAN_ORIENTATION_LOCKED", true)) {
                if (fVar.f6498c == -1) {
                    int rotation = fVar.f6496a.getWindowManager().getDefaultDisplay().getRotation();
                    int i2 = fVar.f6496a.getResources().getConfiguration().orientation;
                    if (i2 == 2) {
                        if (!(rotation == 0 || rotation == 1)) {
                            i = 8;
                            fVar.f6498c = i;
                        }
                    } else if (i2 == 1) {
                        i = (rotation == 0 || rotation == 3) ? 1 : 9;
                        fVar.f6498c = i;
                    }
                    i = 0;
                    fVar.f6498c = i;
                }
                fVar.f6496a.setRequestedOrientation(fVar.f6498c);
            }
            if ("com.google.zxing.client.android.SCAN".equals(intent.getAction())) {
                CompoundBarcodeView compoundBarcodeView = fVar.f6497b;
                if (compoundBarcodeView != null) {
                    Set<BarcodeFormat> a = DecodeFormatManager.m4789a(intent);
                    Map<DecodeHintType, Object> a2 = DecodeHintManager.m4790a(intent);
                    CameraSettings fVar2 = new CameraSettings();
                    if (intent.hasExtra("SCAN_CAMERA_ID") && (intExtra = intent.getIntExtra("SCAN_CAMERA_ID", -1)) >= 0) {
                        fVar2.f6592a = intExtra;
                    }
                    String stringExtra = intent.getStringExtra("PROMPT_MESSAGE");
                    if (stringExtra != null) {
                        compoundBarcodeView.setStatusText(stringExtra);
                    }
                    String stringExtra2 = intent.getStringExtra("CHARACTER_SET");
                    new MultiFormatReader().mo5744a((Map<DecodeHintType, ?>) a2);
                    compoundBarcodeView.f7262b.setCameraSettings(fVar2);
                    compoundBarcodeView.f7262b.setDecoderFactory(new DefaultDecoderFactory(a, a2, stringExtra2));
                } else {
                    throw null;
                }
            }
            if (!intent.getBooleanExtra("BEEP_ENABLED", true)) {
                BeepManager cVar = fVar.f6502g;
                cVar.f6058e = false;
                cVar.mo5772g();
            }
            if (intent.getBooleanExtra("BARCODE_IMAGE_ENABLED", false)) {
                fVar.f6499d = true;
            }
        }
        CaptureManager fVar3 = this.f7260b;
        CompoundBarcodeView compoundBarcodeView2 = fVar3.f6497b;
        BarcodeCallback aVar = fVar3.f6504i;
        BarcodeView barcodeView = compoundBarcodeView2.f7262b;
        CompoundBarcodeView.C1704b bVar = new CompoundBarcodeView.C1704b(aVar);
        if (barcodeView != null) {
            barcodeView.f7249C = BarcodeView.C1702b.SINGLE;
            barcodeView.f7250D = bVar;
            barcodeView.mo7181g();
            TraceMachine.exitMethod();
            return;
        }
        throw null;
    }

    public void onDestroy() {
        super.onDestroy();
        CaptureManager fVar = this.f7260b;
        fVar.f6500e = true;
        fVar.f6501f.mo5775a();
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        return this.f7261c.onKeyDown(i, keyEvent) || super.onKeyDown(i, keyEvent);
    }

    public void onPause() {
        super.onPause();
        CaptureManager fVar = this.f7260b;
        fVar.f6497b.f7262b.mo5935a();
        fVar.f6501f.mo5775a();
        fVar.f6502g.close();
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        CaptureManager fVar = this.f7260b;
        if (fVar == null) {
            throw null;
        } else if (i != 250) {
        } else {
            if (iArr.length <= 0 || iArr[0] != 0) {
                fVar.mo5968a();
            } else {
                fVar.f6497b.f7262b.mo5940c();
            }
        }
    }

    public void onResume() {
        super.onResume();
        CaptureManager fVar = this.f7260b;
        if (Build.VERSION.SDK_INT < 23) {
            fVar.f6497b.f7262b.mo5940c();
        } else if (ContextCompat.m1785a((Context) fVar.f6496a, "android.permission.CAMERA") == 0) {
            fVar.f6497b.f7262b.mo5940c();
        } else if (!fVar.f6506k) {
            ActivityCompat.m1758a(fVar.f6496a, new String[]{"android.permission.CAMERA"}, 250);
            fVar.f6506k = true;
        }
        fVar.f6502g.mo5772g();
        InactivityTimer fVar2 = fVar.f6501f;
        if (!fVar2.f6071c) {
            fVar2.f6069a.registerReceiver(fVar2.f6070b, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
            fVar2.f6071c = true;
        }
        fVar2.f6072d.removeCallbacksAndMessages((Object) null);
        if (fVar2.f6074f) {
            fVar2.f6072d.postDelayed(fVar2.f6073e, 300000);
        }
    }

    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt("SAVED_ORIENTATION_LOCK", this.f7260b.f6498c);
    }

    public void onStart() {
        super.onStart();
        ApplicationStateMonitor.getInstance().activityStarted();
    }

    public void onStop() {
        super.onStop();
        ApplicationStateMonitor.getInstance().activityStopped();
    }
}
