package com.journeyapps.barcodescanner;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.widget.FrameLayout;
import android.widget.TextView;
import java.util.List;
import p085c.p132d.p190c.ResultPoint;
import p085c.p132d.p190c.p194q.p195a.C1330h;
import p085c.p132d.p190c.p194q.p195a.C1331i;
import p085c.p132d.p190c.p194q.p195a.C1334l;
import p085c.p219e.p220a.BarcodeCallback;
import p085c.p219e.p220a.BarcodeResult;

public class CompoundBarcodeView extends FrameLayout {

    /* renamed from: b */
    public BarcodeView f7262b;

    /* renamed from: c */
    public ViewfinderView f7263c;

    /* renamed from: d */
    public TextView f7264d;

    /* renamed from: e */
    public C1703a f7265e;

    /* renamed from: com.journeyapps.barcodescanner.CompoundBarcodeView$a */
    public interface C1703a {
        /* renamed from: a */
        void mo7202a();

        /* renamed from: b */
        void mo7203b();
    }

    /* renamed from: com.journeyapps.barcodescanner.CompoundBarcodeView$b */
    public class C1704b implements BarcodeCallback {

        /* renamed from: a */
        public BarcodeCallback f7266a;

        public C1704b(BarcodeCallback aVar) {
            this.f7266a = aVar;
        }

        /* renamed from: a */
        public void mo5928a(BarcodeResult bVar) {
            this.f7266a.mo5928a(bVar);
        }

        /* renamed from: a */
        public void mo5929a(List<ResultPoint> list) {
            for (ResultPoint add : list) {
                List<ResultPoint> list2 = CompoundBarcodeView.this.f7263c.f7275h;
                list2.add(add);
                int size = list2.size();
                if (size > 20) {
                    list2.subList(0, size - 10).clear();
                }
            }
            this.f7266a.mo5929a(list);
        }
    }

    public CompoundBarcodeView(Context context) {
        super(context);
        mo7195a((AttributeSet) null);
    }

    /* renamed from: a */
    public final void mo7195a(AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, C1334l.zxing_view);
        int resourceId = obtainStyledAttributes.getResourceId(C1334l.zxing_view_zxing_scanner_layout, C1331i.zxing_barcode_scanner);
        obtainStyledAttributes.recycle();
        FrameLayout.inflate(getContext(), resourceId, this);
        BarcodeView barcodeView = (BarcodeView) findViewById(C1330h.zxing_barcode_surface);
        this.f7262b = barcodeView;
        if (barcodeView != null) {
            barcodeView.mo5937a(attributeSet);
            ViewfinderView viewfinderView = (ViewfinderView) findViewById(C1330h.zxing_viewfinder_view);
            this.f7263c = viewfinderView;
            if (viewfinderView != null) {
                viewfinderView.setCameraPreview(this.f7262b);
                this.f7264d = (TextView) findViewById(C1330h.zxing_status_view);
                return;
            }
            throw new IllegalArgumentException("There is no a com.journeyapps.barcodescanner.ViewfinderView on provided layout with the id \"zxing_viewfinder_view\".");
        }
        throw new IllegalArgumentException("There is no a com.journeyapps.barcodescanner.BarcodeView on provided layout with the id \"zxing_barcode_surface\".");
    }

    public BarcodeView getBarcodeView() {
        return (BarcodeView) findViewById(C1330h.zxing_barcode_surface);
    }

    public TextView getStatusView() {
        return this.f7264d;
    }

    public ViewfinderView getViewFinder() {
        return this.f7263c;
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 24) {
            this.f7262b.setTorch(true);
            C1703a aVar = this.f7265e;
            if (aVar != null) {
                aVar.mo7203b();
            }
            return true;
        } else if (i == 25) {
            this.f7262b.setTorch(false);
            C1703a aVar2 = this.f7265e;
            if (aVar2 != null) {
                aVar2.mo7202a();
            }
            return true;
        } else if (i == 27 || i == 80) {
            return true;
        } else {
            return super.onKeyDown(i, keyEvent);
        }
    }

    public void setStatusText(String str) {
        TextView textView = this.f7264d;
        if (textView != null) {
            textView.setText(str);
        }
    }

    public void setTorchListener(C1703a aVar) {
        this.f7265e = aVar;
    }

    public CompoundBarcodeView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        mo7195a(attributeSet);
    }

    public CompoundBarcodeView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        mo7195a(attributeSet);
    }
}
