package com.journeyapps.barcodescanner;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import java.util.ArrayList;
import java.util.List;
import p085c.p132d.p190c.ResultPoint;
import p085c.p132d.p190c.p194q.p195a.C1329g;
import p085c.p132d.p190c.p194q.p195a.C1334l;
import p085c.p219e.p220a.C1373d;

public class ViewfinderView extends View {

    /* renamed from: m */
    public static final int[] f7268m = {0, 64, 128, 192, 255, 192, 128, 64};

    /* renamed from: b */
    public final Paint f7269b = new Paint(1);

    /* renamed from: c */
    public final int f7270c;

    /* renamed from: d */
    public final int f7271d;

    /* renamed from: e */
    public final int f7272e;

    /* renamed from: f */
    public final int f7273f;

    /* renamed from: g */
    public int f7274g;

    /* renamed from: h */
    public List<ResultPoint> f7275h;

    /* renamed from: i */
    public List<ResultPoint> f7276i;

    /* renamed from: j */
    public C1373d f7277j;

    /* renamed from: k */
    public Rect f7278k;

    /* renamed from: l */
    public Rect f7279l;

    /* renamed from: com.journeyapps.barcodescanner.ViewfinderView$a */
    public class C1705a implements C1373d.C1378e {
        public C1705a() {
        }

        /* renamed from: a */
        public void mo5963a() {
            ViewfinderView.this.mo7204a();
            ViewfinderView.this.invalidate();
        }

        /* renamed from: a */
        public void mo5964a(Exception exc) {
        }

        /* renamed from: b */
        public void mo5965b() {
        }

        /* renamed from: c */
        public void mo5966c() {
        }
    }

    static {
        Class<ViewfinderView> cls = ViewfinderView.class;
    }

    public ViewfinderView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        Resources resources = getResources();
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, C1334l.zxing_finder);
        this.f7270c = obtainStyledAttributes.getColor(C1334l.zxing_finder_zxing_viewfinder_mask, resources.getColor(C1329g.zxing_viewfinder_mask));
        this.f7271d = obtainStyledAttributes.getColor(C1334l.zxing_finder_zxing_result_view, resources.getColor(C1329g.zxing_result_view));
        this.f7272e = obtainStyledAttributes.getColor(C1334l.zxing_finder_zxing_viewfinder_laser, resources.getColor(C1329g.zxing_viewfinder_laser));
        this.f7273f = obtainStyledAttributes.getColor(C1334l.zxing_finder_zxing_possible_result_points, resources.getColor(C1329g.zxing_possible_result_points));
        obtainStyledAttributes.recycle();
        this.f7274g = 0;
        this.f7275h = new ArrayList(5);
        this.f7276i = null;
    }

    /* renamed from: a */
    public void mo7204a() {
        C1373d dVar = this.f7277j;
        if (dVar != null) {
            Rect framingRect = dVar.getFramingRect();
            Rect previewFramingRect = this.f7277j.getPreviewFramingRect();
            if (framingRect != null && previewFramingRect != null) {
                this.f7278k = framingRect;
                this.f7279l = previewFramingRect;
            }
        }
    }

    @SuppressLint({"DrawAllocation"})
    public void onDraw(Canvas canvas) {
        Rect rect;
        mo7204a();
        Rect rect2 = this.f7278k;
        if (rect2 != null && (rect = this.f7279l) != null) {
            int width = canvas.getWidth();
            int height = canvas.getHeight();
            this.f7269b.setColor(this.f7270c);
            float f = (float) width;
            canvas.drawRect(0.0f, 0.0f, f, (float) rect2.top, this.f7269b);
            canvas.drawRect(0.0f, (float) rect2.top, (float) rect2.left, (float) (rect2.bottom + 1), this.f7269b);
            float f2 = f;
            canvas.drawRect((float) (rect2.right + 1), (float) rect2.top, f2, (float) (rect2.bottom + 1), this.f7269b);
            canvas.drawRect(0.0f, (float) (rect2.bottom + 1), f2, (float) height, this.f7269b);
            this.f7269b.setColor(this.f7272e);
            this.f7269b.setAlpha(f7268m[this.f7274g]);
            this.f7274g = (this.f7274g + 1) % f7268m.length;
            int height2 = (rect2.height() / 2) + rect2.top;
            canvas.drawRect((float) (rect2.left + 2), (float) (height2 - 1), (float) (rect2.right - 1), (float) (height2 + 2), this.f7269b);
            float width2 = ((float) rect2.width()) / ((float) rect.width());
            float height3 = ((float) rect2.height()) / ((float) rect.height());
            List<ResultPoint> list = this.f7275h;
            List<ResultPoint> list2 = this.f7276i;
            int i = rect2.left;
            int i2 = rect2.top;
            if (list.isEmpty()) {
                this.f7276i = null;
            } else {
                this.f7275h = new ArrayList(5);
                this.f7276i = list;
                this.f7269b.setAlpha(160);
                this.f7269b.setColor(this.f7273f);
                for (ResultPoint next : list) {
                    canvas.drawCircle((float) (((int) (next.f6020a * width2)) + i), (float) (((int) (next.f6021b * height3)) + i2), 6.0f, this.f7269b);
                }
            }
            if (list2 != null) {
                this.f7269b.setAlpha(80);
                this.f7269b.setColor(this.f7273f);
                for (ResultPoint next2 : list2) {
                    canvas.drawCircle((float) (((int) (next2.f6020a * width2)) + i), (float) (((int) (next2.f6021b * height3)) + i2), 3.0f, this.f7269b);
                }
            }
            postInvalidateDelayed(80, rect2.left - 6, rect2.top - 6, rect2.right + 6, rect2.bottom + 6);
        }
    }

    public void setCameraPreview(C1373d dVar) {
        this.f7277j = dVar;
        dVar.f6475k.add(new C1705a());
    }
}
