package com.newrelic.agent.android;

import com.newrelic.agent.android.logging.AgentLog;
import com.newrelic.agent.android.logging.AgentLogManager;
import java.util.HashSet;
import java.util.Set;

public enum FeatureFlag {
    HttpResponseBodyCapture,
    CrashReporting,
    AnalyticsEvents,
    InteractionTracing,
    DefaultInteractions,
    NetworkRequests,
    NetworkErrorRequests,
    HandledExceptions,
    DistributedTracing,
    GestureInstrumentation;
    
    public static final Set<FeatureFlag> enabledFeatures = null;
    public static final AgentLog log = null;

    /* renamed from: com.newrelic.agent.android.FeatureFlag$1 */
    public static /* synthetic */ class C17081 {
        public static final /* synthetic */ int[] $SwitchMap$com$newrelic$agent$android$FeatureFlag = null;

        static {
            int[] iArr = new int[FeatureFlag.values().length];
            $SwitchMap$com$newrelic$agent$android$FeatureFlag = iArr;
            try {
                FeatureFlag featureFlag = FeatureFlag.GestureInstrumentation;
                iArr[9] = 1;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    /* access modifiers changed from: public */
    static {
        enabledFeatures = new HashSet();
        log = AgentLogManager.getAgentLog();
        resetFeatures();
    }

    public static void disableFeature(FeatureFlag featureFlag) {
        enabledFeatures.remove(featureFlag);
    }

    public static void enableFeature(FeatureFlag featureFlag) {
        if (featureFlag.ordinal() != 9) {
            enabledFeatures.add(featureFlag);
            return;
        }
        AgentLog agentLog = log;
        agentLog.error(featureFlag.name() + " not implemented");
    }

    public static boolean featureEnabled(FeatureFlag featureFlag) {
        if (featureFlag.ordinal() != 9) {
            return enabledFeatures.contains(featureFlag);
        }
        return false;
    }

    public static void resetFeatures() {
        enabledFeatures.clear();
        enableFeature(HttpResponseBodyCapture);
        enableFeature(CrashReporting);
        enableFeature(AnalyticsEvents);
        enableFeature(InteractionTracing);
        enableFeature(DefaultInteractions);
        enableFeature(NetworkRequests);
        enableFeature(NetworkErrorRequests);
        enableFeature(HandledExceptions);
    }
}
