package com.newrelic.agent.android.instrumentation.retrofit;

import com.newrelic.agent.android.instrumentation.p225io.CountingInputStream;
import com.newrelic.agent.android.logging.AgentLog;
import com.newrelic.agent.android.logging.AgentLogManager;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import p085c.p086a.p087a.p088a.outline;
import retrofit.mime.TypedInput;

public class ContentBufferingTypedInput implements TypedInput {
    public static final AgentLog log = AgentLogManager.getAgentLog();
    public TypedInput impl;
    public CountingInputStream inputStream;

    public ContentBufferingTypedInput(TypedInput typedInput) {
        throw null;
    }

    private void prepareInputStream() throws IOException {
        if (this.inputStream == null) {
            try {
                InputStream in = this.impl.in();
                if (in == null) {
                    in = new ByteArrayInputStream(new byte[0]);
                }
                this.inputStream = new CountingInputStream(in, true);
            } catch (Exception e) {
                AgentLog agentLog = log;
                StringBuilder a = outline.m2937a("ContentBufferingTypedInput: ");
                a.append(e.toString());
                agentLog.error(a.toString());
            }
        }
    }

    /* renamed from: in */
    public InputStream mo8310in() throws IOException {
        prepareInputStream();
        return this.inputStream;
    }

    public long length() {
        try {
            prepareInputStream();
            return (long) this.inputStream.available();
        } catch (IOException e) {
            log.error("ContentBufferingTypedInput generated an IO exception: ", e);
            return -1;
        }
    }

    public String mimeType() {
        return this.impl.mimeType();
    }
}
