package com.newrelic.agent.android.harvest;

import com.newrelic.agent.android.harvest.type.HarvestableArray;
import com.newrelic.agent.android.logging.AgentLog;
import com.newrelic.agent.android.logging.AgentLogManager;
import com.newrelic.com.google.gson.JsonArray;

public class ConnectInformation extends HarvestableArray {
    public static final AgentLog log = AgentLogManager.getAgentLog();
    public ApplicationInformation applicationInformation;
    public DeviceInformation deviceInformation;

    public ConnectInformation(ApplicationInformation applicationInformation2, DeviceInformation deviceInformation2) {
        if (applicationInformation2 == null) {
            log.error("null applicationInformation passed into ConnectInformation constructor");
        }
        if (deviceInformation2 == null) {
            log.error("null deviceInformation passed into ConnectInformation constructor");
        }
        this.applicationInformation = applicationInformation2;
        this.deviceInformation = deviceInformation2;
    }

    public JsonArray asJsonArray() {
        JsonArray jsonArray = new JsonArray();
        notNull(this.applicationInformation);
        jsonArray.add(this.applicationInformation.asJsonArray());
        notNull(this.deviceInformation);
        jsonArray.add(this.deviceInformation.asJsonArray());
        return jsonArray;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || ConnectInformation.class != obj.getClass()) {
            return false;
        }
        ConnectInformation connectInformation = (ConnectInformation) obj;
        ApplicationInformation applicationInformation2 = this.applicationInformation;
        if (applicationInformation2 == null ? connectInformation.applicationInformation != null : !applicationInformation2.equals(connectInformation.applicationInformation)) {
            return false;
        }
        DeviceInformation deviceInformation2 = this.deviceInformation;
        DeviceInformation deviceInformation3 = connectInformation.deviceInformation;
        return deviceInformation2 == null ? deviceInformation3 == null : deviceInformation2.equals(deviceInformation3);
    }

    public ApplicationInformation getApplicationInformation() {
        return this.applicationInformation;
    }

    public DeviceInformation getDeviceInformation() {
        return this.deviceInformation;
    }

    public int hashCode() {
        ApplicationInformation applicationInformation2 = this.applicationInformation;
        int i = 0;
        int hashCode = (applicationInformation2 != null ? applicationInformation2.hashCode() : 0) * 31;
        DeviceInformation deviceInformation2 = this.deviceInformation;
        if (deviceInformation2 != null) {
            i = deviceInformation2.hashCode();
        }
        return hashCode + i;
    }

    public void setApplicationInformation(ApplicationInformation applicationInformation2) {
        this.applicationInformation = applicationInformation2;
    }

    public void setDeviceInformation(DeviceInformation deviceInformation2) {
        this.deviceInformation = deviceInformation2;
    }
}
