package com.newrelic.agent.android.harvest;

import com.newrelic.agent.android.harvest.type.HarvestableArray;
import com.newrelic.com.google.gson.JsonArray;
import com.newrelic.com.google.gson.JsonPrimitive;
import p085c.p086a.p087a.p088a.outline;

public class DataToken extends HarvestableArray {
    public int accountId;
    public int agentId;

    public DataToken() {
    }

    public JsonArray asJsonArray() {
        JsonArray jsonArray = new JsonArray();
        jsonArray.add(new JsonPrimitive((Number) Integer.valueOf(this.accountId)));
        jsonArray.add(new JsonPrimitive((Number) Integer.valueOf(this.agentId)));
        return jsonArray;
    }

    public void clear() {
        this.accountId = 0;
        this.agentId = 0;
    }

    public int getAccountId() {
        return this.accountId;
    }

    public int getAgentId() {
        return this.agentId;
    }

    public boolean isValid() {
        return this.accountId > 0 && this.agentId > 0;
    }

    public void setAccountId(int i) {
        this.accountId = i;
    }

    public void setAgentId(int i) {
        this.agentId = i;
    }

    public String toString() {
        StringBuilder a = outline.m2937a("DataToken{accountId=");
        a.append(this.accountId);
        a.append(", agentId=");
        a.append(this.agentId);
        a.append('}');
        return a.toString();
    }

    public DataToken(int i, int i2) {
        this.accountId = i;
        this.agentId = i2;
    }
}
