package com.newrelic.agent.android.harvest;

import com.newrelic.agent.android.harvest.type.BaseHarvestable;
import com.newrelic.agent.android.harvest.type.HarvestableArray;
import com.newrelic.com.google.gson.Gson;
import com.newrelic.com.google.gson.JsonArray;
import com.newrelic.com.google.gson.JsonPrimitive;
import java.util.HashMap;
import java.util.Map;

public class Event extends HarvestableArray {
    public long eventName;
    public Map<String, String> params = new HashMap();
    public long timestamp;

    public JsonArray asJsonArray() {
        JsonArray jsonArray = new JsonArray();
        jsonArray.add(new JsonPrimitive((Number) Long.valueOf(this.timestamp)));
        jsonArray.add(new JsonPrimitive((Number) Long.valueOf(this.eventName)));
        jsonArray.add(new Gson().toJsonTree(this.params, BaseHarvestable.GSON_STRING_MAP_TYPE));
        return jsonArray;
    }

    public long getEventName() {
        return this.eventName;
    }

    public Map<String, String> getParams() {
        return this.params;
    }

    public long getTimestamp() {
        return this.timestamp;
    }

    public void setEventName(long j) {
        this.eventName = j;
    }

    public void setParams(Map<String, String> map) {
        this.params = map;
    }

    public void setTimestamp(long j) {
        this.timestamp = j;
    }
}
