package okhttp3;

import java.net.Proxy;
import java.net.ProxySelector;
import java.util.List;
import java.util.Objects;
import javax.net.SocketFactory;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLSocketFactory;
import okhttp3.HttpUrl;
import okhttp3.internal.Util;
import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: Address.kt */
public final class Address {
    public final CertificatePinner certificatePinner;
    public final List<ConnectionSpec> connectionSpecs;
    public final Dns dns;
    public final HostnameVerifier hostnameVerifier;
    public final List<Protocol> protocols;
    public final Proxy proxy;
    public final Authenticator proxyAuthenticator;
    public final ProxySelector proxySelector;
    public final SocketFactory socketFactory;
    public final SSLSocketFactory sslSocketFactory;
    public final HttpUrl url;

    public Address(String str, int i, Dns dns2, SocketFactory socketFactory2, SSLSocketFactory sSLSocketFactory, HostnameVerifier hostnameVerifier2, CertificatePinner certificatePinner2, Authenticator authenticator, Proxy proxy2, List<? extends Protocol> list, List<ConnectionSpec> list2, ProxySelector proxySelector2) {
        if (str == null) {
            Intrinsics.m5822a("uriHost");
            throw null;
        } else if (dns2 == null) {
            Intrinsics.m5822a("dns");
            throw null;
        } else if (socketFactory2 == null) {
            Intrinsics.m5822a("socketFactory");
            throw null;
        } else if (authenticator == null) {
            Intrinsics.m5822a("proxyAuthenticator");
            throw null;
        } else if (list == null) {
            Intrinsics.m5822a("protocols");
            throw null;
        } else if (list2 == null) {
            Intrinsics.m5822a("connectionSpecs");
            throw null;
        } else if (proxySelector2 != null) {
            this.dns = dns2;
            this.socketFactory = socketFactory2;
            this.sslSocketFactory = sSLSocketFactory;
            this.hostnameVerifier = hostnameVerifier2;
            this.certificatePinner = certificatePinner2;
            this.proxyAuthenticator = authenticator;
            this.proxy = proxy2;
            this.proxySelector = proxySelector2;
            this.url = new HttpUrl.Builder().scheme(this.sslSocketFactory != null ? "https" : "http").host(str).port(i).build();
            this.protocols = Util.toImmutableList(list);
            this.connectionSpecs = Util.toImmutableList(list2);
        } else {
            Intrinsics.m5822a("proxySelector");
            throw null;
        }
    }

    /* renamed from: -deprecated_certificatePinner  reason: not valid java name */
    public final CertificatePinner m6038deprecated_certificatePinner() {
        return this.certificatePinner;
    }

    /* renamed from: -deprecated_connectionSpecs  reason: not valid java name */
    public final List<ConnectionSpec> m6039deprecated_connectionSpecs() {
        return this.connectionSpecs;
    }

    /* renamed from: -deprecated_dns  reason: not valid java name */
    public final Dns m6040deprecated_dns() {
        return this.dns;
    }

    /* renamed from: -deprecated_hostnameVerifier  reason: not valid java name */
    public final HostnameVerifier m6041deprecated_hostnameVerifier() {
        return this.hostnameVerifier;
    }

    /* renamed from: -deprecated_protocols  reason: not valid java name */
    public final List<Protocol> m6042deprecated_protocols() {
        return this.protocols;
    }

    /* renamed from: -deprecated_proxy  reason: not valid java name */
    public final Proxy m6043deprecated_proxy() {
        return this.proxy;
    }

    /* renamed from: -deprecated_proxyAuthenticator  reason: not valid java name */
    public final Authenticator m6044deprecated_proxyAuthenticator() {
        return this.proxyAuthenticator;
    }

    /* renamed from: -deprecated_proxySelector  reason: not valid java name */
    public final ProxySelector m6045deprecated_proxySelector() {
        return this.proxySelector;
    }

    /* renamed from: -deprecated_socketFactory  reason: not valid java name */
    public final SocketFactory m6046deprecated_socketFactory() {
        return this.socketFactory;
    }

    /* renamed from: -deprecated_sslSocketFactory  reason: not valid java name */
    public final SSLSocketFactory m6047deprecated_sslSocketFactory() {
        return this.sslSocketFactory;
    }

    /* renamed from: -deprecated_url  reason: not valid java name */
    public final HttpUrl m6048deprecated_url() {
        return this.url;
    }

    public final CertificatePinner certificatePinner() {
        return this.certificatePinner;
    }

    public final List<ConnectionSpec> connectionSpecs() {
        return this.connectionSpecs;
    }

    public final Dns dns() {
        return this.dns;
    }

    public boolean equals(Object obj) {
        if (obj instanceof Address) {
            Address address = (Address) obj;
            return Intrinsics.m5823a((Object) this.url, (Object) address.url) && equalsNonHost$okhttp(address);
        }
    }

    public final boolean equalsNonHost$okhttp(Address address) {
        if (address != null) {
            return Intrinsics.m5823a((Object) this.dns, (Object) address.dns) && Intrinsics.m5823a((Object) this.proxyAuthenticator, (Object) address.proxyAuthenticator) && Intrinsics.m5823a((Object) this.protocols, (Object) address.protocols) && Intrinsics.m5823a((Object) this.connectionSpecs, (Object) address.connectionSpecs) && Intrinsics.m5823a((Object) this.proxySelector, (Object) address.proxySelector) && Intrinsics.m5823a((Object) this.proxy, (Object) address.proxy) && Intrinsics.m5823a((Object) this.sslSocketFactory, (Object) address.sslSocketFactory) && Intrinsics.m5823a((Object) this.hostnameVerifier, (Object) address.hostnameVerifier) && Intrinsics.m5823a((Object) this.certificatePinner, (Object) address.certificatePinner) && this.url.port() == address.url.port();
        }
        Intrinsics.m5822a("that");
        throw null;
    }

    public int hashCode() {
        int hashCode = this.dns.hashCode();
        int hashCode2 = this.proxyAuthenticator.hashCode();
        int hashCode3 = this.protocols.hashCode();
        int hashCode4 = this.connectionSpecs.hashCode();
        int hashCode5 = this.proxySelector.hashCode();
        int hashCode6 = Objects.hashCode(this.proxy);
        int hashCode7 = Objects.hashCode(this.sslSocketFactory);
        int hashCode8 = Objects.hashCode(this.hostnameVerifier);
        return Objects.hashCode(this.certificatePinner) + ((hashCode8 + ((hashCode7 + ((hashCode6 + ((hashCode5 + ((hashCode4 + ((hashCode3 + ((hashCode2 + ((hashCode + ((this.url.hashCode() + 527) * 31)) * 31)) * 31)) * 31)) * 31)) * 31)) * 31)) * 31)) * 31);
    }

    public final HostnameVerifier hostnameVerifier() {
        return this.hostnameVerifier;
    }

    public final List<Protocol> protocols() {
        return this.protocols;
    }

    public final Proxy proxy() {
        return this.proxy;
    }

    public final Authenticator proxyAuthenticator() {
        return this.proxyAuthenticator;
    }

    public final ProxySelector proxySelector() {
        return this.proxySelector;
    }

    public final SocketFactory socketFactory() {
        return this.socketFactory;
    }

    public final SSLSocketFactory sslSocketFactory() {
        return this.sslSocketFactory;
    }

    public String toString() {
        Object obj;
        StringBuilder sb;
        StringBuilder a = outline.m2937a("Address{");
        a.append(this.url.host());
        a.append(':');
        a.append(this.url.port());
        a.append(", ");
        if (this.proxy != null) {
            sb = outline.m2937a("proxy=");
            obj = this.proxy;
        } else {
            sb = outline.m2937a("proxySelector=");
            obj = this.proxySelector;
        }
        sb.append(obj);
        a.append(sb.toString());
        a.append("}");
        return a.toString();
    }

    public final HttpUrl url() {
        return this.url;
    }
}
