package okhttp3;

import com.newrelic.agent.android.util.Constants;
import java.io.IOException;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.List;
import okhttp3.HttpUrl;
import okhttp3.internal.Util;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p262g.BufferedSink;
import p262g.C1948d;

/* compiled from: FormBody.kt */
public final class FormBody extends RequestBody {
    public static final MediaType CONTENT_TYPE = MediaType.Companion.get(Constants.Network.ContentType.URL_ENCODED);
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public final List<String> encodedNames;
    public final List<String> encodedValues;

    /* compiled from: FormBody.kt */
    public static final class Companion {
        public Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    public FormBody(List<String> list, List<String> list2) {
        if (list == null) {
            Intrinsics.m5822a("encodedNames");
            throw null;
        } else if (list2 != null) {
            this.encodedNames = Util.toImmutableList(list);
            this.encodedValues = Util.toImmutableList(list2);
        } else {
            Intrinsics.m5822a("encodedValues");
            throw null;
        }
    }

    private final long writeOrCountBytes(BufferedSink fVar, boolean z) {
        C1948d dVar;
        if (z) {
            dVar = new C1948d();
        } else if (fVar != null) {
            dVar = fVar.getBuffer();
        } else {
            Intrinsics.m5820a();
            throw null;
        }
        int size = this.encodedNames.size();
        for (int i = 0; i < size; i++) {
            if (i > 0) {
                dVar.writeByte(38);
            }
            dVar.mo9468a(this.encodedNames.get(i));
            dVar.writeByte(61);
            dVar.mo9468a(this.encodedValues.get(i));
        }
        if (!z) {
            return 0;
        }
        long j = dVar.f7648c;
        dVar.skip(j);
        return j;
    }

    /* renamed from: -deprecated_size  reason: not valid java name */
    public final int m6078deprecated_size() {
        return size();
    }

    public long contentLength() {
        return writeOrCountBytes((BufferedSink) null, true);
    }

    public MediaType contentType() {
        return CONTENT_TYPE;
    }

    public final String encodedName(int i) {
        return this.encodedNames.get(i);
    }

    public final String encodedValue(int i) {
        return this.encodedValues.get(i);
    }

    public final String name(int i) {
        return HttpUrl.Companion.percentDecode$okhttp$default(HttpUrl.Companion, encodedName(i), 0, 0, true, 3, (Object) null);
    }

    public final int size() {
        return this.encodedNames.size();
    }

    public final String value(int i) {
        return HttpUrl.Companion.percentDecode$okhttp$default(HttpUrl.Companion, encodedValue(i), 0, 0, true, 3, (Object) null);
    }

    public void writeTo(BufferedSink fVar) throws IOException {
        if (fVar != null) {
            writeOrCountBytes(fVar, false);
        } else {
            Intrinsics.m5822a("sink");
            throw null;
        }
    }

    /* compiled from: FormBody.kt */
    public static final class Builder {
        public final Charset charset;
        public final List<String> names;
        public final List<String> values;

        public Builder() {
            this((Charset) null, 1, (DefaultConstructorMarker) null);
        }

        public Builder(Charset charset2) {
            this.charset = charset2;
            this.names = new ArrayList();
            this.values = new ArrayList();
        }

        public final Builder add(String str, String str2) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (str2 != null) {
                this.names.add(HttpUrl.Companion.canonicalize$okhttp$default(HttpUrl.Companion, str, 0, 0, HttpUrl.FORM_ENCODE_SET, false, false, true, false, this.charset, 91, (Object) null));
                this.values.add(HttpUrl.Companion.canonicalize$okhttp$default(HttpUrl.Companion, str2, 0, 0, HttpUrl.FORM_ENCODE_SET, false, false, true, false, this.charset, 91, (Object) null));
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final Builder addEncoded(String str, String str2) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (str2 != null) {
                this.names.add(HttpUrl.Companion.canonicalize$okhttp$default(HttpUrl.Companion, str, 0, 0, HttpUrl.FORM_ENCODE_SET, true, false, true, false, this.charset, 83, (Object) null));
                this.values.add(HttpUrl.Companion.canonicalize$okhttp$default(HttpUrl.Companion, str2, 0, 0, HttpUrl.FORM_ENCODE_SET, true, false, true, false, this.charset, 83, (Object) null));
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final FormBody build() {
            return new FormBody(this.names, this.values);
        }

        /* JADX INFO: this call moved to the top of the method (can break code semantics) */
        public /* synthetic */ Builder(Charset charset2, int i, DefaultConstructorMarker fVar) {
            this((i & 1) != 0 ? null : charset2);
        }
    }
}
