package okhttp3;

import java.time.Instant;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;
import java.util.TreeSet;
import okhttp3.internal.Util;
import okhttp3.internal.http.DatesKt;
import org.codehaus.mojo.animal_sniffer.IgnoreJRERequirement;
import p085c.p086a.p087a.p088a.outline;
import p250f.Tuples;
import p250f.TypeCastException;
import p250f.p251i.C1892h;
import p250f.p251i._Arrays;
import p250f.p254l.p256c.ArrayIterator;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p250f.p254l.p256c.p257r.KMarkers;
import p250f.p258m.Progressions;
import p250f.p258m._Ranges;
import p250f.p261p.C1937g;

/* compiled from: Headers.kt */
public final class Headers implements Iterable<Tuples<? extends String, ? extends String>>, KMarkers {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public final String[] namesAndValues;

    /* compiled from: Headers.kt */
    public static final class Companion {
        public Companion() {
        }

        /* access modifiers changed from: private */
        public final void checkName(String str) {
            if (str.length() > 0) {
                int length = str.length();
                int i = 0;
                while (i < length) {
                    char charAt = str.charAt(i);
                    if ('!' <= charAt && '~' >= charAt) {
                        i++;
                    } else {
                        throw new IllegalArgumentException(Util.format("Unexpected char %#04x at %d in header name: %s", Integer.valueOf(charAt), Integer.valueOf(i), str).toString());
                    }
                }
                return;
            }
            throw new IllegalArgumentException("name is empty".toString());
        }

        /* access modifiers changed from: private */
        public final void checkValue(String str, String str2) {
            int length = str.length();
            int i = 0;
            while (i < length) {
                char charAt = str.charAt(i);
                if (charAt == 9 || (' ' <= charAt && '~' >= charAt)) {
                    i++;
                } else {
                    throw new IllegalArgumentException(Util.format("Unexpected char %#04x at %d in %s value: %s", Integer.valueOf(charAt), Integer.valueOf(i), str2, str).toString());
                }
            }
        }

        /* access modifiers changed from: private */
        public final String get(String[] strArr, String str) {
            Progressions a = _Ranges.m5827a(_Ranges.m5826a(strArr.length - 2, 0), 2);
            int i = a.f7599b;
            int i2 = a.f7600c;
            int i3 = a.f7601d;
            if (i3 >= 0) {
                if (i > i2) {
                    return null;
                }
            } else if (i < i2) {
                return null;
            }
            while (!C1937g.m5858a(str, strArr[i], true)) {
                if (i == i2) {
                    return null;
                }
                i += i3;
            }
            return strArr[i + 1];
        }

        /* renamed from: -deprecated_of  reason: not valid java name */
        public final Headers m6088deprecated_of(String... strArr) {
            if (strArr != null) {
                return mo9926of((String[]) Arrays.copyOf(strArr, strArr.length));
            }
            Intrinsics.m5822a("namesAndValues");
            throw null;
        }

        /* renamed from: of */
        public final Headers mo9926of(String... strArr) {
            if (strArr != null) {
                if (strArr.length % 2 == 0) {
                    Object clone = strArr.clone();
                    if (clone != null) {
                        String[] strArr2 = (String[]) clone;
                        int length = strArr2.length;
                        int i = 0;
                        while (i < length) {
                            if (strArr2[i] != null) {
                                String str = strArr2[i];
                                if (str != null) {
                                    strArr2[i] = C1937g.m5865c(str).toString();
                                    i++;
                                } else {
                                    throw new TypeCastException("null cannot be cast to non-null type kotlin.CharSequence");
                                }
                            } else {
                                throw new IllegalArgumentException("Headers cannot be null".toString());
                            }
                        }
                        Progressions a = _Ranges.m5827a((Progressions) _Ranges.m5828b(0, strArr2.length), 2);
                        int i2 = a.f7599b;
                        int i3 = a.f7600c;
                        int i4 = a.f7601d;
                        if (i4 < 0 ? i2 >= i3 : i2 <= i3) {
                            while (true) {
                                String str2 = strArr2[i2];
                                String str3 = strArr2[i2 + 1];
                                checkName(str2);
                                checkValue(str3, str2);
                                if (i2 == i3) {
                                    break;
                                }
                                i2 += i4;
                            }
                        }
                        return new Headers(strArr2, (DefaultConstructorMarker) null);
                    }
                    throw new TypeCastException("null cannot be cast to non-null type kotlin.Array<kotlin.String>");
                }
                throw new IllegalArgumentException("Expected alternating header names and values".toString());
            }
            Intrinsics.m5822a("namesAndValues");
            throw null;
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }

        /* renamed from: -deprecated_of  reason: not valid java name */
        public final Headers m6087deprecated_of(Map<String, String> map) {
            if (map != null) {
                return mo9925of(map);
            }
            Intrinsics.m5822a("headers");
            throw null;
        }

        /* renamed from: of */
        public final Headers mo9925of(Map<String, String> map) {
            if (map != null) {
                String[] strArr = new String[(map.size() * 2)];
                int i = 0;
                for (Map.Entry next : map.entrySet()) {
                    String str = (String) next.getKey();
                    String str2 = (String) next.getValue();
                    if (str != null) {
                        String obj = C1937g.m5865c(str).toString();
                        if (str2 != null) {
                            String obj2 = C1937g.m5865c(str2).toString();
                            checkName(obj);
                            checkValue(obj2, obj);
                            strArr[i] = obj;
                            strArr[i + 1] = obj2;
                            i += 2;
                        } else {
                            throw new TypeCastException("null cannot be cast to non-null type kotlin.CharSequence");
                        }
                    } else {
                        throw new TypeCastException("null cannot be cast to non-null type kotlin.CharSequence");
                    }
                }
                return new Headers(strArr, (DefaultConstructorMarker) null);
            }
            Intrinsics.m5822a("$this$toHeaders");
            throw null;
        }
    }

    public Headers(String[] strArr) {
        this.namesAndValues = strArr;
    }

    /* renamed from: of */
    public static final Headers m6022of(Map<String, String> map) {
        return Companion.mo9925of(map);
    }

    /* renamed from: of */
    public static final Headers m6023of(String... strArr) {
        return Companion.mo9926of(strArr);
    }

    /* renamed from: -deprecated_size  reason: not valid java name */
    public final int m6086deprecated_size() {
        return size();
    }

    public final long byteCount() {
        String[] strArr = this.namesAndValues;
        long length = (long) (strArr.length * 2);
        int length2 = strArr.length;
        for (int i = 0; i < length2; i++) {
            length += (long) this.namesAndValues[i].length();
        }
        return length;
    }

    public boolean equals(Object obj) {
        return (obj instanceof Headers) && Arrays.equals(this.namesAndValues, ((Headers) obj).namesAndValues);
    }

    public final String get(String str) {
        if (str != null) {
            return Companion.get(this.namesAndValues, str);
        }
        Intrinsics.m5822a("name");
        throw null;
    }

    public final Date getDate(String str) {
        if (str != null) {
            String str2 = get(str);
            if (str2 != null) {
                return DatesKt.toHttpDateOrNull(str2);
            }
            return null;
        }
        Intrinsics.m5822a("name");
        throw null;
    }

    @IgnoreJRERequirement
    public final Instant getInstant(String str) {
        if (str != null) {
            Date date = getDate(str);
            if (date != null) {
                return date.toInstant();
            }
            return null;
        }
        Intrinsics.m5822a("name");
        throw null;
    }

    public int hashCode() {
        return Arrays.hashCode(this.namesAndValues);
    }

    public Iterator<Tuples<String, String>> iterator() {
        int size = size();
        Tuples[] cVarArr = new Tuples[size];
        for (int i = 0; i < size; i++) {
            cVarArr[i] = new Tuples(name(i), value(i));
        }
        return new ArrayIterator(cVarArr);
    }

    public final String name(int i) {
        return this.namesAndValues[i * 2];
    }

    public final Set<String> names() {
        Comparator comparator = String.CASE_INSENSITIVE_ORDER;
        Intrinsics.m5821a((Object) comparator, "java.lang.String.CASE_INSENSITIVE_ORDER");
        TreeSet treeSet = new TreeSet(comparator);
        int size = size();
        for (int i = 0; i < size; i++) {
            treeSet.add(name(i));
        }
        Set<String> unmodifiableSet = Collections.unmodifiableSet(treeSet);
        Intrinsics.m5821a((Object) unmodifiableSet, "Collections.unmodifiableSet(result)");
        return unmodifiableSet;
    }

    public final Builder newBuilder() {
        Builder builder = new Builder();
        List<String> namesAndValues$okhttp = builder.getNamesAndValues$okhttp();
        String[] strArr = this.namesAndValues;
        if (namesAndValues$okhttp == null) {
            Intrinsics.m5822a("$this$addAll");
            throw null;
        } else if (strArr != null) {
            namesAndValues$okhttp.addAll(_Arrays.m5807a((T[]) strArr));
            return builder;
        } else {
            Intrinsics.m5822a("elements");
            throw null;
        }
    }

    public final int size() {
        return this.namesAndValues.length / 2;
    }

    public final Map<String, List<String>> toMultimap() {
        Comparator comparator = String.CASE_INSENSITIVE_ORDER;
        Intrinsics.m5821a((Object) comparator, "java.lang.String.CASE_INSENSITIVE_ORDER");
        TreeMap treeMap = new TreeMap(comparator);
        int i = 0;
        int size = size();
        while (i < size) {
            String name = name(i);
            Locale locale = Locale.US;
            Intrinsics.m5821a((Object) locale, "Locale.US");
            if (name != null) {
                String lowerCase = name.toLowerCase(locale);
                Intrinsics.m5821a((Object) lowerCase, "(this as java.lang.String).toLowerCase(locale)");
                List list = (List) treeMap.get(lowerCase);
                if (list == null) {
                    list = new ArrayList(2);
                    treeMap.put(lowerCase, list);
                }
                list.add(value(i));
                i++;
            } else {
                throw new TypeCastException("null cannot be cast to non-null type java.lang.String");
            }
        }
        return treeMap;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        int size = size();
        for (int i = 0; i < size; i++) {
            sb.append(name(i));
            sb.append(": ");
            sb.append(value(i));
            sb.append("\n");
        }
        String sb2 = sb.toString();
        Intrinsics.m5821a((Object) sb2, "StringBuilder().apply(builderAction).toString()");
        return sb2;
    }

    public final String value(int i) {
        return this.namesAndValues[(i * 2) + 1];
    }

    public final List<String> values(String str) {
        ArrayList arrayList = null;
        if (str != null) {
            int size = size();
            for (int i = 0; i < size; i++) {
                if (C1937g.m5858a(str, name(i), true)) {
                    if (arrayList == null) {
                        arrayList = new ArrayList(2);
                    }
                    arrayList.add(value(i));
                }
            }
            if (arrayList == null) {
                return C1892h.f7579b;
            }
            List<String> unmodifiableList = Collections.unmodifiableList(arrayList);
            Intrinsics.m5821a((Object) unmodifiableList, "Collections.unmodifiableList(result)");
            return unmodifiableList;
        }
        Intrinsics.m5822a("name");
        throw null;
    }

    /* compiled from: Headers.kt */
    public static final class Builder {
        public final List<String> namesAndValues = new ArrayList(20);

        public final Builder add(String str) {
            if (str != null) {
                int a = C1937g.m5836a((CharSequence) str, ':', 0, false, 6);
                if (a != -1) {
                    String substring = str.substring(0, a);
                    Intrinsics.m5821a((Object) substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                    String obj = C1937g.m5865c(substring).toString();
                    String substring2 = str.substring(a + 1);
                    Intrinsics.m5821a((Object) substring2, "(this as java.lang.String).substring(startIndex)");
                    add(obj, substring2);
                    return this;
                }
                throw new IllegalArgumentException(outline.m2941b("Unexpected header: ", str).toString());
            }
            Intrinsics.m5822a("line");
            throw null;
        }

        public final Builder addAll(Headers headers) {
            if (headers != null) {
                int size = headers.size();
                for (int i = 0; i < size; i++) {
                    addLenient$okhttp(headers.name(i), headers.value(i));
                }
                return this;
            }
            Intrinsics.m5822a("headers");
            throw null;
        }

        public final Builder addLenient$okhttp(String str) {
            if (str != null) {
                int a = C1937g.m5836a((CharSequence) str, ':', 1, false, 4);
                if (a != -1) {
                    String substring = str.substring(0, a);
                    Intrinsics.m5821a((Object) substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                    String substring2 = str.substring(a + 1);
                    Intrinsics.m5821a((Object) substring2, "(this as java.lang.String).substring(startIndex)");
                    addLenient$okhttp(substring, substring2);
                } else if (str.charAt(0) == ':') {
                    String substring3 = str.substring(1);
                    Intrinsics.m5821a((Object) substring3, "(this as java.lang.String).substring(startIndex)");
                    addLenient$okhttp("", substring3);
                } else {
                    addLenient$okhttp("", str);
                }
                return this;
            }
            Intrinsics.m5822a("line");
            throw null;
        }

        public final Builder addUnsafeNonAscii(String str, String str2) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (str2 != null) {
                Headers.Companion.checkName(str);
                addLenient$okhttp(str, str2);
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final Headers build() {
            Object[] array = this.namesAndValues.toArray(new String[0]);
            if (array != null) {
                return new Headers((String[]) array, (DefaultConstructorMarker) null);
            }
            throw new TypeCastException("null cannot be cast to non-null type kotlin.Array<T>");
        }

        public final String get(String str) {
            if (str != null) {
                Progressions a = _Ranges.m5827a(_Ranges.m5826a(this.namesAndValues.size() - 2, 0), 2);
                int i = a.f7599b;
                int i2 = a.f7600c;
                int i3 = a.f7601d;
                if (i3 < 0 ? i >= i2 : i <= i2) {
                    while (!C1937g.m5858a(str, this.namesAndValues.get(i), true)) {
                        if (i != i2) {
                            i += i3;
                        }
                    }
                    return this.namesAndValues.get(i + 1);
                }
                return null;
            }
            Intrinsics.m5822a("name");
            throw null;
        }

        public final List<String> getNamesAndValues$okhttp() {
            return this.namesAndValues;
        }

        public final Builder removeAll(String str) {
            if (str != null) {
                int i = 0;
                while (i < this.namesAndValues.size()) {
                    if (C1937g.m5858a(str, this.namesAndValues.get(i), true)) {
                        this.namesAndValues.remove(i);
                        this.namesAndValues.remove(i);
                        i -= 2;
                    }
                    i += 2;
                }
                return this;
            }
            Intrinsics.m5822a("name");
            throw null;
        }

        public final Builder set(String str, Date date) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (date != null) {
                set(str, DatesKt.toHttpDateString(date));
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        @IgnoreJRERequirement
        public final Builder set(String str, Instant instant) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (instant != null) {
                return set(str, new Date(instant.toEpochMilli()));
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final Builder add(String str, String str2) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (str2 != null) {
                Headers.Companion.checkName(str);
                Headers.Companion.checkValue(str2, str);
                addLenient$okhttp(str, str2);
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final Builder set(String str, String str2) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (str2 != null) {
                Headers.Companion.checkName(str);
                Headers.Companion.checkValue(str2, str);
                removeAll(str);
                addLenient$okhttp(str, str2);
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final Builder addLenient$okhttp(String str, String str2) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (str2 != null) {
                this.namesAndValues.add(str);
                this.namesAndValues.add(C1937g.m5865c(str2).toString());
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final Builder add(String str, Date date) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (date != null) {
                add(str, DatesKt.toHttpDateString(date));
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        @IgnoreJRERequirement
        public final Builder add(String str, Instant instant) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (instant != null) {
                add(str, new Date(instant.toEpochMilli()));
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }
    }

    public /* synthetic */ Headers(String[] strArr, DefaultConstructorMarker fVar) {
        this(strArr);
    }
}
