package okhttp3;

import java.nio.charset.Charset;
import java.util.Locale;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p250f.p261p.C1937g;

/* compiled from: MediaType.kt */
public final class MediaType {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final Pattern PARAMETER = Pattern.compile(";\\s*(?:([a-zA-Z0-9-!#$%&'*+.^_`{|}~]+)=(?:([a-zA-Z0-9-!#$%&'*+.^_`{|}~]+)|\"([^\"]*)\"))?");
    public static final String QUOTED = "\"([^\"]*)\"";
    public static final String TOKEN = "([a-zA-Z0-9-!#$%&'*+.^_`{|}~]+)";
    public static final Pattern TYPE_SUBTYPE = Pattern.compile("([a-zA-Z0-9-!#$%&'*+.^_`{|}~]+)/([a-zA-Z0-9-!#$%&'*+.^_`{|}~]+)");
    public final String charset;
    public final String mediaType;
    public final String subtype;
    public final String type;

    /* compiled from: MediaType.kt */
    public static final class Companion {
        public Companion() {
        }

        /* renamed from: -deprecated_get  reason: not valid java name */
        public final MediaType m6114deprecated_get(String str) {
            if (str != null) {
                return get(str);
            }
            Intrinsics.m5822a("mediaType");
            throw null;
        }

        /* renamed from: -deprecated_parse  reason: not valid java name */
        public final MediaType m6115deprecated_parse(String str) {
            if (str != null) {
                return parse(str);
            }
            Intrinsics.m5822a("mediaType");
            throw null;
        }

        public final MediaType get(String str) {
            String str2 = null;
            if (str != null) {
                Matcher matcher = MediaType.TYPE_SUBTYPE.matcher(str);
                if (matcher.lookingAt()) {
                    String group = matcher.group(1);
                    Intrinsics.m5821a((Object) group, "typeSubtype.group(1)");
                    Locale locale = Locale.US;
                    Intrinsics.m5821a((Object) locale, "Locale.US");
                    String lowerCase = group.toLowerCase(locale);
                    Intrinsics.m5821a((Object) lowerCase, "(this as java.lang.String).toLowerCase(locale)");
                    String group2 = matcher.group(2);
                    Intrinsics.m5821a((Object) group2, "typeSubtype.group(2)");
                    Locale locale2 = Locale.US;
                    Intrinsics.m5821a((Object) locale2, "Locale.US");
                    String lowerCase2 = group2.toLowerCase(locale2);
                    Intrinsics.m5821a((Object) lowerCase2, "(this as java.lang.String).toLowerCase(locale)");
                    Matcher matcher2 = MediaType.PARAMETER.matcher(str);
                    int end = matcher.end();
                    while (true) {
                        String str3 = str2;
                        while (end < str.length()) {
                            matcher2.region(end, str.length());
                            if (matcher2.lookingAt()) {
                                String group3 = matcher2.group(1);
                                if (group3 == null || !C1937g.m5858a(group3, "charset", true)) {
                                    end = matcher2.end();
                                } else {
                                    str2 = matcher2.group(2);
                                    boolean z = false;
                                    if (str2 == null) {
                                        str2 = matcher2.group(3);
                                        Intrinsics.m5821a((Object) str2, "parameter.group(3)");
                                    } else if (C1937g.m5864b(str2, "'", false, 2) && C1937g.m5859a(str2, "'", false, 2) && str2.length() > 2) {
                                        str2 = str2.substring(1, str2.length() - 1);
                                        Intrinsics.m5821a((Object) str2, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                                    }
                                    if (str3 == null || C1937g.m5858a(str2, str3, true)) {
                                        z = true;
                                    }
                                    if (z) {
                                        end = matcher2.end();
                                    } else {
                                        throw new IllegalArgumentException(("Multiple charsets defined: \"" + str3 + "\" and: \"" + str2 + "\" for: \"" + str + '\"').toString());
                                    }
                                }
                            } else {
                                StringBuilder a = outline.m2937a("Parameter is not formatted correctly: \"");
                                String substring = str.substring(end);
                                Intrinsics.m5821a((Object) substring, "(this as java.lang.String).substring(startIndex)");
                                a.append(substring);
                                a.append("\" for: \"");
                                a.append(str);
                                a.append('\"');
                                throw new IllegalArgumentException(a.toString().toString());
                            }
                        }
                        return new MediaType(str, lowerCase, lowerCase2, str3, (DefaultConstructorMarker) null);
                    }
                }
                throw new IllegalArgumentException(("No subtype found for: \"" + str + '\"').toString());
            }
            Intrinsics.m5822a("$this$toMediaType");
            throw null;
        }

        public final MediaType parse(String str) {
            if (str != null) {
                try {
                    return get(str);
                } catch (IllegalArgumentException unused) {
                    return null;
                }
            } else {
                Intrinsics.m5822a("$this$toMediaTypeOrNull");
                throw null;
            }
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    public MediaType(String str, String str2, String str3, String str4) {
        this.mediaType = str;
        this.type = str2;
        this.subtype = str3;
        this.charset = str4;
    }

    public static /* synthetic */ Charset charset$default(MediaType mediaType2, Charset charset2, int i, Object obj) {
        if ((i & 1) != 0) {
            charset2 = null;
        }
        return mediaType2.charset(charset2);
    }

    public static final MediaType get(String str) {
        return Companion.get(str);
    }

    public static final MediaType parse(String str) {
        return Companion.parse(str);
    }

    /* renamed from: -deprecated_subtype  reason: not valid java name */
    public final String m6112deprecated_subtype() {
        return this.subtype;
    }

    /* renamed from: -deprecated_type  reason: not valid java name */
    public final String m6113deprecated_type() {
        return this.type;
    }

    public final Charset charset() {
        return charset$default(this, (Charset) null, 1, (Object) null);
    }

    public final Charset charset(Charset charset2) {
        try {
            return this.charset != null ? Charset.forName(this.charset) : charset2;
        } catch (IllegalArgumentException unused) {
            return charset2;
        }
    }

    public boolean equals(Object obj) {
        return (obj instanceof MediaType) && Intrinsics.m5823a((Object) ((MediaType) obj).mediaType, (Object) this.mediaType);
    }

    public int hashCode() {
        return this.mediaType.hashCode();
    }

    public final String subtype() {
        return this.subtype;
    }

    public String toString() {
        return this.mediaType;
    }

    public final String type() {
        return this.type;
    }

    public /* synthetic */ MediaType(String str, String str2, String str3, String str4, DefaultConstructorMarker fVar) {
        this(str, str2, str3, str4);
    }
}
