package okhttp3;

import java.net.InetSocketAddress;
import java.net.Proxy;
import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: Route.kt */
public final class Route {
    public final Address address;
    public final Proxy proxy;
    public final InetSocketAddress socketAddress;

    public Route(Address address2, Proxy proxy2, InetSocketAddress inetSocketAddress) {
        if (address2 == null) {
            Intrinsics.m5822a("address");
            throw null;
        } else if (proxy2 == null) {
            Intrinsics.m5822a("proxy");
            throw null;
        } else if (inetSocketAddress != null) {
            this.address = address2;
            this.proxy = proxy2;
            this.socketAddress = inetSocketAddress;
        } else {
            Intrinsics.m5822a("socketAddress");
            throw null;
        }
    }

    /* renamed from: -deprecated_address  reason: not valid java name */
    public final Address m6168deprecated_address() {
        return this.address;
    }

    /* renamed from: -deprecated_proxy  reason: not valid java name */
    public final Proxy m6169deprecated_proxy() {
        return this.proxy;
    }

    /* renamed from: -deprecated_socketAddress  reason: not valid java name */
    public final InetSocketAddress m6170deprecated_socketAddress() {
        return this.socketAddress;
    }

    public final Address address() {
        return this.address;
    }

    public boolean equals(Object obj) {
        if (obj instanceof Route) {
            Route route = (Route) obj;
            return Intrinsics.m5823a((Object) route.address, (Object) this.address) && Intrinsics.m5823a((Object) route.proxy, (Object) this.proxy) && Intrinsics.m5823a((Object) route.socketAddress, (Object) this.socketAddress);
        }
    }

    public int hashCode() {
        int hashCode = this.proxy.hashCode();
        return this.socketAddress.hashCode() + ((hashCode + ((this.address.hashCode() + 527) * 31)) * 31);
    }

    public final Proxy proxy() {
        return this.proxy;
    }

    public final boolean requiresTunnel() {
        return this.address.sslSocketFactory() != null && this.proxy.type() == Proxy.Type.HTTP;
    }

    public final InetSocketAddress socketAddress() {
        return this.socketAddress;
    }

    public String toString() {
        StringBuilder a = outline.m2937a("Route{");
        a.append(this.socketAddress);
        a.append('}');
        return a.toString();
    }
}
