package okhttp3;

import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: TlsVersion.kt */
public enum TlsVersion {
    TLS_1_3("TLSv1.3"),
    TLS_1_2("TLSv1.2"),
    TLS_1_1("TLSv1.1"),
    TLS_1_0("TLSv1"),
    SSL_3_0("SSLv3");
    
    public static final Companion Companion = null;
    public final String javaName;

    /* compiled from: TlsVersion.kt */
    public static final class Companion {
        public Companion() {
        }

        public final TlsVersion forJavaName(String str) {
            if (str != null) {
                int hashCode = str.hashCode();
                if (hashCode != 79201641) {
                    if (hashCode != 79923350) {
                        switch (hashCode) {
                            case -503070503:
                                if (str.equals("TLSv1.1")) {
                                    return TlsVersion.TLS_1_1;
                                }
                                break;
                            case -503070502:
                                if (str.equals("TLSv1.2")) {
                                    return TlsVersion.TLS_1_2;
                                }
                                break;
                            case -503070501:
                                if (str.equals("TLSv1.3")) {
                                    return TlsVersion.TLS_1_3;
                                }
                                break;
                        }
                    } else if (str.equals("TLSv1")) {
                        return TlsVersion.TLS_1_0;
                    }
                } else if (str.equals("SSLv3")) {
                    return TlsVersion.SSL_3_0;
                }
                throw new IllegalArgumentException(outline.m2941b("Unexpected TLS version: ", str));
            }
            Intrinsics.m5822a("javaName");
            throw null;
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    /* access modifiers changed from: public */
    static {
        Companion = new Companion((DefaultConstructorMarker) null);
    }

    /* access modifiers changed from: public */
    TlsVersion(String str) {
        this.javaName = str;
    }

    public static final TlsVersion forJavaName(String str) {
        return Companion.forJavaName(str);
    }

    /* renamed from: -deprecated_javaName  reason: not valid java name */
    public final String m6171deprecated_javaName() {
        return this.javaName;
    }

    public final String javaName() {
        return this.javaName;
    }
}
