package okhttp3.internal.cache;

import java.io.IOException;
import p250f.Unit;
import p250f.p254l.p255b.C1907l;
import p250f.p254l.p256c.Intrinsics;
import p262g.C1948d;
import p262g.ForwardingSink;
import p262g.Sink;

/* compiled from: FaultHidingSink.kt */
public class FaultHidingSink extends ForwardingSink {
    public boolean hasErrors;
    public final C1907l<IOException, Unit> onException;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public FaultHidingSink(Sink xVar, C1907l<? super IOException, Unit> lVar) {
        super(xVar);
        if (xVar == null) {
            Intrinsics.m5822a("delegate");
            throw null;
        } else if (lVar != null) {
            this.onException = lVar;
        } else {
            Intrinsics.m5822a("onException");
            throw null;
        }
    }

    public void close() {
        if (!this.hasErrors) {
            try {
                super.close();
            } catch (IOException e) {
                this.hasErrors = true;
                this.onException.invoke(e);
            }
        }
    }

    public void flush() {
        if (!this.hasErrors) {
            try {
                super.flush();
            } catch (IOException e) {
                this.hasErrors = true;
                this.onException.invoke(e);
            }
        }
    }

    public final C1907l<IOException, Unit> getOnException() {
        return this.onException;
    }

    public void write(C1948d dVar, long j) {
        if (dVar == null) {
            Intrinsics.m5822a("source");
            throw null;
        } else if (this.hasErrors) {
            dVar.skip(j);
        } else {
            try {
                super.write(dVar, j);
            } catch (IOException e) {
                this.hasErrors = true;
                this.onException.invoke(e);
            }
        }
    }
}
