package com.newrelic.agent.android.harvest;

import com.newrelic.agent.android.harvest.type.HarvestableArray;
import com.newrelic.com.google.gson.JsonArray;
import java.util.Collection;
import java.util.concurrent.CopyOnWriteArrayList;

public class HttpErrors extends HarvestableArray {
    public final Collection<HttpError> httpErrors = new CopyOnWriteArrayList();

    public void addHttpError(HttpError httpError) {
        String hash = httpError.getHash();
        for (HttpError next : this.httpErrors) {
            if (hash.equals(next.getHash())) {
                next.incrementCount();
                return;
            }
        }
        this.httpErrors.add(httpError);
    }

    public JsonArray asJsonArray() {
        JsonArray jsonArray = new JsonArray();
        for (HttpError asJson : this.httpErrors) {
            jsonArray.add(asJson.asJson());
        }
        return jsonArray;
    }

    public void clear() {
        this.httpErrors.clear();
    }

    public int count() {
        return this.httpErrors.size();
    }

    public Collection<HttpError> getHttpErrors() {
        return this.httpErrors;
    }

    public void removeHttpError(HttpError httpError) {
        this.httpErrors.remove(httpError);
    }
}
