package okhttp3.internal.connection;

import java.io.IOException;
import okhttp3.Address;
import okhttp3.EventListener;
import okhttp3.HttpUrl;
import okhttp3.OkHttpClient;
import okhttp3.Route;
import okhttp3.internal.Util;
import okhttp3.internal.connection.RouteSelector;
import okhttp3.internal.http.ExchangeCodec;
import okhttp3.internal.http.RealInterceptorChain;
import okhttp3.internal.http2.ConnectionShutdownException;
import okhttp3.internal.http2.ErrorCode;
import okhttp3.internal.http2.StreamResetException;
import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: ExchangeFinder.kt */
public final class ExchangeFinder {
    public final Address address;
    public final RealCall call;
    public RealConnection connectingConnection;
    public final RealConnectionPool connectionPool;
    public int connectionShutdownCount;
    public final EventListener eventListener;
    public Route nextRouteToTry;
    public int otherFailureCount;
    public int refusedStreamCount;
    public RouteSelector.Selection routeSelection;
    public RouteSelector routeSelector;

    public ExchangeFinder(RealConnectionPool realConnectionPool, Address address2, RealCall realCall, EventListener eventListener2) {
        if (realConnectionPool == null) {
            Intrinsics.m5822a("connectionPool");
            throw null;
        } else if (address2 == null) {
            Intrinsics.m5822a("address");
            throw null;
        } else if (realCall == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (eventListener2 != null) {
            this.connectionPool = realConnectionPool;
            this.address = address2;
            this.call = realCall;
            this.eventListener = eventListener2;
        } else {
            Intrinsics.m5822a("eventListener");
            throw null;
        }
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: RegionMakerVisitor
        java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
        	at java.util.ArrayList.rangeCheck(ArrayList.java:653)
        	at java.util.ArrayList.get(ArrayList.java:429)
        	at jadx.core.dex.nodes.InsnNode.getArg(InsnNode.java:101)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:611)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverseMonitorExits(RegionMaker.java:619)
        	at jadx.core.dex.visitors.regions.RegionMaker.processMonitorEnter(RegionMaker.java:561)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverse(RegionMaker.java:133)
        	at jadx.core.dex.visitors.regions.RegionMaker.makeRegion(RegionMaker.java:86)
        	at jadx.core.dex.visitors.regions.RegionMaker.processIf(RegionMaker.java:698)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverse(RegionMaker.java:123)
        	at jadx.core.dex.visitors.regions.RegionMaker.makeRegion(RegionMaker.java:86)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.visit(RegionMakerVisitor.java:49)
        */
    private final okhttp3.internal.connection.RealConnection findConnection(int r19, int r20, int r21, int r22, boolean r23) throws java.io.IOException {
        /*
            r18 = this;
            r1 = r18
            okhttp3.internal.connection.RealConnectionPool r2 = r1.connectionPool
            monitor-enter(r2)
            okhttp3.internal.connection.RealCall r0 = r1.call     // Catch:{ all -> 0x01c8 }
            boolean r0 = r0.isCanceled()     // Catch:{ all -> 0x01c8 }
            if (r0 != 0) goto L_0x01c0
            okhttp3.internal.connection.RealCall r0 = r1.call     // Catch:{ all -> 0x01c8 }
            okhttp3.internal.connection.RealConnection r0 = r0.getConnection()     // Catch:{ all -> 0x01c8 }
            r3 = 0
            if (r0 == 0) goto L_0x0035
            boolean r4 = r0.getNoNewExchanges()     // Catch:{ all -> 0x01c8 }
            if (r4 != 0) goto L_0x002e
            okhttp3.Route r4 = r0.route()     // Catch:{ all -> 0x01c8 }
            okhttp3.Address r4 = r4.address()     // Catch:{ all -> 0x01c8 }
            okhttp3.HttpUrl r4 = r4.url()     // Catch:{ all -> 0x01c8 }
            boolean r4 = r1.sameHostAndPort(r4)     // Catch:{ all -> 0x01c8 }
            if (r4 != 0) goto L_0x0035
        L_0x002e:
            okhttp3.internal.connection.RealCall r4 = r1.call     // Catch:{ all -> 0x01c8 }
            java.net.Socket r4 = r4.releaseConnectionNoEvents$okhttp()     // Catch:{ all -> 0x01c8 }
            goto L_0x0036
        L_0x0035:
            r4 = r3
        L_0x0036:
            okhttp3.internal.connection.RealCall r5 = r1.call     // Catch:{ all -> 0x01c8 }
            okhttp3.internal.connection.RealConnection r5 = r5.getConnection()     // Catch:{ all -> 0x01c8 }
            if (r5 == 0) goto L_0x0046
            okhttp3.internal.connection.RealCall r0 = r1.call     // Catch:{ all -> 0x01c8 }
            okhttp3.internal.connection.RealConnection r0 = r0.getConnection()     // Catch:{ all -> 0x01c8 }
            r5 = r3
            goto L_0x0048
        L_0x0046:
            r5 = r0
            r0 = r3
        L_0x0048:
            r6 = 1
            r7 = 0
            if (r0 != 0) goto L_0x0070
            r1.refusedStreamCount = r7     // Catch:{ all -> 0x01c8 }
            r1.connectionShutdownCount = r7     // Catch:{ all -> 0x01c8 }
            r1.otherFailureCount = r7     // Catch:{ all -> 0x01c8 }
            okhttp3.internal.connection.RealConnectionPool r8 = r1.connectionPool     // Catch:{ all -> 0x01c8 }
            okhttp3.Address r9 = r1.address     // Catch:{ all -> 0x01c8 }
            okhttp3.internal.connection.RealCall r10 = r1.call     // Catch:{ all -> 0x01c8 }
            boolean r8 = r8.callAcquirePooledConnection(r9, r10, r3, r7)     // Catch:{ all -> 0x01c8 }
            if (r8 == 0) goto L_0x0067
            okhttp3.internal.connection.RealCall r0 = r1.call     // Catch:{ all -> 0x01c8 }
            okhttp3.internal.connection.RealConnection r0 = r0.getConnection()     // Catch:{ all -> 0x01c8 }
            r8 = r3
            r9 = 1
            goto L_0x0072
        L_0x0067:
            okhttp3.Route r8 = r1.nextRouteToTry     // Catch:{ all -> 0x01c8 }
            if (r8 == 0) goto L_0x0070
            okhttp3.Route r8 = r1.nextRouteToTry     // Catch:{ all -> 0x01c8 }
            r1.nextRouteToTry = r3     // Catch:{ all -> 0x01c8 }
            goto L_0x0071
        L_0x0070:
            r8 = r3
        L_0x0071:
            r9 = 0
        L_0x0072:
            monitor-exit(r2)
            if (r4 == 0) goto L_0x0078
            okhttp3.internal.Util.closeQuietly((java.net.Socket) r4)
        L_0x0078:
            r2 = r5
            okhttp3.internal.connection.RealConnection r2 = (okhttp3.internal.connection.RealConnection) r2
            if (r2 == 0) goto L_0x008d
            okhttp3.EventListener r2 = r1.eventListener
            okhttp3.internal.connection.RealCall r4 = r1.call
            okhttp3.internal.connection.RealConnection r5 = (okhttp3.internal.connection.RealConnection) r5
            if (r5 == 0) goto L_0x0089
            r2.connectionReleased(r4, r5)
            goto L_0x008d
        L_0x0089:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x008d:
            if (r9 == 0) goto L_0x009d
            okhttp3.EventListener r2 = r1.eventListener
            okhttp3.internal.connection.RealCall r4 = r1.call
            if (r0 == 0) goto L_0x0099
            r2.connectionAcquired(r4, r0)
            goto L_0x009d
        L_0x0099:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x009d:
            if (r0 == 0) goto L_0x00a0
            return r0
        L_0x00a0:
            if (r8 != 0) goto L_0x00d6
            okhttp3.internal.connection.RouteSelector$Selection r2 = r1.routeSelection
            if (r2 == 0) goto L_0x00b3
            if (r2 == 0) goto L_0x00af
            boolean r2 = r2.hasNext()
            if (r2 != 0) goto L_0x00d6
            goto L_0x00b3
        L_0x00af:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x00b3:
            okhttp3.internal.connection.RouteSelector r2 = r1.routeSelector
            if (r2 != 0) goto L_0x00ce
            okhttp3.internal.connection.RouteSelector r2 = new okhttp3.internal.connection.RouteSelector
            okhttp3.Address r4 = r1.address
            okhttp3.internal.connection.RealCall r5 = r1.call
            okhttp3.OkHttpClient r5 = r5.getClient()
            okhttp3.internal.connection.RouteDatabase r5 = r5.getRouteDatabase()
            okhttp3.internal.connection.RealCall r10 = r1.call
            okhttp3.EventListener r11 = r1.eventListener
            r2.<init>(r4, r5, r10, r11)
            r1.routeSelector = r2
        L_0x00ce:
            okhttp3.internal.connection.RouteSelector$Selection r2 = r2.next()
            r1.routeSelection = r2
            r2 = 1
            goto L_0x00d7
        L_0x00d6:
            r2 = 0
        L_0x00d7:
            okhttp3.internal.connection.RealConnectionPool r4 = r1.connectionPool
            monitor-enter(r4)
            okhttp3.internal.connection.RealCall r5 = r1.call     // Catch:{ all -> 0x01bd }
            boolean r5 = r5.isCanceled()     // Catch:{ all -> 0x01bd }
            if (r5 != 0) goto L_0x01b5
            if (r2 == 0) goto L_0x0104
            okhttp3.internal.connection.RouteSelector$Selection r2 = r1.routeSelection     // Catch:{ all -> 0x01bd }
            if (r2 == 0) goto L_0x0100
            java.util.List r2 = r2.getRoutes()     // Catch:{ all -> 0x01bd }
            okhttp3.internal.connection.RealConnectionPool r5 = r1.connectionPool     // Catch:{ all -> 0x01bd }
            okhttp3.Address r10 = r1.address     // Catch:{ all -> 0x01bd }
            okhttp3.internal.connection.RealCall r11 = r1.call     // Catch:{ all -> 0x01bd }
            boolean r5 = r5.callAcquirePooledConnection(r10, r11, r2, r7)     // Catch:{ all -> 0x01bd }
            if (r5 == 0) goto L_0x0105
            okhttp3.internal.connection.RealCall r0 = r1.call     // Catch:{ all -> 0x01bd }
            okhttp3.internal.connection.RealConnection r0 = r0.getConnection()     // Catch:{ all -> 0x01bd }
            r9 = 1
            goto L_0x0105
        L_0x0100:
            p250f.p254l.p256c.Intrinsics.m5820a()     // Catch:{ all -> 0x01bd }
            throw r3
        L_0x0104:
            r2 = r3
        L_0x0105:
            if (r9 != 0) goto L_0x0127
            if (r8 != 0) goto L_0x0117
            okhttp3.internal.connection.RouteSelector$Selection r0 = r1.routeSelection     // Catch:{ all -> 0x01bd }
            if (r0 == 0) goto L_0x0113
            okhttp3.Route r0 = r0.next()     // Catch:{ all -> 0x01bd }
            r8 = r0
            goto L_0x0117
        L_0x0113:
            p250f.p254l.p256c.Intrinsics.m5820a()     // Catch:{ all -> 0x01bd }
            throw r3
        L_0x0117:
            okhttp3.internal.connection.RealConnection r0 = new okhttp3.internal.connection.RealConnection     // Catch:{ all -> 0x01bd }
            okhttp3.internal.connection.RealConnectionPool r5 = r1.connectionPool     // Catch:{ all -> 0x01bd }
            if (r8 == 0) goto L_0x0123
            r0.<init>(r5, r8)     // Catch:{ all -> 0x01bd }
            r1.connectingConnection = r0     // Catch:{ all -> 0x01bd }
            goto L_0x0127
        L_0x0123:
            p250f.p254l.p256c.Intrinsics.m5820a()     // Catch:{ all -> 0x01bd }
            throw r3
        L_0x0127:
            monitor-exit(r4)
            if (r9 == 0) goto L_0x013e
            okhttp3.EventListener r2 = r1.eventListener
            okhttp3.internal.connection.RealCall r4 = r1.call
            if (r0 == 0) goto L_0x013a
            r2.connectionAcquired(r4, r0)
            if (r0 == 0) goto L_0x0136
            return r0
        L_0x0136:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x013a:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x013e:
            if (r0 == 0) goto L_0x01b1
            okhttp3.internal.connection.RealCall r4 = r1.call
            okhttp3.EventListener r5 = r1.eventListener
            r10 = r0
            r11 = r19
            r12 = r20
            r13 = r21
            r14 = r22
            r15 = r23
            r16 = r4
            r17 = r5
            r10.connect(r11, r12, r13, r14, r15, r16, r17)
            okhttp3.internal.connection.RealCall r4 = r1.call
            okhttp3.OkHttpClient r4 = r4.getClient()
            okhttp3.internal.connection.RouteDatabase r4 = r4.getRouteDatabase()
            okhttp3.Route r5 = r0.route()
            r4.connected(r5)
            okhttp3.internal.connection.RealConnectionPool r4 = r1.connectionPool
            monitor-enter(r4)
            r1.connectingConnection = r3     // Catch:{ all -> 0x01ae }
            okhttp3.internal.connection.RealConnectionPool r5 = r1.connectionPool     // Catch:{ all -> 0x01ae }
            okhttp3.Address r7 = r1.address     // Catch:{ all -> 0x01ae }
            okhttp3.internal.connection.RealCall r9 = r1.call     // Catch:{ all -> 0x01ae }
            boolean r2 = r5.callAcquirePooledConnection(r7, r9, r2, r6)     // Catch:{ all -> 0x01ae }
            if (r2 == 0) goto L_0x0188
            r0.setNoNewExchanges(r6)     // Catch:{ all -> 0x01ae }
            java.net.Socket r0 = r0.socket()     // Catch:{ all -> 0x01ae }
            okhttp3.internal.connection.RealCall r2 = r1.call     // Catch:{ all -> 0x01ae }
            okhttp3.internal.connection.RealConnection r2 = r2.getConnection()     // Catch:{ all -> 0x01ae }
            r1.nextRouteToTry = r8     // Catch:{ all -> 0x01ae }
            goto L_0x0194
        L_0x0188:
            okhttp3.internal.connection.RealConnectionPool r2 = r1.connectionPool     // Catch:{ all -> 0x01ae }
            r2.put(r0)     // Catch:{ all -> 0x01ae }
            okhttp3.internal.connection.RealCall r2 = r1.call     // Catch:{ all -> 0x01ae }
            r2.acquireConnectionNoEvents(r0)     // Catch:{ all -> 0x01ae }
            r2 = r0
            r0 = r3
        L_0x0194:
            monitor-exit(r4)
            if (r0 == 0) goto L_0x019a
            okhttp3.internal.Util.closeQuietly((java.net.Socket) r0)
        L_0x019a:
            okhttp3.EventListener r0 = r1.eventListener
            okhttp3.internal.connection.RealCall r4 = r1.call
            if (r2 == 0) goto L_0x01aa
            r0.connectionAcquired(r4, r2)
            if (r2 == 0) goto L_0x01a6
            return r2
        L_0x01a6:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x01aa:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x01ae:
            r0 = move-exception
            monitor-exit(r4)
            throw r0
        L_0x01b1:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r3
        L_0x01b5:
            java.io.IOException r0 = new java.io.IOException     // Catch:{ all -> 0x01bd }
            java.lang.String r2 = "Canceled"
            r0.<init>(r2)     // Catch:{ all -> 0x01bd }
            throw r0     // Catch:{ all -> 0x01bd }
        L_0x01bd:
            r0 = move-exception
            monitor-exit(r4)
            throw r0
        L_0x01c0:
            java.io.IOException r0 = new java.io.IOException     // Catch:{ all -> 0x01c8 }
            java.lang.String r3 = "Canceled"
            r0.<init>(r3)     // Catch:{ all -> 0x01c8 }
            throw r0     // Catch:{ all -> 0x01c8 }
        L_0x01c8:
            r0 = move-exception
            monitor-exit(r2)
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.internal.connection.ExchangeFinder.findConnection(int, int, int, int, boolean):okhttp3.internal.connection.RealConnection");
    }

    private final RealConnection findHealthyConnection(int i, int i2, int i3, int i4, boolean z, boolean z2) throws IOException {
        while (true) {
            RealConnection findConnection = findConnection(i, i2, i3, i4, z);
            if (findConnection.isHealthy(z2)) {
                return findConnection;
            }
            findConnection.noNewExchanges();
            synchronized (this.connectionPool) {
                if (this.nextRouteToTry == null) {
                    RouteSelector.Selection selection = this.routeSelection;
                    boolean z3 = true;
                    if (!(selection != null ? selection.hasNext() : true)) {
                        RouteSelector routeSelector2 = this.routeSelector;
                        if (routeSelector2 != null) {
                            z3 = routeSelector2.hasNext();
                        }
                        if (!z3) {
                            throw new IOException("exhausted all routes");
                        }
                    }
                }
            }
        }
    }

    private final boolean retryCurrentRoute() {
        RealConnection connection;
        if (this.refusedStreamCount > 1 || this.connectionShutdownCount > 1 || this.otherFailureCount > 0 || (connection = this.call.getConnection()) == null || connection.getRouteFailureCount$okhttp() != 0 || !Util.canReuseConnectionFor(connection.route().address().url(), this.address.url())) {
            return false;
        }
        return true;
    }

    public final RealConnection connectingConnection() {
        RealConnectionPool realConnectionPool = this.connectionPool;
        if (!Util.assertionsEnabled || Thread.holdsLock(realConnectionPool)) {
            return this.connectingConnection;
        }
        StringBuilder a = outline.m2937a("Thread ");
        Thread currentThread = Thread.currentThread();
        Intrinsics.m5821a((Object) currentThread, "Thread.currentThread()");
        a.append(currentThread.getName());
        a.append(" MUST hold lock on ");
        a.append(realConnectionPool);
        throw new AssertionError(a.toString());
    }

    public final ExchangeCodec find(OkHttpClient okHttpClient, RealInterceptorChain realInterceptorChain) {
        if (okHttpClient == null) {
            Intrinsics.m5822a("client");
            throw null;
        } else if (realInterceptorChain != null) {
            try {
                return findHealthyConnection(realInterceptorChain.getConnectTimeoutMillis$okhttp(), realInterceptorChain.getReadTimeoutMillis$okhttp(), realInterceptorChain.getWriteTimeoutMillis$okhttp(), okHttpClient.pingIntervalMillis(), okHttpClient.retryOnConnectionFailure(), !Intrinsics.m5823a((Object) realInterceptorChain.getRequest$okhttp().method(), (Object) "GET")).newCodec$okhttp(okHttpClient, realInterceptorChain);
            } catch (RouteException e) {
                trackFailure(e.getLastConnectException());
                throw e;
            } catch (IOException e2) {
                trackFailure(e2);
                throw new RouteException(e2);
            }
        } else {
            Intrinsics.m5822a("chain");
            throw null;
        }
    }

    public final Address getAddress$okhttp() {
        return this.address;
    }

    public final boolean retryAfterFailure() {
        synchronized (this.connectionPool) {
            if (this.refusedStreamCount == 0 && this.connectionShutdownCount == 0 && this.otherFailureCount == 0) {
                return false;
            }
            if (this.nextRouteToTry != null) {
                return true;
            }
            if (retryCurrentRoute()) {
                RealConnection connection = this.call.getConnection();
                if (connection != null) {
                    this.nextRouteToTry = connection.route();
                    return true;
                }
                Intrinsics.m5820a();
                throw null;
            }
            RouteSelector.Selection selection = this.routeSelection;
            if (selection != null && selection.hasNext()) {
                return true;
            }
            RouteSelector routeSelector2 = this.routeSelector;
            if (routeSelector2 == null) {
                return true;
            }
            boolean hasNext = routeSelector2.hasNext();
            return hasNext;
        }
    }

    public final boolean sameHostAndPort(HttpUrl httpUrl) {
        if (httpUrl != null) {
            HttpUrl url = this.address.url();
            return httpUrl.port() == url.port() && Intrinsics.m5823a((Object) httpUrl.host(), (Object) url.host());
        }
        Intrinsics.m5822a("url");
        throw null;
    }

    public final void trackFailure(IOException iOException) {
        if (iOException != null) {
            RealConnectionPool realConnectionPool = this.connectionPool;
            if (!Util.assertionsEnabled || !Thread.holdsLock(realConnectionPool)) {
                synchronized (this.connectionPool) {
                    this.nextRouteToTry = null;
                    if ((iOException instanceof StreamResetException) && ((StreamResetException) iOException).errorCode == ErrorCode.REFUSED_STREAM) {
                        this.refusedStreamCount++;
                    } else if (iOException instanceof ConnectionShutdownException) {
                        this.connectionShutdownCount++;
                    } else {
                        this.otherFailureCount++;
                    }
                }
                return;
            }
            StringBuilder a = outline.m2937a("Thread ");
            Thread currentThread = Thread.currentThread();
            Intrinsics.m5821a((Object) currentThread, "Thread.currentThread()");
            a.append(currentThread.getName());
            a.append(" MUST NOT hold lock on ");
            a.append(realConnectionPool);
            throw new AssertionError(a.toString());
        }
        Intrinsics.m5822a("e");
        throw null;
    }
}
