package okhttp3.internal.http2;

import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p262g.C1952h;

/* compiled from: Header.kt */
public final class Header {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final C1952h PSEUDO_PREFIX = C1952h.f7659f.mo9552c(":");
    public static final C1952h RESPONSE_STATUS = C1952h.f7659f.mo9552c(RESPONSE_STATUS_UTF8);
    public static final String RESPONSE_STATUS_UTF8 = ":status";
    public static final C1952h TARGET_AUTHORITY = C1952h.f7659f.mo9552c(TARGET_AUTHORITY_UTF8);
    public static final String TARGET_AUTHORITY_UTF8 = ":authority";
    public static final C1952h TARGET_METHOD = C1952h.f7659f.mo9552c(TARGET_METHOD_UTF8);
    public static final String TARGET_METHOD_UTF8 = ":method";
    public static final C1952h TARGET_PATH = C1952h.f7659f.mo9552c(TARGET_PATH_UTF8);
    public static final String TARGET_PATH_UTF8 = ":path";
    public static final C1952h TARGET_SCHEME = C1952h.f7659f.mo9552c(TARGET_SCHEME_UTF8);
    public static final String TARGET_SCHEME_UTF8 = ":scheme";
    public final int hpackSize;
    public final C1952h name;
    public final C1952h value;

    /* compiled from: Header.kt */
    public static final class Companion {
        public Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    public Header(C1952h hVar, C1952h hVar2) {
        if (hVar == null) {
            Intrinsics.m5822a("name");
            throw null;
        } else if (hVar2 != null) {
            this.name = hVar;
            this.value = hVar2;
            this.hpackSize = hVar.mo9540b() + 32 + this.value.mo9540b();
        } else {
            Intrinsics.m5822a("value");
            throw null;
        }
    }

    public static /* synthetic */ Header copy$default(Header header, C1952h hVar, C1952h hVar2, int i, Object obj) {
        if ((i & 1) != 0) {
            hVar = header.name;
        }
        if ((i & 2) != 0) {
            hVar2 = header.value;
        }
        return header.copy(hVar, hVar2);
    }

    public final C1952h component1() {
        return this.name;
    }

    public final C1952h component2() {
        return this.value;
    }

    public final Header copy(C1952h hVar, C1952h hVar2) {
        if (hVar == null) {
            Intrinsics.m5822a("name");
            throw null;
        } else if (hVar2 != null) {
            return new Header(hVar, hVar2);
        } else {
            Intrinsics.m5822a("value");
            throw null;
        }
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Header)) {
            return false;
        }
        Header header = (Header) obj;
        return Intrinsics.m5823a((Object) this.name, (Object) header.name) && Intrinsics.m5823a((Object) this.value, (Object) header.value);
    }

    public int hashCode() {
        C1952h hVar = this.name;
        int i = 0;
        int hashCode = (hVar != null ? hVar.hashCode() : 0) * 31;
        C1952h hVar2 = this.value;
        if (hVar2 != null) {
            i = hVar2.hashCode();
        }
        return hashCode + i;
    }

    public String toString() {
        return this.name.mo9547g() + ": " + this.value.mo9547g();
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public Header(String str, String str2) {
        this(C1952h.f7659f.mo9552c(str), C1952h.f7659f.mo9552c(str2));
        if (str == null) {
            Intrinsics.m5822a("name");
            throw null;
        } else if (str2 != null) {
        } else {
            Intrinsics.m5822a("value");
            throw null;
        }
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public Header(C1952h hVar, String str) {
        this(hVar, C1952h.f7659f.mo9552c(str));
        if (hVar == null) {
            Intrinsics.m5822a("name");
            throw null;
        } else if (str != null) {
        } else {
            Intrinsics.m5822a("value");
            throw null;
        }
    }
}
