package okhttp3.internal.p269io;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p250f.p254l.p256c.Intrinsics;
import p262g.Sink;
import p262g.Source;

/* renamed from: okhttp3.internal.io.FileSystem$Companion$SYSTEM$1 */
/* compiled from: FileSystem.kt */
public final class FileSystem$Companion$SYSTEM$1 implements FileSystem {
    public Sink appendingSink(File file) throws FileNotFoundException {
        if (file != null) {
            try {
                return C1050v.m4149a(file);
            } catch (FileNotFoundException unused) {
                file.getParentFile().mkdirs();
                return C1050v.m4149a(file);
            }
        } else {
            Intrinsics.m5822a("file");
            throw null;
        }
    }

    public void delete(File file) throws IOException {
        if (file == null) {
            Intrinsics.m5822a("file");
            throw null;
        } else if (!file.delete() && file.exists()) {
            throw new IOException("failed to delete " + file);
        }
    }

    public void deleteContents(File file) throws IOException {
        if (file != null) {
            File[] listFiles = file.listFiles();
            if (listFiles != null) {
                int length = listFiles.length;
                int i = 0;
                while (i < length) {
                    File file2 = listFiles[i];
                    Intrinsics.m5821a((Object) file2, "file");
                    if (file2.isDirectory()) {
                        deleteContents(file2);
                    }
                    if (file2.delete()) {
                        i++;
                    } else {
                        throw new IOException("failed to delete " + file2);
                    }
                }
                return;
            }
            throw new IOException("not a readable directory: " + file);
        }
        Intrinsics.m5822a("directory");
        throw null;
    }

    public boolean exists(File file) {
        if (file != null) {
            return file.exists();
        }
        Intrinsics.m5822a("file");
        throw null;
    }

    public void rename(File file, File file2) throws IOException {
        if (file == null) {
            Intrinsics.m5822a("from");
            throw null;
        } else if (file2 != null) {
            delete(file2);
            if (!file.renameTo(file2)) {
                throw new IOException("failed to rename " + file + " to " + file2);
            }
        } else {
            Intrinsics.m5822a("to");
            throw null;
        }
    }

    public Sink sink(File file) throws FileNotFoundException {
        if (file != null) {
            try {
                return C1050v.m4150a(file, false, 1, (Object) null);
            } catch (FileNotFoundException unused) {
                file.getParentFile().mkdirs();
                return C1050v.m4150a(file, false, 1, (Object) null);
            }
        } else {
            Intrinsics.m5822a("file");
            throw null;
        }
    }

    public long size(File file) {
        if (file != null) {
            return file.length();
        }
        Intrinsics.m5822a("file");
        throw null;
    }

    public Source source(File file) throws FileNotFoundException {
        if (file != null) {
            return C1050v.m4195b(file);
        }
        Intrinsics.m5822a("file");
        throw null;
    }
}
