package com.newrelic.agent.android.harvest.crash;

import com.newrelic.agent.android.agentdata.HexAttributes;
import com.newrelic.agent.android.harvest.type.HarvestableObject;
import com.newrelic.com.google.gson.JsonObject;
import com.newrelic.com.google.gson.JsonPrimitive;

public class ExceptionInfo extends HarvestableObject {
    public String className;
    public String message;

    public ExceptionInfo() {
    }

    public static ExceptionInfo newFromJson(JsonObject jsonObject) {
        ExceptionInfo exceptionInfo = new ExceptionInfo();
        String str = "";
        exceptionInfo.className = jsonObject.has("name") ? jsonObject.get("name").getAsString() : str;
        if (jsonObject.has(HexAttributes.HEX_ATTR_CAUSE)) {
            str = jsonObject.get(HexAttributes.HEX_ATTR_CAUSE).getAsString();
        }
        exceptionInfo.message = str;
        return exceptionInfo;
    }

    public JsonObject asJsonObject() {
        JsonObject jsonObject = new JsonObject();
        String str = this.className;
        String str2 = "";
        if (str == null) {
            str = str2;
        }
        jsonObject.add("name", new JsonPrimitive(str));
        String str3 = this.message;
        if (str3 != null) {
            str2 = str3;
        }
        jsonObject.add(HexAttributes.HEX_ATTR_CAUSE, new JsonPrimitive(str2));
        return jsonObject;
    }

    public String getClassName() {
        return this.className;
    }

    public String getMessage() {
        return this.message;
    }

    public ExceptionInfo(Throwable th) {
        if (th.getClass().getName().equalsIgnoreCase("com.newrelic.agent.android.unity.UnityException")) {
            this.className = th.toString();
        } else {
            this.className = th.getClass().getName();
        }
        if (th.getMessage() != null) {
            this.message = th.getMessage();
        } else {
            this.message = "";
        }
    }
}
