package okhttp3.internal.p270ws;

import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.Intrinsics;
import p262g.C1948d;
import p262g.C1952h;

/* renamed from: okhttp3.internal.ws.WebSocketProtocol */
/* compiled from: WebSocketProtocol.kt */
public final class WebSocketProtocol {
    public static final String ACCEPT_MAGIC = "258EAFA5-E914-47DA-95CA-C5AB0DC85B11";
    public static final int B0_FLAG_FIN = 128;
    public static final int B0_FLAG_RSV1 = 64;
    public static final int B0_FLAG_RSV2 = 32;
    public static final int B0_FLAG_RSV3 = 16;
    public static final int B0_MASK_OPCODE = 15;
    public static final int B1_FLAG_MASK = 128;
    public static final int B1_MASK_LENGTH = 127;
    public static final int CLOSE_CLIENT_GOING_AWAY = 1001;
    public static final long CLOSE_MESSAGE_MAX = 123;
    public static final int CLOSE_NO_STATUS_CODE = 1005;
    public static final WebSocketProtocol INSTANCE = new WebSocketProtocol();
    public static final int OPCODE_BINARY = 2;
    public static final int OPCODE_CONTINUATION = 0;
    public static final int OPCODE_CONTROL_CLOSE = 8;
    public static final int OPCODE_CONTROL_PING = 9;
    public static final int OPCODE_CONTROL_PONG = 10;
    public static final int OPCODE_FLAG_CONTROL = 8;
    public static final int OPCODE_TEXT = 1;
    public static final long PAYLOAD_BYTE_MAX = 125;
    public static final int PAYLOAD_LONG = 127;
    public static final int PAYLOAD_SHORT = 126;
    public static final long PAYLOAD_SHORT_MAX = 65535;

    public final String acceptHeader(String str) {
        if (str != null) {
            C1952h.C1953a aVar = C1952h.f7659f;
            return aVar.mo9552c(str + ACCEPT_MAGIC).mo9544e().mo9535a();
        }
        Intrinsics.m5822a("key");
        throw null;
    }

    public final String closeCodeExceptionMessage(int i) {
        if (i < 1000 || i >= 5000) {
            return outline.m2930a("Code must be in range [1000,5000): ", i);
        }
        if ((1004 > i || 1006 < i) && (1015 > i || 2999 < i)) {
            return null;
        }
        return "Code " + i + " is reserved and may not be used.";
    }

    public final void toggleMask(C1948d.C1949a aVar, byte[] bArr) {
        long j;
        if (aVar == null) {
            Intrinsics.m5822a("cursor");
            throw null;
        } else if (bArr != null) {
            int length = bArr.length;
            int i = 0;
            do {
                byte[] bArr2 = aVar.f7653f;
                int i2 = aVar.f7654g;
                int i3 = aVar.f7655h;
                boolean z = true;
                if (bArr2 != null) {
                    while (i2 < i3) {
                        int i4 = i % length;
                        bArr2[i2] = (byte) (bArr2[i2] ^ bArr[i4]);
                        i2++;
                        i = i4 + 1;
                    }
                }
                long j2 = aVar.f7652e;
                C1948d dVar = aVar.f7649b;
                if (dVar != null) {
                    if (j2 == dVar.f7648c) {
                        z = false;
                    }
                    if (z) {
                        j = aVar.f7652e;
                    } else {
                        throw new IllegalStateException("no more bytes".toString());
                    }
                } else {
                    Intrinsics.m5820a();
                    throw null;
                }
            } while (aVar.mo9522f(j == -1 ? 0 : j + ((long) (aVar.f7655h - aVar.f7654g))) != -1);
        } else {
            Intrinsics.m5822a("key");
            throw null;
        }
    }

    public final void validateCloseCode(int i) {
        String closeCodeExceptionMessage = closeCodeExceptionMessage(i);
        if (closeCodeExceptionMessage == null) {
            return;
        }
        if (closeCodeExceptionMessage == null) {
            Intrinsics.m5820a();
            throw null;
        }
        throw new IllegalArgumentException(closeCodeExceptionMessage.toString());
    }
}
