package okhttp3.internal.p270ws;

import java.io.Closeable;
import java.io.IOException;
import java.util.Random;
import p250f.p254l.p256c.Intrinsics;
import p262g.BufferedSink;
import p262g.C1948d;
import p262g.C1952h;

/* renamed from: okhttp3.internal.ws.WebSocketWriter */
/* compiled from: WebSocketWriter.kt */
public final class WebSocketWriter implements Closeable {
    public final boolean isClient;
    public final C1948d.C1949a maskCursor;
    public final byte[] maskKey;
    public final C1948d messageBuffer;
    public MessageDeflater messageDeflater;
    public final long minimumDeflateSize;
    public final boolean noContextTakeover;
    public final boolean perMessageDeflate;
    public final Random random;
    public final BufferedSink sink;
    public final C1948d sinkBuffer;
    public boolean writerClosed;

    public WebSocketWriter(boolean z, BufferedSink fVar, Random random2, boolean z2, boolean z3, long j) {
        C1948d.C1949a aVar = null;
        if (fVar == null) {
            Intrinsics.m5822a("sink");
            throw null;
        } else if (random2 != null) {
            this.isClient = z;
            this.sink = fVar;
            this.random = random2;
            this.perMessageDeflate = z2;
            this.noContextTakeover = z3;
            this.minimumDeflateSize = j;
            this.messageBuffer = new C1948d();
            this.sinkBuffer = this.sink.getBuffer();
            this.maskKey = this.isClient ? new byte[4] : null;
            this.maskCursor = this.isClient ? new C1948d.C1949a() : aVar;
        } else {
            Intrinsics.m5822a("random");
            throw null;
        }
    }

    private final void writeControlFrame(int i, C1952h hVar) throws IOException {
        if (!this.writerClosed) {
            int b = hVar.mo9540b();
            if (((long) b) <= 125) {
                this.sinkBuffer.writeByte(i | 128);
                if (this.isClient) {
                    this.sinkBuffer.writeByte(b | 128);
                    Random random2 = this.random;
                    byte[] bArr = this.maskKey;
                    if (bArr != null) {
                        random2.nextBytes(bArr);
                        this.sinkBuffer.write(this.maskKey);
                        if (b > 0) {
                            C1948d dVar = this.sinkBuffer;
                            long j = dVar.f7648c;
                            dVar.mo9467a(hVar);
                            C1948d dVar2 = this.sinkBuffer;
                            C1948d.C1949a aVar = this.maskCursor;
                            if (aVar != null) {
                                dVar2.mo9464a(aVar);
                                this.maskCursor.mo9522f(j);
                                WebSocketProtocol.INSTANCE.toggleMask(this.maskCursor, this.maskKey);
                                this.maskCursor.close();
                            } else {
                                Intrinsics.m5820a();
                                throw null;
                            }
                        }
                    } else {
                        Intrinsics.m5820a();
                        throw null;
                    }
                } else {
                    this.sinkBuffer.writeByte(b);
                    this.sinkBuffer.mo9467a(hVar);
                }
                this.sink.flush();
                return;
            }
            throw new IllegalArgumentException("Payload size must be less than or equal to 125".toString());
        }
        throw new IOException("closed");
    }

    public void close() {
        MessageDeflater messageDeflater2 = this.messageDeflater;
        if (messageDeflater2 != null) {
            messageDeflater2.close();
        }
    }

    public final Random getRandom() {
        return this.random;
    }

    public final BufferedSink getSink() {
        return this.sink;
    }

    public final void writeClose(int i, C1952h hVar) throws IOException {
        C1952h hVar2 = C1952h.f7658e;
        if (!(i == 0 && hVar == null)) {
            if (i != 0) {
                WebSocketProtocol.INSTANCE.validateCloseCode(i);
            }
            C1948d dVar = new C1948d();
            dVar.writeShort(i);
            if (hVar != null) {
                dVar.mo9467a(hVar);
            }
            hVar2 = dVar.mo9486e();
        }
        try {
            writeControlFrame(8, hVar2);
        } finally {
            this.writerClosed = true;
        }
    }

    public final void writeMessageFrame(int i, C1952h hVar) throws IOException {
        if (hVar == null) {
            Intrinsics.m5822a("data");
            throw null;
        } else if (!this.writerClosed) {
            this.messageBuffer.mo9467a(hVar);
            int i2 = 128;
            int i3 = i | 128;
            if (this.perMessageDeflate && ((long) hVar.mo9540b()) >= this.minimumDeflateSize) {
                MessageDeflater messageDeflater2 = this.messageDeflater;
                if (messageDeflater2 == null) {
                    messageDeflater2 = new MessageDeflater(this.noContextTakeover);
                    this.messageDeflater = messageDeflater2;
                }
                messageDeflater2.deflate(this.messageBuffer);
                i3 |= 64;
            }
            long j = this.messageBuffer.f7648c;
            this.sinkBuffer.writeByte(i3);
            if (!this.isClient) {
                i2 = 0;
            }
            if (j <= 125) {
                this.sinkBuffer.writeByte(((int) j) | i2);
            } else if (j <= WebSocketProtocol.PAYLOAD_SHORT_MAX) {
                this.sinkBuffer.writeByte(i2 | WebSocketProtocol.PAYLOAD_SHORT);
                this.sinkBuffer.writeShort((int) j);
            } else {
                this.sinkBuffer.writeByte(i2 | 127);
                this.sinkBuffer.mo9499j(j);
            }
            if (this.isClient) {
                Random random2 = this.random;
                byte[] bArr = this.maskKey;
                if (bArr != null) {
                    random2.nextBytes(bArr);
                    this.sinkBuffer.write(this.maskKey);
                    if (j > 0) {
                        C1948d dVar = this.messageBuffer;
                        C1948d.C1949a aVar = this.maskCursor;
                        if (aVar != null) {
                            dVar.mo9464a(aVar);
                            this.maskCursor.mo9522f(0);
                            WebSocketProtocol.INSTANCE.toggleMask(this.maskCursor, this.maskKey);
                            this.maskCursor.close();
                        } else {
                            Intrinsics.m5820a();
                            throw null;
                        }
                    }
                } else {
                    Intrinsics.m5820a();
                    throw null;
                }
            }
            this.sinkBuffer.write(this.messageBuffer, j);
            this.sink.mo9488f();
        } else {
            throw new IOException("closed");
        }
    }

    public final void writePing(C1952h hVar) throws IOException {
        if (hVar != null) {
            writeControlFrame(9, hVar);
        } else {
            Intrinsics.m5822a("payload");
            throw null;
        }
    }

    public final void writePong(C1952h hVar) throws IOException {
        if (hVar != null) {
            writeControlFrame(10, hVar);
        } else {
            Intrinsics.m5822a("payload");
            throw null;
        }
    }
}
