package okhttp3.internal.platform.android;

import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.X509TrustManager;
import okhttp3.internal.Util;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: StandardAndroidSocketAdapter.kt */
public final class StandardAndroidSocketAdapter extends AndroidSocketAdapter {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public final Class<?> paramClass;
    public final Class<? super SSLSocketFactory> sslSocketFactoryClass;

    /* compiled from: StandardAndroidSocketAdapter.kt */
    public static final class Companion {
        public Companion() {
        }

        public static /* synthetic */ SocketAdapter buildIfSupported$default(Companion companion, String str, int i, Object obj) {
            if ((i & 1) != 0) {
                str = "com.android.org.conscrypt";
            }
            return companion.buildIfSupported(str);
        }

        public final SocketAdapter buildIfSupported(String str) {
            if (str != null) {
                try {
                    Class<?> cls = Class.forName(str + ".OpenSSLSocketImpl");
                    Class<?> cls2 = Class.forName(str + ".OpenSSLSocketFactoryImpl");
                    Class<?> cls3 = Class.forName(str + ".SSLParametersImpl");
                    Intrinsics.m5821a((Object) cls3, "paramsClass");
                    return new StandardAndroidSocketAdapter(cls, cls2, cls3);
                } catch (Exception e) {
                    UtilKt.androidLog(5, "unable to load android socket classes", e);
                    return null;
                }
            } else {
                Intrinsics.m5822a("packageName");
                throw null;
            }
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public StandardAndroidSocketAdapter(Class<? super SSLSocket> cls, Class<? super SSLSocketFactory> cls2, Class<?> cls3) {
        super(cls);
        if (cls == null) {
            Intrinsics.m5822a("sslSocketClass");
            throw null;
        } else if (cls2 == null) {
            Intrinsics.m5822a("sslSocketFactoryClass");
            throw null;
        } else if (cls3 != null) {
            this.sslSocketFactoryClass = cls2;
            this.paramClass = cls3;
        } else {
            Intrinsics.m5822a("paramClass");
            throw null;
        }
    }

    public boolean matchesSocketFactory(SSLSocketFactory sSLSocketFactory) {
        if (sSLSocketFactory != null) {
            return this.sslSocketFactoryClass.isInstance(sSLSocketFactory);
        }
        Intrinsics.m5822a("sslSocketFactory");
        throw null;
    }

    public X509TrustManager trustManager(SSLSocketFactory sSLSocketFactory) {
        if (sSLSocketFactory != null) {
            Object readFieldOrNull = Util.readFieldOrNull(sSLSocketFactory, this.paramClass, "sslParameters");
            if (readFieldOrNull != null) {
                X509TrustManager x509TrustManager = (X509TrustManager) Util.readFieldOrNull(readFieldOrNull, X509TrustManager.class, "x509TrustManager");
                return x509TrustManager != null ? x509TrustManager : (X509TrustManager) Util.readFieldOrNull(readFieldOrNull, X509TrustManager.class, "trustManager");
            }
            Intrinsics.m5820a();
            throw null;
        }
        Intrinsics.m5822a("sslSocketFactory");
        throw null;
    }
}
