package com.newrelic.agent.android.instrumentation;

import android.widget.AdapterView;
import com.newrelic.agent.android.FeatureFlag;
import com.newrelic.agent.android.instrumentation.ViewListeners;
import com.newrelic.agent.android.logging.AgentLog;
import com.newrelic.agent.android.logging.AgentLogManager;

public class AdapterViewInstrumentation {
    public static final AgentLog log = AgentLogManager.getAgentLog();

    public static final void setOnItemClickListener(AdapterView adapterView, AdapterView.OnItemClickListener onItemClickListener) {
        try {
            if (FeatureFlag.featureEnabled(FeatureFlag.GestureInstrumentation)) {
                AdapterView.OnItemClickListener onItemClickListener2 = adapterView.getOnItemClickListener();
                if (onItemClickListener2 == null) {
                    adapterView.setOnItemClickListener(new ViewListeners.OnItemClickListenerDelegate(adapterView, onItemClickListener));
                } else if (onItemClickListener2 instanceof ViewListeners.OnItemClickListenerDelegate) {
                    ((ViewListeners.OnItemClickListenerDelegate) onItemClickListener2).addListener(onItemClickListener);
                } else {
                    ViewListeners.OnItemClickListenerDelegate onItemClickListenerDelegate = new ViewListeners.OnItemClickListenerDelegate(adapterView, onItemClickListener2);
                    onItemClickListenerDelegate.addListener(onItemClickListener);
                    adapterView.setOnItemClickListener(onItemClickListenerDelegate);
                }
            } else {
                adapterView.setOnItemClickListener(onItemClickListener);
            }
        } catch (NoSuchFieldError unused) {
            adapterView.setOnItemClickListener(onItemClickListener);
        }
    }
}
