package p008b.p010b.p014m.p015a;

import android.animation.ObjectAnimator;
import android.animation.TimeInterpolator;
import android.annotation.SuppressLint;
import android.content.res.Resources;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.Drawable;
import android.util.StateSet;
import p008b.p010b.p014m.p015a.DrawableContainer;
import p008b.p010b.p014m.p015a.StateListDrawable;
import p008b.p026e.LongSparseArray;
import p008b.p026e.SparseArrayCompat;
import p008b.p033h.p037g.p038j.TintAwareDrawable;
import p008b.p081x.p082a.p083a.AnimatedVectorDrawableCompat;

@SuppressLint({"RestrictedAPI"})
/* renamed from: b.b.m.a.a */
public class AnimatedStateListDrawableCompat extends StateListDrawable implements TintAwareDrawable {

    /* renamed from: p */
    public C0233c f1143p;

    /* renamed from: q */
    public C0237g f1144q;

    /* renamed from: r */
    public int f1145r;

    /* renamed from: s */
    public int f1146s;

    /* renamed from: t */
    public boolean f1147t;

    /* renamed from: b.b.m.a.a$b */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class C0232b extends C0237g {

        /* renamed from: a */
        public final Animatable f1148a;

        public C0232b(Animatable animatable) {
            super((C0231a) null);
            this.f1148a = animatable;
        }

        /* renamed from: c */
        public void mo1700c() {
            this.f1148a.start();
        }

        /* renamed from: d */
        public void mo1701d() {
            this.f1148a.stop();
        }
    }

    /* renamed from: b.b.m.a.a$c */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class C0233c extends StateListDrawable.C0241a {

        /* renamed from: K */
        public LongSparseArray<Long> f1149K;

        /* renamed from: L */
        public SparseArrayCompat<Integer> f1150L;

        public C0233c(C0233c cVar, AnimatedStateListDrawableCompat aVar, Resources resources) {
            super(cVar, aVar, resources);
            if (cVar != null) {
                this.f1149K = cVar.f1149K;
                this.f1150L = cVar.f1150L;
                return;
            }
            this.f1149K = new LongSparseArray<>();
            this.f1150L = new SparseArrayCompat<>(10);
        }

        /* renamed from: a */
        public static long m989a(int i, int i2) {
            return ((long) i2) | (((long) i) << 32);
        }

        /* renamed from: a */
        public int mo1702a(int i, int i2, Drawable drawable, boolean z) {
            int a = super.mo1747a(drawable);
            long a2 = m989a(i, i2);
            long j = z ? 8589934592L : 0;
            long j2 = (long) a;
            this.f1149K.mo2721a(a2, Long.valueOf(j2 | j));
            if (z) {
                this.f1149K.mo2721a(m989a(i2, i), Long.valueOf(4294967296L | j2 | j));
            }
            return a;
        }

        /* renamed from: b */
        public int mo1704b(int[] iArr) {
            int a = super.mo1795a(iArr);
            if (a >= 0) {
                return a;
            }
            return super.mo1795a(StateSet.WILD_CARD);
        }

        /* renamed from: d */
        public void mo1705d() {
            this.f1149K = this.f1149K.clone();
            this.f1150L = this.f1150L.clone();
        }

        public Drawable newDrawable() {
            return new AnimatedStateListDrawableCompat(this, (Resources) null);
        }

        public Drawable newDrawable(Resources resources) {
            return new AnimatedStateListDrawableCompat(this, resources);
        }

        /* renamed from: b */
        public int mo1703b(int i) {
            if (i < 0) {
                return 0;
            }
            return this.f1150L.mo2821b(i, 0).intValue();
        }
    }

    /* renamed from: b.b.m.a.a$d */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class C0234d extends C0237g {

        /* renamed from: a */
        public final AnimatedVectorDrawableCompat f1151a;

        public C0234d(AnimatedVectorDrawableCompat cVar) {
            super((C0231a) null);
            this.f1151a = cVar;
        }

        /* renamed from: c */
        public void mo1700c() {
            this.f1151a.start();
        }

        /* renamed from: d */
        public void mo1701d() {
            this.f1151a.stop();
        }
    }

    /* renamed from: b.b.m.a.a$e */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class C0235e extends C0237g {

        /* renamed from: a */
        public final ObjectAnimator f1152a;

        /* renamed from: b */
        public final boolean f1153b;

        public C0235e(AnimationDrawable animationDrawable, boolean z, boolean z2) {
            super((C0231a) null);
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            int i = z ? numberOfFrames - 1 : 0;
            int i2 = z ? 0 : numberOfFrames - 1;
            C0236f fVar = new C0236f(animationDrawable, z);
            ObjectAnimator ofInt = ObjectAnimator.ofInt(animationDrawable, "currentIndex", new int[]{i, i2});
            ofInt.setAutoCancel(true);
            ofInt.setDuration((long) fVar.f1156c);
            ofInt.setInterpolator(fVar);
            this.f1153b = z2;
            this.f1152a = ofInt;
        }

        /* renamed from: a */
        public boolean mo1708a() {
            return this.f1153b;
        }

        /* renamed from: b */
        public void mo1709b() {
            this.f1152a.reverse();
        }

        /* renamed from: c */
        public void mo1700c() {
            this.f1152a.start();
        }

        /* renamed from: d */
        public void mo1701d() {
            this.f1152a.cancel();
        }
    }

    /* renamed from: b.b.m.a.a$f */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class C0236f implements TimeInterpolator {

        /* renamed from: a */
        public int[] f1154a;

        /* renamed from: b */
        public int f1155b;

        /* renamed from: c */
        public int f1156c;

        public C0236f(AnimationDrawable animationDrawable, boolean z) {
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            this.f1155b = numberOfFrames;
            int[] iArr = this.f1154a;
            if (iArr == null || iArr.length < numberOfFrames) {
                this.f1154a = new int[numberOfFrames];
            }
            int[] iArr2 = this.f1154a;
            int i = 0;
            for (int i2 = 0; i2 < numberOfFrames; i2++) {
                int duration = animationDrawable.getDuration(z ? (numberOfFrames - i2) - 1 : i2);
                iArr2[i2] = duration;
                i += duration;
            }
            this.f1156c = i;
        }

        public float getInterpolation(float f) {
            int i = (int) ((f * ((float) this.f1156c)) + 0.5f);
            int i2 = this.f1155b;
            int[] iArr = this.f1154a;
            int i3 = 0;
            while (i3 < i2 && i >= iArr[i3]) {
                i -= iArr[i3];
                i3++;
            }
            return (((float) i3) / ((float) i2)) + (i3 < i2 ? ((float) i) / ((float) this.f1156c) : 0.0f);
        }
    }

    /* renamed from: b.b.m.a.a$g */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static abstract class C0237g {
        public /* synthetic */ C0237g(C0231a aVar) {
        }

        /* renamed from: a */
        public boolean mo1708a() {
            return false;
        }

        /* renamed from: b */
        public void mo1709b() {
        }

        /* renamed from: c */
        public abstract void mo1700c();

        /* renamed from: d */
        public abstract void mo1701d();
    }

    static {
        Class<AnimatedStateListDrawableCompat> cls = AnimatedStateListDrawableCompat.class;
    }

    public AnimatedStateListDrawableCompat() {
        this((C0233c) null, (Resources) null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:70:0x01d3, code lost:
        throw new org.xmlpull.v1.XmlPullParserException(p085c.p086a.p087a.p088a.outline.m2936a(r2, new java.lang.StringBuilder(), ": <transition> tag requires 'fromId' & 'toId' attributes"));
     */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public static p008b.p010b.p014m.p015a.AnimatedStateListDrawableCompat m983a(android.content.Context r17, android.content.res.Resources r18, org.xmlpull.v1.XmlPullParser r19, android.util.AttributeSet r20, android.content.res.Resources.Theme r21) throws java.io.IOException, org.xmlpull.v1.XmlPullParserException {
        /*
            r0 = r17
            r1 = r18
            r2 = r19
            r3 = r20
            r4 = r21
            java.lang.String r5 = r19.getName()
            java.lang.String r6 = "animated-selector"
            boolean r6 = r5.equals(r6)
            if (r6 == 0) goto L_0x01ef
            b.b.m.a.a r5 = new b.b.m.a.a
            r6 = 0
            r5.<init>(r6, r6)
            int[] r7 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableCompat
            android.content.res.TypedArray r7 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m25a((android.content.res.Resources) r1, (android.content.res.Resources.Theme) r4, (android.util.AttributeSet) r3, (int[]) r7)
            int r8 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableCompat_android_visible
            r9 = 1
            boolean r8 = r7.getBoolean(r8, r9)
            r5.setVisible(r8, r9)
            b.b.m.a.a$c r8 = r5.f1143p
            int r10 = r8.f1183d
            int r11 = r7.getChangingConfigurations()
            r10 = r10 | r11
            r8.f1183d = r10
            int r10 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableCompat_android_variablePadding
            boolean r11 = r8.f1188i
            boolean r10 = r7.getBoolean(r10, r11)
            r8.f1188i = r10
            int r10 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableCompat_android_constantSize
            boolean r11 = r8.f1191l
            boolean r10 = r7.getBoolean(r10, r11)
            r8.f1191l = r10
            int r10 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableCompat_android_enterFadeDuration
            int r11 = r8.f1171A
            int r10 = r7.getInt(r10, r11)
            r8.f1171A = r10
            int r10 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableCompat_android_exitFadeDuration
            int r11 = r8.f1172B
            int r10 = r7.getInt(r10, r11)
            r8.f1172B = r10
            int r10 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableCompat_android_dither
            boolean r8 = r8.f1203x
            boolean r8 = r7.getBoolean(r10, r8)
            r5.setDither(r8)
            b.b.m.a.b$c r8 = r5.f1157b
            r8.mo1749a((android.content.res.Resources) r1)
            r7.recycle()
            int r7 = r19.getDepth()
            int r7 = r7 + r9
        L_0x0077:
            int r8 = r19.next()
            if (r8 == r9) goto L_0x01e7
            int r10 = r19.getDepth()
            if (r10 >= r7) goto L_0x0086
            r11 = 3
            if (r8 == r11) goto L_0x01e7
        L_0x0086:
            r11 = 2
            if (r8 == r11) goto L_0x008a
            goto L_0x0077
        L_0x008a:
            if (r10 <= r7) goto L_0x008d
            goto L_0x0077
        L_0x008d:
            java.lang.String r8 = r19.getName()
            java.lang.String r9 = "item"
            boolean r8 = r8.equals(r9)
            r10 = -1
            r11 = 0
            if (r8 == 0) goto L_0x0142
            int[] r8 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableItem
            android.content.res.TypedArray r8 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m25a((android.content.res.Resources) r1, (android.content.res.Resources.Theme) r4, (android.util.AttributeSet) r3, (int[]) r8)
            int r12 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableItem_android_id
            int r12 = r8.getResourceId(r12, r11)
            int r13 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableItem_android_drawable
            int r10 = r8.getResourceId(r13, r10)
            if (r10 <= 0) goto L_0x00b7
            b.b.p.n0 r6 = p008b.p010b.p019p.ResourceManagerInternal.m1370a()
            android.graphics.drawable.Drawable r6 = r6.mo2428b(r0, r10)
        L_0x00b7:
            r8.recycle()
            int r8 = r20.getAttributeCount()
            int[] r10 = new int[r8]
            r13 = 0
            r14 = 0
        L_0x00c2:
            if (r14 >= r8) goto L_0x00e4
            int r15 = r3.getAttributeNameResource(r14)
            if (r15 == 0) goto L_0x00e1
            r9 = 16842960(0x10100d0, float:2.369414E-38)
            if (r15 == r9) goto L_0x00e1
            r9 = 16843161(0x1010199, float:2.3694704E-38)
            if (r15 == r9) goto L_0x00e1
            int r9 = r13 + 1
            boolean r16 = r3.getAttributeBooleanValue(r14, r11)
            if (r16 == 0) goto L_0x00dd
            goto L_0x00de
        L_0x00dd:
            int r15 = -r15
        L_0x00de:
            r10[r13] = r15
            r13 = r9
        L_0x00e1:
            int r14 = r14 + 1
            goto L_0x00c2
        L_0x00e4:
            int[] r8 = android.util.StateSet.trimStateSet(r10, r13)
            java.lang.String r9 = ": <item> tag requires a 'drawable' attribute or child tag defining a drawable"
            if (r6 != 0) goto L_0x011c
        L_0x00ec:
            int r6 = r19.next()
            r10 = 4
            if (r6 != r10) goto L_0x00f4
            goto L_0x00ec
        L_0x00f4:
            r10 = 2
            if (r6 != r10) goto L_0x010d
            java.lang.String r6 = r19.getName()
            java.lang.String r10 = "vector"
            boolean r6 = r6.equals(r10)
            if (r6 == 0) goto L_0x0108
            b.x.a.a.g r6 = p008b.p081x.p082a.p083a.VectorDrawableCompat.createFromXmlInner(r18, r19, r20, r21)
            goto L_0x011c
        L_0x0108:
            android.graphics.drawable.Drawable r6 = android.graphics.drawable.Drawable.createFromXmlInner(r18, r19, r20, r21)
            goto L_0x011c
        L_0x010d:
            org.xmlpull.v1.XmlPullParserException r0 = new org.xmlpull.v1.XmlPullParserException
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r1 = p085c.p086a.p087a.p088a.outline.m2936a((org.xmlpull.v1.XmlPullParser) r2, (java.lang.StringBuilder) r1, (java.lang.String) r9)
            r0.<init>(r1)
            throw r0
        L_0x011c:
            if (r6 == 0) goto L_0x0133
            b.b.m.a.a$c r9 = r5.f1143p
            int r6 = r9.mo1747a((android.graphics.drawable.Drawable) r6)
            int[][] r10 = r9.f1222J
            r10[r6] = r8
            b.e.i<java.lang.Integer> r8 = r9.f1150L
            java.lang.Integer r9 = java.lang.Integer.valueOf(r12)
            r8.mo2823c(r6, r9)
            goto L_0x01e3
        L_0x0133:
            org.xmlpull.v1.XmlPullParserException r0 = new org.xmlpull.v1.XmlPullParserException
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r1 = p085c.p086a.p087a.p088a.outline.m2936a((org.xmlpull.v1.XmlPullParser) r2, (java.lang.StringBuilder) r1, (java.lang.String) r9)
            r0.<init>(r1)
            throw r0
        L_0x0142:
            java.lang.String r6 = r19.getName()
            java.lang.String r8 = "transition"
            boolean r6 = r6.equals(r8)
            if (r6 == 0) goto L_0x01e3
            int[] r6 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableTransition
            android.content.res.TypedArray r6 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m25a((android.content.res.Resources) r1, (android.content.res.Resources.Theme) r4, (android.util.AttributeSet) r3, (int[]) r6)
            int r8 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableTransition_android_fromId
            int r8 = r6.getResourceId(r8, r10)
            int r9 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableTransition_android_toId
            int r9 = r6.getResourceId(r9, r10)
            int r12 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableTransition_android_drawable
            int r12 = r6.getResourceId(r12, r10)
            if (r12 <= 0) goto L_0x0171
            b.b.p.n0 r13 = p008b.p010b.p019p.ResourceManagerInternal.m1370a()
            android.graphics.drawable.Drawable r12 = r13.mo2428b(r0, r12)
            goto L_0x0172
        L_0x0171:
            r12 = 0
        L_0x0172:
            int r13 = p008b.p010b.p016n.C0243b.AnimatedStateListDrawableTransition_android_reversible
            boolean r11 = r6.getBoolean(r13, r11)
            r6.recycle()
            java.lang.String r6 = ": <transition> tag requires a 'drawable' attribute or child tag defining a drawable"
            if (r12 != 0) goto L_0x01b5
        L_0x017f:
            int r12 = r19.next()
            r13 = 4
            if (r12 != r13) goto L_0x0187
            goto L_0x017f
        L_0x0187:
            r13 = 2
            if (r12 != r13) goto L_0x01a6
            java.lang.String r12 = r19.getName()
            java.lang.String r13 = "animated-vector"
            boolean r12 = r12.equals(r13)
            if (r12 == 0) goto L_0x01a0
            b.x.a.a.c r12 = new b.x.a.a.c
            r13 = 0
            r12.<init>(r0, r13, r13)
            r12.inflate(r1, r2, r3, r4)
            goto L_0x01b6
        L_0x01a0:
            r13 = 0
            android.graphics.drawable.Drawable r12 = android.graphics.drawable.Drawable.createFromXmlInner(r18, r19, r20, r21)
            goto L_0x01b6
        L_0x01a6:
            org.xmlpull.v1.XmlPullParserException r0 = new org.xmlpull.v1.XmlPullParserException
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r1 = p085c.p086a.p087a.p088a.outline.m2936a((org.xmlpull.v1.XmlPullParser) r2, (java.lang.StringBuilder) r1, (java.lang.String) r6)
            r0.<init>(r1)
            throw r0
        L_0x01b5:
            r13 = 0
        L_0x01b6:
            if (r12 == 0) goto L_0x01d4
            if (r8 == r10) goto L_0x01c3
            if (r9 == r10) goto L_0x01c3
            b.b.m.a.a$c r6 = r5.f1143p
            r6.mo1702a(r8, r9, r12, r11)
            r6 = r13
            goto L_0x01e4
        L_0x01c3:
            org.xmlpull.v1.XmlPullParserException r0 = new org.xmlpull.v1.XmlPullParserException
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r3 = ": <transition> tag requires 'fromId' & 'toId' attributes"
            java.lang.String r1 = p085c.p086a.p087a.p088a.outline.m2936a((org.xmlpull.v1.XmlPullParser) r2, (java.lang.StringBuilder) r1, (java.lang.String) r3)
            r0.<init>(r1)
            throw r0
        L_0x01d4:
            org.xmlpull.v1.XmlPullParserException r0 = new org.xmlpull.v1.XmlPullParserException
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r1 = p085c.p086a.p087a.p088a.outline.m2936a((org.xmlpull.v1.XmlPullParser) r2, (java.lang.StringBuilder) r1, (java.lang.String) r6)
            r0.<init>(r1)
            throw r0
        L_0x01e3:
            r6 = 0
        L_0x01e4:
            r9 = 1
            goto L_0x0077
        L_0x01e7:
            int[] r0 = r5.getState()
            r5.onStateChange(r0)
            return r5
        L_0x01ef:
            org.xmlpull.v1.XmlPullParserException r0 = new org.xmlpull.v1.XmlPullParserException
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r2 = r19.getPositionDescription()
            r1.append(r2)
            java.lang.String r2 = ": invalid animated-selector tag "
            r1.append(r2)
            r1.append(r5)
            java.lang.String r1 = r1.toString()
            r0.<init>(r1)
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p014m.p015a.AnimatedStateListDrawableCompat.m983a(android.content.Context, android.content.res.Resources, org.xmlpull.v1.XmlPullParser, android.util.AttributeSet, android.content.res.Resources$Theme):b.b.m.a.a");
    }

    public boolean isStateful() {
        return true;
    }

    public void jumpToCurrentState() {
        super.jumpToCurrentState();
        C0237g gVar = this.f1144q;
        if (gVar != null) {
            gVar.mo1701d();
            this.f1144q = null;
            mo1713a(this.f1145r);
            this.f1145r = -1;
            this.f1146s = -1;
        }
    }

    public Drawable mutate() {
        if (!this.f1147t) {
            super.mutate();
            if (this == this) {
                this.f1143p.mo1705d();
                this.f1147t = true;
            }
        }
        return this;
    }

    public boolean onStateChange(int[] iArr) {
        boolean z;
        C0237g gVar;
        int[] iArr2 = iArr;
        int b = this.f1143p.mo1704b(iArr2);
        int i = this.f1163h;
        boolean z2 = false;
        if (b != i) {
            C0237g gVar2 = this.f1144q;
            if (gVar2 != null) {
                if (b != this.f1145r) {
                    if (b != this.f1146s || !gVar2.mo1708a()) {
                        i = this.f1145r;
                        gVar2.mo1701d();
                    } else {
                        gVar2.mo1709b();
                        this.f1145r = this.f1146s;
                        this.f1146s = b;
                    }
                }
                z = true;
                if (z || mo1713a(b)) {
                    z2 = true;
                }
            }
            this.f1144q = null;
            this.f1146s = -1;
            this.f1145r = -1;
            C0233c cVar = this.f1143p;
            int b2 = cVar.mo1703b(i);
            int b3 = cVar.mo1703b(b);
            if (!(b3 == 0 || b2 == 0)) {
                int longValue = (int) cVar.f1149K.mo2722b(C0233c.m989a(b2, b3), -1L).longValue();
                if (longValue >= 0) {
                    boolean z3 = (cVar.f1149K.mo2722b(C0233c.m989a(b2, b3), -1L).longValue() & 8589934592L) != 0;
                    mo1713a(longValue);
                    Drawable drawable = this.f1159d;
                    if (drawable instanceof AnimationDrawable) {
                        gVar = new C0235e((AnimationDrawable) drawable, (cVar.f1149K.mo2722b(C0233c.m989a(b2, b3), -1L).longValue() & 4294967296L) != 0, z3);
                    } else if (drawable instanceof AnimatedVectorDrawableCompat) {
                        gVar = new C0234d((AnimatedVectorDrawableCompat) drawable);
                    } else if (drawable instanceof Animatable) {
                        gVar = new C0232b((Animatable) drawable);
                    }
                    gVar.mo1700c();
                    this.f1144q = gVar;
                    this.f1146s = i;
                    this.f1145r = b;
                    z = true;
                    z2 = true;
                }
            }
            z = false;
            z2 = true;
        }
        Drawable drawable2 = this.f1159d;
        return drawable2 != null ? z2 | drawable2.setState(iArr2) : z2;
    }

    public boolean setVisible(boolean z, boolean z2) {
        boolean visible = super.setVisible(z, z2);
        if (this.f1144q != null && (visible || z2)) {
            if (z) {
                this.f1144q.mo1700c();
            } else {
                jumpToCurrentState();
            }
        }
        return visible;
    }

    public AnimatedStateListDrawableCompat(C0233c cVar, Resources resources) {
        super((StateListDrawable.C0241a) null);
        this.f1145r = -1;
        this.f1146s = -1;
        C0233c cVar2 = new C0233c(cVar, this, resources);
        super.mo1694a(cVar2);
        this.f1143p = cVar2;
        onStateChange(getState());
        jumpToCurrentState();
    }

    /* renamed from: a */
    public DrawableContainer.C0240c mo1693a() {
        return new C0233c(this.f1143p, this, (Resources) null);
    }

    /* renamed from: a */
    public StateListDrawable.C0241a m985a() {
        return new C0233c(this.f1143p, this, (Resources) null);
    }

    /* renamed from: a */
    public void mo1694a(DrawableContainer.C0240c cVar) {
        super.mo1694a(cVar);
        if (cVar instanceof C0233c) {
            this.f1143p = (C0233c) cVar;
        }
    }
}
