package p008b.p010b.p017o.p018i;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.util.SparseArray;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
import p008b.p033h.p035f.ContextCompat;
import p008b.p033h.p039h.p040a.SupportMenu;
import p008b.p033h.p045m.ViewConfigurationCompat;

/* renamed from: b.b.o.i.g */
public class MenuBuilder implements SupportMenu {

    /* renamed from: z */
    public static final int[] f1376z = {1, 4, 5, 3, 2, 0};

    /* renamed from: a */
    public final Context f1377a;

    /* renamed from: b */
    public final Resources f1378b;

    /* renamed from: c */
    public boolean f1379c;

    /* renamed from: d */
    public boolean f1380d;

    /* renamed from: e */
    public C0255a f1381e;

    /* renamed from: f */
    public ArrayList<MenuItemImpl> f1382f;

    /* renamed from: g */
    public ArrayList<MenuItemImpl> f1383g;

    /* renamed from: h */
    public boolean f1384h;

    /* renamed from: i */
    public ArrayList<MenuItemImpl> f1385i;

    /* renamed from: j */
    public ArrayList<MenuItemImpl> f1386j;

    /* renamed from: k */
    public boolean f1387k;

    /* renamed from: l */
    public int f1388l = 0;

    /* renamed from: m */
    public CharSequence f1389m;

    /* renamed from: n */
    public Drawable f1390n;

    /* renamed from: o */
    public View f1391o;

    /* renamed from: p */
    public boolean f1392p = false;

    /* renamed from: q */
    public boolean f1393q = false;

    /* renamed from: r */
    public boolean f1394r = false;

    /* renamed from: s */
    public boolean f1395s = false;

    /* renamed from: t */
    public boolean f1396t = false;

    /* renamed from: u */
    public ArrayList<MenuItemImpl> f1397u = new ArrayList<>();

    /* renamed from: v */
    public CopyOnWriteArrayList<WeakReference<MenuPresenter>> f1398v = new CopyOnWriteArrayList<>();

    /* renamed from: w */
    public MenuItemImpl f1399w;

    /* renamed from: x */
    public boolean f1400x = false;

    /* renamed from: y */
    public boolean f1401y;

    /* renamed from: b.b.o.i.g$a */
    /* compiled from: MenuBuilder */
    public interface C0255a {
        /* renamed from: a */
        void mo256a(MenuBuilder gVar);

        /* renamed from: a */
        boolean mo257a(MenuBuilder gVar, MenuItem menuItem);
    }

    /* renamed from: b.b.o.i.g$b */
    /* compiled from: MenuBuilder */
    public interface C0256b {
        /* renamed from: a */
        boolean mo120a(MenuItemImpl iVar);
    }

    public MenuBuilder(Context context) {
        boolean z = false;
        this.f1377a = context;
        this.f1378b = context.getResources();
        this.f1382f = new ArrayList<>();
        this.f1383g = new ArrayList<>();
        this.f1384h = true;
        this.f1385i = new ArrayList<>();
        this.f1386j = new ArrayList<>();
        this.f1387k = true;
        if (this.f1378b.getConfiguration().keyboard != 1 && ViewConfigurationCompat.m2004c(ViewConfiguration.get(this.f1377a), this.f1377a)) {
            z = true;
        }
        this.f1380d = z;
    }

    /* renamed from: a */
    public void mo1948a(MenuPresenter mVar, Context context) {
        this.f1398v.add(new WeakReference(mVar));
        mVar.mo458a(context, this);
        this.f1387k = true;
    }

    public MenuItem add(CharSequence charSequence) {
        return mo1941a(0, 0, 0, charSequence);
    }

    public int addIntentOptions(int i, int i2, int i3, ComponentName componentName, Intent[] intentArr, Intent intent, int i4, MenuItem[] menuItemArr) {
        int i5;
        PackageManager packageManager = this.f1377a.getPackageManager();
        List<ResolveInfo> queryIntentActivityOptions = packageManager.queryIntentActivityOptions(componentName, intentArr, intent, 0);
        int size = queryIntentActivityOptions != null ? queryIntentActivityOptions.size() : 0;
        if ((i4 & 1) == 0) {
            removeGroup(i);
        }
        for (int i6 = 0; i6 < size; i6++) {
            ResolveInfo resolveInfo = queryIntentActivityOptions.get(i6);
            int i7 = resolveInfo.specificIndex;
            Intent intent2 = new Intent(i7 < 0 ? intent : intentArr[i7]);
            ActivityInfo activityInfo = resolveInfo.activityInfo;
            intent2.setComponent(new ComponentName(activityInfo.applicationInfo.packageName, activityInfo.name));
            MenuItem intent3 = mo1941a(i, i2, i3, resolveInfo.loadLabel(packageManager)).setIcon(resolveInfo.loadIcon(packageManager)).setIntent(intent2);
            if (menuItemArr != null && (i5 = resolveInfo.specificIndex) >= 0) {
                menuItemArr[i5] = intent3;
            }
        }
        return size;
    }

    public SubMenu addSubMenu(CharSequence charSequence) {
        return addSubMenu(0, 0, 0, charSequence);
    }

    /* renamed from: b */
    public String mo1964b() {
        return "android:menu:actionviewstates";
    }

    /* renamed from: b */
    public void mo1965b(Bundle bundle) {
        int size = size();
        SparseArray sparseArray = null;
        for (int i = 0; i < size; i++) {
            MenuItem item = getItem(i);
            View actionView = item.getActionView();
            if (!(actionView == null || actionView.getId() == -1)) {
                if (sparseArray == null) {
                    sparseArray = new SparseArray();
                }
                actionView.saveHierarchyState(sparseArray);
                if (item.isActionViewExpanded()) {
                    bundle.putInt("android:menu:expandedactionview", item.getItemId());
                }
            }
            if (item.hasSubMenu()) {
                ((SubMenuBuilder) item.getSubMenu()).mo1965b(bundle);
            }
        }
        if (sparseArray != null) {
            bundle.putSparseParcelableArray(mo1964b(), sparseArray);
        }
    }

    /* renamed from: c */
    public MenuBuilder mo1968c() {
        return this;
    }

    public void clear() {
        MenuItemImpl iVar = this.f1399w;
        if (iVar != null) {
            mo1954a(iVar);
        }
        this.f1382f.clear();
        mo1966b(true);
    }

    public void clearHeader() {
        this.f1390n = null;
        this.f1389m = null;
        this.f1391o = null;
        mo1966b(false);
    }

    public void close() {
        mo1950a(true);
    }

    /* renamed from: d */
    public ArrayList<MenuItemImpl> mo1972d() {
        if (!this.f1384h) {
            return this.f1383g;
        }
        this.f1383g.clear();
        int size = this.f1382f.size();
        for (int i = 0; i < size; i++) {
            MenuItemImpl iVar = this.f1382f.get(i);
            if (iVar.isVisible()) {
                this.f1383g.add(iVar);
            }
        }
        this.f1384h = false;
        this.f1387k = true;
        return this.f1383g;
    }

    /* renamed from: e */
    public boolean mo1973e() {
        return this.f1400x;
    }

    /* renamed from: f */
    public boolean mo1974f() {
        return this.f1379c;
    }

    public MenuItem findItem(int i) {
        MenuItem findItem;
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItemImpl iVar = this.f1382f.get(i2);
            if (iVar.f1409a == i) {
                return iVar;
            }
            if (iVar.hasSubMenu() && (findItem = iVar.f1423o.findItem(i)) != null) {
                return findItem;
            }
        }
        return null;
    }

    /* renamed from: g */
    public boolean mo1976g() {
        return this.f1380d;
    }

    public MenuItem getItem(int i) {
        return this.f1382f.get(i);
    }

    /* renamed from: h */
    public void mo1978h() {
        this.f1387k = true;
        mo1966b(true);
    }

    public boolean hasVisibleItems() {
        if (this.f1401y) {
            return true;
        }
        int size = size();
        for (int i = 0; i < size; i++) {
            if (this.f1382f.get(i).isVisible()) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: i */
    public void mo1980i() {
        this.f1392p = false;
        if (this.f1393q) {
            this.f1393q = false;
            mo1966b(this.f1394r);
        }
    }

    public boolean isShortcutKey(int i, KeyEvent keyEvent) {
        return mo1942a(i, keyEvent) != null;
    }

    /* renamed from: j */
    public void mo1982j() {
        if (!this.f1392p) {
            this.f1392p = true;
            this.f1393q = false;
            this.f1394r = false;
        }
    }

    public boolean performIdentifierAction(int i, int i2) {
        return mo1951a(findItem(i), i2);
    }

    public boolean performShortcut(int i, KeyEvent keyEvent, int i2) {
        MenuItemImpl a = mo1942a(i, keyEvent);
        boolean a2 = a != null ? mo1952a((MenuItem) a, (MenuPresenter) null, i2) : false;
        if ((i2 & 2) != 0) {
            mo1950a(true);
        }
        return a2;
    }

    public void removeGroup(int i) {
        int size = size();
        int i2 = 0;
        while (true) {
            if (i2 >= size) {
                i2 = -1;
                break;
            } else if (this.f1382f.get(i2).f1410b == i) {
                break;
            } else {
                i2++;
            }
        }
        if (i2 >= 0) {
            int size2 = this.f1382f.size() - i2;
            int i3 = 0;
            while (true) {
                int i4 = i3 + 1;
                if (i3 >= size2 || this.f1382f.get(i2).f1410b != i) {
                    mo1966b(true);
                } else {
                    mo1945a(i2, false);
                    i3 = i4;
                }
            }
            mo1966b(true);
        }
    }

    public void removeItem(int i) {
        int size = size();
        int i2 = 0;
        while (true) {
            if (i2 >= size) {
                i2 = -1;
                break;
            } else if (this.f1382f.get(i2).f1409a == i) {
                break;
            } else {
                i2++;
            }
        }
        mo1945a(i2, true);
    }

    public void setGroupCheckable(int i, boolean z, boolean z2) {
        int size = this.f1382f.size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItemImpl iVar = this.f1382f.get(i2);
            if (iVar.f1410b == i) {
                iVar.f1432x = (iVar.f1432x & -5) | (z2 ? 4 : 0);
                iVar.setCheckable(z);
            }
        }
    }

    public void setGroupDividerEnabled(boolean z) {
        this.f1400x = z;
    }

    public void setGroupEnabled(int i, boolean z) {
        int size = this.f1382f.size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItemImpl iVar = this.f1382f.get(i2);
            if (iVar.f1410b == i) {
                iVar.setEnabled(z);
            }
        }
    }

    public void setGroupVisible(int i, boolean z) {
        int size = this.f1382f.size();
        boolean z2 = false;
        for (int i2 = 0; i2 < size; i2++) {
            MenuItemImpl iVar = this.f1382f.get(i2);
            if (iVar.f1410b == i && iVar.mo2001c(z)) {
                z2 = true;
            }
        }
        if (z2) {
            mo1966b(true);
        }
    }

    public void setQwertyMode(boolean z) {
        this.f1379c = z;
        mo1966b(false);
    }

    public int size() {
        return this.f1382f.size();
    }

    public MenuItem add(int i) {
        return mo1941a(0, 0, 0, this.f1378b.getString(i));
    }

    public SubMenu addSubMenu(int i) {
        return addSubMenu(0, 0, 0, (CharSequence) this.f1378b.getString(i));
    }

    public MenuItem add(int i, int i2, int i3, CharSequence charSequence) {
        return mo1941a(i, i2, i3, charSequence);
    }

    public SubMenu addSubMenu(int i, int i2, int i3, CharSequence charSequence) {
        MenuItemImpl iVar = (MenuItemImpl) mo1941a(i, i2, i3, charSequence);
        SubMenuBuilder rVar = new SubMenuBuilder(this.f1377a, this, iVar);
        iVar.f1423o = rVar;
        rVar.setHeaderTitle(iVar.f1413e);
        return rVar;
    }

    /* renamed from: a */
    public void mo1947a(MenuPresenter mVar) {
        Iterator<WeakReference<MenuPresenter>> it = this.f1398v.iterator();
        while (it.hasNext()) {
            WeakReference next = it.next();
            MenuPresenter mVar2 = (MenuPresenter) next.get();
            if (mVar2 == null || mVar2 == mVar) {
                this.f1398v.remove(next);
            }
        }
    }

    public MenuItem add(int i, int i2, int i3, int i4) {
        return mo1941a(i, i2, i3, this.f1378b.getString(i4));
    }

    /* renamed from: a */
    public void mo1946a(Bundle bundle) {
        MenuItem findItem;
        if (bundle != null) {
            SparseArray sparseParcelableArray = bundle.getSparseParcelableArray(mo1964b());
            int size = size();
            for (int i = 0; i < size; i++) {
                MenuItem item = getItem(i);
                View actionView = item.getActionView();
                if (!(actionView == null || actionView.getId() == -1)) {
                    actionView.restoreHierarchyState(sparseParcelableArray);
                }
                if (item.hasSubMenu()) {
                    ((SubMenuBuilder) item.getSubMenu()).mo1946a(bundle);
                }
            }
            int i2 = bundle.getInt("android:menu:expandedactionview");
            if (i2 > 0 && (findItem = findItem(i2)) != null) {
                findItem.expandActionView();
            }
        }
    }

    public SubMenu addSubMenu(int i, int i2, int i3, int i4) {
        return addSubMenu(i, i2, i3, (CharSequence) this.f1378b.getString(i4));
    }

    /* renamed from: b */
    public void mo1966b(boolean z) {
        if (!this.f1392p) {
            if (z) {
                this.f1384h = true;
                this.f1387k = true;
            }
            if (!this.f1398v.isEmpty()) {
                mo1982j();
                Iterator<WeakReference<MenuPresenter>> it = this.f1398v.iterator();
                while (it.hasNext()) {
                    WeakReference next = it.next();
                    MenuPresenter mVar = (MenuPresenter) next.get();
                    if (mVar == null) {
                        this.f1398v.remove(next);
                    } else {
                        mVar.mo461a(z);
                    }
                }
                mo1980i();
                return;
            }
            return;
        }
        this.f1393q = true;
        if (z) {
            this.f1394r = true;
        }
    }

    /* renamed from: a */
    public final void mo1945a(int i, boolean z) {
        if (i >= 0 && i < this.f1382f.size()) {
            this.f1382f.remove(i);
            if (z) {
                mo1966b(true);
            }
        }
    }

    /* renamed from: a */
    public MenuItem mo1941a(int i, int i2, int i3, CharSequence charSequence) {
        int i4;
        int i5 = (-65536 & i3) >> 16;
        if (i5 >= 0) {
            int[] iArr = f1376z;
            if (i5 < iArr.length) {
                int i6 = (iArr[i5] << 16) | (65535 & i3);
                MenuItemImpl iVar = new MenuItemImpl(this, i, i2, i3, i6, charSequence, this.f1388l);
                ArrayList<MenuItemImpl> arrayList = this.f1382f;
                int size = arrayList.size();
                while (true) {
                    size--;
                    if (size >= 0) {
                        if (arrayList.get(size).f1412d <= i6) {
                            i4 = size + 1;
                            break;
                        }
                    } else {
                        i4 = 0;
                        break;
                    }
                }
                arrayList.add(i4, iVar);
                mo1966b(true);
                return iVar;
            }
        }
        throw new IllegalArgumentException("order does not contain a valid category.");
    }

    /* renamed from: b */
    public boolean mo1967b(MenuItemImpl iVar) {
        boolean z = false;
        if (this.f1398v.isEmpty()) {
            return false;
        }
        mo1982j();
        Iterator<WeakReference<MenuPresenter>> it = this.f1398v.iterator();
        while (it.hasNext()) {
            WeakReference next = it.next();
            MenuPresenter mVar = (MenuPresenter) next.get();
            if (mVar == null) {
                this.f1398v.remove(next);
            } else {
                z = mVar.mo464b(this, iVar);
                if (z) {
                    break;
                }
            }
        }
        mo1980i();
        if (z) {
            this.f1399w = iVar;
        }
        return z;
    }

    /* renamed from: a */
    public final void mo1944a(int i, CharSequence charSequence, int i2, Drawable drawable, View view) {
        Resources resources = this.f1378b;
        if (view != null) {
            this.f1391o = view;
            this.f1389m = null;
            this.f1390n = null;
        } else {
            if (i > 0) {
                this.f1389m = resources.getText(i);
            } else if (charSequence != null) {
                this.f1389m = charSequence;
            }
            if (i2 > 0) {
                this.f1390n = ContextCompat.m1788c(this.f1377a, i2);
            } else if (drawable != null) {
                this.f1390n = drawable;
            }
            this.f1391o = null;
        }
        mo1966b(false);
    }

    /* renamed from: a */
    public boolean mo1953a(MenuBuilder gVar, MenuItem menuItem) {
        C0255a aVar = this.f1381e;
        return aVar != null && aVar.mo257a(gVar, menuItem);
    }

    /* renamed from: a */
    public void mo1949a(List<MenuItemImpl> list, int i, KeyEvent keyEvent) {
        char c;
        int i2;
        boolean f = mo1974f();
        int modifiers = keyEvent.getModifiers();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        if (keyEvent.getKeyData(keyData) || i == 67) {
            int size = this.f1382f.size();
            for (int i3 = 0; i3 < size; i3++) {
                MenuItemImpl iVar = this.f1382f.get(i3);
                if (iVar.hasSubMenu()) {
                    iVar.f1423o.mo1949a(list, i, keyEvent);
                }
                if (f) {
                    c = iVar.f1418j;
                } else {
                    c = iVar.f1416h;
                }
                if (f) {
                    i2 = iVar.f1419k;
                } else {
                    i2 = iVar.f1417i;
                }
                if (((modifiers & 69647) == (i2 & 69647)) && c != 0) {
                    char[] cArr = keyData.meta;
                    if ((c == cArr[0] || c == cArr[2] || (f && c == 8 && i == 67)) && iVar.isEnabled()) {
                        list.add(iVar);
                    }
                }
            }
        }
    }

    /* renamed from: a */
    public MenuItemImpl mo1942a(int i, KeyEvent keyEvent) {
        char c;
        ArrayList<MenuItemImpl> arrayList = this.f1397u;
        arrayList.clear();
        mo1949a((List<MenuItemImpl>) arrayList, i, keyEvent);
        if (arrayList.isEmpty()) {
            return null;
        }
        int metaState = keyEvent.getMetaState();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        keyEvent.getKeyData(keyData);
        int size = arrayList.size();
        if (size == 1) {
            return arrayList.get(0);
        }
        boolean f = mo1974f();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItemImpl iVar = arrayList.get(i2);
            if (f) {
                c = iVar.f1418j;
            } else {
                c = iVar.f1416h;
            }
            if ((c == keyData.meta[0] && (metaState & 2) == 0) || ((c == keyData.meta[2] && (metaState & 2) != 0) || (f && c == 8 && i == 67))) {
                return iVar;
            }
        }
        return null;
    }

    /* renamed from: a */
    public boolean mo1951a(MenuItem menuItem, int i) {
        return mo1952a(menuItem, (MenuPresenter) null, i);
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x0056  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0058  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x005f  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x006b  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean mo1952a(android.view.MenuItem r7, p008b.p010b.p017o.p018i.MenuPresenter r8, int r9) {
        /*
            r6 = this;
            b.b.o.i.i r7 = (p008b.p010b.p017o.p018i.MenuItemImpl) r7
            r0 = 0
            if (r7 == 0) goto L_0x00e5
            boolean r1 = r7.isEnabled()
            if (r1 != 0) goto L_0x000d
            goto L_0x00e5
        L_0x000d:
            android.view.MenuItem$OnMenuItemClickListener r1 = r7.f1424p
            r2 = 1
            if (r1 == 0) goto L_0x0019
            boolean r1 = r1.onMenuItemClick(r7)
            if (r1 == 0) goto L_0x0019
            goto L_0x0044
        L_0x0019:
            b.b.o.i.g r1 = r7.f1422n
            boolean r1 = r1.mo1953a((p008b.p010b.p017o.p018i.MenuBuilder) r1, (android.view.MenuItem) r7)
            if (r1 == 0) goto L_0x0022
            goto L_0x0044
        L_0x0022:
            android.content.Intent r1 = r7.f1415g
            if (r1 == 0) goto L_0x0036
            b.b.o.i.g r3 = r7.f1422n     // Catch:{ ActivityNotFoundException -> 0x002e }
            android.content.Context r3 = r3.f1377a     // Catch:{ ActivityNotFoundException -> 0x002e }
            r3.startActivity(r1)     // Catch:{ ActivityNotFoundException -> 0x002e }
            goto L_0x0044
        L_0x002e:
            r1 = move-exception
            java.lang.String r3 = "MenuItemImpl"
            java.lang.String r4 = "Can't find activity to handle intent; ignoring"
            android.util.Log.e(r3, r4, r1)
        L_0x0036:
            b.h.m.b r1 = r7.f1405A
            if (r1 == 0) goto L_0x0046
            b.b.o.i.j$a r1 = (p008b.p010b.p017o.p018i.MenuItemWrapperICS.C0258a) r1
            android.view.ActionProvider r1 = r1.f1438b
            boolean r1 = r1.onPerformDefaultAction()
            if (r1 == 0) goto L_0x0046
        L_0x0044:
            r1 = 1
            goto L_0x0047
        L_0x0046:
            r1 = 0
        L_0x0047:
            b.h.m.b r3 = r7.f1405A
            if (r3 == 0) goto L_0x0058
            r4 = r3
            b.b.o.i.j$a r4 = (p008b.p010b.p017o.p018i.MenuItemWrapperICS.C0258a) r4
            android.view.ActionProvider r4 = r4.f1438b
            boolean r4 = r4.hasSubMenu()
            if (r4 == 0) goto L_0x0058
            r4 = 1
            goto L_0x0059
        L_0x0058:
            r4 = 0
        L_0x0059:
            boolean r5 = r7.mo2000c()
            if (r5 == 0) goto L_0x006b
            boolean r7 = r7.expandActionView()
            r1 = r1 | r7
            if (r1 == 0) goto L_0x00e4
            r6.mo1950a((boolean) r2)
            goto L_0x00e4
        L_0x006b:
            boolean r5 = r7.hasSubMenu()
            if (r5 != 0) goto L_0x007c
            if (r4 == 0) goto L_0x0074
            goto L_0x007c
        L_0x0074:
            r7 = r9 & 1
            if (r7 != 0) goto L_0x00e4
            r6.mo1950a((boolean) r2)
            goto L_0x00e4
        L_0x007c:
            r9 = r9 & 4
            if (r9 != 0) goto L_0x0083
            r6.mo1950a((boolean) r0)
        L_0x0083:
            boolean r9 = r7.hasSubMenu()
            if (r9 != 0) goto L_0x0097
            b.b.o.i.r r9 = new b.b.o.i.r
            android.content.Context r5 = r6.f1377a
            r9.<init>(r5, r6, r7)
            r7.f1423o = r9
            java.lang.CharSequence r5 = r7.f1413e
            r9.setHeaderTitle((java.lang.CharSequence) r5)
        L_0x0097:
            b.b.o.i.r r7 = r7.f1423o
            if (r4 == 0) goto L_0x00a8
            b.b.o.i.j$a r3 = (p008b.p010b.p017o.p018i.MenuItemWrapperICS.C0258a) r3
            android.view.ActionProvider r9 = r3.f1438b
            b.b.o.i.j r3 = p008b.p010b.p017o.p018i.MenuItemWrapperICS.this
            android.view.SubMenu r3 = r3.mo1904a((android.view.SubMenu) r7)
            r9.onPrepareSubMenu(r3)
        L_0x00a8:
            java.util.concurrent.CopyOnWriteArrayList<java.lang.ref.WeakReference<b.b.o.i.m>> r9 = r6.f1398v
            boolean r9 = r9.isEmpty()
            if (r9 == 0) goto L_0x00b1
            goto L_0x00de
        L_0x00b1:
            if (r8 == 0) goto L_0x00b7
            boolean r0 = r8.mo463a((p008b.p010b.p017o.p018i.SubMenuBuilder) r7)
        L_0x00b7:
            java.util.concurrent.CopyOnWriteArrayList<java.lang.ref.WeakReference<b.b.o.i.m>> r8 = r6.f1398v
            java.util.Iterator r8 = r8.iterator()
        L_0x00bd:
            boolean r9 = r8.hasNext()
            if (r9 == 0) goto L_0x00de
            java.lang.Object r9 = r8.next()
            java.lang.ref.WeakReference r9 = (java.lang.ref.WeakReference) r9
            java.lang.Object r3 = r9.get()
            b.b.o.i.m r3 = (p008b.p010b.p017o.p018i.MenuPresenter) r3
            if (r3 != 0) goto L_0x00d7
            java.util.concurrent.CopyOnWriteArrayList<java.lang.ref.WeakReference<b.b.o.i.m>> r3 = r6.f1398v
            r3.remove(r9)
            goto L_0x00bd
        L_0x00d7:
            if (r0 != 0) goto L_0x00bd
            boolean r0 = r3.mo463a((p008b.p010b.p017o.p018i.SubMenuBuilder) r7)
            goto L_0x00bd
        L_0x00de:
            r1 = r1 | r0
            if (r1 != 0) goto L_0x00e4
            r6.mo1950a((boolean) r2)
        L_0x00e4:
            return r1
        L_0x00e5:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p017o.p018i.MenuBuilder.mo1952a(android.view.MenuItem, b.b.o.i.m, int):boolean");
    }

    /* renamed from: a */
    public final void mo1950a(boolean z) {
        if (!this.f1396t) {
            this.f1396t = true;
            Iterator<WeakReference<MenuPresenter>> it = this.f1398v.iterator();
            while (it.hasNext()) {
                WeakReference next = it.next();
                MenuPresenter mVar = (MenuPresenter) next.get();
                if (mVar == null) {
                    this.f1398v.remove(next);
                } else {
                    mVar.mo459a(this, z);
                }
            }
            this.f1396t = false;
        }
    }

    /* renamed from: a */
    public void mo1943a() {
        ArrayList<MenuItemImpl> d = mo1972d();
        if (this.f1387k) {
            Iterator<WeakReference<MenuPresenter>> it = this.f1398v.iterator();
            boolean z = false;
            while (it.hasNext()) {
                WeakReference next = it.next();
                MenuPresenter mVar = (MenuPresenter) next.get();
                if (mVar == null) {
                    this.f1398v.remove(next);
                } else {
                    z |= mVar.mo465c();
                }
            }
            if (z) {
                this.f1385i.clear();
                this.f1386j.clear();
                int size = d.size();
                for (int i = 0; i < size; i++) {
                    MenuItemImpl iVar = d.get(i);
                    if (iVar.mo2002d()) {
                        this.f1385i.add(iVar);
                    } else {
                        this.f1386j.add(iVar);
                    }
                }
            } else {
                this.f1385i.clear();
                this.f1386j.clear();
                this.f1386j.addAll(mo1972d());
            }
            this.f1387k = false;
        }
    }

    /* renamed from: a */
    public boolean mo1954a(MenuItemImpl iVar) {
        boolean z = false;
        if (!this.f1398v.isEmpty() && this.f1399w == iVar) {
            mo1982j();
            Iterator<WeakReference<MenuPresenter>> it = this.f1398v.iterator();
            while (it.hasNext()) {
                WeakReference next = it.next();
                MenuPresenter mVar = (MenuPresenter) next.get();
                if (mVar == null) {
                    this.f1398v.remove(next);
                } else {
                    z = mVar.mo462a(this, iVar);
                    if (z) {
                        break;
                    }
                }
            }
            mo1980i();
            if (z) {
                this.f1399w = null;
            }
        }
        return z;
    }
}
