package p008b.p010b.p019p;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.widget.ActionMenuView;
import androidx.recyclerview.widget.RecyclerView;
import p008b.p010b.C0181a;
import p008b.p010b.C0190j;
import p008b.p010b.p017o.p018i.MenuBuilder;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.ViewPropertyAnimatorCompat;
import p008b.p033h.p045m.ViewPropertyAnimatorListener;

/* renamed from: b.b.p.a */
public abstract class AbsActionBarView extends ViewGroup {

    /* renamed from: b */
    public final C0268a f1487b;

    /* renamed from: c */
    public final Context f1488c;

    /* renamed from: d */
    public ActionMenuView f1489d;

    /* renamed from: e */
    public ActionMenuPresenter f1490e;

    /* renamed from: f */
    public int f1491f;

    /* renamed from: g */
    public ViewPropertyAnimatorCompat f1492g;

    /* renamed from: h */
    public boolean f1493h;

    /* renamed from: i */
    public boolean f1494i;

    /* renamed from: b.b.p.a$a */
    /* compiled from: AbsActionBarView */
    public class C0268a implements ViewPropertyAnimatorListener {

        /* renamed from: a */
        public boolean f1495a = false;

        /* renamed from: b */
        public int f1496b;

        public C0268a() {
        }

        /* renamed from: a */
        public void mo1631a(View view) {
            if (!this.f1495a) {
                AbsActionBarView aVar = AbsActionBarView.this;
                aVar.f1492g = null;
                AbsActionBarView.super.setVisibility(this.f1496b);
            }
        }

        /* renamed from: b */
        public void mo1654b(View view) {
            AbsActionBarView.super.setVisibility(0);
            this.f1495a = false;
        }

        /* renamed from: c */
        public void mo2161c(View view) {
            this.f1495a = true;
        }
    }

    public AbsActionBarView(Context context) {
        this(context, (AttributeSet) null);
    }

    public int getAnimatedVisibility() {
        if (this.f1492g != null) {
            return this.f1487b.f1496b;
        }
        return getVisibility();
    }

    public int getContentHeight() {
        return this.f1491f;
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes((AttributeSet) null, C0190j.ActionBar, C0181a.actionBarStyle, 0);
        setContentHeight(obtainStyledAttributes.getLayoutDimension(C0190j.ActionBar_height, 0));
        obtainStyledAttributes.recycle();
        ActionMenuPresenter cVar = this.f1490e;
        if (cVar != null) {
            Configuration configuration2 = cVar.f1312c.getResources().getConfiguration();
            int i = configuration2.screenWidthDp;
            int i2 = configuration2.screenHeightDp;
            cVar.f1540q = (configuration2.smallestScreenWidthDp > 600 || i > 600 || (i > 960 && i2 > 720) || (i > 720 && i2 > 960)) ? 5 : (i >= 500 || (i > 640 && i2 > 480) || (i > 480 && i2 > 640)) ? 4 : i >= 360 ? 3 : 2;
            MenuBuilder gVar = cVar.f1313d;
            if (gVar != null) {
                gVar.mo1966b(true);
            }
        }
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.f1494i = false;
        }
        if (!this.f1494i) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.f1494i = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.f1494i = false;
        }
        return true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.f1493h = false;
        }
        if (!this.f1493h) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.f1493h = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.f1493h = false;
        }
        return true;
    }

    public abstract void setContentHeight(int i);

    public void setVisibility(int i) {
        if (i != getVisibility()) {
            ViewPropertyAnimatorCompat sVar = this.f1492g;
            if (sVar != null) {
                sVar.mo3150a();
            }
            super.setVisibility(i);
        }
    }

    public AbsActionBarView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* renamed from: a */
    public ViewPropertyAnimatorCompat mo2157a(int i, long j) {
        ViewPropertyAnimatorCompat sVar = this.f1492g;
        if (sVar != null) {
            sVar.mo3150a();
        }
        if (i == 0) {
            if (getVisibility() != 0) {
                setAlpha(0.0f);
            }
            ViewPropertyAnimatorCompat a = ViewCompat.m1927a(this);
            a.mo3146a(1.0f);
            a.mo3147a(j);
            C0268a aVar = this.f1487b;
            AbsActionBarView.this.f1492g = a;
            aVar.f1496b = i;
            View view = (View) a.f2533a.get();
            if (view != null) {
                a.mo3151a(view, aVar);
            }
            return a;
        }
        ViewPropertyAnimatorCompat a2 = ViewCompat.m1927a(this);
        a2.mo3146a(0.0f);
        a2.mo3147a(j);
        C0268a aVar2 = this.f1487b;
        AbsActionBarView.this.f1492g = a2;
        aVar2.f1496b = i;
        View view2 = (View) a2.f2533a.get();
        if (view2 != null) {
            a2.mo3151a(view2, aVar2);
        }
        return a2;
    }

    public AbsActionBarView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1487b = new C0268a();
        TypedValue typedValue = new TypedValue();
        if (!context.getTheme().resolveAttribute(C0181a.actionBarPopupTheme, typedValue, true) || typedValue.resourceId == 0) {
            this.f1488c = context;
        } else {
            this.f1488c = new ContextThemeWrapper(context, typedValue.resourceId);
        }
    }

    /* renamed from: a */
    public int mo2155a(View view, int i, int i2, int i3) {
        view.measure(View.MeasureSpec.makeMeasureSpec(i, RecyclerView.UNDEFINED_DURATION), i2);
        return Math.max(0, (i - view.getMeasuredWidth()) - i3);
    }

    /* renamed from: a */
    public int mo2156a(View view, int i, int i2, int i3, boolean z) {
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        int i4 = ((i3 - measuredHeight) / 2) + i2;
        if (z) {
            view.layout(i - measuredWidth, i4, i, measuredHeight + i4);
        } else {
            view.layout(i, i4, i + measuredWidth, measuredHeight + i4);
        }
        return z ? -measuredWidth : measuredWidth;
    }
}
