package p008b.p010b.p019p;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.View;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.textclassifier.TextClassifier;
import android.widget.TextView;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.p012l.p013a.AppCompatResources;
import p008b.p033h.p037g.TypefaceCompat;
import p008b.p033h.p043k.PrecomputedTextCompat;
import p008b.p033h.p047n.AutoSizeableTextView;
import p008b.p033h.p047n.TintableCompoundDrawablesView;

/* renamed from: b.b.p.z */
public class AppCompatTextView extends TextView implements TintableCompoundDrawablesView, AutoSizeableTextView {

    /* renamed from: b */
    public final AppCompatBackgroundHelper f1816b;

    /* renamed from: c */
    public final AppCompatTextHelper f1817c;

    /* renamed from: d */
    public final AppCompatTextClassifierHelper f1818d;

    /* renamed from: e */
    public Future<PrecomputedTextCompat> f1819e;

    public AppCompatTextView(Context context) {
        this(context, (AttributeSet) null);
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        AppCompatBackgroundHelper eVar = this.f1816b;
        if (eVar != null) {
            eVar.mo2234a();
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2578a();
        }
    }

    public int getAutoSizeMaxTextSize() {
        if (AutoSizeableTextView.f2594a) {
            return super.getAutoSizeMaxTextSize();
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            return Math.round(yVar.f1804i.f1505e);
        }
        return -1;
    }

    public int getAutoSizeMinTextSize() {
        if (AutoSizeableTextView.f2594a) {
            return super.getAutoSizeMinTextSize();
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            return Math.round(yVar.f1804i.f1504d);
        }
        return -1;
    }

    public int getAutoSizeStepGranularity() {
        if (AutoSizeableTextView.f2594a) {
            return super.getAutoSizeStepGranularity();
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            return Math.round(yVar.f1804i.f1503c);
        }
        return -1;
    }

    public int[] getAutoSizeTextAvailableSizes() {
        if (AutoSizeableTextView.f2594a) {
            return super.getAutoSizeTextAvailableSizes();
        }
        AppCompatTextHelper yVar = this.f1817c;
        return yVar != null ? yVar.f1804i.f1506f : new int[0];
    }

    @SuppressLint({"WrongConstant"})
    public int getAutoSizeTextType() {
        if (!AutoSizeableTextView.f2594a) {
            AppCompatTextHelper yVar = this.f1817c;
            if (yVar != null) {
                return yVar.f1804i.f1501a;
            }
            return 0;
        } else if (super.getAutoSizeTextType() == 1) {
            return 1;
        } else {
            return 0;
        }
    }

    public int getFirstBaselineToTopHeight() {
        return getPaddingTop() - getPaint().getFontMetricsInt().top;
    }

    public int getLastBaselineToBottomHeight() {
        return getPaddingBottom() + getPaint().getFontMetricsInt().bottom;
    }

    public ColorStateList getSupportBackgroundTintList() {
        AppCompatBackgroundHelper eVar = this.f1816b;
        if (eVar != null) {
            return eVar.mo2239b();
        }
        return null;
    }

    public PorterDuff.Mode getSupportBackgroundTintMode() {
        AppCompatBackgroundHelper eVar = this.f1816b;
        if (eVar != null) {
            return eVar.mo2241c();
        }
        return null;
    }

    public ColorStateList getSupportCompoundDrawablesTintList() {
        TintInfo v0Var = this.f1817c.f1803h;
        if (v0Var != null) {
            return v0Var.f1761a;
        }
        return null;
    }

    public PorterDuff.Mode getSupportCompoundDrawablesTintMode() {
        TintInfo v0Var = this.f1817c.f1803h;
        if (v0Var != null) {
            return v0Var.f1762b;
        }
        return null;
    }

    public CharSequence getText() {
        Future<PrecomputedTextCompat> future = this.f1819e;
        if (future != null) {
            try {
                this.f1819e = null;
                MediaDescriptionCompatApi21.m60a((TextView) this, future.get());
            } catch (InterruptedException | ExecutionException unused) {
            }
        }
        return super.getText();
    }

    public TextClassifier getTextClassifier() {
        AppCompatTextClassifierHelper xVar;
        if (Build.VERSION.SDK_INT >= 28 || (xVar = this.f1818d) == null) {
            return super.getTextClassifier();
        }
        return xVar.mo2562a();
    }

    public PrecomputedTextCompat.C0388a getTextMetricsParamsCompat() {
        return MediaDescriptionCompatApi21.m37a((TextView) this);
    }

    public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
        InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
        MediaDescriptionCompatApi21.m32a(onCreateInputConnection, editorInfo, (View) this);
        return onCreateInputConnection;
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null && !AutoSizeableTextView.f2594a) {
            yVar.f1804i.mo2163a();
        }
    }

    public void onMeasure(int i, int i2) {
        Future<PrecomputedTextCompat> future = this.f1819e;
        if (future != null) {
            try {
                this.f1819e = null;
                MediaDescriptionCompatApi21.m60a((TextView) this, future.get());
            } catch (InterruptedException | ExecutionException unused) {
            }
        }
        super.onMeasure(i, i2);
    }

    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        super.onTextChanged(charSequence, i, i2, i3);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null && !AutoSizeableTextView.f2594a && yVar.mo2586b()) {
            this.f1817c.f1804i.mo2163a();
        }
    }

    public void setAutoSizeTextTypeUniformWithConfiguration(int i, int i2, int i3, int i4) throws IllegalArgumentException {
        if (AutoSizeableTextView.f2594a) {
            super.setAutoSizeTextTypeUniformWithConfiguration(i, i2, i3, i4);
            return;
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2580a(i, i2, i3, i4);
        }
    }

    public void setAutoSizeTextTypeUniformWithPresetSizes(int[] iArr, int i) throws IllegalArgumentException {
        if (AutoSizeableTextView.f2594a) {
            super.setAutoSizeTextTypeUniformWithPresetSizes(iArr, i);
            return;
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2585a(iArr, i);
        }
    }

    public void setAutoSizeTextTypeWithDefaults(int i) {
        if (AutoSizeableTextView.f2594a) {
            super.setAutoSizeTextTypeWithDefaults(i);
            return;
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2579a(i);
        }
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        AppCompatBackgroundHelper eVar = this.f1816b;
        if (eVar != null) {
            eVar.mo2242d();
        }
    }

    public void setBackgroundResource(int i) {
        super.setBackgroundResource(i);
        AppCompatBackgroundHelper eVar = this.f1816b;
        if (eVar != null) {
            eVar.mo2235a(i);
        }
    }

    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2578a();
        }
    }

    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2578a();
        }
    }

    public void setCompoundDrawablesRelativeWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2578a();
        }
    }

    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2578a();
        }
    }

    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(MediaDescriptionCompatApi21.m31a((TextView) this, callback));
    }

    public void setFirstBaselineToTopHeight(int i) {
        if (Build.VERSION.SDK_INT >= 28) {
            super.setFirstBaselineToTopHeight(i);
        } else {
            MediaDescriptionCompatApi21.m59a((TextView) this, i);
        }
    }

    public void setLastBaselineToBottomHeight(int i) {
        if (Build.VERSION.SDK_INT >= 28) {
            super.setLastBaselineToBottomHeight(i);
        } else {
            MediaDescriptionCompatApi21.m93b((TextView) this, i);
        }
    }

    public void setLineHeight(int i) {
        MediaDescriptionCompatApi21.m100c(this, i);
    }

    public void setPrecomputedText(PrecomputedTextCompat bVar) {
        MediaDescriptionCompatApi21.m60a((TextView) this, bVar);
    }

    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        AppCompatBackgroundHelper eVar = this.f1816b;
        if (eVar != null) {
            eVar.mo2240b(colorStateList);
        }
    }

    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        AppCompatBackgroundHelper eVar = this.f1816b;
        if (eVar != null) {
            eVar.mo2237a(mode);
        }
    }

    public void setSupportCompoundDrawablesTintList(ColorStateList colorStateList) {
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar.f1803h == null) {
            yVar.f1803h = new TintInfo();
        }
        TintInfo v0Var = yVar.f1803h;
        v0Var.f1761a = colorStateList;
        v0Var.f1764d = colorStateList != null;
        TintInfo v0Var2 = yVar.f1803h;
        yVar.f1797b = v0Var2;
        yVar.f1798c = v0Var2;
        yVar.f1799d = v0Var2;
        yVar.f1800e = v0Var2;
        yVar.f1801f = v0Var2;
        yVar.f1802g = v0Var2;
        this.f1817c.mo2578a();
    }

    public void setSupportCompoundDrawablesTintMode(PorterDuff.Mode mode) {
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar.f1803h == null) {
            yVar.f1803h = new TintInfo();
        }
        TintInfo v0Var = yVar.f1803h;
        v0Var.f1762b = mode;
        v0Var.f1763c = mode != null;
        TintInfo v0Var2 = yVar.f1803h;
        yVar.f1797b = v0Var2;
        yVar.f1798c = v0Var2;
        yVar.f1799d = v0Var2;
        yVar.f1800e = v0Var2;
        yVar.f1801f = v0Var2;
        yVar.f1802g = v0Var2;
        this.f1817c.mo2578a();
    }

    public void setTextAppearance(Context context, int i) {
        super.setTextAppearance(context, i);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2581a(context, i);
        }
    }

    public void setTextClassifier(TextClassifier textClassifier) {
        AppCompatTextClassifierHelper xVar;
        if (Build.VERSION.SDK_INT >= 28 || (xVar = this.f1818d) == null) {
            super.setTextClassifier(textClassifier);
        } else {
            xVar.f1792b = textClassifier;
        }
    }

    public void setTextFuture(Future<PrecomputedTextCompat> future) {
        this.f1819e = future;
        if (future != null) {
            requestLayout();
        }
    }

    public void setTextMetricsParamsCompat(PrecomputedTextCompat.C0388a aVar) {
        TextDirectionHeuristic textDirectionHeuristic = aVar.f2479b;
        int i = 1;
        if (!(textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_RTL || textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_LTR)) {
            if (textDirectionHeuristic == TextDirectionHeuristics.ANYRTL_LTR) {
                i = 2;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.LTR) {
                i = 3;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.RTL) {
                i = 4;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.LOCALE) {
                i = 5;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_LTR) {
                i = 6;
            } else if (textDirectionHeuristic == TextDirectionHeuristics.FIRSTSTRONG_RTL) {
                i = 7;
            }
        }
        setTextDirection(i);
        if (Build.VERSION.SDK_INT < 23) {
            float textScaleX = aVar.f2478a.getTextScaleX();
            getPaint().set(aVar.f2478a);
            if (textScaleX == getTextScaleX()) {
                setTextScaleX((textScaleX / 2.0f) + 1.0f);
            }
            setTextScaleX(textScaleX);
            return;
        }
        getPaint().set(aVar.f2478a);
        setBreakStrategy(aVar.f2480c);
        setHyphenationFrequency(aVar.f2481d);
    }

    public void setTextSize(int i, float f) {
        boolean z = AutoSizeableTextView.f2594a;
        if (z) {
            super.setTextSize(i, f);
            return;
        }
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null && !z && !yVar.mo2586b()) {
            yVar.f1804i.mo2165a(i, f);
        }
    }

    public void setTypeface(Typeface typeface, int i) {
        Typeface a = (typeface == null || i <= 0) ? null : TypefaceCompat.m1803a(getContext(), typeface, i);
        if (a != null) {
            typeface = a;
        }
        super.setTypeface(typeface, i);
    }

    public AppCompatTextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842884);
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public AppCompatTextView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        TintContextWrapper.m1407a(context);
        AppCompatBackgroundHelper eVar = new AppCompatBackgroundHelper(this);
        this.f1816b = eVar;
        eVar.mo2238a(attributeSet, i);
        AppCompatTextHelper yVar = new AppCompatTextHelper(this);
        this.f1817c = yVar;
        yVar.mo2584a(attributeSet, i);
        this.f1817c.mo2578a();
        this.f1818d = new AppCompatTextClassifierHelper(this);
    }

    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        Context context = getContext();
        Drawable drawable = null;
        Drawable c = i != 0 ? AppCompatResources.m982c(context, i) : null;
        Drawable c2 = i2 != 0 ? AppCompatResources.m982c(context, i2) : null;
        Drawable c3 = i3 != 0 ? AppCompatResources.m982c(context, i3) : null;
        if (i4 != 0) {
            drawable = AppCompatResources.m982c(context, i4);
        }
        setCompoundDrawablesRelativeWithIntrinsicBounds(c, c2, c3, drawable);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2578a();
        }
    }

    public void setCompoundDrawablesWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        Context context = getContext();
        Drawable drawable = null;
        Drawable c = i != 0 ? AppCompatResources.m982c(context, i) : null;
        Drawable c2 = i2 != 0 ? AppCompatResources.m982c(context, i2) : null;
        Drawable c3 = i3 != 0 ? AppCompatResources.m982c(context, i3) : null;
        if (i4 != 0) {
            drawable = AppCompatResources.m982c(context, i4);
        }
        setCompoundDrawablesWithIntrinsicBounds(c, c2, c3, drawable);
        AppCompatTextHelper yVar = this.f1817c;
        if (yVar != null) {
            yVar.mo2578a();
        }
    }
}
