package p008b.p010b.p019p;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.Log;
import android.util.TypedValue;
import android.widget.TextView;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;

/* renamed from: b.b.p.a0 */
public class AppCompatTextViewAutoSizeHelper {

    /* renamed from: k */
    public static final RectF f1498k = new RectF();

    /* renamed from: l */
    public static ConcurrentHashMap<String, Method> f1499l = new ConcurrentHashMap<>();

    /* renamed from: m */
    public static ConcurrentHashMap<String, Field> f1500m = new ConcurrentHashMap<>();

    /* renamed from: a */
    public int f1501a = 0;

    /* renamed from: b */
    public boolean f1502b = false;

    /* renamed from: c */
    public float f1503c = -1.0f;

    /* renamed from: d */
    public float f1504d = -1.0f;

    /* renamed from: e */
    public float f1505e = -1.0f;

    /* renamed from: f */
    public int[] f1506f = new int[0];

    /* renamed from: g */
    public boolean f1507g = false;

    /* renamed from: h */
    public TextPaint f1508h;

    /* renamed from: i */
    public final TextView f1509i;

    /* renamed from: j */
    public final Context f1510j;

    public AppCompatTextViewAutoSizeHelper(TextView textView) {
        this.f1509i = textView;
        this.f1510j = textView.getContext();
    }

    /* renamed from: a */
    public final int[] mo2166a(int[] iArr) {
        if (r0 == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i : iArr) {
            if (i > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i)) < 0) {
                arrayList.add(Integer.valueOf(i));
            }
        }
        if (r0 == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i2 = 0; i2 < size; i2++) {
            iArr2[i2] = ((Integer) arrayList.get(i2)).intValue();
        }
        return iArr2;
    }

    /* renamed from: b */
    public final boolean mo2167b() {
        if (!mo2169d() || this.f1501a != 1) {
            this.f1502b = false;
        } else {
            if (!this.f1507g || this.f1506f.length == 0) {
                int floor = ((int) Math.floor((double) ((this.f1505e - this.f1504d) / this.f1503c))) + 1;
                int[] iArr = new int[floor];
                for (int i = 0; i < floor; i++) {
                    iArr[i] = Math.round((((float) i) * this.f1503c) + this.f1504d);
                }
                this.f1506f = mo2166a(iArr);
            }
            this.f1502b = true;
        }
        return this.f1502b;
    }

    /* renamed from: c */
    public final boolean mo2168c() {
        int length = this.f1506f.length;
        boolean z = length > 0;
        this.f1507g = z;
        if (z) {
            this.f1501a = 1;
            int[] iArr = this.f1506f;
            this.f1504d = (float) iArr[0];
            this.f1505e = (float) iArr[length - 1];
            this.f1503c = -1.0f;
        }
        return this.f1507g;
    }

    /* renamed from: d */
    public final boolean mo2169d() {
        return !(this.f1509i instanceof AppCompatEditText);
    }

    /* renamed from: a */
    public final void mo2164a(float f, float f2, float f3) throws IllegalArgumentException {
        if (f <= 0.0f) {
            throw new IllegalArgumentException("Minimum auto-size text size (" + f + "px) is less or equal to (0px)");
        } else if (f2 <= f) {
            throw new IllegalArgumentException("Maximum auto-size text size (" + f2 + "px) is less or equal to minimum auto-size text size (" + f + "px)");
        } else if (f3 > 0.0f) {
            this.f1501a = 1;
            this.f1504d = f;
            this.f1505e = f2;
            this.f1503c = f3;
            this.f1507g = false;
        } else {
            throw new IllegalArgumentException("The auto-size step granularity (" + f3 + "px) is less or equal to (0px)");
        }
    }

    /* renamed from: a */
    public void mo2165a(int i, float f) {
        Resources resources;
        Context context = this.f1510j;
        if (context == null) {
            resources = Resources.getSystem();
        } else {
            resources = context.getResources();
        }
        float applyDimension = TypedValue.applyDimension(i, f, resources.getDisplayMetrics());
        if (applyDimension != this.f1509i.getPaint().getTextSize()) {
            this.f1509i.getPaint().setTextSize(applyDimension);
            boolean isInLayout = this.f1509i.isInLayout();
            if (this.f1509i.getLayout() != null) {
                this.f1502b = false;
                try {
                    Method a = m1235a("nullLayouts");
                    if (a != null) {
                        a.invoke(this.f1509i, new Object[0]);
                    }
                } catch (Exception e) {
                    Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#nullLayouts() method", e);
                }
                if (!isInLayout) {
                    this.f1509i.requestLayout();
                } else {
                    this.f1509i.forceLayout();
                }
                this.f1509i.invalidate();
            }
        }
    }

    /* renamed from: a */
    public final int mo2162a(RectF rectF) {
        StaticLayout staticLayout;
        int i;
        TextDirectionHeuristic textDirectionHeuristic;
        CharSequence transformation;
        RectF rectF2 = rectF;
        int length = this.f1506f.length;
        if (length != 0) {
            int i2 = length - 1;
            int i3 = 0;
            int i4 = 1;
            int i5 = 0;
            while (i4 <= i2) {
                int i6 = (i4 + i2) / 2;
                int i7 = this.f1506f[i6];
                CharSequence text = this.f1509i.getText();
                TransformationMethod transformationMethod = this.f1509i.getTransformationMethod();
                if (!(transformationMethod == null || (transformation = transformationMethod.getTransformation(text, this.f1509i)) == null)) {
                    text = transformation;
                }
                int maxLines = this.f1509i.getMaxLines();
                TextPaint textPaint = this.f1508h;
                if (textPaint == null) {
                    this.f1508h = new TextPaint();
                } else {
                    textPaint.reset();
                }
                this.f1508h.set(this.f1509i.getPaint());
                this.f1508h.setTextSize((float) i7);
                Layout.Alignment alignment = (Layout.Alignment) m1234a((Object) this.f1509i, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL);
                int round = Math.round(rectF2.right);
                if (Build.VERSION.SDK_INT >= 23) {
                    StaticLayout.Builder obtain = StaticLayout.Builder.obtain(text, i3, text.length(), this.f1508h, round);
                    obtain.setAlignment(alignment).setLineSpacing(this.f1509i.getLineSpacingExtra(), this.f1509i.getLineSpacingMultiplier()).setIncludePad(this.f1509i.getIncludeFontPadding()).setBreakStrategy(this.f1509i.getBreakStrategy()).setHyphenationFrequency(this.f1509i.getHyphenationFrequency()).setMaxLines(maxLines == -1 ? Integer.MAX_VALUE : maxLines);
                    try {
                        if (Build.VERSION.SDK_INT >= 29) {
                            textDirectionHeuristic = this.f1509i.getTextDirectionHeuristic();
                        } else {
                            textDirectionHeuristic = (TextDirectionHeuristic) m1234a((Object) this.f1509i, "getTextDirectionHeuristic", TextDirectionHeuristics.FIRSTSTRONG_LTR);
                        }
                        obtain.setTextDirection(textDirectionHeuristic);
                    } catch (ClassCastException unused) {
                        Log.w("ACTVAutoSizeHelper", "Failed to obtain TextDirectionHeuristic, auto size may be incorrect");
                    }
                    staticLayout = obtain.build();
                    i = -1;
                } else {
                    i = -1;
                    staticLayout = new StaticLayout(text, this.f1508h, round, alignment, this.f1509i.getLineSpacingMultiplier(), this.f1509i.getLineSpacingExtra(), this.f1509i.getIncludeFontPadding());
                }
                if ((maxLines == i || (staticLayout.getLineCount() <= maxLines && staticLayout.getLineEnd(staticLayout.getLineCount() - 1) == text.length())) && ((float) staticLayout.getHeight()) <= rectF2.bottom) {
                    i3 = 0;
                    int i8 = i6 + 1;
                    i5 = i4;
                    i4 = i8;
                } else {
                    i5 = i6 - 1;
                    i2 = i5;
                    i3 = 0;
                }
            }
            return this.f1506f[i5];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    /* renamed from: a */
    public static <T> T m1234a(Object obj, String str, T t) {
        try {
            return m1235a(str).invoke(obj, new Object[0]);
        } catch (Exception e) {
            Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#" + str + "() method", e);
            return t;
        }
    }

    /* renamed from: a */
    public static Method m1235a(String str) {
        try {
            Method method = f1499l.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                f1499l.put(str, method);
            }
            return method;
        } catch (Exception e) {
            Log.w("ACTVAutoSizeHelper", "Failed to retrieve TextView#" + str + "() method", e);
            return null;
        }
    }

    /* renamed from: a */
    public void mo2163a() {
        boolean z;
        int i;
        if (mo2169d() && this.f1501a != 0) {
            if (this.f1502b) {
                if (this.f1509i.getMeasuredHeight() > 0 && this.f1509i.getMeasuredWidth() > 0) {
                    if (Build.VERSION.SDK_INT >= 29) {
                        z = this.f1509i.isHorizontallyScrollable();
                    } else {
                        z = ((Boolean) m1234a((Object) this.f1509i, "getHorizontallyScrolling", false)).booleanValue();
                    }
                    if (z) {
                        i = 1048576;
                    } else {
                        i = (this.f1509i.getMeasuredWidth() - this.f1509i.getTotalPaddingLeft()) - this.f1509i.getTotalPaddingRight();
                    }
                    int height = (this.f1509i.getHeight() - this.f1509i.getCompoundPaddingBottom()) - this.f1509i.getCompoundPaddingTop();
                    if (i > 0 && height > 0) {
                        synchronized (f1498k) {
                            f1498k.setEmpty();
                            f1498k.right = (float) i;
                            f1498k.bottom = (float) height;
                            float a = (float) mo2162a(f1498k);
                            if (a != this.f1509i.getTextSize()) {
                                mo2165a(0, a);
                            }
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
            this.f1502b = true;
        }
    }
}
