package p008b.p010b.p019p;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.ListAdapter;
import android.widget.ListView;
import java.lang.reflect.Field;
import p008b.p010b.C0181a;
import p008b.p010b.p014m.p015a.DrawableWrapper;
import p008b.p033h.p045m.ViewPropertyAnimatorCompat;
import p008b.p033h.p047n.ListViewAutoScrollHelper;

/* renamed from: b.b.p.f0 */
public class DropDownListView extends ListView {

    /* renamed from: b */
    public final Rect f1572b = new Rect();

    /* renamed from: c */
    public int f1573c = 0;

    /* renamed from: d */
    public int f1574d = 0;

    /* renamed from: e */
    public int f1575e = 0;

    /* renamed from: f */
    public int f1576f = 0;

    /* renamed from: g */
    public int f1577g;

    /* renamed from: h */
    public Field f1578h;

    /* renamed from: i */
    public C0278a f1579i;

    /* renamed from: j */
    public boolean f1580j;

    /* renamed from: k */
    public boolean f1581k;

    /* renamed from: l */
    public boolean f1582l;

    /* renamed from: m */
    public ViewPropertyAnimatorCompat f1583m;

    /* renamed from: n */
    public ListViewAutoScrollHelper f1584n;

    /* renamed from: o */
    public C0279b f1585o;

    /* renamed from: b.b.p.f0$a */
    /* compiled from: DropDownListView */
    public static class C0278a extends DrawableWrapper {

        /* renamed from: c */
        public boolean f1586c = true;

        public C0278a(Drawable drawable) {
            super(drawable);
        }

        public void draw(Canvas canvas) {
            if (this.f1586c) {
                this.f1206b.draw(canvas);
            }
        }

        public void setHotspot(float f, float f2) {
            if (this.f1586c) {
                this.f1206b.setHotspot(f, f2);
            }
        }

        public void setHotspotBounds(int i, int i2, int i3, int i4) {
            if (this.f1586c) {
                this.f1206b.setHotspotBounds(i, i2, i3, i4);
            }
        }

        public boolean setState(int[] iArr) {
            if (this.f1586c) {
                return this.f1206b.setState(iArr);
            }
            return false;
        }

        public boolean setVisible(boolean z, boolean z2) {
            if (this.f1586c) {
                return super.setVisible(z, z2);
            }
            return false;
        }
    }

    /* renamed from: b.b.p.f0$b */
    /* compiled from: DropDownListView */
    public class C0279b implements Runnable {
        public C0279b() {
        }

        public void run() {
            DropDownListView f0Var = DropDownListView.this;
            f0Var.f1585o = null;
            f0Var.drawableStateChanged();
        }
    }

    public DropDownListView(Context context, boolean z) {
        super(context, (AttributeSet) null, C0181a.dropDownListViewStyle);
        this.f1581k = z;
        setCacheColorHint(0);
        try {
            Field declaredField = AbsListView.class.getDeclaredField("mIsChildViewEnabled");
            this.f1578h = declaredField;
            declaredField.setAccessible(true);
        } catch (NoSuchFieldException e) {
            e.printStackTrace();
        }
    }

    private void setSelectorEnabled(boolean z) {
        C0278a aVar = this.f1579i;
        if (aVar != null) {
            aVar.f1586c = z;
        }
    }

    /* renamed from: a */
    public int mo2267a(int i, int i2, int i3) {
        int i4;
        int listPaddingTop = getListPaddingTop();
        int listPaddingBottom = getListPaddingBottom();
        getListPaddingLeft();
        getListPaddingRight();
        int dividerHeight = getDividerHeight();
        Drawable divider = getDivider();
        ListAdapter adapter = getAdapter();
        if (adapter == null) {
            return listPaddingTop + listPaddingBottom;
        }
        int i5 = listPaddingTop + listPaddingBottom;
        if (dividerHeight <= 0 || divider == null) {
            dividerHeight = 0;
        }
        int count = adapter.getCount();
        View view = null;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        while (i6 < count) {
            int itemViewType = adapter.getItemViewType(i6);
            if (itemViewType != i7) {
                view = null;
                i7 = itemViewType;
            }
            view = adapter.getView(i6, view, this);
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams == null) {
                layoutParams = generateDefaultLayoutParams();
                view.setLayoutParams(layoutParams);
            }
            int i9 = layoutParams.height;
            if (i9 > 0) {
                i4 = View.MeasureSpec.makeMeasureSpec(i9, 1073741824);
            } else {
                i4 = View.MeasureSpec.makeMeasureSpec(0, 0);
            }
            view.measure(i, i4);
            view.forceLayout();
            if (i6 > 0) {
                i5 += dividerHeight;
            }
            i5 += view.getMeasuredHeight();
            if (i5 >= i2) {
                return (i3 < 0 || i6 <= i3 || i8 <= 0 || i5 == i2) ? i2 : i8;
            }
            if (i3 >= 0 && i6 >= i3) {
                i8 = i5;
            }
            i6++;
        }
        return i5;
    }

    public void dispatchDraw(Canvas canvas) {
        Drawable selector;
        if (!this.f1572b.isEmpty() && (selector = getSelector()) != null) {
            selector.setBounds(this.f1572b);
            selector.draw(canvas);
        }
        super.dispatchDraw(canvas);
    }

    public void drawableStateChanged() {
        if (this.f1585o == null) {
            super.drawableStateChanged();
            setSelectorEnabled(true);
            mo2268a();
        }
    }

    public boolean hasFocus() {
        return this.f1581k || super.hasFocus();
    }

    public boolean hasWindowFocus() {
        return this.f1581k || super.hasWindowFocus();
    }

    public boolean isFocused() {
        return this.f1581k || super.isFocused();
    }

    public boolean isInTouchMode() {
        return (this.f1581k && this.f1580j) || super.isInTouchMode();
    }

    public void onDetachedFromWindow() {
        this.f1585o = null;
        super.onDetachedFromWindow();
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        if (Build.VERSION.SDK_INT < 26) {
            return super.onHoverEvent(motionEvent);
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 10 && this.f1585o == null) {
            C0279b bVar = new C0279b();
            this.f1585o = bVar;
            DropDownListView.this.post(bVar);
        }
        boolean onHoverEvent = super.onHoverEvent(motionEvent);
        if (actionMasked == 9 || actionMasked == 7) {
            int pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY());
            if (!(pointToPosition == -1 || pointToPosition == getSelectedItemPosition())) {
                View childAt = getChildAt(pointToPosition - getFirstVisiblePosition());
                if (childAt.isEnabled()) {
                    setSelectionFromTop(pointToPosition, childAt.getTop() - getTop());
                }
                mo2268a();
            }
        } else {
            setSelection(-1);
        }
        return onHoverEvent;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            this.f1577g = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY());
        }
        C0279b bVar = this.f1585o;
        if (bVar != null) {
            DropDownListView f0Var = DropDownListView.this;
            f0Var.f1585o = null;
            f0Var.removeCallbacks(bVar);
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setListSelectionHidden(boolean z) {
        this.f1580j = z;
    }

    public void setSelector(Drawable drawable) {
        C0278a aVar = drawable != null ? new C0278a(drawable) : null;
        this.f1579i = aVar;
        super.setSelector(aVar);
        Rect rect = new Rect();
        if (drawable != null) {
            drawable.getPadding(rect);
        }
        this.f1573c = rect.left;
        this.f1574d = rect.top;
        this.f1575e = rect.right;
        this.f1576f = rect.bottom;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x0010, code lost:
        if (r3 != 3) goto L_0x0121;
     */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x013c  */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x0143  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x014b  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0161  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean mo2269a(android.view.MotionEvent r17, int r18) {
        /*
            r16 = this;
            r1 = r16
            r2 = r17
            int r3 = r17.getActionMasked()
            r4 = 0
            r5 = 1
            if (r3 == r5) goto L_0x0016
            r0 = 2
            if (r3 == r0) goto L_0x0014
            r0 = 3
            if (r3 == r0) goto L_0x001d
            goto L_0x0121
        L_0x0014:
            r0 = 1
            goto L_0x0017
        L_0x0016:
            r0 = 0
        L_0x0017:
            int r6 = r17.findPointerIndex(r18)
            if (r6 >= 0) goto L_0x0020
        L_0x001d:
            r0 = 0
            goto L_0x0122
        L_0x0020:
            float r7 = r2.getX(r6)
            int r7 = (int) r7
            float r6 = r2.getY(r6)
            int r6 = (int) r6
            int r8 = r1.pointToPosition(r7, r6)
            r9 = -1
            if (r8 != r9) goto L_0x0033
            goto L_0x0123
        L_0x0033:
            int r0 = r16.getFirstVisiblePosition()
            int r0 = r8 - r0
            android.view.View r10 = r1.getChildAt(r0)
            float r7 = (float) r7
            float r6 = (float) r6
            r1.f1582l = r5
            r1.drawableHotspotChanged(r7, r6)
            boolean r0 = r16.isPressed()
            if (r0 != 0) goto L_0x004d
            r1.setPressed(r5)
        L_0x004d:
            r16.layoutChildren()
            int r0 = r1.f1577g
            if (r0 == r9) goto L_0x006a
            int r11 = r16.getFirstVisiblePosition()
            int r0 = r0 - r11
            android.view.View r0 = r1.getChildAt(r0)
            if (r0 == 0) goto L_0x006a
            if (r0 == r10) goto L_0x006a
            boolean r11 = r0.isPressed()
            if (r11 == 0) goto L_0x006a
            r0.setPressed(r4)
        L_0x006a:
            r1.f1577g = r8
            int r0 = r10.getLeft()
            float r0 = (float) r0
            float r0 = r7 - r0
            int r11 = r10.getTop()
            float r11 = (float) r11
            float r11 = r6 - r11
            r10.drawableHotspotChanged(r0, r11)
            boolean r0 = r10.isPressed()
            if (r0 != 0) goto L_0x0086
            r10.setPressed(r5)
        L_0x0086:
            android.graphics.drawable.Drawable r11 = r16.getSelector()
            if (r11 == 0) goto L_0x0090
            if (r8 == r9) goto L_0x0090
            r12 = 1
            goto L_0x0091
        L_0x0090:
            r12 = 0
        L_0x0091:
            if (r12 == 0) goto L_0x0096
            r11.setVisible(r4, r4)
        L_0x0096:
            android.graphics.Rect r0 = r1.f1572b
            int r13 = r10.getLeft()
            int r14 = r10.getTop()
            int r15 = r10.getRight()
            int r5 = r10.getBottom()
            r0.set(r13, r14, r15, r5)
            int r5 = r0.left
            int r13 = r1.f1573c
            int r5 = r5 - r13
            r0.left = r5
            int r5 = r0.top
            int r13 = r1.f1574d
            int r5 = r5 - r13
            r0.top = r5
            int r5 = r0.right
            int r13 = r1.f1575e
            int r5 = r5 + r13
            r0.right = r5
            int r5 = r0.bottom
            int r13 = r1.f1576f
            int r5 = r5 + r13
            r0.bottom = r5
            java.lang.reflect.Field r0 = r1.f1578h     // Catch:{ IllegalAccessException -> 0x00e7 }
            boolean r0 = r0.getBoolean(r1)     // Catch:{ IllegalAccessException -> 0x00e7 }
            boolean r5 = r10.isEnabled()     // Catch:{ IllegalAccessException -> 0x00e7 }
            if (r5 == r0) goto L_0x00eb
            java.lang.reflect.Field r5 = r1.f1578h     // Catch:{ IllegalAccessException -> 0x00e7 }
            if (r0 != 0) goto L_0x00d9
            r0 = 1
            goto L_0x00da
        L_0x00d9:
            r0 = 0
        L_0x00da:
            java.lang.Boolean r0 = java.lang.Boolean.valueOf(r0)     // Catch:{ IllegalAccessException -> 0x00e7 }
            r5.set(r1, r0)     // Catch:{ IllegalAccessException -> 0x00e7 }
            if (r8 == r9) goto L_0x00eb
            r16.refreshDrawableState()     // Catch:{ IllegalAccessException -> 0x00e7 }
            goto L_0x00eb
        L_0x00e7:
            r0 = move-exception
            r0.printStackTrace()
        L_0x00eb:
            if (r12 == 0) goto L_0x0106
            android.graphics.Rect r0 = r1.f1572b
            float r5 = r0.exactCenterX()
            float r0 = r0.exactCenterY()
            int r12 = r16.getVisibility()
            if (r12 != 0) goto L_0x00ff
            r12 = 1
            goto L_0x0100
        L_0x00ff:
            r12 = 0
        L_0x0100:
            r11.setVisible(r12, r4)
            r11.setHotspot(r5, r0)
        L_0x0106:
            android.graphics.drawable.Drawable r0 = r16.getSelector()
            if (r0 == 0) goto L_0x0111
            if (r8 == r9) goto L_0x0111
            r0.setHotspot(r7, r6)
        L_0x0111:
            r1.setSelectorEnabled(r4)
            r16.refreshDrawableState()
            r5 = 1
            if (r3 != r5) goto L_0x0121
            long r5 = r1.getItemIdAtPosition(r8)
            r1.performItemClick(r10, r8, r5)
        L_0x0121:
            r0 = 1
        L_0x0122:
            r5 = 0
        L_0x0123:
            if (r0 == 0) goto L_0x0127
            if (r5 == 0) goto L_0x0149
        L_0x0127:
            r1.f1582l = r4
            r1.setPressed(r4)
            r16.drawableStateChanged()
            int r3 = r1.f1577g
            int r5 = r16.getFirstVisiblePosition()
            int r3 = r3 - r5
            android.view.View r3 = r1.getChildAt(r3)
            if (r3 == 0) goto L_0x013f
            r3.setPressed(r4)
        L_0x013f:
            b.h.m.s r3 = r1.f1583m
            if (r3 == 0) goto L_0x0149
            r3.mo3150a()
            r3 = 0
            r1.f1583m = r3
        L_0x0149:
            if (r0 == 0) goto L_0x0161
            b.h.n.c r3 = r1.f1584n
            if (r3 != 0) goto L_0x0156
            b.h.n.c r3 = new b.h.n.c
            r3.<init>(r1)
            r1.f1584n = r3
        L_0x0156:
            b.h.n.c r3 = r1.f1584n
            boolean r4 = r3.f2581q
            r5 = 1
            r3.f2581q = r5
            r3.onTouch(r1, r2)
            goto L_0x016e
        L_0x0161:
            b.h.n.c r2 = r1.f1584n
            if (r2 == 0) goto L_0x016e
            boolean r3 = r2.f2581q
            if (r3 == 0) goto L_0x016c
            r2.mo3189a()
        L_0x016c:
            r2.f2581q = r4
        L_0x016e:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p019p.DropDownListView.mo2269a(android.view.MotionEvent, int):boolean");
    }

    /* renamed from: a */
    public final void mo2268a() {
        Drawable selector = getSelector();
        if (selector != null && this.f1582l && isPressed()) {
            selector.setState(getDrawableState());
        }
    }
}
