package com.newrelic.agent.android.instrumentation;

import java.util.HashMap;
import java.util.Map;

public enum MetricCategory {
    NONE("None"),
    VIEW_LOADING("View Loading"),
    VIEW_LAYOUT("Layout"),
    DATABASE("Database"),
    IMAGE("Images"),
    JSON("JSON"),
    NETWORK("Network");
    
    public static final Map<String, MetricCategory> methodMap = null;
    public String categoryName;

    /* access modifiers changed from: public */
    static {
        methodMap = new HashMap<String, MetricCategory>() {
            {
                put("onCreate", MetricCategory.VIEW_LOADING);
            }
        };
    }

    /* access modifiers changed from: public */
    MetricCategory(String str) {
        this.categoryName = str;
    }

    public static MetricCategory categoryForMethod(String str) {
        if (str == null) {
            return NONE;
        }
        String str2 = null;
        int indexOf = str.indexOf("#");
        if (indexOf >= 0) {
            str2 = str.substring(indexOf + 1);
        }
        MetricCategory metricCategory = methodMap.get(str2);
        return metricCategory == null ? NONE : metricCategory;
    }

    public String getCategoryName() {
        return this.categoryName;
    }
}
