package p008b.p010b.p019p;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.PopupWindow;
import androidx.appcompat.view.menu.ListMenuItemView;
import java.lang.reflect.Method;
import p008b.p010b.p017o.p018i.MenuAdapter;
import p008b.p010b.p017o.p018i.MenuBuilder;
import p008b.p010b.p017o.p018i.MenuItemImpl;

/* renamed from: b.b.p.m0 */
public class MenuPopupWindow extends C0284k0 implements MenuItemHoverListener {

    /* renamed from: H */
    public static Method f1681H;

    /* renamed from: G */
    public MenuItemHoverListener f1682G;

    /* renamed from: b.b.p.m0$a */
    /* compiled from: MenuPopupWindow */
    public static class C0290a extends DropDownListView {

        /* renamed from: p */
        public final int f1683p;

        /* renamed from: q */
        public final int f1684q;

        /* renamed from: r */
        public MenuItemHoverListener f1685r;

        /* renamed from: s */
        public MenuItem f1686s;

        public C0290a(Context context, boolean z) {
            super(context, z);
            if (1 == context.getResources().getConfiguration().getLayoutDirection()) {
                this.f1683p = 21;
                this.f1684q = 22;
                return;
            }
            this.f1683p = 22;
            this.f1684q = 21;
        }

        public boolean onHoverEvent(MotionEvent motionEvent) {
            int i;
            MenuAdapter fVar;
            int pointToPosition;
            int i2;
            if (this.f1685r != null) {
                ListAdapter adapter = getAdapter();
                if (adapter instanceof HeaderViewListAdapter) {
                    HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
                    i = headerViewListAdapter.getHeadersCount();
                    fVar = (MenuAdapter) headerViewListAdapter.getWrappedAdapter();
                } else {
                    i = 0;
                    fVar = (MenuAdapter) adapter;
                }
                MenuItemImpl iVar = null;
                if (motionEvent.getAction() != 10 && (pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY())) != -1 && (i2 = pointToPosition - i) >= 0 && i2 < fVar.getCount()) {
                    iVar = fVar.getItem(i2);
                }
                MenuItem menuItem = this.f1686s;
                if (menuItem != iVar) {
                    MenuBuilder gVar = fVar.f1370b;
                    if (menuItem != null) {
                        this.f1685r.mo1925b(gVar, menuItem);
                    }
                    this.f1686s = iVar;
                    if (iVar != null) {
                        this.f1685r.mo1924a(gVar, iVar);
                    }
                }
            }
            return super.onHoverEvent(motionEvent);
        }

        public boolean onKeyDown(int i, KeyEvent keyEvent) {
            ListMenuItemView listMenuItemView = (ListMenuItemView) getSelectedView();
            if (listMenuItemView != null && i == this.f1683p) {
                if (listMenuItemView.isEnabled() && listMenuItemView.getItemData().hasSubMenu()) {
                    performItemClick(listMenuItemView, getSelectedItemPosition(), getSelectedItemId());
                }
                return true;
            } else if (listMenuItemView == null || i != this.f1684q) {
                return super.onKeyDown(i, keyEvent);
            } else {
                setSelection(-1);
                ((MenuAdapter) getAdapter()).f1370b.mo1950a(false);
                return true;
            }
        }

        public void setHoverListener(MenuItemHoverListener l0Var) {
            this.f1685r = l0Var;
        }

        public /* bridge */ /* synthetic */ void setSelector(Drawable drawable) {
            super.setSelector(drawable);
        }
    }

    static {
        try {
            if (Build.VERSION.SDK_INT <= 28) {
                f1681H = PopupWindow.class.getDeclaredMethod("setTouchModal", new Class[]{Boolean.TYPE});
            }
        } catch (NoSuchMethodException unused) {
            Log.i("MenuPopupWindow", "Could not find method setTouchModal() on PopupWindow. Oh well.");
        }
    }

    public MenuPopupWindow(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
    }

    /* renamed from: a */
    public DropDownListView mo2363a(Context context, boolean z) {
        C0290a aVar = new C0290a(context, z);
        aVar.setHoverListener(this);
        return aVar;
    }

    /* renamed from: b */
    public void mo1925b(MenuBuilder gVar, MenuItem menuItem) {
        MenuItemHoverListener l0Var = this.f1682G;
        if (l0Var != null) {
            l0Var.mo1925b(gVar, menuItem);
        }
    }

    /* renamed from: a */
    public void mo1924a(MenuBuilder gVar, MenuItem menuItem) {
        MenuItemHoverListener l0Var = this.f1682G;
        if (l0Var != null) {
            l0Var.mo1924a(gVar, menuItem);
        }
    }
}
