package p008b.p010b.p019p;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p010b.C0181a;
import p008b.p010b.C0185e;
import p008b.p010b.p014m.p015a.AnimatedStateListDrawableCompat;
import p008b.p010b.p019p.AppCompatDrawableManager;
import p008b.p026e.ArrayMap;
import p008b.p026e.LongSparseArray;
import p008b.p026e.LruCache;
import p008b.p026e.SparseArrayCompat;
import p008b.p081x.p082a.p083a.AnimatedVectorDrawableCompat;
import p008b.p081x.p082a.p083a.VectorDrawableCompat;

/* renamed from: b.b.p.n0 */
public final class ResourceManagerInternal {

    /* renamed from: h */
    public static final PorterDuff.Mode f1689h = PorterDuff.Mode.SRC_IN;

    /* renamed from: i */
    public static ResourceManagerInternal f1690i;

    /* renamed from: j */
    public static final C0293c f1691j = new C0293c(6);

    /* renamed from: a */
    public WeakHashMap<Context, SparseArrayCompat<ColorStateList>> f1692a;

    /* renamed from: b */
    public ArrayMap<String, C0294d> f1693b;

    /* renamed from: c */
    public SparseArrayCompat<String> f1694c;

    /* renamed from: d */
    public final WeakHashMap<Context, LongSparseArray<WeakReference<Drawable.ConstantState>>> f1695d = new WeakHashMap<>(0);

    /* renamed from: e */
    public TypedValue f1696e;

    /* renamed from: f */
    public boolean f1697f;

    /* renamed from: g */
    public C0295e f1698g;

    /* renamed from: b.b.p.n0$a */
    /* compiled from: ResourceManagerInternal */
    public static class C0291a implements C0294d {
        /* renamed from: a */
        public Drawable mo2431a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return AnimatedStateListDrawableCompat.m983a(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e);
                return null;
            }
        }
    }

    /* renamed from: b.b.p.n0$b */
    /* compiled from: ResourceManagerInternal */
    public static class C0292b implements C0294d {
        /* renamed from: a */
        public Drawable mo2431a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                Resources resources = context.getResources();
                AnimatedVectorDrawableCompat cVar = new AnimatedVectorDrawableCompat(context, (AnimatedVectorDrawableCompat.C0650b) null, (Resources) null);
                cVar.inflate(resources, xmlPullParser, attributeSet, theme);
                return cVar;
            } catch (Exception e) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e);
                return null;
            }
        }
    }

    /* renamed from: b.b.p.n0$c */
    /* compiled from: ResourceManagerInternal */
    public static class C0293c extends LruCache<Integer, PorterDuffColorFilter> {
        public C0293c(int i) {
            super(i);
        }
    }

    /* renamed from: b.b.p.n0$d */
    /* compiled from: ResourceManagerInternal */
    public interface C0294d {
        /* renamed from: a */
        Drawable mo2431a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme);
    }

    /* renamed from: b.b.p.n0$e */
    /* compiled from: ResourceManagerInternal */
    public interface C0295e {
    }

    /* renamed from: b.b.p.n0$f */
    /* compiled from: ResourceManagerInternal */
    public static class C0296f implements C0294d {
        /* renamed from: a */
        public Drawable mo2431a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return VectorDrawableCompat.createFromXmlInner(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e);
                return null;
            }
        }
    }

    /* renamed from: a */
    public static synchronized ResourceManagerInternal m1370a() {
        ResourceManagerInternal n0Var;
        synchronized (ResourceManagerInternal.class) {
            if (f1690i == null) {
                ResourceManagerInternal n0Var2 = new ResourceManagerInternal();
                f1690i = n0Var2;
                if (Build.VERSION.SDK_INT < 24) {
                    n0Var2.mo2425a("vector", (C0294d) new C0296f());
                    n0Var2.mo2425a("animated-vector", (C0294d) new C0292b());
                    n0Var2.mo2425a("animated-selector", (C0294d) new C0291a());
                }
            }
            n0Var = f1690i;
        }
        return n0Var;
    }

    /* renamed from: b */
    public synchronized Drawable mo2428b(Context context, int i) {
        return mo2420a(context, i, false);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:4:0x0006, code lost:
        r0 = r0.get(r4);
     */
    /* renamed from: c */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public synchronized android.content.res.ColorStateList mo2429c(android.content.Context r4, int r5) {
        /*
            r3 = this;
            monitor-enter(r3)
            java.util.WeakHashMap<android.content.Context, b.e.i<android.content.res.ColorStateList>> r0 = r3.f1692a     // Catch:{ all -> 0x004d }
            r1 = 0
            if (r0 == 0) goto L_0x0015
            java.lang.Object r0 = r0.get(r4)     // Catch:{ all -> 0x004d }
            b.e.i r0 = (p008b.p026e.SparseArrayCompat) r0     // Catch:{ all -> 0x004d }
            if (r0 == 0) goto L_0x0015
            java.lang.Object r0 = r0.mo2821b(r5, r1)     // Catch:{ all -> 0x004d }
            android.content.res.ColorStateList r0 = (android.content.res.ColorStateList) r0     // Catch:{ all -> 0x004d }
            goto L_0x0016
        L_0x0015:
            r0 = r1
        L_0x0016:
            if (r0 != 0) goto L_0x004f
            b.b.p.n0$e r0 = r3.f1698g     // Catch:{ all -> 0x004d }
            if (r0 != 0) goto L_0x001d
            goto L_0x0025
        L_0x001d:
            b.b.p.n0$e r0 = r3.f1698g     // Catch:{ all -> 0x004d }
            b.b.p.j$a r0 = (p008b.p010b.p019p.AppCompatDrawableManager.C0283a) r0
            android.content.res.ColorStateList r1 = r0.mo2347b(r4, r5)     // Catch:{ all -> 0x004d }
        L_0x0025:
            if (r1 == 0) goto L_0x004b
            java.util.WeakHashMap<android.content.Context, b.e.i<android.content.res.ColorStateList>> r0 = r3.f1692a     // Catch:{ all -> 0x004d }
            if (r0 != 0) goto L_0x0032
            java.util.WeakHashMap r0 = new java.util.WeakHashMap     // Catch:{ all -> 0x004d }
            r0.<init>()     // Catch:{ all -> 0x004d }
            r3.f1692a = r0     // Catch:{ all -> 0x004d }
        L_0x0032:
            java.util.WeakHashMap<android.content.Context, b.e.i<android.content.res.ColorStateList>> r0 = r3.f1692a     // Catch:{ all -> 0x004d }
            java.lang.Object r0 = r0.get(r4)     // Catch:{ all -> 0x004d }
            b.e.i r0 = (p008b.p026e.SparseArrayCompat) r0     // Catch:{ all -> 0x004d }
            if (r0 != 0) goto L_0x0048
            b.e.i r0 = new b.e.i     // Catch:{ all -> 0x004d }
            r2 = 10
            r0.<init>(r2)     // Catch:{ all -> 0x004d }
            java.util.WeakHashMap<android.content.Context, b.e.i<android.content.res.ColorStateList>> r2 = r3.f1692a     // Catch:{ all -> 0x004d }
            r2.put(r4, r0)     // Catch:{ all -> 0x004d }
        L_0x0048:
            r0.mo2818a(r5, r1)     // Catch:{ all -> 0x004d }
        L_0x004b:
            r0 = r1
            goto L_0x004f
        L_0x004d:
            r4 = move-exception
            goto L_0x0051
        L_0x004f:
            monitor-exit(r3)
            return r0
        L_0x0051:
            monitor-exit(r3)
            throw r4
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p019p.ResourceManagerInternal.mo2429c(android.content.Context, int):android.content.res.ColorStateList");
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x007b A[Catch:{ Exception -> 0x00a9 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00a1 A[Catch:{ Exception -> 0x00a9 }] */
    /* renamed from: d */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final android.graphics.drawable.Drawable mo2430d(android.content.Context r11, int r12) {
        /*
            r10 = this;
            b.e.a<java.lang.String, b.b.p.n0$d> r0 = r10.f1693b
            r1 = 0
            if (r0 == 0) goto L_0x00b9
            boolean r0 = r0.isEmpty()
            if (r0 != 0) goto L_0x00b9
            b.e.i<java.lang.String> r0 = r10.f1694c
            java.lang.String r2 = "appcompat_skip_skip"
            if (r0 == 0) goto L_0x0028
            java.lang.Object r0 = r0.mo2821b(r12, r1)
            java.lang.String r0 = (java.lang.String) r0
            boolean r3 = r2.equals(r0)
            if (r3 != 0) goto L_0x0027
            if (r0 == 0) goto L_0x0031
            b.e.a<java.lang.String, b.b.p.n0$d> r3 = r10.f1693b
            java.lang.Object r0 = r3.getOrDefault(r0, r1)
            if (r0 != 0) goto L_0x0031
        L_0x0027:
            return r1
        L_0x0028:
            b.e.i r0 = new b.e.i
            r1 = 10
            r0.<init>(r1)
            r10.f1694c = r0
        L_0x0031:
            android.util.TypedValue r0 = r10.f1696e
            if (r0 != 0) goto L_0x003c
            android.util.TypedValue r0 = new android.util.TypedValue
            r0.<init>()
            r10.f1696e = r0
        L_0x003c:
            android.util.TypedValue r0 = r10.f1696e
            android.content.res.Resources r1 = r11.getResources()
            r3 = 1
            r1.getValue(r12, r0, r3)
            int r4 = r0.assetCookie
            long r4 = (long) r4
            r6 = 32
            long r4 = r4 << r6
            int r6 = r0.data
            long r6 = (long) r6
            long r4 = r4 | r6
            android.graphics.drawable.Drawable r6 = r10.mo2422a((android.content.Context) r11, (long) r4)
            if (r6 == 0) goto L_0x0057
            return r6
        L_0x0057:
            java.lang.CharSequence r7 = r0.string
            if (r7 == 0) goto L_0x00b1
            java.lang.String r7 = r7.toString()
            java.lang.String r8 = ".xml"
            boolean r7 = r7.endsWith(r8)
            if (r7 == 0) goto L_0x00b1
            android.content.res.XmlResourceParser r1 = r1.getXml(r12)     // Catch:{ Exception -> 0x00a9 }
            android.util.AttributeSet r7 = android.util.Xml.asAttributeSet(r1)     // Catch:{ Exception -> 0x00a9 }
        L_0x006f:
            int r8 = r1.next()     // Catch:{ Exception -> 0x00a9 }
            r9 = 2
            if (r8 == r9) goto L_0x0079
            if (r8 == r3) goto L_0x0079
            goto L_0x006f
        L_0x0079:
            if (r8 != r9) goto L_0x00a1
            java.lang.String r3 = r1.getName()     // Catch:{ Exception -> 0x00a9 }
            b.e.i<java.lang.String> r8 = r10.f1694c     // Catch:{ Exception -> 0x00a9 }
            r8.mo2818a(r12, r3)     // Catch:{ Exception -> 0x00a9 }
            b.e.a<java.lang.String, b.b.p.n0$d> r8 = r10.f1693b     // Catch:{ Exception -> 0x00a9 }
            java.lang.Object r3 = r8.get(r3)     // Catch:{ Exception -> 0x00a9 }
            b.b.p.n0$d r3 = (p008b.p010b.p019p.ResourceManagerInternal.C0294d) r3     // Catch:{ Exception -> 0x00a9 }
            if (r3 == 0) goto L_0x0096
            android.content.res.Resources$Theme r8 = r11.getTheme()     // Catch:{ Exception -> 0x00a9 }
            android.graphics.drawable.Drawable r6 = r3.mo2431a(r11, r1, r7, r8)     // Catch:{ Exception -> 0x00a9 }
        L_0x0096:
            if (r6 == 0) goto L_0x00b1
            int r0 = r0.changingConfigurations     // Catch:{ Exception -> 0x00a9 }
            r6.setChangingConfigurations(r0)     // Catch:{ Exception -> 0x00a9 }
            r10.mo2427a((android.content.Context) r11, (long) r4, (android.graphics.drawable.Drawable) r6)     // Catch:{ Exception -> 0x00a9 }
            goto L_0x00b1
        L_0x00a1:
            org.xmlpull.v1.XmlPullParserException r11 = new org.xmlpull.v1.XmlPullParserException     // Catch:{ Exception -> 0x00a9 }
            java.lang.String r0 = "No start tag found"
            r11.<init>(r0)     // Catch:{ Exception -> 0x00a9 }
            throw r11     // Catch:{ Exception -> 0x00a9 }
        L_0x00a9:
            r11 = move-exception
            java.lang.String r0 = "ResourceManagerInternal"
            java.lang.String r1 = "Exception while inflating drawable"
            android.util.Log.e(r0, r1, r11)
        L_0x00b1:
            if (r6 != 0) goto L_0x00b8
            b.e.i<java.lang.String> r11 = r10.f1694c
            r11.mo2818a(r12, r2)
        L_0x00b8:
            return r6
        L_0x00b9:
            return r1
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p019p.ResourceManagerInternal.mo2430d(android.content.Context, int):android.graphics.drawable.Drawable");
    }

    /* renamed from: a */
    public synchronized void mo2424a(C0295e eVar) {
        this.f1698g = eVar;
    }

    /* renamed from: a */
    public synchronized void mo2423a(Context context) {
        LongSparseArray eVar = this.f1695d.get(context);
        if (eVar != null) {
            eVar.mo2720a();
        }
    }

    /* renamed from: a */
    public final Drawable mo2419a(Context context, int i) {
        if (this.f1696e == null) {
            this.f1696e = new TypedValue();
        }
        TypedValue typedValue = this.f1696e;
        context.getResources().getValue(i, typedValue, true);
        long j = (((long) typedValue.assetCookie) << 32) | ((long) typedValue.data);
        Drawable a = mo2422a(context, j);
        if (a != null) {
            return a;
        }
        C0295e eVar = this.f1698g;
        LayerDrawable layerDrawable = null;
        if (eVar != null) {
            AppCompatDrawableManager.C0283a aVar = (AppCompatDrawableManager.C0283a) eVar;
            if (i == C0185e.abc_cab_background_top_material) {
                layerDrawable = new LayerDrawable(new Drawable[]{mo2428b(context, C0185e.abc_cab_background_internal_bg), mo2428b(context, C0185e.abc_cab_background_top_mtrl_alpha)});
            }
        }
        if (layerDrawable != null) {
            layerDrawable.setChangingConfigurations(typedValue.changingConfigurations);
            mo2427a(context, j, (Drawable) layerDrawable);
        }
        return layerDrawable;
    }

    /* renamed from: a */
    public final Drawable mo2421a(Context context, int i, boolean z, Drawable drawable) {
        ColorStateList c = mo2429c(context, i);
        PorterDuff.Mode mode = null;
        if (c != null) {
            if (DrawableUtils.m1316a(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable c2 = MediaDescriptionCompatApi21.m99c(drawable);
            c2.setTintList(c);
            C0295e eVar = this.f1698g;
            if (eVar != null) {
                AppCompatDrawableManager.C0283a aVar = (AppCompatDrawableManager.C0283a) eVar;
                if (i == C0185e.abc_switch_thumb_material) {
                    mode = PorterDuff.Mode.MULTIPLY;
                }
            }
            if (mode == null) {
                return c2;
            }
            c2.setTintMode(mode);
            return c2;
        }
        C0295e eVar2 = this.f1698g;
        if (eVar2 != null) {
            AppCompatDrawableManager.C0283a aVar2 = (AppCompatDrawableManager.C0283a) eVar2;
            if (aVar2 != null) {
                boolean z2 = true;
                if (i == C0185e.abc_seekbar_track_material) {
                    LayerDrawable layerDrawable = (LayerDrawable) drawable;
                    aVar2.mo2345a(layerDrawable.findDrawableByLayerId(16908288), ThemeUtils.m1402b(context, C0181a.colorControlNormal), AppCompatDrawableManager.f1627b);
                    aVar2.mo2345a(layerDrawable.findDrawableByLayerId(16908303), ThemeUtils.m1402b(context, C0181a.colorControlNormal), AppCompatDrawableManager.f1627b);
                    aVar2.mo2345a(layerDrawable.findDrawableByLayerId(16908301), ThemeUtils.m1402b(context, C0181a.colorControlActivated), AppCompatDrawableManager.f1627b);
                } else if (i == C0185e.abc_ratingbar_material || i == C0185e.abc_ratingbar_indicator_material || i == C0185e.abc_ratingbar_small_material) {
                    LayerDrawable layerDrawable2 = (LayerDrawable) drawable;
                    aVar2.mo2345a(layerDrawable2.findDrawableByLayerId(16908288), ThemeUtils.m1401a(context, C0181a.colorControlNormal), AppCompatDrawableManager.f1627b);
                    aVar2.mo2345a(layerDrawable2.findDrawableByLayerId(16908303), ThemeUtils.m1402b(context, C0181a.colorControlActivated), AppCompatDrawableManager.f1627b);
                    aVar2.mo2345a(layerDrawable2.findDrawableByLayerId(16908301), ThemeUtils.m1402b(context, C0181a.colorControlActivated), AppCompatDrawableManager.f1627b);
                } else {
                    z2 = false;
                }
                if (z2) {
                    return drawable;
                }
            } else {
                throw null;
            }
        }
        if (mo2426a(context, i, drawable) || !z) {
            return drawable;
        }
        return null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0032, code lost:
        r5 = r0.f1893d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0040, code lost:
        return null;
     */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final synchronized android.graphics.drawable.Drawable mo2422a(android.content.Context r4, long r5) {
        /*
            r3 = this;
            monitor-enter(r3)
            java.util.WeakHashMap<android.content.Context, b.e.e<java.lang.ref.WeakReference<android.graphics.drawable.Drawable$ConstantState>>> r0 = r3.f1695d     // Catch:{ all -> 0x0041 }
            java.lang.Object r0 = r0.get(r4)     // Catch:{ all -> 0x0041 }
            b.e.e r0 = (p008b.p026e.LongSparseArray) r0     // Catch:{ all -> 0x0041 }
            r1 = 0
            if (r0 != 0) goto L_0x000e
            monitor-exit(r3)
            return r1
        L_0x000e:
            java.lang.Object r2 = r0.mo2722b(r5, r1)     // Catch:{ all -> 0x0041 }
            java.lang.ref.WeakReference r2 = (java.lang.ref.WeakReference) r2     // Catch:{ all -> 0x0041 }
            if (r2 == 0) goto L_0x003f
            java.lang.Object r2 = r2.get()     // Catch:{ all -> 0x0041 }
            android.graphics.drawable.Drawable$ConstantState r2 = (android.graphics.drawable.Drawable.ConstantState) r2     // Catch:{ all -> 0x0041 }
            if (r2 == 0) goto L_0x0028
            android.content.res.Resources r4 = r4.getResources()     // Catch:{ all -> 0x0041 }
            android.graphics.drawable.Drawable r4 = r2.newDrawable(r4)     // Catch:{ all -> 0x0041 }
            monitor-exit(r3)
            return r4
        L_0x0028:
            long[] r4 = r0.f1892c     // Catch:{ all -> 0x0041 }
            int r2 = r0.f1894e     // Catch:{ all -> 0x0041 }
            int r4 = p008b.p026e.ContainerHelpers.m1564a((long[]) r4, (int) r2, (long) r5)     // Catch:{ all -> 0x0041 }
            if (r4 < 0) goto L_0x003f
            java.lang.Object[] r5 = r0.f1893d     // Catch:{ all -> 0x0041 }
            r6 = r5[r4]     // Catch:{ all -> 0x0041 }
            java.lang.Object r2 = p008b.p026e.LongSparseArray.f1890f     // Catch:{ all -> 0x0041 }
            if (r6 == r2) goto L_0x003f
            r5[r4] = r2     // Catch:{ all -> 0x0041 }
            r4 = 1
            r0.f1891b = r4     // Catch:{ all -> 0x0041 }
        L_0x003f:
            monitor-exit(r3)
            return r1
        L_0x0041:
            r4 = move-exception
            monitor-exit(r3)
            throw r4
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p019p.ResourceManagerInternal.mo2422a(android.content.Context, long):android.graphics.drawable.Drawable");
    }

    /* renamed from: a */
    public final synchronized boolean mo2427a(Context context, long j, Drawable drawable) {
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState == null) {
            return false;
        }
        LongSparseArray eVar = this.f1695d.get(context);
        if (eVar == null) {
            eVar = new LongSparseArray();
            this.f1695d.put(context, eVar);
        }
        eVar.mo2725c(j, new WeakReference(constantState));
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x004d  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:34:? A[RETURN, SYNTHETIC] */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean mo2426a(android.content.Context r8, int r9, android.graphics.drawable.Drawable r10) {
        /*
            r7 = this;
            b.b.p.n0$e r0 = r7.f1698g
            r1 = 1
            r2 = 0
            if (r0 == 0) goto L_0x006f
            b.b.p.j$a r0 = (p008b.p010b.p019p.AppCompatDrawableManager.C0283a) r0
            if (r0 == 0) goto L_0x006d
            android.graphics.PorterDuff$Mode r3 = p008b.p010b.p019p.AppCompatDrawableManager.f1627b
            int[] r4 = r0.f1630a
            boolean r4 = r0.mo2346a((int[]) r4, (int) r9)
            r5 = 16842801(0x1010031, float:2.3693695E-38)
            r6 = -1
            if (r4 == 0) goto L_0x001b
            int r5 = p008b.p010b.C0181a.colorControlNormal
            goto L_0x0044
        L_0x001b:
            int[] r4 = r0.f1632c
            boolean r4 = r0.mo2346a((int[]) r4, (int) r9)
            if (r4 == 0) goto L_0x0026
            int r5 = p008b.p010b.C0181a.colorControlActivated
            goto L_0x0044
        L_0x0026:
            int[] r4 = r0.f1633d
            boolean r0 = r0.mo2346a((int[]) r4, (int) r9)
            if (r0 == 0) goto L_0x0031
            android.graphics.PorterDuff$Mode r3 = android.graphics.PorterDuff.Mode.MULTIPLY
            goto L_0x0044
        L_0x0031:
            int r0 = p008b.p010b.C0185e.abc_list_divider_mtrl_alpha
            if (r9 != r0) goto L_0x0040
            r9 = 16842800(0x1010030, float:2.3693693E-38)
            r0 = 1109603123(0x42233333, float:40.8)
            int r0 = java.lang.Math.round(r0)
            goto L_0x0046
        L_0x0040:
            int r0 = p008b.p010b.C0185e.abc_dialog_material_background
            if (r9 != r0) goto L_0x0048
        L_0x0044:
            r9 = r5
            r0 = -1
        L_0x0046:
            r4 = 1
            goto L_0x004b
        L_0x0048:
            r9 = 0
            r0 = -1
            r4 = 0
        L_0x004b:
            if (r4 == 0) goto L_0x0069
            boolean r4 = p008b.p010b.p019p.DrawableUtils.m1316a(r10)
            if (r4 == 0) goto L_0x0057
            android.graphics.drawable.Drawable r10 = r10.mutate()
        L_0x0057:
            int r8 = p008b.p010b.p019p.ThemeUtils.m1402b(r8, r9)
            android.graphics.PorterDuffColorFilter r8 = p008b.p010b.p019p.AppCompatDrawableManager.m1334a((int) r8, (android.graphics.PorterDuff.Mode) r3)
            r10.setColorFilter(r8)
            if (r0 == r6) goto L_0x0067
            r10.setAlpha(r0)
        L_0x0067:
            r8 = 1
            goto L_0x006a
        L_0x0069:
            r8 = 0
        L_0x006a:
            if (r8 == 0) goto L_0x006f
            goto L_0x0070
        L_0x006d:
            r8 = 0
            throw r8
        L_0x006f:
            r1 = 0
        L_0x0070:
            return r1
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p019p.ResourceManagerInternal.mo2426a(android.content.Context, int, android.graphics.drawable.Drawable):boolean");
    }

    /* renamed from: a */
    public final void mo2425a(String str, C0294d dVar) {
        if (this.f1693b == null) {
            this.f1693b = new ArrayMap<>();
        }
        this.f1693b.put(str, dVar);
    }

    /* renamed from: a */
    public static void m1371a(Drawable drawable, TintInfo v0Var, int[] iArr) {
        if (!DrawableUtils.m1316a(drawable) || drawable.mutate() == drawable) {
            if (v0Var.f1764d || v0Var.f1763c) {
                PorterDuffColorFilter porterDuffColorFilter = null;
                ColorStateList colorStateList = v0Var.f1764d ? v0Var.f1761a : null;
                PorterDuff.Mode mode = v0Var.f1763c ? v0Var.f1762b : f1689h;
                if (!(colorStateList == null || mode == null)) {
                    porterDuffColorFilter = m1369a(colorStateList.getColorForState(iArr, 0), mode);
                }
                drawable.setColorFilter(porterDuffColorFilter);
            } else {
                drawable.clearColorFilter();
            }
            if (Build.VERSION.SDK_INT <= 23) {
                drawable.invalidateSelf();
                return;
            }
            return;
        }
        Log.d("ResourceManagerInternal", "Mutated drawable is not the same instance as the input.");
    }

    /* renamed from: a */
    public static synchronized PorterDuffColorFilter m1369a(int i, PorterDuff.Mode mode) {
        PorterDuffColorFilter porterDuffColorFilter;
        synchronized (ResourceManagerInternal.class) {
            C0293c cVar = f1691j;
            if (cVar != null) {
                int i2 = (i + 31) * 31;
                porterDuffColorFilter = (PorterDuffColorFilter) cVar.mo2728a(Integer.valueOf(mode.hashCode() + i2));
                if (porterDuffColorFilter == null) {
                    porterDuffColorFilter = new PorterDuffColorFilter(i, mode);
                    C0293c cVar2 = f1691j;
                    if (cVar2 != null) {
                        PorterDuffColorFilter porterDuffColorFilter2 = (PorterDuffColorFilter) cVar2.mo2729a(Integer.valueOf(mode.hashCode() + i2), porterDuffColorFilter);
                    } else {
                        throw null;
                    }
                }
            } else {
                throw null;
            }
        }
        return porterDuffColorFilter;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0028, code lost:
        if (r0 != false) goto L_0x002a;
     */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public synchronized android.graphics.drawable.Drawable mo2420a(android.content.Context r5, int r6, boolean r7) {
        /*
            r4 = this;
            monitor-enter(r4)
            boolean r0 = r4.f1697f     // Catch:{ all -> 0x0047 }
            if (r0 == 0) goto L_0x0006
            goto L_0x002a
        L_0x0006:
            r0 = 1
            r4.f1697f = r0     // Catch:{ all -> 0x0047 }
            int r1 = p008b.p010b.p016n.C0242a.abc_vector_test     // Catch:{ all -> 0x0047 }
            android.graphics.drawable.Drawable r1 = r4.mo2428b(r5, r1)     // Catch:{ all -> 0x0047 }
            r2 = 0
            if (r1 == 0) goto L_0x0049
            boolean r3 = r1 instanceof p008b.p081x.p082a.p083a.VectorDrawableCompat     // Catch:{ all -> 0x0047 }
            if (r3 != 0) goto L_0x0028
            java.lang.String r3 = "android.graphics.drawable.VectorDrawable"
            java.lang.Class r1 = r1.getClass()     // Catch:{ all -> 0x0047 }
            java.lang.String r1 = r1.getName()     // Catch:{ all -> 0x0047 }
            boolean r1 = r3.equals(r1)     // Catch:{ all -> 0x0047 }
            if (r1 == 0) goto L_0x0027
            goto L_0x0028
        L_0x0027:
            r0 = 0
        L_0x0028:
            if (r0 == 0) goto L_0x0049
        L_0x002a:
            android.graphics.drawable.Drawable r0 = r4.mo2430d(r5, r6)     // Catch:{ all -> 0x0047 }
            if (r0 != 0) goto L_0x0034
            android.graphics.drawable.Drawable r0 = r4.mo2419a((android.content.Context) r5, (int) r6)     // Catch:{ all -> 0x0047 }
        L_0x0034:
            if (r0 != 0) goto L_0x003a
            android.graphics.drawable.Drawable r0 = p008b.p033h.p035f.ContextCompat.m1788c(r5, r6)     // Catch:{ all -> 0x0047 }
        L_0x003a:
            if (r0 == 0) goto L_0x0040
            android.graphics.drawable.Drawable r0 = r4.mo2421a(r5, r6, r7, r0)     // Catch:{ all -> 0x0047 }
        L_0x0040:
            if (r0 == 0) goto L_0x0045
            p008b.p010b.p019p.DrawableUtils.m1317b(r0)     // Catch:{ all -> 0x0047 }
        L_0x0045:
            monitor-exit(r4)
            return r0
        L_0x0047:
            r5 = move-exception
            goto L_0x0053
        L_0x0049:
            r4.f1697f = r2     // Catch:{ all -> 0x0047 }
            java.lang.IllegalStateException r5 = new java.lang.IllegalStateException     // Catch:{ all -> 0x0047 }
            java.lang.String r6 = "This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat."
            r5.<init>(r6)     // Catch:{ all -> 0x0047 }
            throw r5     // Catch:{ all -> 0x0047 }
        L_0x0053:
            monitor-exit(r4)
            throw r5
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p010b.p019p.ResourceManagerInternal.mo2420a(android.content.Context, int, boolean):android.graphics.drawable.Drawable");
    }
}
