package p008b.p010b.p019p;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.DecelerateInterpolator;
import android.widget.AdapterView;
import android.widget.HorizontalScrollView;
import android.widget.LinearLayout;
import p008b.p010b.C0181a;
import p008b.p010b.C0182b;
import p008b.p010b.C0184d;
import p008b.p010b.C0190j;
import p008b.p010b.p011k.ActionBar;

/* renamed from: b.b.p.q0 */
public class ScrollingTabContainerView extends HorizontalScrollView implements AdapterView.OnItemSelectedListener {

    /* renamed from: b */
    public Runnable f1713b;

    /* renamed from: c */
    public boolean f1714c;

    /* renamed from: d */
    public int f1715d;

    /* renamed from: e */
    public int f1716e;

    /* renamed from: f */
    public int f1717f;

    /* renamed from: g */
    public int f1718g;

    /* renamed from: b.b.p.q0$a */
    /* compiled from: ScrollingTabContainerView */
    public class C0297a extends LinearLayout {

        /* renamed from: b */
        public ActionBar.C0193c f1719b;

        /* renamed from: c */
        public final /* synthetic */ ScrollingTabContainerView f1720c;

        public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(accessibilityEvent);
            accessibilityEvent.setClassName("androidx.appcompat.app.ActionBar$Tab");
        }

        public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName("androidx.appcompat.app.ActionBar$Tab");
        }

        public void onMeasure(int i, int i2) {
            int i3;
            super.onMeasure(i, i2);
            if (this.f1720c.f1715d > 0 && getMeasuredWidth() > (i3 = this.f1720c.f1715d)) {
                super.onMeasure(View.MeasureSpec.makeMeasureSpec(i3, 1073741824), i2);
            }
        }

        public void setSelected(boolean z) {
            boolean z2 = isSelected() != z;
            super.setSelected(z);
            if (z2 && z) {
                sendAccessibilityEvent(4);
            }
        }
    }

    static {
        new DecelerateInterpolator();
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Runnable runnable = this.f1713b;
        if (runnable != null) {
            post(runnable);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        Context context = getContext();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes((AttributeSet) null, C0190j.ActionBar, C0181a.actionBarStyle, 0);
        int layoutDimension = obtainStyledAttributes.getLayoutDimension(C0190j.ActionBar_height, 0);
        Resources resources = context.getResources();
        if (!context.getResources().getBoolean(C0182b.abc_action_bar_embed_tabs)) {
            layoutDimension = Math.min(layoutDimension, resources.getDimensionPixelSize(C0184d.abc_action_bar_stacked_max_height));
        }
        obtainStyledAttributes.recycle();
        setContentHeight(layoutDimension);
        this.f1716e = context.getResources().getDimensionPixelSize(C0184d.abc_action_bar_stacked_tab_max_width);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Runnable runnable = this.f1713b;
        if (runnable != null) {
            removeCallbacks(runnable);
        }
    }

    public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
        ((C0297a) view).f1719b.mo1531a();
    }

    public void onMeasure(int i, int i2) {
        setFillViewport(View.MeasureSpec.getMode(i) == 1073741824);
        throw null;
    }

    public void onNothingSelected(AdapterView<?> adapterView) {
    }

    public void setAllowCollapse(boolean z) {
        this.f1714c = z;
    }

    public void setContentHeight(int i) {
        this.f1717f = i;
        requestLayout();
    }

    public void setTabSelected(int i) {
        this.f1718g = i;
        throw null;
    }
}
