package p008b.p010b.p019p;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.Resources;
import android.graphics.Rect;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityManager;
import p008b.p010b.C0184d;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.ViewConfigurationCompat;

/* renamed from: b.b.p.a1 */
public class TooltipCompatHandler implements View.OnLongClickListener, View.OnHoverListener, View.OnAttachStateChangeListener {

    /* renamed from: k */
    public static TooltipCompatHandler f1511k;

    /* renamed from: l */
    public static TooltipCompatHandler f1512l;

    /* renamed from: b */
    public final View f1513b;

    /* renamed from: c */
    public final CharSequence f1514c;

    /* renamed from: d */
    public final int f1515d;

    /* renamed from: e */
    public final Runnable f1516e = new C0269a();

    /* renamed from: f */
    public final Runnable f1517f = new C0270b();

    /* renamed from: g */
    public int f1518g;

    /* renamed from: h */
    public int f1519h;

    /* renamed from: i */
    public TooltipPopup f1520i;

    /* renamed from: j */
    public boolean f1521j;

    /* renamed from: b.b.p.a1$a */
    /* compiled from: TooltipCompatHandler */
    public class C0269a implements Runnable {
        public C0269a() {
        }

        public void run() {
            TooltipCompatHandler.this.mo2171a(false);
        }
    }

    /* renamed from: b.b.p.a1$b */
    /* compiled from: TooltipCompatHandler */
    public class C0270b implements Runnable {
        public C0270b() {
        }

        public void run() {
            TooltipCompatHandler.this.mo2172b();
        }
    }

    public TooltipCompatHandler(View view, CharSequence charSequence) {
        this.f1513b = view;
        this.f1514c = charSequence;
        this.f1515d = ViewConfigurationCompat.m2002a(ViewConfiguration.get(view.getContext()));
        mo2170a();
        this.f1513b.setOnLongClickListener(this);
        this.f1513b.setOnHoverListener(this);
    }

    /* renamed from: a */
    public void mo2171a(boolean z) {
        int i;
        int i2;
        long j;
        int i3;
        long j2;
        if (ViewCompat.m1977v(this.f1513b)) {
            m1244a((TooltipCompatHandler) null);
            TooltipCompatHandler a1Var = f1512l;
            if (a1Var != null) {
                a1Var.mo2172b();
            }
            f1512l = this;
            this.f1521j = z;
            TooltipPopup b1Var = new TooltipPopup(this.f1513b.getContext());
            this.f1520i = b1Var;
            View view = this.f1513b;
            int i4 = this.f1518g;
            int i5 = this.f1519h;
            boolean z2 = this.f1521j;
            CharSequence charSequence = this.f1514c;
            if (b1Var.f1527b.getParent() != null) {
                b1Var.mo2184a();
            }
            b1Var.f1528c.setText(charSequence);
            WindowManager.LayoutParams layoutParams = b1Var.f1529d;
            layoutParams.token = view.getApplicationWindowToken();
            int dimensionPixelOffset = b1Var.f1526a.getResources().getDimensionPixelOffset(C0184d.tooltip_precise_anchor_threshold);
            if (view.getWidth() < dimensionPixelOffset) {
                i4 = view.getWidth() / 2;
            }
            if (view.getHeight() >= dimensionPixelOffset) {
                int dimensionPixelOffset2 = b1Var.f1526a.getResources().getDimensionPixelOffset(C0184d.tooltip_precise_anchor_extra_offset);
                i = i5 + dimensionPixelOffset2;
                i2 = i5 - dimensionPixelOffset2;
            } else {
                i = view.getHeight();
                i2 = 0;
            }
            layoutParams.gravity = 49;
            int dimensionPixelOffset3 = b1Var.f1526a.getResources().getDimensionPixelOffset(z2 ? C0184d.tooltip_y_offset_touch : C0184d.tooltip_y_offset_non_touch);
            View rootView = view.getRootView();
            ViewGroup.LayoutParams layoutParams2 = rootView.getLayoutParams();
            if (!(layoutParams2 instanceof WindowManager.LayoutParams) || ((WindowManager.LayoutParams) layoutParams2).type != 2) {
                Context context = view.getContext();
                while (true) {
                    if (!(context instanceof ContextWrapper)) {
                        break;
                    } else if (context instanceof Activity) {
                        rootView = ((Activity) context).getWindow().getDecorView();
                        break;
                    } else {
                        context = ((ContextWrapper) context).getBaseContext();
                    }
                }
            }
            if (rootView == null) {
                Log.e("TooltipPopup", "Cannot find app view");
            } else {
                rootView.getWindowVisibleDisplayFrame(b1Var.f1530e);
                Rect rect = b1Var.f1530e;
                if (rect.left < 0 && rect.top < 0) {
                    Resources resources = b1Var.f1526a.getResources();
                    int identifier = resources.getIdentifier("status_bar_height", "dimen", "android");
                    int dimensionPixelSize = identifier != 0 ? resources.getDimensionPixelSize(identifier) : 0;
                    DisplayMetrics displayMetrics = resources.getDisplayMetrics();
                    b1Var.f1530e.set(0, dimensionPixelSize, displayMetrics.widthPixels, displayMetrics.heightPixels);
                }
                rootView.getLocationOnScreen(b1Var.f1532g);
                view.getLocationOnScreen(b1Var.f1531f);
                int[] iArr = b1Var.f1531f;
                int i6 = iArr[0];
                int[] iArr2 = b1Var.f1532g;
                iArr[0] = i6 - iArr2[0];
                iArr[1] = iArr[1] - iArr2[1];
                layoutParams.x = (iArr[0] + i4) - (rootView.getWidth() / 2);
                int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(0, 0);
                b1Var.f1527b.measure(makeMeasureSpec, makeMeasureSpec);
                int measuredHeight = b1Var.f1527b.getMeasuredHeight();
                int[] iArr3 = b1Var.f1531f;
                int i7 = ((iArr3[1] + i2) - dimensionPixelOffset3) - measuredHeight;
                int i8 = iArr3[1] + i + dimensionPixelOffset3;
                if (z2) {
                    if (i7 >= 0) {
                        layoutParams.y = i7;
                    } else {
                        layoutParams.y = i8;
                    }
                } else if (measuredHeight + i8 <= b1Var.f1530e.height()) {
                    layoutParams.y = i8;
                } else {
                    layoutParams.y = i7;
                }
            }
            ((WindowManager) b1Var.f1526a.getSystemService("window")).addView(b1Var.f1527b, b1Var.f1529d);
            this.f1513b.addOnAttachStateChangeListener(this);
            if (this.f1521j) {
                j = 2500;
            } else {
                if ((this.f1513b.getWindowSystemUiVisibility() & 1) == 1) {
                    j2 = 3000;
                    i3 = ViewConfiguration.getLongPressTimeout();
                } else {
                    j2 = 15000;
                    i3 = ViewConfiguration.getLongPressTimeout();
                }
                j = j2 - ((long) i3);
            }
            this.f1513b.removeCallbacks(this.f1517f);
            this.f1513b.postDelayed(this.f1517f, j);
        }
    }

    /* renamed from: b */
    public void mo2172b() {
        if (f1512l == this) {
            f1512l = null;
            TooltipPopup b1Var = this.f1520i;
            if (b1Var != null) {
                b1Var.mo2184a();
                this.f1520i = null;
                mo2170a();
                this.f1513b.removeOnAttachStateChangeListener(this);
            } else {
                Log.e("TooltipCompatHandler", "sActiveHandler.mPopup == null");
            }
        }
        if (f1511k == this) {
            m1244a((TooltipCompatHandler) null);
        }
        this.f1513b.removeCallbacks(this.f1517f);
    }

    public boolean onHover(View view, MotionEvent motionEvent) {
        boolean z;
        if (this.f1520i != null && this.f1521j) {
            return false;
        }
        AccessibilityManager accessibilityManager = (AccessibilityManager) this.f1513b.getContext().getSystemService("accessibility");
        if (accessibilityManager.isEnabled() && accessibilityManager.isTouchExplorationEnabled()) {
            return false;
        }
        int action = motionEvent.getAction();
        if (action != 7) {
            if (action == 10) {
                mo2170a();
                mo2172b();
            }
        } else if (this.f1513b.isEnabled() && this.f1520i == null) {
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            if (Math.abs(x - this.f1518g) > this.f1515d || Math.abs(y - this.f1519h) > this.f1515d) {
                this.f1518g = x;
                this.f1519h = y;
                z = true;
            } else {
                z = false;
            }
            if (z) {
                m1244a(this);
            }
        }
        return false;
    }

    public boolean onLongClick(View view) {
        this.f1518g = view.getWidth() / 2;
        this.f1519h = view.getHeight() / 2;
        mo2171a(true);
        return true;
    }

    public void onViewAttachedToWindow(View view) {
    }

    public void onViewDetachedFromWindow(View view) {
        mo2172b();
    }

    /* renamed from: a */
    public static void m1244a(TooltipCompatHandler a1Var) {
        TooltipCompatHandler a1Var2 = f1511k;
        if (a1Var2 != null) {
            a1Var2.f1513b.removeCallbacks(a1Var2.f1516e);
        }
        f1511k = a1Var;
        if (a1Var != null) {
            a1Var.f1513b.postDelayed(a1Var.f1516e, (long) ViewConfiguration.getLongPressTimeout());
        }
    }

    /* renamed from: a */
    public final void mo2170a() {
        this.f1518g = Integer.MAX_VALUE;
        this.f1519h = Integer.MAX_VALUE;
    }
}
