package p008b.p027f.p030b;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import com.newrelic.agent.android.connectivity.CatPayload;
import java.util.Arrays;
import p008b.p027f.p028a.p029h.ConstraintWidget;
import p008b.p027f.p028a.p029h.Helper;

/* renamed from: b.f.b.a */
public abstract class ConstraintHelper extends View {

    /* renamed from: b */
    public int[] f2162b = new int[32];

    /* renamed from: c */
    public int f2163c;

    /* renamed from: d */
    public Context f2164d;

    /* renamed from: e */
    public Helper f2165e;

    /* renamed from: f */
    public boolean f2166f = false;

    /* renamed from: g */
    public String f2167g;

    public ConstraintHelper(Context context) {
        super(context);
        this.f2164d = context;
        mo506a((AttributeSet) null);
    }

    private void setIds(String str) {
        if (str != null) {
            int i = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    mo2939a(str.substring(i));
                    return;
                } else {
                    mo2939a(str.substring(i, indexOf));
                    i = indexOf + 1;
                }
            }
        }
    }

    /* renamed from: a */
    public void mo506a(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, C0343f.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == C0343f.ConstraintLayout_Layout_constraint_referenced_ids) {
                    String string = obtainStyledAttributes.getString(index);
                    this.f2167g = string;
                    setIds(string);
                }
            }
        }
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f2162b, this.f2163c);
    }

    public void onDraw(Canvas canvas) {
    }

    public void onMeasure(int i, int i2) {
        if (this.f2166f) {
            super.onMeasure(i, i2);
        } else {
            setMeasuredDimension(0, 0);
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.f2163c = 0;
        for (int tag : iArr) {
            setTag(tag, (Object) null);
        }
    }

    public void setTag(int i, Object obj) {
        int i2 = this.f2163c + 1;
        int[] iArr = this.f2162b;
        if (i2 > iArr.length) {
            this.f2162b = Arrays.copyOf(iArr, iArr.length * 2);
        }
        int[] iArr2 = this.f2162b;
        int i3 = this.f2163c;
        iArr2[i3] = i;
        this.f2163c = i3 + 1;
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f2164d = context;
        mo506a(attributeSet);
    }

    /* renamed from: a */
    public void mo2937a() {
        if (this.f2165e != null) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams instanceof ConstraintLayout.C0070a) {
                ((ConstraintLayout.C0070a) layoutParams).f489k0 = this.f2165e;
            }
        }
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2164d = context;
        mo506a(attributeSet);
    }

    /* renamed from: a */
    public final void mo2939a(String str) {
        int i;
        Object a;
        if (str != null && this.f2164d != null) {
            String trim = str.trim();
            try {
                i = C0342e.class.getField(trim).getInt((Object) null);
            } catch (Exception unused) {
                i = 0;
            }
            if (i == 0) {
                i = this.f2164d.getResources().getIdentifier(trim, CatPayload.PAYLOAD_ID_KEY, this.f2164d.getPackageName());
            }
            if (i == 0 && isInEditMode() && (getParent() instanceof ConstraintLayout) && (a = ((ConstraintLayout) getParent()).mo512a(0, (Object) trim)) != null && (a instanceof Integer)) {
                i = ((Integer) a).intValue();
            }
            if (i != 0) {
                setTag(i, (Object) null);
                return;
            }
            Log.w("ConstraintHelper", "Could not find id of \"" + trim + "\"");
        }
    }

    /* renamed from: a */
    public void mo2938a(ConstraintLayout constraintLayout) {
        if (isInEditMode()) {
            setIds(this.f2167g);
        }
        Helper hVar = this.f2165e;
        if (hVar != null) {
            hVar.f2135l0 = 0;
            for (int i = 0; i < this.f2163c; i++) {
                View view = constraintLayout.f427b.get(this.f2162b[i]);
                if (view != null) {
                    Helper hVar2 = this.f2165e;
                    ConstraintWidget a = constraintLayout.mo511a(view);
                    int i2 = hVar2.f2135l0 + 1;
                    ConstraintWidget[] dVarArr = hVar2.f2134k0;
                    if (i2 > dVarArr.length) {
                        hVar2.f2134k0 = (ConstraintWidget[]) Arrays.copyOf(dVarArr, dVarArr.length * 2);
                    }
                    ConstraintWidget[] dVarArr2 = hVar2.f2134k0;
                    int i3 = hVar2.f2135l0;
                    dVarArr2[i3] = a;
                    hVar2.f2135l0 = i3 + 1;
                }
            }
        }
    }
}
