package p008b.p031g.p032d;

import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;

/* renamed from: b.g.d.b */
public class ViewGroupUtils {

    /* renamed from: a */
    public static final ThreadLocal<Matrix> f2266a = new ThreadLocal<>();

    /* renamed from: b */
    public static final ThreadLocal<RectF> f2267b = new ThreadLocal<>();

    /* renamed from: a */
    public static void m1751a(ViewGroup viewGroup, View view, Rect rect) {
        rect.set(0, 0, view.getWidth(), view.getHeight());
        Matrix matrix = f2266a.get();
        if (matrix == null) {
            matrix = new Matrix();
            f2266a.set(matrix);
        } else {
            matrix.reset();
        }
        m1752a((ViewParent) viewGroup, view, matrix);
        RectF rectF = f2267b.get();
        if (rectF == null) {
            rectF = new RectF();
            f2267b.set(rectF);
        }
        rectF.set(rect);
        matrix.mapRect(rectF);
        rect.set((int) (rectF.left + 0.5f), (int) (rectF.top + 0.5f), (int) (rectF.right + 0.5f), (int) (rectF.bottom + 0.5f));
    }

    /* renamed from: a */
    public static void m1752a(ViewParent viewParent, View view, Matrix matrix) {
        ViewParent parent = view.getParent();
        if ((parent instanceof View) && parent != viewParent) {
            View view2 = (View) parent;
            m1752a(viewParent, view2, matrix);
            matrix.preTranslate((float) (-view2.getScrollX()), (float) (-view2.getScrollY()));
        }
        matrix.preTranslate((float) view.getLeft(), (float) view.getTop());
        if (!view.getMatrix().isIdentity()) {
            matrix.preConcat(view.getMatrix());
        }
    }
}
