package p008b.p033h.p034e;

import android.app.Notification;
import android.app.NotificationManager;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.content.pm.ResolveInfo;
import android.content.pm.ServiceInfo;
import android.os.DeadObjectException;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.IBinder;
import android.os.Message;
import android.os.RemoteException;
import android.provider.Settings;
import android.util.Log;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import java.util.ArrayDeque;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import p000a.p001a.p002a.p003a.INotificationSideChannel;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.h.e.j */
public final class NotificationManagerCompat {

    /* renamed from: c */
    public static final Object f2337c = new Object();

    /* renamed from: d */
    public static String f2338d;

    /* renamed from: e */
    public static Set<String> f2339e = new HashSet();

    /* renamed from: f */
    public static final Object f2340f = new Object();

    /* renamed from: g */
    public static C0365c f2341g;

    /* renamed from: a */
    public final Context f2342a;

    /* renamed from: b */
    public final NotificationManager f2343b;

    /* renamed from: b.h.e.j$a */
    /* compiled from: NotificationManagerCompat */
    public static class C0363a implements C0367d {

        /* renamed from: a */
        public final String f2344a;

        /* renamed from: b */
        public final int f2345b;

        /* renamed from: c */
        public final String f2346c;

        /* renamed from: d */
        public final Notification f2347d;

        public C0363a(String str, int i, String str2, Notification notification) {
            this.f2344a = str;
            this.f2345b = i;
            this.f2346c = str2;
            this.f2347d = notification;
        }

        /* renamed from: a */
        public void mo2984a(INotificationSideChannel aVar) throws RemoteException {
            aVar.mo1a(this.f2344a, this.f2345b, this.f2346c, this.f2347d);
        }

        public String toString() {
            StringBuilder sb = new StringBuilder("NotifyTask[");
            sb.append("packageName:");
            sb.append(this.f2344a);
            sb.append(", id:");
            sb.append(this.f2345b);
            sb.append(", tag:");
            return outline.m2935a(sb, this.f2346c, "]");
        }
    }

    /* renamed from: b.h.e.j$b */
    /* compiled from: NotificationManagerCompat */
    public static class C0364b {

        /* renamed from: a */
        public final ComponentName f2348a;

        /* renamed from: b */
        public final IBinder f2349b;

        public C0364b(ComponentName componentName, IBinder iBinder) {
            this.f2348a = componentName;
            this.f2349b = iBinder;
        }
    }

    /* renamed from: b.h.e.j$c */
    /* compiled from: NotificationManagerCompat */
    public static class C0365c implements Handler.Callback, ServiceConnection {

        /* renamed from: a */
        public final Context f2350a;

        /* renamed from: b */
        public final HandlerThread f2351b;

        /* renamed from: c */
        public final Handler f2352c;

        /* renamed from: d */
        public final Map<ComponentName, C0366a> f2353d = new HashMap();

        /* renamed from: e */
        public Set<String> f2354e = new HashSet();

        /* renamed from: b.h.e.j$c$a */
        /* compiled from: NotificationManagerCompat */
        public static class C0366a {

            /* renamed from: a */
            public final ComponentName f2355a;

            /* renamed from: b */
            public boolean f2356b = false;

            /* renamed from: c */
            public INotificationSideChannel f2357c;

            /* renamed from: d */
            public ArrayDeque<C0367d> f2358d = new ArrayDeque<>();

            /* renamed from: e */
            public int f2359e = 0;

            public C0366a(ComponentName componentName) {
                this.f2355a = componentName;
            }
        }

        public C0365c(Context context) {
            this.f2350a = context;
            HandlerThread handlerThread = new HandlerThread("NotificationManagerCompat");
            this.f2351b = handlerThread;
            handlerThread.start();
            this.f2352c = new Handler(this.f2351b.getLooper(), this);
        }

        /* renamed from: a */
        public final void mo2986a(C0366a aVar) {
            boolean z;
            if (Log.isLoggable("NotifManCompat", 3)) {
                StringBuilder a = outline.m2937a("Processing component ");
                a.append(aVar.f2355a);
                a.append(", ");
                a.append(aVar.f2358d.size());
                a.append(" queued tasks");
                Log.d("NotifManCompat", a.toString());
            }
            if (!aVar.f2358d.isEmpty()) {
                if (aVar.f2356b) {
                    z = true;
                } else {
                    boolean bindService = this.f2350a.bindService(new Intent("android.support.BIND_NOTIFICATION_SIDE_CHANNEL").setComponent(aVar.f2355a), this, 33);
                    aVar.f2356b = bindService;
                    if (bindService) {
                        aVar.f2359e = 0;
                    } else {
                        StringBuilder a2 = outline.m2937a("Unable to bind to listener ");
                        a2.append(aVar.f2355a);
                        Log.w("NotifManCompat", a2.toString());
                        this.f2350a.unbindService(this);
                    }
                    z = aVar.f2356b;
                }
                if (!z || aVar.f2357c == null) {
                    mo2987b(aVar);
                    return;
                }
                while (true) {
                    C0367d peek = aVar.f2358d.peek();
                    if (peek == null) {
                        break;
                    }
                    try {
                        if (Log.isLoggable("NotifManCompat", 3)) {
                            Log.d("NotifManCompat", "Sending task " + peek);
                        }
                        peek.mo2984a(aVar.f2357c);
                        aVar.f2358d.remove();
                    } catch (DeadObjectException unused) {
                        if (Log.isLoggable("NotifManCompat", 3)) {
                            StringBuilder a3 = outline.m2937a("Remote service has died: ");
                            a3.append(aVar.f2355a);
                            Log.d("NotifManCompat", a3.toString());
                        }
                    } catch (RemoteException e) {
                        StringBuilder a4 = outline.m2937a("RemoteException communicating with ");
                        a4.append(aVar.f2355a);
                        Log.w("NotifManCompat", a4.toString(), e);
                    }
                }
                if (!aVar.f2358d.isEmpty()) {
                    mo2987b(aVar);
                }
            }
        }

        /* renamed from: b */
        public final void mo2987b(C0366a aVar) {
            if (!this.f2352c.hasMessages(3, aVar.f2355a)) {
                int i = aVar.f2359e + 1;
                aVar.f2359e = i;
                if (i > 6) {
                    StringBuilder a = outline.m2937a("Giving up on delivering ");
                    a.append(aVar.f2358d.size());
                    a.append(" tasks to ");
                    a.append(aVar.f2355a);
                    a.append(" after ");
                    a.append(aVar.f2359e);
                    a.append(" retries");
                    Log.w("NotifManCompat", a.toString());
                    aVar.f2358d.clear();
                    return;
                }
                int i2 = (1 << (i - 1)) * HarvestConfiguration.DEFAULT_MAX_TRANSACTION_COUNT;
                if (Log.isLoggable("NotifManCompat", 3)) {
                    Log.d("NotifManCompat", "Scheduling retry for " + i2 + " ms");
                }
                this.f2352c.sendMessageDelayed(this.f2352c.obtainMessage(3, aVar.f2355a), (long) i2);
            }
        }

        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                C0367d dVar = (C0367d) message.obj;
                Set<String> a = NotificationManagerCompat.m1775a(this.f2350a);
                if (!a.equals(this.f2354e)) {
                    this.f2354e = a;
                    List<ResolveInfo> queryIntentServices = this.f2350a.getPackageManager().queryIntentServices(new Intent().setAction("android.support.BIND_NOTIFICATION_SIDE_CHANNEL"), 0);
                    HashSet hashSet = new HashSet();
                    for (ResolveInfo next : queryIntentServices) {
                        if (a.contains(next.serviceInfo.packageName)) {
                            ServiceInfo serviceInfo = next.serviceInfo;
                            ComponentName componentName = new ComponentName(serviceInfo.packageName, serviceInfo.name);
                            if (next.serviceInfo.permission != null) {
                                Log.w("NotifManCompat", "Permission present on component " + componentName + ", not adding listener record.");
                            } else {
                                hashSet.add(componentName);
                            }
                        }
                    }
                    Iterator it = hashSet.iterator();
                    while (it.hasNext()) {
                        ComponentName componentName2 = (ComponentName) it.next();
                        if (!this.f2353d.containsKey(componentName2)) {
                            if (Log.isLoggable("NotifManCompat", 3)) {
                                Log.d("NotifManCompat", "Adding listener record for " + componentName2);
                            }
                            this.f2353d.put(componentName2, new C0366a(componentName2));
                        }
                    }
                    Iterator<Map.Entry<ComponentName, C0366a>> it2 = this.f2353d.entrySet().iterator();
                    while (it2.hasNext()) {
                        Map.Entry next2 = it2.next();
                        if (!hashSet.contains(next2.getKey())) {
                            if (Log.isLoggable("NotifManCompat", 3)) {
                                StringBuilder a2 = outline.m2937a("Removing listener record for ");
                                a2.append(next2.getKey());
                                Log.d("NotifManCompat", a2.toString());
                            }
                            C0366a aVar = (C0366a) next2.getValue();
                            if (aVar.f2356b) {
                                this.f2350a.unbindService(this);
                                aVar.f2356b = false;
                            }
                            aVar.f2357c = null;
                            it2.remove();
                        }
                    }
                }
                for (C0366a next3 : this.f2353d.values()) {
                    next3.f2358d.add(dVar);
                    mo2986a(next3);
                }
                return true;
            } else if (i == 1) {
                C0364b bVar = (C0364b) message.obj;
                ComponentName componentName3 = bVar.f2348a;
                IBinder iBinder = bVar.f2349b;
                C0366a aVar2 = this.f2353d.get(componentName3);
                if (aVar2 != null) {
                    aVar2.f2357c = INotificationSideChannel.C0000a.m1a(iBinder);
                    aVar2.f2359e = 0;
                    mo2986a(aVar2);
                }
                return true;
            } else if (i == 2) {
                C0366a aVar3 = this.f2353d.get((ComponentName) message.obj);
                if (aVar3 != null) {
                    if (aVar3.f2356b) {
                        this.f2350a.unbindService(this);
                        aVar3.f2356b = false;
                    }
                    aVar3.f2357c = null;
                }
                return true;
            } else if (i != 3) {
                return false;
            } else {
                C0366a aVar4 = this.f2353d.get((ComponentName) message.obj);
                if (aVar4 != null) {
                    mo2986a(aVar4);
                }
                return true;
            }
        }

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            if (Log.isLoggable("NotifManCompat", 3)) {
                Log.d("NotifManCompat", "Connected to service " + componentName);
            }
            this.f2352c.obtainMessage(1, new C0364b(componentName, iBinder)).sendToTarget();
        }

        public void onServiceDisconnected(ComponentName componentName) {
            if (Log.isLoggable("NotifManCompat", 3)) {
                Log.d("NotifManCompat", "Disconnected from service " + componentName);
            }
            this.f2352c.obtainMessage(2, componentName).sendToTarget();
        }
    }

    /* renamed from: b.h.e.j$d */
    /* compiled from: NotificationManagerCompat */
    public interface C0367d {
        /* renamed from: a */
        void mo2984a(INotificationSideChannel aVar) throws RemoteException;
    }

    public NotificationManagerCompat(Context context) {
        this.f2342a = context;
        this.f2343b = (NotificationManager) context.getSystemService("notification");
    }

    /* renamed from: a */
    public static Set<String> m1775a(Context context) {
        Set<String> set;
        String string = Settings.Secure.getString(context.getContentResolver(), "enabled_notification_listeners");
        synchronized (f2337c) {
            if (string != null) {
                if (!string.equals(f2338d)) {
                    String[] split = string.split(":", -1);
                    HashSet hashSet = new HashSet(split.length);
                    for (String unflattenFromString : split) {
                        ComponentName unflattenFromString2 = ComponentName.unflattenFromString(unflattenFromString);
                        if (unflattenFromString2 != null) {
                            hashSet.add(unflattenFromString2.getPackageName());
                        }
                    }
                    f2339e = hashSet;
                    f2338d = string;
                }
            }
            set = f2339e;
        }
        return set;
    }

    /* renamed from: a */
    public final void mo2983a(C0367d dVar) {
        synchronized (f2340f) {
            if (f2341g == null) {
                f2341g = new C0365c(this.f2342a.getApplicationContext());
            }
            f2341g.f2352c.obtainMessage(0, dVar).sendToTarget();
        }
    }
}
