package p008b.p033h.p034e;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.util.Log;
import java.util.ArrayList;
import java.util.Iterator;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p033h.p035f.ContextCompat;

/* renamed from: b.h.e.m */
public final class TaskStackBuilder implements Iterable<Intent> {

    /* renamed from: b */
    public final ArrayList<Intent> f2360b = new ArrayList<>();

    /* renamed from: c */
    public final Context f2361c;

    /* renamed from: b.h.e.m$a */
    /* compiled from: TaskStackBuilder */
    public interface C0368a {
        Intent getSupportParentActivityIntent();
    }

    public TaskStackBuilder(Context context) {
        this.f2361c = context;
    }

    /* renamed from: a */
    public TaskStackBuilder mo2992a(Intent intent) {
        ComponentName component = intent.getComponent();
        if (component == null) {
            component = intent.resolveActivity(this.f2361c.getPackageManager());
        }
        if (component != null) {
            mo2991a(component);
        }
        this.f2360b.add(intent);
        return this;
    }

    @Deprecated
    public Iterator<Intent> iterator() {
        return this.f2360b.iterator();
    }

    /* renamed from: a */
    public TaskStackBuilder mo2991a(ComponentName componentName) {
        int size = this.f2360b.size();
        try {
            Intent a = MediaDescriptionCompatApi21.m22a(this.f2361c, componentName);
            while (a != null) {
                this.f2360b.add(size, a);
                a = MediaDescriptionCompatApi21.m22a(this.f2361c, a.getComponent());
            }
            return this;
        } catch (PackageManager.NameNotFoundException e) {
            Log.e("TaskStackBuilder", "Bad ComponentName while traversing activity parent metadata");
            throw new IllegalArgumentException(e);
        }
    }

    /* renamed from: a */
    public void mo2993a() {
        if (!this.f2360b.isEmpty()) {
            ArrayList<Intent> arrayList = this.f2360b;
            Intent[] intentArr = (Intent[]) arrayList.toArray(new Intent[arrayList.size()]);
            intentArr[0] = new Intent(intentArr[0]).addFlags(268484608);
            ContextCompat.m1786a(this.f2361c, intentArr, (Bundle) null);
            return;
        }
        throw new IllegalStateException("No intents added to TaskStackBuilder; cannot startActivities");
    }
}
