package p008b.p033h.p037g;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.Build;
import android.os.Handler;
import android.util.Log;
import p008b.p026e.LruCache;
import p008b.p033h.p035f.p036b.C0369c;
import p008b.p033h.p035f.p036b.C0371e;
import p008b.p033h.p035f.p036b.FontResourcesParserCompat;
import p008b.p033h.p035f.p036b.ResourcesCompat;
import p008b.p033h.p042j.FontsContractCompat;

@SuppressLint({"NewApi"})
/* renamed from: b.h.g.c */
public class TypefaceCompat {

    /* renamed from: a */
    public static final TypefaceCompatBaseImpl f2384a;

    /* renamed from: b */
    public static final LruCache<String, Typeface> f2385b = new LruCache<>(16);

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 29) {
            f2384a = new TypefaceCompatApi29Impl();
        } else if (i >= 28) {
            f2384a = new TypefaceCompatApi28Impl();
        } else if (i >= 26) {
            f2384a = new TypefaceCompatApi26Impl();
        } else {
            if (i >= 24) {
                if (TypefaceCompatApi24Impl.f2393d == null) {
                    Log.w("TypefaceCompatApi24Impl", "Unable to collect necessary private methods.Fallback to legacy implementation.");
                }
                if (TypefaceCompatApi24Impl.f2393d != null) {
                    f2384a = new TypefaceCompatApi24Impl();
                }
            }
            f2384a = new TypefaceCompatApi21Impl();
        }
    }

    /* renamed from: a */
    public static String m1805a(Resources resources, int i, int i2) {
        return resources.getResourcePackageName(i) + "-" + i + "-" + i2;
    }

    /* renamed from: a */
    public static Typeface m1804a(Context context, FontResourcesParserCompat bVar, Resources resources, int i, int i2, ResourcesCompat gVar, Handler handler, boolean z) {
        Typeface typeface;
        if (bVar instanceof C0371e) {
            C0371e eVar = (C0371e) bVar;
            boolean z2 = false;
            if (!z ? gVar == null : eVar.f2375c == 0) {
                z2 = true;
            }
            typeface = FontsContractCompat.m1853a(context, eVar.f2373a, gVar, handler, z2, z ? eVar.f2374b : -1, i2);
        } else {
            typeface = f2384a.mo3003a(context, (C0369c) bVar, resources, i2);
            if (gVar != null) {
                if (typeface != null) {
                    gVar.mo2999a(typeface, handler);
                } else {
                    gVar.mo2998a(-3, handler);
                }
            }
        }
        if (typeface != null) {
            f2385b.mo2729a(m1805a(resources, i, i2), typeface);
        }
        return typeface;
    }

    /* renamed from: a */
    public static Typeface m1802a(Context context, Resources resources, int i, String str, int i2) {
        Typeface a = f2384a.mo3004a(context, resources, i, str, i2);
        if (a != null) {
            f2385b.mo2729a(m1805a(resources, i, i2), a);
        }
        return a;
    }

    /* renamed from: a */
    public static Typeface m1803a(Context context, Typeface typeface, int i) {
        if (context != null) {
            return Typeface.create(typeface, i);
        }
        throw new IllegalArgumentException("Context cannot be null");
    }
}
