package p008b.p033h.p037g.p038j;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.Log;
import java.lang.reflect.Method;

/* renamed from: b.h.g.j.d */
public class WrappedDrawableApi21 extends WrappedDrawableApi14 {

    /* renamed from: i */
    public static Method f2410i;

    public WrappedDrawableApi21(Drawable drawable) {
        super(drawable);
        mo3050c();
    }

    /* renamed from: b */
    public boolean mo3018b() {
        if (Build.VERSION.SDK_INT != 21) {
            return false;
        }
        Drawable drawable = this.f2409g;
        if ((drawable instanceof GradientDrawable) || (drawable instanceof DrawableContainer) || (drawable instanceof InsetDrawable) || (drawable instanceof RippleDrawable)) {
            return true;
        }
        return false;
    }

    /* renamed from: c */
    public final void mo3050c() {
        if (f2410i == null) {
            try {
                f2410i = Drawable.class.getDeclaredMethod("isProjected", new Class[0]);
            } catch (Exception e) {
                Log.w("WrappedDrawableApi21", "Failed to retrieve Drawable#isProjected() method", e);
            }
        }
    }

    public Rect getDirtyBounds() {
        return this.f2409g.getDirtyBounds();
    }

    public void getOutline(Outline outline) {
        this.f2409g.getOutline(outline);
    }

    public boolean isProjected() {
        Method method;
        Drawable drawable = this.f2409g;
        if (!(drawable == null || (method = f2410i) == null)) {
            try {
                return ((Boolean) method.invoke(drawable, new Object[0])).booleanValue();
            } catch (Exception e) {
                Log.w("WrappedDrawableApi21", "Error calling Drawable#isProjected() method", e);
            }
        }
        return false;
    }

    public void setHotspot(float f, float f2) {
        this.f2409g.setHotspot(f, f2);
    }

    public void setHotspotBounds(int i, int i2, int i3, int i4) {
        this.f2409g.setHotspotBounds(i, i2, i3, i4);
    }

    public boolean setState(int[] iArr) {
        if (!super.setState(iArr)) {
            return false;
        }
        invalidateSelf();
        return true;
    }

    public void setTint(int i) {
        if (mo3018b()) {
            super.setTint(i);
        } else {
            this.f2409g.setTint(i);
        }
    }

    public void setTintList(ColorStateList colorStateList) {
        if (mo3018b()) {
            this.f2407e.f2413c = colorStateList;
            mo3017a(getState());
            return;
        }
        this.f2409g.setTintList(colorStateList);
    }

    public void setTintMode(PorterDuff.Mode mode) {
        if (mo3018b()) {
            this.f2407e.f2414d = mode;
            mo3017a(getState());
            return;
        }
        this.f2409g.setTintMode(mode);
    }

    public WrappedDrawableApi21(WrappedDrawableState eVar, Resources resources) {
        super(eVar, resources);
        mo3050c();
    }
}
