package p008b.p033h.p045m;

import android.os.Build;
import android.os.Bundle;
import android.text.Spanned;
import android.text.style.ClickableSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import p008b.p033h.C0349c;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeProviderCompat;

/* renamed from: b.h.m.a */
public class AccessibilityDelegateCompat {

    /* renamed from: c */
    public static final View.AccessibilityDelegate f2499c = new View.AccessibilityDelegate();

    /* renamed from: a */
    public final View.AccessibilityDelegate f2500a;

    /* renamed from: b */
    public final View.AccessibilityDelegate f2501b;

    /* renamed from: b.h.m.a$a */
    /* compiled from: AccessibilityDelegateCompat */
    public static final class C0397a extends View.AccessibilityDelegate {

        /* renamed from: a */
        public final AccessibilityDelegateCompat f2502a;

        public C0397a(AccessibilityDelegateCompat aVar) {
            this.f2502a = aVar;
        }

        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.f2502a.mo3107a(view, accessibilityEvent);
        }

        public AccessibilityNodeProvider getAccessibilityNodeProvider(View view) {
            AccessibilityNodeProviderCompat a = this.f2502a.mo3105a(view);
            if (a != null) {
                return (AccessibilityNodeProvider) a.f2563a;
            }
            return null;
        }

        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f2502a.mo727b(view, accessibilityEvent);
        }

        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            boolean z;
            int i;
            View view2 = view;
            AccessibilityNodeInfoCompat bVar = new AccessibilityNodeInfoCompat(accessibilityNodeInfo);
            boolean z2 = ViewCompat.m1981z(view);
            if (Build.VERSION.SDK_INT >= 28) {
                bVar.f2546a.setScreenReaderFocusable(z2);
            } else {
                bVar.mo3166a(1, z2);
            }
            Boolean bool = (Boolean) new C0408q(C0349c.tag_accessibility_heading, Boolean.class, 28).mo3141b(view2);
            if (bool == null) {
                z = false;
            } else {
                z = bool.booleanValue();
            }
            if (Build.VERSION.SDK_INT >= 28) {
                bVar.f2546a.setHeading(z);
            } else {
                bVar.mo3166a(2, z);
            }
            CharSequence charSequence = (CharSequence) new C0407p(C0349c.tag_accessibility_pane_title, CharSequence.class, 8, 28).mo3141b(view2);
            if (Build.VERSION.SDK_INT >= 28) {
                bVar.f2546a.setPaneTitle(charSequence);
            } else {
                bVar.f2546a.getExtras().putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.PANE_TITLE_KEY", charSequence);
            }
            this.f2502a.mo725a(view2, bVar);
            CharSequence text = accessibilityNodeInfo.getText();
            if (Build.VERSION.SDK_INT < 26) {
                bVar.f2546a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY");
                bVar.f2546a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY");
                bVar.f2546a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY");
                bVar.f2546a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY");
                SparseArray sparseArray = (SparseArray) view2.getTag(C0349c.tag_accessibility_clickable_spans);
                if (sparseArray != null) {
                    ArrayList arrayList = new ArrayList();
                    for (int i2 = 0; i2 < sparseArray.size(); i2++) {
                        if (((WeakReference) sparseArray.valueAt(i2)).get() == null) {
                            arrayList.add(Integer.valueOf(i2));
                        }
                    }
                    for (int i3 = 0; i3 < arrayList.size(); i3++) {
                        sparseArray.remove(((Integer) arrayList.get(i3)).intValue());
                    }
                }
                ClickableSpan[] b = AccessibilityNodeInfoCompat.m2022b(text);
                if (b != null && b.length > 0) {
                    bVar.mo3170b().putInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ACTION_ID_KEY", C0349c.accessibility_action_clickable_span);
                    SparseArray sparseArray2 = (SparseArray) view2.getTag(C0349c.tag_accessibility_clickable_spans);
                    if (sparseArray2 == null) {
                        sparseArray2 = new SparseArray();
                        view2.setTag(C0349c.tag_accessibility_clickable_spans, sparseArray2);
                    }
                    for (int i4 = 0; i4 < b.length; i4++) {
                        ClickableSpan clickableSpan = b[i4];
                        int i5 = 0;
                        while (true) {
                            if (i5 >= sparseArray2.size()) {
                                i = AccessibilityNodeInfoCompat.f2545d;
                                AccessibilityNodeInfoCompat.f2545d = i + 1;
                                break;
                            } else if (clickableSpan.equals((ClickableSpan) ((WeakReference) sparseArray2.valueAt(i5)).get())) {
                                i = sparseArray2.keyAt(i5);
                                break;
                            } else {
                                i5++;
                            }
                        }
                        sparseArray2.put(i, new WeakReference(b[i4]));
                        ClickableSpan clickableSpan2 = b[i4];
                        Spanned spanned = (Spanned) text;
                        bVar.mo3165a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY").add(Integer.valueOf(spanned.getSpanStart(clickableSpan2)));
                        bVar.mo3165a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY").add(Integer.valueOf(spanned.getSpanEnd(clickableSpan2)));
                        bVar.mo3165a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY").add(Integer.valueOf(spanned.getSpanFlags(clickableSpan2)));
                        bVar.mo3165a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY").add(Integer.valueOf(i));
                    }
                }
            }
            List list = (List) view2.getTag(C0349c.tag_accessibility_actions);
            if (list == null) {
                list = Collections.emptyList();
            }
            for (int i6 = 0; i6 < list.size(); i6++) {
                bVar.mo3167a((AccessibilityNodeInfoCompat.C0411a) list.get(i6));
            }
        }

        public void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f2502a.mo3109c(view, accessibilityEvent);
        }

        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            return this.f2502a.mo3108a(viewGroup, view, accessibilityEvent);
        }

        public boolean performAccessibilityAction(View view, int i, Bundle bundle) {
            return this.f2502a.mo726a(view, i, bundle);
        }

        public void sendAccessibilityEvent(View view, int i) {
            this.f2502a.mo3106a(view, i);
        }

        public void sendAccessibilityEventUnchecked(View view, AccessibilityEvent accessibilityEvent) {
            this.f2502a.mo3110d(view, accessibilityEvent);
        }
    }

    public AccessibilityDelegateCompat() {
        this.f2500a = f2499c;
        this.f2501b = new C0397a(this);
    }

    /* renamed from: a */
    public void mo3106a(View view, int i) {
        this.f2500a.sendAccessibilityEvent(view, i);
    }

    /* renamed from: b */
    public void mo727b(View view, AccessibilityEvent accessibilityEvent) {
        this.f2500a.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: c */
    public void mo3109c(View view, AccessibilityEvent accessibilityEvent) {
        this.f2500a.onPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: d */
    public void mo3110d(View view, AccessibilityEvent accessibilityEvent) {
        this.f2500a.sendAccessibilityEventUnchecked(view, accessibilityEvent);
    }

    /* renamed from: a */
    public boolean mo3107a(View view, AccessibilityEvent accessibilityEvent) {
        return this.f2500a.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: a */
    public void mo725a(View view, AccessibilityNodeInfoCompat bVar) {
        this.f2500a.onInitializeAccessibilityNodeInfo(view, bVar.f2546a);
    }

    public AccessibilityDelegateCompat(View.AccessibilityDelegate accessibilityDelegate) {
        this.f2500a = accessibilityDelegate;
        this.f2501b = new C0397a(this);
    }

    /* renamed from: a */
    public boolean mo3108a(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
        return this.f2500a.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
    }

    /* renamed from: a */
    public AccessibilityNodeProviderCompat mo3105a(View view) {
        AccessibilityNodeProvider accessibilityNodeProvider = this.f2500a.getAccessibilityNodeProvider(view);
        if (accessibilityNodeProvider != null) {
            return new AccessibilityNodeProviderCompat(accessibilityNodeProvider);
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0072  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x007e  */
    /* JADX WARNING: Removed duplicated region for block: B:59:? A[RETURN, SYNTHETIC] */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean mo726a(android.view.View r9, int r10, android.os.Bundle r11) {
        /*
            r8 = this;
            int r0 = p008b.p033h.C0349c.tag_accessibility_actions
            java.lang.Object r0 = r9.getTag(r0)
            java.util.List r0 = (java.util.List) r0
            if (r0 != 0) goto L_0x000e
            java.util.List r0 = java.util.Collections.emptyList()
        L_0x000e:
            r1 = 0
            r2 = 0
        L_0x0010:
            int r3 = r0.size()
            if (r2 >= r3) goto L_0x006f
            java.lang.Object r3 = r0.get(r2)
            b.h.m.x.b$a r3 = (p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat.C0411a) r3
            int r4 = r3.mo3176a()
            if (r4 != r10) goto L_0x006c
            b.h.m.x.d r0 = r3.f2560d
            if (r0 == 0) goto L_0x006f
            java.lang.Class<? extends b.h.m.x.d$a> r0 = r3.f2559c
            r2 = 0
            if (r0 == 0) goto L_0x0065
            java.lang.Class[] r4 = new java.lang.Class[r1]     // Catch:{ Exception -> 0x003f }
            java.lang.reflect.Constructor r0 = r0.getDeclaredConstructor(r4)     // Catch:{ Exception -> 0x003f }
            java.lang.Object[] r4 = new java.lang.Object[r1]     // Catch:{ Exception -> 0x003f }
            java.lang.Object r0 = r0.newInstance(r4)     // Catch:{ Exception -> 0x003f }
            b.h.m.x.d$a r0 = (p008b.p033h.p045m.p046x.AccessibilityViewCommand.C0416a) r0     // Catch:{ Exception -> 0x003f }
            if (r0 == 0) goto L_0x003c
            goto L_0x0064
        L_0x003c:
            throw r2     // Catch:{ Exception -> 0x003d }
        L_0x003d:
            r2 = move-exception
            goto L_0x0043
        L_0x003f:
            r0 = move-exception
            r7 = r2
            r2 = r0
            r0 = r7
        L_0x0043:
            java.lang.Class<? extends b.h.m.x.d$a> r4 = r3.f2559c
            if (r4 != 0) goto L_0x004a
            java.lang.String r4 = "null"
            goto L_0x004e
        L_0x004a:
            java.lang.String r4 = r4.getName()
        L_0x004e:
            java.lang.StringBuilder r5 = new java.lang.StringBuilder
            r5.<init>()
            java.lang.String r6 = "Failed to execute command with argument class ViewCommandArgument: "
            r5.append(r6)
            r5.append(r4)
            java.lang.String r4 = r5.toString()
            java.lang.String r5 = "A11yActionCompat"
            android.util.Log.e(r5, r4, r2)
        L_0x0064:
            r2 = r0
        L_0x0065:
            b.h.m.x.d r0 = r3.f2560d
            boolean r0 = r0.mo3186a(r9, r2)
            goto L_0x0070
        L_0x006c:
            int r2 = r2 + 1
            goto L_0x0010
        L_0x006f:
            r0 = 0
        L_0x0070:
            if (r0 != 0) goto L_0x0078
            android.view.View$AccessibilityDelegate r0 = r8.f2500a
            boolean r0 = r0.performAccessibilityAction(r9, r10, r11)
        L_0x0078:
            if (r0 != 0) goto L_0x00c7
            int r2 = p008b.p033h.C0349c.accessibility_action_clickable_span
            if (r10 != r2) goto L_0x00c7
            r10 = -1
            java.lang.String r0 = "ACCESSIBILITY_CLICKABLE_SPAN_ID"
            int r10 = r11.getInt(r0, r10)
            int r11 = p008b.p033h.C0349c.tag_accessibility_clickable_spans
            java.lang.Object r11 = r9.getTag(r11)
            android.util.SparseArray r11 = (android.util.SparseArray) r11
            r0 = 1
            if (r11 == 0) goto L_0x00c6
            java.lang.Object r10 = r11.get(r10)
            java.lang.ref.WeakReference r10 = (java.lang.ref.WeakReference) r10
            if (r10 == 0) goto L_0x00c6
            java.lang.Object r10 = r10.get()
            android.text.style.ClickableSpan r10 = (android.text.style.ClickableSpan) r10
            if (r10 == 0) goto L_0x00bf
            android.view.accessibility.AccessibilityNodeInfo r11 = r9.createAccessibilityNodeInfo()
            java.lang.CharSequence r11 = r11.getText()
            android.text.style.ClickableSpan[] r11 = p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat.m2022b((java.lang.CharSequence) r11)
            r2 = 0
        L_0x00ad:
            if (r11 == 0) goto L_0x00bf
            int r3 = r11.length
            if (r2 >= r3) goto L_0x00bf
            r3 = r11[r2]
            boolean r3 = r10.equals(r3)
            if (r3 == 0) goto L_0x00bc
            r11 = 1
            goto L_0x00c0
        L_0x00bc:
            int r2 = r2 + 1
            goto L_0x00ad
        L_0x00bf:
            r11 = 0
        L_0x00c0:
            if (r11 == 0) goto L_0x00c6
            r10.onClick(r9)
            r1 = 1
        L_0x00c6:
            r0 = r1
        L_0x00c7:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p033h.p045m.AccessibilityDelegateCompat.mo726a(android.view.View, int, android.os.Bundle):boolean");
    }
}
