package p008b.p033h.p045m;

import android.annotation.SuppressLint;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.util.SparseArray;
import android.view.Display;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Objects;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;
import p008b.p033h.C0349c;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p033h.p045m.p046x.AccessibilityViewCommand;

/* renamed from: b.h.m.n */
public class ViewCompat {

    /* renamed from: a */
    public static WeakHashMap<View, ViewPropertyAnimatorCompat> f2520a = null;

    /* renamed from: b */
    public static Field f2521b;

    /* renamed from: c */
    public static boolean f2522c = false;

    /* renamed from: d */
    public static ThreadLocal<Rect> f2523d;

    /* renamed from: b.h.m.n$a */
    /* compiled from: ViewCompat */
    public static class C0402a implements View.OnApplyWindowInsetsListener {

        /* renamed from: a */
        public final /* synthetic */ OnApplyWindowInsetsListener f2524a;

        public C0402a(OnApplyWindowInsetsListener lVar) {
            this.f2524a = lVar;
        }

        public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
            return (WindowInsets) this.f2524a.mo605a(view, new WindowInsetsCompat(Objects.requireNonNull(windowInsets))).f2541a;
        }
    }

    /* renamed from: b.h.m.n$c */
    /* compiled from: ViewCompat */
    public interface C0404c {
        /* renamed from: a */
        boolean mo3142a(View view, KeyEvent keyEvent);
    }

    static {
        new AtomicInteger(1);
        new WeakHashMap();
    }

    /* renamed from: A */
    public static void m1922A(View view) {
        view.postInvalidateOnAnimation();
    }

    /* renamed from: B */
    public static void m1923B(View view) {
        view.requestApplyInsets();
    }

    /* renamed from: C */
    public static void m1924C(View view) {
        view.stopNestedScroll();
    }

    /* renamed from: D */
    public static void m1925D(View view) {
        float translationY = view.getTranslationY();
        view.setTranslationY(1.0f + translationY);
        view.setTranslationY(translationY);
    }

    /* renamed from: a */
    public static Rect m1926a() {
        if (f2523d == null) {
            f2523d = new ThreadLocal<>();
        }
        Rect rect = f2523d.get();
        if (rect == null) {
            rect = new Rect();
            f2523d.set(rect);
        }
        rect.setEmpty();
        return rect;
    }

    /* renamed from: b */
    public static AccessibilityDelegateCompat m1948b(View view) {
        View.AccessibilityDelegate c = m1952c(view);
        if (c == null) {
            return null;
        }
        if (c instanceof AccessibilityDelegateCompat.C0397a) {
            return ((AccessibilityDelegateCompat.C0397a) c).f2502a;
        }
        return new AccessibilityDelegateCompat(c);
    }

    /* renamed from: c */
    public static View.AccessibilityDelegate m1952c(View view) {
        if (Build.VERSION.SDK_INT >= 29) {
            return view.getAccessibilityDelegate();
        }
        if (f2522c) {
            return null;
        }
        if (f2521b == null) {
            try {
                Field declaredField = View.class.getDeclaredField("mAccessibilityDelegate");
                f2521b = declaredField;
                declaredField.setAccessible(true);
            } catch (Throwable unused) {
                f2522c = true;
                return null;
            }
        }
        try {
            Object obj = f2521b.get(view);
            if (obj instanceof View.AccessibilityDelegate) {
                return (View.AccessibilityDelegate) obj;
            }
            return null;
        } catch (Throwable unused2) {
            f2522c = true;
            return null;
        }
    }

    /* renamed from: d */
    public static ColorStateList m1954d(View view) {
        return view.getBackgroundTintList();
    }

    /* renamed from: e */
    public static void m1957e(View view, int i) {
        if (Build.VERSION.SDK_INT >= 23) {
            view.offsetTopAndBottom(i);
            return;
        }
        Rect a = m1926a();
        boolean z = false;
        ViewParent parent = view.getParent();
        if (parent instanceof View) {
            View view2 = (View) parent;
            a.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            z = !a.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
        m1949b(view, i);
        if (z && a.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
            ((View) parent).invalidate(a);
        }
    }

    /* renamed from: f */
    public static void m1959f(View view, int i) {
        m1929a(i, view);
        m1953c(view, 0);
    }

    /* renamed from: g */
    public static void m1961g(View view, int i) {
        view.setAccessibilityLiveRegion(i);
    }

    /* renamed from: h */
    public static void m1962h(View view, int i) {
        view.setImportantForAccessibility(i);
    }

    /* renamed from: i */
    public static int m1964i(View view) {
        return view.getImportantForAccessibility();
    }

    @SuppressLint({"InlinedApi"})
    /* renamed from: j */
    public static int m1965j(View view) {
        if (Build.VERSION.SDK_INT >= 26) {
            return view.getImportantForAutofill();
        }
        return 0;
    }

    /* renamed from: k */
    public static int m1966k(View view) {
        return view.getLayoutDirection();
    }

    /* renamed from: l */
    public static int m1967l(View view) {
        return view.getMinimumHeight();
    }

    /* renamed from: m */
    public static int m1968m(View view) {
        return view.getMinimumWidth();
    }

    /* renamed from: n */
    public static int m1969n(View view) {
        return view.getPaddingEnd();
    }

    /* renamed from: o */
    public static int m1970o(View view) {
        return view.getPaddingStart();
    }

    /* renamed from: p */
    public static String m1971p(View view) {
        return view.getTransitionName();
    }

    /* renamed from: q */
    public static int m1972q(View view) {
        return view.getWindowSystemUiVisibility();
    }

    /* renamed from: r */
    public static float m1973r(View view) {
        return view.getZ();
    }

    /* renamed from: s */
    public static boolean m1974s(View view) {
        return view.hasOnClickListeners();
    }

    /* renamed from: t */
    public static boolean m1975t(View view) {
        return view.hasOverlappingRendering();
    }

    /* renamed from: u */
    public static boolean m1976u(View view) {
        return view.hasTransientState();
    }

    /* renamed from: v */
    public static boolean m1977v(View view) {
        return view.isAttachedToWindow();
    }

    /* renamed from: w */
    public static boolean m1978w(View view) {
        return view.isLaidOut();
    }

    /* renamed from: x */
    public static boolean m1979x(View view) {
        return view.isNestedScrollingEnabled();
    }

    /* renamed from: y */
    public static boolean m1980y(View view) {
        return view.isPaddingRelative();
    }

    /* renamed from: z */
    public static boolean m1981z(View view) {
        Boolean bool = (Boolean) new C0406o(C0349c.tag_screen_reader_focusable, Boolean.class, 28).mo3141b(view);
        if (bool == null) {
            return false;
        }
        return bool.booleanValue();
    }

    /* renamed from: d */
    public static void m1955d(View view, int i) {
        if (Build.VERSION.SDK_INT >= 23) {
            view.offsetLeftAndRight(i);
            return;
        }
        Rect a = m1926a();
        boolean z = false;
        ViewParent parent = view.getParent();
        if (parent instanceof View) {
            View view2 = (View) parent;
            a.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            z = !a.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
        m1931a(view, i);
        if (z && a.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
            ((View) parent).invalidate(a);
        }
    }

    /* renamed from: g */
    public static float m1960g(View view) {
        return view.getElevation();
    }

    /* renamed from: h */
    public static boolean m1963h(View view) {
        return view.getFitsSystemWindows();
    }

    /* renamed from: f */
    public static Display m1958f(View view) {
        return view.getDisplay();
    }

    /* renamed from: b.h.m.n$b */
    /* compiled from: ViewCompat */
    public static abstract class C0403b<T> {

        /* renamed from: a */
        public final int f2525a;

        /* renamed from: b */
        public final Class<T> f2526b;

        /* renamed from: c */
        public final int f2527c;

        public C0403b(int i, Class<T> cls, int i2) {
            this.f2525a = i;
            this.f2526b = cls;
            this.f2527c = i2;
        }

        /* renamed from: a */
        public abstract T mo3137a(View view);

        /* renamed from: a */
        public abstract void mo3138a(View view, T t);

        /* renamed from: a */
        public boolean mo3139a(Boolean bool, Boolean bool2) {
            boolean z;
            boolean booleanValue = bool == null ? false : bool.booleanValue();
            if (bool2 == null) {
                z = false;
            } else {
                z = bool2.booleanValue();
            }
            if (booleanValue == z) {
                return true;
            }
            return false;
        }

        /* renamed from: a */
        public abstract boolean mo3140a(T t, T t2);

        /* renamed from: b */
        public T mo3141b(View view) {
            if (Build.VERSION.SDK_INT >= this.f2527c) {
                return mo3137a(view);
            }
            T tag = view.getTag(this.f2525a);
            if (this.f2526b.isInstance(tag)) {
                return tag;
            }
            return null;
        }

        public C0403b(int i, Class<T> cls, int i2, int i3) {
            this.f2525a = i;
            this.f2526b = cls;
            this.f2527c = i3;
        }
    }

    /* renamed from: b.h.m.n$d */
    /* compiled from: ViewCompat */
    public static class C0405d {

        /* renamed from: d */
        public static final ArrayList<WeakReference<View>> f2528d = new ArrayList<>();

        /* renamed from: a */
        public WeakHashMap<View, Boolean> f2529a = null;

        /* renamed from: b */
        public SparseArray<WeakReference<View>> f2530b = null;

        /* renamed from: c */
        public WeakReference<KeyEvent> f2531c = null;

        /* renamed from: a */
        public static C0405d m1988a(View view) {
            C0405d dVar = (C0405d) view.getTag(C0349c.tag_unhandled_key_event_manager);
            if (dVar != null) {
                return dVar;
            }
            C0405d dVar2 = new C0405d();
            view.setTag(C0349c.tag_unhandled_key_event_manager, dVar2);
            return dVar2;
        }

        /* renamed from: b */
        public final boolean mo3145b(View view, KeyEvent keyEvent) {
            ArrayList arrayList = (ArrayList) view.getTag(C0349c.tag_unhandled_key_listeners);
            if (arrayList == null) {
                return false;
            }
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                if (((C0404c) arrayList.get(size)).mo3142a(view, keyEvent)) {
                    return true;
                }
            }
            return false;
        }

        /* renamed from: a */
        public final View mo3143a(View view, KeyEvent keyEvent) {
            WeakHashMap<View, Boolean> weakHashMap = this.f2529a;
            if (weakHashMap != null && weakHashMap.containsKey(view)) {
                if (view instanceof ViewGroup) {
                    ViewGroup viewGroup = (ViewGroup) view;
                    for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                        View a = mo3143a(viewGroup.getChildAt(childCount), keyEvent);
                        if (a != null) {
                            return a;
                        }
                    }
                }
                if (mo3145b(view, keyEvent)) {
                    return view;
                }
            }
            return null;
        }

        /* renamed from: a */
        public final void mo3144a() {
            WeakHashMap<View, Boolean> weakHashMap = this.f2529a;
            if (weakHashMap != null) {
                weakHashMap.clear();
            }
            if (!f2528d.isEmpty()) {
                synchronized (f2528d) {
                    if (this.f2529a == null) {
                        this.f2529a = new WeakHashMap<>();
                    }
                    for (int size = f2528d.size() - 1; size >= 0; size--) {
                        View view = (View) f2528d.get(size).get();
                        if (view == null) {
                            f2528d.remove(size);
                        } else {
                            this.f2529a.put(view, Boolean.TRUE);
                            for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
                                this.f2529a.put((View) parent, Boolean.TRUE);
                            }
                        }
                    }
                }
            }
        }
    }

    /* renamed from: b */
    public static void m1950b(View view, boolean z) {
        view.setHasTransientState(z);
    }

    /* renamed from: b */
    public static void m1949b(View view, int i) {
        view.offsetTopAndBottom(i);
        if (view.getVisibility() == 0) {
            float translationY = view.getTranslationY();
            view.setTranslationY(1.0f + translationY);
            view.setTranslationY(translationY);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                m1925D((View) parent);
            }
        }
    }

    /* renamed from: a */
    public static WindowInsetsCompat m1928a(View view, WindowInsetsCompat wVar) {
        WindowInsets windowInsets = (WindowInsets) wVar.f2541a;
        WindowInsets onApplyWindowInsets = view.onApplyWindowInsets(windowInsets);
        if (!onApplyWindowInsets.equals(windowInsets)) {
            windowInsets = new WindowInsets(onApplyWindowInsets);
        }
        return new WindowInsetsCompat(Objects.requireNonNull(windowInsets));
    }

    /* renamed from: a */
    public static void m1938a(View view, AccessibilityDelegateCompat aVar) {
        View.AccessibilityDelegate accessibilityDelegate;
        if (aVar == null && (m1952c(view) instanceof AccessibilityDelegateCompat.C0397a)) {
            aVar = new AccessibilityDelegateCompat();
        }
        if (aVar == null) {
            accessibilityDelegate = null;
        } else {
            accessibilityDelegate = aVar.f2501b;
        }
        view.setAccessibilityDelegate(accessibilityDelegate);
    }

    /* renamed from: c */
    public static void m1953c(View view, int i) {
        if (((AccessibilityManager) view.getContext().getSystemService("accessibility")).isEnabled()) {
            boolean z = ((CharSequence) new C0407p(C0349c.tag_accessibility_pane_title, CharSequence.class, 8, 28).mo3141b(view)) != null;
            if (view.getAccessibilityLiveRegion() != 0 || (z && view.getVisibility() == 0)) {
                AccessibilityEvent obtain = AccessibilityEvent.obtain();
                obtain.setEventType(z ? 32 : HarvestConfiguration.DEFAULT_RESPONSE_BODY_LIMIT);
                obtain.setContentChangeTypes(i);
                view.sendAccessibilityEventUnchecked(obtain);
            } else if (view.getParent() != null) {
                try {
                    view.getParent().notifySubtreeAccessibilityStateChanged(view, view, i);
                } catch (AbstractMethodError e) {
                    Log.e("ViewCompat", view.getParent().getClass().getSimpleName() + " does not fully implement ViewParent", e);
                }
            }
        }
    }

    /* renamed from: b */
    public static boolean m1951b(View view, KeyEvent keyEvent) {
        int indexOfKey;
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        C0405d a = C0405d.m1988a(view);
        WeakReference<KeyEvent> weakReference = a.f2531c;
        if (weakReference != null && weakReference.get() == keyEvent) {
            return false;
        }
        a.f2531c = new WeakReference<>(keyEvent);
        WeakReference weakReference2 = null;
        if (a.f2530b == null) {
            a.f2530b = new SparseArray<>();
        }
        SparseArray<WeakReference<View>> sparseArray = a.f2530b;
        if (keyEvent.getAction() == 1 && (indexOfKey = sparseArray.indexOfKey(keyEvent.getKeyCode())) >= 0) {
            weakReference2 = sparseArray.valueAt(indexOfKey);
            sparseArray.removeAt(indexOfKey);
        }
        if (weakReference2 == null) {
            weakReference2 = sparseArray.get(keyEvent.getKeyCode());
        }
        if (weakReference2 == null) {
            return false;
        }
        View view2 = (View) weakReference2.get();
        if (view2 != null && m1977v(view2)) {
            a.mo3145b(view2, keyEvent);
        }
        return true;
    }

    /* renamed from: a */
    public static void m1942a(View view, Runnable runnable) {
        view.postOnAnimation(runnable);
    }

    /* renamed from: e */
    public static Rect m1956e(View view) {
        return view.getClipBounds();
    }

    /* renamed from: a */
    public static void m1943a(View view, Runnable runnable, long j) {
        view.postOnAnimationDelayed(runnable, j);
    }

    /* renamed from: a */
    public static boolean m1946a(View view, int i, Bundle bundle) {
        return view.performAccessibilityAction(i, bundle);
    }

    /* renamed from: a */
    public static void m1940a(View view, AccessibilityNodeInfoCompat.C0411a aVar, CharSequence charSequence, AccessibilityViewCommand dVar) {
        if (dVar == null && charSequence == null) {
            m1959f(view, aVar.mo3176a());
            return;
        }
        AccessibilityNodeInfoCompat.C0411a aVar2 = new AccessibilityNodeInfoCompat.C0411a((Object) null, aVar.f2558b, charSequence, dVar, aVar.f2559c);
        AccessibilityDelegateCompat b = m1948b(view);
        if (b == null) {
            b = new AccessibilityDelegateCompat();
        }
        m1938a(view, b);
        m1929a(aVar2.mo3176a(), view);
        ArrayList arrayList = (ArrayList) view.getTag(C0349c.tag_accessibility_actions);
        if (arrayList == null) {
            arrayList = new ArrayList();
            view.setTag(C0349c.tag_accessibility_actions, arrayList);
        }
        arrayList.add(aVar2);
        m1953c(view, 0);
    }

    /* renamed from: a */
    public static void m1929a(int i, View view) {
        ArrayList arrayList = (ArrayList) view.getTag(C0349c.tag_accessibility_actions);
        if (arrayList == null) {
            arrayList = new ArrayList();
            view.setTag(C0349c.tag_accessibility_actions, arrayList);
        }
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            if (((AccessibilityNodeInfoCompat.C0411a) arrayList.get(i2)).mo3176a() == i) {
                arrayList.remove(i2);
                return;
            }
        }
    }

    /* renamed from: a */
    public static void m1941a(View view, AccessibilityNodeInfoCompat bVar) {
        view.onInitializeAccessibilityNodeInfo(bVar.f2546a);
    }

    /* renamed from: a */
    public static void m1933a(View view, int i, int i2, int i3, int i4) {
        view.setPaddingRelative(i, i2, i3, i4);
    }

    /* renamed from: a */
    public static ViewPropertyAnimatorCompat m1927a(View view) {
        if (f2520a == null) {
            f2520a = new WeakHashMap<>();
        }
        ViewPropertyAnimatorCompat sVar = f2520a.get(view);
        if (sVar != null) {
            return sVar;
        }
        ViewPropertyAnimatorCompat sVar2 = new ViewPropertyAnimatorCompat(view);
        f2520a.put(view, sVar2);
        return sVar2;
    }

    /* renamed from: a */
    public static void m1930a(View view, float f) {
        view.setElevation(f);
    }

    /* renamed from: a */
    public static void m1944a(View view, String str) {
        view.setTransitionName(str);
    }

    /* renamed from: a */
    public static void m1939a(View view, OnApplyWindowInsetsListener lVar) {
        if (lVar == null) {
            view.setOnApplyWindowInsetsListener((View.OnApplyWindowInsetsListener) null);
        } else {
            view.setOnApplyWindowInsetsListener(new C0402a(lVar));
        }
    }

    /* renamed from: a */
    public static void m1937a(View view, Drawable drawable) {
        view.setBackground(drawable);
    }

    /* renamed from: a */
    public static void m1934a(View view, ColorStateList colorStateList) {
        view.setBackgroundTintList(colorStateList);
        if (Build.VERSION.SDK_INT == 21) {
            Drawable background = view.getBackground();
            boolean z = (view.getBackgroundTintList() == null && view.getBackgroundTintMode() == null) ? false : true;
            if (background != null && z) {
                if (background.isStateful()) {
                    background.setState(view.getDrawableState());
                }
                view.setBackground(background);
            }
        }
    }

    /* renamed from: a */
    public static void m1935a(View view, PorterDuff.Mode mode) {
        view.setBackgroundTintMode(mode);
        if (Build.VERSION.SDK_INT == 21) {
            Drawable background = view.getBackground();
            boolean z = (view.getBackgroundTintList() == null && view.getBackgroundTintMode() == null) ? false : true;
            if (background != null && z) {
                if (background.isStateful()) {
                    background.setState(view.getDrawableState());
                }
                view.setBackground(background);
            }
        }
    }

    /* renamed from: a */
    public static void m1931a(View view, int i) {
        view.offsetLeftAndRight(i);
        if (view.getVisibility() == 0) {
            float translationY = view.getTranslationY();
            view.setTranslationY(1.0f + translationY);
            view.setTranslationY(translationY);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                m1925D((View) parent);
            }
        }
    }

    /* renamed from: a */
    public static void m1936a(View view, Rect rect) {
        view.setClipBounds(rect);
    }

    /* renamed from: a */
    public static void m1932a(View view, int i, int i2) {
        if (Build.VERSION.SDK_INT >= 23) {
            view.setScrollIndicators(i, i2);
        }
    }

    /* renamed from: a */
    public static boolean m1947a(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        C0405d a = C0405d.m1988a(view);
        if (a != null) {
            if (keyEvent.getAction() == 0) {
                a.mo3144a();
            }
            View a2 = a.mo3143a(view, keyEvent);
            if (keyEvent.getAction() == 0) {
                int keyCode = keyEvent.getKeyCode();
                if (a2 != null && !KeyEvent.isModifierKey(keyCode)) {
                    if (a.f2530b == null) {
                        a.f2530b = new SparseArray<>();
                    }
                    a.f2530b.put(keyCode, new WeakReference(a2));
                }
            }
            if (a2 != null) {
                return true;
            }
            return false;
        }
        throw null;
    }

    /* renamed from: a */
    public static void m1945a(View view, boolean z) {
        C0408q qVar = new C0408q(C0349c.tag_accessibility_heading, Boolean.class, 28);
        Boolean valueOf = Boolean.valueOf(z);
        if (Build.VERSION.SDK_INT >= qVar.f2527c) {
            qVar.mo3138a(view, valueOf);
        } else if (qVar.mo3140a(qVar.mo3141b(view), valueOf)) {
            AccessibilityDelegateCompat b = m1948b(view);
            if (b == null) {
                b = new AccessibilityDelegateCompat();
            }
            m1938a(view, b);
            view.setTag(qVar.f2525a, valueOf);
            m1953c(view, 0);
        }
    }
}
