package p008b.p048i.p049a;

import android.content.Context;
import android.database.ContentObserver;
import android.database.Cursor;
import android.database.DataSetObserver;
import android.os.Handler;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Filter;
import android.widget.Filterable;
import p008b.p048i.p049a.CursorFilter;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.i.a.a */
public abstract class CursorAdapter extends BaseAdapter implements Filterable, CursorFilter.C0428a {

    /* renamed from: b */
    public boolean f2602b;

    /* renamed from: c */
    public boolean f2603c;

    /* renamed from: d */
    public Cursor f2604d;

    /* renamed from: e */
    public Context f2605e;

    /* renamed from: f */
    public int f2606f;

    /* renamed from: g */
    public C0426a f2607g;

    /* renamed from: h */
    public DataSetObserver f2608h;

    /* renamed from: i */
    public CursorFilter f2609i;

    /* renamed from: b.i.a.a$a */
    /* compiled from: CursorAdapter */
    public class C0426a extends ContentObserver {
        public C0426a() {
            super(new Handler());
        }

        public boolean deliverSelfNotifications() {
            return true;
        }

        public void onChange(boolean z) {
            Cursor cursor;
            CursorAdapter aVar = CursorAdapter.this;
            if (aVar.f2603c && (cursor = aVar.f2604d) != null && !cursor.isClosed()) {
                aVar.f2602b = aVar.f2604d.requery();
            }
        }
    }

    /* renamed from: b.i.a.a$b */
    /* compiled from: CursorAdapter */
    public class C0427b extends DataSetObserver {
        public C0427b() {
        }

        public void onChanged() {
            CursorAdapter aVar = CursorAdapter.this;
            aVar.f2602b = true;
            aVar.notifyDataSetChanged();
        }

        public void onInvalidated() {
            CursorAdapter aVar = CursorAdapter.this;
            aVar.f2602b = false;
            aVar.notifyDataSetInvalidated();
        }
    }

    public CursorAdapter(Context context, Cursor cursor, boolean z) {
        boolean z2 = true;
        char c = z ? (char) 1 : 2;
        if ((c & 1) == 1) {
            c |= 2;
            this.f2603c = true;
        } else {
            this.f2603c = false;
        }
        z2 = cursor == null ? false : z2;
        this.f2604d = cursor;
        this.f2602b = z2;
        this.f2605e = context;
        this.f2606f = z2 ? cursor.getColumnIndexOrThrow("_id") : -1;
        if ((c & 2) == 2) {
            this.f2607g = new C0426a();
            this.f2608h = new C0427b();
        } else {
            this.f2607g = null;
            this.f2608h = null;
        }
        if (z2) {
            C0426a aVar = this.f2607g;
            if (aVar != null) {
                cursor.registerContentObserver(aVar);
            }
            DataSetObserver dataSetObserver = this.f2608h;
            if (dataSetObserver != null) {
                cursor.registerDataSetObserver(dataSetObserver);
            }
        }
    }

    /* renamed from: a */
    public abstract View mo2478a(Context context, Cursor cursor, ViewGroup viewGroup);

    /* renamed from: a */
    public void mo2479a(Cursor cursor) {
        Cursor cursor2 = this.f2604d;
        if (cursor == cursor2) {
            cursor2 = null;
        } else {
            if (cursor2 != null) {
                C0426a aVar = this.f2607g;
                if (aVar != null) {
                    cursor2.unregisterContentObserver(aVar);
                }
                DataSetObserver dataSetObserver = this.f2608h;
                if (dataSetObserver != null) {
                    cursor2.unregisterDataSetObserver(dataSetObserver);
                }
            }
            this.f2604d = cursor;
            if (cursor != null) {
                C0426a aVar2 = this.f2607g;
                if (aVar2 != null) {
                    cursor.registerContentObserver(aVar2);
                }
                DataSetObserver dataSetObserver2 = this.f2608h;
                if (dataSetObserver2 != null) {
                    cursor.registerDataSetObserver(dataSetObserver2);
                }
                this.f2606f = cursor.getColumnIndexOrThrow("_id");
                this.f2602b = true;
                notifyDataSetChanged();
            } else {
                this.f2606f = -1;
                this.f2602b = false;
                notifyDataSetInvalidated();
            }
        }
        if (cursor2 != null) {
            cursor2.close();
        }
    }

    /* renamed from: a */
    public abstract void mo2480a(View view, Context context, Cursor cursor);

    /* renamed from: b */
    public abstract CharSequence mo2481b(Cursor cursor);

    public int getCount() {
        Cursor cursor;
        if (!this.f2602b || (cursor = this.f2604d) == null) {
            return 0;
        }
        return cursor.getCount();
    }

    public View getDropDownView(int i, View view, ViewGroup viewGroup) {
        if (!this.f2602b) {
            return null;
        }
        this.f2604d.moveToPosition(i);
        if (view == null) {
            ResourceCursorAdapter cVar = (ResourceCursorAdapter) this;
            view = cVar.f2615l.inflate(cVar.f2614k, viewGroup, false);
        }
        mo2480a(view, this.f2605e, this.f2604d);
        return view;
    }

    public Filter getFilter() {
        if (this.f2609i == null) {
            this.f2609i = new CursorFilter(this);
        }
        return this.f2609i;
    }

    public Object getItem(int i) {
        Cursor cursor;
        if (!this.f2602b || (cursor = this.f2604d) == null) {
            return null;
        }
        cursor.moveToPosition(i);
        return this.f2604d;
    }

    public long getItemId(int i) {
        Cursor cursor;
        if (!this.f2602b || (cursor = this.f2604d) == null || !cursor.moveToPosition(i)) {
            return 0;
        }
        return this.f2604d.getLong(this.f2606f);
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        if (!this.f2602b) {
            throw new IllegalStateException("this should only be called when the cursor is valid");
        } else if (this.f2604d.moveToPosition(i)) {
            if (view == null) {
                view = mo2478a(this.f2605e, this.f2604d, viewGroup);
            }
            mo2480a(view, this.f2605e, this.f2604d);
            return view;
        } else {
            throw new IllegalStateException(outline.m2930a("couldn't move cursor to position ", i));
        }
    }
}
