package p008b.p050j.p052b;

import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.material.chip.Chip;
import com.newrelic.agent.android.analytics.AnalyticAttribute;
import com.newrelic.agent.android.instrumentation.ViewInstrumentation;
import java.util.ArrayList;
import java.util.List;
import p008b.p026e.SparseArrayCompat;
import p008b.p033h.p045m.AccessibilityDelegateCompat;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat;
import p008b.p033h.p045m.p046x.AccessibilityNodeProviderCompat;
import p262g.AsyncTimeout;

/* renamed from: b.j.b.a */
public abstract class ExploreByTouchHelper extends AccessibilityDelegateCompat {

    /* renamed from: n */
    public static final Rect f2618n = new Rect(Integer.MAX_VALUE, Integer.MAX_VALUE, RecyclerView.UNDEFINED_DURATION, RecyclerView.UNDEFINED_DURATION);

    /* renamed from: o */
    public static final FocusStrategy<AccessibilityNodeInfoCompat> f2619o = new C0431a();

    /* renamed from: p */
    public static final C0434c<SparseArrayCompat<AccessibilityNodeInfoCompat>, AccessibilityNodeInfoCompat> f2620p = new C0432b();

    /* renamed from: d */
    public final Rect f2621d = new Rect();

    /* renamed from: e */
    public final Rect f2622e = new Rect();

    /* renamed from: f */
    public final Rect f2623f = new Rect();

    /* renamed from: g */
    public final int[] f2624g = new int[2];

    /* renamed from: h */
    public final AccessibilityManager f2625h;

    /* renamed from: i */
    public final View f2626i;

    /* renamed from: j */
    public C0433c f2627j;

    /* renamed from: k */
    public int f2628k = RecyclerView.UNDEFINED_DURATION;

    /* renamed from: l */
    public int f2629l = RecyclerView.UNDEFINED_DURATION;

    /* renamed from: m */
    public int f2630m = RecyclerView.UNDEFINED_DURATION;

    /* renamed from: b.j.b.a$a */
    /* compiled from: ExploreByTouchHelper */
    public static class C0431a implements FocusStrategy<AccessibilityNodeInfoCompat> {
        /* renamed from: a */
        public void mo3224a(Object obj, Rect rect) {
            ((AccessibilityNodeInfoCompat) obj).f2546a.getBoundsInParent(rect);
        }
    }

    /* renamed from: b.j.b.a$b */
    /* compiled from: ExploreByTouchHelper */
    public static class C0432b implements C0434c<SparseArrayCompat<AccessibilityNodeInfoCompat>, AccessibilityNodeInfoCompat> {
    }

    public ExploreByTouchHelper(View view) {
        if (view != null) {
            this.f2626i = view;
            this.f2625h = (AccessibilityManager) view.getContext().getSystemService("accessibility");
            view.setFocusable(true);
            if (ViewCompat.m1964i(view) == 0) {
                view.setImportantForAccessibility(1);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("View may not be null");
    }

    /* renamed from: a */
    public AccessibilityNodeProviderCompat mo3105a(View view) {
        if (this.f2627j == null) {
            this.f2627j = new C0433c();
        }
        return this.f2627j;
    }

    /* renamed from: a */
    public abstract void mo3213a(int i, AccessibilityNodeInfoCompat bVar);

    /* renamed from: a */
    public abstract void mo3214a(List<Integer> list);

    /* renamed from: a */
    public abstract boolean mo3217a(int i, int i2, Bundle bundle);

    /* renamed from: b */
    public void mo727b(View view, AccessibilityEvent accessibilityEvent) {
        this.f2500a.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: c */
    public final AccessibilityNodeInfoCompat mo3220c(int i) {
        AccessibilityNodeInfoCompat bVar = new AccessibilityNodeInfoCompat(AccessibilityNodeInfo.obtain());
        bVar.f2546a.setEnabled(true);
        bVar.f2546a.setFocusable(true);
        bVar.f2546a.setClassName(ViewInstrumentation.VIEW_CLASS_NAME);
        bVar.f2546a.setBoundsInParent(f2618n);
        bVar.f2546a.setBoundsInScreen(f2618n);
        View view = this.f2626i;
        bVar.f2547b = -1;
        bVar.f2546a.setParent(view);
        mo3213a(i, bVar);
        if (bVar.mo3172c() == null && bVar.mo3164a() == null) {
            throw new RuntimeException("Callbacks must add text or a content description in populateNodeForVirtualViewId()");
        }
        bVar.f2546a.getBoundsInParent(this.f2622e);
        if (!this.f2622e.equals(f2618n)) {
            int actions = bVar.f2546a.getActions();
            if ((actions & 64) != 0) {
                throw new RuntimeException("Callbacks must not add ACTION_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            } else if ((actions & 128) == 0) {
                bVar.f2546a.setPackageName(this.f2626i.getContext().getPackageName());
                View view2 = this.f2626i;
                bVar.f2548c = i;
                bVar.f2546a.setSource(view2, i);
                boolean z = false;
                if (this.f2628k == i) {
                    bVar.f2546a.setAccessibilityFocused(true);
                    bVar.f2546a.addAction(128);
                } else {
                    bVar.f2546a.setAccessibilityFocused(false);
                    bVar.f2546a.addAction(64);
                }
                boolean z2 = this.f2629l == i;
                if (z2) {
                    bVar.f2546a.addAction(2);
                } else if (bVar.f2546a.isFocusable()) {
                    bVar.f2546a.addAction(1);
                }
                bVar.f2546a.setFocused(z2);
                this.f2626i.getLocationOnScreen(this.f2624g);
                bVar.f2546a.getBoundsInScreen(this.f2621d);
                if (this.f2621d.equals(f2618n)) {
                    bVar.f2546a.getBoundsInParent(this.f2621d);
                    if (bVar.f2547b != -1) {
                        AccessibilityNodeInfoCompat bVar2 = new AccessibilityNodeInfoCompat(AccessibilityNodeInfo.obtain());
                        for (int i2 = bVar.f2547b; i2 != -1; i2 = bVar2.f2547b) {
                            View view3 = this.f2626i;
                            bVar2.f2547b = -1;
                            bVar2.f2546a.setParent(view3, -1);
                            bVar2.f2546a.setBoundsInParent(f2618n);
                            mo3213a(i2, bVar2);
                            bVar2.f2546a.getBoundsInParent(this.f2622e);
                            Rect rect = this.f2621d;
                            Rect rect2 = this.f2622e;
                            rect.offset(rect2.left, rect2.top);
                        }
                        bVar2.f2546a.recycle();
                    }
                    this.f2621d.offset(this.f2624g[0] - this.f2626i.getScrollX(), this.f2624g[1] - this.f2626i.getScrollY());
                }
                if (this.f2626i.getLocalVisibleRect(this.f2623f)) {
                    this.f2623f.offset(this.f2624g[0] - this.f2626i.getScrollX(), this.f2624g[1] - this.f2626i.getScrollY());
                    if (this.f2621d.intersect(this.f2623f)) {
                        bVar.f2546a.setBoundsInScreen(this.f2621d);
                        Rect rect3 = this.f2621d;
                        if (rect3 != null && !rect3.isEmpty() && this.f2626i.getWindowVisibility() == 0) {
                            ViewParent parent = this.f2626i.getParent();
                            while (true) {
                                if (parent instanceof View) {
                                    View view4 = (View) parent;
                                    if (view4.getAlpha() <= 0.0f || view4.getVisibility() != 0) {
                                        break;
                                    }
                                    parent = view4.getParent();
                                } else if (parent != null) {
                                    z = true;
                                }
                            }
                        }
                        if (z) {
                            bVar.f2546a.setVisibleToUser(true);
                        }
                    }
                }
                return bVar;
            } else {
                throw new RuntimeException("Callbacks must not add ACTION_CLEAR_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            }
        } else {
            throw new RuntimeException("Callbacks must set parent bounds in populateNodeForVirtualViewId()");
        }
    }

    /* renamed from: d */
    public AccessibilityNodeInfoCompat mo3221d(int i) {
        if (i != -1) {
            return mo3220c(i);
        }
        AccessibilityNodeInfoCompat bVar = new AccessibilityNodeInfoCompat(AccessibilityNodeInfo.obtain(this.f2626i));
        ViewCompat.m1941a(this.f2626i, bVar);
        ArrayList arrayList = new ArrayList();
        mo3214a((List<Integer>) arrayList);
        if (bVar.f2546a.getChildCount() <= 0 || arrayList.size() <= 0) {
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                bVar.f2546a.addChild(this.f2626i, ((Integer) arrayList.get(i2)).intValue());
            }
            return bVar;
        }
        throw new RuntimeException("Views cannot have both real and virtual children");
    }

    /* renamed from: e */
    public final boolean mo3222e(int i) {
        int i2;
        if ((!this.f2626i.isFocused() && !this.f2626i.requestFocus()) || (i2 = this.f2629l) == i) {
            return false;
        }
        if (i2 != Integer.MIN_VALUE) {
            mo3219b(i2);
        }
        if (i == Integer.MIN_VALUE) {
            return false;
        }
        this.f2629l = i;
        Chip.C1599b bVar = (Chip.C1599b) this;
        if (i == 1) {
            Chip chip = Chip.this;
            chip.f6860m = true;
            chip.refreshDrawableState();
        }
        mo3216a(i, 8);
        return true;
    }

    /* renamed from: f */
    public final void mo3223f(int i) {
        int i2 = this.f2630m;
        if (i2 != i) {
            this.f2630m = i;
            mo3216a(i, 128);
            mo3216a(i2, (int) AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH);
        }
    }

    /* renamed from: b */
    public final boolean mo3219b(int i) {
        if (this.f2629l != i) {
            return false;
        }
        this.f2629l = RecyclerView.UNDEFINED_DURATION;
        Chip.C1599b bVar = (Chip.C1599b) this;
        if (i == 1) {
            Chip chip = Chip.this;
            chip.f6860m = false;
            chip.refreshDrawableState();
        }
        mo3216a(i, 8);
        return true;
    }

    /* renamed from: b.j.b.a$c */
    /* compiled from: ExploreByTouchHelper */
    public class C0433c extends AccessibilityNodeProviderCompat {
        public C0433c() {
        }

        /* renamed from: a */
        public AccessibilityNodeInfoCompat mo3179a(int i) {
            return new AccessibilityNodeInfoCompat(AccessibilityNodeInfo.obtain(ExploreByTouchHelper.this.mo3221d(i).f2546a));
        }

        /* renamed from: b */
        public AccessibilityNodeInfoCompat mo3181b(int i) {
            int i2 = i == 2 ? ExploreByTouchHelper.this.f2628k : ExploreByTouchHelper.this.f2629l;
            if (i2 == Integer.MIN_VALUE) {
                return null;
            }
            return new AccessibilityNodeInfoCompat(AccessibilityNodeInfo.obtain(ExploreByTouchHelper.this.mo3221d(i2).f2546a));
        }

        /* renamed from: a */
        public boolean mo3180a(int i, int i2, Bundle bundle) {
            int i3;
            ExploreByTouchHelper aVar = ExploreByTouchHelper.this;
            if (i == -1) {
                return ViewCompat.m1946a(aVar.f2626i, i2, bundle);
            }
            boolean z = true;
            if (i2 == 1) {
                return aVar.mo3222e(i);
            }
            if (i2 == 2) {
                return aVar.mo3219b(i);
            }
            if (i2 == 64) {
                if (!aVar.f2625h.isEnabled() || !aVar.f2625h.isTouchExplorationEnabled() || (i3 = aVar.f2628k) == i) {
                    z = false;
                } else {
                    if (i3 != Integer.MIN_VALUE) {
                        aVar.mo3215a(i3);
                    }
                    aVar.f2628k = i;
                    aVar.f2626i.invalidate();
                    aVar.mo3216a(i, 32768);
                }
                return z;
            } else if (i2 != 128) {
                return aVar.mo3217a(i, i2, bundle);
            } else {
                return aVar.mo3215a(i);
            }
        }
    }

    /* renamed from: a */
    public void mo725a(View view, AccessibilityNodeInfoCompat bVar) {
        this.f2500a.onInitializeAccessibilityNodeInfo(view, bVar.f2546a);
        Chip.C1599b bVar2 = (Chip.C1599b) this;
        bVar.f2546a.setCheckable(Chip.this.mo6611c());
        bVar.f2546a.setClickable(Chip.this.isClickable());
        if (Chip.this.mo6611c() || Chip.this.isClickable()) {
            bVar.f2546a.setClassName(Chip.this.mo6611c() ? "android.widget.CompoundButton" : "android.widget.Button");
        } else {
            bVar.f2546a.setClassName(ViewInstrumentation.VIEW_CLASS_NAME);
        }
        CharSequence text = Chip.this.getText();
        if (Build.VERSION.SDK_INT >= 23) {
            bVar.f2546a.setText(text);
        } else {
            bVar.f2546a.setContentDescription(text);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:63:0x014b, code lost:
        if (r13 < ((r17 * r17) + ((r12 * 13) * r12))) goto L_0x014d;
     */
    /* JADX WARNING: Removed duplicated region for block: B:123:0x0157 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x0152  */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final boolean mo3218a(int r20, android.graphics.Rect r21) {
        /*
            r19 = this;
            r0 = r19
            r1 = r20
            r2 = r21
            java.util.ArrayList r3 = new java.util.ArrayList
            r3.<init>()
            r0.mo3214a((java.util.List<java.lang.Integer>) r3)
            b.e.i r4 = new b.e.i
            r5 = 10
            r4.<init>(r5)
            r5 = 0
            r6 = 0
        L_0x0017:
            int r7 = r3.size()
            if (r6 >= r7) goto L_0x003b
            java.lang.Object r7 = r3.get(r6)
            java.lang.Integer r7 = (java.lang.Integer) r7
            int r7 = r7.intValue()
            b.h.m.x.b r7 = r0.mo3220c(r7)
            java.lang.Object r8 = r3.get(r6)
            java.lang.Integer r8 = (java.lang.Integer) r8
            int r8 = r8.intValue()
            r4.mo2823c(r8, r7)
            int r6 = r6 + 1
            goto L_0x0017
        L_0x003b:
            int r3 = r0.f2629l
            r7 = -2147483648(0xffffffff80000000, float:-0.0)
            if (r3 != r7) goto L_0x0043
            r3 = 0
            goto L_0x0049
        L_0x0043:
            java.lang.Object r3 = r4.mo2816a(r3)
            b.h.m.x.b r3 = (p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat) r3
        L_0x0049:
            r8 = 2
            r9 = -1
            r10 = 1
            if (r1 == r10) goto L_0x015c
            if (r1 == r8) goto L_0x015c
            r8 = 130(0x82, float:1.82E-43)
            r11 = 66
            r12 = 33
            r13 = 17
            if (r1 == r13) goto L_0x0069
            if (r1 == r12) goto L_0x0069
            if (r1 == r11) goto L_0x0069
            if (r1 != r8) goto L_0x0061
            goto L_0x0069
        L_0x0061:
            java.lang.IllegalArgumentException r1 = new java.lang.IllegalArgumentException
            java.lang.String r2 = "direction must be one of {FOCUS_FORWARD, FOCUS_BACKWARD, FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}."
            r1.<init>(r2)
            throw r1
        L_0x0069:
            android.graphics.Rect r14 = new android.graphics.Rect
            r14.<init>()
            int r15 = r0.f2629l
            java.lang.String r6 = "direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}."
            if (r15 == r7) goto L_0x007e
            b.h.m.x.b r2 = r0.mo3221d(r15)
            android.view.accessibility.AccessibilityNodeInfo r2 = r2.f2546a
            r2.getBoundsInParent(r14)
            goto L_0x00ab
        L_0x007e:
            if (r2 == 0) goto L_0x0084
            r14.set(r2)
            goto L_0x00ab
        L_0x0084:
            android.view.View r2 = r0.f2626i
            int r15 = r2.getWidth()
            int r2 = r2.getHeight()
            if (r1 == r13) goto L_0x00a8
            if (r1 == r12) goto L_0x00a4
            if (r1 == r11) goto L_0x00a0
            if (r1 != r8) goto L_0x009a
            r14.set(r5, r9, r15, r9)
            goto L_0x00ab
        L_0x009a:
            java.lang.IllegalArgumentException r1 = new java.lang.IllegalArgumentException
            r1.<init>(r6)
            throw r1
        L_0x00a0:
            r14.set(r9, r5, r9, r2)
            goto L_0x00ab
        L_0x00a4:
            r14.set(r5, r2, r15, r2)
            goto L_0x00ab
        L_0x00a8:
            r14.set(r15, r5, r15, r2)
        L_0x00ab:
            b.j.b.c<b.e.i<b.h.m.x.b>, b.h.m.x.b> r2 = f2620p
            b.j.b.b<b.h.m.x.b> r15 = f2619o
            android.graphics.Rect r7 = new android.graphics.Rect
            r7.<init>(r14)
            if (r1 == r13) goto L_0x00df
            if (r1 == r12) goto L_0x00d6
            if (r1 == r11) goto L_0x00cc
            if (r1 != r8) goto L_0x00c6
            int r6 = r14.height()
            int r6 = r6 + r10
            int r6 = -r6
            r7.offset(r5, r6)
            goto L_0x00e7
        L_0x00c6:
            java.lang.IllegalArgumentException r1 = new java.lang.IllegalArgumentException
            r1.<init>(r6)
            throw r1
        L_0x00cc:
            int r6 = r14.width()
            int r6 = r6 + r10
            int r6 = -r6
            r7.offset(r6, r5)
            goto L_0x00e7
        L_0x00d6:
            int r6 = r14.height()
            int r6 = r6 + r10
            r7.offset(r5, r6)
            goto L_0x00e7
        L_0x00df:
            int r6 = r14.width()
            int r6 = r6 + r10
            r7.offset(r6, r5)
        L_0x00e7:
            b.j.b.a$b r2 = (p008b.p050j.p052b.ExploreByTouchHelper.C0432b) r2
            if (r2 == 0) goto L_0x015a
            int r2 = r4.mo2819b()
            android.graphics.Rect r6 = new android.graphics.Rect
            r6.<init>()
            r8 = 0
            r16 = 0
        L_0x00f7:
            if (r8 >= r2) goto L_0x01ce
            boolean r11 = r4.f1925b
            if (r11 == 0) goto L_0x0100
            r4.mo2817a()
        L_0x0100:
            java.lang.Object[] r11 = r4.f1927d
            r11 = r11[r8]
            b.h.m.x.b r11 = (p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat) r11
            if (r11 != r3) goto L_0x0109
            goto L_0x0157
        L_0x0109:
            r12 = r15
            b.j.b.a$a r12 = (p008b.p050j.p052b.ExploreByTouchHelper.C0431a) r12
            r12.mo3224a(r11, r6)
            boolean r12 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m72a((android.graphics.Rect) r14, (android.graphics.Rect) r6, (int) r1)
            if (r12 != 0) goto L_0x0116
            goto L_0x014f
        L_0x0116:
            boolean r12 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m72a((android.graphics.Rect) r14, (android.graphics.Rect) r7, (int) r1)
            if (r12 != 0) goto L_0x011d
            goto L_0x014d
        L_0x011d:
            boolean r12 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m71a((int) r1, (android.graphics.Rect) r14, (android.graphics.Rect) r6, (android.graphics.Rect) r7)
            if (r12 == 0) goto L_0x0124
            goto L_0x014d
        L_0x0124:
            boolean r12 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m71a((int) r1, (android.graphics.Rect) r14, (android.graphics.Rect) r7, (android.graphics.Rect) r6)
            if (r12 == 0) goto L_0x012b
            goto L_0x014f
        L_0x012b:
            int r12 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m83b((int) r1, (android.graphics.Rect) r14, (android.graphics.Rect) r6)
            int r13 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m97c(r1, r14, r6)
            int r17 = r12 * 13
            int r17 = r17 * r12
            int r13 = r13 * r13
            int r13 = r13 + r17
            int r12 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m83b((int) r1, (android.graphics.Rect) r14, (android.graphics.Rect) r7)
            int r17 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m97c(r1, r14, r7)
            int r18 = r12 * 13
            int r18 = r18 * r12
            int r17 = r17 * r17
            int r12 = r17 + r18
            if (r13 >= r12) goto L_0x014f
        L_0x014d:
            r12 = 1
            goto L_0x0150
        L_0x014f:
            r12 = 0
        L_0x0150:
            if (r12 == 0) goto L_0x0157
            r7.set(r6)
            r16 = r11
        L_0x0157:
            int r8 = r8 + 1
            goto L_0x00f7
        L_0x015a:
            r1 = 0
            throw r1
        L_0x015c:
            android.view.View r2 = r0.f2626i
            int r2 = p008b.p033h.p045m.ViewCompat.m1966k(r2)
            if (r2 != r10) goto L_0x0166
            r2 = 1
            goto L_0x0167
        L_0x0166:
            r2 = 0
        L_0x0167:
            b.j.b.c<b.e.i<b.h.m.x.b>, b.h.m.x.b> r6 = f2620p
            b.j.b.b<b.h.m.x.b> r7 = f2619o
            b.j.b.a$b r6 = (p008b.p050j.p052b.ExploreByTouchHelper.C0432b) r6
            if (r6 == 0) goto L_0x01f4
            int r6 = r4.mo2819b()
            java.util.ArrayList r11 = new java.util.ArrayList
            r11.<init>(r6)
            r12 = 0
        L_0x0179:
            if (r12 >= r6) goto L_0x018e
            boolean r13 = r4.f1925b
            if (r13 == 0) goto L_0x0182
            r4.mo2817a()
        L_0x0182:
            java.lang.Object[] r13 = r4.f1927d
            r13 = r13[r12]
            b.h.m.x.b r13 = (p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat) r13
            r11.add(r13)
            int r12 = r12 + 1
            goto L_0x0179
        L_0x018e:
            b.j.b.d r6 = new b.j.b.d
            r6.<init>(r2, r7)
            java.util.Collections.sort(r11, r6)
            if (r1 == r10) goto L_0x01b8
            if (r1 != r8) goto L_0x01b0
            int r1 = r11.size()
            if (r3 != 0) goto L_0x01a2
            r2 = -1
            goto L_0x01a6
        L_0x01a2:
            int r2 = r11.lastIndexOf(r3)
        L_0x01a6:
            int r2 = r2 + r10
            if (r2 >= r1) goto L_0x01ae
            java.lang.Object r6 = r11.get(r2)
            goto L_0x01ca
        L_0x01ae:
            r6 = 0
            goto L_0x01ca
        L_0x01b0:
            java.lang.IllegalArgumentException r1 = new java.lang.IllegalArgumentException
            java.lang.String r2 = "direction must be one of {FOCUS_FORWARD, FOCUS_BACKWARD}."
            r1.<init>(r2)
            throw r1
        L_0x01b8:
            int r1 = r11.size()
            if (r3 != 0) goto L_0x01bf
            goto L_0x01c3
        L_0x01bf:
            int r1 = r11.indexOf(r3)
        L_0x01c3:
            int r1 = r1 + r9
            if (r1 < 0) goto L_0x01ae
            java.lang.Object r6 = r11.get(r1)
        L_0x01ca:
            r16 = r6
            b.h.m.x.b r16 = (p008b.p033h.p045m.p046x.AccessibilityNodeInfoCompat) r16
        L_0x01ce:
            r1 = r16
            if (r1 != 0) goto L_0x01d5
            r7 = -2147483648(0xffffffff80000000, float:-0.0)
            goto L_0x01ef
        L_0x01d5:
            boolean r2 = r4.f1925b
            if (r2 == 0) goto L_0x01dc
            r4.mo2817a()
        L_0x01dc:
            int r2 = r4.f1928e
            if (r5 >= r2) goto L_0x01eb
            java.lang.Object[] r2 = r4.f1927d
            r2 = r2[r5]
            if (r2 != r1) goto L_0x01e8
            r9 = r5
            goto L_0x01eb
        L_0x01e8:
            int r5 = r5 + 1
            goto L_0x01dc
        L_0x01eb:
            int r7 = r4.mo2820b(r9)
        L_0x01ef:
            boolean r1 = r0.mo3222e(r7)
            return r1
        L_0x01f4:
            r1 = 0
            throw r1
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p050j.p052b.ExploreByTouchHelper.mo3218a(int, android.graphics.Rect):boolean");
    }

    /* renamed from: a */
    public final boolean mo3216a(int i, int i2) {
        ViewParent parent;
        AccessibilityEvent accessibilityEvent;
        if (i == Integer.MIN_VALUE || !this.f2625h.isEnabled() || (parent = this.f2626i.getParent()) == null) {
            return false;
        }
        if (i != -1) {
            accessibilityEvent = AccessibilityEvent.obtain(i2);
            AccessibilityNodeInfoCompat d = mo3221d(i);
            accessibilityEvent.getText().add(d.mo3172c());
            accessibilityEvent.setContentDescription(d.mo3164a());
            accessibilityEvent.setScrollable(d.f2546a.isScrollable());
            accessibilityEvent.setPassword(d.f2546a.isPassword());
            accessibilityEvent.setEnabled(d.f2546a.isEnabled());
            accessibilityEvent.setChecked(d.f2546a.isChecked());
            if (!accessibilityEvent.getText().isEmpty() || accessibilityEvent.getContentDescription() != null) {
                accessibilityEvent.setClassName(d.f2546a.getClassName());
                accessibilityEvent.setSource(this.f2626i, i);
                accessibilityEvent.setPackageName(this.f2626i.getContext().getPackageName());
            } else {
                throw new RuntimeException("Callbacks must add text or a content description in populateEventForVirtualViewId()");
            }
        } else {
            accessibilityEvent = AccessibilityEvent.obtain(i2);
            this.f2626i.onInitializeAccessibilityEvent(accessibilityEvent);
        }
        return parent.requestSendAccessibilityEvent(this.f2626i, accessibilityEvent);
    }

    /* renamed from: a */
    public final boolean mo3215a(int i) {
        if (this.f2628k != i) {
            return false;
        }
        this.f2628k = RecyclerView.UNDEFINED_DURATION;
        this.f2626i.invalidate();
        mo3216a(i, (int) AsyncTimeout.TIMEOUT_WRITE_SIZE);
        return true;
    }
}
