package p008b.p050j.p052b;

import android.content.Context;
import android.util.Log;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import android.widget.OverScroller;
import com.newrelic.agent.android.harvest.HarvestConfiguration;
import java.util.Arrays;
import p008b.p033h.p045m.ViewCompat;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.j.b.f */
public class ViewDragHelper {

    /* renamed from: w */
    public static final Interpolator f2636w = new C0436a();

    /* renamed from: a */
    public int f2637a;

    /* renamed from: b */
    public int f2638b;

    /* renamed from: c */
    public int f2639c = -1;

    /* renamed from: d */
    public float[] f2640d;

    /* renamed from: e */
    public float[] f2641e;

    /* renamed from: f */
    public float[] f2642f;

    /* renamed from: g */
    public float[] f2643g;

    /* renamed from: h */
    public int[] f2644h;

    /* renamed from: i */
    public int[] f2645i;

    /* renamed from: j */
    public int[] f2646j;

    /* renamed from: k */
    public int f2647k;

    /* renamed from: l */
    public VelocityTracker f2648l;

    /* renamed from: m */
    public float f2649m;

    /* renamed from: n */
    public float f2650n;

    /* renamed from: o */
    public int f2651o;

    /* renamed from: p */
    public final int f2652p;

    /* renamed from: q */
    public OverScroller f2653q;

    /* renamed from: r */
    public final C0438c f2654r;

    /* renamed from: s */
    public View f2655s;

    /* renamed from: t */
    public boolean f2656t;

    /* renamed from: u */
    public final ViewGroup f2657u;

    /* renamed from: v */
    public final Runnable f2658v = new C0437b();

    /* renamed from: b.j.b.f$a */
    /* compiled from: ViewDragHelper */
    public static class C0436a implements Interpolator {
        public float getInterpolation(float f) {
            float f2 = f - 1.0f;
            return (f2 * f2 * f2 * f2 * f2) + 1.0f;
        }
    }

    /* renamed from: b.j.b.f$b */
    /* compiled from: ViewDragHelper */
    public class C0437b implements Runnable {
        public C0437b() {
        }

        public void run() {
            ViewDragHelper.this.mo3247c(0);
        }
    }

    /* renamed from: b.j.b.f$c */
    /* compiled from: ViewDragHelper */
    public static abstract class C0438c {
        /* renamed from: a */
        public int mo3251a(View view) {
            return 0;
        }

        /* renamed from: a */
        public abstract int mo3252a(View view, int i, int i2);

        /* renamed from: a */
        public abstract void mo3253a(int i);

        /* renamed from: a */
        public abstract void mo3254a(View view, float f, float f2);

        /* renamed from: a */
        public void mo3255a(View view, int i) {
        }

        /* renamed from: a */
        public abstract void mo3256a(View view, int i, int i2, int i3, int i4);

        /* renamed from: b */
        public int mo3257b(View view) {
            return 0;
        }

        /* renamed from: b */
        public abstract int mo3258b(View view, int i, int i2);

        /* renamed from: b */
        public abstract boolean mo3259b(View view, int i);
    }

    public ViewDragHelper(Context context, ViewGroup viewGroup, C0438c cVar) {
        if (viewGroup == null) {
            throw new IllegalArgumentException("Parent view may not be null");
        } else if (cVar != null) {
            this.f2657u = viewGroup;
            this.f2654r = cVar;
            ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
            int i = (int) ((context.getResources().getDisplayMetrics().density * 20.0f) + 0.5f);
            this.f2652p = i;
            this.f2651o = i;
            this.f2638b = viewConfiguration.getScaledTouchSlop();
            this.f2649m = (float) viewConfiguration.getScaledMaximumFlingVelocity();
            this.f2650n = (float) viewConfiguration.getScaledMinimumFlingVelocity();
            this.f2653q = new OverScroller(context, f2636w);
        } else {
            throw new IllegalArgumentException("Callback may not be null");
        }
    }

    /* renamed from: a */
    public void mo3235a(View view, int i) {
        if (view.getParent() == this.f2657u) {
            this.f2655s = view;
            this.f2639c = i;
            this.f2654r.mo3255a(view, i);
            mo3247c(1);
            return;
        }
        StringBuilder a = outline.m2937a("captureChildView: parameter must be a descendant of the ViewDragHelper's tracked parent view (");
        a.append(this.f2657u);
        a.append(")");
        throw new IllegalArgumentException(a.toString());
    }

    /* renamed from: b */
    public boolean mo3245b(int i, int i2) {
        if (this.f2656t) {
            return mo3237a(i, i2, (int) this.f2648l.getXVelocity(this.f2639c), (int) this.f2648l.getYVelocity(this.f2639c));
        }
        throw new IllegalStateException("Cannot settleCapturedViewAt outside of a call to Callback#onViewReleased");
    }

    /* renamed from: c */
    public void mo3247c(int i) {
        this.f2657u.removeCallbacks(this.f2658v);
        if (this.f2637a != i) {
            this.f2637a = i;
            this.f2654r.mo3253a(i);
            if (this.f2637a == 0) {
                this.f2655s = null;
            }
        }
    }

    /* renamed from: a */
    public void mo3230a() {
        this.f2639c = -1;
        float[] fArr = this.f2640d;
        if (fArr != null) {
            Arrays.fill(fArr, 0.0f);
            Arrays.fill(this.f2641e, 0.0f);
            Arrays.fill(this.f2642f, 0.0f);
            Arrays.fill(this.f2643g, 0.0f);
            Arrays.fill(this.f2644h, 0);
            Arrays.fill(this.f2645i, 0);
            Arrays.fill(this.f2646j, 0);
            this.f2647k = 0;
        }
        VelocityTracker velocityTracker = this.f2648l;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f2648l = null;
        }
    }

    /* renamed from: b */
    public final int mo3240b(int i, int i2, int i3) {
        int i4;
        if (i == 0) {
            return 0;
        }
        int width = this.f2657u.getWidth();
        float f = (float) (width / 2);
        float sin = (((float) Math.sin((double) ((Math.min(1.0f, ((float) Math.abs(i)) / ((float) width)) - 0.5f) * 0.47123894f))) * f) + f;
        int abs = Math.abs(i2);
        if (abs > 0) {
            i4 = Math.round(Math.abs(sin / ((float) abs)) * 1000.0f) * 4;
        } else {
            i4 = (int) (((((float) Math.abs(i)) / ((float) i3)) + 1.0f) * 256.0f);
        }
        return Math.min(i4, HarvestConfiguration.DEFAULT_MAX_TRANSACTION_AGE);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00db, code lost:
        if (r12 != r11) goto L_0x00e4;
     */
    /* renamed from: c */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean mo3248c(android.view.MotionEvent r17) {
        /*
            r16 = this;
            r0 = r16
            r1 = r17
            int r2 = r17.getActionMasked()
            int r3 = r17.getActionIndex()
            if (r2 != 0) goto L_0x0011
            r16.mo3230a()
        L_0x0011:
            android.view.VelocityTracker r4 = r0.f2648l
            if (r4 != 0) goto L_0x001b
            android.view.VelocityTracker r4 = android.view.VelocityTracker.obtain()
            r0.f2648l = r4
        L_0x001b:
            android.view.VelocityTracker r4 = r0.f2648l
            r4.addMovement(r1)
            r4 = 0
            r5 = 2
            r6 = 0
            r7 = 1
            if (r2 == 0) goto L_0x0103
            if (r2 == r7) goto L_0x00fe
            if (r2 == r5) goto L_0x006e
            r8 = 3
            if (r2 == r8) goto L_0x00fe
            r8 = 5
            if (r2 == r8) goto L_0x003e
            r4 = 6
            if (r2 == r4) goto L_0x0036
        L_0x0033:
            r2 = 0
            goto L_0x0132
        L_0x0036:
            int r1 = r1.getPointerId(r3)
            r0.mo3233a((int) r1)
            goto L_0x0033
        L_0x003e:
            int r2 = r1.getPointerId(r3)
            float r8 = r1.getX(r3)
            float r1 = r1.getY(r3)
            r0.mo3242b((float) r8, (float) r1, (int) r2)
            int r3 = r0.f2637a
            if (r3 != 0) goto L_0x005e
            int[] r1 = r0.f2644h
            r1 = r1[r2]
            r1 = r1 & r6
            if (r1 == 0) goto L_0x0033
            b.j.b.f$c r1 = r0.f2654r
            if (r1 == 0) goto L_0x005d
            goto L_0x0033
        L_0x005d:
            throw r4
        L_0x005e:
            if (r3 != r5) goto L_0x0033
            int r3 = (int) r8
            int r1 = (int) r1
            android.view.View r1 = r0.mo3229a((int) r3, (int) r1)
            android.view.View r3 = r0.f2655s
            if (r1 != r3) goto L_0x0033
            r0.mo3246b((android.view.View) r1, (int) r2)
            goto L_0x0033
        L_0x006e:
            float[] r2 = r0.f2640d
            if (r2 == 0) goto L_0x0033
            float[] r2 = r0.f2641e
            if (r2 != 0) goto L_0x0077
            goto L_0x0033
        L_0x0077:
            int r2 = r17.getPointerCount()
            r3 = 0
        L_0x007c:
            if (r3 >= r2) goto L_0x00f9
            int r4 = r1.getPointerId(r3)
            boolean r5 = r0.mo3244b((int) r4)
            if (r5 != 0) goto L_0x008a
            goto L_0x00f5
        L_0x008a:
            float r5 = r1.getX(r3)
            float r8 = r1.getY(r3)
            float[] r9 = r0.f2640d
            r9 = r9[r4]
            float r9 = r5 - r9
            float[] r10 = r0.f2641e
            r10 = r10[r4]
            float r10 = r8 - r10
            int r5 = (int) r5
            int r8 = (int) r8
            android.view.View r5 = r0.mo3229a((int) r5, (int) r8)
            if (r5 == 0) goto L_0x00ae
            boolean r8 = r0.mo3238a((android.view.View) r5, (float) r9, (float) r10)
            if (r8 == 0) goto L_0x00ae
            r8 = 1
            goto L_0x00af
        L_0x00ae:
            r8 = 0
        L_0x00af:
            if (r8 == 0) goto L_0x00e4
            int r11 = r5.getLeft()
            int r12 = (int) r9
            int r13 = r11 + r12
            b.j.b.f$c r14 = r0.f2654r
            int r12 = r14.mo3252a((android.view.View) r5, (int) r13, (int) r12)
            int r13 = r5.getTop()
            int r14 = (int) r10
            int r15 = r13 + r14
            b.j.b.f$c r6 = r0.f2654r
            int r6 = r6.mo3258b(r5, r15, r14)
            b.j.b.f$c r14 = r0.f2654r
            int r14 = r14.mo3251a((android.view.View) r5)
            b.j.b.f$c r15 = r0.f2654r
            int r15 = r15.mo3257b(r5)
            if (r14 == 0) goto L_0x00dd
            if (r14 <= 0) goto L_0x00e4
            if (r12 != r11) goto L_0x00e4
        L_0x00dd:
            if (r15 == 0) goto L_0x00f9
            if (r15 <= 0) goto L_0x00e4
            if (r6 != r13) goto L_0x00e4
            goto L_0x00f9
        L_0x00e4:
            r0.mo3232a((float) r9, (float) r10, (int) r4)
            int r6 = r0.f2637a
            if (r6 != r7) goto L_0x00ec
            goto L_0x00f9
        L_0x00ec:
            if (r8 == 0) goto L_0x00f5
            boolean r4 = r0.mo3246b((android.view.View) r5, (int) r4)
            if (r4 == 0) goto L_0x00f5
            goto L_0x00f9
        L_0x00f5:
            int r3 = r3 + 1
            r6 = 0
            goto L_0x007c
        L_0x00f9:
            r16.mo3243b((android.view.MotionEvent) r17)
            goto L_0x0033
        L_0x00fe:
            r16.mo3230a()
            goto L_0x0033
        L_0x0103:
            float r2 = r17.getX()
            float r3 = r17.getY()
            r6 = 0
            int r1 = r1.getPointerId(r6)
            r0.mo3242b((float) r2, (float) r3, (int) r1)
            int r2 = (int) r2
            int r3 = (int) r3
            android.view.View r2 = r0.mo3229a((int) r2, (int) r3)
            android.view.View r3 = r0.f2655s
            if (r2 != r3) goto L_0x0124
            int r3 = r0.f2637a
            if (r3 != r5) goto L_0x0124
            r0.mo3246b((android.view.View) r2, (int) r1)
        L_0x0124:
            int[] r2 = r0.f2644h
            r1 = r2[r1]
            r2 = 0
            r1 = r1 & r2
            if (r1 == 0) goto L_0x0132
            b.j.b.f$c r1 = r0.f2654r
            if (r1 == 0) goto L_0x0131
            goto L_0x0132
        L_0x0131:
            throw r4
        L_0x0132:
            int r1 = r0.f2637a
            if (r1 != r7) goto L_0x0138
            r6 = 1
            goto L_0x0139
        L_0x0138:
            r6 = 0
        L_0x0139:
            return r6
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p050j.p052b.ViewDragHelper.mo3248c(android.view.MotionEvent):boolean");
    }

    /* renamed from: b */
    public final void mo3242b(float f, float f2, int i) {
        float[] fArr = this.f2640d;
        int i2 = 0;
        if (fArr == null || fArr.length <= i) {
            int i3 = i + 1;
            float[] fArr2 = new float[i3];
            float[] fArr3 = new float[i3];
            float[] fArr4 = new float[i3];
            float[] fArr5 = new float[i3];
            int[] iArr = new int[i3];
            int[] iArr2 = new int[i3];
            int[] iArr3 = new int[i3];
            float[] fArr6 = this.f2640d;
            if (fArr6 != null) {
                System.arraycopy(fArr6, 0, fArr2, 0, fArr6.length);
                float[] fArr7 = this.f2641e;
                System.arraycopy(fArr7, 0, fArr3, 0, fArr7.length);
                float[] fArr8 = this.f2642f;
                System.arraycopy(fArr8, 0, fArr4, 0, fArr8.length);
                float[] fArr9 = this.f2643g;
                System.arraycopy(fArr9, 0, fArr5, 0, fArr9.length);
                int[] iArr4 = this.f2644h;
                System.arraycopy(iArr4, 0, iArr, 0, iArr4.length);
                int[] iArr5 = this.f2645i;
                System.arraycopy(iArr5, 0, iArr2, 0, iArr5.length);
                int[] iArr6 = this.f2646j;
                System.arraycopy(iArr6, 0, iArr3, 0, iArr6.length);
            }
            this.f2640d = fArr2;
            this.f2641e = fArr3;
            this.f2642f = fArr4;
            this.f2643g = fArr5;
            this.f2644h = iArr;
            this.f2645i = iArr2;
            this.f2646j = iArr3;
        }
        float[] fArr10 = this.f2640d;
        this.f2642f[i] = f;
        fArr10[i] = f;
        float[] fArr11 = this.f2641e;
        this.f2643g[i] = f2;
        fArr11[i] = f2;
        int[] iArr7 = this.f2644h;
        int i4 = (int) f;
        int i5 = (int) f2;
        if (i4 < this.f2657u.getLeft() + this.f2651o) {
            i2 = 1;
        }
        if (i5 < this.f2657u.getTop() + this.f2651o) {
            i2 |= 4;
        }
        if (i4 > this.f2657u.getRight() - this.f2651o) {
            i2 |= 2;
        }
        if (i5 > this.f2657u.getBottom() - this.f2651o) {
            i2 |= 8;
        }
        iArr7[i] = i2;
        this.f2647k |= 1 << i;
    }

    /* renamed from: a */
    public final boolean mo3237a(int i, int i2, int i3, int i4) {
        float f;
        float f2;
        float f3;
        float f4;
        int left = this.f2655s.getLeft();
        int top = this.f2655s.getTop();
        int i5 = i - left;
        int i6 = i2 - top;
        if (i5 == 0 && i6 == 0) {
            this.f2653q.abortAnimation();
            mo3247c(0);
            return false;
        }
        View view = this.f2655s;
        int a = mo3228a(i3, (int) this.f2650n, (int) this.f2649m);
        int a2 = mo3228a(i4, (int) this.f2650n, (int) this.f2649m);
        int abs = Math.abs(i5);
        int abs2 = Math.abs(i6);
        int abs3 = Math.abs(a);
        int abs4 = Math.abs(a2);
        int i7 = abs3 + abs4;
        int i8 = abs + abs2;
        if (a != 0) {
            f = (float) abs3;
            f2 = (float) i7;
        } else {
            f = (float) abs;
            f2 = (float) i8;
        }
        float f5 = f / f2;
        if (a2 != 0) {
            f4 = (float) abs4;
            f3 = (float) i7;
        } else {
            f4 = (float) abs2;
            f3 = (float) i8;
        }
        int b = mo3240b(i5, a, this.f2654r.mo3251a(view));
        float b2 = ((float) mo3240b(i6, a2, this.f2654r.mo3257b(view))) * (f4 / f3);
        this.f2653q.startScroll(left, top, i5, i6, (int) (b2 + (((float) b) * f5)));
        mo3247c(2);
        return true;
    }

    /* renamed from: a */
    public final int mo3228a(int i, int i2, int i3) {
        int abs = Math.abs(i);
        if (abs < i2) {
            return 0;
        }
        if (abs > i3) {
            return i > 0 ? i3 : -i3;
        }
        return i;
    }

    /* renamed from: a */
    public final float mo3227a(float f, float f2, float f3) {
        float abs = Math.abs(f);
        if (abs < f2) {
            return 0.0f;
        }
        if (abs > f3) {
            return f > 0.0f ? f3 : -f3;
        }
        return f;
    }

    /* renamed from: a */
    public boolean mo3239a(boolean z) {
        if (this.f2637a == 2) {
            boolean computeScrollOffset = this.f2653q.computeScrollOffset();
            int currX = this.f2653q.getCurrX();
            int currY = this.f2653q.getCurrY();
            int left = currX - this.f2655s.getLeft();
            int top = currY - this.f2655s.getTop();
            if (left != 0) {
                ViewCompat.m1955d(this.f2655s, left);
            }
            if (top != 0) {
                ViewCompat.m1957e(this.f2655s, top);
            }
            if (!(left == 0 && top == 0)) {
                this.f2654r.mo3256a(this.f2655s, currX, currY, left, top);
            }
            if (computeScrollOffset && currX == this.f2653q.getFinalX() && currY == this.f2653q.getFinalY()) {
                this.f2653q.abortAnimation();
                computeScrollOffset = false;
            }
            if (!computeScrollOffset) {
                if (z) {
                    this.f2657u.post(this.f2658v);
                } else {
                    mo3247c(0);
                }
            }
        }
        if (this.f2637a == 2) {
            return true;
        }
        return false;
    }

    /* renamed from: b */
    public final void mo3243b(MotionEvent motionEvent) {
        int pointerCount = motionEvent.getPointerCount();
        for (int i = 0; i < pointerCount; i++) {
            int pointerId = motionEvent.getPointerId(i);
            if (mo3244b(pointerId)) {
                float x = motionEvent.getX(i);
                float y = motionEvent.getY(i);
                this.f2642f[pointerId] = x;
                this.f2643g[pointerId] = y;
            }
        }
    }

    /* renamed from: a */
    public final void mo3231a(float f, float f2) {
        this.f2656t = true;
        this.f2654r.mo3254a(this.f2655s, f, f2);
        this.f2656t = false;
        if (this.f2637a == 1) {
            mo3247c(0);
        }
    }

    /* renamed from: b */
    public final boolean mo3244b(int i) {
        if ((this.f2647k & (1 << i)) != 0) {
            return true;
        }
        Log.e("ViewDragHelper", "Ignoring pointerId=" + i + " because ACTION_DOWN was not received for this pointer before ACTION_MOVE. It likely happened because  ViewDragHelper did not receive all the events in the event stream.");
        return false;
    }

    /* renamed from: a */
    public final void mo3233a(int i) {
        if (this.f2640d != null) {
            boolean z = true;
            int i2 = 1 << i;
            if ((this.f2647k & i2) == 0) {
                z = false;
            }
            if (z) {
                this.f2640d[i] = 0.0f;
                this.f2641e[i] = 0.0f;
                this.f2642f[i] = 0.0f;
                this.f2643g[i] = 0.0f;
                this.f2644h[i] = 0;
                this.f2645i[i] = 0;
                this.f2646j[i] = 0;
                this.f2647k &= ~i2;
            }
        }
    }

    /* renamed from: b */
    public boolean mo3246b(View view, int i) {
        if (view == this.f2655s && this.f2639c == i) {
            return true;
        }
        if (view == null || !this.f2654r.mo3259b(view, i)) {
            return false;
        }
        this.f2639c = i;
        mo3235a(view, i);
        return true;
    }

    /* renamed from: b */
    public final void mo3241b() {
        this.f2648l.computeCurrentVelocity(HarvestConfiguration.DEFAULT_MAX_TRANSACTION_COUNT, this.f2649m);
        mo3231a(mo3227a(this.f2648l.getXVelocity(this.f2639c), this.f2650n, this.f2649m), mo3227a(this.f2648l.getYVelocity(this.f2639c), this.f2650n, this.f2649m));
    }

    /* renamed from: a */
    public void mo3234a(MotionEvent motionEvent) {
        int i;
        int actionMasked = motionEvent.getActionMasked();
        int actionIndex = motionEvent.getActionIndex();
        if (actionMasked == 0) {
            mo3230a();
        }
        if (this.f2648l == null) {
            this.f2648l = VelocityTracker.obtain();
        }
        this.f2648l.addMovement(motionEvent);
        int i2 = 0;
        if (actionMasked == 0) {
            float x = motionEvent.getX();
            float y = motionEvent.getY();
            int pointerId = motionEvent.getPointerId(0);
            View a = mo3229a((int) x, (int) y);
            mo3242b(x, y, pointerId);
            mo3246b(a, pointerId);
            if ((this.f2644h[pointerId] & 0) != 0 && this.f2654r == null) {
                throw null;
            }
        } else if (actionMasked == 1) {
            if (this.f2637a == 1) {
                mo3241b();
            }
            mo3230a();
        } else if (actionMasked != 2) {
            if (actionMasked == 3) {
                if (this.f2637a == 1) {
                    mo3231a(0.0f, 0.0f);
                }
                mo3230a();
            } else if (actionMasked == 5) {
                int pointerId2 = motionEvent.getPointerId(actionIndex);
                float x2 = motionEvent.getX(actionIndex);
                float y2 = motionEvent.getY(actionIndex);
                mo3242b(x2, y2, pointerId2);
                if (this.f2637a == 0) {
                    mo3246b(mo3229a((int) x2, (int) y2), pointerId2);
                    if ((this.f2644h[pointerId2] & 0) != 0 && this.f2654r == null) {
                        throw null;
                    }
                    return;
                }
                int i3 = (int) x2;
                int i4 = (int) y2;
                View view = this.f2655s;
                if (view != null && i3 >= view.getLeft() && i3 < view.getRight() && i4 >= view.getTop() && i4 < view.getBottom()) {
                    i2 = 1;
                }
                if (i2 != 0) {
                    mo3246b(this.f2655s, pointerId2);
                }
            } else if (actionMasked == 6) {
                int pointerId3 = motionEvent.getPointerId(actionIndex);
                if (this.f2637a == 1 && pointerId3 == this.f2639c) {
                    int pointerCount = motionEvent.getPointerCount();
                    while (true) {
                        if (i2 >= pointerCount) {
                            i = -1;
                            break;
                        }
                        int pointerId4 = motionEvent.getPointerId(i2);
                        if (pointerId4 != this.f2639c) {
                            View a2 = mo3229a((int) motionEvent.getX(i2), (int) motionEvent.getY(i2));
                            View view2 = this.f2655s;
                            if (a2 == view2 && mo3246b(view2, pointerId4)) {
                                i = this.f2639c;
                                break;
                            }
                        }
                        i2++;
                    }
                    if (i == -1) {
                        mo3241b();
                    }
                }
                mo3233a(pointerId3);
            }
        } else if (this.f2637a != 1) {
            int pointerCount2 = motionEvent.getPointerCount();
            while (i2 < pointerCount2) {
                int pointerId5 = motionEvent.getPointerId(i2);
                if (mo3244b(pointerId5)) {
                    float x3 = motionEvent.getX(i2);
                    float y3 = motionEvent.getY(i2);
                    float f = x3 - this.f2640d[pointerId5];
                    float f2 = y3 - this.f2641e[pointerId5];
                    mo3232a(f, f2, pointerId5);
                    if (this.f2637a != 1) {
                        View a3 = mo3229a((int) x3, (int) y3);
                        if (mo3238a(a3, f, f2) && mo3246b(a3, pointerId5)) {
                            break;
                        }
                    } else {
                        break;
                    }
                }
                i2++;
            }
            mo3243b(motionEvent);
        } else if (mo3244b(this.f2639c)) {
            int findPointerIndex = motionEvent.findPointerIndex(this.f2639c);
            float x4 = motionEvent.getX(findPointerIndex);
            float y4 = motionEvent.getY(findPointerIndex);
            float[] fArr = this.f2642f;
            int i5 = this.f2639c;
            int i6 = (int) (x4 - fArr[i5]);
            int i7 = (int) (y4 - this.f2643g[i5]);
            int left = this.f2655s.getLeft() + i6;
            int top = this.f2655s.getTop() + i7;
            int left2 = this.f2655s.getLeft();
            int top2 = this.f2655s.getTop();
            if (i6 != 0) {
                left = this.f2654r.mo3252a(this.f2655s, left, i6);
                ViewCompat.m1955d(this.f2655s, left - left2);
            }
            int i8 = left;
            if (i7 != 0) {
                top = this.f2654r.mo3258b(this.f2655s, top, i7);
                ViewCompat.m1957e(this.f2655s, top - top2);
            }
            int i9 = top;
            if (!(i6 == 0 && i7 == 0)) {
                this.f2654r.mo3256a(this.f2655s, i8, i9, i8 - left2, i9 - top2);
            }
            mo3243b(motionEvent);
        }
    }

    /* renamed from: a */
    public final void mo3232a(float f, float f2, int i) {
        int i2 = 1;
        if (!mo3236a(f, f2, i, 1)) {
            i2 = 0;
        }
        if (mo3236a(f2, f, i, 4)) {
            i2 |= 4;
        }
        if (mo3236a(f, f2, i, 2)) {
            i2 |= 2;
        }
        if (mo3236a(f2, f, i, 8)) {
            i2 |= 8;
        }
        if (i2 != 0) {
            int[] iArr = this.f2645i;
            iArr[i] = iArr[i] | i2;
            if (this.f2654r == null) {
                throw null;
            }
        }
    }

    /* renamed from: a */
    public final boolean mo3236a(float f, float f2, int i, int i2) {
        float abs = Math.abs(f);
        float abs2 = Math.abs(f2);
        if ((this.f2644h[i] & i2) != i2 || (0 & i2) == 0 || (this.f2646j[i] & i2) == i2 || (this.f2645i[i] & i2) == i2) {
            return false;
        }
        int i3 = this.f2638b;
        if (abs <= ((float) i3) && abs2 <= ((float) i3)) {
            return false;
        }
        if (abs < abs2 * 0.5f && this.f2654r == null) {
            throw null;
        } else if ((this.f2645i[i] & i2) != 0 || abs <= ((float) this.f2638b)) {
            return false;
        } else {
            return true;
        }
    }

    /* renamed from: a */
    public final boolean mo3238a(View view, float f, float f2) {
        if (view == null) {
            return false;
        }
        boolean z = this.f2654r.mo3251a(view) > 0;
        boolean z2 = this.f2654r.mo3257b(view) > 0;
        if (z && z2) {
            float f3 = f2 * f2;
            int i = this.f2638b;
            if (f3 + (f * f) > ((float) (i * i))) {
                return true;
            }
            return false;
        } else if (z) {
            if (Math.abs(f) > ((float) this.f2638b)) {
                return true;
            }
            return false;
        } else if (!z2 || Math.abs(f2) <= ((float) this.f2638b)) {
            return false;
        } else {
            return true;
        }
    }

    /* renamed from: a */
    public View mo3229a(int i, int i2) {
        int childCount = this.f2657u.getChildCount();
        while (true) {
            childCount--;
            if (childCount < 0) {
                return null;
            }
            ViewGroup viewGroup = this.f2657u;
            if (this.f2654r != null) {
                View childAt = viewGroup.getChildAt(childCount);
                if (i >= childAt.getLeft() && i < childAt.getRight() && i2 >= childAt.getTop() && i2 < childAt.getBottom()) {
                    return childAt;
                }
            } else {
                throw null;
            }
        }
    }
}
