package p008b.p056l.p057a;

import android.content.res.AssetManager;
import android.util.Log;
import com.newrelic.agent.android.analytics.AnalyticAttribute;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.DataInput;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;
import java.util.TimeZone;
import java.util.regex.Pattern;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.l.a.a */
public class ExifInterface {

    /* renamed from: A */
    public static final C0445c f2669A = new C0445c("StripOffsets", 273, 3);

    /* renamed from: B */
    public static final C0445c[] f2670B = {new C0445c("ThumbnailImage", AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH, 7), new C0445c("CameraSettingsIFDPointer", 8224, 4), new C0445c("ImageProcessingIFDPointer", 8256, 4)};

    /* renamed from: C */
    public static final C0445c[] f2671C = {new C0445c("PreviewImageStart", 257, 4), new C0445c("PreviewImageLength", 258, 4)};

    /* renamed from: D */
    public static final C0445c[] f2672D = {new C0445c("AspectFrame", 4371, 3)};

    /* renamed from: E */
    public static final C0445c[] f2673E;

    /* renamed from: F */
    public static final C0445c[][] f2674F;

    /* renamed from: G */
    public static final C0445c[] f2675G = {new C0445c("SubIFDPointer", 330, 4), new C0445c("ExifIFDPointer", 34665, 4), new C0445c("GPSInfoIFDPointer", 34853, 4), new C0445c("InteroperabilityIFDPointer", 40965, 4), new C0445c("CameraSettingsIFDPointer", 8224, 1), new C0445c("ImageProcessingIFDPointer", 8256, 1)};

    /* renamed from: H */
    public static final HashMap<Integer, C0445c>[] f2676H;

    /* renamed from: I */
    public static final HashMap<String, C0445c>[] f2677I;

    /* renamed from: J */
    public static final HashSet<String> f2678J = new HashSet<>(Arrays.asList(new String[]{"FNumber", "DigitalZoomRatio", "ExposureTime", "SubjectDistance", "GPSTimeStamp"}));

    /* renamed from: K */
    public static final HashMap<Integer, Integer> f2679K = new HashMap<>();

    /* renamed from: L */
    public static final Charset f2680L;

    /* renamed from: M */
    public static final byte[] f2681M;

    /* renamed from: m */
    public static final int[] f2682m = {8, 8, 8};

    /* renamed from: n */
    public static final int[] f2683n = {8};

    /* renamed from: o */
    public static final byte[] f2684o = {-1, -40, -1};

    /* renamed from: p */
    public static final byte[] f2685p = {79, 76, 89, 77, 80, 0};

    /* renamed from: q */
    public static final byte[] f2686q = {79, 76, 89, 77, 80, 85, 83, 0, 73, 73};

    /* renamed from: r */
    public static SimpleDateFormat f2687r;

    /* renamed from: s */
    public static final String[] f2688s = {"", "BYTE", "STRING", "USHORT", "ULONG", "URATIONAL", "SBYTE", "UNDEFINED", "SSHORT", "SLONG", "SRATIONAL", "SINGLE", "DOUBLE"};

    /* renamed from: t */
    public static final int[] f2689t = {0, 1, 1, 2, 4, 8, 1, 1, 2, 4, 8, 4, 8, 1};

    /* renamed from: u */
    public static final byte[] f2690u = {65, 83, 67, 73, 73, 0, 0, 0};

    /* renamed from: v */
    public static final C0445c[] f2691v = {new C0445c("NewSubfileType", 254, 4), new C0445c("SubfileType", 255, 4), new C0445c("ImageWidth", AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH, 3, 4), new C0445c("ImageLength", 257, 3, 4), new C0445c("BitsPerSample", 258, 3), new C0445c("Compression", 259, 3), new C0445c("PhotometricInterpretation", 262, 3), new C0445c("ImageDescription", 270, 2), new C0445c("Make", 271, 2), new C0445c("Model", 272, 2), new C0445c("StripOffsets", 273, 3, 4), new C0445c("Orientation", 274, 3), new C0445c("SamplesPerPixel", 277, 3), new C0445c("RowsPerStrip", 278, 3, 4), new C0445c("StripByteCounts", 279, 3, 4), new C0445c("XResolution", 282, 5), new C0445c("YResolution", 283, 5), new C0445c("PlanarConfiguration", 284, 3), new C0445c("ResolutionUnit", 296, 3), new C0445c("TransferFunction", 301, 3), new C0445c("Software", 305, 2), new C0445c("DateTime", 306, 2), new C0445c("Artist", 315, 2), new C0445c("WhitePoint", 318, 5), new C0445c("PrimaryChromaticities", 319, 5), new C0445c("SubIFDPointer", 330, 4), new C0445c("JPEGInterchangeFormat", 513, 4), new C0445c("JPEGInterchangeFormatLength", 514, 4), new C0445c("YCbCrCoefficients", 529, 5), new C0445c("YCbCrSubSampling", 530, 3), new C0445c("YCbCrPositioning", 531, 3), new C0445c("ReferenceBlackWhite", 532, 5), new C0445c("Copyright", 33432, 2), new C0445c("ExifIFDPointer", 34665, 4), new C0445c("GPSInfoIFDPointer", 34853, 4), new C0445c("SensorTopBorder", 4, 4), new C0445c("SensorLeftBorder", 5, 4), new C0445c("SensorBottomBorder", 6, 4), new C0445c("SensorRightBorder", 7, 4), new C0445c("ISO", 23, 3), new C0445c("JpgFromRaw", 46, 7)};

    /* renamed from: w */
    public static final C0445c[] f2692w = {new C0445c("ExposureTime", 33434, 5), new C0445c("FNumber", 33437, 5), new C0445c("ExposureProgram", 34850, 3), new C0445c("SpectralSensitivity", 34852, 2), new C0445c("PhotographicSensitivity", 34855, 3), new C0445c("OECF", 34856, 7), new C0445c("ExifVersion", 36864, 2), new C0445c("DateTimeOriginal", 36867, 2), new C0445c("DateTimeDigitized", 36868, 2), new C0445c("ComponentsConfiguration", 37121, 7), new C0445c("CompressedBitsPerPixel", 37122, 5), new C0445c("ShutterSpeedValue", 37377, 10), new C0445c("ApertureValue", 37378, 5), new C0445c("BrightnessValue", 37379, 10), new C0445c("ExposureBiasValue", 37380, 10), new C0445c("MaxApertureValue", 37381, 5), new C0445c("SubjectDistance", 37382, 5), new C0445c("MeteringMode", 37383, 3), new C0445c("LightSource", 37384, 3), new C0445c("Flash", 37385, 3), new C0445c("FocalLength", 37386, 5), new C0445c("SubjectArea", 37396, 3), new C0445c("MakerNote", 37500, 7), new C0445c("UserComment", 37510, 7), new C0445c("SubSecTime", 37520, 2), new C0445c("SubSecTimeOriginal", 37521, 2), new C0445c("SubSecTimeDigitized", 37522, 2), new C0445c("FlashpixVersion", 40960, 7), new C0445c("ColorSpace", 40961, 3), new C0445c("PixelXDimension", 40962, 3, 4), new C0445c("PixelYDimension", 40963, 3, 4), new C0445c("RelatedSoundFile", 40964, 2), new C0445c("InteroperabilityIFDPointer", 40965, 4), new C0445c("FlashEnergy", 41483, 5), new C0445c("SpatialFrequencyResponse", 41484, 7), new C0445c("FocalPlaneXResolution", 41486, 5), new C0445c("FocalPlaneYResolution", 41487, 5), new C0445c("FocalPlaneResolutionUnit", 41488, 3), new C0445c("SubjectLocation", 41492, 3), new C0445c("ExposureIndex", 41493, 5), new C0445c("SensingMethod", 41495, 3), new C0445c("FileSource", 41728, 7), new C0445c("SceneType", 41729, 7), new C0445c("CFAPattern", 41730, 7), new C0445c("CustomRendered", 41985, 3), new C0445c("ExposureMode", 41986, 3), new C0445c("WhiteBalance", 41987, 3), new C0445c("DigitalZoomRatio", 41988, 5), new C0445c("FocalLengthIn35mmFilm", 41989, 3), new C0445c("SceneCaptureType", 41990, 3), new C0445c("GainControl", 41991, 3), new C0445c("Contrast", 41992, 3), new C0445c("Saturation", 41993, 3), new C0445c("Sharpness", 41994, 3), new C0445c("DeviceSettingDescription", 41995, 7), new C0445c("SubjectDistanceRange", 41996, 3), new C0445c("ImageUniqueID", 42016, 2), new C0445c("DNGVersion", 50706, 1), new C0445c("DefaultCropSize", 50720, 3, 4)};

    /* renamed from: x */
    public static final C0445c[] f2693x = {new C0445c("GPSVersionID", 0, 1), new C0445c("GPSLatitudeRef", 1, 2), new C0445c("GPSLatitude", 2, 5), new C0445c("GPSLongitudeRef", 3, 2), new C0445c("GPSLongitude", 4, 5), new C0445c("GPSAltitudeRef", 5, 1), new C0445c("GPSAltitude", 6, 5), new C0445c("GPSTimeStamp", 7, 5), new C0445c("GPSSatellites", 8, 2), new C0445c("GPSStatus", 9, 2), new C0445c("GPSMeasureMode", 10, 2), new C0445c("GPSDOP", 11, 5), new C0445c("GPSSpeedRef", 12, 2), new C0445c("GPSSpeed", 13, 5), new C0445c("GPSTrackRef", 14, 2), new C0445c("GPSTrack", 15, 5), new C0445c("GPSImgDirectionRef", 16, 2), new C0445c("GPSImgDirection", 17, 5), new C0445c("GPSMapDatum", 18, 2), new C0445c("GPSDestLatitudeRef", 19, 2), new C0445c("GPSDestLatitude", 20, 5), new C0445c("GPSDestLongitudeRef", 21, 2), new C0445c("GPSDestLongitude", 22, 5), new C0445c("GPSDestBearingRef", 23, 2), new C0445c("GPSDestBearing", 24, 5), new C0445c("GPSDestDistanceRef", 25, 2), new C0445c("GPSDestDistance", 26, 5), new C0445c("GPSProcessingMethod", 27, 7), new C0445c("GPSAreaInformation", 28, 7), new C0445c("GPSDateStamp", 29, 2), new C0445c("GPSDifferential", 30, 3)};

    /* renamed from: y */
    public static final C0445c[] f2694y = {new C0445c("InteroperabilityIndex", 1, 2)};

    /* renamed from: z */
    public static final C0445c[] f2695z = {new C0445c("NewSubfileType", 254, 4), new C0445c("SubfileType", 255, 4), new C0445c("ThumbnailImageWidth", AnalyticAttribute.ATTRIBUTE_NAME_MAX_LENGTH, 3, 4), new C0445c("ThumbnailImageLength", 257, 3, 4), new C0445c("BitsPerSample", 258, 3), new C0445c("Compression", 259, 3), new C0445c("PhotometricInterpretation", 262, 3), new C0445c("ImageDescription", 270, 2), new C0445c("Make", 271, 2), new C0445c("Model", 272, 2), new C0445c("StripOffsets", 273, 3, 4), new C0445c("Orientation", 274, 3), new C0445c("SamplesPerPixel", 277, 3), new C0445c("RowsPerStrip", 278, 3, 4), new C0445c("StripByteCounts", 279, 3, 4), new C0445c("XResolution", 282, 5), new C0445c("YResolution", 283, 5), new C0445c("PlanarConfiguration", 284, 3), new C0445c("ResolutionUnit", 296, 3), new C0445c("TransferFunction", 301, 3), new C0445c("Software", 305, 2), new C0445c("DateTime", 306, 2), new C0445c("Artist", 315, 2), new C0445c("WhitePoint", 318, 5), new C0445c("PrimaryChromaticities", 319, 5), new C0445c("SubIFDPointer", 330, 4), new C0445c("JPEGInterchangeFormat", 513, 4), new C0445c("JPEGInterchangeFormatLength", 514, 4), new C0445c("YCbCrCoefficients", 529, 5), new C0445c("YCbCrSubSampling", 530, 3), new C0445c("YCbCrPositioning", 531, 3), new C0445c("ReferenceBlackWhite", 532, 5), new C0445c("Copyright", 33432, 2), new C0445c("ExifIFDPointer", 34665, 4), new C0445c("GPSInfoIFDPointer", 34853, 4), new C0445c("DNGVersion", 50706, 1), new C0445c("DefaultCropSize", 50720, 3, 4)};

    /* renamed from: a */
    public final String f2696a;

    /* renamed from: b */
    public final AssetManager.AssetInputStream f2697b;

    /* renamed from: c */
    public int f2698c;

    /* renamed from: d */
    public final HashMap<String, C0444b>[] f2699d = new HashMap[f2674F.length];

    /* renamed from: e */
    public Set<Integer> f2700e = new HashSet(f2674F.length);

    /* renamed from: f */
    public ByteOrder f2701f = ByteOrder.BIG_ENDIAN;

    /* renamed from: g */
    public int f2702g;

    /* renamed from: h */
    public int f2703h;

    /* renamed from: i */
    public int f2704i;

    /* renamed from: j */
    public int f2705j;

    /* renamed from: k */
    public int f2706k;

    /* renamed from: l */
    public int f2707l;

    /* renamed from: b.l.a.a$d */
    /* compiled from: ExifInterface */
    public static class C0446d {

        /* renamed from: a */
        public final long f2721a;

        /* renamed from: b */
        public final long f2722b;

        public C0446d(long j, long j2) {
            if (j2 == 0) {
                this.f2721a = 0;
                this.f2722b = 1;
                return;
            }
            this.f2721a = j;
            this.f2722b = j2;
        }

        public String toString() {
            return this.f2721a + "/" + this.f2722b;
        }
    }

    static {
        Arrays.asList(new Integer[]{1, 6, 3, 8});
        Arrays.asList(new Integer[]{2, 7, 4, 5});
        C0445c[] cVarArr = {new C0445c("ColorSpace", 55, 3)};
        f2673E = cVarArr;
        C0445c[] cVarArr2 = f2691v;
        f2674F = new C0445c[][]{cVarArr2, f2692w, f2693x, f2694y, f2695z, cVarArr2, f2670B, f2671C, f2672D, cVarArr};
        C0445c[][] cVarArr3 = f2674F;
        f2676H = new HashMap[cVarArr3.length];
        f2677I = new HashMap[cVarArr3.length];
        Charset forName = Charset.forName("US-ASCII");
        f2680L = forName;
        f2681M = "Exif\u0000\u0000".getBytes(forName);
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy:MM:dd HH:mm:ss");
        f2687r = simpleDateFormat;
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("UTC"));
        for (int i = 0; i < f2674F.length; i++) {
            f2676H[i] = new HashMap<>();
            f2677I[i] = new HashMap<>();
            for (C0445c cVar : f2674F[i]) {
                f2676H[i].put(Integer.valueOf(cVar.f2717a), cVar);
                f2677I[i].put(cVar.f2718b, cVar);
            }
        }
        f2679K.put(Integer.valueOf(f2675G[0].f2717a), 5);
        f2679K.put(Integer.valueOf(f2675G[1].f2717a), 1);
        f2679K.put(Integer.valueOf(f2675G[2].f2717a), 2);
        f2679K.put(Integer.valueOf(f2675G[3].f2717a), 3);
        f2679K.put(Integer.valueOf(f2675G[4].f2717a), 7);
        f2679K.put(Integer.valueOf(f2675G[5].f2717a), 8);
        Pattern.compile(".*[1-9].*");
        Pattern.compile("^([0-9][0-9]):([0-9][0-9]):([0-9][0-9])$");
    }

    public ExifInterface(InputStream inputStream) throws IOException {
        if (inputStream != null) {
            this.f2696a = null;
            if (inputStream instanceof AssetManager.AssetInputStream) {
                this.f2697b = (AssetManager.AssetInputStream) inputStream;
            } else {
                this.f2697b = null;
            }
            int i = 0;
            while (i < f2674F.length) {
                try {
                    this.f2699d[i] = new HashMap<>();
                    i++;
                } catch (IOException unused) {
                } catch (Throwable th) {
                    mo3270a();
                    throw th;
                }
            }
            BufferedInputStream bufferedInputStream = new BufferedInputStream(inputStream, 5000);
            this.f2698c = mo3268a(bufferedInputStream);
            C0443a aVar = new C0443a((InputStream) bufferedInputStream);
            switch (this.f2698c) {
                case 0:
                case 1:
                case 2:
                case 3:
                case 5:
                case 6:
                case 8:
                case 11:
                    mo3280c(aVar);
                    break;
                case 4:
                    mo3274a(aVar, 0, 0);
                    break;
                case 7:
                    mo3272a(aVar);
                    break;
                case 9:
                    mo3278b(aVar);
                    break;
                case 10:
                    mo3282d(aVar);
                    break;
            }
            mo3284f(aVar);
            mo3270a();
            return;
        }
        throw new IllegalArgumentException("inputStream cannot be null");
    }

    /* renamed from: a */
    public String mo3269a(String str) {
        C0444b b = mo3277b(str);
        if (b != null) {
            if (!f2678J.contains(str)) {
                return b.mo3307c(this.f2701f);
            }
            if (str.equals("GPSTimeStamp")) {
                int i = b.f2714a;
                if (i == 5 || i == 10) {
                    C0446d[] dVarArr = (C0446d[]) b.mo3308d(this.f2701f);
                    if (dVarArr == null || dVarArr.length != 3) {
                        StringBuilder a = outline.m2937a("Invalid GPS Timestamp array. array=");
                        a.append(Arrays.toString(dVarArr));
                        Log.w("ExifInterface", a.toString());
                        return null;
                    }
                    return String.format("%02d:%02d:%02d", new Object[]{Integer.valueOf((int) (((float) dVarArr[0].f2721a) / ((float) dVarArr[0].f2722b))), Integer.valueOf((int) (((float) dVarArr[1].f2721a) / ((float) dVarArr[1].f2722b))), Integer.valueOf((int) (((float) dVarArr[2].f2721a) / ((float) dVarArr[2].f2722b)))});
                }
                StringBuilder a2 = outline.m2937a("GPS Timestamp format is not rational. format=");
                a2.append(b.f2714a);
                Log.w("ExifInterface", a2.toString());
                return null;
            }
            try {
                return Double.toString(b.mo3305a(this.f2701f));
            } catch (NumberFormatException unused) {
            }
        }
        return null;
    }

    /* renamed from: b */
    public final C0444b mo3277b(String str) {
        if ("ISOSpeedRatings".equals(str)) {
            str = "PhotographicSensitivity";
        }
        for (int i = 0; i < f2674F.length; i++) {
            C0444b bVar = this.f2699d[i].get(str);
            if (bVar != null) {
                return bVar;
            }
        }
        return null;
    }

    /* renamed from: c */
    public final void mo3280c(C0443a aVar) throws IOException {
        C0444b bVar;
        mo3273a(aVar, aVar.available());
        mo3279b(aVar, 0);
        mo3281c(aVar, 0);
        mo3281c(aVar, 5);
        mo3281c(aVar, 4);
        mo3271a(0, 5);
        mo3271a(0, 4);
        mo3271a(5, 4);
        C0444b bVar2 = this.f2699d[1].get("PixelXDimension");
        C0444b bVar3 = this.f2699d[1].get("PixelYDimension");
        if (!(bVar2 == null || bVar3 == null)) {
            this.f2699d[0].put("ImageWidth", bVar2);
            this.f2699d[0].put("ImageLength", bVar3);
        }
        if (this.f2699d[4].isEmpty() && mo3276a((HashMap) this.f2699d[5])) {
            HashMap<String, C0444b>[] hashMapArr = this.f2699d;
            hashMapArr[4] = hashMapArr[5];
            hashMapArr[5] = new HashMap<>();
        }
        if (!mo3276a((HashMap) this.f2699d[4])) {
            Log.d("ExifInterface", "No image meets the size requirements of a thumbnail image.");
        }
        if (this.f2698c == 8 && (bVar = this.f2699d[1].get("MakerNote")) != null) {
            C0443a aVar2 = new C0443a(bVar.f2716c);
            aVar2.f2711c = this.f2701f;
            aVar2.mo3287e(6);
            mo3279b(aVar2, 9);
            C0444b bVar4 = this.f2699d[9].get("ColorSpace");
            if (bVar4 != null) {
                this.f2699d[1].put("ColorSpace", bVar4);
            }
        }
    }

    /* renamed from: d */
    public final void mo3282d(C0443a aVar) throws IOException {
        mo3280c(aVar);
        if (this.f2699d[0].get("JpgFromRaw") != null) {
            mo3274a(aVar, this.f2707l, 5);
        }
        C0444b bVar = this.f2699d[0].get("ISO");
        C0444b bVar2 = this.f2699d[1].get("PhotographicSensitivity");
        if (bVar != null && bVar2 == null) {
            this.f2699d[1].put("PhotographicSensitivity", bVar);
        }
    }

    /* renamed from: e */
    public final ByteOrder mo3283e(C0443a aVar) throws IOException {
        short readShort = aVar.readShort();
        if (readShort == 18761) {
            return ByteOrder.LITTLE_ENDIAN;
        }
        if (readShort == 19789) {
            return ByteOrder.BIG_ENDIAN;
        }
        StringBuilder a = outline.m2937a("Invalid byte order: ");
        a.append(Integer.toHexString(readShort));
        throw new IOException(a.toString());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0060, code lost:
        if (java.util.Arrays.equals(r1, f2683n) != false) goto L_0x006e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x006a, code lost:
        if (java.util.Arrays.equals(r1, f2682m) != false) goto L_0x006e;
     */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0070  */
    /* JADX WARNING: Removed duplicated region for block: B:50:? A[RETURN, SYNTHETIC] */
    /* renamed from: f */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo3284f(p008b.p056l.p057a.ExifInterface.C0443a r13) throws java.io.IOException {
        /*
            r12 = this;
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r0 = r12.f2699d
            r1 = 4
            r0 = r0[r1]
            java.lang.String r1 = "Compression"
            java.lang.Object r1 = r0.get(r1)
            b.l.a.a$b r1 = (p008b.p056l.p057a.ExifInterface.C0444b) r1
            r2 = 6
            if (r1 == 0) goto L_0x00df
            java.nio.ByteOrder r3 = r12.f2701f
            int r1 = r1.mo3306b(r3)
            r12.f2702g = r1
            r3 = 1
            if (r1 == r3) goto L_0x0027
            if (r1 == r2) goto L_0x0022
            r4 = 7
            if (r1 == r4) goto L_0x0027
            goto L_0x00e4
        L_0x0022:
            r12.mo3275a((p008b.p056l.p057a.ExifInterface.C0443a) r13, (java.util.HashMap) r0)
            goto L_0x00e4
        L_0x0027:
            java.lang.String r1 = "BitsPerSample"
            java.lang.Object r1 = r0.get(r1)
            b.l.a.a$b r1 = (p008b.p056l.p057a.ExifInterface.C0444b) r1
            r4 = 0
            if (r1 == 0) goto L_0x006d
            java.nio.ByteOrder r5 = r12.f2701f
            java.lang.Object r1 = r1.mo3308d(r5)
            int[] r1 = (int[]) r1
            int[] r5 = f2682m
            boolean r5 = java.util.Arrays.equals(r5, r1)
            if (r5 == 0) goto L_0x0043
            goto L_0x006e
        L_0x0043:
            int r5 = r12.f2698c
            r6 = 3
            if (r5 != r6) goto L_0x006d
            java.lang.String r5 = "PhotometricInterpretation"
            java.lang.Object r5 = r0.get(r5)
            b.l.a.a$b r5 = (p008b.p056l.p057a.ExifInterface.C0444b) r5
            if (r5 == 0) goto L_0x006d
            java.nio.ByteOrder r6 = r12.f2701f
            int r5 = r5.mo3306b(r6)
            if (r5 != r3) goto L_0x0062
            int[] r6 = f2683n
            boolean r6 = java.util.Arrays.equals(r1, r6)
            if (r6 != 0) goto L_0x006e
        L_0x0062:
            if (r5 != r2) goto L_0x006d
            int[] r2 = f2682m
            boolean r1 = java.util.Arrays.equals(r1, r2)
            if (r1 == 0) goto L_0x006d
            goto L_0x006e
        L_0x006d:
            r3 = 0
        L_0x006e:
            if (r3 == 0) goto L_0x00e4
            java.lang.String r1 = "StripOffsets"
            java.lang.Object r1 = r0.get(r1)
            b.l.a.a$b r1 = (p008b.p056l.p057a.ExifInterface.C0444b) r1
            java.lang.String r2 = "StripByteCounts"
            java.lang.Object r0 = r0.get(r2)
            b.l.a.a$b r0 = (p008b.p056l.p057a.ExifInterface.C0444b) r0
            if (r1 == 0) goto L_0x00e4
            if (r0 == 0) goto L_0x00e4
            java.nio.ByteOrder r2 = r12.f2701f
            java.lang.Object r1 = r1.mo3308d(r2)
            long[] r1 = m2113a((java.lang.Object) r1)
            java.nio.ByteOrder r2 = r12.f2701f
            java.lang.Object r0 = r0.mo3308d(r2)
            long[] r0 = m2113a((java.lang.Object) r0)
            java.lang.String r2 = "ExifInterface"
            if (r1 != 0) goto L_0x00a2
            java.lang.String r13 = "stripOffsets should not be null."
            android.util.Log.w(r2, r13)
            goto L_0x00e4
        L_0x00a2:
            if (r0 != 0) goto L_0x00aa
            java.lang.String r13 = "stripByteCounts should not be null."
            android.util.Log.w(r2, r13)
            goto L_0x00e4
        L_0x00aa:
            r5 = 0
            int r3 = r0.length
            r7 = 0
        L_0x00ae:
            if (r7 >= r3) goto L_0x00b6
            r8 = r0[r7]
            long r5 = r5 + r8
            int r7 = r7 + 1
            goto L_0x00ae
        L_0x00b6:
            int r3 = (int) r5
            byte[] r3 = new byte[r3]
            r5 = 0
            r6 = 0
            r7 = 0
        L_0x00bc:
            int r8 = r1.length
            if (r5 >= r8) goto L_0x00e4
            r8 = r1[r5]
            int r9 = (int) r8
            r10 = r0[r5]
            int r8 = (int) r10
            int r9 = r9 - r6
            if (r9 >= 0) goto L_0x00cd
            java.lang.String r10 = "Invalid strip offset value"
            android.util.Log.d(r2, r10)
        L_0x00cd:
            long r10 = (long) r9
            r13.mo3287e(r10)
            int r6 = r6 + r9
            byte[] r9 = new byte[r8]
            r13.read(r9)
            int r6 = r6 + r8
            java.lang.System.arraycopy(r9, r4, r3, r7, r8)
            int r7 = r7 + r8
            int r5 = r5 + 1
            goto L_0x00bc
        L_0x00df:
            r12.f2702g = r2
            r12.mo3275a((p008b.p056l.p057a.ExifInterface.C0443a) r13, (java.util.HashMap) r0)
        L_0x00e4:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p056l.p057a.ExifInterface.mo3284f(b.l.a.a$a):void");
    }

    /* renamed from: b.l.a.a$a */
    /* compiled from: ExifInterface */
    public static class C0443a extends InputStream implements DataInput {

        /* renamed from: f */
        public static final ByteOrder f2708f = ByteOrder.LITTLE_ENDIAN;

        /* renamed from: g */
        public static final ByteOrder f2709g = ByteOrder.BIG_ENDIAN;

        /* renamed from: b */
        public DataInputStream f2710b;

        /* renamed from: c */
        public ByteOrder f2711c;

        /* renamed from: d */
        public final int f2712d;

        /* renamed from: e */
        public int f2713e;

        public C0443a(InputStream inputStream) throws IOException {
            this.f2711c = ByteOrder.BIG_ENDIAN;
            DataInputStream dataInputStream = new DataInputStream(inputStream);
            this.f2710b = dataInputStream;
            int available = dataInputStream.available();
            this.f2712d = available;
            this.f2713e = 0;
            this.f2710b.mark(available);
        }

        /* renamed from: a */
        public long mo3285a() throws IOException {
            return ((long) readInt()) & 4294967295L;
        }

        public int available() throws IOException {
            return this.f2710b.available();
        }

        /* renamed from: e */
        public void mo3287e(long j) throws IOException {
            int i = this.f2713e;
            if (((long) i) > j) {
                this.f2713e = 0;
                this.f2710b.reset();
                this.f2710b.mark(this.f2712d);
            } else {
                j -= (long) i;
            }
            int i2 = (int) j;
            if (skipBytes(i2) != i2) {
                throw new IOException("Couldn't seek up to the byteCount");
            }
        }

        public int read() throws IOException {
            this.f2713e++;
            return this.f2710b.read();
        }

        public boolean readBoolean() throws IOException {
            this.f2713e++;
            return this.f2710b.readBoolean();
        }

        public byte readByte() throws IOException {
            int i = this.f2713e + 1;
            this.f2713e = i;
            if (i <= this.f2712d) {
                int read = this.f2710b.read();
                if (read >= 0) {
                    return (byte) read;
                }
                throw new EOFException();
            }
            throw new EOFException();
        }

        public char readChar() throws IOException {
            this.f2713e += 2;
            return this.f2710b.readChar();
        }

        public double readDouble() throws IOException {
            return Double.longBitsToDouble(readLong());
        }

        public float readFloat() throws IOException {
            return Float.intBitsToFloat(readInt());
        }

        public void readFully(byte[] bArr, int i, int i2) throws IOException {
            int i3 = this.f2713e + i2;
            this.f2713e = i3;
            if (i3 > this.f2712d) {
                throw new EOFException();
            } else if (this.f2710b.read(bArr, i, i2) != i2) {
                throw new IOException("Couldn't read up to the length of buffer");
            }
        }

        public int readInt() throws IOException {
            int i = this.f2713e + 4;
            this.f2713e = i;
            if (i <= this.f2712d) {
                int read = this.f2710b.read();
                int read2 = this.f2710b.read();
                int read3 = this.f2710b.read();
                int read4 = this.f2710b.read();
                if ((read | read2 | read3 | read4) >= 0) {
                    ByteOrder byteOrder = this.f2711c;
                    if (byteOrder == f2708f) {
                        return (read4 << 24) + (read3 << 16) + (read2 << 8) + read;
                    }
                    if (byteOrder == f2709g) {
                        return (read << 24) + (read2 << 16) + (read3 << 8) + read4;
                    }
                    StringBuilder a = outline.m2937a("Invalid byte order: ");
                    a.append(this.f2711c);
                    throw new IOException(a.toString());
                }
                throw new EOFException();
            }
            throw new EOFException();
        }

        public String readLine() throws IOException {
            Log.d("ExifInterface", "Currently unsupported");
            return null;
        }

        public long readLong() throws IOException {
            int i = this.f2713e + 8;
            this.f2713e = i;
            if (i <= this.f2712d) {
                int read = this.f2710b.read();
                int read2 = this.f2710b.read();
                int read3 = this.f2710b.read();
                int read4 = this.f2710b.read();
                int read5 = this.f2710b.read();
                int read6 = this.f2710b.read();
                int read7 = this.f2710b.read();
                int read8 = this.f2710b.read();
                if ((read | read2 | read3 | read4 | read5 | read6 | read7 | read8) >= 0) {
                    ByteOrder byteOrder = this.f2711c;
                    if (byteOrder == f2708f) {
                        return (((long) read8) << 56) + (((long) read7) << 48) + (((long) read6) << 40) + (((long) read5) << 32) + (((long) read4) << 24) + (((long) read3) << 16) + (((long) read2) << 8) + ((long) read);
                    }
                    if (byteOrder == f2709g) {
                        return (((long) read) << 56) + (((long) read2) << 48) + (((long) read3) << 40) + (((long) read4) << 32) + (((long) read5) << 24) + (((long) read6) << 16) + (((long) read7) << 8) + ((long) read8);
                    }
                    StringBuilder a = outline.m2937a("Invalid byte order: ");
                    a.append(this.f2711c);
                    throw new IOException(a.toString());
                }
                throw new EOFException();
            }
            throw new EOFException();
        }

        public short readShort() throws IOException {
            int i = this.f2713e + 2;
            this.f2713e = i;
            if (i <= this.f2712d) {
                int read = this.f2710b.read();
                int read2 = this.f2710b.read();
                if ((read | read2) >= 0) {
                    ByteOrder byteOrder = this.f2711c;
                    if (byteOrder == f2708f) {
                        return (short) ((read2 << 8) + read);
                    }
                    if (byteOrder == f2709g) {
                        return (short) ((read << 8) + read2);
                    }
                    StringBuilder a = outline.m2937a("Invalid byte order: ");
                    a.append(this.f2711c);
                    throw new IOException(a.toString());
                }
                throw new EOFException();
            }
            throw new EOFException();
        }

        public String readUTF() throws IOException {
            this.f2713e += 2;
            return this.f2710b.readUTF();
        }

        public int readUnsignedByte() throws IOException {
            this.f2713e++;
            return this.f2710b.readUnsignedByte();
        }

        public int readUnsignedShort() throws IOException {
            int i = this.f2713e + 2;
            this.f2713e = i;
            if (i <= this.f2712d) {
                int read = this.f2710b.read();
                int read2 = this.f2710b.read();
                if ((read | read2) >= 0) {
                    ByteOrder byteOrder = this.f2711c;
                    if (byteOrder == f2708f) {
                        return (read2 << 8) + read;
                    }
                    if (byteOrder == f2709g) {
                        return (read << 8) + read2;
                    }
                    StringBuilder a = outline.m2937a("Invalid byte order: ");
                    a.append(this.f2711c);
                    throw new IOException(a.toString());
                }
                throw new EOFException();
            }
            throw new EOFException();
        }

        public int skipBytes(int i) throws IOException {
            int min = Math.min(i, this.f2712d - this.f2713e);
            int i2 = 0;
            while (i2 < min) {
                i2 += this.f2710b.skipBytes(min - i2);
            }
            this.f2713e += i2;
            return i2;
        }

        public int read(byte[] bArr, int i, int i2) throws IOException {
            int read = this.f2710b.read(bArr, i, i2);
            this.f2713e += read;
            return read;
        }

        public void readFully(byte[] bArr) throws IOException {
            int length = this.f2713e + bArr.length;
            this.f2713e = length;
            if (length > this.f2712d) {
                throw new EOFException();
            } else if (this.f2710b.read(bArr, 0, bArr.length) != bArr.length) {
                throw new IOException("Couldn't read up to the length of buffer");
            }
        }

        public C0443a(byte[] bArr) throws IOException {
            this((InputStream) new ByteArrayInputStream(bArr));
        }
    }

    /* renamed from: b */
    public final void mo3278b(C0443a aVar) throws IOException {
        aVar.skipBytes(84);
        byte[] bArr = new byte[4];
        byte[] bArr2 = new byte[4];
        aVar.read(bArr);
        aVar.skipBytes(4);
        aVar.read(bArr2);
        int i = ByteBuffer.wrap(bArr).getInt();
        int i2 = ByteBuffer.wrap(bArr2).getInt();
        mo3274a(aVar, i, 5);
        aVar.mo3287e((long) i2);
        aVar.f2711c = ByteOrder.BIG_ENDIAN;
        int readInt = aVar.readInt();
        for (int i3 = 0; i3 < readInt; i3++) {
            int readUnsignedShort = aVar.readUnsignedShort();
            int readUnsignedShort2 = aVar.readUnsignedShort();
            if (readUnsignedShort == f2669A.f2717a) {
                short readShort = aVar.readShort();
                short readShort2 = aVar.readShort();
                C0444b a = C0444b.m2133a((int) readShort, this.f2701f);
                C0444b a2 = C0444b.m2133a((int) readShort2, this.f2701f);
                this.f2699d[0].put("ImageLength", a);
                this.f2699d[0].put("ImageWidth", a2);
                return;
            }
            aVar.skipBytes(readUnsignedShort2);
        }
    }

    /* renamed from: b.l.a.a$b */
    /* compiled from: ExifInterface */
    public static class C0444b {

        /* renamed from: a */
        public final int f2714a;

        /* renamed from: b */
        public final int f2715b;

        /* renamed from: c */
        public final byte[] f2716c;

        public C0444b(int i, int i2, byte[] bArr) {
            this.f2714a = i;
            this.f2715b = i2;
            this.f2716c = bArr;
        }

        /* renamed from: a */
        public static C0444b m2133a(int i, ByteOrder byteOrder) {
            int[] iArr = {i};
            ByteBuffer wrap = ByteBuffer.wrap(new byte[(ExifInterface.f2689t[3] * 1)]);
            wrap.order(byteOrder);
            for (int i2 = 0; i2 < 1; i2++) {
                wrap.putShort((short) iArr[i2]);
            }
            return new C0444b(3, 1, wrap.array());
        }

        /* renamed from: b */
        public int mo3306b(ByteOrder byteOrder) {
            Object d = mo3308d(byteOrder);
            if (d == null) {
                throw new NumberFormatException("NULL can't be converted to a integer value");
            } else if (d instanceof String) {
                return Integer.parseInt((String) d);
            } else {
                if (d instanceof long[]) {
                    long[] jArr = (long[]) d;
                    if (jArr.length == 1) {
                        return (int) jArr[0];
                    }
                    throw new NumberFormatException("There are more than one component");
                } else if (d instanceof int[]) {
                    int[] iArr = (int[]) d;
                    if (iArr.length == 1) {
                        return iArr[0];
                    }
                    throw new NumberFormatException("There are more than one component");
                } else {
                    throw new NumberFormatException("Couldn't find a integer value");
                }
            }
        }

        /* renamed from: c */
        public String mo3307c(ByteOrder byteOrder) {
            Object d = mo3308d(byteOrder);
            if (d == null) {
                return null;
            }
            if (d instanceof String) {
                return (String) d;
            }
            StringBuilder sb = new StringBuilder();
            int i = 0;
            if (d instanceof long[]) {
                long[] jArr = (long[]) d;
                while (i < jArr.length) {
                    sb.append(jArr[i]);
                    i++;
                    if (i != jArr.length) {
                        sb.append(",");
                    }
                }
                return sb.toString();
            } else if (d instanceof int[]) {
                int[] iArr = (int[]) d;
                while (i < iArr.length) {
                    sb.append(iArr[i]);
                    i++;
                    if (i != iArr.length) {
                        sb.append(",");
                    }
                }
                return sb.toString();
            } else if (d instanceof double[]) {
                double[] dArr = (double[]) d;
                while (i < dArr.length) {
                    sb.append(dArr[i]);
                    i++;
                    if (i != dArr.length) {
                        sb.append(",");
                    }
                }
                return sb.toString();
            } else if (!(d instanceof C0446d[])) {
                return null;
            } else {
                C0446d[] dVarArr = (C0446d[]) d;
                while (i < dVarArr.length) {
                    sb.append(dVarArr[i].f2721a);
                    sb.append('/');
                    sb.append(dVarArr[i].f2722b);
                    i++;
                    if (i != dVarArr.length) {
                        sb.append(",");
                    }
                }
                return sb.toString();
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:164:0x01aa A[SYNTHETIC, Splitter:B:164:0x01aa] */
        /* renamed from: d */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public java.lang.Object mo3308d(java.nio.ByteOrder r11) {
            /*
                r10 = this;
                java.lang.String r0 = "IOException occurred while closing InputStream"
                java.lang.String r1 = "ExifInterface"
                r2 = 0
                b.l.a.a$a r3 = new b.l.a.a$a     // Catch:{ IOException -> 0x0194, all -> 0x0192 }
                byte[] r4 = r10.f2716c     // Catch:{ IOException -> 0x0194, all -> 0x0192 }
                r3.<init>((byte[]) r4)     // Catch:{ IOException -> 0x0194, all -> 0x0192 }
                r3.f2711c = r11     // Catch:{ IOException -> 0x0190 }
                int r11 = r10.f2714a     // Catch:{ IOException -> 0x0190 }
                r4 = 1
                r5 = 0
                switch(r11) {
                    case 1: goto L_0x014b;
                    case 2: goto L_0x00fc;
                    case 3: goto L_0x00e2;
                    case 4: goto L_0x00c8;
                    case 5: goto L_0x00a5;
                    case 6: goto L_0x014b;
                    case 7: goto L_0x00fc;
                    case 8: goto L_0x008b;
                    case 9: goto L_0x0071;
                    case 10: goto L_0x004c;
                    case 11: goto L_0x0031;
                    case 12: goto L_0x0017;
                    default: goto L_0x0015;
                }     // Catch:{ IOException -> 0x0190 }
            L_0x0015:
                goto L_0x0187
            L_0x0017:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                double[] r11 = new double[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x001b:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x0028
                double r6 = r3.readDouble()     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r6     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x001b
            L_0x0028:
                r3.close()     // Catch:{ IOException -> 0x002c }
                goto L_0x0030
            L_0x002c:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x0030:
                return r11
            L_0x0031:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                double[] r11 = new double[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x0035:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x0043
                float r4 = r3.readFloat()     // Catch:{ IOException -> 0x0190 }
                double r6 = (double) r4     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r6     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x0035
            L_0x0043:
                r3.close()     // Catch:{ IOException -> 0x0047 }
                goto L_0x004b
            L_0x0047:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x004b:
                return r11
            L_0x004c:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                b.l.a.a$d[] r11 = new p008b.p056l.p057a.ExifInterface.C0446d[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x0050:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x0068
                int r4 = r3.readInt()     // Catch:{ IOException -> 0x0190 }
                long r6 = (long) r4     // Catch:{ IOException -> 0x0190 }
                int r4 = r3.readInt()     // Catch:{ IOException -> 0x0190 }
                long r8 = (long) r4     // Catch:{ IOException -> 0x0190 }
                b.l.a.a$d r4 = new b.l.a.a$d     // Catch:{ IOException -> 0x0190 }
                r4.<init>(r6, r8)     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r4     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x0050
            L_0x0068:
                r3.close()     // Catch:{ IOException -> 0x006c }
                goto L_0x0070
            L_0x006c:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x0070:
                return r11
            L_0x0071:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                int[] r11 = new int[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x0075:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x0082
                int r4 = r3.readInt()     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r4     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x0075
            L_0x0082:
                r3.close()     // Catch:{ IOException -> 0x0086 }
                goto L_0x008a
            L_0x0086:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x008a:
                return r11
            L_0x008b:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                int[] r11 = new int[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x008f:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x009c
                short r4 = r3.readShort()     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r4     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x008f
            L_0x009c:
                r3.close()     // Catch:{ IOException -> 0x00a0 }
                goto L_0x00a4
            L_0x00a0:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x00a4:
                return r11
            L_0x00a5:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                b.l.a.a$d[] r11 = new p008b.p056l.p057a.ExifInterface.C0446d[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x00a9:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x00bf
                long r6 = r3.mo3285a()     // Catch:{ IOException -> 0x0190 }
                long r8 = r3.mo3285a()     // Catch:{ IOException -> 0x0190 }
                b.l.a.a$d r4 = new b.l.a.a$d     // Catch:{ IOException -> 0x0190 }
                r4.<init>(r6, r8)     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r4     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x00a9
            L_0x00bf:
                r3.close()     // Catch:{ IOException -> 0x00c3 }
                goto L_0x00c7
            L_0x00c3:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x00c7:
                return r11
            L_0x00c8:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                long[] r11 = new long[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x00cc:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x00d9
                long r6 = r3.mo3285a()     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r6     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x00cc
            L_0x00d9:
                r3.close()     // Catch:{ IOException -> 0x00dd }
                goto L_0x00e1
            L_0x00dd:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x00e1:
                return r11
            L_0x00e2:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                int[] r11 = new int[r11]     // Catch:{ IOException -> 0x0190 }
            L_0x00e6:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x00f3
                int r4 = r3.readUnsignedShort()     // Catch:{ IOException -> 0x0190 }
                r11[r5] = r4     // Catch:{ IOException -> 0x0190 }
                int r5 = r5 + 1
                goto L_0x00e6
            L_0x00f3:
                r3.close()     // Catch:{ IOException -> 0x00f7 }
                goto L_0x00fb
            L_0x00f7:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x00fb:
                return r11
            L_0x00fc:
                int r11 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                byte[] r6 = p008b.p056l.p057a.ExifInterface.f2690u     // Catch:{ IOException -> 0x0190 }
                int r6 = r6.length     // Catch:{ IOException -> 0x0190 }
                if (r11 < r6) goto L_0x011d
                r11 = 0
            L_0x0104:
                byte[] r6 = p008b.p056l.p057a.ExifInterface.f2690u     // Catch:{ IOException -> 0x0190 }
                int r6 = r6.length     // Catch:{ IOException -> 0x0190 }
                if (r11 >= r6) goto L_0x0118
                byte[] r6 = r10.f2716c     // Catch:{ IOException -> 0x0190 }
                byte r6 = r6[r11]     // Catch:{ IOException -> 0x0190 }
                byte[] r7 = p008b.p056l.p057a.ExifInterface.f2690u     // Catch:{ IOException -> 0x0190 }
                byte r7 = r7[r11]     // Catch:{ IOException -> 0x0190 }
                if (r6 == r7) goto L_0x0115
                r4 = 0
                goto L_0x0118
            L_0x0115:
                int r11 = r11 + 1
                goto L_0x0104
            L_0x0118:
                if (r4 == 0) goto L_0x011d
                byte[] r11 = p008b.p056l.p057a.ExifInterface.f2690u     // Catch:{ IOException -> 0x0190 }
                int r5 = r11.length     // Catch:{ IOException -> 0x0190 }
            L_0x011d:
                java.lang.StringBuilder r11 = new java.lang.StringBuilder     // Catch:{ IOException -> 0x0190 }
                r11.<init>()     // Catch:{ IOException -> 0x0190 }
            L_0x0122:
                int r4 = r10.f2715b     // Catch:{ IOException -> 0x0190 }
                if (r5 >= r4) goto L_0x013e
                byte[] r4 = r10.f2716c     // Catch:{ IOException -> 0x0190 }
                byte r4 = r4[r5]     // Catch:{ IOException -> 0x0190 }
                if (r4 != 0) goto L_0x012d
                goto L_0x013e
            L_0x012d:
                r6 = 32
                if (r4 < r6) goto L_0x0136
                char r4 = (char) r4     // Catch:{ IOException -> 0x0190 }
                r11.append(r4)     // Catch:{ IOException -> 0x0190 }
                goto L_0x013b
            L_0x0136:
                r4 = 63
                r11.append(r4)     // Catch:{ IOException -> 0x0190 }
            L_0x013b:
                int r5 = r5 + 1
                goto L_0x0122
            L_0x013e:
                java.lang.String r11 = r11.toString()     // Catch:{ IOException -> 0x0190 }
                r3.close()     // Catch:{ IOException -> 0x0146 }
                goto L_0x014a
            L_0x0146:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x014a:
                return r11
            L_0x014b:
                byte[] r11 = r10.f2716c     // Catch:{ IOException -> 0x0190 }
                int r11 = r11.length     // Catch:{ IOException -> 0x0190 }
                if (r11 != r4) goto L_0x0175
                byte[] r11 = r10.f2716c     // Catch:{ IOException -> 0x0190 }
                byte r11 = r11[r5]     // Catch:{ IOException -> 0x0190 }
                if (r11 < 0) goto L_0x0175
                byte[] r11 = r10.f2716c     // Catch:{ IOException -> 0x0190 }
                byte r11 = r11[r5]     // Catch:{ IOException -> 0x0190 }
                if (r11 > r4) goto L_0x0175
                java.lang.String r11 = new java.lang.String     // Catch:{ IOException -> 0x0190 }
                char[] r4 = new char[r4]     // Catch:{ IOException -> 0x0190 }
                byte[] r6 = r10.f2716c     // Catch:{ IOException -> 0x0190 }
                byte r6 = r6[r5]     // Catch:{ IOException -> 0x0190 }
                int r6 = r6 + 48
                char r6 = (char) r6     // Catch:{ IOException -> 0x0190 }
                r4[r5] = r6     // Catch:{ IOException -> 0x0190 }
                r11.<init>(r4)     // Catch:{ IOException -> 0x0190 }
                r3.close()     // Catch:{ IOException -> 0x0170 }
                goto L_0x0174
            L_0x0170:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x0174:
                return r11
            L_0x0175:
                java.lang.String r11 = new java.lang.String     // Catch:{ IOException -> 0x0190 }
                byte[] r4 = r10.f2716c     // Catch:{ IOException -> 0x0190 }
                java.nio.charset.Charset r5 = p008b.p056l.p057a.ExifInterface.f2680L     // Catch:{ IOException -> 0x0190 }
                r11.<init>(r4, r5)     // Catch:{ IOException -> 0x0190 }
                r3.close()     // Catch:{ IOException -> 0x0182 }
                goto L_0x0186
            L_0x0182:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x0186:
                return r11
            L_0x0187:
                r3.close()     // Catch:{ IOException -> 0x018b }
                goto L_0x018f
            L_0x018b:
                r11 = move-exception
                android.util.Log.e(r1, r0, r11)
            L_0x018f:
                return r2
            L_0x0190:
                r11 = move-exception
                goto L_0x0196
            L_0x0192:
                r11 = move-exception
                goto L_0x01a8
            L_0x0194:
                r11 = move-exception
                r3 = r2
            L_0x0196:
                java.lang.String r4 = "IOException occurred during reading a value"
                android.util.Log.w(r1, r4, r11)     // Catch:{ all -> 0x01a6 }
                if (r3 == 0) goto L_0x01a5
                r3.close()     // Catch:{ IOException -> 0x01a1 }
                goto L_0x01a5
            L_0x01a1:
                r11 = move-exception
                android.util.Log.e(r1, r0, r11)
            L_0x01a5:
                return r2
            L_0x01a6:
                r11 = move-exception
                r2 = r3
            L_0x01a8:
                if (r2 == 0) goto L_0x01b2
                r2.close()     // Catch:{ IOException -> 0x01ae }
                goto L_0x01b2
            L_0x01ae:
                r2 = move-exception
                android.util.Log.e(r1, r0, r2)
            L_0x01b2:
                throw r11
            */
            throw new UnsupportedOperationException("Method not decompiled: p008b.p056l.p057a.ExifInterface.C0444b.mo3308d(java.nio.ByteOrder):java.lang.Object");
        }

        public String toString() {
            StringBuilder a = outline.m2937a("(");
            a.append(ExifInterface.f2688s[this.f2714a]);
            a.append(", data length:");
            a.append(this.f2716c.length);
            a.append(")");
            return a.toString();
        }

        /* renamed from: a */
        public static C0444b m2134a(long j, ByteOrder byteOrder) {
            long[] jArr = {j};
            ByteBuffer wrap = ByteBuffer.wrap(new byte[(ExifInterface.f2689t[4] * 1)]);
            wrap.order(byteOrder);
            for (int i = 0; i < 1; i++) {
                wrap.putInt((int) jArr[i]);
            }
            return new C0444b(4, 1, wrap.array());
        }

        /* renamed from: a */
        public static C0444b m2136a(String str) {
            byte[] bytes = (str + 0).getBytes(ExifInterface.f2680L);
            return new C0444b(2, bytes.length, bytes);
        }

        /* renamed from: a */
        public static C0444b m2135a(C0446d dVar, ByteOrder byteOrder) {
            C0446d[] dVarArr = {dVar};
            ByteBuffer wrap = ByteBuffer.wrap(new byte[(ExifInterface.f2689t[5] * 1)]);
            wrap.order(byteOrder);
            for (int i = 0; i < 1; i++) {
                C0446d dVar2 = dVarArr[i];
                wrap.putInt((int) dVar2.f2721a);
                wrap.putInt((int) dVar2.f2722b);
            }
            return new C0444b(5, 1, wrap.array());
        }

        /* renamed from: a */
        public double mo3305a(ByteOrder byteOrder) {
            Object d = mo3308d(byteOrder);
            if (d == null) {
                throw new NumberFormatException("NULL can't be converted to a double value");
            } else if (d instanceof String) {
                return Double.parseDouble((String) d);
            } else {
                if (d instanceof long[]) {
                    long[] jArr = (long[]) d;
                    if (jArr.length == 1) {
                        return (double) jArr[0];
                    }
                    throw new NumberFormatException("There are more than one component");
                } else if (d instanceof int[]) {
                    int[] iArr = (int[]) d;
                    if (iArr.length == 1) {
                        return (double) iArr[0];
                    }
                    throw new NumberFormatException("There are more than one component");
                } else if (d instanceof double[]) {
                    double[] dArr = (double[]) d;
                    if (dArr.length == 1) {
                        return dArr[0];
                    }
                    throw new NumberFormatException("There are more than one component");
                } else if (d instanceof C0446d[]) {
                    C0446d[] dVarArr = (C0446d[]) d;
                    if (dVarArr.length == 1) {
                        C0446d dVar = dVarArr[0];
                        return ((double) dVar.f2721a) / ((double) dVar.f2722b);
                    }
                    throw new NumberFormatException("There are more than one component");
                } else {
                    throw new NumberFormatException("Couldn't find a double value");
                }
            }
        }
    }

    /* renamed from: b.l.a.a$c */
    /* compiled from: ExifInterface */
    public static class C0445c {

        /* renamed from: a */
        public final int f2717a;

        /* renamed from: b */
        public final String f2718b;

        /* renamed from: c */
        public final int f2719c;

        /* renamed from: d */
        public final int f2720d;

        public C0445c(String str, int i, int i2) {
            this.f2718b = str;
            this.f2717a = i;
            this.f2719c = i2;
            this.f2720d = -1;
        }

        public C0445c(String str, int i, int i2, int i3) {
            this.f2718b = str;
            this.f2717a = i;
            this.f2719c = i2;
            this.f2720d = i3;
        }
    }

    /* renamed from: a */
    public final int mo3268a(BufferedInputStream bufferedInputStream) throws IOException {
        boolean z;
        boolean z2;
        boolean z3;
        bufferedInputStream.mark(5000);
        byte[] bArr = new byte[5000];
        bufferedInputStream.read(bArr);
        bufferedInputStream.reset();
        int i = 0;
        while (true) {
            byte[] bArr2 = f2684o;
            z = true;
            if (i >= bArr2.length) {
                z2 = true;
                break;
            } else if (bArr[i] != bArr2[i]) {
                z2 = false;
                break;
            } else {
                i++;
            }
        }
        if (z2) {
            return 4;
        }
        byte[] bytes = "FUJIFILMCCD-RAW".getBytes(Charset.defaultCharset());
        int i2 = 0;
        while (true) {
            if (i2 >= bytes.length) {
                z3 = true;
                break;
            } else if (bArr[i2] != bytes[i2]) {
                z3 = false;
                break;
            } else {
                i2++;
            }
        }
        if (z3) {
            return 9;
        }
        C0443a aVar = new C0443a(bArr);
        ByteOrder e = mo3283e(aVar);
        this.f2701f = e;
        aVar.f2711c = e;
        short readShort = aVar.readShort();
        aVar.close();
        if (readShort == 20306 || readShort == 21330) {
            return 7;
        }
        C0443a aVar2 = new C0443a(bArr);
        ByteOrder e2 = mo3283e(aVar2);
        this.f2701f = e2;
        aVar2.f2711c = e2;
        short readShort2 = aVar2.readShort();
        aVar2.close();
        if (readShort2 != 85) {
            z = false;
        }
        if (z) {
            return 10;
        }
        return 0;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x007f, code lost:
        r13 = r12.f2720d;
     */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x0262  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x0122  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0129  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x0228  */
    /* renamed from: b */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo3279b(p008b.p056l.p057a.ExifInterface.C0443a r24, int r25) throws java.io.IOException {
        /*
            r23 = this;
            r0 = r23
            r1 = r24
            r2 = r25
            java.util.Set<java.lang.Integer> r3 = r0.f2700e
            int r4 = r1.f2713e
            java.lang.Integer r4 = java.lang.Integer.valueOf(r4)
            r3.add(r4)
            int r3 = r1.f2713e
            int r3 = r3 + 2
            int r4 = r1.f2712d
            if (r3 <= r4) goto L_0x001a
            return
        L_0x001a:
            short r3 = r24.readShort()
            int r4 = r1.f2713e
            int r5 = r3 * 12
            int r5 = r5 + r4
            int r4 = r1.f2712d
            if (r5 > r4) goto L_0x0356
            if (r3 > 0) goto L_0x002b
            goto L_0x0356
        L_0x002b:
            r4 = 0
        L_0x002c:
            r5 = 4
            java.lang.String r6 = "ExifInterface"
            if (r4 >= r3) goto L_0x02e9
            int r7 = r24.readUnsignedShort()
            int r8 = r24.readUnsignedShort()
            int r9 = r24.readInt()
            int r10 = r1.f2713e
            long r10 = (long) r10
            r12 = 4
            long r10 = r10 + r12
            java.util.HashMap<java.lang.Integer, b.l.a.a$c>[] r12 = f2676H
            r12 = r12[r2]
            java.lang.Integer r13 = java.lang.Integer.valueOf(r7)
            java.lang.Object r12 = r12.get(r13)
            b.l.a.a$c r12 = (p008b.p056l.p057a.ExifInterface.C0445c) r12
            r14 = 7
            if (r12 != 0) goto L_0x006d
            java.lang.StringBuilder r5 = new java.lang.StringBuilder
            r5.<init>()
            java.lang.String r13 = "Skip the tag entry since tag number is not defined: "
            r5.append(r13)
            r5.append(r7)
            java.lang.String r5 = r5.toString()
            android.util.Log.w(r6, r5)
        L_0x0068:
            r15 = r3
            r17 = r4
            goto L_0x011a
        L_0x006d:
            if (r8 <= 0) goto L_0x0103
            int[] r15 = f2689t
            int r15 = r15.length
            if (r8 < r15) goto L_0x0076
            goto L_0x0103
        L_0x0076:
            int r15 = r12.f2719c
            if (r15 == r14) goto L_0x00ac
            if (r8 != r14) goto L_0x007d
            goto L_0x00ac
        L_0x007d:
            if (r15 == r8) goto L_0x00ac
            int r13 = r12.f2720d
            if (r13 != r8) goto L_0x0084
            goto L_0x00ac
        L_0x0084:
            if (r15 == r5) goto L_0x0088
            if (r13 != r5) goto L_0x008c
        L_0x0088:
            r5 = 3
            if (r8 != r5) goto L_0x008c
            goto L_0x00ac
        L_0x008c:
            int r5 = r12.f2719c
            r13 = 9
            if (r5 == r13) goto L_0x0096
            int r5 = r12.f2720d
            if (r5 != r13) goto L_0x009b
        L_0x0096:
            r5 = 8
            if (r8 != r5) goto L_0x009b
            goto L_0x00ac
        L_0x009b:
            int r5 = r12.f2719c
            r13 = 12
            if (r5 == r13) goto L_0x00a5
            int r5 = r12.f2720d
            if (r5 != r13) goto L_0x00aa
        L_0x00a5:
            r5 = 11
            if (r8 != r5) goto L_0x00aa
            goto L_0x00ac
        L_0x00aa:
            r5 = 0
            goto L_0x00ad
        L_0x00ac:
            r5 = 1
        L_0x00ad:
            if (r5 != 0) goto L_0x00ce
            java.lang.String r5 = "Skip the tag entry since data format ("
            java.lang.StringBuilder r5 = p085c.p086a.p087a.p088a.outline.m2937a(r5)
            java.lang.String[] r13 = f2688s
            r13 = r13[r8]
            r5.append(r13)
            java.lang.String r13 = ") is unexpected for tag: "
            r5.append(r13)
            java.lang.String r13 = r12.f2718b
            r5.append(r13)
            java.lang.String r5 = r5.toString()
            android.util.Log.w(r6, r5)
            goto L_0x0068
        L_0x00ce:
            if (r8 != r14) goto L_0x00d2
            int r8 = r12.f2719c
        L_0x00d2:
            long r13 = (long) r9
            int[] r5 = f2689t
            r5 = r5[r8]
            r15 = r3
            r17 = r4
            long r3 = (long) r5
            long r13 = r13 * r3
            r3 = 0
            int r5 = (r13 > r3 ? 1 : (r13 == r3 ? 0 : -1))
            if (r5 < 0) goto L_0x00ee
            r3 = 2147483647(0x7fffffff, double:1.060997895E-314)
            int r5 = (r13 > r3 ? 1 : (r13 == r3 ? 0 : -1))
            if (r5 <= 0) goto L_0x00eb
            goto L_0x00ee
        L_0x00eb:
            r3 = r13
            r13 = 1
            goto L_0x0120
        L_0x00ee:
            java.lang.StringBuilder r3 = new java.lang.StringBuilder
            r3.<init>()
            java.lang.String r4 = "Skip the tag entry since the number of components is invalid: "
            r3.append(r4)
            r3.append(r9)
            java.lang.String r3 = r3.toString()
            android.util.Log.w(r6, r3)
            goto L_0x011d
        L_0x0103:
            r15 = r3
            r17 = r4
            java.lang.StringBuilder r3 = new java.lang.StringBuilder
            r3.<init>()
            java.lang.String r4 = "Skip the tag entry since data format is invalid: "
            r3.append(r4)
            r3.append(r8)
            java.lang.String r3 = r3.toString()
            android.util.Log.w(r6, r3)
        L_0x011a:
            r3 = 0
            r13 = r3
        L_0x011d:
            r3 = 0
            r3 = r13
            r13 = 0
        L_0x0120:
            if (r13 != 0) goto L_0x0129
            r1.mo3287e(r10)
            r16 = r15
            goto L_0x02e2
        L_0x0129:
            java.lang.String r5 = "Compression"
            r13 = 4
            int r16 = (r3 > r13 ? 1 : (r3 == r13 ? 0 : -1))
            if (r16 <= 0) goto L_0x01dc
            int r13 = r24.readInt()
            int r14 = r0.f2698c
            r16 = r15
            r15 = 7
            if (r14 != r15) goto L_0x019b
            java.lang.String r14 = r12.f2718b
            java.lang.String r15 = "MakerNote"
            boolean r14 = r15.equals(r14)
            if (r14 == 0) goto L_0x0149
            r0.f2704i = r13
            goto L_0x0194
        L_0x0149:
            r14 = 6
            if (r2 != r14) goto L_0x0194
            java.lang.String r14 = r12.f2718b
            java.lang.String r15 = "ThumbnailImage"
            boolean r14 = r15.equals(r14)
            if (r14 == 0) goto L_0x0194
            r0.f2705j = r13
            r0.f2706k = r9
            java.nio.ByteOrder r14 = r0.f2701f
            r15 = 6
            b.l.a.a$b r14 = p008b.p056l.p057a.ExifInterface.C0444b.m2133a((int) r15, (java.nio.ByteOrder) r14)
            int r15 = r0.f2705j
            r19 = r8
            r18 = r9
            long r8 = (long) r15
            java.nio.ByteOrder r15 = r0.f2701f
            b.l.a.a$b r8 = p008b.p056l.p057a.ExifInterface.C0444b.m2134a((long) r8, (java.nio.ByteOrder) r15)
            int r9 = r0.f2706k
            r20 = r10
            long r9 = (long) r9
            java.nio.ByteOrder r11 = r0.f2701f
            b.l.a.a$b r9 = p008b.p056l.p057a.ExifInterface.C0444b.m2134a((long) r9, (java.nio.ByteOrder) r11)
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r10 = r0.f2699d
            r11 = 4
            r10 = r10[r11]
            r10.put(r5, r14)
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r10 = r0.f2699d
            r10 = r10[r11]
            java.lang.String r14 = "JPEGInterchangeFormat"
            r10.put(r14, r8)
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r8 = r0.f2699d
            r8 = r8[r11]
            java.lang.String r10 = "JPEGInterchangeFormatLength"
            r8.put(r10, r9)
            goto L_0x01b1
        L_0x0194:
            r19 = r8
            r18 = r9
            r20 = r10
            goto L_0x01b1
        L_0x019b:
            r19 = r8
            r18 = r9
            r20 = r10
            r8 = 10
            if (r14 != r8) goto L_0x01b1
            java.lang.String r8 = r12.f2718b
            java.lang.String r9 = "JpgFromRaw"
            boolean r8 = r9.equals(r8)
            if (r8 == 0) goto L_0x01b1
            r0.f2707l = r13
        L_0x01b1:
            long r8 = (long) r13
            long r10 = r8 + r3
            int r14 = r1.f2712d
            long r14 = (long) r14
            int r22 = (r10 > r14 ? 1 : (r10 == r14 ? 0 : -1))
            if (r22 > 0) goto L_0x01c1
            r1.mo3287e(r8)
            r10 = r20
            goto L_0x01e2
        L_0x01c1:
            java.lang.StringBuilder r3 = new java.lang.StringBuilder
            r3.<init>()
            java.lang.String r4 = "Skip the tag entry since data offset is invalid: "
            r3.append(r4)
            r3.append(r13)
            java.lang.String r3 = r3.toString()
            android.util.Log.w(r6, r3)
            r10 = r20
            r1.mo3287e(r10)
            goto L_0x02e2
        L_0x01dc:
            r19 = r8
            r18 = r9
            r16 = r15
        L_0x01e2:
            java.util.HashMap<java.lang.Integer, java.lang.Integer> r8 = f2679K
            java.lang.Integer r7 = java.lang.Integer.valueOf(r7)
            java.lang.Object r7 = r8.get(r7)
            java.lang.Integer r7 = (java.lang.Integer) r7
            if (r7 == 0) goto L_0x027a
            r3 = -1
            r5 = 3
            r8 = r19
            if (r8 == r5) goto L_0x0216
            r5 = 4
            if (r8 == r5) goto L_0x0211
            r5 = 8
            if (r8 == r5) goto L_0x020c
            r5 = 9
            if (r8 == r5) goto L_0x0207
            r5 = 13
            if (r8 == r5) goto L_0x0207
            goto L_0x021b
        L_0x0207:
            int r3 = r24.readInt()
            goto L_0x021a
        L_0x020c:
            short r3 = r24.readShort()
            goto L_0x021a
        L_0x0211:
            long r3 = r24.mo3285a()
            goto L_0x021b
        L_0x0216:
            int r3 = r24.readUnsignedShort()
        L_0x021a:
            long r3 = (long) r3
        L_0x021b:
            r8 = 0
            int r5 = (r3 > r8 ? 1 : (r3 == r8 ? 0 : -1))
            if (r5 <= 0) goto L_0x0262
            int r5 = r1.f2712d
            long r8 = (long) r5
            int r5 = (r3 > r8 ? 1 : (r3 == r8 ? 0 : -1))
            if (r5 >= 0) goto L_0x0262
            java.util.Set<java.lang.Integer> r5 = r0.f2700e
            int r8 = (int) r3
            java.lang.Integer r8 = java.lang.Integer.valueOf(r8)
            boolean r5 = r5.contains(r8)
            if (r5 != 0) goto L_0x0240
            r1.mo3287e(r3)
            int r3 = r7.intValue()
            r0.mo3279b(r1, r3)
            goto L_0x0276
        L_0x0240:
            java.lang.StringBuilder r5 = new java.lang.StringBuilder
            r5.<init>()
            java.lang.String r8 = "Skip jump into the IFD since it has already been read: IfdType "
            r5.append(r8)
            r5.append(r7)
            java.lang.String r7 = " (at "
            r5.append(r7)
            r5.append(r3)
            java.lang.String r3 = ")"
            r5.append(r3)
            java.lang.String r3 = r5.toString()
            android.util.Log.w(r6, r3)
            goto L_0x0276
        L_0x0262:
            java.lang.StringBuilder r5 = new java.lang.StringBuilder
            r5.<init>()
            java.lang.String r7 = "Skip jump into the IFD since its offset is invalid: "
            r5.append(r7)
            r5.append(r3)
            java.lang.String r3 = r5.toString()
            android.util.Log.w(r6, r3)
        L_0x0276:
            r1.mo3287e(r10)
            goto L_0x02e2
        L_0x027a:
            r8 = r19
            int r4 = (int) r3
            byte[] r3 = new byte[r4]
            r1.readFully(r3)
            b.l.a.a$b r4 = new b.l.a.a$b
            r6 = r18
            r4.<init>(r8, r6, r3)
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r3 = r0.f2699d
            r3 = r3[r2]
            java.lang.String r6 = r12.f2718b
            r3.put(r6, r4)
            java.lang.String r3 = r12.f2718b
            java.lang.String r6 = "DNGVersion"
            boolean r3 = r6.equals(r3)
            if (r3 == 0) goto L_0x029f
            r3 = 3
            r0.f2698c = r3
        L_0x029f:
            java.lang.String r3 = r12.f2718b
            java.lang.String r6 = "Make"
            boolean r3 = r6.equals(r3)
            if (r3 != 0) goto L_0x02b3
            java.lang.String r3 = r12.f2718b
            java.lang.String r6 = "Model"
            boolean r3 = r6.equals(r3)
            if (r3 == 0) goto L_0x02c1
        L_0x02b3:
            java.nio.ByteOrder r3 = r0.f2701f
            java.lang.String r3 = r4.mo3307c(r3)
            java.lang.String r6 = "PENTAX"
            boolean r3 = r3.contains(r6)
            if (r3 != 0) goto L_0x02d4
        L_0x02c1:
            java.lang.String r3 = r12.f2718b
            boolean r3 = r5.equals(r3)
            if (r3 == 0) goto L_0x02d8
            java.nio.ByteOrder r3 = r0.f2701f
            int r3 = r4.mo3306b(r3)
            r4 = 65535(0xffff, float:9.1834E-41)
            if (r3 != r4) goto L_0x02d8
        L_0x02d4:
            r3 = 8
            r0.f2698c = r3
        L_0x02d8:
            int r3 = r1.f2713e
            long r3 = (long) r3
            int r5 = (r3 > r10 ? 1 : (r3 == r10 ? 0 : -1))
            if (r5 == 0) goto L_0x02e2
            r1.mo3287e(r10)
        L_0x02e2:
            int r4 = r17 + 1
            short r4 = (short) r4
            r3 = r16
            goto L_0x002c
        L_0x02e9:
            int r2 = r1.f2713e
            int r2 = r2 + 4
            int r3 = r1.f2712d
            if (r2 > r3) goto L_0x0356
            int r2 = r24.readInt()
            long r3 = (long) r2
            r7 = 0
            int r5 = (r3 > r7 ? 1 : (r3 == r7 ? 0 : -1))
            if (r5 <= 0) goto L_0x0342
            int r5 = r1.f2712d
            if (r2 >= r5) goto L_0x0342
            java.util.Set<java.lang.Integer> r5 = r0.f2700e
            java.lang.Integer r7 = java.lang.Integer.valueOf(r2)
            boolean r5 = r5.contains(r7)
            if (r5 != 0) goto L_0x032d
            r1.mo3287e(r3)
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r2 = r0.f2699d
            r3 = 4
            r2 = r2[r3]
            boolean r2 = r2.isEmpty()
            if (r2 == 0) goto L_0x031e
            r0.mo3279b(r1, r3)
            goto L_0x0356
        L_0x031e:
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r2 = r0.f2699d
            r3 = 5
            r2 = r2[r3]
            boolean r2 = r2.isEmpty()
            if (r2 == 0) goto L_0x0356
            r0.mo3279b(r1, r3)
            goto L_0x0356
        L_0x032d:
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r3 = "Stop reading file since re-reading an IFD may cause an infinite loop: "
            r1.append(r3)
            r1.append(r2)
            java.lang.String r1 = r1.toString()
            android.util.Log.w(r6, r1)
            goto L_0x0356
        L_0x0342:
            java.lang.StringBuilder r1 = new java.lang.StringBuilder
            r1.<init>()
            java.lang.String r3 = "Stop reading file since a wrong offset may cause an infinite loop: "
            r1.append(r3)
            r1.append(r2)
            java.lang.String r1 = r1.toString()
            android.util.Log.w(r6, r1)
        L_0x0356:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p056l.p057a.ExifInterface.mo3279b(b.l.a.a$a, int):void");
    }

    /* renamed from: c */
    public final void mo3281c(C0443a aVar, int i) throws IOException {
        C0444b bVar;
        C0444b bVar2;
        C0444b bVar3;
        C0444b bVar4 = this.f2699d[i].get("DefaultCropSize");
        C0444b bVar5 = this.f2699d[i].get("SensorTopBorder");
        C0444b bVar6 = this.f2699d[i].get("SensorLeftBorder");
        C0444b bVar7 = this.f2699d[i].get("SensorBottomBorder");
        C0444b bVar8 = this.f2699d[i].get("SensorRightBorder");
        if (bVar4 != null) {
            if (bVar4.f2714a == 5) {
                C0446d[] dVarArr = (C0446d[]) bVar4.mo3308d(this.f2701f);
                if (dVarArr == null || dVarArr.length != 2) {
                    StringBuilder a = outline.m2937a("Invalid crop size values. cropSize=");
                    a.append(Arrays.toString(dVarArr));
                    Log.w("ExifInterface", a.toString());
                    return;
                }
                bVar3 = C0444b.m2135a(dVarArr[0], this.f2701f);
                bVar2 = C0444b.m2135a(dVarArr[1], this.f2701f);
            } else {
                int[] iArr = (int[]) bVar4.mo3308d(this.f2701f);
                if (iArr == null || iArr.length != 2) {
                    StringBuilder a2 = outline.m2937a("Invalid crop size values. cropSize=");
                    a2.append(Arrays.toString(iArr));
                    Log.w("ExifInterface", a2.toString());
                    return;
                }
                bVar3 = C0444b.m2133a(iArr[0], this.f2701f);
                bVar2 = C0444b.m2133a(iArr[1], this.f2701f);
            }
            this.f2699d[i].put("ImageWidth", bVar3);
            this.f2699d[i].put("ImageLength", bVar2);
        } else if (bVar5 == null || bVar6 == null || bVar7 == null || bVar8 == null) {
            C0444b bVar9 = this.f2699d[i].get("ImageLength");
            C0444b bVar10 = this.f2699d[i].get("ImageWidth");
            if ((bVar9 == null || bVar10 == null) && (bVar = this.f2699d[i].get("JPEGInterchangeFormat")) != null) {
                mo3274a(aVar, bVar.mo3306b(this.f2701f), i);
            }
        } else {
            int b = bVar5.mo3306b(this.f2701f);
            int b2 = bVar7.mo3306b(this.f2701f);
            int b3 = bVar8.mo3306b(this.f2701f);
            int b4 = bVar6.mo3306b(this.f2701f);
            if (b2 > b && b3 > b4) {
                C0444b a3 = C0444b.m2133a(b2 - b, this.f2701f);
                C0444b a4 = C0444b.m2133a(b3 - b4, this.f2701f);
                this.f2699d[i].put("ImageLength", a3);
                this.f2699d[i].put("ImageWidth", a4);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x005b  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00eb  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x0086 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x00fc A[SYNTHETIC] */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo3274a(p008b.p056l.p057a.ExifInterface.C0443a r9, int r10, int r11) throws java.io.IOException {
        /*
            r8 = this;
            java.nio.ByteOrder r0 = java.nio.ByteOrder.BIG_ENDIAN
            r9.f2711c = r0
            long r0 = (long) r10
            r9.mo3287e(r0)
            byte r0 = r9.readByte()
            java.lang.String r1 = "Invalid marker: "
            r2 = -1
            if (r0 != r2) goto L_0x014f
            r3 = 1
            int r10 = r10 + r3
            byte r4 = r9.readByte()
            r5 = -40
            if (r4 != r5) goto L_0x0138
            int r10 = r10 + r3
        L_0x001c:
            byte r0 = r9.readByte()
            if (r0 != r2) goto L_0x011f
            int r10 = r10 + r3
            byte r0 = r9.readByte()
            int r10 = r10 + r3
            r1 = -39
            if (r0 == r1) goto L_0x011a
            r1 = -38
            if (r0 != r1) goto L_0x0032
            goto L_0x011a
        L_0x0032:
            int r1 = r9.readUnsignedShort()
            int r1 = r1 + -2
            int r10 = r10 + 2
            java.lang.String r4 = "Invalid length"
            if (r1 < 0) goto L_0x0114
            r5 = -31
            java.lang.String r6 = "Invalid exif"
            if (r0 == r5) goto L_0x00b7
            r5 = -2
            if (r0 == r5) goto L_0x008e
            switch(r0) {
                case -64: goto L_0x0055;
                case -63: goto L_0x0055;
                case -62: goto L_0x0055;
                case -61: goto L_0x0055;
                default: goto L_0x004a;
            }
        L_0x004a:
            switch(r0) {
                case -59: goto L_0x0055;
                case -58: goto L_0x0055;
                case -57: goto L_0x0055;
                default: goto L_0x004d;
            }
        L_0x004d:
            switch(r0) {
                case -55: goto L_0x0055;
                case -54: goto L_0x0055;
                case -53: goto L_0x0055;
                default: goto L_0x0050;
            }
        L_0x0050:
            switch(r0) {
                case -51: goto L_0x0055;
                case -50: goto L_0x0055;
                case -49: goto L_0x0055;
                default: goto L_0x0053;
            }
        L_0x0053:
            goto L_0x00e9
        L_0x0055:
            int r0 = r9.skipBytes(r3)
            if (r0 != r3) goto L_0x0086
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r0 = r8.f2699d
            r0 = r0[r11]
            int r5 = r9.readUnsignedShort()
            long r5 = (long) r5
            java.nio.ByteOrder r7 = r8.f2701f
            b.l.a.a$b r5 = p008b.p056l.p057a.ExifInterface.C0444b.m2134a((long) r5, (java.nio.ByteOrder) r7)
            java.lang.String r6 = "ImageLength"
            r0.put(r6, r5)
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r0 = r8.f2699d
            r0 = r0[r11]
            int r5 = r9.readUnsignedShort()
            long r5 = (long) r5
            java.nio.ByteOrder r7 = r8.f2701f
            b.l.a.a$b r5 = p008b.p056l.p057a.ExifInterface.C0444b.m2134a((long) r5, (java.nio.ByteOrder) r7)
            java.lang.String r6 = "ImageWidth"
            r0.put(r6, r5)
            int r1 = r1 + -5
            goto L_0x00e9
        L_0x0086:
            java.io.IOException r9 = new java.io.IOException
            java.lang.String r10 = "Invalid SOFx"
            r9.<init>(r10)
            throw r9
        L_0x008e:
            byte[] r0 = new byte[r1]
            int r5 = r9.read(r0)
            if (r5 != r1) goto L_0x00b1
            java.lang.String r1 = "UserComment"
            java.lang.String r5 = r8.mo3269a((java.lang.String) r1)
            if (r5 != 0) goto L_0x00e8
            java.util.HashMap<java.lang.String, b.l.a.a$b>[] r5 = r8.f2699d
            r5 = r5[r3]
            java.lang.String r6 = new java.lang.String
            java.nio.charset.Charset r7 = f2680L
            r6.<init>(r0, r7)
            b.l.a.a$b r0 = p008b.p056l.p057a.ExifInterface.C0444b.m2136a((java.lang.String) r6)
            r5.put(r1, r0)
            goto L_0x00e8
        L_0x00b1:
            java.io.IOException r9 = new java.io.IOException
            r9.<init>(r6)
            throw r9
        L_0x00b7:
            r0 = 6
            if (r1 >= r0) goto L_0x00bb
            goto L_0x00e9
        L_0x00bb:
            byte[] r5 = new byte[r0]
            int r7 = r9.read(r5)
            if (r7 != r0) goto L_0x010e
            int r10 = r10 + 6
            int r1 = r1 + -6
            byte[] r0 = f2681M
            boolean r0 = java.util.Arrays.equals(r5, r0)
            if (r0 != 0) goto L_0x00d0
            goto L_0x00e9
        L_0x00d0:
            if (r1 <= 0) goto L_0x0108
            r8.f2703h = r10
            byte[] r0 = new byte[r1]
            int r5 = r9.read(r0)
            if (r5 != r1) goto L_0x0102
            int r10 = r10 + r1
            b.l.a.a$a r5 = new b.l.a.a$a
            r5.<init>((byte[]) r0)
            r8.mo3273a((p008b.p056l.p057a.ExifInterface.C0443a) r5, (int) r1)
            r8.mo3279b(r5, r11)
        L_0x00e8:
            r1 = 0
        L_0x00e9:
            if (r1 < 0) goto L_0x00fc
            int r0 = r9.skipBytes(r1)
            if (r0 != r1) goto L_0x00f4
            int r10 = r10 + r1
            goto L_0x001c
        L_0x00f4:
            java.io.IOException r9 = new java.io.IOException
            java.lang.String r10 = "Invalid JPEG segment"
            r9.<init>(r10)
            throw r9
        L_0x00fc:
            java.io.IOException r9 = new java.io.IOException
            r9.<init>(r4)
            throw r9
        L_0x0102:
            java.io.IOException r9 = new java.io.IOException
            r9.<init>(r6)
            throw r9
        L_0x0108:
            java.io.IOException r9 = new java.io.IOException
            r9.<init>(r6)
            throw r9
        L_0x010e:
            java.io.IOException r9 = new java.io.IOException
            r9.<init>(r6)
            throw r9
        L_0x0114:
            java.io.IOException r9 = new java.io.IOException
            r9.<init>(r4)
            throw r9
        L_0x011a:
            java.nio.ByteOrder r10 = r8.f2701f
            r9.f2711c = r10
            return
        L_0x011f:
            java.io.IOException r9 = new java.io.IOException
            java.lang.String r10 = "Invalid marker:"
            java.lang.StringBuilder r10 = p085c.p086a.p087a.p088a.outline.m2937a(r10)
            r11 = r0 & 255(0xff, float:3.57E-43)
            java.lang.String r11 = java.lang.Integer.toHexString(r11)
            r10.append(r11)
            java.lang.String r10 = r10.toString()
            r9.<init>(r10)
            throw r9
        L_0x0138:
            java.io.IOException r9 = new java.io.IOException
            java.lang.StringBuilder r10 = p085c.p086a.p087a.p088a.outline.m2937a(r1)
            r11 = r0 & 255(0xff, float:3.57E-43)
            java.lang.String r11 = java.lang.Integer.toHexString(r11)
            r10.append(r11)
            java.lang.String r10 = r10.toString()
            r9.<init>(r10)
            throw r9
        L_0x014f:
            java.io.IOException r9 = new java.io.IOException
            java.lang.StringBuilder r10 = p085c.p086a.p087a.p088a.outline.m2937a(r1)
            r11 = r0 & 255(0xff, float:3.57E-43)
            java.lang.String r11 = java.lang.Integer.toHexString(r11)
            r10.append(r11)
            java.lang.String r10 = r10.toString()
            r9.<init>(r10)
            throw r9
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p056l.p057a.ExifInterface.mo3274a(b.l.a.a$a, int, int):void");
    }

    /* renamed from: a */
    public final void mo3272a(C0443a aVar) throws IOException {
        mo3280c(aVar);
        C0444b bVar = this.f2699d[1].get("MakerNote");
        if (bVar != null) {
            C0443a aVar2 = new C0443a(bVar.f2716c);
            aVar2.f2711c = this.f2701f;
            byte[] bArr = new byte[f2685p.length];
            aVar2.readFully(bArr);
            aVar2.mo3287e(0);
            byte[] bArr2 = new byte[f2686q.length];
            aVar2.readFully(bArr2);
            if (Arrays.equals(bArr, f2685p)) {
                aVar2.mo3287e(8);
            } else if (Arrays.equals(bArr2, f2686q)) {
                aVar2.mo3287e(12);
            }
            mo3279b(aVar2, 6);
            C0444b bVar2 = this.f2699d[7].get("PreviewImageStart");
            C0444b bVar3 = this.f2699d[7].get("PreviewImageLength");
            if (!(bVar2 == null || bVar3 == null)) {
                this.f2699d[5].put("JPEGInterchangeFormat", bVar2);
                this.f2699d[5].put("JPEGInterchangeFormatLength", bVar3);
            }
            C0444b bVar4 = this.f2699d[8].get("AspectFrame");
            if (bVar4 != null) {
                int[] iArr = (int[]) bVar4.mo3308d(this.f2701f);
                if (iArr == null || iArr.length != 4) {
                    StringBuilder a = outline.m2937a("Invalid aspect frame values. frame=");
                    a.append(Arrays.toString(iArr));
                    Log.w("ExifInterface", a.toString());
                } else if (iArr[2] > iArr[0] && iArr[3] > iArr[1]) {
                    int i = (iArr[2] - iArr[0]) + 1;
                    int i2 = (iArr[3] - iArr[1]) + 1;
                    if (i < i2) {
                        int i3 = i + i2;
                        i2 = i3 - i2;
                        i = i3 - i2;
                    }
                    C0444b a2 = C0444b.m2133a(i, this.f2701f);
                    C0444b a3 = C0444b.m2133a(i2, this.f2701f);
                    this.f2699d[0].put("ImageWidth", a2);
                    this.f2699d[0].put("ImageLength", a3);
                }
            }
        }
    }

    /* renamed from: a */
    public final void mo3270a() {
        String a = mo3269a("DateTimeOriginal");
        if (a != null && mo3269a("DateTime") == null) {
            this.f2699d[0].put("DateTime", C0444b.m2136a(a));
        }
        if (mo3269a("ImageWidth") == null) {
            this.f2699d[0].put("ImageWidth", C0444b.m2134a(0, this.f2701f));
        }
        if (mo3269a("ImageLength") == null) {
            this.f2699d[0].put("ImageLength", C0444b.m2134a(0, this.f2701f));
        }
        if (mo3269a("Orientation") == null) {
            this.f2699d[0].put("Orientation", C0444b.m2134a(0, this.f2701f));
        }
        if (mo3269a("LightSource") == null) {
            this.f2699d[1].put("LightSource", C0444b.m2134a(0, this.f2701f));
        }
    }

    /* renamed from: a */
    public final void mo3273a(C0443a aVar, int i) throws IOException {
        ByteOrder e = mo3283e(aVar);
        this.f2701f = e;
        aVar.f2711c = e;
        int readUnsignedShort = aVar.readUnsignedShort();
        int i2 = this.f2698c;
        if (i2 == 7 || i2 == 10 || readUnsignedShort == 42) {
            int readInt = aVar.readInt();
            if (readInt < 8 || readInt >= i) {
                throw new IOException(outline.m2930a("Invalid first Ifd offset: ", readInt));
            }
            int i3 = readInt - 8;
            if (i3 > 0 && aVar.skipBytes(i3) != i3) {
                throw new IOException(outline.m2930a("Couldn't jump to first Ifd: ", i3));
            }
            return;
        }
        StringBuilder a = outline.m2937a("Invalid start code: ");
        a.append(Integer.toHexString(readUnsignedShort));
        throw new IOException(a.toString());
    }

    /* renamed from: a */
    public final void mo3275a(C0443a aVar, HashMap hashMap) throws IOException {
        int i;
        C0444b bVar = (C0444b) hashMap.get("JPEGInterchangeFormat");
        C0444b bVar2 = (C0444b) hashMap.get("JPEGInterchangeFormatLength");
        if (bVar != null && bVar2 != null) {
            int b = bVar.mo3306b(this.f2701f);
            int min = Math.min(bVar2.mo3306b(this.f2701f), aVar.available() - b);
            int i2 = this.f2698c;
            if (i2 == 4 || i2 == 9 || i2 == 10) {
                i = this.f2703h;
            } else {
                if (i2 == 7) {
                    i = this.f2704i;
                }
                if (b > 0 && min > 0 && this.f2696a == null && this.f2697b == null) {
                    aVar.mo3287e((long) b);
                    aVar.readFully(new byte[min]);
                    return;
                }
                return;
            }
            b += i;
            if (b > 0) {
            }
        }
    }

    /* renamed from: a */
    public final boolean mo3276a(HashMap hashMap) throws IOException {
        C0444b bVar = (C0444b) hashMap.get("ImageLength");
        C0444b bVar2 = (C0444b) hashMap.get("ImageWidth");
        if (bVar == null || bVar2 == null) {
            return false;
        }
        return bVar.mo3306b(this.f2701f) <= 512 && bVar2.mo3306b(this.f2701f) <= 512;
    }

    /* renamed from: a */
    public final void mo3271a(int i, int i2) throws IOException {
        if (!this.f2699d[i].isEmpty() && !this.f2699d[i2].isEmpty()) {
            C0444b bVar = this.f2699d[i].get("ImageLength");
            C0444b bVar2 = this.f2699d[i].get("ImageWidth");
            C0444b bVar3 = this.f2699d[i2].get("ImageLength");
            C0444b bVar4 = this.f2699d[i2].get("ImageWidth");
            if (bVar != null && bVar2 != null && bVar3 != null && bVar4 != null) {
                int b = bVar.mo3306b(this.f2701f);
                int b2 = bVar2.mo3306b(this.f2701f);
                int b3 = bVar3.mo3306b(this.f2701f);
                int b4 = bVar4.mo3306b(this.f2701f);
                if (b < b3 && b2 < b4) {
                    HashMap<String, C0444b>[] hashMapArr = this.f2699d;
                    HashMap<String, C0444b> hashMap = hashMapArr[i];
                    hashMapArr[i] = hashMapArr[i2];
                    hashMapArr[i2] = hashMap;
                }
            }
        }
    }

    /* renamed from: a */
    public static long[] m2113a(Object obj) {
        if (obj instanceof int[]) {
            int[] iArr = (int[]) obj;
            long[] jArr = new long[iArr.length];
            for (int i = 0; i < iArr.length; i++) {
                jArr[i] = (long) iArr[i];
            }
            return jArr;
        } else if (obj instanceof long[]) {
            return (long[]) obj;
        } else {
            return null;
        }
    }
}
