package p008b.p058m.p059d;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.Intent;
import android.content.IntentSender;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.Window;
import androidx.activity.ComponentActivity;
import androidx.activity.OnBackPressedDispatcher;
import androidx.fragment.app.Fragment;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p009a.OnBackPressedDispatcherOwner;
import p008b.p026e.ContainerHelpers;
import p008b.p026e.SparseArrayCompat;
import p008b.p033h.p034e.ActivityCompat;
import p008b.p033h.p034e.SharedElementCallback;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleRegistry;
import p008b.p063o.ViewModelStore;
import p008b.p063o.ViewModelStoreOwner;
import p008b.p064p.p065a.LoaderManager;

/* renamed from: b.m.d.c */
public class FragmentActivity extends ComponentActivity implements ActivityCompat.C0352b, ActivityCompat.C0354d {
    public static final String ALLOCATED_REQUEST_INDICIES_TAG = "android:support:request_indicies";
    public static final String FRAGMENTS_TAG = "android:support:fragments";
    public static final int MAX_NUM_PENDING_FRAGMENT_ACTIVITY_RESULTS = 65534;
    public static final String NEXT_CANDIDATE_REQUEST_INDEX_TAG = "android:support:next_request_index";
    public static final String REQUEST_FRAGMENT_WHO_TAG = "android:support:request_fragment_who";
    public static final String TAG = "FragmentActivity";
    public boolean mCreated;
    public final LifecycleRegistry mFragmentLifecycleRegistry = new LifecycleRegistry(this);
    public final FragmentController mFragments;
    public int mNextCandidateRequestIndex;
    public SparseArrayCompat<String> mPendingFragmentActivityResults;
    public boolean mRequestedPermissionsFromFragment;
    public boolean mResumed;
    public boolean mStartedActivityFromFragment;
    public boolean mStartedIntentSenderFromFragment;
    public boolean mStopped = true;

    /* renamed from: b.m.d.c$a */
    /* compiled from: FragmentActivity */
    public class C0452a extends FragmentHostCallback<FragmentActivity> implements ViewModelStoreOwner, OnBackPressedDispatcherOwner {
        public C0452a() {
            super(FragmentActivity.this);
        }

        /* renamed from: a */
        public View mo937a(int i) {
            return FragmentActivity.this.findViewById(i);
        }

        public Lifecycle getLifecycle() {
            return FragmentActivity.this.mFragmentLifecycleRegistry;
        }

        public OnBackPressedDispatcher getOnBackPressedDispatcher() {
            return FragmentActivity.this.getOnBackPressedDispatcher();
        }

        public ViewModelStore getViewModelStore() {
            return FragmentActivity.this.getViewModelStore();
        }

        /* renamed from: a */
        public boolean mo938a() {
            Window window = FragmentActivity.this.getWindow();
            return (window == null || window.peekDecorView() == null) ? false : true;
        }
    }

    public FragmentActivity() {
        C0452a aVar = new C0452a();
        MediaDescriptionCompatApi21.m43a(aVar, (Object) "callbacks == null");
        this.mFragments = new FragmentController(aVar);
    }

    private int allocateRequestIndex(Fragment fragment) {
        if (this.mPendingFragmentActivityResults.mo2819b() < 65534) {
            while (true) {
                SparseArrayCompat<String> iVar = this.mPendingFragmentActivityResults;
                int i = this.mNextCandidateRequestIndex;
                if (iVar.f1925b) {
                    iVar.mo2817a();
                }
                if (ContainerHelpers.m1563a(iVar.f1926c, iVar.f1928e, i) >= 0) {
                    this.mNextCandidateRequestIndex = (this.mNextCandidateRequestIndex + 1) % 65534;
                } else {
                    int i2 = this.mNextCandidateRequestIndex;
                    this.mPendingFragmentActivityResults.mo2823c(i2, fragment.mWho);
                    this.mNextCandidateRequestIndex = (this.mNextCandidateRequestIndex + 1) % 65534;
                    return i2;
                }
            }
        } else {
            throw new IllegalStateException("Too many pending Fragment activity results.");
        }
    }

    public static void checkForValidRequestCode(int i) {
        if ((i & -65536) != 0) {
            throw new IllegalArgumentException("Can only use lower 16 bits for requestCode");
        }
    }

    private void markFragmentsCreated() {
        do {
        } while (markState(getSupportFragmentManager(), Lifecycle.C0489b.CREATED));
    }

    public static boolean markState(FragmentManager oVar, Lifecycle.C0489b bVar) {
        boolean z = false;
        for (Fragment next : oVar.f2833c.mo3524c()) {
            if (next != null) {
                if (next.getHost() != null) {
                    z |= markState(next.getChildFragmentManager(), bVar);
                }
                if (((LifecycleRegistry) next.getLifecycle()).f2954b.mo3554a(Lifecycle.C0489b.STARTED)) {
                    next.mLifecycleRegistry.mo3557a(bVar);
                    z = true;
                }
            }
        }
        return z;
    }

    public final View dispatchFragmentsOnCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        return this.mFragments.f2816a.f2822e.f2836f.onCreateView(view, str, context, attributeSet);
    }

    public void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        super.dump(str, fileDescriptor, printWriter, strArr);
        printWriter.print(str);
        printWriter.print("Local FragmentActivity ");
        printWriter.print(Integer.toHexString(System.identityHashCode(this)));
        printWriter.println(" State:");
        String str2 = str + "  ";
        printWriter.print(str2);
        printWriter.print("mCreated=");
        printWriter.print(this.mCreated);
        printWriter.print(" mResumed=");
        printWriter.print(this.mResumed);
        printWriter.print(" mStopped=");
        printWriter.print(this.mStopped);
        if (getApplication() != null) {
            LoaderManager.m2373a(this).mo3594a(str2, fileDescriptor, printWriter, strArr);
        }
        this.mFragments.f2816a.f2822e.mo3445a(str, fileDescriptor, printWriter, strArr);
    }

    public FragmentManager getSupportFragmentManager() {
        return this.mFragments.f2816a.f2822e;
    }

    @Deprecated
    public LoaderManager getSupportLoaderManager() {
        return LoaderManager.m2373a(this);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        this.mFragments.mo3412a();
        int i3 = i >> 16;
        if (i3 != 0) {
            int i4 = i3 - 1;
            String a = this.mPendingFragmentActivityResults.mo2816a(i4);
            this.mPendingFragmentActivityResults.mo2822c(i4);
            if (a == null) {
                Log.w(TAG, "Activity result delivered for unknown Fragment.");
                return;
            }
            Fragment c = this.mFragments.f2816a.f2822e.mo3461c(a);
            if (c == null) {
                Log.w(TAG, "Activity result no fragment exists for who: " + a);
                return;
            }
            c.onActivityResult(i & 65535, i2, intent);
            return;
        }
        ActivityCompat.m1754a();
        super.onActivityResult(i, i2, intent);
    }

    public void onAttachFragment(Fragment fragment) {
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.mFragments.mo3412a();
        this.mFragments.f2816a.f2822e.mo3434a(configuration);
    }

    public void onCreate(Bundle bundle) {
        FragmentHostCallback<?> lVar = this.mFragments.f2816a;
        lVar.f2822e.mo3443a(lVar, lVar, (Fragment) null);
        if (bundle != null) {
            Parcelable parcelable = bundle.getParcelable(FRAGMENTS_TAG);
            FragmentHostCallback<?> lVar2 = this.mFragments.f2816a;
            if (lVar2 instanceof ViewModelStoreOwner) {
                lVar2.f2822e.mo3435a(parcelable);
                if (bundle.containsKey(NEXT_CANDIDATE_REQUEST_INDEX_TAG)) {
                    this.mNextCandidateRequestIndex = bundle.getInt(NEXT_CANDIDATE_REQUEST_INDEX_TAG);
                    int[] intArray = bundle.getIntArray(ALLOCATED_REQUEST_INDICIES_TAG);
                    String[] stringArray = bundle.getStringArray(REQUEST_FRAGMENT_WHO_TAG);
                    if (intArray == null || stringArray == null || intArray.length != stringArray.length) {
                        Log.w(TAG, "Invalid requestCode mapping in savedInstanceState.");
                    } else {
                        this.mPendingFragmentActivityResults = new SparseArrayCompat<>(intArray.length);
                        for (int i = 0; i < intArray.length; i++) {
                            this.mPendingFragmentActivityResults.mo2823c(intArray[i], stringArray[i]);
                        }
                    }
                }
            } else {
                throw new IllegalStateException("Your FragmentHostCallback must implement ViewModelStoreOwner to call restoreSaveState(). Call restoreAllState()  if you're still using retainNestedNonConfig().");
            }
        }
        if (this.mPendingFragmentActivityResults == null) {
            this.mPendingFragmentActivityResults = new SparseArrayCompat<>(10);
            this.mNextCandidateRequestIndex = 0;
        }
        super.onCreate(bundle);
        this.mFragmentLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_CREATE);
        this.mFragments.f2816a.f2822e.mo3454b();
    }

    public boolean onCreatePanelMenu(int i, Menu menu) {
        if (i != 0) {
            return super.onCreatePanelMenu(i, menu);
        }
        boolean onCreatePanelMenu = super.onCreatePanelMenu(i, menu);
        FragmentController jVar = this.mFragments;
        return onCreatePanelMenu | jVar.f2816a.f2822e.mo3449a(menu, getMenuInflater());
    }

    public View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        View dispatchFragmentsOnCreateView = dispatchFragmentsOnCreateView(view, str, context, attributeSet);
        return dispatchFragmentsOnCreateView == null ? super.onCreateView(view, str, context, attributeSet) : dispatchFragmentsOnCreateView;
    }

    public void onDestroy() {
        super.onDestroy();
        this.mFragments.f2816a.f2822e.mo3462c();
        this.mFragmentLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_DESTROY);
    }

    public void onLowMemory() {
        super.onLowMemory();
        this.mFragments.f2816a.f2822e.mo3466d();
    }

    public boolean onMenuItemSelected(int i, MenuItem menuItem) {
        if (super.onMenuItemSelected(i, menuItem)) {
            return true;
        }
        if (i == 0) {
            return this.mFragments.f2816a.f2822e.mo3459b(menuItem);
        }
        if (i != 6) {
            return false;
        }
        return this.mFragments.f2816a.f2822e.mo3450a(menuItem);
    }

    public void onMultiWindowModeChanged(boolean z) {
        this.mFragments.f2816a.f2822e.mo3448a(z);
    }

    public void onNewIntent(@SuppressLint({"UnknownNullness"}) Intent intent) {
        super.onNewIntent(intent);
        this.mFragments.mo3412a();
    }

    public void onPanelClosed(int i, Menu menu) {
        if (i == 0) {
            this.mFragments.f2816a.f2822e.mo3436a(menu);
        }
        super.onPanelClosed(i, menu);
    }

    public void onPause() {
        super.onPause();
        this.mResumed = false;
        this.mFragments.f2816a.f2822e.mo3432a(3);
        this.mFragmentLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_PAUSE);
    }

    public void onPictureInPictureModeChanged(boolean z) {
        this.mFragments.f2816a.f2822e.mo3457b(z);
    }

    public void onPostResume() {
        super.onPostResume();
        onResumeFragments();
    }

    @Deprecated
    public boolean onPrepareOptionsPanel(View view, Menu menu) {
        return super.onPreparePanel(0, view, menu);
    }

    public boolean onPreparePanel(int i, View view, Menu menu) {
        if (i == 0) {
            return onPrepareOptionsPanel(view, menu) | this.mFragments.f2816a.f2822e.mo3458b(menu);
        }
        return super.onPreparePanel(i, view, menu);
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        this.mFragments.mo3412a();
        int i2 = (i >> 16) & 65535;
        if (i2 != 0) {
            int i3 = i2 - 1;
            String a = this.mPendingFragmentActivityResults.mo2816a(i3);
            this.mPendingFragmentActivityResults.mo2822c(i3);
            if (a == null) {
                Log.w(TAG, "Activity result delivered for unknown Fragment.");
                return;
            }
            Fragment c = this.mFragments.f2816a.f2822e.mo3461c(a);
            if (c == null) {
                Log.w(TAG, "Activity result no fragment exists for who: " + a);
                return;
            }
            c.onRequestPermissionsResult(i & 65535, strArr, iArr);
        }
    }

    public void onResume() {
        super.onResume();
        this.mResumed = true;
        this.mFragments.mo3412a();
        this.mFragments.f2816a.f2822e.mo3468d(true);
    }

    public void onResumeFragments() {
        this.mFragmentLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_RESUME);
        FragmentManager oVar = this.mFragments.f2816a.f2822e;
        oVar.f2851u = false;
        oVar.f2852v = false;
        oVar.mo3432a(4);
    }

    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        markFragmentsCreated();
        this.mFragmentLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_STOP);
        Parcelable k = this.mFragments.f2816a.f2822e.mo3481k();
        if (k != null) {
            bundle.putParcelable(FRAGMENTS_TAG, k);
        }
        if (this.mPendingFragmentActivityResults.mo2819b() > 0) {
            bundle.putInt(NEXT_CANDIDATE_REQUEST_INDEX_TAG, this.mNextCandidateRequestIndex);
            int[] iArr = new int[this.mPendingFragmentActivityResults.mo2819b()];
            String[] strArr = new String[this.mPendingFragmentActivityResults.mo2819b()];
            for (int i = 0; i < this.mPendingFragmentActivityResults.mo2819b(); i++) {
                iArr[i] = this.mPendingFragmentActivityResults.mo2820b(i);
                strArr[i] = this.mPendingFragmentActivityResults.mo2825d(i);
            }
            bundle.putIntArray(ALLOCATED_REQUEST_INDICIES_TAG, iArr);
            bundle.putStringArray(REQUEST_FRAGMENT_WHO_TAG, strArr);
        }
    }

    public void onStart() {
        super.onStart();
        this.mStopped = false;
        if (!this.mCreated) {
            this.mCreated = true;
            FragmentManager oVar = this.mFragments.f2816a.f2822e;
            oVar.f2851u = false;
            oVar.f2852v = false;
            oVar.mo3432a(2);
        }
        this.mFragments.mo3412a();
        this.mFragments.f2816a.f2822e.mo3468d(true);
        this.mFragmentLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_START);
        FragmentManager oVar2 = this.mFragments.f2816a.f2822e;
        oVar2.f2851u = false;
        oVar2.f2852v = false;
        oVar2.mo3432a(3);
    }

    public void onStateNotSaved() {
        this.mFragments.mo3412a();
    }

    public void onStop() {
        super.onStop();
        this.mStopped = true;
        markFragmentsCreated();
        FragmentManager oVar = this.mFragments.f2816a.f2822e;
        oVar.f2852v = true;
        oVar.mo3432a(2);
        this.mFragmentLifecycleRegistry.mo3556a(Lifecycle.C0488a.ON_STOP);
    }

    /* JADX INFO: finally extract failed */
    public void requestPermissionsFromFragment(Fragment fragment, String[] strArr, int i) {
        if (i == -1) {
            ActivityCompat.m1758a(this, strArr, i);
            return;
        }
        checkForValidRequestCode(i);
        try {
            this.mRequestedPermissionsFromFragment = true;
            ActivityCompat.m1758a(this, strArr, ((allocateRequestIndex(fragment) + 1) << 16) + (i & 65535));
            this.mRequestedPermissionsFromFragment = false;
        } catch (Throwable th) {
            this.mRequestedPermissionsFromFragment = false;
            throw th;
        }
    }

    public void setEnterSharedElementCallback(SharedElementCallback lVar) {
        ActivityCompat.m1763e(this);
    }

    public void setExitSharedElementCallback(SharedElementCallback lVar) {
        ActivityCompat.m1764f(this);
    }

    public void startActivityForResult(@SuppressLint({"UnknownNullness"}) Intent intent, int i) {
        if (!this.mStartedActivityFromFragment && i != -1) {
            checkForValidRequestCode(i);
        }
        super.startActivityForResult(intent, i);
    }

    public void startActivityFromFragment(Fragment fragment, @SuppressLint({"UnknownNullness"}) Intent intent, int i) {
        startActivityFromFragment(fragment, intent, i, (Bundle) null);
    }

    public void startIntentSenderForResult(@SuppressLint({"UnknownNullness"}) IntentSender intentSender, int i, Intent intent, int i2, int i3, int i4) throws IntentSender.SendIntentException {
        if (!this.mStartedIntentSenderFromFragment && i != -1) {
            checkForValidRequestCode(i);
        }
        super.startIntentSenderForResult(intentSender, i, intent, i2, i3, i4);
    }

    public void startIntentSenderFromFragment(Fragment fragment, @SuppressLint({"UnknownNullness"}) IntentSender intentSender, int i, Intent intent, int i2, int i3, int i4, Bundle bundle) throws IntentSender.SendIntentException {
        int i5 = i;
        this.mStartedIntentSenderFromFragment = true;
        if (i5 == -1) {
            try {
                ActivityCompat.m1757a(this, intentSender, i, intent, i2, i3, i4, bundle);
            } finally {
                this.mStartedIntentSenderFromFragment = false;
            }
        } else {
            checkForValidRequestCode(i);
            ActivityCompat.m1757a(this, intentSender, ((allocateRequestIndex(fragment) + 1) << 16) + (i5 & 65535), intent, i2, i3, i4, bundle);
            this.mStartedIntentSenderFromFragment = false;
        }
    }

    public void supportFinishAfterTransition() {
        ActivityCompat.m1760b(this);
    }

    @Deprecated
    public void supportInvalidateOptionsMenu() {
        invalidateOptionsMenu();
    }

    public void supportPostponeEnterTransition() {
        ActivityCompat.m1761c(this);
    }

    public void supportStartPostponedEnterTransition() {
        ActivityCompat.m1765g(this);
    }

    public final void validateRequestPermissionsRequestCode(int i) {
        if (!this.mRequestedPermissionsFromFragment && i != -1) {
            checkForValidRequestCode(i);
        }
    }

    public void startActivityFromFragment(Fragment fragment, @SuppressLint({"UnknownNullness"}) Intent intent, int i, Bundle bundle) {
        this.mStartedActivityFromFragment = true;
        if (i == -1) {
            try {
                ActivityCompat.m1756a(this, intent, -1, bundle);
            } finally {
                this.mStartedActivityFromFragment = false;
            }
        } else {
            checkForValidRequestCode(i);
            ActivityCompat.m1756a(this, intent, ((allocateRequestIndex(fragment) + 1) << 16) + (i & 65535), bundle);
            this.mStartedActivityFromFragment = false;
        }
    }

    public View onCreateView(String str, Context context, AttributeSet attributeSet) {
        View dispatchFragmentsOnCreateView = dispatchFragmentsOnCreateView((View) null, str, context, attributeSet);
        return dispatchFragmentsOnCreateView == null ? super.onCreateView(str, context, attributeSet) : dispatchFragmentsOnCreateView;
    }

    public void startActivityForResult(@SuppressLint({"UnknownNullness"}) Intent intent, int i, Bundle bundle) {
        if (!this.mStartedActivityFromFragment && i != -1) {
            checkForValidRequestCode(i);
        }
        super.startActivityForResult(intent, i, bundle);
    }

    public void startIntentSenderForResult(@SuppressLint({"UnknownNullness"}) IntentSender intentSender, int i, Intent intent, int i2, int i3, int i4, Bundle bundle) throws IntentSender.SendIntentException {
        if (!this.mStartedIntentSenderFromFragment && i != -1) {
            checkForValidRequestCode(i);
        }
        super.startIntentSenderForResult(intentSender, i, intent, i2, i3, i4, bundle);
    }

    public FragmentActivity(int i) {
        super(i);
        C0452a aVar = new C0452a();
        MediaDescriptionCompatApi21.m43a(aVar, (Object) "callbacks == null");
        this.mFragments = new FragmentController(aVar);
    }
}
