package p008b.p058m.p059d;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentContainerView;
import p008b.p058m.C0449c;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.m.d.m */
public class FragmentLayoutInflaterFactory implements LayoutInflater.Factory2 {

    /* renamed from: b */
    public final FragmentManager f2823b;

    public FragmentLayoutInflaterFactory(FragmentManager oVar) {
        this.f2823b = oVar;
    }

    public View onCreateView(String str, Context context, AttributeSet attributeSet) {
        return onCreateView((View) null, str, context, attributeSet);
    }

    public View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        if (FragmentContainerView.class.getName().equals(str)) {
            return new FragmentContainerView(context, attributeSet, this.f2823b);
        }
        Fragment fragment = null;
        if (!"fragment".equals(str)) {
            return null;
        }
        String attributeValue = attributeSet.getAttributeValue((String) null, "class");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, C0449c.Fragment);
        if (attributeValue == null) {
            attributeValue = obtainStyledAttributes.getString(C0449c.Fragment_android_name);
        }
        int resourceId = obtainStyledAttributes.getResourceId(C0449c.Fragment_android_id, -1);
        String string = obtainStyledAttributes.getString(C0449c.Fragment_android_tag);
        obtainStyledAttributes.recycle();
        if (attributeValue == null || !FragmentFactory.m2218b(context.getClassLoader(), attributeValue)) {
            return null;
        }
        int id = view != null ? view.getId() : 0;
        if (id == -1 && resourceId == -1 && string == null) {
            throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Must specify unique android:id, android:tag, or have a parent with an id for " + attributeValue);
        }
        if (resourceId != -1) {
            fragment = this.f2823b.mo3452b(resourceId);
        }
        if (fragment == null && string != null) {
            fragment = this.f2823b.mo3453b(string);
        }
        if (fragment == null && id != -1) {
            fragment = this.f2823b.mo3452b(id);
        }
        if (FragmentManager.m2236c(2)) {
            StringBuilder a = outline.m2937a("onCreateView: id=0x");
            a.append(Integer.toHexString(resourceId));
            a.append(" fname=");
            a.append(attributeValue);
            a.append(" existing=");
            a.append(fragment);
            Log.v("FragmentManager", a.toString());
        }
        if (fragment == null) {
            fragment = this.f2823b.mo3473g().mo3413a(context.getClassLoader(), attributeValue);
            fragment.mFromLayout = true;
            fragment.mFragmentId = resourceId != 0 ? resourceId : id;
            fragment.mContainerId = id;
            fragment.mTag = string;
            fragment.mInLayout = true;
            FragmentManager oVar = this.f2823b;
            fragment.mFragmentManager = oVar;
            FragmentHostCallback<?> lVar = oVar.f2844n;
            fragment.mHost = lVar;
            fragment.onInflate(lVar.f2820c, attributeSet, fragment.mSavedFragmentState);
            this.f2823b.mo3437a(fragment);
            FragmentManager oVar2 = this.f2823b;
            oVar2.mo3438a(fragment, oVar2.f2843m);
        } else if (!fragment.mInLayout) {
            fragment.mInLayout = true;
            FragmentHostCallback<?> lVar2 = this.f2823b.f2844n;
            fragment.mHost = lVar2;
            fragment.onInflate(lVar2.f2820c, attributeSet, fragment.mSavedFragmentState);
        } else {
            throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Duplicate id 0x" + Integer.toHexString(resourceId) + ", tag " + string + ", or parent id 0x" + Integer.toHexString(id) + " with another fragment for " + attributeValue);
        }
        FragmentManager oVar3 = this.f2823b;
        if (oVar3.f2843m >= 1 || !fragment.mFromLayout) {
            FragmentManager oVar4 = this.f2823b;
            oVar4.mo3438a(fragment, oVar4.f2843m);
        } else {
            oVar3.mo3438a(fragment, 1);
        }
        View view2 = fragment.mView;
        if (view2 != null) {
            if (resourceId != 0) {
                view2.setId(resourceId);
            }
            if (fragment.mView.getTag() == null) {
                fragment.mView.setTag(string);
            }
            return fragment.mView;
        }
        throw new IllegalStateException(outline.m2934a("Fragment ", attributeValue, " did not create a view."));
    }
}
