package p008b.p058m.p059d;

import android.os.Bundle;
import android.os.Parcelable;
import android.util.Log;
import android.util.SparseArray;
import androidx.fragment.app.Fragment;
import p008b.p063o.Lifecycle;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.m.d.u */
public class FragmentStateManager {

    /* renamed from: a */
    public final FragmentLifecycleCallbacksDispatcher f2896a;

    /* renamed from: b */
    public final Fragment f2897b;

    /* renamed from: c */
    public int f2898c = -1;

    public FragmentStateManager(FragmentLifecycleCallbacksDispatcher nVar, Fragment fragment) {
        this.f2896a = nVar;
        this.f2897b = fragment;
    }

    /* renamed from: a */
    public void mo3516a(ClassLoader classLoader) {
        Bundle bundle = this.f2897b.mSavedFragmentState;
        if (bundle != null) {
            bundle.setClassLoader(classLoader);
            Fragment fragment = this.f2897b;
            fragment.mSavedViewState = fragment.mSavedFragmentState.getSparseParcelableArray("android:view_state");
            Fragment fragment2 = this.f2897b;
            fragment2.mTargetWho = fragment2.mSavedFragmentState.getString("android:target_state");
            Fragment fragment3 = this.f2897b;
            if (fragment3.mTargetWho != null) {
                fragment3.mTargetRequestCode = fragment3.mSavedFragmentState.getInt("android:target_req_state", 0);
            }
            Fragment fragment4 = this.f2897b;
            Boolean bool = fragment4.mSavedUserVisibleHint;
            if (bool != null) {
                fragment4.mUserVisibleHint = bool.booleanValue();
                this.f2897b.mSavedUserVisibleHint = null;
            } else {
                fragment4.mUserVisibleHint = fragment4.mSavedFragmentState.getBoolean("android:user_visible_hint", true);
            }
            Fragment fragment5 = this.f2897b;
            if (!fragment5.mUserVisibleHint) {
                fragment5.mDeferStart = true;
            }
        }
    }

    public FragmentStateManager(FragmentLifecycleCallbacksDispatcher nVar, ClassLoader classLoader, FragmentFactory kVar, FragmentState tVar) {
        this.f2896a = nVar;
        this.f2897b = kVar.mo3413a(classLoader, tVar.f2883b);
        Bundle bundle = tVar.f2892k;
        if (bundle != null) {
            bundle.setClassLoader(classLoader);
        }
        this.f2897b.setArguments(tVar.f2892k);
        Fragment fragment = this.f2897b;
        fragment.mWho = tVar.f2884c;
        fragment.mFromLayout = tVar.f2885d;
        fragment.mRestored = true;
        fragment.mFragmentId = tVar.f2886e;
        fragment.mContainerId = tVar.f2887f;
        fragment.mTag = tVar.f2888g;
        fragment.mRetainInstance = tVar.f2889h;
        fragment.mRemoving = tVar.f2890i;
        fragment.mDetached = tVar.f2891j;
        fragment.mHidden = tVar.f2893l;
        fragment.mMaxState = Lifecycle.C0489b.values()[tVar.f2894m];
        Bundle bundle2 = tVar.f2895n;
        if (bundle2 != null) {
            this.f2897b.mSavedFragmentState = bundle2;
        } else {
            this.f2897b.mSavedFragmentState = new Bundle();
        }
        if (FragmentManager.m2236c(2)) {
            StringBuilder a = outline.m2937a("Instantiated fragment ");
            a.append(this.f2897b);
            Log.v("FragmentManager", a.toString());
        }
    }

    /* renamed from: a */
    public void mo3515a() {
        if (this.f2897b.mView != null) {
            SparseArray<Parcelable> sparseArray = new SparseArray<>();
            this.f2897b.mView.saveHierarchyState(sparseArray);
            if (sparseArray.size() > 0) {
                this.f2897b.mSavedViewState = sparseArray;
            }
        }
    }

    public FragmentStateManager(FragmentLifecycleCallbacksDispatcher nVar, Fragment fragment, FragmentState tVar) {
        this.f2896a = nVar;
        this.f2897b = fragment;
        fragment.mSavedViewState = null;
        fragment.mBackStackNesting = 0;
        fragment.mInLayout = false;
        fragment.mAdded = false;
        Fragment fragment2 = fragment.mTarget;
        fragment.mTargetWho = fragment2 != null ? fragment2.mWho : null;
        Fragment fragment3 = this.f2897b;
        fragment3.mTarget = null;
        Bundle bundle = tVar.f2895n;
        if (bundle != null) {
            fragment3.mSavedFragmentState = bundle;
        } else {
            fragment3.mSavedFragmentState = new Bundle();
        }
    }
}
