package p008b.p058m.p059d;

import android.util.Log;
import androidx.fragment.app.Fragment;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/* renamed from: b.m.d.v */
public class FragmentStore {

    /* renamed from: a */
    public final ArrayList<Fragment> f2899a = new ArrayList<>();

    /* renamed from: b */
    public final HashMap<String, FragmentStateManager> f2900b = new HashMap<>();

    /* renamed from: a */
    public void mo3519a(Fragment fragment) {
        if (!this.f2899a.contains(fragment)) {
            synchronized (this.f2899a) {
                this.f2899a.add(fragment);
            }
            fragment.mAdded = true;
            return;
        }
        throw new IllegalStateException("Fragment already added: " + fragment);
    }

    /* renamed from: b */
    public void mo3523b(Fragment fragment) {
        synchronized (this.f2899a) {
            this.f2899a.remove(fragment);
        }
        fragment.mAdded = false;
    }

    /* renamed from: c */
    public List<Fragment> mo3524c() {
        ArrayList arrayList;
        if (this.f2899a.isEmpty()) {
            return Collections.emptyList();
        }
        synchronized (this.f2899a) {
            arrayList = new ArrayList(this.f2899a);
        }
        return arrayList;
    }

    /* renamed from: d */
    public ArrayList<String> mo3525d() {
        synchronized (this.f2899a) {
            if (this.f2899a.isEmpty()) {
                return null;
            }
            ArrayList<String> arrayList = new ArrayList<>(this.f2899a.size());
            Iterator<Fragment> it = this.f2899a.iterator();
            while (it.hasNext()) {
                Fragment next = it.next();
                arrayList.add(next.mWho);
                if (FragmentManager.m2236c(2)) {
                    Log.v("FragmentManager", "saveAllState: adding fragment (" + next.mWho + "): " + next);
                }
            }
            return arrayList;
        }
    }

    /* renamed from: b */
    public List<Fragment> mo3522b() {
        ArrayList arrayList = new ArrayList();
        for (FragmentStateManager next : this.f2900b.values()) {
            if (next != null) {
                arrayList.add(next.f2897b);
            } else {
                arrayList.add((Object) null);
            }
        }
        return arrayList;
    }

    /* renamed from: a */
    public void mo3518a(int i) {
        Iterator<Fragment> it = this.f2899a.iterator();
        while (it.hasNext()) {
            FragmentStateManager uVar = this.f2900b.get(it.next().mWho);
            if (uVar != null) {
                uVar.f2898c = i;
            }
        }
        for (FragmentStateManager next : this.f2900b.values()) {
            if (next != null) {
                next.f2898c = i;
            }
        }
    }

    /* renamed from: b */
    public Fragment mo3521b(String str) {
        FragmentStateManager uVar = this.f2900b.get(str);
        if (uVar != null) {
            return uVar.f2897b;
        }
        return null;
    }

    /* renamed from: a */
    public void mo3517a() {
        this.f2900b.values().removeAll(Collections.singleton((Object) null));
    }

    /* renamed from: a */
    public boolean mo3520a(String str) {
        return this.f2900b.containsKey(str);
    }
}
