package p008b.p063o;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import p008b.p063o.Lifecycle;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.o.b */
public class ClassesInfoCache {

    /* renamed from: c */
    public static ClassesInfoCache f2939c = new ClassesInfoCache();

    /* renamed from: a */
    public final Map<Class<?>, C0486a> f2940a = new HashMap();

    /* renamed from: b */
    public final Map<Class<?>, Boolean> f2941b = new HashMap();

    /* renamed from: b.o.b$a */
    /* compiled from: ClassesInfoCache */
    public static class C0486a {

        /* renamed from: a */
        public final Map<Lifecycle.C0488a, List<C0487b>> f2942a = new HashMap();

        /* renamed from: b */
        public final Map<C0487b, Lifecycle.C0488a> f2943b;

        public C0486a(Map<C0487b, Lifecycle.C0488a> map) {
            this.f2943b = map;
            for (Map.Entry next : map.entrySet()) {
                Lifecycle.C0488a aVar = (Lifecycle.C0488a) next.getValue();
                List list = this.f2942a.get(aVar);
                if (list == null) {
                    list = new ArrayList();
                    this.f2942a.put(aVar, list);
                }
                list.add(next.getKey());
            }
        }

        /* renamed from: a */
        public static void m2332a(List<C0487b> list, LifecycleOwner lVar, Lifecycle.C0488a aVar, Object obj) {
            if (list != null) {
                int size = list.size() - 1;
                while (size >= 0) {
                    C0487b bVar = list.get(size);
                    if (bVar != null) {
                        try {
                            int i = bVar.f2944a;
                            if (i == 0) {
                                bVar.f2945b.invoke(obj, new Object[0]);
                            } else if (i == 1) {
                                bVar.f2945b.invoke(obj, new Object[]{lVar});
                            } else if (i == 2) {
                                bVar.f2945b.invoke(obj, new Object[]{lVar, aVar});
                            }
                            size--;
                        } catch (InvocationTargetException e) {
                            throw new RuntimeException("Failed to call observer method", e.getCause());
                        } catch (IllegalAccessException e2) {
                            throw new RuntimeException(e2);
                        }
                    } else {
                        throw null;
                    }
                }
            }
        }
    }

    /* renamed from: b.o.b$b */
    /* compiled from: ClassesInfoCache */
    public static class C0487b {

        /* renamed from: a */
        public final int f2944a;

        /* renamed from: b */
        public final Method f2945b;

        public C0487b(int i, Method method) {
            this.f2944a = i;
            this.f2945b = method;
            method.setAccessible(true);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || C0487b.class != obj.getClass()) {
                return false;
            }
            C0487b bVar = (C0487b) obj;
            if (this.f2944a != bVar.f2944a || !this.f2945b.getName().equals(bVar.f2945b.getName())) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return this.f2945b.getName().hashCode() + (this.f2944a * 31);
        }
    }

    /* renamed from: a */
    public C0486a mo3534a(Class<?> cls) {
        C0486a aVar = this.f2940a.get(cls);
        if (aVar != null) {
            return aVar;
        }
        return mo3535a(cls, (Method[]) null);
    }

    /* renamed from: a */
    public final void mo3536a(Map<C0487b, Lifecycle.C0488a> map, C0487b bVar, Lifecycle.C0488a aVar, Class<?> cls) {
        Lifecycle.C0488a aVar2 = map.get(bVar);
        if (aVar2 != null && aVar != aVar2) {
            Method method = bVar.f2945b;
            StringBuilder a = outline.m2937a("Method ");
            a.append(method.getName());
            a.append(" in ");
            a.append(cls.getName());
            a.append(" already declared with different @OnLifecycleEvent value: previous value ");
            a.append(aVar2);
            a.append(", new value ");
            a.append(aVar);
            throw new IllegalArgumentException(a.toString());
        } else if (aVar2 == null) {
            map.put(bVar, aVar);
        }
    }

    /* renamed from: a */
    public final C0486a mo3535a(Class<?> cls, Method[] methodArr) {
        int i;
        C0486a a;
        Class<? super Object> superclass = cls.getSuperclass();
        HashMap hashMap = new HashMap();
        if (!(superclass == null || (a = mo3534a(superclass)) == null)) {
            hashMap.putAll(a.f2943b);
        }
        for (Class a2 : cls.getInterfaces()) {
            for (Map.Entry next : mo3534a(a2).f2943b.entrySet()) {
                mo3536a(hashMap, (C0487b) next.getKey(), (Lifecycle.C0488a) next.getValue(), cls);
            }
        }
        if (methodArr == null) {
            try {
                methodArr = cls.getDeclaredMethods();
            } catch (NoClassDefFoundError e) {
                throw new IllegalArgumentException("The observer class has some methods that use newer APIs which are not available in the current OS version. Lifecycles cannot access even other methods so you should make sure that your observer classes only access framework classes that are available in your min API level OR use lifecycle:compiler annotation processor.", e);
            }
        }
        boolean z = false;
        for (Method method : methodArr) {
            OnLifecycleEvent sVar = (OnLifecycleEvent) method.getAnnotation(OnLifecycleEvent.class);
            if (sVar != null) {
                Class[] parameterTypes = method.getParameterTypes();
                if (parameterTypes.length <= 0) {
                    i = 0;
                } else if (parameterTypes[0].isAssignableFrom(LifecycleOwner.class)) {
                    i = 1;
                } else {
                    throw new IllegalArgumentException("invalid parameter type. Must be one and instanceof LifecycleOwner");
                }
                Lifecycle.C0488a value = sVar.value();
                if (parameterTypes.length > 1) {
                    if (!parameterTypes[1].isAssignableFrom(Lifecycle.C0488a.class)) {
                        throw new IllegalArgumentException("invalid parameter type. second arg must be an event");
                    } else if (value == Lifecycle.C0488a.ON_ANY) {
                        i = 2;
                    } else {
                        throw new IllegalArgumentException("Second arg is supported only for ON_ANY value");
                    }
                }
                if (parameterTypes.length <= 2) {
                    mo3536a(hashMap, new C0487b(i, method), value, cls);
                    z = true;
                } else {
                    throw new IllegalArgumentException("cannot have more than 2 params");
                }
            }
        }
        C0486a aVar = new C0486a(hashMap);
        this.f2940a.put(cls, aVar);
        this.f2941b.put(cls, Boolean.valueOf(z));
        return aVar;
    }
}
