package p008b.p063o;

import androidx.lifecycle.CompositeGeneratedAdaptersObserver;
import androidx.lifecycle.FullLifecycleObserverAdapter;
import androidx.lifecycle.ReflectiveGenericLifecycleObserver;
import androidx.lifecycle.SingleGeneratedAdapterObserver;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* renamed from: b.o.o */
public class Lifecycling {

    /* renamed from: a */
    public static Map<Class<?>, Integer> f2962a = new HashMap();

    /* renamed from: b */
    public static Map<Class<?>, List<Constructor<? extends GeneratedAdapter>>> f2963b = new HashMap();

    /* renamed from: a */
    public static LifecycleEventObserver m2355a(Object obj) {
        boolean z = obj instanceof LifecycleEventObserver;
        boolean z2 = obj instanceof FullLifecycleObserver;
        if (z && z2) {
            return new FullLifecycleObserverAdapter((FullLifecycleObserver) obj, (LifecycleEventObserver) obj);
        }
        if (z2) {
            return new FullLifecycleObserverAdapter((FullLifecycleObserver) obj, (LifecycleEventObserver) null);
        }
        if (z) {
            return (LifecycleEventObserver) obj;
        }
        Class<?> cls = obj.getClass();
        if (m2353a(cls) != 2) {
            return new ReflectiveGenericLifecycleObserver(obj);
        }
        List list = f2963b.get(cls);
        if (list.size() == 1) {
            return new SingleGeneratedAdapterObserver(m2354a((Constructor) list.get(0), obj));
        }
        GeneratedAdapter[] eVarArr = new GeneratedAdapter[list.size()];
        for (int i = 0; i < list.size(); i++) {
            eVarArr[i] = m2354a((Constructor) list.get(i), obj);
        }
        return new CompositeGeneratedAdaptersObserver(eVarArr);
    }

    /* renamed from: a */
    public static GeneratedAdapter m2354a(Constructor<? extends GeneratedAdapter> constructor, Object obj) {
        try {
            return (GeneratedAdapter) constructor.newInstance(new Object[]{obj});
        } catch (IllegalAccessException e) {
            throw new RuntimeException(e);
        } catch (InstantiationException e2) {
            throw new RuntimeException(e2);
        } catch (InvocationTargetException e3) {
            throw new RuntimeException(e3);
        }
    }

    /* renamed from: a */
    public static int m2353a(Class<?> cls) {
        Constructor<?> constructor;
        boolean z;
        Integer num = f2962a.get(cls);
        if (num != null) {
            return num.intValue();
        }
        Class<LifecycleObserver> cls2 = LifecycleObserver.class;
        int i = 1;
        if (cls.getCanonicalName() != null) {
            ArrayList arrayList = null;
            try {
                Package packageR = cls.getPackage();
                String canonicalName = cls.getCanonicalName();
                String name = packageR != null ? packageR.getName() : "";
                if (!name.isEmpty()) {
                    canonicalName = canonicalName.substring(name.length() + 1);
                }
                String a = m2356a(canonicalName);
                if (!name.isEmpty()) {
                    a = name + "." + a;
                }
                constructor = Class.forName(a).getDeclaredConstructor(new Class[]{cls});
                if (!constructor.isAccessible()) {
                    constructor.setAccessible(true);
                }
            } catch (ClassNotFoundException unused) {
                constructor = null;
            } catch (NoSuchMethodException e) {
                throw new RuntimeException(e);
            }
            if (constructor != null) {
                f2963b.put(cls, Collections.singletonList(constructor));
            } else {
                ClassesInfoCache bVar = ClassesInfoCache.f2939c;
                Boolean bool = bVar.f2941b.get(cls);
                if (bool != null) {
                    z = bool.booleanValue();
                } else {
                    try {
                        Method[] declaredMethods = cls.getDeclaredMethods();
                        int length = declaredMethods.length;
                        int i2 = 0;
                        while (true) {
                            if (i2 >= length) {
                                bVar.f2941b.put(cls, false);
                                z = false;
                                break;
                            } else if (((OnLifecycleEvent) declaredMethods[i2].getAnnotation(OnLifecycleEvent.class)) != null) {
                                bVar.mo3535a(cls, declaredMethods);
                                z = true;
                                break;
                            } else {
                                i2++;
                            }
                        }
                    } catch (NoClassDefFoundError e2) {
                        throw new IllegalArgumentException("The observer class has some methods that use newer APIs which are not available in the current OS version. Lifecycles cannot access even other methods so you should make sure that your observer classes only access framework classes that are available in your min API level OR use lifecycle:compiler annotation processor.", e2);
                    }
                }
                if (!z) {
                    Class<? super Object> superclass = cls.getSuperclass();
                    if (superclass != null && cls2.isAssignableFrom(superclass)) {
                        if (m2353a((Class<?>) superclass) != 1) {
                            arrayList = new ArrayList(f2963b.get(superclass));
                        }
                    }
                    Class[] interfaces = cls.getInterfaces();
                    int length2 = interfaces.length;
                    int i3 = 0;
                    while (true) {
                        if (i3 < length2) {
                            Class cls3 = interfaces[i3];
                            if (cls3 != null && cls2.isAssignableFrom(cls3)) {
                                if (m2353a((Class<?>) cls3) == 1) {
                                    break;
                                }
                                if (arrayList == null) {
                                    arrayList = new ArrayList();
                                }
                                arrayList.addAll(f2963b.get(cls3));
                            }
                            i3++;
                        } else if (arrayList != null) {
                            f2963b.put(cls, arrayList);
                        }
                    }
                }
            }
            i = 2;
        }
        f2962a.put(cls, Integer.valueOf(i));
        return i;
    }

    /* renamed from: a */
    public static String m2356a(String str) {
        return str.replace(".", "_") + "_LifecycleAdapter";
    }
}
