package p008b.p067r;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.content.res.TypedArray;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.AttributeSet;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import p008b.p067r.Navigator;
import p085c.p086a.p087a.p088a.outline;

@Navigator.C0532b("activity")
/* renamed from: b.r.a */
public class ActivityNavigator extends Navigator<C0508a> {

    /* renamed from: a */
    public Context f3003a;

    /* renamed from: b */
    public Activity f3004b;

    /* renamed from: b.r.a$a */
    /* compiled from: ActivityNavigator */
    public static class C0508a extends NavDestination {

        /* renamed from: j */
        public Intent f3005j;

        /* renamed from: k */
        public String f3006k;

        public C0508a(Navigator<? extends C0508a> qVar) {
            super(qVar);
        }

        /* renamed from: a */
        public void mo1006a(Context context, AttributeSet attributeSet) {
            super.mo1006a(context, attributeSet);
            TypedArray obtainAttributes = context.getResources().obtainAttributes(attributeSet, C0534t.ActivityNavigator);
            String string = obtainAttributes.getString(C0534t.ActivityNavigator_targetPackage);
            if (string != null) {
                string = string.replace("${applicationId}", context.getPackageName());
            }
            if (this.f3005j == null) {
                this.f3005j = new Intent();
            }
            this.f3005j.setPackage(string);
            String string2 = obtainAttributes.getString(C0534t.ActivityNavigator_android_name);
            if (string2 != null) {
                if (string2.charAt(0) == '.') {
                    string2 = context.getPackageName() + string2;
                }
                ComponentName componentName = new ComponentName(context, string2);
                if (this.f3005j == null) {
                    this.f3005j = new Intent();
                }
                this.f3005j.setComponent(componentName);
            }
            String string3 = obtainAttributes.getString(C0534t.ActivityNavigator_action);
            if (this.f3005j == null) {
                this.f3005j = new Intent();
            }
            this.f3005j.setAction(string3);
            String string4 = obtainAttributes.getString(C0534t.ActivityNavigator_data);
            if (string4 != null) {
                Uri parse = Uri.parse(string4);
                if (this.f3005j == null) {
                    this.f3005j = new Intent();
                }
                this.f3005j.setData(parse);
            }
            this.f3006k = obtainAttributes.getString(C0534t.ActivityNavigator_dataPattern);
            obtainAttributes.recycle();
        }

        /* renamed from: b */
        public boolean mo3603b() {
            return false;
        }

        public String toString() {
            ComponentName componentName;
            Intent intent = this.f3005j;
            String str = null;
            if (intent == null) {
                componentName = null;
            } else {
                componentName = intent.getComponent();
            }
            StringBuilder sb = new StringBuilder();
            sb.append(super.toString());
            if (componentName != null) {
                sb.append(" class=");
                sb.append(componentName.getClassName());
            } else {
                Intent intent2 = this.f3005j;
                if (intent2 != null) {
                    str = intent2.getAction();
                }
                if (str != null) {
                    sb.append(" action=");
                    sb.append(str);
                }
            }
            return sb.toString();
        }
    }

    /* renamed from: b.r.a$b */
    /* compiled from: ActivityNavigator */
    public static final class C0509b implements Navigator.C0531a {
    }

    public ActivityNavigator(Context context) {
        this.f3003a = context;
        while (context instanceof ContextWrapper) {
            if (context instanceof Activity) {
                this.f3004b = (Activity) context;
                return;
            }
            context = ((ContextWrapper) context).getBaseContext();
        }
    }

    /* renamed from: a */
    public NavDestination mo1002a(NavDestination iVar, Bundle bundle, NavOptions oVar, Navigator.C0531a aVar) {
        Intent intent;
        int intExtra;
        C0508a aVar2 = (C0508a) iVar;
        if (aVar2.f3005j != null) {
            Intent intent2 = new Intent(aVar2.f3005j);
            if (bundle != null) {
                intent2.putExtras(bundle);
                String str = aVar2.f3006k;
                if (!TextUtils.isEmpty(str)) {
                    StringBuffer stringBuffer = new StringBuffer();
                    Matcher matcher = Pattern.compile("\\{(.+?)\\}").matcher(str);
                    while (matcher.find()) {
                        String group = matcher.group(1);
                        if (bundle.containsKey(group)) {
                            matcher.appendReplacement(stringBuffer, "");
                            stringBuffer.append(Uri.encode(bundle.get(group).toString()));
                        } else {
                            throw new IllegalArgumentException("Could not find " + group + " in " + bundle + " to fill data pattern " + str);
                        }
                    }
                    matcher.appendTail(stringBuffer);
                    intent2.setData(Uri.parse(stringBuffer.toString()));
                }
            }
            boolean z = aVar instanceof C0509b;
            int i = 0;
            if (z) {
                if (((C0509b) aVar) != null) {
                    intent2.addFlags(0);
                } else {
                    throw null;
                }
            }
            if (!(this.f3003a instanceof Activity)) {
                intent2.addFlags(268435456);
            }
            if (oVar != null && oVar.f3059a) {
                intent2.addFlags(536870912);
            }
            Activity activity = this.f3004b;
            if (!(activity == null || (intent = activity.getIntent()) == null || (intExtra = intent.getIntExtra("android-support-navigation:ActivityNavigator:current", 0)) == 0)) {
                intent2.putExtra("android-support-navigation:ActivityNavigator:source", intExtra);
            }
            intent2.putExtra("android-support-navigation:ActivityNavigator:current", aVar2.f3040d);
            if (oVar != null) {
                intent2.putExtra("android-support-navigation:ActivityNavigator:popEnterAnim", oVar.f3064f);
                intent2.putExtra("android-support-navigation:ActivityNavigator:popExitAnim", oVar.f3065g);
            }
            if (!z) {
                this.f3003a.startActivity(intent2);
            } else if (((C0509b) aVar) != null) {
                this.f3003a.startActivity(intent2);
            } else {
                throw null;
            }
            if (!(oVar == null || this.f3004b == null)) {
                int i2 = oVar.f3062d;
                int i3 = oVar.f3063e;
                if (!(i2 == -1 && i3 == -1)) {
                    if (i2 == -1) {
                        i2 = 0;
                    }
                    if (i3 != -1) {
                        i = i3;
                    }
                    this.f3004b.overridePendingTransition(i2, i);
                }
            }
            return null;
        }
        StringBuilder a = outline.m2937a("Destination ");
        a.append(aVar2.f3040d);
        a.append(" does not have an Intent set.");
        throw new IllegalStateException(a.toString());
    }

    /* renamed from: c */
    public boolean mo1005c() {
        Activity activity = this.f3004b;
        if (activity == null) {
            return false;
        }
        activity.finish();
        return true;
    }

    /* renamed from: a */
    public NavDestination mo1001a() {
        return new C0508a(this);
    }
}
