package p008b.p067r;

import android.app.Application;
import android.content.Context;
import android.os.Bundle;
import java.util.UUID;
import p008b.p063o.HasDefaultViewModelProviderFactory;
import p008b.p063o.Lifecycle;
import p008b.p063o.LifecycleOwner;
import p008b.p063o.LifecycleRegistry;
import p008b.p063o.SavedStateViewModelFactory;
import p008b.p063o.ViewModelProvider;
import p008b.p063o.ViewModelStore;
import p008b.p063o.ViewModelStoreOwner;
import p008b.p076u.SavedStateRegistry;
import p008b.p076u.SavedStateRegistryController;
import p008b.p076u.SavedStateRegistryOwner;

/* renamed from: b.r.e */
public final class NavBackStackEntry implements LifecycleOwner, ViewModelStoreOwner, HasDefaultViewModelProviderFactory, SavedStateRegistryOwner {

    /* renamed from: b */
    public final Context f3014b;

    /* renamed from: c */
    public final NavDestination f3015c;

    /* renamed from: d */
    public final Bundle f3016d;

    /* renamed from: e */
    public final LifecycleRegistry f3017e;

    /* renamed from: f */
    public final SavedStateRegistryController f3018f;

    /* renamed from: g */
    public final UUID f3019g;

    /* renamed from: h */
    public Lifecycle.C0489b f3020h;

    /* renamed from: i */
    public Lifecycle.C0489b f3021i;

    /* renamed from: j */
    public NavControllerViewModel f3022j;

    /* renamed from: k */
    public ViewModelProvider.C0500b f3023k;

    public NavBackStackEntry(Context context, NavDestination iVar, Bundle bundle, LifecycleOwner lVar, NavControllerViewModel gVar) {
        this(context, iVar, bundle, lVar, gVar, UUID.randomUUID(), (Bundle) null);
    }

    /* renamed from: a */
    public void mo3608a(Lifecycle.C0489b bVar) {
        this.f3021i = bVar;
        mo3607a();
    }

    public ViewModelProvider.C0500b getDefaultViewModelProviderFactory() {
        if (this.f3023k == null) {
            this.f3023k = new SavedStateViewModelFactory((Application) this.f3014b.getApplicationContext(), this, this.f3016d);
        }
        return this.f3023k;
    }

    public Lifecycle getLifecycle() {
        return this.f3017e;
    }

    public SavedStateRegistry getSavedStateRegistry() {
        return this.f3018f.f3401b;
    }

    public ViewModelStore getViewModelStore() {
        NavControllerViewModel gVar = this.f3022j;
        if (gVar != null) {
            UUID uuid = this.f3019g;
            ViewModelStore a0Var = gVar.f3029a.get(uuid);
            if (a0Var != null) {
                return a0Var;
            }
            ViewModelStore a0Var2 = new ViewModelStore();
            gVar.f3029a.put(uuid, a0Var2);
            return a0Var2;
        }
        throw new IllegalStateException("You must call setViewModelStore() on your NavHostController before accessing the ViewModelStore of a navigation graph.");
    }

    public NavBackStackEntry(Context context, NavDestination iVar, Bundle bundle, LifecycleOwner lVar, NavControllerViewModel gVar, UUID uuid, Bundle bundle2) {
        this.f3017e = new LifecycleRegistry(this);
        SavedStateRegistryController bVar = new SavedStateRegistryController(this);
        this.f3018f = bVar;
        this.f3020h = Lifecycle.C0489b.CREATED;
        this.f3021i = Lifecycle.C0489b.RESUMED;
        this.f3014b = context;
        this.f3019g = uuid;
        this.f3015c = iVar;
        this.f3016d = bundle;
        this.f3022j = gVar;
        bVar.mo3891a(bundle2);
        if (lVar != null) {
            this.f3020h = ((LifecycleRegistry) lVar.getLifecycle()).f2954b;
        }
        mo3607a();
    }

    /* renamed from: a */
    public final void mo3607a() {
        if (this.f3020h.ordinal() < this.f3021i.ordinal()) {
            this.f3017e.mo3557a(this.f3020h);
        } else {
            this.f3017e.mo3557a(this.f3021i);
        }
    }
}
