package p008b.p067r;

import android.content.Context;
import android.content.res.TypedArray;
import android.net.Uri;
import android.util.AttributeSet;
import java.util.Iterator;
import java.util.NoSuchElementException;
import p008b.p026e.SparseArrayCompat;
import p008b.p067r.NavDestination;
import p008b.p067r.p068u.C0535a;

/* renamed from: b.r.k */
public class NavGraph extends NavDestination implements Iterable<NavDestination> {

    /* renamed from: j */
    public final SparseArrayCompat<NavDestination> f3049j = new SparseArrayCompat<>(10);

    /* renamed from: k */
    public int f3050k;

    /* renamed from: l */
    public String f3051l;

    /* renamed from: b.r.k$a */
    /* compiled from: NavGraph */
    public class C0514a implements Iterator<NavDestination> {

        /* renamed from: b */
        public int f3052b = -1;

        /* renamed from: c */
        public boolean f3053c = false;

        public C0514a() {
        }

        public boolean hasNext() {
            return this.f3052b + 1 < NavGraph.this.f3049j.mo2819b();
        }

        public Object next() {
            if (hasNext()) {
                this.f3053c = true;
                SparseArrayCompat<NavDestination> iVar = NavGraph.this.f3049j;
                int i = this.f3052b + 1;
                this.f3052b = i;
                return iVar.mo2825d(i);
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            if (this.f3053c) {
                NavGraph.this.f3049j.mo2825d(this.f3052b).f3039c = null;
                SparseArrayCompat<NavDestination> iVar = NavGraph.this.f3049j;
                int i = this.f3052b;
                Object[] objArr = iVar.f1927d;
                Object obj = objArr[i];
                Object obj2 = SparseArrayCompat.f1924f;
                if (obj != obj2) {
                    objArr[i] = obj2;
                    iVar.f1925b = true;
                }
                this.f3052b--;
                this.f3053c = false;
                return;
            }
            throw new IllegalStateException("You must call next() before you can remove an element");
        }
    }

    public NavGraph(Navigator<? extends NavGraph> qVar) {
        super(qVar);
    }

    /* renamed from: a */
    public void mo1006a(Context context, AttributeSet attributeSet) {
        super.mo1006a(context, attributeSet);
        TypedArray obtainAttributes = context.getResources().obtainAttributes(attributeSet, C0535a.NavGraphNavigator);
        int resourceId = obtainAttributes.getResourceId(C0535a.NavGraphNavigator_startDestination, 0);
        this.f3050k = resourceId;
        this.f3051l = null;
        this.f3051l = NavDestination.m2389a(context, resourceId);
        obtainAttributes.recycle();
    }

    /* renamed from: b */
    public final NavDestination mo3626b(int i) {
        return mo3624a(i, true);
    }

    public final Iterator<NavDestination> iterator() {
        return new C0514a();
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append(" startDestination=");
        NavDestination b = mo3626b(this.f3050k);
        if (b == null) {
            String str = this.f3051l;
            if (str == null) {
                sb.append("0x");
                sb.append(Integer.toHexString(this.f3050k));
            } else {
                sb.append(str);
            }
        } else {
            sb.append("{");
            sb.append(b.toString());
            sb.append("}");
        }
        return sb.toString();
    }

    /* renamed from: a */
    public NavDestination.C0513a mo3618a(Uri uri) {
        NavDestination.C0513a a = super.mo3618a(uri);
        C0514a aVar = new C0514a();
        while (aVar.hasNext()) {
            NavDestination.C0513a a2 = ((NavDestination) aVar.next()).mo3618a(uri);
            if (a2 != null && (a == null || a2.compareTo(a) > 0)) {
                a = a2;
            }
        }
        return a;
    }

    /* renamed from: a */
    public final NavDestination mo3624a(int i, boolean z) {
        NavGraph kVar;
        NavDestination b = this.f3049j.mo2821b(i, null);
        if (b != null) {
            return b;
        }
        if (!z || (kVar = this.f3039c) == null) {
            return null;
        }
        return kVar.mo3626b(i);
    }

    /* renamed from: a */
    public final void mo3625a(NavDestination iVar) {
        int i = iVar.f3040d;
        if (i != 0) {
            NavDestination a = this.f3049j.mo2816a(i);
            if (a != iVar) {
                if (iVar.f3039c == null) {
                    if (a != null) {
                        a.f3039c = null;
                    }
                    iVar.f3039c = this;
                    this.f3049j.mo2823c(iVar.f3040d, iVar);
                    return;
                }
                throw new IllegalStateException("Destination already has a parent set. Call NavGraph.remove() to remove the previous parent.");
            }
            return;
        }
        throw new IllegalArgumentException("Destinations must have an id. Call setId() or include an android:id in your navigation XML.");
    }
}
