package p008b.p067r;

import android.os.Bundle;
import android.os.Parcelable;
import java.io.Serializable;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.r.p */
public abstract class NavType<T> {

    /* renamed from: b */
    public static final NavType<Integer> f3066b = new C0517c(false);

    /* renamed from: c */
    public static final NavType<Integer> f3067c = new C0518d(false);

    /* renamed from: d */
    public static final NavType<int[]> f3068d = new C0519e(true);

    /* renamed from: e */
    public static final NavType<Long> f3069e = new C0520f(false);

    /* renamed from: f */
    public static final NavType<long[]> f3070f = new C0521g(true);

    /* renamed from: g */
    public static final NavType<Float> f3071g = new C0522h(false);

    /* renamed from: h */
    public static final NavType<float[]> f3072h = new C0523i(true);

    /* renamed from: i */
    public static final NavType<Boolean> f3073i = new C0524j(false);

    /* renamed from: j */
    public static final NavType<boolean[]> f3074j = new C0525k(true);

    /* renamed from: k */
    public static final NavType<String> f3075k = new C0515a(true);

    /* renamed from: l */
    public static final NavType<String[]> f3076l = new C0516b(true);

    /* renamed from: a */
    public final boolean f3077a;

    /* renamed from: b.r.p$p */
    /* compiled from: NavType */
    public static class C0530p<D extends Serializable> extends NavType<D> {

        /* renamed from: m */
        public final Class<D> f3082m;

        public C0530p(Class<D> cls) {
            super(true);
            if (!Serializable.class.isAssignableFrom(cls)) {
                throw new IllegalArgumentException(cls + " does not implement Serializable.");
            } else if (!cls.isEnum()) {
                this.f3082m = cls;
            } else {
                throw new IllegalArgumentException(cls + " is an Enum. You should use EnumType instead.");
            }
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof C0530p)) {
                return false;
            }
            return this.f3082m.equals(((C0530p) obj).f3082m);
        }

        public int hashCode() {
            return this.f3082m.hashCode();
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            Serializable serializable = (Serializable) obj;
            this.f3082m.cast(serializable);
            bundle.putSerializable(str, serializable);
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Serializable) bundle.get(str);
        }

        /* renamed from: a */
        public D m2476a(String str) {
            throw new UnsupportedOperationException("Serializables don't support default values.");
        }

        public C0530p(boolean z, Class<D> cls) {
            super(z);
            if (Serializable.class.isAssignableFrom(cls)) {
                this.f3082m = cls;
                return;
            }
            throw new IllegalArgumentException(cls + " does not implement Serializable.");
        }

        /* renamed from: a */
        public String mo3636a() {
            return this.f3082m.getName();
        }
    }

    public NavType(boolean z) {
        this.f3077a = z;
    }

    /* renamed from: a */
    public static NavType m2409a(Object obj) {
        if (obj instanceof Integer) {
            return f3066b;
        }
        if (obj instanceof int[]) {
            return f3068d;
        }
        if (obj instanceof Long) {
            return f3069e;
        }
        if (obj instanceof long[]) {
            return f3070f;
        }
        if (obj instanceof Float) {
            return f3071g;
        }
        if (obj instanceof float[]) {
            return f3072h;
        }
        if (obj instanceof Boolean) {
            return f3073i;
        }
        if (obj instanceof boolean[]) {
            return f3074j;
        }
        if ((obj instanceof String) || obj == null) {
            return f3075k;
        }
        if (obj instanceof String[]) {
            return f3076l;
        }
        if (obj.getClass().isArray() && Parcelable.class.isAssignableFrom(obj.getClass().getComponentType())) {
            return new C0527m(obj.getClass().getComponentType());
        }
        if (obj.getClass().isArray() && Serializable.class.isAssignableFrom(obj.getClass().getComponentType())) {
            return new C0529o(obj.getClass().getComponentType());
        }
        if (obj instanceof Parcelable) {
            return new C0528n(obj.getClass());
        }
        if (obj instanceof Enum) {
            return new C0526l(obj.getClass());
        }
        if (obj instanceof Serializable) {
            return new C0530p(obj.getClass());
        }
        StringBuilder a = outline.m2937a("Object of type ");
        a.append(obj.getClass().getName());
        a.append(" is not supported for navigation arguments.");
        throw new IllegalArgumentException(a.toString());
    }

    /* renamed from: a */
    public abstract T mo3634a(Bundle bundle, String str);

    /* renamed from: a */
    public abstract T mo3635a(String str);

    /* renamed from: a */
    public abstract String mo3636a();

    /* renamed from: a */
    public abstract void mo3637a(Bundle bundle, String str, T t);

    public String toString() {
        return mo3636a();
    }

    /* renamed from: b.r.p$a */
    /* compiled from: NavType */
    public static class C0515a extends NavType<String> {
        public C0515a(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            return str;
        }

        /* renamed from: a */
        public String mo3636a() {
            return "string";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putString(str, (String) obj);
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (String) bundle.get(str);
        }
    }

    /* renamed from: b.r.p$b */
    /* compiled from: NavType */
    public static class C0516b extends NavType<String[]> {
        public C0516b(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "string[]";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putStringArray(str, (String[]) obj);
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (String[]) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("Arrays don't support default values.");
        }
    }

    /* renamed from: b.r.p$c */
    /* compiled from: NavType */
    public static class C0517c extends NavType<Integer> {
        public C0517c(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "integer";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putInt(str, ((Integer) obj).intValue());
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Integer) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            if (str.startsWith("0x")) {
                return Integer.valueOf(Integer.parseInt(str.substring(2), 16));
            }
            return Integer.valueOf(Integer.parseInt(str));
        }
    }

    /* renamed from: b.r.p$d */
    /* compiled from: NavType */
    public static class C0518d extends NavType<Integer> {
        public C0518d(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "reference";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putInt(str, ((Integer) obj).intValue());
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Integer) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("References don't support parsing string values.");
        }
    }

    /* renamed from: b.r.p$e */
    /* compiled from: NavType */
    public static class C0519e extends NavType<int[]> {
        public C0519e(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "integer[]";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putIntArray(str, (int[]) obj);
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (int[]) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("Arrays don't support default values.");
        }
    }

    /* renamed from: b.r.p$f */
    /* compiled from: NavType */
    public static class C0520f extends NavType<Long> {
        public C0520f(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "long";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putLong(str, ((Long) obj).longValue());
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Long) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            if (str.endsWith("L")) {
                str = str.substring(0, str.length() - 1);
            }
            if (str.startsWith("0x")) {
                return Long.valueOf(Long.parseLong(str.substring(2), 16));
            }
            return Long.valueOf(Long.parseLong(str));
        }
    }

    /* renamed from: b.r.p$g */
    /* compiled from: NavType */
    public static class C0521g extends NavType<long[]> {
        public C0521g(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "long[]";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putLongArray(str, (long[]) obj);
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (long[]) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("Arrays don't support default values.");
        }
    }

    /* renamed from: b.r.p$h */
    /* compiled from: NavType */
    public static class C0522h extends NavType<Float> {
        public C0522h(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "float";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putFloat(str, ((Float) obj).floatValue());
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Float) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            return Float.valueOf(Float.parseFloat(str));
        }
    }

    /* renamed from: b.r.p$i */
    /* compiled from: NavType */
    public static class C0523i extends NavType<float[]> {
        public C0523i(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "float[]";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putFloatArray(str, (float[]) obj);
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (float[]) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("Arrays don't support default values.");
        }
    }

    /* renamed from: b.r.p$j */
    /* compiled from: NavType */
    public static class C0524j extends NavType<Boolean> {
        public C0524j(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "boolean";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putBoolean(str, ((Boolean) obj).booleanValue());
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Boolean) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            if ("true".equals(str)) {
                return true;
            }
            if ("false".equals(str)) {
                return false;
            }
            throw new IllegalArgumentException("A boolean NavType only accepts \"true\" or \"false\" values.");
        }
    }

    /* renamed from: b.r.p$k */
    /* compiled from: NavType */
    public static class C0525k extends NavType<boolean[]> {
        public C0525k(boolean z) {
            super(z);
        }

        /* renamed from: a */
        public String mo3636a() {
            return "boolean[]";
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            bundle.putBooleanArray(str, (boolean[]) obj);
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (boolean[]) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("Arrays don't support default values.");
        }
    }

    /* renamed from: b.r.p$l */
    /* compiled from: NavType */
    public static final class C0526l<D extends Enum> extends C0530p<D> {

        /* renamed from: n */
        public final Class<D> f3078n;

        public C0526l(Class<D> cls) {
            super(false, cls);
            if (cls.isEnum()) {
                this.f3078n = cls;
                return;
            }
            throw new IllegalArgumentException(cls + " is not an Enum type.");
        }

        /* renamed from: a */
        public D m2459a(String str) {
            for (D d : (Enum[]) this.f3078n.getEnumConstants()) {
                if (d.name().equals(str)) {
                    return d;
                }
            }
            throw new IllegalArgumentException("Enum value " + str + " not found for type " + this.f3078n.getName() + ".");
        }

        /* renamed from: a */
        public String mo3636a() {
            return this.f3078n.getName();
        }
    }

    /* renamed from: b.r.p$m */
    /* compiled from: NavType */
    public static final class C0527m<D extends Parcelable> extends NavType<D[]> {

        /* renamed from: m */
        public final Class<D[]> f3079m;

        public C0527m(Class<D> cls) {
            super(true);
            if (Parcelable.class.isAssignableFrom(cls)) {
                try {
                    this.f3079m = Class.forName("[L" + cls.getName() + ";");
                } catch (ClassNotFoundException e) {
                    throw new RuntimeException(e);
                }
            } else {
                throw new IllegalArgumentException(cls + " does not implement Parcelable.");
            }
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            Parcelable[] parcelableArr = (Parcelable[]) obj;
            this.f3079m.cast(parcelableArr);
            bundle.putParcelableArray(str, parcelableArr);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || C0527m.class != obj.getClass()) {
                return false;
            }
            return this.f3079m.equals(((C0527m) obj).f3079m);
        }

        public int hashCode() {
            return this.f3079m.hashCode();
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Parcelable[]) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("Arrays don't support default values.");
        }

        /* renamed from: a */
        public String mo3636a() {
            return this.f3079m.getName();
        }
    }

    /* renamed from: b.r.p$o */
    /* compiled from: NavType */
    public static final class C0529o<D extends Serializable> extends NavType<D[]> {

        /* renamed from: m */
        public final Class<D[]> f3081m;

        public C0529o(Class<D> cls) {
            super(true);
            if (Serializable.class.isAssignableFrom(cls)) {
                try {
                    this.f3081m = Class.forName("[L" + cls.getName() + ";");
                } catch (ClassNotFoundException e) {
                    throw new RuntimeException(e);
                }
            } else {
                throw new IllegalArgumentException(cls + " does not implement Serializable.");
            }
        }

        /* JADX WARNING: type inference failed for: r4v1, types: [java.lang.Object, java.io.Serializable[], java.io.Serializable] */
        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, Object obj) {
            ? r4 = (Serializable[]) obj;
            this.f3081m.cast(r4);
            bundle.putSerializable(str, r4);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || C0529o.class != obj.getClass()) {
                return false;
            }
            return this.f3081m.equals(((C0529o) obj).f3081m);
        }

        public int hashCode() {
            return this.f3081m.hashCode();
        }

        /* renamed from: a */
        public Object mo3634a(Bundle bundle, String str) {
            return (Serializable[]) bundle.get(str);
        }

        /* renamed from: a */
        public Object mo3635a(String str) {
            throw new UnsupportedOperationException("Arrays don't support default values.");
        }

        /* renamed from: a */
        public String mo3636a() {
            return this.f3081m.getName();
        }
    }

    /* renamed from: b.r.p$n */
    /* compiled from: NavType */
    public static final class C0528n<D> extends NavType<D> {

        /* renamed from: m */
        public final Class<D> f3080m;

        public C0528n(Class<D> cls) {
            super(true);
            if (Parcelable.class.isAssignableFrom(cls) || Serializable.class.isAssignableFrom(cls)) {
                this.f3080m = cls;
                return;
            }
            throw new IllegalArgumentException(cls + " does not implement Parcelable or Serializable.");
        }

        /* renamed from: a */
        public void mo3637a(Bundle bundle, String str, D d) {
            this.f3080m.cast(d);
            if (d == null || (d instanceof Parcelable)) {
                bundle.putParcelable(str, (Parcelable) d);
            } else if (d instanceof Serializable) {
                bundle.putSerializable(str, (Serializable) d);
            }
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || C0528n.class != obj.getClass()) {
                return false;
            }
            return this.f3080m.equals(((C0528n) obj).f3080m);
        }

        public int hashCode() {
            return this.f3080m.hashCode();
        }

        /* renamed from: a */
        public D mo3634a(Bundle bundle, String str) {
            return bundle.get(str);
        }

        /* renamed from: a */
        public D mo3635a(String str) {
            throw new UnsupportedOperationException("Parcelables don't support default values.");
        }

        /* renamed from: a */
        public String mo3636a() {
            return this.f3080m.getName();
        }
    }
}
