package p008b.p073t;

import android.annotation.SuppressLint;
import android.database.Cursor;
import android.database.sqlite.SQLiteException;
import android.util.Log;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.locks.Lock;
import p008b.p020c.p021a.p023b.SafeIterableMap;
import p008b.p073t.MultiInstanceInvalidationClient;
import p008b.p077v.p078a.SimpleSQLiteQuery;
import p008b.p077v.p078a.SupportSQLiteDatabase;
import p008b.p077v.p078a.SupportSQLiteStatement;
import p008b.p077v.p078a.p079g.FrameworkSQLiteDatabase;
import p008b.p077v.p078a.p079g.FrameworkSQLiteStatement;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.t.e */
public class InvalidationTracker {

    /* renamed from: l */
    public static final String[] f3281l = {"UPDATE", "DELETE", "INSERT"};

    /* renamed from: a */
    public final HashMap<String, Integer> f3282a;

    /* renamed from: b */
    public final String[] f3283b;

    /* renamed from: c */
    public Map<String, Set<String>> f3284c;

    /* renamed from: d */
    public final RoomDatabase f3285d;

    /* renamed from: e */
    public AtomicBoolean f3286e = new AtomicBoolean(false);

    /* renamed from: f */
    public volatile boolean f3287f = false;

    /* renamed from: g */
    public volatile SupportSQLiteStatement f3288g;

    /* renamed from: h */
    public C0582b f3289h;
    @SuppressLint({"RestrictedApi"})

    /* renamed from: i */
    public final SafeIterableMap<C0583c, C0584d> f3290i = new SafeIterableMap<>();

    /* renamed from: j */
    public MultiInstanceInvalidationClient f3291j;

    /* renamed from: k */
    public Runnable f3292k = new C0581a();

    /* renamed from: b.t.e$a */
    /* compiled from: InvalidationTracker */
    public class C0581a implements Runnable {
        public C0581a() {
        }

        /* JADX INFO: finally extract failed */
        /* renamed from: a */
        public final Set<Integer> mo3799a() {
            HashSet hashSet = new HashSet();
            Cursor query = InvalidationTracker.this.f3285d.query(new SimpleSQLiteQuery("SELECT * FROM room_table_modification_log WHERE invalidated = 1;"));
            while (query.moveToNext()) {
                try {
                    hashSet.add(Integer.valueOf(query.getInt(0)));
                } catch (Throwable th) {
                    query.close();
                    throw th;
                }
            }
            query.close();
            if (!hashSet.isEmpty()) {
                ((FrameworkSQLiteStatement) InvalidationTracker.this.f3288g).mo3913g();
            }
            return hashSet;
        }

        /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r5v6, resolved type: android.database.sqlite.SQLiteDatabase} */
        /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r5v7, resolved type: java.util.Set<java.lang.Integer>} */
        /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r5v12, resolved type: java.util.Set<java.lang.Integer>} */
        /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r5v14, resolved type: java.util.Set<java.lang.Integer>} */
        /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r5v15, resolved type: java.util.Set<java.lang.Integer>} */
        /* JADX WARNING: Multi-variable type inference failed */
        /* JADX WARNING: Removed duplicated region for block: B:46:0x0094  */
        /* JADX WARNING: Removed duplicated region for block: B:82:? A[RETURN, SYNTHETIC] */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public void run() {
            /*
                r11 = this;
                b.t.e r0 = p008b.p073t.InvalidationTracker.this
                b.t.g r0 = r0.f3285d
                java.util.concurrent.locks.Lock r0 = r0.getCloseLock()
                r1 = 0
                r2 = 0
                r3 = 1
                r0.lock()     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                b.t.e r4 = p008b.p073t.InvalidationTracker.this     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                boolean r4 = r4.mo3794a()     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                if (r4 != 0) goto L_0x001a
                r0.unlock()
                return
            L_0x001a:
                b.t.e r4 = p008b.p073t.InvalidationTracker.this     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                java.util.concurrent.atomic.AtomicBoolean r4 = r4.f3286e     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                boolean r4 = r4.compareAndSet(r3, r1)     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                if (r4 != 0) goto L_0x0028
                r0.unlock()
                return
            L_0x0028:
                b.t.e r4 = p008b.p073t.InvalidationTracker.this     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                b.t.g r4 = r4.f3285d     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                boolean r4 = r4.inTransaction()     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                if (r4 == 0) goto L_0x0036
                r0.unlock()
                return
            L_0x0036:
                b.t.e r4 = p008b.p073t.InvalidationTracker.this     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                b.t.g r4 = r4.f3285d     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                boolean r4 = r4.mWriteAheadLoggingEnabled     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                if (r4 == 0) goto L_0x0076
                b.t.e r4 = p008b.p073t.InvalidationTracker.this     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                b.t.g r4 = r4.f3285d     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                b.v.a.c r4 = r4.getOpenHelper()     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                b.v.a.b r4 = r4.mo3861a()     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                r5 = r4
                b.v.a.g.a r5 = (p008b.p077v.p078a.p079g.FrameworkSQLiteDatabase) r5     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                android.database.sqlite.SQLiteDatabase r5 = r5.f3409b     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                r5.beginTransaction()     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                java.util.Set r5 = r11.mo3799a()     // Catch:{ all -> 0x0068 }
                r6 = r4
                b.v.a.g.a r6 = (p008b.p077v.p078a.p079g.FrameworkSQLiteDatabase) r6     // Catch:{ all -> 0x0066 }
                android.database.sqlite.SQLiteDatabase r6 = r6.f3409b     // Catch:{ all -> 0x0066 }
                r6.setTransactionSuccessful()     // Catch:{ all -> 0x0066 }
                b.v.a.g.a r4 = (p008b.p077v.p078a.p079g.FrameworkSQLiteDatabase) r4     // Catch:{ IllegalStateException -> 0x0074, SQLiteException -> 0x0072 }
                android.database.sqlite.SQLiteDatabase r4 = r4.f3409b     // Catch:{ IllegalStateException -> 0x0074, SQLiteException -> 0x0072 }
                r4.endTransaction()     // Catch:{ IllegalStateException -> 0x0074, SQLiteException -> 0x0072 }
                goto L_0x0089
            L_0x0066:
                r6 = move-exception
                goto L_0x006a
            L_0x0068:
                r6 = move-exception
                r5 = r2
            L_0x006a:
                b.v.a.g.a r4 = (p008b.p077v.p078a.p079g.FrameworkSQLiteDatabase) r4     // Catch:{ IllegalStateException -> 0x0074, SQLiteException -> 0x0072 }
                android.database.sqlite.SQLiteDatabase r4 = r4.f3409b     // Catch:{ IllegalStateException -> 0x0074, SQLiteException -> 0x0072 }
                r4.endTransaction()     // Catch:{ IllegalStateException -> 0x0074, SQLiteException -> 0x0072 }
                throw r6     // Catch:{ IllegalStateException -> 0x0074, SQLiteException -> 0x0072 }
            L_0x0072:
                r4 = move-exception
                goto L_0x0082
            L_0x0074:
                r4 = move-exception
                goto L_0x0082
            L_0x0076:
                java.util.Set r5 = r11.mo3799a()     // Catch:{ IllegalStateException -> 0x0080, SQLiteException -> 0x007e }
                goto L_0x0089
            L_0x007b:
                r1 = move-exception
                goto L_0x00ef
            L_0x007e:
                r4 = move-exception
                goto L_0x0081
            L_0x0080:
                r4 = move-exception
            L_0x0081:
                r5 = r2
            L_0x0082:
                java.lang.String r6 = "ROOM"
                java.lang.String r7 = "Cannot run invalidation tracker. Is the db closed?"
                android.util.Log.e(r6, r7, r4)     // Catch:{ all -> 0x007b }
            L_0x0089:
                r0.unlock()
                if (r5 == 0) goto L_0x00ee
                boolean r0 = r5.isEmpty()
                if (r0 != 0) goto L_0x00ee
                b.t.e r0 = p008b.p073t.InvalidationTracker.this
                b.c.a.b.b<b.t.e$c, b.t.e$d> r0 = r0.f3290i
                monitor-enter(r0)
                b.t.e r4 = p008b.p073t.InvalidationTracker.this     // Catch:{ all -> 0x00eb }
                b.c.a.b.b<b.t.e$c, b.t.e$d> r4 = r4.f3290i     // Catch:{ all -> 0x00eb }
                java.util.Iterator r4 = r4.iterator()     // Catch:{ all -> 0x00eb }
            L_0x00a1:
                r6 = r4
                b.c.a.b.b$e r6 = (p008b.p020c.p021a.p023b.SafeIterableMap.C0320e) r6
                boolean r7 = r6.hasNext()     // Catch:{ all -> 0x00eb }
                if (r7 == 0) goto L_0x00e9
                java.lang.Object r6 = r6.next()     // Catch:{ all -> 0x00eb }
                java.util.Map$Entry r6 = (java.util.Map.Entry) r6     // Catch:{ all -> 0x00eb }
                java.lang.Object r6 = r6.getValue()     // Catch:{ all -> 0x00eb }
                b.t.e$d r6 = (p008b.p073t.InvalidationTracker.C0584d) r6     // Catch:{ all -> 0x00eb }
                int[] r7 = r6.f3300a     // Catch:{ all -> 0x00eb }
                int r7 = r7.length     // Catch:{ all -> 0x00eb }
                r9 = r2
                r8 = 0
            L_0x00bb:
                if (r8 >= r7) goto L_0x00e1
                int[] r10 = r6.f3300a     // Catch:{ all -> 0x00eb }
                r10 = r10[r8]     // Catch:{ all -> 0x00eb }
                java.lang.Integer r10 = java.lang.Integer.valueOf(r10)     // Catch:{ all -> 0x00eb }
                boolean r10 = r5.contains(r10)     // Catch:{ all -> 0x00eb }
                if (r10 == 0) goto L_0x00de
                if (r7 != r3) goto L_0x00d0
                java.util.Set<java.lang.String> r9 = r6.f3303d     // Catch:{ all -> 0x00eb }
                goto L_0x00de
            L_0x00d0:
                if (r9 != 0) goto L_0x00d7
                java.util.HashSet r9 = new java.util.HashSet     // Catch:{ all -> 0x00eb }
                r9.<init>(r7)     // Catch:{ all -> 0x00eb }
            L_0x00d7:
                java.lang.String[] r10 = r6.f3301b     // Catch:{ all -> 0x00eb }
                r10 = r10[r8]     // Catch:{ all -> 0x00eb }
                r9.add(r10)     // Catch:{ all -> 0x00eb }
            L_0x00de:
                int r8 = r8 + 1
                goto L_0x00bb
            L_0x00e1:
                if (r9 == 0) goto L_0x00a1
                b.t.e$c r6 = r6.f3302c     // Catch:{ all -> 0x00eb }
                r6.mo3805a(r9)     // Catch:{ all -> 0x00eb }
                goto L_0x00a1
            L_0x00e9:
                monitor-exit(r0)     // Catch:{ all -> 0x00eb }
                goto L_0x00ee
            L_0x00eb:
                r1 = move-exception
                monitor-exit(r0)     // Catch:{ all -> 0x00eb }
                throw r1
            L_0x00ee:
                return
            L_0x00ef:
                r0.unlock()
                throw r1
            */
            throw new UnsupportedOperationException("Method not decompiled: p008b.p073t.InvalidationTracker.C0581a.run():void");
        }
    }

    /* renamed from: b.t.e$c */
    /* compiled from: InvalidationTracker */
    public static abstract class C0583c {

        /* renamed from: a */
        public final String[] f3299a;

        public C0583c(String[] strArr) {
            this.f3299a = (String[]) Arrays.copyOf(strArr, strArr.length);
        }

        /* renamed from: a */
        public abstract void mo3805a(Set<String> set);
    }

    /* renamed from: b.t.e$d */
    /* compiled from: InvalidationTracker */
    public static class C0584d {

        /* renamed from: a */
        public final int[] f3300a;

        /* renamed from: b */
        public final String[] f3301b;

        /* renamed from: c */
        public final C0583c f3302c;

        /* renamed from: d */
        public final Set<String> f3303d;

        public C0584d(C0583c cVar, int[] iArr, String[] strArr) {
            this.f3302c = cVar;
            this.f3300a = iArr;
            this.f3301b = strArr;
            if (iArr.length == 1) {
                HashSet hashSet = new HashSet();
                hashSet.add(this.f3301b[0]);
                this.f3303d = Collections.unmodifiableSet(hashSet);
                return;
            }
            this.f3303d = null;
        }
    }

    public InvalidationTracker(RoomDatabase gVar, Map<String, String> map, Map<String, Set<String>> map2, String... strArr) {
        this.f3285d = gVar;
        this.f3289h = new C0582b(strArr.length);
        this.f3282a = new HashMap<>();
        this.f3284c = map2;
        Collections.newSetFromMap(new IdentityHashMap());
        int length = strArr.length;
        this.f3283b = new String[length];
        for (int i = 0; i < length; i++) {
            String lowerCase = strArr[i].toLowerCase(Locale.US);
            this.f3282a.put(lowerCase, Integer.valueOf(i));
            String str = map.get(strArr[i]);
            if (str != null) {
                this.f3283b[i] = str.toLowerCase(Locale.US);
            } else {
                this.f3283b[i] = lowerCase;
            }
        }
        for (Map.Entry next : map.entrySet()) {
            String lowerCase2 = ((String) next.getValue()).toLowerCase(Locale.US);
            if (this.f3282a.containsKey(lowerCase2)) {
                String lowerCase3 = ((String) next.getKey()).toLowerCase(Locale.US);
                HashMap<String, Integer> hashMap = this.f3282a;
                hashMap.put(lowerCase3, hashMap.get(lowerCase2));
            }
        }
    }

    /* renamed from: a */
    public void mo3791a(SupportSQLiteDatabase bVar) {
        synchronized (this) {
            if (this.f3287f) {
                Log.e("ROOM", "Invalidation tracker is initialized twice :/.");
                return;
            }
            ((FrameworkSQLiteDatabase) bVar).f3409b.execSQL("PRAGMA temp_store = MEMORY;");
            ((FrameworkSQLiteDatabase) bVar).f3409b.execSQL("PRAGMA recursive_triggers='ON';");
            ((FrameworkSQLiteDatabase) bVar).f3409b.execSQL("CREATE TEMP TABLE room_table_modification_log(table_id INTEGER PRIMARY KEY, invalidated INTEGER NOT NULL DEFAULT 0)");
            mo3797b(bVar);
            this.f3288g = new FrameworkSQLiteStatement(((FrameworkSQLiteDatabase) bVar).f3409b.compileStatement("UPDATE room_table_modification_log SET invalidated = 0 WHERE invalidated = 1 "));
            this.f3287f = true;
        }
    }

    /* renamed from: b */
    public final void mo3798b(SupportSQLiteDatabase bVar, int i) {
        String str = this.f3283b[i];
        StringBuilder sb = new StringBuilder();
        for (String append : f3281l) {
            sb.setLength(0);
            sb.append("DROP TRIGGER IF EXISTS ");
            sb.append("`");
            sb.append("room_table_modification_trigger_");
            sb.append(str);
            sb.append("_");
            sb.append(append);
            sb.append("`");
            ((FrameworkSQLiteDatabase) bVar).f3409b.execSQL(sb.toString());
        }
    }

    /* renamed from: b.t.e$b */
    /* compiled from: InvalidationTracker */
    public static class C0582b {

        /* renamed from: a */
        public final long[] f3294a;

        /* renamed from: b */
        public final boolean[] f3295b;

        /* renamed from: c */
        public final int[] f3296c;

        /* renamed from: d */
        public boolean f3297d;

        /* renamed from: e */
        public boolean f3298e;

        public C0582b(int i) {
            long[] jArr = new long[i];
            this.f3294a = jArr;
            this.f3295b = new boolean[i];
            this.f3296c = new int[i];
            Arrays.fill(jArr, 0);
            Arrays.fill(this.f3295b, false);
        }

        /* renamed from: a */
        public boolean mo3801a(int... iArr) {
            boolean z;
            synchronized (this) {
                z = false;
                for (int i : iArr) {
                    long j = this.f3294a[i];
                    this.f3294a[i] = 1 + j;
                    if (j == 0) {
                        this.f3297d = true;
                        z = true;
                    }
                }
            }
            return z;
        }

        /* renamed from: b */
        public boolean mo3804b(int... iArr) {
            boolean z;
            synchronized (this) {
                z = false;
                for (int i : iArr) {
                    long j = this.f3294a[i];
                    this.f3294a[i] = j - 1;
                    if (j == 1) {
                        this.f3297d = true;
                        z = true;
                    }
                }
            }
            return z;
        }

        /* renamed from: a */
        public int[] mo3802a() {
            synchronized (this) {
                if (this.f3297d) {
                    if (!this.f3298e) {
                        int length = this.f3294a.length;
                        int i = 0;
                        while (true) {
                            int i2 = 1;
                            if (i < length) {
                                boolean z = this.f3294a[i] > 0;
                                if (z != this.f3295b[i]) {
                                    int[] iArr = this.f3296c;
                                    if (!z) {
                                        i2 = 2;
                                    }
                                    iArr[i] = i2;
                                } else {
                                    this.f3296c[i] = 0;
                                }
                                this.f3295b[i] = z;
                                i++;
                            } else {
                                this.f3298e = true;
                                this.f3297d = false;
                                int[] iArr2 = this.f3296c;
                                return iArr2;
                            }
                        }
                    }
                }
                return null;
            }
        }

        /* renamed from: b */
        public void mo3803b() {
            synchronized (this) {
                this.f3298e = false;
            }
        }
    }

    @SuppressLint({"RestrictedApi"})
    /* renamed from: b */
    public void mo3796b(C0583c cVar) {
        C0584d remove;
        synchronized (this.f3290i) {
            remove = this.f3290i.remove(cVar);
        }
        if (remove != null && this.f3289h.mo3804b(remove.f3300a)) {
            mo3795b();
        }
    }

    /* renamed from: a */
    public final void mo3792a(SupportSQLiteDatabase bVar, int i) {
        FrameworkSQLiteDatabase aVar = (FrameworkSQLiteDatabase) bVar;
        aVar.f3409b.execSQL("INSERT OR IGNORE INTO room_table_modification_log VALUES(" + i + ", 0)");
        String str = this.f3283b[i];
        StringBuilder sb = new StringBuilder();
        for (String str2 : f3281l) {
            sb.setLength(0);
            sb.append("CREATE TEMP TRIGGER IF NOT EXISTS ");
            sb.append("`");
            sb.append("room_table_modification_trigger_");
            sb.append(str);
            sb.append("_");
            sb.append(str2);
            sb.append("`");
            sb.append(" AFTER ");
            sb.append(str2);
            sb.append(" ON `");
            sb.append(str);
            sb.append("` BEGIN UPDATE ");
            sb.append("room_table_modification_log");
            sb.append(" SET ");
            sb.append("invalidated");
            sb.append(" = 1");
            sb.append(" WHERE ");
            sb.append("table_id");
            sb.append(" = ");
            sb.append(i);
            sb.append(" AND ");
            sb.append("invalidated");
            sb.append(" = 0");
            sb.append("; END");
            aVar.f3409b.execSQL(sb.toString());
        }
    }

    /* renamed from: b */
    public void mo3797b(SupportSQLiteDatabase bVar) {
        Lock closeLock;
        FrameworkSQLiteDatabase aVar = (FrameworkSQLiteDatabase) bVar;
        if (!aVar.mo3899g()) {
            while (true) {
                try {
                    closeLock = this.f3285d.getCloseLock();
                    closeLock.lock();
                    int[] a = this.f3289h.mo3802a();
                    if (a == null) {
                        closeLock.unlock();
                        return;
                    }
                    int length = a.length;
                    aVar.f3409b.beginTransaction();
                    for (int i = 0; i < length; i++) {
                        int i2 = a[i];
                        if (i2 == 1) {
                            mo3792a(aVar, i);
                        } else if (i2 == 2) {
                            mo3798b(aVar, i);
                        }
                    }
                    aVar.f3409b.setTransactionSuccessful();
                    aVar.f3409b.endTransaction();
                    this.f3289h.mo3803b();
                    closeLock.unlock();
                } catch (SQLiteException | IllegalStateException e) {
                    Log.e("ROOM", "Cannot run invalidation tracker. Is the db closed?", e);
                    return;
                } catch (Throwable th) {
                    closeLock.unlock();
                    throw th;
                }
            }
        }
    }

    /* renamed from: b */
    public void mo3795b() {
        if (this.f3285d.isOpen()) {
            mo3797b(this.f3285d.getOpenHelper().mo3861a());
        }
    }

    @SuppressLint({"RestrictedApi"})
    /* renamed from: a */
    public void mo3790a(C0583c cVar) {
        C0584d b;
        String[] strArr = cVar.f3299a;
        HashSet hashSet = new HashSet();
        int i = 0;
        for (String str : strArr) {
            String lowerCase = str.toLowerCase(Locale.US);
            if (this.f3284c.containsKey(lowerCase)) {
                hashSet.addAll(this.f3284c.get(lowerCase));
            } else {
                hashSet.add(str);
            }
        }
        String[] strArr2 = (String[]) hashSet.toArray(new String[hashSet.size()]);
        int[] iArr = new int[strArr2.length];
        int length = strArr2.length;
        while (i < length) {
            Integer num = this.f3282a.get(strArr2[i].toLowerCase(Locale.US));
            if (num != null) {
                iArr[i] = num.intValue();
                i++;
            } else {
                StringBuilder a = outline.m2937a("There is no table with name ");
                a.append(strArr2[i]);
                throw new IllegalArgumentException(a.toString());
            }
        }
        C0584d dVar = new C0584d(cVar, iArr, strArr2);
        synchronized (this.f3290i) {
            b = this.f3290i.mo2644b(cVar, dVar);
        }
        if (b == null && this.f3289h.mo3801a(iArr)) {
            mo3795b();
        }
    }

    /* renamed from: a */
    public boolean mo3794a() {
        if (!this.f3285d.isOpen()) {
            return false;
        }
        if (!this.f3287f) {
            this.f3285d.getOpenHelper().mo3861a();
        }
        if (this.f3287f) {
            return true;
        }
        Log.e("ROOM", "database is not initialized even though it is open");
        return false;
    }

    /* renamed from: a */
    public void mo3793a(String... strArr) {
        synchronized (this.f3290i) {
            Iterator<Map.Entry<C0583c, C0584d>> it = this.f3290i.iterator();
            while (true) {
                SafeIterableMap.C0320e eVar = (SafeIterableMap.C0320e) it;
                if (eVar.hasNext()) {
                    if (((MultiInstanceInvalidationClient.C0591f) ((C0583c) ((Map.Entry) eVar.next()).getKey())) == null) {
                        throw null;
                    }
                }
            }
        }
    }
}
