package p008b.p073t;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;
import androidx.room.MultiInstanceInvalidationService;
import java.util.Set;
import java.util.concurrent.Executor;
import java.util.concurrent.atomic.AtomicBoolean;
import p008b.p073t.IMultiInstanceInvalidationCallback;
import p008b.p073t.IMultiInstanceInvalidationService;
import p008b.p073t.InvalidationTracker;

/* renamed from: b.t.f */
public class MultiInstanceInvalidationClient {

    /* renamed from: a */
    public final Context f3304a;

    /* renamed from: b */
    public final String f3305b;

    /* renamed from: c */
    public int f3306c;

    /* renamed from: d */
    public final InvalidationTracker f3307d;

    /* renamed from: e */
    public final InvalidationTracker.C0583c f3308e;

    /* renamed from: f */
    public IMultiInstanceInvalidationService f3309f;

    /* renamed from: g */
    public final Executor f3310g;

    /* renamed from: h */
    public final IMultiInstanceInvalidationCallback f3311h = new C0585a();

    /* renamed from: i */
    public final AtomicBoolean f3312i = new AtomicBoolean(false);

    /* renamed from: j */
    public final ServiceConnection f3313j = new C0587b();

    /* renamed from: k */
    public final Runnable f3314k = new C0588c();

    /* renamed from: l */
    public final Runnable f3315l = new C0589d();

    /* renamed from: m */
    public final Runnable f3316m = new C0590e();

    /* renamed from: b.t.f$a */
    /* compiled from: MultiInstanceInvalidationClient */
    public class C0585a extends IMultiInstanceInvalidationCallback.C0577a {

        /* renamed from: b.t.f$a$a */
        /* compiled from: MultiInstanceInvalidationClient */
        public class C0586a implements Runnable {

            /* renamed from: b */
            public final /* synthetic */ String[] f3318b;

            public C0586a(String[] strArr) {
                this.f3318b = strArr;
            }

            public void run() {
                MultiInstanceInvalidationClient.this.f3307d.mo3793a(this.f3318b);
            }
        }

        public C0585a() {
        }

        /* renamed from: a */
        public void mo3783a(String[] strArr) {
            MultiInstanceInvalidationClient.this.f3310g.execute(new C0586a(strArr));
        }
    }

    /* renamed from: b.t.f$b */
    /* compiled from: MultiInstanceInvalidationClient */
    public class C0587b implements ServiceConnection {
        public C0587b() {
        }

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            MultiInstanceInvalidationClient.this.f3309f = IMultiInstanceInvalidationService.C0579a.m2662a(iBinder);
            MultiInstanceInvalidationClient fVar = MultiInstanceInvalidationClient.this;
            fVar.f3310g.execute(fVar.f3314k);
        }

        public void onServiceDisconnected(ComponentName componentName) {
            MultiInstanceInvalidationClient fVar = MultiInstanceInvalidationClient.this;
            fVar.f3310g.execute(fVar.f3315l);
            MultiInstanceInvalidationClient.this.f3309f = null;
        }
    }

    /* renamed from: b.t.f$c */
    /* compiled from: MultiInstanceInvalidationClient */
    public class C0588c implements Runnable {
        public C0588c() {
        }

        public void run() {
            try {
                IMultiInstanceInvalidationService dVar = MultiInstanceInvalidationClient.this.f3309f;
                if (dVar != null) {
                    MultiInstanceInvalidationClient.this.f3306c = dVar.mo1505a(MultiInstanceInvalidationClient.this.f3311h, MultiInstanceInvalidationClient.this.f3305b);
                    MultiInstanceInvalidationClient.this.f3307d.mo3790a(MultiInstanceInvalidationClient.this.f3308e);
                }
            } catch (RemoteException e) {
                Log.w("ROOM", "Cannot register multi-instance invalidation callback", e);
            }
        }
    }

    /* renamed from: b.t.f$d */
    /* compiled from: MultiInstanceInvalidationClient */
    public class C0589d implements Runnable {
        public C0589d() {
        }

        public void run() {
            MultiInstanceInvalidationClient fVar = MultiInstanceInvalidationClient.this;
            fVar.f3307d.mo3796b(fVar.f3308e);
        }
    }

    /* renamed from: b.t.f$e */
    /* compiled from: MultiInstanceInvalidationClient */
    public class C0590e implements Runnable {
        public C0590e() {
        }

        public void run() {
            MultiInstanceInvalidationClient fVar = MultiInstanceInvalidationClient.this;
            fVar.f3307d.mo3796b(fVar.f3308e);
            try {
                IMultiInstanceInvalidationService dVar = MultiInstanceInvalidationClient.this.f3309f;
                if (dVar != null) {
                    dVar.mo1507a(MultiInstanceInvalidationClient.this.f3311h, MultiInstanceInvalidationClient.this.f3306c);
                }
            } catch (RemoteException e) {
                Log.w("ROOM", "Cannot unregister multi-instance invalidation callback", e);
            }
            MultiInstanceInvalidationClient fVar2 = MultiInstanceInvalidationClient.this;
            fVar2.f3304a.unbindService(fVar2.f3313j);
        }
    }

    /* renamed from: b.t.f$f */
    /* compiled from: MultiInstanceInvalidationClient */
    public class C0591f extends InvalidationTracker.C0583c {
        public C0591f(String[] strArr) {
            super(strArr);
        }

        /* renamed from: a */
        public void mo3805a(Set<String> set) {
            if (!MultiInstanceInvalidationClient.this.f3312i.get()) {
                try {
                    IMultiInstanceInvalidationService dVar = MultiInstanceInvalidationClient.this.f3309f;
                    if (dVar != null) {
                        dVar.mo1506a(MultiInstanceInvalidationClient.this.f3306c, (String[]) set.toArray(new String[0]));
                    }
                } catch (RemoteException e) {
                    Log.w("ROOM", "Cannot broadcast invalidation", e);
                }
            }
        }
    }

    public MultiInstanceInvalidationClient(Context context, String str, InvalidationTracker eVar, Executor executor) {
        this.f3304a = context.getApplicationContext();
        this.f3305b = str;
        this.f3307d = eVar;
        this.f3310g = executor;
        this.f3308e = new C0591f((String[]) eVar.f3282a.keySet().toArray(new String[0]));
        this.f3304a.bindService(new Intent(this.f3304a, MultiInstanceInvalidationService.class), this.f3313j, 1);
    }
}
