package p008b.p073t;

import android.annotation.SuppressLint;
import android.app.ActivityManager;
import android.content.Context;
import android.database.Cursor;
import android.os.CancellationSignal;
import android.os.Looper;
import java.io.File;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;
import java.util.concurrent.Callable;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.Executor;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantReadWriteLock;
import p008b.p020c.p021a.p022a.ArchTaskExecutor;
import p008b.p073t.p074m.Migration;
import p008b.p077v.p078a.SimpleSQLiteQuery;
import p008b.p077v.p078a.SupportSQLiteDatabase;
import p008b.p077v.p078a.SupportSQLiteOpenHelper;
import p008b.p077v.p078a.SupportSQLiteQuery;
import p008b.p077v.p078a.SupportSQLiteStatement;
import p008b.p077v.p078a.p079g.C0609b;
import p008b.p077v.p078a.p079g.FrameworkSQLiteDatabase;
import p008b.p077v.p078a.p079g.FrameworkSQLiteOpenHelperFactory;
import p008b.p077v.p078a.p079g.FrameworkSQLiteStatement;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.t.g */
public abstract class RoomDatabase {
    public static final String DB_IMPL_SUFFIX = "_Impl";
    public static final int MAX_BIND_PARAMETER_CNT = 999;
    public boolean mAllowMainThreadQueries;
    public final Map<String, Object> mBackingFieldMap = new ConcurrentHashMap();
    @Deprecated
    public List<C0593b> mCallbacks;
    public final ReentrantReadWriteLock mCloseLock = new ReentrantReadWriteLock();
    @Deprecated
    public volatile SupportSQLiteDatabase mDatabase;
    public final InvalidationTracker mInvalidationTracker = createInvalidationTracker();
    public SupportSQLiteOpenHelper mOpenHelper;
    public Executor mQueryExecutor;
    public final ThreadLocal<Integer> mSuspendingTransactionId = new ThreadLocal<>();
    public Executor mTransactionExecutor;
    public boolean mWriteAheadLoggingEnabled;

    /* renamed from: b.t.g$a */
    /* compiled from: RoomDatabase */
    public static class C0592a<T extends RoomDatabase> {

        /* renamed from: a */
        public final Class<T> f3325a;

        /* renamed from: b */
        public final String f3326b;

        /* renamed from: c */
        public final Context f3327c;

        /* renamed from: d */
        public Executor f3328d;

        /* renamed from: e */
        public Executor f3329e;

        /* renamed from: f */
        public SupportSQLiteOpenHelper.C0607c f3330f;

        /* renamed from: g */
        public C0594c f3331g = C0594c.AUTOMATIC;

        /* renamed from: h */
        public boolean f3332h = true;

        /* renamed from: i */
        public boolean f3333i;

        /* renamed from: j */
        public final C0595d f3334j = new C0595d();

        public C0592a(Context context, Class<T> cls, String str) {
            this.f3327c = context;
            this.f3325a = cls;
            this.f3326b = str;
        }

        @SuppressLint({"RestrictedApi"})
        /* renamed from: a */
        public T mo3838a() {
            String str;
            Executor executor;
            if (this.f3327c == null) {
                throw new IllegalArgumentException("Cannot provide null context for the database.");
            } else if (this.f3325a != null) {
                if (this.f3328d == null && this.f3329e == null) {
                    Executor executor2 = ArchTaskExecutor.f1841d;
                    this.f3329e = executor2;
                    this.f3328d = executor2;
                } else {
                    Executor executor3 = this.f3328d;
                    if (executor3 != null && this.f3329e == null) {
                        this.f3329e = executor3;
                    } else if (this.f3328d == null && (executor = this.f3329e) != null) {
                        this.f3328d = executor;
                    }
                }
                if (this.f3330f == null) {
                    this.f3330f = new FrameworkSQLiteOpenHelperFactory();
                }
                Context context = this.f3327c;
                String str2 = this.f3326b;
                SupportSQLiteOpenHelper.C0607c cVar = this.f3330f;
                C0595d dVar = this.f3334j;
                C0594c cVar2 = this.f3331g;
                if (cVar2 != null) {
                    if (cVar2 == C0594c.AUTOMATIC) {
                        ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
                        if (activityManager == null || activityManager.isLowRamDevice()) {
                            cVar2 = C0594c.TRUNCATE;
                        } else {
                            cVar2 = C0594c.WRITE_AHEAD_LOGGING;
                        }
                    }
                    DatabaseConfiguration aVar = new DatabaseConfiguration(context, str2, cVar, dVar, (List<C0593b>) null, false, cVar2, this.f3328d, this.f3329e, false, this.f3332h, this.f3333i, (Set<Integer>) null, (String) null, (File) null);
                    Class<T> cls = this.f3325a;
                    String name = cls.getPackage().getName();
                    String canonicalName = cls.getCanonicalName();
                    if (!name.isEmpty()) {
                        canonicalName = canonicalName.substring(name.length() + 1);
                    }
                    String str3 = canonicalName.replace('.', '_') + RoomDatabase.DB_IMPL_SUFFIX;
                    try {
                        if (name.isEmpty()) {
                            str = str3;
                        } else {
                            str = name + "." + str3;
                        }
                        T t = (RoomDatabase) Class.forName(str).newInstance();
                        t.init(aVar);
                        return t;
                    } catch (ClassNotFoundException unused) {
                        StringBuilder a = outline.m2937a("cannot find implementation for ");
                        a.append(cls.getCanonicalName());
                        a.append(". ");
                        a.append(str3);
                        a.append(" does not exist");
                        throw new RuntimeException(a.toString());
                    } catch (IllegalAccessException unused2) {
                        StringBuilder a2 = outline.m2937a("Cannot access the constructor");
                        a2.append(cls.getCanonicalName());
                        throw new RuntimeException(a2.toString());
                    } catch (InstantiationException unused3) {
                        StringBuilder a3 = outline.m2937a("Failed to create an instance of ");
                        a3.append(cls.getCanonicalName());
                        throw new RuntimeException(a3.toString());
                    }
                } else {
                    throw null;
                }
            } else {
                throw new IllegalArgumentException("Must provide an abstract class that extends RoomDatabase");
            }
        }
    }

    /* renamed from: b.t.g$b */
    /* compiled from: RoomDatabase */
    public static abstract class C0593b {
        /* renamed from: a */
        public void mo3839a() {
        }

        /* renamed from: b */
        public void mo3840b() {
        }

        /* renamed from: c */
        public void mo3841c() {
        }
    }

    /* renamed from: b.t.g$c */
    /* compiled from: RoomDatabase */
    public enum C0594c {
        AUTOMATIC,
        TRUNCATE,
        WRITE_AHEAD_LOGGING
    }

    /* renamed from: b.t.g$d */
    /* compiled from: RoomDatabase */
    public static class C0595d {

        /* renamed from: a */
        public HashMap<Integer, TreeMap<Integer, Migration>> f3339a = new HashMap<>();
    }

    public static boolean isMainThread() {
        return Looper.getMainLooper().getThread() == Thread.currentThread();
    }

    public void assertNotMainThread() {
        if (!this.mAllowMainThreadQueries && isMainThread()) {
            throw new IllegalStateException("Cannot access database on the main thread since it may potentially lock the UI for a long period of time.");
        }
    }

    public void assertNotSuspendingTransaction() {
        if (!inTransaction() && this.mSuspendingTransactionId.get() != null) {
            throw new IllegalStateException("Cannot access database on a different coroutine context inherited from a suspending transaction.");
        }
    }

    @Deprecated
    public void beginTransaction() {
        assertNotMainThread();
        SupportSQLiteDatabase a = this.mOpenHelper.mo3861a();
        this.mInvalidationTracker.mo3797b(a);
        ((FrameworkSQLiteDatabase) a).f3409b.beginTransaction();
    }

    public abstract void clearAllTables();

    public void close() {
        if (isOpen()) {
            ReentrantReadWriteLock.WriteLock writeLock = this.mCloseLock.writeLock();
            try {
                writeLock.lock();
                InvalidationTracker eVar = this.mInvalidationTracker;
                MultiInstanceInvalidationClient fVar = eVar.f3291j;
                if (fVar != null) {
                    if (fVar.f3312i.compareAndSet(false, true)) {
                        fVar.f3310g.execute(fVar.f3316m);
                    }
                    eVar.f3291j = null;
                }
                this.mOpenHelper.close();
            } finally {
                writeLock.unlock();
            }
        }
    }

    public SupportSQLiteStatement compileStatement(String str) {
        assertNotMainThread();
        assertNotSuspendingTransaction();
        return new FrameworkSQLiteStatement(((FrameworkSQLiteDatabase) this.mOpenHelper.mo3861a()).f3409b.compileStatement(str));
    }

    public abstract InvalidationTracker createInvalidationTracker();

    public abstract SupportSQLiteOpenHelper createOpenHelper(DatabaseConfiguration aVar);

    @Deprecated
    public void endTransaction() {
        ((FrameworkSQLiteDatabase) this.mOpenHelper.mo3861a()).f3409b.endTransaction();
        if (!inTransaction()) {
            InvalidationTracker eVar = this.mInvalidationTracker;
            if (eVar.f3286e.compareAndSet(false, true)) {
                eVar.f3285d.getQueryExecutor().execute(eVar.f3292k);
            }
        }
    }

    public Map<String, Object> getBackingFieldMap() {
        return this.mBackingFieldMap;
    }

    public Lock getCloseLock() {
        return this.mCloseLock.readLock();
    }

    public InvalidationTracker getInvalidationTracker() {
        return this.mInvalidationTracker;
    }

    public SupportSQLiteOpenHelper getOpenHelper() {
        return this.mOpenHelper;
    }

    public Executor getQueryExecutor() {
        return this.mQueryExecutor;
    }

    public ThreadLocal<Integer> getSuspendingTransactionId() {
        return this.mSuspendingTransactionId;
    }

    public Executor getTransactionExecutor() {
        return this.mTransactionExecutor;
    }

    public boolean inTransaction() {
        return ((FrameworkSQLiteDatabase) this.mOpenHelper.mo3861a()).mo3899g();
    }

    public void init(DatabaseConfiguration aVar) {
        SupportSQLiteOpenHelper createOpenHelper = createOpenHelper(aVar);
        this.mOpenHelper = createOpenHelper;
        if (createOpenHelper instanceof SQLiteCopyOpenHelper) {
            ((SQLiteCopyOpenHelper) createOpenHelper).f3360f = aVar;
        }
        boolean z = aVar.f3272g == C0594c.WRITE_AHEAD_LOGGING;
        this.mOpenHelper.mo3863a(z);
        this.mCallbacks = aVar.f3270e;
        this.mQueryExecutor = aVar.f3273h;
        this.mTransactionExecutor = new TransactionExecutor(aVar.f3274i);
        this.mAllowMainThreadQueries = aVar.f3271f;
        this.mWriteAheadLoggingEnabled = z;
        if (aVar.f3275j) {
            InvalidationTracker eVar = this.mInvalidationTracker;
            eVar.f3291j = new MultiInstanceInvalidationClient(aVar.f3267b, aVar.f3268c, eVar, eVar.f3285d.getQueryExecutor());
        }
    }

    public void internalInitInvalidationTracker(SupportSQLiteDatabase bVar) {
        this.mInvalidationTracker.mo3791a(bVar);
    }

    public boolean isOpen() {
        SupportSQLiteDatabase bVar = this.mDatabase;
        return bVar != null && ((FrameworkSQLiteDatabase) bVar).f3409b.isOpen();
    }

    public Cursor query(String str, Object[] objArr) {
        return ((FrameworkSQLiteDatabase) this.mOpenHelper.mo3861a()).mo3895a(new SimpleSQLiteQuery(str, objArr));
    }

    public void runInTransaction(Runnable runnable) {
        beginTransaction();
        try {
            runnable.run();
            setTransactionSuccessful();
        } finally {
            endTransaction();
        }
    }

    @Deprecated
    public void setTransactionSuccessful() {
        ((FrameworkSQLiteDatabase) this.mOpenHelper.mo3861a()).f3409b.setTransactionSuccessful();
    }

    public Cursor query(SupportSQLiteQuery eVar) {
        return query(eVar, (CancellationSignal) null);
    }

    public Cursor query(SupportSQLiteQuery eVar, CancellationSignal cancellationSignal) {
        assertNotMainThread();
        assertNotSuspendingTransaction();
        if (cancellationSignal == null) {
            return ((FrameworkSQLiteDatabase) this.mOpenHelper.mo3861a()).mo3895a(eVar);
        }
        FrameworkSQLiteDatabase aVar = (FrameworkSQLiteDatabase) this.mOpenHelper.mo3861a();
        return aVar.f3409b.rawQueryWithFactory(new C0609b(aVar, eVar), eVar.mo3852a(), FrameworkSQLiteDatabase.f3408c, (String) null, cancellationSignal);
    }

    public <V> V runInTransaction(Callable<V> callable) {
        beginTransaction();
        try {
            V call = callable.call();
            setTransactionSuccessful();
            endTransaction();
            return call;
        } catch (RuntimeException e) {
            throw e;
        } catch (Exception e2) {
            throw e2;
        } catch (Throwable th) {
            endTransaction();
            throw th;
        }
    }
}
