package p008b.p073t;

import android.content.Context;
import android.os.Build;
import android.util.Log;
import androidx.recyclerview.widget.RecyclerView;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.channels.Channels;
import java.nio.channels.FileChannel;
import java.nio.channels.ReadableByteChannel;
import p008b.p073t.p075n.CopyLock;
import p008b.p073t.p075n.DBUtil;
import p008b.p077v.p078a.SupportSQLiteDatabase;
import p008b.p077v.p078a.SupportSQLiteOpenHelper;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: b.t.j */
public class SQLiteCopyOpenHelper implements SupportSQLiteOpenHelper {

    /* renamed from: a */
    public final Context f3355a;

    /* renamed from: b */
    public final String f3356b;

    /* renamed from: c */
    public final File f3357c;

    /* renamed from: d */
    public final int f3358d;

    /* renamed from: e */
    public final SupportSQLiteOpenHelper f3359e;

    /* renamed from: f */
    public DatabaseConfiguration f3360f;

    /* renamed from: g */
    public boolean f3361g;

    /* renamed from: a */
    public void mo3863a(boolean z) {
        this.f3359e.mo3863a(z);
    }

    /* renamed from: b */
    public String mo3864b() {
        return this.f3359e.mo3864b();
    }

    /* renamed from: c */
    public final void mo3865c() {
        String b = this.f3359e.mo3864b();
        File databasePath = this.f3355a.getDatabasePath(b);
        DatabaseConfiguration aVar = this.f3360f;
        CopyLock aVar2 = new CopyLock(b, this.f3355a.getFilesDir(), aVar == null || aVar.f3275j);
        try {
            aVar2.f3369b.lock();
            if (aVar2.f3370c) {
                FileChannel channel = new FileOutputStream(aVar2.f3368a).getChannel();
                aVar2.f3371d = channel;
                channel.lock();
            }
            if (!databasePath.exists()) {
                mo3862a(databasePath);
                aVar2.mo3875a();
            } else if (this.f3360f == null) {
                aVar2.mo3875a();
            } else {
                try {
                    int a = DBUtil.m2702a(databasePath);
                    if (a == this.f3358d) {
                        aVar2.mo3875a();
                    } else if (this.f3360f.mo3771a(a, this.f3358d)) {
                        aVar2.mo3875a();
                    } else {
                        if (this.f3355a.deleteDatabase(b)) {
                            try {
                                mo3862a(databasePath);
                            } catch (IOException e) {
                                Log.w("ROOM", "Unable to copy database file.", e);
                            }
                        } else {
                            Log.w("ROOM", "Failed to delete database file (" + b + ") for a copy destructive migration.");
                        }
                        aVar2.mo3875a();
                    }
                } catch (IOException e2) {
                    Log.w("ROOM", "Unable to read database version.", e2);
                    aVar2.mo3875a();
                }
            }
        } catch (IOException e3) {
            throw new RuntimeException("Unable to copy database file.", e3);
        } catch (IOException e4) {
            throw new IllegalStateException("Unable to grab copy lock.", e4);
        } catch (Throwable th) {
            aVar2.mo3875a();
            throw th;
        }
    }

    public synchronized void close() {
        this.f3359e.close();
        this.f3361g = false;
    }

    /* renamed from: a */
    public synchronized SupportSQLiteDatabase mo3861a() {
        if (!this.f3361g) {
            mo3865c();
            this.f3361g = true;
        }
        return this.f3359e.mo3861a();
    }

    /* JADX INFO: finally extract failed */
    /* renamed from: a */
    public final void mo3862a(File file) throws IOException {
        ReadableByteChannel readableByteChannel;
        if (this.f3356b != null) {
            readableByteChannel = Channels.newChannel(this.f3355a.getAssets().open(this.f3356b));
        } else if (this.f3357c != null) {
            readableByteChannel = new FileInputStream(this.f3357c).getChannel();
        } else {
            throw new IllegalStateException("copyFromAssetPath and copyFromFile == null!");
        }
        File createTempFile = File.createTempFile("room-copy-helper", ".tmp", this.f3355a.getCacheDir());
        createTempFile.deleteOnExit();
        FileChannel channel = new FileOutputStream(createTempFile).getChannel();
        try {
            if (Build.VERSION.SDK_INT <= 23) {
                InputStream newInputStream = Channels.newInputStream(readableByteChannel);
                OutputStream newOutputStream = Channels.newOutputStream(channel);
                byte[] bArr = new byte[4096];
                while (true) {
                    int read = newInputStream.read(bArr);
                    if (read <= 0) {
                        break;
                    }
                    newOutputStream.write(bArr, 0, read);
                }
            } else {
                channel.transferFrom(readableByteChannel, 0, RecyclerView.FOREVER_NS);
            }
            channel.force(false);
            readableByteChannel.close();
            channel.close();
            File parentFile = file.getParentFile();
            if (parentFile != null && !parentFile.exists() && !parentFile.mkdirs()) {
                StringBuilder a = outline.m2937a("Failed to create directories for ");
                a.append(file.getAbsolutePath());
                throw new IOException(a.toString());
            } else if (!createTempFile.renameTo(file)) {
                StringBuilder a2 = outline.m2937a("Failed to move intermediate file (");
                a2.append(createTempFile.getAbsolutePath());
                a2.append(") to destination (");
                a2.append(file.getAbsolutePath());
                a2.append(").");
                throw new IOException(a2.toString());
            }
        } catch (Throwable th) {
            readableByteChannel.close();
            channel.close();
            throw th;
        }
    }
}
