package p008b.p081x.p082a.p083a;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ArgbEvaluator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.AnimatedVectorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import java.io.IOException;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p026e.ArrayMap;

/* renamed from: b.x.a.a.c */
public class AnimatedVectorDrawableCompat extends VectorDrawableCommon implements Animatable2Compat {

    /* renamed from: c */
    public C0650b f3576c;

    /* renamed from: d */
    public Context f3577d;

    /* renamed from: e */
    public ArgbEvaluator f3578e;

    /* renamed from: f */
    public final Drawable.Callback f3579f;

    /* renamed from: b.x.a.a.c$a */
    /* compiled from: AnimatedVectorDrawableCompat */
    public class C0649a implements Drawable.Callback {
        public C0649a() {
        }

        public void invalidateDrawable(Drawable drawable) {
            AnimatedVectorDrawableCompat.this.invalidateSelf();
        }

        public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
            AnimatedVectorDrawableCompat.this.scheduleSelf(runnable, j);
        }

        public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
            AnimatedVectorDrawableCompat.this.unscheduleSelf(runnable);
        }
    }

    /* renamed from: b.x.a.a.c$b */
    /* compiled from: AnimatedVectorDrawableCompat */
    public static class C0650b extends Drawable.ConstantState {

        /* renamed from: a */
        public int f3581a;

        /* renamed from: b */
        public VectorDrawableCompat f3582b;

        /* renamed from: c */
        public AnimatorSet f3583c;

        /* renamed from: d */
        public ArrayList<Animator> f3584d;

        /* renamed from: e */
        public ArrayMap<Animator, String> f3585e;

        public C0650b(C0650b bVar, Drawable.Callback callback, Resources resources) {
            if (bVar != null) {
                this.f3581a = bVar.f3581a;
                VectorDrawableCompat gVar = bVar.f3582b;
                if (gVar != null) {
                    Drawable.ConstantState constantState = gVar.getConstantState();
                    if (resources != null) {
                        this.f3582b = (VectorDrawableCompat) constantState.newDrawable(resources);
                    } else {
                        this.f3582b = (VectorDrawableCompat) constantState.newDrawable();
                    }
                    VectorDrawableCompat gVar2 = this.f3582b;
                    gVar2.mutate();
                    this.f3582b = gVar2;
                    gVar2.setCallback(callback);
                    this.f3582b.setBounds(bVar.f3582b.getBounds());
                    this.f3582b.f3595g = false;
                }
                ArrayList<Animator> arrayList = bVar.f3584d;
                if (arrayList != null) {
                    int size = arrayList.size();
                    this.f3584d = new ArrayList<>(size);
                    this.f3585e = new ArrayMap<>(size);
                    for (int i = 0; i < size; i++) {
                        Animator animator = bVar.f3584d.get(i);
                        Animator clone = animator.clone();
                        String orDefault = bVar.f3585e.getOrDefault(animator, null);
                        clone.setTarget(this.f3582b.f3591c.f3646b.f3644p.getOrDefault(orDefault, null));
                        this.f3584d.add(clone);
                        this.f3585e.put(clone, orDefault);
                    }
                    if (this.f3583c == null) {
                        this.f3583c = new AnimatorSet();
                    }
                    this.f3583c.playTogether(this.f3584d);
                }
            }
        }

        public int getChangingConfigurations() {
            return this.f3581a;
        }

        public Drawable newDrawable() {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }

        public Drawable newDrawable(Resources resources) {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }
    }

    public AnimatedVectorDrawableCompat() {
        this((Context) null, (C0650b) null, (Resources) null);
    }

    public void applyTheme(Resources.Theme theme) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            drawable.applyTheme(theme);
        }
    }

    public boolean canApplyTheme() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.canApplyTheme();
        }
        return false;
    }

    public void draw(Canvas canvas) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        this.f3576c.f3582b.draw(canvas);
        if (this.f3576c.f3583c.isStarted()) {
            invalidateSelf();
        }
    }

    public int getAlpha() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.getAlpha();
        }
        return this.f3576c.f3582b.getAlpha();
    }

    public int getChangingConfigurations() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.f3576c.f3581a;
    }

    public ColorFilter getColorFilter() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.getColorFilter();
        }
        return this.f3576c.f3582b.getColorFilter();
    }

    public Drawable.ConstantState getConstantState() {
        if (this.f3589b == null || Build.VERSION.SDK_INT < 24) {
            return null;
        }
        return new C0651c(this.f3589b.getConstantState());
    }

    public int getIntrinsicHeight() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.getIntrinsicHeight();
        }
        return this.f3576c.f3582b.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return this.f3576c.f3582b.getIntrinsicWidth();
    }

    public int getOpacity() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return this.f3576c.f3582b.getOpacity();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00ee, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00f0, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00f1, code lost:
        r7 = "Can't load animation resource ID #0x";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00f5, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x00f6, code lost:
        r7 = "Can't load animation resource ID #0x";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x013c, code lost:
        r19.close();
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00ee A[ExcHandler: all (th java.lang.Throwable), Splitter:B:33:0x0098] */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x013c  */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void inflate(android.content.res.Resources r22, org.xmlpull.v1.XmlPullParser r23, android.util.AttributeSet r24, android.content.res.Resources.Theme r25) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
        /*
            r21 = this;
            r1 = r21
            r0 = r22
            r2 = r24
            r3 = r25
            android.graphics.drawable.Drawable r4 = r1.f3589b
            if (r4 == 0) goto L_0x0012
            r5 = r23
            r4.inflate(r0, r5, r2, r3)
            return
        L_0x0012:
            r5 = r23
            int r4 = r23.getEventType()
            int r6 = r23.getDepth()
            r7 = 1
            int r6 = r6 + r7
        L_0x001e:
            if (r4 == r7) goto L_0x0155
            int r8 = r23.getDepth()
            if (r8 >= r6) goto L_0x0029
            r8 = 3
            if (r4 == r8) goto L_0x0155
        L_0x0029:
            r8 = 2
            if (r4 != r8) goto L_0x014e
            java.lang.String r4 = r23.getName()
            java.lang.String r8 = "animated-vector"
            boolean r8 = r8.equals(r4)
            r9 = 0
            r10 = 0
            if (r8 == 0) goto L_0x0063
            int[] r4 = p008b.p081x.p082a.p083a.AndroidResources.f3568e
            android.content.res.TypedArray r4 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m25a((android.content.res.Resources) r0, (android.content.res.Resources.Theme) r3, (android.util.AttributeSet) r2, (int[]) r4)
            int r8 = r4.getResourceId(r10, r10)
            if (r8 == 0) goto L_0x005e
            b.x.a.a.g r8 = p008b.p081x.p082a.p083a.VectorDrawableCompat.m2895a(r0, r8, r3)
            r8.f3595g = r10
            android.graphics.drawable.Drawable$Callback r10 = r1.f3579f
            r8.setCallback(r10)
            b.x.a.a.c$b r10 = r1.f3576c
            b.x.a.a.g r10 = r10.f3582b
            if (r10 == 0) goto L_0x005a
            r10.setCallback(r9)
        L_0x005a:
            b.x.a.a.c$b r9 = r1.f3576c
            r9.f3582b = r8
        L_0x005e:
            r4.recycle()
            goto L_0x014e
        L_0x0063:
            java.lang.String r8 = "target"
            boolean r4 = r8.equals(r4)
            if (r4 == 0) goto L_0x014e
            int[] r4 = p008b.p081x.p082a.p083a.AndroidResources.f3569f
            android.content.res.TypedArray r4 = r0.obtainAttributes(r2, r4)
            java.lang.String r8 = r4.getString(r10)
            int r10 = r4.getResourceId(r7, r10)
            if (r10 == 0) goto L_0x014b
            android.content.Context r11 = r1.f3577d
            if (r11 == 0) goto L_0x0140
            int r12 = android.os.Build.VERSION.SDK_INT
            r13 = 24
            if (r12 < r13) goto L_0x008a
            android.animation.Animator r10 = android.animation.AnimatorInflater.loadAnimator(r11, r10)
            goto L_0x00b4
        L_0x008a:
            android.content.res.Resources r12 = r11.getResources()
            android.content.res.Resources$Theme r13 = r11.getTheme()
            java.lang.String r15 = "Can't load animation resource ID #0x"
            android.content.res.XmlResourceParser r19 = r12.getAnimation(r10)     // Catch:{ XmlPullParserException -> 0x011a, IOException -> 0x00fc }
            android.util.AttributeSet r16 = android.util.Xml.asAttributeSet(r19)     // Catch:{ XmlPullParserException -> 0x00f5, IOException -> 0x00f0, all -> 0x00ee }
            r17 = 0
            r18 = 0
            r20 = 1065353216(0x3f800000, float:1.0)
            r14 = r19
            r7 = r15
            r15 = r16
            r16 = r17
            r17 = r18
            r18 = r20
            android.animation.Animator r10 = p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21.m16a(r11, r12, r13, r14, r15, r16, r17, r18)     // Catch:{ XmlPullParserException -> 0x00ec, IOException -> 0x00ea, all -> 0x00ee }
            r19.close()
        L_0x00b4:
            b.x.a.a.c$b r7 = r1.f3576c
            b.x.a.a.g r7 = r7.f3582b
            b.x.a.a.g$h r7 = r7.f3591c
            b.x.a.a.g$g r7 = r7.f3646b
            b.e.a<java.lang.String, java.lang.Object> r7 = r7.f3644p
            java.lang.Object r7 = r7.getOrDefault(r8, r9)
            r10.setTarget(r7)
            b.x.a.a.c$b r7 = r1.f3576c
            java.util.ArrayList<android.animation.Animator> r9 = r7.f3584d
            if (r9 != 0) goto L_0x00db
            java.util.ArrayList r9 = new java.util.ArrayList
            r9.<init>()
            r7.f3584d = r9
            b.x.a.a.c$b r7 = r1.f3576c
            b.e.a r9 = new b.e.a
            r9.<init>()
            r7.f3585e = r9
        L_0x00db:
            b.x.a.a.c$b r7 = r1.f3576c
            java.util.ArrayList<android.animation.Animator> r7 = r7.f3584d
            r7.add(r10)
            b.x.a.a.c$b r7 = r1.f3576c
            b.e.a<android.animation.Animator, java.lang.String> r7 = r7.f3585e
            r7.put(r10, r8)
            goto L_0x014b
        L_0x00ea:
            r0 = move-exception
            goto L_0x00f2
        L_0x00ec:
            r0 = move-exception
            goto L_0x00f7
        L_0x00ee:
            r0 = move-exception
            goto L_0x013a
        L_0x00f0:
            r0 = move-exception
            r7 = r15
        L_0x00f2:
            r9 = r19
            goto L_0x00fe
        L_0x00f5:
            r0 = move-exception
            r7 = r15
        L_0x00f7:
            r9 = r19
            goto L_0x011c
        L_0x00fa:
            r0 = move-exception
            goto L_0x0138
        L_0x00fc:
            r0 = move-exception
            r7 = r15
        L_0x00fe:
            android.content.res.Resources$NotFoundException r2 = new android.content.res.Resources$NotFoundException     // Catch:{ all -> 0x00fa }
            java.lang.StringBuilder r3 = new java.lang.StringBuilder     // Catch:{ all -> 0x00fa }
            r3.<init>()     // Catch:{ all -> 0x00fa }
            r3.append(r7)     // Catch:{ all -> 0x00fa }
            java.lang.String r4 = java.lang.Integer.toHexString(r10)     // Catch:{ all -> 0x00fa }
            r3.append(r4)     // Catch:{ all -> 0x00fa }
            java.lang.String r3 = r3.toString()     // Catch:{ all -> 0x00fa }
            r2.<init>(r3)     // Catch:{ all -> 0x00fa }
            r2.initCause(r0)     // Catch:{ all -> 0x00fa }
            throw r2     // Catch:{ all -> 0x00fa }
        L_0x011a:
            r0 = move-exception
            r7 = r15
        L_0x011c:
            android.content.res.Resources$NotFoundException r2 = new android.content.res.Resources$NotFoundException     // Catch:{ all -> 0x00fa }
            java.lang.StringBuilder r3 = new java.lang.StringBuilder     // Catch:{ all -> 0x00fa }
            r3.<init>()     // Catch:{ all -> 0x00fa }
            r3.append(r7)     // Catch:{ all -> 0x00fa }
            java.lang.String r4 = java.lang.Integer.toHexString(r10)     // Catch:{ all -> 0x00fa }
            r3.append(r4)     // Catch:{ all -> 0x00fa }
            java.lang.String r3 = r3.toString()     // Catch:{ all -> 0x00fa }
            r2.<init>(r3)     // Catch:{ all -> 0x00fa }
            r2.initCause(r0)     // Catch:{ all -> 0x00fa }
            throw r2     // Catch:{ all -> 0x00fa }
        L_0x0138:
            r19 = r9
        L_0x013a:
            if (r19 == 0) goto L_0x013f
            r19.close()
        L_0x013f:
            throw r0
        L_0x0140:
            r4.recycle()
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException
            java.lang.String r2 = "Context can't be null when inflating animators"
            r0.<init>(r2)
            throw r0
        L_0x014b:
            r4.recycle()
        L_0x014e:
            int r4 = r23.next()
            r7 = 1
            goto L_0x001e
        L_0x0155:
            b.x.a.a.c$b r0 = r1.f3576c
            android.animation.AnimatorSet r2 = r0.f3583c
            if (r2 != 0) goto L_0x0162
            android.animation.AnimatorSet r2 = new android.animation.AnimatorSet
            r2.<init>()
            r0.f3583c = r2
        L_0x0162:
            android.animation.AnimatorSet r2 = r0.f3583c
            java.util.ArrayList<android.animation.Animator> r0 = r0.f3584d
            r2.playTogether(r0)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: p008b.p081x.p082a.p083a.AnimatedVectorDrawableCompat.inflate(android.content.res.Resources, org.xmlpull.v1.XmlPullParser, android.util.AttributeSet, android.content.res.Resources$Theme):void");
    }

    public boolean isAutoMirrored() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.isAutoMirrored();
        }
        return this.f3576c.f3582b.isAutoMirrored();
    }

    public boolean isRunning() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return ((AnimatedVectorDrawable) drawable).isRunning();
        }
        return this.f3576c.f3583c.isRunning();
    }

    public boolean isStateful() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.isStateful();
        }
        return this.f3576c.f3582b.isStateful();
    }

    public Drawable mutate() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            drawable.mutate();
        }
        return this;
    }

    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            drawable.setBounds(rect);
        } else {
            this.f3576c.f3582b.setBounds(rect);
        }
    }

    public boolean onLevelChange(int i) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.setLevel(i);
        }
        return this.f3576c.f3582b.setLevel(i);
    }

    public boolean onStateChange(int[] iArr) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        return this.f3576c.f3582b.setState(iArr);
    }

    public void setAlpha(int i) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            drawable.setAlpha(i);
        } else {
            this.f3576c.f3582b.setAlpha(i);
        }
    }

    public void setAutoMirrored(boolean z) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            drawable.setAutoMirrored(z);
            return;
        }
        VectorDrawableCompat gVar = this.f3576c.f3582b;
        Drawable drawable2 = gVar.f3589b;
        if (drawable2 != null) {
            drawable2.setAutoMirrored(z);
        } else {
            gVar.f3591c.f3649e = z;
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
            return;
        }
        VectorDrawableCompat gVar = this.f3576c.f3582b;
        Drawable drawable2 = gVar.f3589b;
        if (drawable2 != null) {
            drawable2.setColorFilter(colorFilter);
            return;
        }
        gVar.f3593e = colorFilter;
        gVar.invalidateSelf();
    }

    public void setTint(int i) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            MediaDescriptionCompatApi21.m92b(drawable, i);
        } else {
            this.f3576c.f3582b.setTint(i);
        }
    }

    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            MediaDescriptionCompatApi21.m54a(drawable, colorStateList);
        } else {
            this.f3576c.f3582b.setTintList(colorStateList);
        }
    }

    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            MediaDescriptionCompatApi21.m55a(drawable, mode);
        } else {
            this.f3576c.f3582b.setTintMode(mode);
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            return drawable.setVisible(z, z2);
        }
        this.f3576c.f3582b.setVisible(z, z2);
        return super.setVisible(z, z2);
    }

    public void start() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).start();
        } else if (!this.f3576c.f3583c.isStarted()) {
            this.f3576c.f3583c.start();
            invalidateSelf();
        }
    }

    public void stop() {
        Drawable drawable = this.f3589b;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).stop();
        } else {
            this.f3576c.f3583c.end();
        }
    }

    public AnimatedVectorDrawableCompat(Context context, C0650b bVar, Resources resources) {
        this.f3578e = null;
        this.f3579f = new C0649a();
        this.f3577d = context;
        if (bVar != null) {
            this.f3576c = bVar;
        } else {
            this.f3576c = new C0650b(bVar, this.f3579f, resources);
        }
    }

    /* renamed from: b.x.a.a.c$c */
    /* compiled from: AnimatedVectorDrawableCompat */
    public static class C0651c extends Drawable.ConstantState {

        /* renamed from: a */
        public final Drawable.ConstantState f3586a;

        public C0651c(Drawable.ConstantState constantState) {
            this.f3586a = constantState;
        }

        public boolean canApplyTheme() {
            return this.f3586a.canApplyTheme();
        }

        public int getChangingConfigurations() {
            return this.f3586a.getChangingConfigurations();
        }

        public Drawable newDrawable() {
            AnimatedVectorDrawableCompat cVar = new AnimatedVectorDrawableCompat((Context) null, (C0650b) null, (Resources) null);
            Drawable newDrawable = this.f3586a.newDrawable();
            cVar.f3589b = newDrawable;
            newDrawable.setCallback(cVar.f3579f);
            return cVar;
        }

        public Drawable newDrawable(Resources resources) {
            AnimatedVectorDrawableCompat cVar = new AnimatedVectorDrawableCompat((Context) null, (C0650b) null, (Resources) null);
            Drawable newDrawable = this.f3586a.newDrawable(resources);
            cVar.f3589b = newDrawable;
            newDrawable.setCallback(cVar.f3579f);
            return cVar;
        }

        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            AnimatedVectorDrawableCompat cVar = new AnimatedVectorDrawableCompat((Context) null, (C0650b) null, (Resources) null);
            Drawable newDrawable = this.f3586a.newDrawable(resources, theme);
            cVar.f3589b = newDrawable;
            newDrawable.setCallback(cVar.f3579f);
            return cVar;
        }
    }

    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        inflate(resources, xmlPullParser, attributeSet, (Resources.Theme) null);
    }
}
