package com.newrelic.agent.android.measurement.consumer;

import com.newrelic.agent.android.measurement.CustomMetricMeasurement;
import com.newrelic.agent.android.measurement.Measurement;
import com.newrelic.agent.android.measurement.MeasurementType;
import com.newrelic.agent.android.metric.Metric;
import p085c.p086a.p087a.p088a.outline;

public class CustomMetricConsumer extends MetricMeasurementConsumer {
    public static final String METRIC_PREFIX = "Custom/";

    public CustomMetricConsumer() {
        super(MeasurementType.Custom);
    }

    public void consumeMeasurement(Measurement measurement) {
        Metric customMetric = ((CustomMetricMeasurement) measurement).getCustomMetric();
        customMetric.setName(formatMetricName(customMetric.getName()));
        addMetric(customMetric);
    }

    public String formatMetricName(String str) {
        return outline.m2941b(METRIC_PREFIX, str);
    }
}
