package p008b.p084y;

import android.os.Parcelable;
import android.text.TextUtils;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import p008b.p026e.ArrayMap;

/* renamed from: b.y.a */
public abstract class VersionedParcel {

    /* renamed from: a */
    public final ArrayMap<String, Method> f3658a;

    /* renamed from: b */
    public final ArrayMap<String, Method> f3659b;

    /* renamed from: c */
    public final ArrayMap<String, Class> f3660c;

    public VersionedParcel(ArrayMap<String, Method> aVar, ArrayMap<String, Method> aVar2, ArrayMap<String, Class> aVar3) {
        this.f3658a = aVar;
        this.f3659b = aVar2;
        this.f3660c = aVar3;
    }

    /* renamed from: a */
    public abstract void mo4150a();

    /* renamed from: a */
    public abstract boolean mo4152a(int i);

    /* renamed from: a */
    public boolean mo4153a(boolean z, int i) {
        if (!mo4152a(i)) {
            return z;
        }
        return ((VersionedParcelParcel) this).f3662e.readInt() != 0;
    }

    /* renamed from: b */
    public abstract VersionedParcel mo4154b();

    /* renamed from: b */
    public abstract void mo4156b(int i);

    /* renamed from: b */
    public void mo4157b(int i, int i2) {
        mo4156b(i2);
        ((VersionedParcelParcel) this).f3662e.writeInt(i);
    }

    /* renamed from: c */
    public <T extends VersionedParcelable> T mo4159c() {
        String readString = ((VersionedParcelParcel) this).f3662e.readString();
        if (readString == null) {
            return null;
        }
        VersionedParcel b = mo4154b();
        try {
            return (VersionedParcelable) mo4149a(readString).invoke((Object) null, new Object[]{b});
        } catch (IllegalAccessException e) {
            throw new RuntimeException("VersionedParcel encountered IllegalAccessException", e);
        } catch (InvocationTargetException e2) {
            if (e2.getCause() instanceof RuntimeException) {
                throw ((RuntimeException) e2.getCause());
            }
            throw new RuntimeException("VersionedParcel encountered InvocationTargetException", e2);
        } catch (NoSuchMethodException e3) {
            throw new RuntimeException("VersionedParcel encountered NoSuchMethodException", e3);
        } catch (ClassNotFoundException e4) {
            throw new RuntimeException("VersionedParcel encountered ClassNotFoundException", e4);
        }
    }

    /* renamed from: a */
    public int mo4145a(int i, int i2) {
        if (!mo4152a(i2)) {
            return i;
        }
        return ((VersionedParcelParcel) this).f3662e.readInt();
    }

    /* renamed from: b */
    public void mo4158b(Parcelable parcelable, int i) {
        mo4156b(i);
        ((VersionedParcelParcel) this).f3662e.writeParcelable(parcelable, 0);
    }

    /* renamed from: a */
    public <T extends Parcelable> T mo4146a(T t, int i) {
        if (!mo4152a(i)) {
            return t;
        }
        return ((VersionedParcelParcel) this).f3662e.readParcelable(VersionedParcelParcel.class.getClassLoader());
    }

    /* renamed from: b */
    public final Method mo4155b(Class cls) throws IllegalAccessException, NoSuchMethodException, ClassNotFoundException {
        Method orDefault = this.f3659b.getOrDefault(cls.getName(), null);
        if (orDefault != null) {
            return orDefault;
        }
        Class a = mo4148a((Class<? extends VersionedParcelable>) cls);
        System.currentTimeMillis();
        Method declaredMethod = a.getDeclaredMethod("write", new Class[]{cls, VersionedParcel.class});
        this.f3659b.put(cls.getName(), declaredMethod);
        return declaredMethod;
    }

    /* renamed from: a */
    public CharSequence mo4147a(CharSequence charSequence, int i) {
        if (!mo4152a(i)) {
            return charSequence;
        }
        return (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(((VersionedParcelParcel) this).f3662e);
    }

    /* renamed from: a */
    public void mo4151a(VersionedParcelable cVar) {
        if (cVar == null) {
            ((VersionedParcelParcel) this).f3662e.writeString((String) null);
            return;
        }
        try {
            ((VersionedParcelParcel) this).f3662e.writeString(mo4148a((Class<? extends VersionedParcelable>) cVar.getClass()).getName());
            VersionedParcel b = mo4154b();
            try {
                mo4155b((Class) cVar.getClass()).invoke((Object) null, new Object[]{cVar, b});
                b.mo4150a();
            } catch (IllegalAccessException e) {
                throw new RuntimeException("VersionedParcel encountered IllegalAccessException", e);
            } catch (InvocationTargetException e2) {
                if (e2.getCause() instanceof RuntimeException) {
                    throw ((RuntimeException) e2.getCause());
                }
                throw new RuntimeException("VersionedParcel encountered InvocationTargetException", e2);
            } catch (NoSuchMethodException e3) {
                throw new RuntimeException("VersionedParcel encountered NoSuchMethodException", e3);
            } catch (ClassNotFoundException e4) {
                throw new RuntimeException("VersionedParcel encountered ClassNotFoundException", e4);
            }
        } catch (ClassNotFoundException e5) {
            throw new RuntimeException(cVar.getClass().getSimpleName() + " does not have a Parcelizer", e5);
        }
    }

    /* renamed from: a */
    public final Method mo4149a(String str) throws IllegalAccessException, NoSuchMethodException, ClassNotFoundException {
        Class<VersionedParcel> cls = VersionedParcel.class;
        Method orDefault = this.f3658a.getOrDefault(str, null);
        if (orDefault != null) {
            return orDefault;
        }
        System.currentTimeMillis();
        Method declaredMethod = Class.forName(str, true, cls.getClassLoader()).getDeclaredMethod("read", new Class[]{cls});
        this.f3658a.put(str, declaredMethod);
        return declaredMethod;
    }

    /* renamed from: a */
    public final Class mo4148a(Class<? extends VersionedParcelable> cls) throws ClassNotFoundException {
        Class orDefault = this.f3660c.getOrDefault(cls.getName(), null);
        if (orDefault != null) {
            return orDefault;
        }
        Class<?> cls2 = Class.forName(String.format("%s.%sParcelizer", new Object[]{cls.getPackage().getName(), cls.getSimpleName()}), false, cls.getClassLoader());
        this.f3660c.put(cls.getName(), cls2);
        return cls2;
    }
}
