package p085c.p089b.p090a;

import android.content.ComponentCallbacks2;
import android.content.Context;
import android.content.res.Configuration;
import android.graphics.Bitmap;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.concurrent.CopyOnWriteArrayList;
import p008b.p033h.p035f.ContextCompat;
import p085c.p089b.p090a.p093n.p096n.DiskCacheStrategy;
import p085c.p089b.p090a.p093n.p102p.p107g.GifDrawable;
import p085c.p089b.p090a.p109o.C0845h;
import p085c.p089b.p090a.p109o.ConnectivityMonitor;
import p085c.p089b.p090a.p109o.ConnectivityMonitorFactory;
import p085c.p089b.p090a.p109o.DefaultConnectivityMonitor;
import p085c.p089b.p090a.p109o.DefaultConnectivityMonitorFactory;
import p085c.p089b.p090a.p109o.LifecycleListener;
import p085c.p089b.p090a.p109o.NullConnectivityMonitor;
import p085c.p089b.p090a.p109o.RequestManagerTreeNode;
import p085c.p089b.p090a.p109o.RequestTracker;
import p085c.p089b.p090a.p109o.TargetTracker;
import p085c.p089b.p090a.p112r.Request;
import p085c.p089b.p090a.p112r.RequestListener;
import p085c.p089b.p090a.p112r.RequestOptions;
import p085c.p089b.p090a.p112r.p113h.Target;
import p085c.p089b.p090a.p116t.C0862j;

/* renamed from: c.b.a.j */
public class RequestManager implements ComponentCallbacks2, LifecycleListener {

    /* renamed from: m */
    public static final RequestOptions f3735m;

    /* renamed from: b */
    public final Glide f3736b;

    /* renamed from: c */
    public final Context f3737c;

    /* renamed from: d */
    public final C0845h f3738d;

    /* renamed from: e */
    public final RequestTracker f3739e;

    /* renamed from: f */
    public final RequestManagerTreeNode f3740f;

    /* renamed from: g */
    public final TargetTracker f3741g = new TargetTracker();

    /* renamed from: h */
    public final Runnable f3742h = new C0670a();

    /* renamed from: i */
    public final Handler f3743i = new Handler(Looper.getMainLooper());

    /* renamed from: j */
    public final ConnectivityMonitor f3744j;

    /* renamed from: k */
    public final CopyOnWriteArrayList<RequestListener<Object>> f3745k;

    /* renamed from: l */
    public RequestOptions f3746l;

    /* renamed from: c.b.a.j$a */
    /* compiled from: RequestManager */
    public class C0670a implements Runnable {
        public C0670a() {
        }

        public void run() {
            RequestManager jVar = RequestManager.this;
            jVar.f3738d.mo4588a(jVar);
        }
    }

    /* renamed from: c.b.a.j$b */
    /* compiled from: RequestManager */
    public class C0671b implements ConnectivityMonitor.C0843a {

        /* renamed from: a */
        public final RequestTracker f3748a;

        public C0671b(RequestTracker nVar) {
            this.f3748a = nVar;
        }

        /* renamed from: a */
        public void mo4190a(boolean z) {
            if (z) {
                synchronized (RequestManager.this) {
                    RequestTracker nVar = this.f3748a;
                    Iterator it = ((ArrayList) C0862j.m3820a(nVar.f4502a)).iterator();
                    while (it.hasNext()) {
                        Request bVar = (Request) it.next();
                        if (!bVar.mo4647c() && !bVar.mo4649d()) {
                            bVar.clear();
                            if (!nVar.f4504c) {
                                bVar.mo4646b();
                            } else {
                                nVar.f4503b.add(bVar);
                            }
                        }
                    }
                }
            }
        }
    }

    static {
        RequestOptions eVar = (RequestOptions) new RequestOptions().mo4638a((Class<?>) Bitmap.class);
        eVar.f4543u = true;
        f3735m = eVar;
        ((RequestOptions) new RequestOptions().mo4638a((Class<?>) GifDrawable.class)).f4543u = true;
        RequestOptions eVar2 = (RequestOptions) ((RequestOptions) ((RequestOptions) new RequestOptions().mo4636a(DiskCacheStrategy.f4088b)).mo4632a(Priority.LOW)).mo4640a(true);
    }

    public RequestManager(Glide bVar, C0845h hVar, RequestManagerTreeNode mVar, Context context) {
        ConnectivityMonitor cVar;
        RequestTracker nVar = new RequestTracker();
        ConnectivityMonitorFactory dVar = bVar.f3677h;
        this.f3736b = bVar;
        this.f3738d = hVar;
        this.f3740f = mVar;
        this.f3739e = nVar;
        this.f3737c = context;
        Context applicationContext = context.getApplicationContext();
        C0671b bVar2 = new C0671b(nVar);
        if (((DefaultConnectivityMonitorFactory) dVar) != null) {
            boolean z = ContextCompat.m1785a(applicationContext, "android.permission.ACCESS_NETWORK_STATE") == 0;
            if (Log.isLoggable("ConnectivityMonitor", 3)) {
                Log.d("ConnectivityMonitor", z ? "ACCESS_NETWORK_STATE permission granted, registering connectivity monitor" : "ACCESS_NETWORK_STATE permission missing, cannot register connectivity monitor");
            }
            if (z) {
                cVar = new DefaultConnectivityMonitor(applicationContext, bVar2);
            } else {
                cVar = new NullConnectivityMonitor();
            }
            this.f3744j = cVar;
            if (C0862j.m3825b()) {
                this.f3743i.post(this.f3742h);
            } else {
                hVar.mo4588a(this);
            }
            hVar.mo4588a(this.f3744j);
            this.f3745k = new CopyOnWriteArrayList<>(bVar.f3673d.f3699e);
            mo4176a(bVar.f3673d.mo4166a());
            bVar.mo4160a(this);
            return;
        }
        throw null;
    }

    /* renamed from: a */
    public synchronized void mo4176a(RequestOptions eVar) {
        RequestOptions eVar2 = (RequestOptions) eVar.clone();
        if (eVar2.f4543u) {
            if (!eVar2.f4545w) {
                throw new IllegalStateException("You cannot auto lock an already locked options object, try clone() first");
            }
        }
        eVar2.f4545w = true;
        eVar2.f4543u = true;
        this.f3746l = eVar2;
    }

    /* renamed from: b */
    public synchronized boolean mo4179b(Target<?> hVar) {
        Request b = hVar.mo4675b();
        if (b == null) {
            return true;
        }
        if (!this.f3739e.mo4609a(b)) {
            return false;
        }
        this.f3741g.f4505b.remove(hVar);
        hVar.mo4673a((Request) null);
        return true;
    }

    /* renamed from: c */
    public synchronized void mo4180c() {
        mo4184g();
        this.f3741g.mo4180c();
    }

    /* renamed from: d */
    public synchronized void mo4181d() {
        this.f3741g.mo4181d();
        for (T a : C0862j.m3820a(this.f3741g.f4505b)) {
            mo4177a((Target<?>) a);
        }
        this.f3741g.f4505b.clear();
        RequestTracker nVar = this.f3739e;
        Iterator it = ((ArrayList) C0862j.m3820a(nVar.f4502a)).iterator();
        while (it.hasNext()) {
            nVar.mo4609a((Request) it.next());
        }
        nVar.f4503b.clear();
        this.f3738d.mo4590b(this);
        this.f3738d.mo4590b(this.f3744j);
        this.f3743i.removeCallbacks(this.f3742h);
        this.f3736b.mo4162b(this);
    }

    /* renamed from: e */
    public synchronized RequestOptions mo4182e() {
        return this.f3746l;
    }

    /* renamed from: f */
    public synchronized void mo4183f() {
        RequestTracker nVar = this.f3739e;
        nVar.f4504c = true;
        Iterator it = ((ArrayList) C0862j.m3820a(nVar.f4502a)).iterator();
        while (it.hasNext()) {
            Request bVar = (Request) it.next();
            if (bVar.isRunning()) {
                bVar.mo4644a();
                nVar.f4503b.add(bVar);
            }
        }
    }

    /* renamed from: g */
    public synchronized void mo4184g() {
        RequestTracker nVar = this.f3739e;
        nVar.f4504c = false;
        Iterator it = ((ArrayList) C0862j.m3820a(nVar.f4502a)).iterator();
        while (it.hasNext()) {
            Request bVar = (Request) it.next();
            if (!bVar.mo4647c() && !bVar.isRunning()) {
                bVar.mo4646b();
            }
        }
        nVar.f4503b.clear();
    }

    public void onConfigurationChanged(Configuration configuration) {
    }

    public void onLowMemory() {
    }

    public void onTrimMemory(int i) {
    }

    public synchronized String toString() {
        return super.toString() + "{tracker=" + this.f3739e + ", treeNode=" + this.f3740f + "}";
    }

    /* renamed from: a */
    public synchronized void mo4175a() {
        mo4183f();
        this.f3741g.mo4175a();
    }

    /* renamed from: a */
    public void mo4177a(Target<?> hVar) {
        if (hVar != null) {
            boolean b = mo4179b(hVar);
            Request b2 = hVar.mo4675b();
            if (!b && !this.f3736b.mo4161a(hVar) && b2 != null) {
                hVar.mo4673a((Request) null);
                b2.clear();
            }
        }
    }

    /* renamed from: a */
    public synchronized void mo4178a(Target<?> hVar, Request bVar) {
        this.f3741g.f4505b.add(hVar);
        RequestTracker nVar = this.f3739e;
        nVar.f4502a.add(bVar);
        if (!nVar.f4504c) {
            bVar.mo4646b();
        } else {
            bVar.clear();
            if (Log.isLoggable("RequestTracker", 2)) {
                Log.v("RequestTracker", "Paused, delaying request");
            }
            nVar.f4503b.add(bVar);
        }
    }
}
