package p085c.p089b.p090a.p093n.p094m;

import android.text.TextUtils;
import android.util.Log;
import com.newrelic.agent.android.instrumentation.Instrumented;
import com.newrelic.agent.android.instrumentation.URLConnectionInstrumentation;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Map;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.Priority;
import p085c.p089b.p090a.p093n.DataSource;
import p085c.p089b.p090a.p093n.HttpException;
import p085c.p089b.p090a.p093n.p094m.DataFetcher;
import p085c.p089b.p090a.p093n.p100o.GlideUrl;
import p085c.p089b.p090a.p116t.ContentLengthInputStream;
import p085c.p089b.p090a.p116t.LogTime;

/* renamed from: c.b.a.n.m.j */
public class HttpUrlFetcher implements DataFetcher<InputStream> {

    /* renamed from: h */
    public static final C0686b f3873h = new C0685a();

    /* renamed from: b */
    public final GlideUrl f3874b;

    /* renamed from: c */
    public final int f3875c;

    /* renamed from: d */
    public final C0686b f3876d;

    /* renamed from: e */
    public HttpURLConnection f3877e;

    /* renamed from: f */
    public InputStream f3878f;

    /* renamed from: g */
    public volatile boolean f3879g;

    @Instrumented
    /* renamed from: c.b.a.n.m.j$a */
    /* compiled from: HttpUrlFetcher */
    public static class C0685a implements C0686b {
    }

    /* renamed from: c.b.a.n.m.j$b */
    /* compiled from: HttpUrlFetcher */
    public interface C0686b {
    }

    public HttpUrlFetcher(GlideUrl gVar, int i) {
        C0686b bVar = f3873h;
        this.f3874b = gVar;
        this.f3875c = i;
        this.f3876d = bVar;
    }

    /* renamed from: a */
    public void mo4253a(Priority fVar, DataFetcher.C0681a<? super InputStream> aVar) {
        StringBuilder sb;
        long a = LogTime.m3805a();
        try {
            aVar.mo4264a(mo4277a(this.f3874b.mo4472b(), 0, (URL) null, this.f3874b.f4221b.mo4474a()));
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                sb = new StringBuilder();
                sb.append("Finished http url fetcher fetch in ");
                sb.append(LogTime.m3804a(a));
                Log.v("HttpUrlFetcher", sb.toString());
            }
        } catch (IOException e) {
            if (Log.isLoggable("HttpUrlFetcher", 3)) {
                Log.d("HttpUrlFetcher", "Failed to load data for url", e);
            }
            aVar.mo4263a((Exception) e);
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                sb = new StringBuilder();
            }
        } catch (Throwable th) {
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                StringBuilder a2 = outline.m2937a("Finished http url fetcher fetch in ");
                a2.append(LogTime.m3804a(a));
                Log.v("HttpUrlFetcher", a2.toString());
            }
            throw th;
        }
    }

    /* renamed from: b */
    public void mo4255b() {
        InputStream inputStream = this.f3878f;
        if (inputStream != null) {
            try {
                inputStream.close();
            } catch (IOException unused) {
            }
        }
        HttpURLConnection httpURLConnection = this.f3877e;
        if (httpURLConnection != null) {
            httpURLConnection.disconnect();
        }
        this.f3877e = null;
    }

    /* renamed from: c */
    public DataSource mo4256c() {
        return DataSource.REMOTE;
    }

    public void cancel() {
        this.f3879g = true;
    }

    /* renamed from: a */
    public final InputStream mo4277a(URL url, int i, URL url2, Map<String, String> map) throws IOException {
        if (i < 5) {
            if (url2 != null) {
                try {
                    if (url.toURI().equals(url2.toURI())) {
                        throw new HttpException("In re-direct loop");
                    }
                } catch (URISyntaxException unused) {
                }
            }
            if (((C0685a) this.f3876d) != null) {
                this.f3877e = (HttpURLConnection) URLConnectionInstrumentation.openConnection(url.openConnection());
                for (Map.Entry next : map.entrySet()) {
                    this.f3877e.addRequestProperty((String) next.getKey(), (String) next.getValue());
                }
                this.f3877e.setConnectTimeout(this.f3875c);
                this.f3877e.setReadTimeout(this.f3875c);
                boolean z = false;
                this.f3877e.setUseCaches(false);
                this.f3877e.setDoInput(true);
                this.f3877e.setInstanceFollowRedirects(false);
                this.f3877e.connect();
                this.f3878f = this.f3877e.getInputStream();
                if (this.f3879g) {
                    return null;
                }
                int responseCode = this.f3877e.getResponseCode();
                int i2 = responseCode / 100;
                if (i2 == 2) {
                    HttpURLConnection httpURLConnection = this.f3877e;
                    if (TextUtils.isEmpty(httpURLConnection.getContentEncoding())) {
                        this.f3878f = new ContentLengthInputStream(httpURLConnection.getInputStream(), (long) httpURLConnection.getContentLength());
                    } else {
                        if (Log.isLoggable("HttpUrlFetcher", 3)) {
                            StringBuilder a = outline.m2937a("Got non empty content encoding: ");
                            a.append(httpURLConnection.getContentEncoding());
                            Log.d("HttpUrlFetcher", a.toString());
                        }
                        this.f3878f = httpURLConnection.getInputStream();
                    }
                    return this.f3878f;
                }
                if (i2 == 3) {
                    z = true;
                }
                if (z) {
                    String headerField = this.f3877e.getHeaderField("Location");
                    if (!TextUtils.isEmpty(headerField)) {
                        URL url3 = new URL(url, headerField);
                        mo4255b();
                        return mo4277a(url3, i + 1, url, map);
                    }
                    throw new HttpException("Received empty or null redirect url");
                } else if (responseCode == -1) {
                    throw new HttpException(responseCode);
                } else {
                    throw new HttpException(this.f3877e.getResponseMessage(), responseCode);
                }
            } else {
                throw null;
            }
        } else {
            throw new HttpException("Too many (> 5) redirects!");
        }
    }

    /* renamed from: a */
    public Class<InputStream> mo4249a() {
        return InputStream.class;
    }
}
