package p085c.p089b.p090a.p093n.p096n;

import android.os.Build;
import android.util.Log;
import java.util.ArrayList;
import java.util.List;
import p008b.p033h.p044l.C0394c;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.GlideContext;
import p085c.p089b.p090a.Priority;
import p085c.p089b.p090a.p093n.DataSource;
import p085c.p089b.p090a.p093n.Key;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.ResourceEncoder;
import p085c.p089b.p090a.p093n.p094m.DataFetcher;
import p085c.p089b.p090a.p093n.p094m.DataRewinder;
import p085c.p089b.p090a.p093n.p096n.DataFetcherGenerator;
import p085c.p089b.p090a.p093n.p096n.DecodePath;
import p085c.p089b.p090a.p093n.p096n.Engine;
import p085c.p089b.p090a.p093n.p102p.p103c.Downsampler;
import p085c.p089b.p090a.p116t.LogTime;
import p085c.p089b.p090a.p116t.p117k.FactoryPools;
import p085c.p089b.p090a.p116t.p117k.StateVerifier;

/* renamed from: c.b.a.n.n.i */
public class DecodeJob<R> implements DataFetcherGenerator.C0721a, Runnable, Comparable<DecodeJob<?>>, FactoryPools.C0867d {

    /* renamed from: A */
    public Object f4032A;

    /* renamed from: B */
    public DataSource f4033B;

    /* renamed from: C */
    public DataFetcher<?> f4034C;

    /* renamed from: D */
    public volatile DataFetcherGenerator f4035D;

    /* renamed from: E */
    public volatile boolean f4036E;

    /* renamed from: F */
    public volatile boolean f4037F;

    /* renamed from: b */
    public final DecodeHelper<R> f4038b = new DecodeHelper<>();

    /* renamed from: c */
    public final List<Throwable> f4039c = new ArrayList();

    /* renamed from: d */
    public final StateVerifier f4040d = new StateVerifier.C0872b();

    /* renamed from: e */
    public final C0725d f4041e;

    /* renamed from: f */
    public final C0394c<DecodeJob<?>> f4042f;

    /* renamed from: g */
    public final C0724c<?> f4043g = new C0724c<>();

    /* renamed from: h */
    public final C0726e f4044h = new C0726e();

    /* renamed from: i */
    public GlideContext f4045i;

    /* renamed from: j */
    public Key f4046j;

    /* renamed from: k */
    public Priority f4047k;

    /* renamed from: l */
    public EngineKey f4048l;

    /* renamed from: m */
    public int f4049m;

    /* renamed from: n */
    public int f4050n;

    /* renamed from: o */
    public DiskCacheStrategy f4051o;

    /* renamed from: p */
    public Options f4052p;

    /* renamed from: q */
    public C0722a<R> f4053q;

    /* renamed from: r */
    public int f4054r;

    /* renamed from: s */
    public C0728g f4055s;

    /* renamed from: t */
    public C0727f f4056t;

    /* renamed from: u */
    public long f4057u;

    /* renamed from: v */
    public boolean f4058v;

    /* renamed from: w */
    public Object f4059w;

    /* renamed from: x */
    public Thread f4060x;

    /* renamed from: y */
    public Key f4061y;

    /* renamed from: z */
    public Key f4062z;

    /* renamed from: c.b.a.n.n.i$a */
    /* compiled from: DecodeJob */
    public interface C0722a<R> {
    }

    /* renamed from: c.b.a.n.n.i$b */
    /* compiled from: DecodeJob */
    public final class C0723b<Z> implements DecodePath.C0729a<Z> {

        /* renamed from: a */
        public final DataSource f4063a;

        public C0723b(DataSource aVar) {
            this.f4063a = aVar;
        }
    }

    /* renamed from: c.b.a.n.n.i$c */
    /* compiled from: DecodeJob */
    public static class C0724c<Z> {

        /* renamed from: a */
        public Key f4065a;

        /* renamed from: b */
        public ResourceEncoder<Z> f4066b;

        /* renamed from: c */
        public LockedResource<Z> f4067c;
    }

    /* renamed from: c.b.a.n.n.i$d */
    /* compiled from: DecodeJob */
    public interface C0725d {
    }

    /* renamed from: c.b.a.n.n.i$f */
    /* compiled from: DecodeJob */
    public enum C0727f {
        INITIALIZE,
        SWITCH_TO_SOURCE_SERVICE,
        DECODE_DATA
    }

    /* renamed from: c.b.a.n.n.i$g */
    /* compiled from: DecodeJob */
    public enum C0728g {
        INITIALIZE,
        RESOURCE_CACHE,
        DATA_CACHE,
        SOURCE,
        ENCODE,
        FINISHED
    }

    public DecodeJob(C0725d dVar, C0394c<DecodeJob<?>> cVar) {
        this.f4041e = dVar;
        this.f4042f = cVar;
    }

    /* renamed from: a */
    public final C0728g mo4381a(C0728g gVar) {
        int ordinal = gVar.ordinal();
        if (ordinal != 0) {
            if (ordinal != 1) {
                if (ordinal == 2) {
                    return this.f4058v ? C0728g.FINISHED : C0728g.SOURCE;
                }
                if (ordinal == 3 || ordinal == 5) {
                    return C0728g.FINISHED;
                }
                throw new IllegalArgumentException("Unrecognized stage: " + gVar);
            } else if (this.f4051o.mo4402a()) {
                return C0728g.DATA_CACHE;
            } else {
                return mo4381a(C0728g.DATA_CACHE);
            }
        } else if (this.f4051o.mo4405b()) {
            return C0728g.RESOURCE_CACHE;
        } else {
            return mo4381a(C0728g.RESOURCE_CACHE);
        }
    }

    /* renamed from: b */
    public void mo4291b() {
        this.f4056t = C0727f.SWITCH_TO_SOURCE_SERVICE;
        ((EngineJob) this.f4053q).mo4417a((DecodeJob<?>) this);
    }

    /* renamed from: c */
    public final void mo4385c() {
        LockedResource<R> vVar;
        LockedResource<R> vVar2;
        LockedResource<R> vVar3;
        C0724c<?> cVar;
        if (Log.isLoggable("DecodeJob", 2)) {
            long j = this.f4057u;
            StringBuilder a = outline.m2937a("data: ");
            a.append(this.f4032A);
            a.append(", cache key: ");
            a.append(this.f4061y);
            a.append(", fetcher: ");
            a.append(this.f4034C);
            mo4384a("Retrieved data", j, a.toString());
        }
        try {
            vVar = mo4382a(this.f4034C, this.f4032A, this.f4033B);
        } catch (GlideException e) {
            Key fVar = this.f4062z;
            DataSource aVar = this.f4033B;
            e.f4166c = fVar;
            e.f4167d = aVar;
            e.f4168e = null;
            this.f4039c.add(e);
            vVar = null;
        }
        if (vVar != null) {
            DataSource aVar2 = this.f4033B;
            if (vVar instanceof Initializable) {
                ((Initializable) vVar).initialize();
            }
            boolean z = true;
            if (this.f4043g.f4067c != null) {
                vVar3 = LockedResource.m3296a(vVar);
                vVar2 = vVar3;
            } else {
                vVar2 = null;
                vVar3 = vVar;
            }
            mo4392i();
            ((EngineJob) this.f4053q).mo4419a(vVar3, aVar2);
            this.f4055s = C0728g.ENCODE;
            try {
                if (this.f4043g.f4067c == null) {
                    z = false;
                }
                if (z) {
                    cVar = this.f4043g;
                    C0725d dVar = this.f4041e;
                    Options hVar = this.f4052p;
                    if (cVar != null) {
                        ((Engine.C0737c) dVar).mo4413a().mo4343a(cVar.f4065a, new DataCacheWriter(cVar.f4066b, cVar.f4067c, hVar));
                        cVar.f4067c.mo4457e();
                    } else {
                        throw null;
                    }
                }
                if (vVar2 != null) {
                    vVar2.mo4457e();
                }
                if (this.f4044h.mo4394a()) {
                    mo4389f();
                }
            } catch (Throwable th) {
                if (vVar2 != null) {
                    vVar2.mo4457e();
                }
                throw th;
            }
        } else {
            mo4390g();
        }
    }

    public int compareTo(Object obj) {
        DecodeJob iVar = (DecodeJob) obj;
        int ordinal = this.f4047k.ordinal() - iVar.f4047k.ordinal();
        return ordinal == 0 ? this.f4054r - iVar.f4054r : ordinal;
    }

    /* renamed from: d */
    public final DataFetcherGenerator mo4387d() {
        int ordinal = this.f4055s.ordinal();
        if (ordinal == 1) {
            return new ResourceCacheGenerator(this.f4038b, this);
        }
        if (ordinal == 2) {
            return new DataCacheGenerator(this.f4038b, this);
        }
        if (ordinal == 3) {
            return new C0696b0(this.f4038b, this);
        }
        if (ordinal == 5) {
            return null;
        }
        StringBuilder a = outline.m2937a("Unrecognized stage: ");
        a.append(this.f4055s);
        throw new IllegalStateException(a.toString());
    }

    /* renamed from: e */
    public final void mo4388e() {
        mo4392i();
        ((EngineJob) this.f4053q).mo4418a(new GlideException("Failed to load resource", (List<Throwable>) new ArrayList(this.f4039c)));
        if (this.f4044h.mo4396b()) {
            mo4389f();
        }
    }

    /* renamed from: f */
    public final void mo4389f() {
        this.f4044h.mo4398c();
        C0724c<?> cVar = this.f4043g;
        cVar.f4065a = null;
        cVar.f4066b = null;
        cVar.f4067c = null;
        DecodeHelper<R> hVar = this.f4038b;
        hVar.f4016c = null;
        hVar.f4017d = null;
        hVar.f4027n = null;
        hVar.f4020g = null;
        hVar.f4024k = null;
        hVar.f4022i = null;
        hVar.f4028o = null;
        hVar.f4023j = null;
        hVar.f4029p = null;
        hVar.f4014a.clear();
        hVar.f4025l = false;
        hVar.f4015b.clear();
        hVar.f4026m = false;
        this.f4036E = false;
        this.f4045i = null;
        this.f4046j = null;
        this.f4052p = null;
        this.f4047k = null;
        this.f4048l = null;
        this.f4053q = null;
        this.f4055s = null;
        this.f4035D = null;
        this.f4060x = null;
        this.f4061y = null;
        this.f4032A = null;
        this.f4033B = null;
        this.f4034C = null;
        this.f4057u = 0;
        this.f4037F = false;
        this.f4059w = null;
        this.f4039c.clear();
        this.f4042f.mo3104a(this);
    }

    /* renamed from: g */
    public final void mo4390g() {
        this.f4060x = Thread.currentThread();
        this.f4057u = LogTime.m3805a();
        boolean z = false;
        while (!this.f4037F && this.f4035D != null && !(z = this.f4035D.mo4290a())) {
            this.f4055s = mo4381a(this.f4055s);
            this.f4035D = mo4387d();
            if (this.f4055s == C0728g.SOURCE) {
                this.f4056t = C0727f.SWITCH_TO_SOURCE_SERVICE;
                ((EngineJob) this.f4053q).mo4417a((DecodeJob<?>) this);
                return;
            }
        }
        if ((this.f4055s == C0728g.FINISHED || this.f4037F) && !z) {
            mo4388e();
        }
    }

    /* renamed from: h */
    public final void mo4391h() {
        int ordinal = this.f4056t.ordinal();
        if (ordinal == 0) {
            this.f4055s = mo4381a(C0728g.INITIALIZE);
            this.f4035D = mo4387d();
            mo4390g();
        } else if (ordinal == 1) {
            mo4390g();
        } else if (ordinal == 2) {
            mo4385c();
        } else {
            StringBuilder a = outline.m2937a("Unrecognized run reason: ");
            a.append(this.f4056t);
            throw new IllegalStateException(a.toString());
        }
    }

    /* renamed from: i */
    public final void mo4392i() {
        Throwable th;
        this.f4040d.mo4729a();
        if (this.f4036E) {
            if (this.f4039c.isEmpty()) {
                th = null;
            } else {
                List<Throwable> list = this.f4039c;
                th = list.get(list.size() - 1);
            }
            throw new IllegalStateException("Already notified", th);
        }
        this.f4036E = true;
    }

    public void run() {
        DataFetcher<?> dVar = this.f4034C;
        try {
            if (this.f4037F) {
                mo4388e();
                if (dVar != null) {
                    dVar.mo4255b();
                    return;
                }
                return;
            }
            mo4391h();
            if (dVar != null) {
                dVar.mo4255b();
            }
        } catch (CallbackException e) {
            throw e;
        } catch (Throwable th) {
            if (dVar != null) {
                dVar.mo4255b();
            }
            throw th;
        }
    }

    /* renamed from: c.b.a.n.n.i$e */
    /* compiled from: DecodeJob */
    public static class C0726e {

        /* renamed from: a */
        public boolean f4068a;

        /* renamed from: b */
        public boolean f4069b;

        /* renamed from: c */
        public boolean f4070c;

        /* renamed from: a */
        public synchronized boolean mo4394a() {
            this.f4069b = true;
            return mo4395a(false);
        }

        /* renamed from: b */
        public synchronized boolean mo4397b(boolean z) {
            this.f4068a = true;
            return mo4395a(z);
        }

        /* renamed from: c */
        public synchronized void mo4398c() {
            this.f4069b = false;
            this.f4068a = false;
            this.f4070c = false;
        }

        /* renamed from: a */
        public final boolean mo4395a(boolean z) {
            return (this.f4070c || z || this.f4069b) && this.f4068a;
        }

        /* renamed from: b */
        public synchronized boolean mo4396b() {
            this.f4070c = true;
            return mo4395a(false);
        }
    }

    /* renamed from: a */
    public void mo4289a(Key fVar, Object obj, DataFetcher<?> dVar, DataSource aVar, Key fVar2) {
        this.f4061y = fVar;
        this.f4032A = obj;
        this.f4034C = dVar;
        this.f4033B = aVar;
        this.f4062z = fVar2;
        if (Thread.currentThread() != this.f4060x) {
            this.f4056t = C0727f.DECODE_DATA;
            ((EngineJob) this.f4053q).mo4417a((DecodeJob<?>) this);
            return;
        }
        mo4385c();
    }

    /* renamed from: a */
    public void mo4288a(Key fVar, Exception exc, DataFetcher<?> dVar, DataSource aVar) {
        dVar.mo4255b();
        GlideException rVar = new GlideException("Fetching data failed", (Throwable) exc);
        Class<?> a = dVar.mo4249a();
        rVar.f4166c = fVar;
        rVar.f4167d = aVar;
        rVar.f4168e = a;
        this.f4039c.add(rVar);
        if (Thread.currentThread() != this.f4060x) {
            this.f4056t = C0727f.SWITCH_TO_SOURCE_SERVICE;
            ((EngineJob) this.f4053q).mo4417a((DecodeJob<?>) this);
            return;
        }
        mo4390g();
    }

    /* renamed from: a */
    public final <Data> Resource<R> mo4382a(DataFetcher<?> dVar, Data data, DataSource aVar) throws GlideException {
        if (data == null) {
            dVar.mo4255b();
            return null;
        }
        try {
            long a = LogTime.m3805a();
            Resource<R> a2 = mo4383a(data, aVar);
            if (Log.isLoggable("DecodeJob", 2)) {
                mo4384a("Decoded result " + a2, a, (String) null);
            }
            return a2;
        } finally {
            dVar.mo4255b();
        }
    }

    /* renamed from: a */
    public final <Data> Resource<R> mo4383a(Data data, DataSource aVar) throws GlideException {
        LoadPath<Data, ?, R> a = this.f4038b.mo4375a(data.getClass());
        Options hVar = this.f4052p;
        if (Build.VERSION.SDK_INT >= 26) {
            boolean z = aVar == DataSource.RESOURCE_DISK_CACHE || this.f4038b.f4031r;
            Boolean bool = (Boolean) hVar.mo4242a(Downsampler.f4366i);
            if (bool == null || (bool.booleanValue() && !z)) {
                hVar = new Options();
                hVar.mo4243a(this.f4052p);
                hVar.f3854b.put(Downsampler.f4366i, Boolean.valueOf(z));
            }
        }
        Options hVar2 = hVar;
        DataRewinder a2 = this.f4045i.f3696b.f3718e.mo4269a(data);
        try {
            return a.mo4455a(a2, hVar2, this.f4049m, this.f4050n, new C0723b(aVar));
        } finally {
            a2.mo4266b();
        }
    }

    /* renamed from: a */
    public final void mo4384a(String str, long j, String str2) {
        StringBuilder a = outline.m2938a(str, " in ");
        a.append(LogTime.m3804a(j));
        a.append(", load key: ");
        a.append(this.f4048l);
        a.append(str2 != null ? outline.m2941b(", ", str2) : "");
        a.append(", thread: ");
        a.append(Thread.currentThread().getName());
        Log.v("DecodeJob", a.toString());
    }

    /* renamed from: a */
    public StateVerifier mo4356a() {
        return this.f4040d;
    }
}
