package p085c.p089b.p090a.p093n.p096n.p097c0;

import android.util.Log;
import java.util.HashMap;
import java.util.Map;
import java.util.NavigableMap;
import java.util.TreeMap;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: c.b.a.n.n.c0.i */
public final class LruArrayPool implements ArrayPool {

    /* renamed from: a */
    public final GroupedLinkedMap<C0698a, Object> f3926a = new GroupedLinkedMap<>();

    /* renamed from: b */
    public final C0699b f3927b = new C0699b();

    /* renamed from: c */
    public final Map<Class<?>, NavigableMap<Integer, Integer>> f3928c = new HashMap();

    /* renamed from: d */
    public final Map<Class<?>, ArrayAdapterInterface<?>> f3929d = new HashMap();

    /* renamed from: e */
    public final int f3930e;

    /* renamed from: f */
    public int f3931f;

    /* renamed from: c.b.a.n.n.c0.i$a */
    /* compiled from: LruArrayPool */
    public static final class C0698a implements Poolable {

        /* renamed from: a */
        public final C0699b f3932a;

        /* renamed from: b */
        public int f3933b;

        /* renamed from: c */
        public Class<?> f3934c;

        public C0698a(C0699b bVar) {
            this.f3932a = bVar;
        }

        /* renamed from: a */
        public void mo4320a() {
            this.f3932a.mo4303a(this);
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof C0698a)) {
                return false;
            }
            C0698a aVar = (C0698a) obj;
            if (this.f3933b == aVar.f3933b && this.f3934c == aVar.f3934c) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            int i = this.f3933b * 31;
            Class<?> cls = this.f3934c;
            return i + (cls != null ? cls.hashCode() : 0);
        }

        public String toString() {
            StringBuilder a = outline.m2937a("Key{size=");
            a.append(this.f3933b);
            a.append("array=");
            a.append(this.f3934c);
            a.append('}');
            return a.toString();
        }
    }

    public LruArrayPool(int i) {
        this.f3930e = i;
    }

    /* renamed from: a */
    public synchronized <T> void mo4300a(T t) {
        Class<?> cls = t.getClass();
        ArrayAdapterInterface<?> a = mo4315a(cls);
        int a2 = a.mo4293a(t);
        int b = a.mo4295b() * a2;
        int i = 1;
        if (b <= this.f3930e / 2) {
            C0698a a3 = this.f3927b.mo4324a(a2, cls);
            this.f3926a.mo4312a(a3, t);
            NavigableMap<Integer, Integer> b2 = mo4317b(cls);
            Integer num = (Integer) b2.get(Integer.valueOf(a3.f3933b));
            Integer valueOf = Integer.valueOf(a3.f3933b);
            if (num != null) {
                i = 1 + num.intValue();
            }
            b2.put(valueOf, Integer.valueOf(i));
            this.f3931f += b;
            mo4318b(this.f3930e);
        }
    }

    /* renamed from: b */
    public synchronized <T> T mo4301b(int i, Class<T> cls) {
        C0698a aVar;
        boolean z;
        Integer ceilingKey = mo4317b((Class<?>) cls).ceilingKey(Integer.valueOf(i));
        boolean z2 = false;
        if (ceilingKey != null) {
            int i2 = this.f3931f;
            if (i2 != 0) {
                if (this.f3930e / i2 < 2) {
                    z = false;
                    if (z || ceilingKey.intValue() <= i * 8) {
                        z2 = true;
                    }
                }
            }
            z = true;
            z2 = true;
        }
        if (z2) {
            aVar = this.f3927b.mo4324a(ceilingKey.intValue(), cls);
        } else {
            C0698a aVar2 = (C0698a) this.f3927b.mo4304b();
            aVar2.f3933b = i;
            aVar2.f3934c = cls;
            aVar = aVar2;
        }
        return mo4316a(aVar, cls);
    }

    /* renamed from: c */
    public final void mo4319c(int i, Class<?> cls) {
        NavigableMap<Integer, Integer> b = mo4317b(cls);
        Integer num = (Integer) b.get(Integer.valueOf(i));
        if (num == null) {
            throw new NullPointerException("Tried to decrement empty size, size: " + i + ", this: " + this);
        } else if (num.intValue() == 1) {
            b.remove(Integer.valueOf(i));
        } else {
            b.put(Integer.valueOf(i), Integer.valueOf(num.intValue() - 1));
        }
    }

    /* renamed from: c.b.a.n.n.c0.i$b */
    /* compiled from: LruArrayPool */
    public static final class C0699b extends BaseKeyPool<C0698a> {
        /* renamed from: a */
        public C0698a mo4324a(int i, Class<?> cls) {
            C0698a aVar = (C0698a) mo4304b();
            aVar.f3933b = i;
            aVar.f3934c = cls;
            return aVar;
        }

        /* renamed from: a */
        public Poolable mo4302a() {
            return new C0698a(this);
        }
    }

    /* renamed from: b */
    public final void mo4318b(int i) {
        while (this.f3931f > i) {
            Object a = this.f3926a.mo4310a();
            MediaDescriptionCompatApi21.m44a(a, "Argument must not be null");
            ArrayAdapterInterface<?> a2 = mo4315a(a.getClass());
            this.f3931f -= a2.mo4295b() * a2.mo4293a(a);
            mo4319c(a2.mo4293a(a), a.getClass());
            if (Log.isLoggable(a2.mo4294a(), 2)) {
                String a3 = a2.mo4294a();
                StringBuilder a4 = outline.m2937a("evicted: ");
                a4.append(a2.mo4293a(a));
                Log.v(a3, a4.toString());
            }
        }
    }

    /* renamed from: a */
    public synchronized <T> T mo4297a(int i, Class<T> cls) {
        C0698a aVar;
        aVar = (C0698a) this.f3927b.mo4304b();
        aVar.f3933b = i;
        aVar.f3934c = cls;
        return mo4316a(aVar, cls);
    }

    /* renamed from: b */
    public final NavigableMap<Integer, Integer> mo4317b(Class<?> cls) {
        NavigableMap<Integer, Integer> navigableMap = this.f3928c.get(cls);
        if (navigableMap != null) {
            return navigableMap;
        }
        TreeMap treeMap = new TreeMap();
        this.f3928c.put(cls, treeMap);
        return treeMap;
    }

    /* renamed from: a */
    public final <T> T mo4316a(C0698a aVar, Class<T> cls) {
        ArrayAdapterInterface<T> a = mo4315a(cls);
        T a2 = this.f3926a.mo4311a(aVar);
        if (a2 != null) {
            this.f3931f -= a.mo4295b() * a.mo4293a(a2);
            mo4319c(a.mo4293a(a2), cls);
        }
        if (a2 != null) {
            return a2;
        }
        if (Log.isLoggable(a.mo4294a(), 2)) {
            String a3 = a.mo4294a();
            StringBuilder a4 = outline.m2937a("Allocated ");
            a4.append(aVar.f3933b);
            a4.append(" bytes");
            Log.v(a3, a4.toString());
        }
        return a.newArray(aVar.f3933b);
    }

    /* renamed from: a */
    public synchronized void mo4298a() {
        mo4318b(0);
    }

    /* renamed from: a */
    public synchronized void mo4299a(int i) {
        if (i >= 40) {
            try {
                mo4298a();
            } catch (Throwable th) {
                throw th;
            }
        } else if (i >= 20 || i == 15) {
            mo4318b(this.f3930e / 2);
        }
    }

    /* renamed from: a */
    public final <T> ArrayAdapterInterface<T> mo4315a(Class<T> cls) {
        ArrayAdapterInterface<T> aVar = this.f3929d.get(cls);
        if (aVar == null) {
            if (cls.equals(int[].class)) {
                aVar = new IntegerArrayAdapter();
            } else if (cls.equals(byte[].class)) {
                aVar = new ByteArrayAdapter();
            } else {
                StringBuilder a = outline.m2937a("No array pool found for: ");
                a.append(cls.getSimpleName());
                throw new IllegalArgumentException(a.toString());
            }
            this.f3929d.put(cls, aVar);
        }
        return aVar;
    }
}
