package p085c.p089b.p090a.p093n.p096n.p097c0;

import android.annotation.SuppressLint;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: c.b.a.n.n.c0.j */
public class LruBitmapPool implements BitmapPool {

    /* renamed from: j */
    public static final Bitmap.Config f3935j = Bitmap.Config.ARGB_8888;

    /* renamed from: a */
    public final LruPoolStrategy f3936a;

    /* renamed from: b */
    public final Set<Bitmap.Config> f3937b;

    /* renamed from: c */
    public final C0700a f3938c;

    /* renamed from: d */
    public long f3939d;

    /* renamed from: e */
    public long f3940e;

    /* renamed from: f */
    public int f3941f;

    /* renamed from: g */
    public int f3942g;

    /* renamed from: h */
    public int f3943h;

    /* renamed from: i */
    public int f3944i;

    /* renamed from: c.b.a.n.n.c0.j$a */
    /* compiled from: LruBitmapPool */
    public interface C0700a {
    }

    /* renamed from: c.b.a.n.n.c0.j$b */
    /* compiled from: LruBitmapPool */
    public static final class C0701b implements C0700a {
    }

    public LruBitmapPool(long j) {
        SizeConfigStrategy mVar = new SizeConfigStrategy();
        HashSet hashSet = new HashSet(Arrays.asList(Bitmap.Config.values()));
        hashSet.add((Object) null);
        if (Build.VERSION.SDK_INT >= 26) {
            hashSet.remove(Bitmap.Config.HARDWARE);
        }
        Set<Bitmap.Config> unmodifiableSet = Collections.unmodifiableSet(hashSet);
        this.f3939d = j;
        this.f3936a = mVar;
        this.f3937b = unmodifiableSet;
        this.f3938c = new C0701b();
    }

    /* renamed from: a */
    public synchronized void mo4308a(Bitmap bitmap) {
        if (bitmap != null) {
            try {
                if (!bitmap.isRecycled()) {
                    if (bitmap.isMutable() && ((long) this.f3936a.mo4332b(bitmap)) <= this.f3939d) {
                        if (this.f3937b.contains(bitmap.getConfig())) {
                            int b = this.f3936a.mo4332b(bitmap);
                            this.f3936a.mo4331a(bitmap);
                            if (((C0701b) this.f3938c) != null) {
                                this.f3943h++;
                                this.f3940e += (long) b;
                                if (Log.isLoggable("LruBitmapPool", 2)) {
                                    Log.v("LruBitmapPool", "Put bitmap in pool=" + this.f3936a.mo4334c(bitmap));
                                }
                                mo4326b();
                                mo4325a(this.f3939d);
                                return;
                            }
                            throw null;
                        }
                    }
                    if (Log.isLoggable("LruBitmapPool", 2)) {
                        Log.v("LruBitmapPool", "Reject bitmap from pool, bitmap: " + this.f3936a.mo4334c(bitmap) + ", is mutable: " + bitmap.isMutable() + ", is allowed config: " + this.f3937b.contains(bitmap.getConfig()));
                    }
                    bitmap.recycle();
                    return;
                }
                throw new IllegalStateException("Cannot pool recycled bitmap");
            } catch (Throwable th) {
                throw th;
            }
        } else {
            throw new NullPointerException("Bitmap must not be null");
        }
    }

    /* renamed from: b */
    public Bitmap mo4309b(int i, int i2, Bitmap.Config config) {
        Bitmap c = mo4327c(i, i2, config);
        if (c != null) {
            return c;
        }
        if (config == null) {
            config = f3935j;
        }
        return Bitmap.createBitmap(i, i2, config);
    }

    /* renamed from: c */
    public final synchronized Bitmap mo4327c(int i, int i2, Bitmap.Config config) {
        Bitmap a;
        if (Build.VERSION.SDK_INT >= 26) {
            if (config == Bitmap.Config.HARDWARE) {
                throw new IllegalArgumentException("Cannot create a mutable Bitmap with config: " + config + ". Consider setting Downsampler#ALLOW_HARDWARE_CONFIG to false in your RequestOptions and/or in GlideBuilder.setDefaultRequestOptions");
            }
        }
        a = this.f3936a.mo4330a(i, i2, config != null ? config : f3935j);
        if (a == null) {
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Missing bitmap=" + this.f3936a.mo4333b(i, i2, config));
            }
            this.f3942g++;
        } else {
            this.f3941f++;
            this.f3940e -= (long) this.f3936a.mo4332b(a);
            if (((C0701b) this.f3938c) != null) {
                a.setHasAlpha(true);
                a.setPremultiplied(true);
            } else {
                throw null;
            }
        }
        if (Log.isLoggable("LruBitmapPool", 2)) {
            Log.v("LruBitmapPool", "Get bitmap=" + this.f3936a.mo4333b(i, i2, config));
        }
        mo4326b();
        return a;
    }

    /* renamed from: b */
    public final void mo4326b() {
        if (Log.isLoggable("LruBitmapPool", 2)) {
            mo4328c();
        }
    }

    /* renamed from: c */
    public final void mo4328c() {
        StringBuilder a = outline.m2937a("Hits=");
        a.append(this.f3941f);
        a.append(", misses=");
        a.append(this.f3942g);
        a.append(", puts=");
        a.append(this.f3943h);
        a.append(", evictions=");
        a.append(this.f3944i);
        a.append(", currentSize=");
        a.append(this.f3940e);
        a.append(", maxSize=");
        a.append(this.f3939d);
        a.append("\nStrategy=");
        a.append(this.f3936a);
        Log.v("LruBitmapPool", a.toString());
    }

    /* renamed from: a */
    public Bitmap mo4305a(int i, int i2, Bitmap.Config config) {
        Bitmap c = mo4327c(i, i2, config);
        if (c != null) {
            c.eraseColor(0);
            return c;
        }
        if (config == null) {
            config = f3935j;
        }
        return Bitmap.createBitmap(i, i2, config);
    }

    /* renamed from: a */
    public void mo4306a() {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "clearMemory");
        }
        mo4325a(0);
    }

    @SuppressLint({"InlinedApi"})
    /* renamed from: a */
    public void mo4307a(int i) {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "trimMemory, level=" + i);
        }
        if (i >= 40 || (Build.VERSION.SDK_INT >= 23 && i >= 20)) {
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "clearMemory");
            }
            mo4325a(0);
        } else if (i >= 20 || i == 15) {
            mo4325a(this.f3939d / 2);
        }
    }

    /* renamed from: a */
    public final synchronized void mo4325a(long j) {
        while (this.f3940e > j) {
            Bitmap a = this.f3936a.mo4329a();
            if (a == null) {
                if (Log.isLoggable("LruBitmapPool", 5)) {
                    Log.w("LruBitmapPool", "Size mismatch, resetting");
                    mo4328c();
                }
                this.f3940e = 0;
                return;
            } else if (((C0701b) this.f3938c) != null) {
                this.f3940e -= (long) this.f3936a.mo4332b(a);
                this.f3944i++;
                if (Log.isLoggable("LruBitmapPool", 3)) {
                    Log.d("LruBitmapPool", "Evicting bitmap=" + this.f3936a.mo4334c(a));
                }
                mo4326b();
                a.recycle();
            } else {
                throw null;
            }
        }
    }
}
