package p085c.p089b.p090a.p093n.p096n.p099e0;

import android.os.Process;
import android.os.StrictMode;
import android.text.TextUtils;
import android.util.Log;
import java.util.Collection;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
import java.util.concurrent.PriorityBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: c.b.a.n.n.e0.a */
public final class GlideExecutor implements ExecutorService {

    /* renamed from: b */
    public static final long f4001b = TimeUnit.SECONDS.toMillis(10);

    /* renamed from: c */
    public static volatile int f4002c;

    /* renamed from: a */
    public final ExecutorService f4003a;

    /* renamed from: c.b.a.n.n.e0.a$a */
    /* compiled from: GlideExecutor */
    public static final class C0717a implements ThreadFactory {

        /* renamed from: b */
        public final String f4004b;

        /* renamed from: c */
        public final C0719b f4005c;

        /* renamed from: d */
        public final boolean f4006d;

        /* renamed from: e */
        public int f4007e;

        /* renamed from: c.b.a.n.n.e0.a$a$a */
        /* compiled from: GlideExecutor */
        public class C0718a extends Thread {
            public C0718a(Runnable runnable, String str) {
                super(runnable, str);
            }

            public void run() {
                Process.setThreadPriority(9);
                if (C0717a.this.f4006d) {
                    StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().detectNetwork().penaltyDeath().build());
                }
                try {
                    super.run();
                } catch (Throwable th) {
                    C0717a.this.f4005c.mo4374a(th);
                }
            }
        }

        public C0717a(String str, C0719b bVar, boolean z) {
            this.f4004b = str;
            this.f4005c = bVar;
            this.f4006d = z;
        }

        public synchronized Thread newThread(Runnable runnable) {
            C0718a aVar;
            aVar = new C0718a(runnable, "glide-" + this.f4004b + "-thread-" + this.f4007e);
            this.f4007e = this.f4007e + 1;
            return aVar;
        }
    }

    /* renamed from: c.b.a.n.n.e0.a$b */
    /* compiled from: GlideExecutor */
    public interface C0719b {

        /* renamed from: a */
        public static final C0719b f4009a = new C0720a();

        /* renamed from: b */
        public static final C0719b f4010b = f4009a;

        /* renamed from: c.b.a.n.n.e0.a$b$a */
        /* compiled from: GlideExecutor */
        public class C0720a implements C0719b {
            /* renamed from: a */
            public void mo4374a(Throwable th) {
                if (th != null && Log.isLoggable("GlideExecutor", 6)) {
                    Log.e("GlideExecutor", "Request threw uncaught throwable", th);
                }
            }
        }

        /* renamed from: a */
        void mo4374a(Throwable th);
    }

    public GlideExecutor(ExecutorService executorService) {
        this.f4003a = executorService;
    }

    /* renamed from: a */
    public static int m3203a() {
        if (f4002c == 0) {
            f4002c = Math.min(4, Runtime.getRuntime().availableProcessors());
        }
        return f4002c;
    }

    /* renamed from: b */
    public static GlideExecutor m3204b() {
        C0719b bVar = C0719b.f4010b;
        if (!TextUtils.isEmpty("disk-cache")) {
            return new GlideExecutor(new ThreadPoolExecutor(1, 1, 0, TimeUnit.MILLISECONDS, new PriorityBlockingQueue(), new C0717a("disk-cache", bVar, true)));
        }
        throw new IllegalArgumentException(outline.m2941b("Name must be non-null and non-empty, but given: ", "disk-cache"));
    }

    /* renamed from: c */
    public static GlideExecutor m3205c() {
        C0719b bVar = C0719b.f4010b;
        int a = m3203a();
        if (!TextUtils.isEmpty("source")) {
            return new GlideExecutor(new ThreadPoolExecutor(a, a, 0, TimeUnit.MILLISECONDS, new PriorityBlockingQueue(), new C0717a("source", bVar, false)));
        }
        throw new IllegalArgumentException(outline.m2941b("Name must be non-null and non-empty, but given: ", "source"));
    }

    public boolean awaitTermination(long j, TimeUnit timeUnit) throws InterruptedException {
        return this.f4003a.awaitTermination(j, timeUnit);
    }

    public void execute(Runnable runnable) {
        this.f4003a.execute(runnable);
    }

    public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> collection) throws InterruptedException {
        return this.f4003a.invokeAll(collection);
    }

    public <T> T invokeAny(Collection<? extends Callable<T>> collection) throws InterruptedException, ExecutionException {
        return this.f4003a.invokeAny(collection);
    }

    public boolean isShutdown() {
        return this.f4003a.isShutdown();
    }

    public boolean isTerminated() {
        return this.f4003a.isTerminated();
    }

    public void shutdown() {
        this.f4003a.shutdown();
    }

    public List<Runnable> shutdownNow() {
        return this.f4003a.shutdownNow();
    }

    public Future<?> submit(Runnable runnable) {
        return this.f4003a.submit(runnable);
    }

    public String toString() {
        return this.f4003a.toString();
    }

    public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> collection, long j, TimeUnit timeUnit) throws InterruptedException {
        return this.f4003a.invokeAll(collection, j, timeUnit);
    }

    public <T> T invokeAny(Collection<? extends Callable<T>> collection, long j, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        return this.f4003a.invokeAny(collection, j, timeUnit);
    }

    public <T> Future<T> submit(Runnable runnable, T t) {
        return this.f4003a.submit(runnable, t);
    }

    public <T> Future<T> submit(Callable<T> callable) {
        return this.f4003a.submit(callable);
    }
}
