package p085c.p089b.p090a.p093n.p100o;

import android.util.Base64;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import p085c.p089b.p090a.Priority;
import p085c.p089b.p090a.p093n.DataSource;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.p094m.DataFetcher;
import p085c.p089b.p090a.p093n.p100o.ModelLoader;
import p085c.p089b.p090a.p115s.ObjectKey;

/* renamed from: c.b.a.n.o.e */
public final class DataUrlLoader<Model, Data> implements ModelLoader<Model, Data> {

    /* renamed from: a */
    public final C0759a<Data> f4211a;

    /* renamed from: c.b.a.n.o.e$a */
    /* compiled from: DataUrlLoader */
    public interface C0759a<Data> {
    }

    /* renamed from: c.b.a.n.o.e$c */
    /* compiled from: DataUrlLoader */
    public static final class C0761c<Model> implements ModelLoaderFactory<Model, InputStream> {

        /* renamed from: a */
        public final C0759a<InputStream> f4215a = new C0762a(this);

        /* renamed from: c.b.a.n.o.e$c$a */
        /* compiled from: DataUrlLoader */
        public class C0762a implements C0759a<InputStream> {
            public C0762a(C0761c cVar) {
            }

            /* renamed from: a */
            public Object mo4467a(String str) throws IllegalArgumentException {
                if (str.startsWith("data:image")) {
                    int indexOf = str.indexOf(44);
                    if (indexOf == -1) {
                        throw new IllegalArgumentException("Missing comma in data URL.");
                    } else if (str.substring(0, indexOf).endsWith(";base64")) {
                        return new ByteArrayInputStream(Base64.decode(str.substring(indexOf + 1), 0));
                    } else {
                        throw new IllegalArgumentException("Not a base64 image data URL.");
                    }
                } else {
                    throw new IllegalArgumentException("Not a valid image data URL.");
                }
            }
        }

        /* renamed from: a */
        public ModelLoader<Model, InputStream> mo4464a(MultiModelLoaderFactory rVar) {
            return new DataUrlLoader(this.f4215a);
        }
    }

    public DataUrlLoader(C0759a<Data> aVar) {
        this.f4211a = aVar;
    }

    /* renamed from: a */
    public ModelLoader.C0776a<Data> mo4461a(Model model, int i, int i2, Options hVar) {
        return new ModelLoader.C0776a<>(new ObjectKey(model), new C0760b(model.toString(), this.f4211a));
    }

    /* renamed from: c.b.a.n.o.e$b */
    /* compiled from: DataUrlLoader */
    public static final class C0760b<Data> implements DataFetcher<Data> {

        /* renamed from: b */
        public final String f4212b;

        /* renamed from: c */
        public final C0759a<Data> f4213c;

        /* renamed from: d */
        public Data f4214d;

        public C0760b(String str, C0759a<Data> aVar) {
            this.f4212b = str;
            this.f4213c = aVar;
        }

        /* renamed from: a */
        public void mo4253a(Priority fVar, DataFetcher.C0681a<? super Data> aVar) {
            try {
                Data a = ((C0761c.C0762a) this.f4213c).mo4467a(this.f4212b);
                this.f4214d = a;
                aVar.mo4264a(a);
            } catch (IllegalArgumentException e) {
                aVar.mo4263a((Exception) e);
            }
        }

        /* renamed from: b */
        public void mo4255b() {
            try {
                C0759a<Data> aVar = this.f4213c;
                Data data = this.f4214d;
                if (((C0761c.C0762a) aVar) != null) {
                    ((InputStream) data).close();
                    return;
                }
                throw null;
            } catch (IOException unused) {
            }
        }

        /* renamed from: c */
        public DataSource mo4256c() {
            return DataSource.LOCAL;
        }

        public void cancel() {
        }

        /* renamed from: a */
        public Class<Data> mo4249a() {
            if (((C0761c.C0762a) this.f4213c) != null) {
                return InputStream.class;
            }
            throw null;
        }
    }

    /* renamed from: a */
    public boolean mo4462a(Model model) {
        return model.toString().startsWith("data:image");
    }
}
