package p085c.p089b.p090a.p093n.p100o;

import android.content.ContentResolver;
import android.content.res.AssetFileDescriptor;
import android.net.Uri;
import android.os.ParcelFileDescriptor;
import java.io.InputStream;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.p094m.AssetFileDescriptorLocalUriFetcher;
import p085c.p089b.p090a.p093n.p094m.DataFetcher;
import p085c.p089b.p090a.p093n.p094m.FileDescriptorLocalUriFetcher;
import p085c.p089b.p090a.p093n.p094m.StreamLocalUriFetcher;
import p085c.p089b.p090a.p093n.p100o.ModelLoader;
import p085c.p089b.p090a.p115s.ObjectKey;

/* renamed from: c.b.a.n.o.w */
public class UriLoader<Data> implements ModelLoader<Uri, Data> {

    /* renamed from: b */
    public static final Set<String> f4281b = Collections.unmodifiableSet(new HashSet(Arrays.asList(new String[]{"file", "android.resource", "content"})));

    /* renamed from: a */
    public final C0794c<Data> f4282a;

    /* renamed from: c.b.a.n.o.w$a */
    /* compiled from: UriLoader */
    public static final class C0792a implements ModelLoaderFactory<Uri, AssetFileDescriptor>, C0794c<AssetFileDescriptor> {

        /* renamed from: a */
        public final ContentResolver f4283a;

        public C0792a(ContentResolver contentResolver) {
            this.f4283a = contentResolver;
        }

        /* renamed from: a */
        public ModelLoader<Uri, AssetFileDescriptor> mo4464a(MultiModelLoaderFactory rVar) {
            return new UriLoader(this);
        }

        /* renamed from: a */
        public DataFetcher<AssetFileDescriptor> mo4497a(Uri uri) {
            return new AssetFileDescriptorLocalUriFetcher(this.f4283a, uri);
        }
    }

    /* renamed from: c.b.a.n.o.w$b */
    /* compiled from: UriLoader */
    public static class C0793b implements ModelLoaderFactory<Uri, ParcelFileDescriptor>, C0794c<ParcelFileDescriptor> {

        /* renamed from: a */
        public final ContentResolver f4284a;

        public C0793b(ContentResolver contentResolver) {
            this.f4284a = contentResolver;
        }

        /* renamed from: a */
        public DataFetcher<ParcelFileDescriptor> mo4497a(Uri uri) {
            return new FileDescriptorLocalUriFetcher(this.f4284a, uri);
        }

        /* renamed from: a */
        public ModelLoader<Uri, ParcelFileDescriptor> mo4464a(MultiModelLoaderFactory rVar) {
            return new UriLoader(this);
        }
    }

    /* renamed from: c.b.a.n.o.w$c */
    /* compiled from: UriLoader */
    public interface C0794c<Data> {
        /* renamed from: a */
        DataFetcher<Data> mo4497a(Uri uri);
    }

    /* renamed from: c.b.a.n.o.w$d */
    /* compiled from: UriLoader */
    public static class C0795d implements ModelLoaderFactory<Uri, InputStream>, C0794c<InputStream> {

        /* renamed from: a */
        public final ContentResolver f4285a;

        public C0795d(ContentResolver contentResolver) {
            this.f4285a = contentResolver;
        }

        /* renamed from: a */
        public DataFetcher<InputStream> mo4497a(Uri uri) {
            return new StreamLocalUriFetcher(this.f4285a, uri);
        }

        /* renamed from: a */
        public ModelLoader<Uri, InputStream> mo4464a(MultiModelLoaderFactory rVar) {
            return new UriLoader(this);
        }
    }

    public UriLoader(C0794c<Data> cVar) {
        this.f4282a = cVar;
    }

    /* renamed from: a */
    public ModelLoader.C0776a mo4461a(Object obj, int i, int i2, Options hVar) {
        Uri uri = (Uri) obj;
        return new ModelLoader.C0776a(new ObjectKey(uri), this.f4282a.mo4497a(uri));
    }

    /* renamed from: a */
    public boolean mo4462a(Object obj) {
        return f4281b.contains(((Uri) obj).getScheme());
    }
}
