package p085c.p089b.p090a.p093n.p100o.p101y;

import android.content.Context;
import android.net.Uri;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.InputStream;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p085c.p089b.p090a.Priority;
import p085c.p089b.p090a.p093n.DataSource;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.p094m.DataFetcher;
import p085c.p089b.p090a.p093n.p100o.ModelLoader;
import p085c.p089b.p090a.p093n.p100o.ModelLoaderFactory;
import p085c.p089b.p090a.p093n.p100o.MultiModelLoaderFactory;
import p085c.p089b.p090a.p115s.ObjectKey;

/* renamed from: c.b.a.n.o.y.e */
public final class QMediaStoreUriLoader<DataT> implements ModelLoader<Uri, DataT> {

    /* renamed from: a */
    public final Context f4297a;

    /* renamed from: b */
    public final ModelLoader<File, DataT> f4298b;

    /* renamed from: c */
    public final ModelLoader<Uri, DataT> f4299c;

    /* renamed from: d */
    public final Class<DataT> f4300d;

    /* renamed from: c.b.a.n.o.y.e$a */
    /* compiled from: QMediaStoreUriLoader */
    public static abstract class C0801a<DataT> implements ModelLoaderFactory<Uri, DataT> {

        /* renamed from: a */
        public final Context f4301a;

        /* renamed from: b */
        public final Class<DataT> f4302b;

        public C0801a(Context context, Class<DataT> cls) {
            this.f4301a = context;
            this.f4302b = cls;
        }

        /* renamed from: a */
        public final ModelLoader<Uri, DataT> mo4464a(MultiModelLoaderFactory rVar) {
            return new QMediaStoreUriLoader(this.f4301a, rVar.mo4493a(File.class, this.f4302b), rVar.mo4493a(Uri.class, this.f4302b), this.f4302b);
        }
    }

    /* renamed from: c.b.a.n.o.y.e$b */
    /* compiled from: QMediaStoreUriLoader */
    public static final class C0802b extends C0801a<ParcelFileDescriptor> {
        public C0802b(Context context) {
            super(context, ParcelFileDescriptor.class);
        }
    }

    /* renamed from: c.b.a.n.o.y.e$c */
    /* compiled from: QMediaStoreUriLoader */
    public static final class C0803c extends C0801a<InputStream> {
        public C0803c(Context context) {
            super(context, InputStream.class);
        }
    }

    public QMediaStoreUriLoader(Context context, ModelLoader<File, DataT> nVar, ModelLoader<Uri, DataT> nVar2, Class<DataT> cls) {
        this.f4297a = context.getApplicationContext();
        this.f4298b = nVar;
        this.f4299c = nVar2;
        this.f4300d = cls;
    }

    /* renamed from: a */
    public ModelLoader.C0776a mo4461a(Object obj, int i, int i2, Options hVar) {
        Uri uri = (Uri) obj;
        return new ModelLoader.C0776a(new ObjectKey(uri), new C0804d(this.f4297a, this.f4298b, this.f4299c, uri, i, i2, hVar, this.f4300d));
    }

    /* renamed from: a */
    public boolean mo4462a(Object obj) {
        return Build.VERSION.SDK_INT >= 29 && MediaDescriptionCompatApi21.m74a((Uri) obj);
    }

    /* renamed from: c.b.a.n.o.y.e$d */
    /* compiled from: QMediaStoreUriLoader */
    public static final class C0804d<DataT> implements DataFetcher<DataT> {

        /* renamed from: l */
        public static final String[] f4303l = {"_data"};

        /* renamed from: b */
        public final Context f4304b;

        /* renamed from: c */
        public final ModelLoader<File, DataT> f4305c;

        /* renamed from: d */
        public final ModelLoader<Uri, DataT> f4306d;

        /* renamed from: e */
        public final Uri f4307e;

        /* renamed from: f */
        public final int f4308f;

        /* renamed from: g */
        public final int f4309g;

        /* renamed from: h */
        public final Options f4310h;

        /* renamed from: i */
        public final Class<DataT> f4311i;

        /* renamed from: j */
        public volatile boolean f4312j;

        /* renamed from: k */
        public volatile DataFetcher<DataT> f4313k;

        public C0804d(Context context, ModelLoader<File, DataT> nVar, ModelLoader<Uri, DataT> nVar2, Uri uri, int i, int i2, Options hVar, Class<DataT> cls) {
            this.f4304b = context.getApplicationContext();
            this.f4305c = nVar;
            this.f4306d = nVar2;
            this.f4307e = uri;
            this.f4308f = i;
            this.f4309g = i2;
            this.f4310h = hVar;
            this.f4311i = cls;
        }

        /* renamed from: a */
        public void mo4253a(Priority fVar, DataFetcher.C0681a<? super DataT> aVar) {
            try {
                DataFetcher<DataT> d = mo4498d();
                if (d == null) {
                    aVar.mo4263a((Exception) new IllegalArgumentException("Failed to build fetcher for: " + this.f4307e));
                    return;
                }
                this.f4313k = d;
                if (this.f4312j) {
                    cancel();
                } else {
                    d.mo4253a(fVar, aVar);
                }
            } catch (FileNotFoundException e) {
                aVar.mo4263a((Exception) e);
            }
        }

        /* renamed from: b */
        public void mo4255b() {
            DataFetcher<DataT> dVar = this.f4313k;
            if (dVar != null) {
                dVar.mo4255b();
            }
        }

        /* renamed from: c */
        public DataSource mo4256c() {
            return DataSource.LOCAL;
        }

        public void cancel() {
            this.f4312j = true;
            DataFetcher<DataT> dVar = this.f4313k;
            if (dVar != null) {
                dVar.cancel();
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:22:0x007a  */
        /* renamed from: d */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public final p085c.p089b.p090a.p093n.p094m.DataFetcher<DataT> mo4498d() throws java.io.FileNotFoundException {
            /*
                r9 = this;
                boolean r0 = android.os.Environment.isExternalStorageLegacy()
                r1 = 0
                if (r0 == 0) goto L_0x007e
                c.b.a.n.o.n<java.io.File, DataT> r0 = r9.f4305c
                android.net.Uri r8 = r9.f4307e
                android.content.Context r2 = r9.f4304b     // Catch:{ all -> 0x0077 }
                android.content.ContentResolver r2 = r2.getContentResolver()     // Catch:{ all -> 0x0077 }
                java.lang.String[] r4 = f4303l     // Catch:{ all -> 0x0077 }
                r5 = 0
                r6 = 0
                r7 = 0
                r3 = r8
                android.database.Cursor r2 = r2.query(r3, r4, r5, r6, r7)     // Catch:{ all -> 0x0077 }
                if (r2 == 0) goto L_0x005d
                boolean r3 = r2.moveToFirst()     // Catch:{ all -> 0x0074 }
                if (r3 == 0) goto L_0x005d
                java.lang.String r3 = "_data"
                int r3 = r2.getColumnIndexOrThrow(r3)     // Catch:{ all -> 0x0074 }
                java.lang.String r3 = r2.getString(r3)     // Catch:{ all -> 0x0074 }
                boolean r4 = android.text.TextUtils.isEmpty(r3)     // Catch:{ all -> 0x0074 }
                if (r4 != 0) goto L_0x0046
                java.io.File r4 = new java.io.File     // Catch:{ all -> 0x0074 }
                r4.<init>(r3)     // Catch:{ all -> 0x0074 }
                r2.close()
                int r2 = r9.f4308f
                int r3 = r9.f4309g
                c.b.a.n.h r5 = r9.f4310h
                c.b.a.n.o.n$a r0 = r0.mo4461a(r4, r2, r3, r5)
                goto L_0x00a2
            L_0x0046:
                java.io.FileNotFoundException r0 = new java.io.FileNotFoundException     // Catch:{ all -> 0x0074 }
                java.lang.StringBuilder r1 = new java.lang.StringBuilder     // Catch:{ all -> 0x0074 }
                r1.<init>()     // Catch:{ all -> 0x0074 }
                java.lang.String r3 = "File path was empty in media store for: "
                r1.append(r3)     // Catch:{ all -> 0x0074 }
                r1.append(r8)     // Catch:{ all -> 0x0074 }
                java.lang.String r1 = r1.toString()     // Catch:{ all -> 0x0074 }
                r0.<init>(r1)     // Catch:{ all -> 0x0074 }
                throw r0     // Catch:{ all -> 0x0074 }
            L_0x005d:
                java.io.FileNotFoundException r0 = new java.io.FileNotFoundException     // Catch:{ all -> 0x0074 }
                java.lang.StringBuilder r1 = new java.lang.StringBuilder     // Catch:{ all -> 0x0074 }
                r1.<init>()     // Catch:{ all -> 0x0074 }
                java.lang.String r3 = "Failed to media store entry for: "
                r1.append(r3)     // Catch:{ all -> 0x0074 }
                r1.append(r8)     // Catch:{ all -> 0x0074 }
                java.lang.String r1 = r1.toString()     // Catch:{ all -> 0x0074 }
                r0.<init>(r1)     // Catch:{ all -> 0x0074 }
                throw r0     // Catch:{ all -> 0x0074 }
            L_0x0074:
                r0 = move-exception
                r1 = r2
                goto L_0x0078
            L_0x0077:
                r0 = move-exception
            L_0x0078:
                if (r1 == 0) goto L_0x007d
                r1.close()
            L_0x007d:
                throw r0
            L_0x007e:
                android.content.Context r0 = r9.f4304b
                java.lang.String r2 = "android.permission.ACCESS_MEDIA_LOCATION"
                int r0 = r0.checkSelfPermission(r2)
                if (r0 != 0) goto L_0x008a
                r0 = 1
                goto L_0x008b
            L_0x008a:
                r0 = 0
            L_0x008b:
                if (r0 == 0) goto L_0x0094
                android.net.Uri r0 = r9.f4307e
                android.net.Uri r0 = android.provider.MediaStore.setRequireOriginal(r0)
                goto L_0x0096
            L_0x0094:
                android.net.Uri r0 = r9.f4307e
            L_0x0096:
                c.b.a.n.o.n<android.net.Uri, DataT> r2 = r9.f4306d
                int r3 = r9.f4308f
                int r4 = r9.f4309g
                c.b.a.n.h r5 = r9.f4310h
                c.b.a.n.o.n$a r0 = r2.mo4461a(r0, r3, r4, r5)
            L_0x00a2:
                if (r0 == 0) goto L_0x00a6
                c.b.a.n.m.d<Data> r1 = r0.f4247c
            L_0x00a6:
                return r1
            */
            throw new UnsupportedOperationException("Method not decompiled: p085c.p089b.p090a.p093n.p100o.p101y.QMediaStoreUriLoader.C0804d.mo4498d():c.b.a.n.m.d");
        }

        /* renamed from: a */
        public Class<DataT> mo4249a() {
            return this.f4311i;
        }
    }
}
