package p085c.p089b.p090a.p093n.p102p;

import android.annotation.SuppressLint;
import android.graphics.Bitmap;
import android.graphics.ColorSpace;
import android.graphics.ImageDecoder;
import android.os.Build;
import android.util.Log;
import android.util.Size;
import java.io.IOException;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.p093n.DecodeFormat;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.PreferredColorSpace;
import p085c.p089b.p090a.p093n.ResourceDecoder;
import p085c.p089b.p090a.p093n.p096n.Resource;
import p085c.p089b.p090a.p093n.p102p.p103c.BitmapImageDecoderResourceDecoder;
import p085c.p089b.p090a.p093n.p102p.p103c.BitmapResource;
import p085c.p089b.p090a.p093n.p102p.p103c.DownsampleStrategy;
import p085c.p089b.p090a.p093n.p102p.p103c.Downsampler;
import p085c.p089b.p090a.p093n.p102p.p103c.HardwareConfigState;

/* renamed from: c.b.a.n.p.a */
public abstract class ImageDecoderResourceDecoder<T> implements ResourceDecoder<ImageDecoder.Source, T> {

    /* renamed from: a */
    public final HardwareConfigState f4315a = HardwareConfigState.m3553b();

    /* renamed from: c.b.a.n.p.a$a */
    /* compiled from: ImageDecoderResourceDecoder */
    public class C0806a implements ImageDecoder.OnHeaderDecodedListener {

        /* renamed from: a */
        public final /* synthetic */ int f4316a;

        /* renamed from: b */
        public final /* synthetic */ int f4317b;

        /* renamed from: c */
        public final /* synthetic */ boolean f4318c;

        /* renamed from: d */
        public final /* synthetic */ DecodeFormat f4319d;

        /* renamed from: e */
        public final /* synthetic */ DownsampleStrategy f4320e;

        /* renamed from: f */
        public final /* synthetic */ PreferredColorSpace f4321f;

        /* renamed from: c.b.a.n.p.a$a$a */
        /* compiled from: ImageDecoderResourceDecoder */
        public class C0807a implements ImageDecoder.OnPartialImageListener {
            public C0807a(C0806a aVar) {
            }

            public boolean onPartialImage(ImageDecoder.DecodeException decodeException) {
                return false;
            }
        }

        public C0806a(int i, int i2, boolean z, DecodeFormat bVar, DownsampleStrategy lVar, PreferredColorSpace iVar) {
            this.f4316a = i;
            this.f4317b = i2;
            this.f4318c = z;
            this.f4319d = bVar;
            this.f4320e = lVar;
            this.f4321f = iVar;
        }

        @SuppressLint({"Override"})
        public void onHeaderDecoded(ImageDecoder imageDecoder, ImageDecoder.ImageInfo imageInfo, ImageDecoder.Source source) {
            boolean z = false;
            if (ImageDecoderResourceDecoder.this.f4315a.mo4529a(this.f4316a, this.f4317b, this.f4318c, false)) {
                imageDecoder.setAllocator(3);
            } else {
                imageDecoder.setAllocator(1);
            }
            if (this.f4319d == DecodeFormat.PREFER_RGB_565) {
                imageDecoder.setMemorySizePolicy(0);
            }
            imageDecoder.setOnPartialImageListener(new C0807a(this));
            Size size = imageInfo.getSize();
            int i = this.f4316a;
            if (i == Integer.MIN_VALUE) {
                i = size.getWidth();
            }
            int i2 = this.f4317b;
            if (i2 == Integer.MIN_VALUE) {
                i2 = size.getHeight();
            }
            float b = this.f4320e.mo4522b(size.getWidth(), size.getHeight(), i, i2);
            int round = Math.round(((float) size.getWidth()) * b);
            int round2 = Math.round(((float) size.getHeight()) * b);
            if (Log.isLoggable("ImageDecoder", 2)) {
                StringBuilder a = outline.m2937a("Resizing from [");
                a.append(size.getWidth());
                a.append("x");
                a.append(size.getHeight());
                a.append("] to [");
                a.append(round);
                a.append("x");
                a.append(round2);
                a.append("] scaleFactor: ");
                a.append(b);
                Log.v("ImageDecoder", a.toString());
            }
            imageDecoder.setTargetSize(round, round2);
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 28) {
                if (this.f4321f == PreferredColorSpace.DISPLAY_P3 && imageInfo.getColorSpace() != null && imageInfo.getColorSpace().isWideGamut()) {
                    z = true;
                }
                imageDecoder.setTargetColorSpace(ColorSpace.get(z ? ColorSpace.Named.DISPLAY_P3 : ColorSpace.Named.SRGB));
            } else if (i3 >= 26) {
                imageDecoder.setTargetColorSpace(ColorSpace.get(ColorSpace.Named.SRGB));
            }
        }
    }

    /* renamed from: a */
    public boolean mo4246a(Object obj, Options hVar) throws IOException {
        ImageDecoder.Source source = (ImageDecoder.Source) obj;
        return true;
    }

    /* renamed from: a */
    public final Resource<T> mo4245a(ImageDecoder.Source source, int i, int i2, Options hVar) throws IOException {
        BitmapImageDecoderResourceDecoder dVar = (BitmapImageDecoderResourceDecoder) this;
        Bitmap decodeBitmap = ImageDecoder.decodeBitmap(source, new C0806a(i, i2, hVar.mo4242a(Downsampler.f4366i) != null && ((Boolean) hVar.mo4242a(Downsampler.f4366i)).booleanValue(), (DecodeFormat) hVar.mo4242a(Downsampler.f4363f), (DownsampleStrategy) hVar.mo4242a(DownsampleStrategy.f4358f), (PreferredColorSpace) hVar.mo4242a(Downsampler.f4364g)));
        if (Log.isLoggable("BitmapImageDecoder", 2)) {
            StringBuilder a = outline.m2937a("Decoded [");
            a.append(decodeBitmap.getWidth());
            a.append("x");
            a.append(decodeBitmap.getHeight());
            a.append("] for [");
            a.append(i);
            a.append("x");
            a.append(i2);
            a.append("]");
            Log.v("BitmapImageDecoder", a.toString());
        }
        return new BitmapResource(decodeBitmap, dVar.f4341b);
    }
}
