package p085c.p089b.p090a.p093n.p102p.p103c;

import android.util.Log;
import com.bumptech.glide.load.ImageHeaderParser;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p085c.p089b.p090a.p093n.p096n.p097c0.ArrayPool;

/* renamed from: c.b.a.n.p.c.k */
public final class DefaultImageHeaderParser implements ImageHeaderParser {

    /* renamed from: a */
    public static final byte[] f4348a = "Exif\u0000\u0000".getBytes(Charset.forName("UTF-8"));

    /* renamed from: b */
    public static final int[] f4349b = {0, 1, 1, 2, 4, 8, 1, 1, 2, 4, 8, 4, 8};

    /* renamed from: c.b.a.n.p.c.k$a */
    /* compiled from: DefaultImageHeaderParser */
    public static final class C0817a implements C0819c {

        /* renamed from: a */
        public final ByteBuffer f4350a;

        public C0817a(ByteBuffer byteBuffer) {
            this.f4350a = byteBuffer;
            byteBuffer.order(ByteOrder.BIG_ENDIAN);
        }

        /* renamed from: a */
        public int mo4515a() throws C0819c.C0820a {
            return (mo4517b() << 8) | mo4517b();
        }

        /* renamed from: b */
        public short mo4517b() throws C0819c.C0820a {
            if (this.f4350a.remaining() >= 1) {
                return (short) (this.f4350a.get() & 255);
            }
            throw new C0819c.C0820a();
        }

        public long skip(long j) {
            int min = (int) Math.min((long) this.f4350a.remaining(), j);
            ByteBuffer byteBuffer = this.f4350a;
            byteBuffer.position(byteBuffer.position() + min);
            return (long) min;
        }

        /* renamed from: a */
        public int mo4516a(byte[] bArr, int i) {
            int min = Math.min(i, this.f4350a.remaining());
            if (min == 0) {
                return -1;
            }
            this.f4350a.get(bArr, 0, min);
            return min;
        }
    }

    /* renamed from: c.b.a.n.p.c.k$b */
    /* compiled from: DefaultImageHeaderParser */
    public static final class C0818b {

        /* renamed from: a */
        public final ByteBuffer f4351a;

        public C0818b(byte[] bArr, int i) {
            this.f4351a = (ByteBuffer) ByteBuffer.wrap(bArr).order(ByteOrder.BIG_ENDIAN).limit(i);
        }

        /* renamed from: a */
        public short mo4519a(int i) {
            if (this.f4351a.remaining() - i >= 2) {
                return this.f4351a.getShort(i);
            }
            return -1;
        }

        /* renamed from: b */
        public int mo4520b(int i) {
            if (this.f4351a.remaining() - i >= 4) {
                return this.f4351a.getInt(i);
            }
            return -1;
        }
    }

    /* renamed from: c.b.a.n.p.c.k$c */
    /* compiled from: DefaultImageHeaderParser */
    public interface C0819c {

        /* renamed from: c.b.a.n.p.c.k$c$a */
        /* compiled from: DefaultImageHeaderParser */
        public static final class C0820a extends IOException {
            public C0820a() {
                super("Unexpectedly reached end of a file");
            }
        }

        /* renamed from: a */
        int mo4515a() throws IOException;

        /* renamed from: a */
        int mo4516a(byte[] bArr, int i) throws IOException;

        /* renamed from: b */
        short mo4517b() throws IOException;

        long skip(long j) throws IOException;
    }

    /* renamed from: c.b.a.n.p.c.k$d */
    /* compiled from: DefaultImageHeaderParser */
    public static final class C0821d implements C0819c {

        /* renamed from: a */
        public final InputStream f4352a;

        public C0821d(InputStream inputStream) {
            this.f4352a = inputStream;
        }

        /* renamed from: a */
        public int mo4515a() throws IOException {
            return (mo4517b() << 8) | mo4517b();
        }

        /* renamed from: b */
        public short mo4517b() throws IOException {
            int read = this.f4352a.read();
            if (read != -1) {
                return (short) read;
            }
            throw new C0819c.C0820a();
        }

        public long skip(long j) throws IOException {
            if (j < 0) {
                return 0;
            }
            long j2 = j;
            while (j2 > 0) {
                long skip = this.f4352a.skip(j2);
                if (skip <= 0) {
                    if (this.f4352a.read() == -1) {
                        break;
                    }
                    skip = 1;
                }
                j2 -= skip;
            }
            return j - j2;
        }

        /* renamed from: a */
        public int mo4516a(byte[] bArr, int i) throws IOException {
            int i2 = 0;
            int i3 = 0;
            while (i2 < i && (i3 = this.f4352a.read(bArr, i2, i - i2)) != -1) {
                i2 += i3;
            }
            if (i2 != 0 || i3 != -1) {
                return i2;
            }
            throw new C0819c.C0820a();
        }
    }

    /* renamed from: a */
    public ImageHeaderParser.ImageType mo4512a(InputStream inputStream) throws IOException {
        MediaDescriptionCompatApi21.m44a(inputStream, "Argument must not be null");
        return mo4511a((C0819c) new C0821d(inputStream));
    }

    /* renamed from: b */
    public final int mo4514b(C0819c cVar) throws IOException {
        short b;
        int a;
        long j;
        long skip;
        do {
            short b2 = cVar.mo4517b();
            if (b2 != 255) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Unknown segmentId=" + b2);
                }
                return -1;
            }
            b = cVar.mo4517b();
            if (b == 218) {
                return -1;
            }
            if (b == 217) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Found MARKER_EOI in exif segment");
                }
                return -1;
            }
            a = cVar.mo4515a() - 2;
            if (b == 225) {
                return a;
            }
            j = (long) a;
            skip = cVar.skip(j);
        } while (skip == j);
        if (Log.isLoggable("DfltImageHeaderParser", 3)) {
            Log.d("DfltImageHeaderParser", "Unable to skip enough data, type: " + b + ", wanted to skip: " + a + ", but actually skipped: " + skip);
        }
        return -1;
    }

    /* renamed from: a */
    public ImageHeaderParser.ImageType mo4513a(ByteBuffer byteBuffer) throws IOException {
        MediaDescriptionCompatApi21.m44a(byteBuffer, "Argument must not be null");
        return mo4511a((C0819c) new C0817a(byteBuffer));
    }

    /* renamed from: a */
    public int mo4510a(InputStream inputStream, ArrayPool bVar) throws IOException {
        byte[] bArr;
        MediaDescriptionCompatApi21.m44a(inputStream, "Argument must not be null");
        C0821d dVar = new C0821d(inputStream);
        MediaDescriptionCompatApi21.m44a(bVar, "Argument must not be null");
        try {
            int a = dVar.mo4515a();
            if ((a & 65496) == 65496 || a == 19789 || a == 18761) {
                int b = mo4514b(dVar);
                if (b != -1) {
                    bArr = (byte[]) bVar.mo4301b(b, byte[].class);
                    int a2 = mo4509a(dVar, bArr, b);
                    bVar.mo4300a(bArr);
                    return a2;
                } else if (!Log.isLoggable("DfltImageHeaderParser", 3)) {
                    return -1;
                } else {
                    Log.d("DfltImageHeaderParser", "Failed to parse exif segment length, or exif segment not found");
                    return -1;
                }
            } else if (!Log.isLoggable("DfltImageHeaderParser", 3)) {
                return -1;
            } else {
                Log.d("DfltImageHeaderParser", "Parser doesn't handle magic number: " + a);
                return -1;
            }
        } catch (C0819c.C0820a unused) {
            return -1;
        } catch (Throwable th) {
            bVar.mo4300a(bArr);
            throw th;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x003b, code lost:
        return com.bumptech.glide.load.ImageHeaderParser.ImageType.PNG;
     */
    /* JADX WARNING: Exception block dominator not found, dom blocks: [] */
    /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0039 */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final com.bumptech.glide.load.ImageHeaderParser.ImageType mo4511a(p085c.p089b.p090a.p093n.p102p.p103c.DefaultImageHeaderParser.C0819c r6) throws java.io.IOException {
        /*
            r5 = this;
            int r0 = r6.mo4515a()     // Catch:{ a -> 0x00a0 }
            r1 = 65496(0xffd8, float:9.178E-41)
            if (r0 != r1) goto L_0x000c
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.JPEG     // Catch:{ a -> 0x00a0 }
            return r6
        L_0x000c:
            int r0 = r0 << 8
            short r1 = r6.mo4517b()     // Catch:{ a -> 0x00a0 }
            r0 = r0 | r1
            r1 = 4671814(0x474946, float:6.546606E-39)
            if (r0 != r1) goto L_0x001b
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.GIF     // Catch:{ a -> 0x00a0 }
            return r6
        L_0x001b:
            int r0 = r0 << 8
            short r1 = r6.mo4517b()     // Catch:{ a -> 0x00a0 }
            r0 = r0 | r1
            r1 = -1991225785(0xffffffff89504e47, float:-2.5073895E-33)
            if (r0 != r1) goto L_0x003c
            r0 = 21
            r6.skip(r0)     // Catch:{ a -> 0x00a0 }
            short r6 = r6.mo4517b()     // Catch:{ a -> 0x0039 }
            r0 = 3
            if (r6 < r0) goto L_0x0036
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.PNG_A     // Catch:{ a -> 0x0039 }
            goto L_0x0038
        L_0x0036:
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.PNG     // Catch:{ a -> 0x0039 }
        L_0x0038:
            return r6
        L_0x0039:
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.PNG     // Catch:{ a -> 0x00a0 }
            return r6
        L_0x003c:
            r1 = 1380533830(0x52494646, float:2.16116855E11)
            if (r0 == r1) goto L_0x0044
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.UNKNOWN     // Catch:{ a -> 0x00a0 }
            return r6
        L_0x0044:
            r0 = 4
            r6.skip(r0)     // Catch:{ a -> 0x00a0 }
            int r2 = r6.mo4515a()     // Catch:{ a -> 0x00a0 }
            int r2 = r2 << 16
            int r3 = r6.mo4515a()     // Catch:{ a -> 0x00a0 }
            r2 = r2 | r3
            r3 = 1464156752(0x57454250, float:2.16888601E14)
            if (r2 == r3) goto L_0x005c
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.UNKNOWN     // Catch:{ a -> 0x00a0 }
            return r6
        L_0x005c:
            int r2 = r6.mo4515a()     // Catch:{ a -> 0x00a0 }
            int r2 = r2 << 16
            int r3 = r6.mo4515a()     // Catch:{ a -> 0x00a0 }
            r2 = r2 | r3
            r3 = r2 & -256(0xffffffffffffff00, float:NaN)
            r4 = 1448097792(0x56503800, float:5.7234734E13)
            if (r3 == r4) goto L_0x0071
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.UNKNOWN     // Catch:{ a -> 0x00a0 }
            return r6
        L_0x0071:
            r2 = r2 & 255(0xff, float:3.57E-43)
            r3 = 88
            if (r2 != r3) goto L_0x0088
            r6.skip(r0)     // Catch:{ a -> 0x00a0 }
            short r6 = r6.mo4517b()     // Catch:{ a -> 0x00a0 }
            r6 = r6 & 16
            if (r6 == 0) goto L_0x0085
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.WEBP_A     // Catch:{ a -> 0x00a0 }
            goto L_0x0087
        L_0x0085:
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.WEBP     // Catch:{ a -> 0x00a0 }
        L_0x0087:
            return r6
        L_0x0088:
            r3 = 76
            if (r2 != r3) goto L_0x009d
            r6.skip(r0)     // Catch:{ a -> 0x00a0 }
            short r6 = r6.mo4517b()     // Catch:{ a -> 0x00a0 }
            r6 = r6 & 8
            if (r6 == 0) goto L_0x009a
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.WEBP_A     // Catch:{ a -> 0x00a0 }
            goto L_0x009c
        L_0x009a:
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.WEBP     // Catch:{ a -> 0x00a0 }
        L_0x009c:
            return r6
        L_0x009d:
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.WEBP     // Catch:{ a -> 0x00a0 }
            return r6
        L_0x00a0:
            com.bumptech.glide.load.ImageHeaderParser$ImageType r6 = com.bumptech.glide.load.ImageHeaderParser.ImageType.UNKNOWN
            return r6
        */
        throw new UnsupportedOperationException("Method not decompiled: p085c.p089b.p090a.p093n.p102p.p103c.DefaultImageHeaderParser.mo4511a(c.b.a.n.p.c.k$c):com.bumptech.glide.load.ImageHeaderParser$ImageType");
    }

    /* renamed from: a */
    public final int mo4509a(C0819c cVar, byte[] bArr, int i) throws IOException {
        ByteOrder byteOrder;
        int a = cVar.mo4516a(bArr, i);
        if (a != i) {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Unable to read exif segment data, length: " + i + ", actually read: " + a);
            }
            return -1;
        }
        boolean z = bArr != null && i > f4348a.length;
        if (z) {
            int i2 = 0;
            while (true) {
                byte[] bArr2 = f4348a;
                if (i2 >= bArr2.length) {
                    break;
                } else if (bArr[i2] != bArr2[i2]) {
                    z = false;
                    break;
                } else {
                    i2++;
                }
            }
        }
        if (z) {
            C0818b bVar = new C0818b(bArr, i);
            short a2 = bVar.mo4519a(6);
            if (a2 == 18761) {
                byteOrder = ByteOrder.LITTLE_ENDIAN;
            } else if (a2 != 19789) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Unknown endianness = " + a2);
                }
                byteOrder = ByteOrder.BIG_ENDIAN;
            } else {
                byteOrder = ByteOrder.BIG_ENDIAN;
            }
            bVar.f4351a.order(byteOrder);
            int b = bVar.mo4520b(10) + 6;
            short a3 = bVar.mo4519a(b);
            for (int i3 = 0; i3 < a3; i3++) {
                int i4 = (i3 * 12) + b + 2;
                short a4 = bVar.mo4519a(i4);
                if (a4 == 274) {
                    short a5 = bVar.mo4519a(i4 + 2);
                    if (a5 >= 1 && a5 <= 12) {
                        int b2 = bVar.mo4520b(i4 + 4);
                        if (b2 >= 0) {
                            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                Log.d("DfltImageHeaderParser", "Got tagIndex=" + i3 + " tagType=" + a4 + " formatCode=" + a5 + " componentCount=" + b2);
                            }
                            int i5 = b2 + f4349b[a5];
                            if (i5 <= 4) {
                                int i6 = i4 + 8;
                                if (i6 < 0 || i6 > bVar.f4351a.remaining()) {
                                    if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                        Log.d("DfltImageHeaderParser", "Illegal tagValueOffset=" + i6 + " tagType=" + a4);
                                    }
                                } else if (i5 >= 0 && i5 + i6 <= bVar.f4351a.remaining()) {
                                    return bVar.mo4519a(i6);
                                } else {
                                    if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                        Log.d("DfltImageHeaderParser", "Illegal number of bytes for TI tag data tagType=" + a4);
                                    }
                                }
                            } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                Log.d("DfltImageHeaderParser", "Got byte count > 4, not orientation, continuing, formatCode=" + a5);
                            }
                        } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                            Log.d("DfltImageHeaderParser", "Negative tiff component count");
                        }
                    } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                        Log.d("DfltImageHeaderParser", "Got invalid format code = " + a5);
                    }
                }
            }
            return -1;
        }
        if (Log.isLoggable("DfltImageHeaderParser", 3)) {
            Log.d("DfltImageHeaderParser", "Missing jpeg exif preamble");
        }
        return -1;
    }
}
