package p085c.p089b.p090a.p093n.p102p.p103c;

import android.content.res.AssetFileDescriptor;
import android.graphics.Bitmap;
import android.media.MediaMetadataRetriever;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.security.MessageDigest;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.p093n.Option;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.ResourceDecoder;
import p085c.p089b.p090a.p093n.p096n.Resource;
import p085c.p089b.p090a.p093n.p096n.p097c0.BitmapPool;

/* renamed from: c.b.a.n.p.c.b0 */
public class VideoDecoder<T> implements ResourceDecoder<T, Bitmap> {

    /* renamed from: d */
    public static final Option<Long> f4329d = new Option<>("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.TargetFrame", -1L, new C0809a());

    /* renamed from: e */
    public static final Option<Integer> f4330e = new Option<>("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.FrameOption", 2, new C0810b());

    /* renamed from: f */
    public static final C0813e f4331f = new C0813e();

    /* renamed from: a */
    public final C0814f<T> f4332a;

    /* renamed from: b */
    public final BitmapPool f4333b;

    /* renamed from: c */
    public final C0813e f4334c;

    /* renamed from: c.b.a.n.p.c.b0$a */
    /* compiled from: VideoDecoder */
    public class C0809a implements Option.C0680b<Long> {

        /* renamed from: a */
        public final ByteBuffer f4335a = ByteBuffer.allocate(8);

        /* renamed from: a */
        public void mo4241a(byte[] bArr, Long l, MessageDigest messageDigest) {
            messageDigest.update(bArr);
            synchronized (this.f4335a) {
                this.f4335a.position(0);
                messageDigest.update(this.f4335a.putLong(l.longValue()).array());
            }
        }
    }

    /* renamed from: c.b.a.n.p.c.b0$b */
    /* compiled from: VideoDecoder */
    public class C0810b implements Option.C0680b<Integer> {

        /* renamed from: a */
        public final ByteBuffer f4336a = ByteBuffer.allocate(4);

        /* renamed from: a */
        public void mo4241a(byte[] bArr, Integer num, MessageDigest messageDigest) {
            if (num != null) {
                messageDigest.update(bArr);
                synchronized (this.f4336a) {
                    this.f4336a.position(0);
                    messageDigest.update(this.f4336a.putInt(num.intValue()).array());
                }
            }
        }
    }

    /* renamed from: c.b.a.n.p.c.b0$c */
    /* compiled from: VideoDecoder */
    public static final class C0811c implements C0814f<AssetFileDescriptor> {
        public /* synthetic */ C0811c(C0809a aVar) {
        }

        /* renamed from: a */
        public void mo4504a(MediaMetadataRetriever mediaMetadataRetriever, Object obj) {
            AssetFileDescriptor assetFileDescriptor = (AssetFileDescriptor) obj;
            mediaMetadataRetriever.setDataSource(assetFileDescriptor.getFileDescriptor(), assetFileDescriptor.getStartOffset(), assetFileDescriptor.getLength());
        }
    }

    /* renamed from: c.b.a.n.p.c.b0$d */
    /* compiled from: VideoDecoder */
    public static final class C0812d implements C0814f<ByteBuffer> {
        /* renamed from: a */
        public void mo4504a(MediaMetadataRetriever mediaMetadataRetriever, Object obj) {
            mediaMetadataRetriever.setDataSource(new C0816c0(this, (ByteBuffer) obj));
        }
    }

    /* renamed from: c.b.a.n.p.c.b0$e */
    /* compiled from: VideoDecoder */
    public static class C0813e {
    }

    /* renamed from: c.b.a.n.p.c.b0$f */
    /* compiled from: VideoDecoder */
    public interface C0814f<T> {
        /* renamed from: a */
        void mo4504a(MediaMetadataRetriever mediaMetadataRetriever, T t);
    }

    /* renamed from: c.b.a.n.p.c.b0$g */
    /* compiled from: VideoDecoder */
    public static final class C0815g implements C0814f<ParcelFileDescriptor> {
        /* renamed from: a */
        public void mo4504a(MediaMetadataRetriever mediaMetadataRetriever, Object obj) {
            mediaMetadataRetriever.setDataSource(((ParcelFileDescriptor) obj).getFileDescriptor());
        }
    }

    public VideoDecoder(BitmapPool dVar, C0814f<T> fVar) {
        C0813e eVar = f4331f;
        this.f4333b = dVar;
        this.f4332a = fVar;
        this.f4334c = eVar;
    }

    /* renamed from: a */
    public Resource<Bitmap> mo4245a(T t, int i, int i2, Options hVar) throws IOException {
        long longValue = ((Long) hVar.mo4242a(f4329d)).longValue();
        if (longValue >= 0 || longValue == -1) {
            Integer num = (Integer) hVar.mo4242a(f4330e);
            if (num == null) {
                num = 2;
            }
            DownsampleStrategy lVar = (DownsampleStrategy) hVar.mo4242a(DownsampleStrategy.f4358f);
            if (lVar == null) {
                lVar = DownsampleStrategy.f4357e;
            }
            DownsampleStrategy lVar2 = lVar;
            if (this.f4334c != null) {
                MediaMetadataRetriever mediaMetadataRetriever = new MediaMetadataRetriever();
                try {
                    this.f4332a.mo4504a(mediaMetadataRetriever, t);
                    Bitmap a = m3473a(mediaMetadataRetriever, longValue, num.intValue(), i, i2, lVar2);
                    mediaMetadataRetriever.release();
                    return BitmapResource.m3486a(a, this.f4333b);
                } catch (RuntimeException e) {
                    throw new IOException(e);
                } catch (Throwable th) {
                    mediaMetadataRetriever.release();
                    throw th;
                }
            } else {
                throw null;
            }
        } else {
            throw new IllegalArgumentException(outline.m2931a("Requested frame must be non-negative, or DEFAULT_FRAME, given: ", longValue));
        }
    }

    /* renamed from: a */
    public boolean mo4246a(T t, Options hVar) {
        return true;
    }

    /* renamed from: a */
    public static Bitmap m3473a(MediaMetadataRetriever mediaMetadataRetriever, long j, int i, int i2, int i3, DownsampleStrategy lVar) {
        MediaMetadataRetriever mediaMetadataRetriever2 = mediaMetadataRetriever;
        int i4 = i2;
        int i5 = i3;
        DownsampleStrategy lVar2 = lVar;
        Bitmap bitmap = null;
        if (!(Build.VERSION.SDK_INT < 27 || i4 == Integer.MIN_VALUE || i5 == Integer.MIN_VALUE || lVar2 == DownsampleStrategy.f4356d)) {
            try {
                int parseInt = Integer.parseInt(mediaMetadataRetriever.extractMetadata(18));
                int parseInt2 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(19));
                int parseInt3 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(24));
                if (parseInt3 == 90 || parseInt3 == 270) {
                    int i6 = parseInt2;
                    parseInt2 = parseInt;
                    parseInt = i6;
                }
                float b = lVar2.mo4522b(parseInt, parseInt2, i2, i3);
                bitmap = mediaMetadataRetriever.getScaledFrameAtTime(j, i, Math.round(((float) parseInt) * b), Math.round(b * ((float) parseInt2)));
            } catch (Throwable th) {
                if (Log.isLoggable("VideoDecoder", 3)) {
                    Log.d("VideoDecoder", "Exception trying to decode frame on oreo+", th);
                }
            }
        }
        return bitmap == null ? mediaMetadataRetriever.getFrameAtTime(j, i) : bitmap;
    }
}
