package p085c.p089b.p090a.p093n.p102p.p105e;

import android.content.Context;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import java.io.IOException;
import java.util.List;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.ResourceDecoder;
import p085c.p089b.p090a.p093n.p096n.Resource;

/* renamed from: c.b.a.n.p.e.d */
public class ResourceDrawableDecoder implements ResourceDecoder<Uri, Drawable> {

    /* renamed from: a */
    public final Context f4417a;

    public ResourceDrawableDecoder(Context context) {
        this.f4417a = context.getApplicationContext();
    }

    /* renamed from: a */
    public /* bridge */ /* synthetic */ Resource mo4245a(Object obj, int i, int i2, Options hVar) throws IOException {
        return mo4551a((Uri) obj);
    }

    /* renamed from: a */
    public boolean mo4246a(Object obj, Options hVar) throws IOException {
        return ((Uri) obj).getScheme().equals("android.resource");
    }

    /* renamed from: a */
    public Resource mo4551a(Uri uri) {
        Context context;
        int i;
        String authority = uri.getAuthority();
        if (authority.equals(this.f4417a.getPackageName())) {
            context = this.f4417a;
        } else {
            try {
                context = this.f4417a.createPackageContext(authority, 0);
            } catch (PackageManager.NameNotFoundException e) {
                if (authority.contains(this.f4417a.getPackageName())) {
                    context = this.f4417a;
                } else {
                    throw new IllegalArgumentException(outline.m2932a("Failed to obtain context or unrecognized Uri format for: ", uri), e);
                }
            }
        }
        List<String> pathSegments = uri.getPathSegments();
        if (pathSegments.size() == 2) {
            List<String> pathSegments2 = uri.getPathSegments();
            String authority2 = uri.getAuthority();
            String str = pathSegments2.get(0);
            String str2 = pathSegments2.get(1);
            i = context.getResources().getIdentifier(str2, str, authority2);
            if (i == 0) {
                i = Resources.getSystem().getIdentifier(str2, str, "android");
            }
            if (i == 0) {
                throw new IllegalArgumentException(outline.m2932a("Failed to find resource id for: ", uri));
            }
        } else if (pathSegments.size() == 1) {
            try {
                i = Integer.parseInt(uri.getPathSegments().get(0));
            } catch (NumberFormatException e2) {
                throw new IllegalArgumentException(outline.m2932a("Unrecognized Uri format: ", uri), e2);
            }
        } else {
            throw new IllegalArgumentException(outline.m2932a("Unrecognized Uri format: ", uri));
        }
        Drawable a = DrawableDecoderCompat.m3598a(this.f4417a, context, i, (Resources.Theme) null);
        if (a != null) {
            return new NonOwnedDrawableResource(a);
        }
        return null;
    }
}
