package p085c.p089b.p090a.p093n.p102p.p107g;

import android.content.Context;
import android.graphics.Bitmap;
import android.util.Log;
import com.bumptech.glide.load.ImageHeaderParser;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.Arrays;
import java.util.List;
import java.util.Queue;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.p092m.GifHeader;
import p085c.p089b.p090a.p092m.GifHeaderParser;
import p085c.p089b.p090a.p092m.StandardGifDecoder;
import p085c.p089b.p090a.p093n.DecodeFormat;
import p085c.p089b.p090a.p093n.Options;
import p085c.p089b.p090a.p093n.ResourceDecoder;
import p085c.p089b.p090a.p093n.p096n.Resource;
import p085c.p089b.p090a.p093n.p096n.p097c0.ArrayPool;
import p085c.p089b.p090a.p093n.p096n.p097c0.BitmapPool;
import p085c.p089b.p090a.p093n.p102p.UnitTransformation;
import p085c.p089b.p090a.p116t.C0862j;
import p085c.p089b.p090a.p116t.LogTime;

/* renamed from: c.b.a.n.p.g.a */
public class ByteBufferGifDecoder implements ResourceDecoder<ByteBuffer, GifDrawable> {

    /* renamed from: f */
    public static final C0836a f4419f = new C0836a();

    /* renamed from: g */
    public static final C0837b f4420g = new C0837b();

    /* renamed from: a */
    public final Context f4421a;

    /* renamed from: b */
    public final List<ImageHeaderParser> f4422b;

    /* renamed from: c */
    public final C0837b f4423c;

    /* renamed from: d */
    public final C0836a f4424d;

    /* renamed from: e */
    public final GifBitmapProvider f4425e;

    /* renamed from: c.b.a.n.p.g.a$a */
    /* compiled from: ByteBufferGifDecoder */
    public static class C0836a {
    }

    public ByteBufferGifDecoder(Context context, List<ImageHeaderParser> list, BitmapPool dVar, ArrayPool bVar) {
        C0837b bVar2 = f4420g;
        C0836a aVar = f4419f;
        this.f4421a = context.getApplicationContext();
        this.f4422b = list;
        this.f4424d = aVar;
        this.f4425e = new GifBitmapProvider(dVar, bVar);
        this.f4423c = bVar2;
    }

    /* renamed from: a */
    public Resource mo4245a(Object obj, int i, int i2, Options hVar) throws IOException {
        ByteBuffer byteBuffer = (ByteBuffer) obj;
        GifHeaderParser a = this.f4423c.mo4553a(byteBuffer);
        try {
            return mo4552a(byteBuffer, i, i2, a, hVar);
        } finally {
            this.f4423c.mo4554a(a);
        }
    }

    /* renamed from: c.b.a.n.p.g.a$b */
    /* compiled from: ByteBufferGifDecoder */
    public static class C0837b {

        /* renamed from: a */
        public final Queue<GifHeaderParser> f4426a = C0862j.m3821a(0);

        /* renamed from: a */
        public synchronized void mo4554a(GifHeaderParser dVar) {
            dVar.f3811b = null;
            dVar.f3812c = null;
            this.f4426a.offer(dVar);
        }

        /* renamed from: a */
        public synchronized GifHeaderParser mo4553a(ByteBuffer byteBuffer) {
            GifHeaderParser poll;
            poll = this.f4426a.poll();
            if (poll == null) {
                poll = new GifHeaderParser();
            }
            poll.f3811b = null;
            Arrays.fill(poll.f3810a, (byte) 0);
            poll.f3812c = new GifHeader();
            poll.f3813d = 0;
            ByteBuffer asReadOnlyBuffer = byteBuffer.asReadOnlyBuffer();
            poll.f3811b = asReadOnlyBuffer;
            asReadOnlyBuffer.position(0);
            poll.f3811b.order(ByteOrder.LITTLE_ENDIAN);
            return poll;
        }
    }

    /* renamed from: a */
    public boolean mo4246a(Object obj, Options hVar) throws IOException {
        ImageHeaderParser.ImageType imageType;
        ByteBuffer byteBuffer = (ByteBuffer) obj;
        if (((Boolean) hVar.mo4242a(GifOptions.f4465b)).booleanValue()) {
            return false;
        }
        List<ImageHeaderParser> list = this.f4422b;
        if (byteBuffer == null) {
            imageType = ImageHeaderParser.ImageType.UNKNOWN;
        } else {
            int size = list.size();
            int i = 0;
            while (true) {
                if (i >= size) {
                    imageType = ImageHeaderParser.ImageType.UNKNOWN;
                    break;
                }
                ImageHeaderParser.ImageType a = list.get(i).mo4513a(byteBuffer);
                if (a != ImageHeaderParser.ImageType.UNKNOWN) {
                    imageType = a;
                    break;
                }
                i++;
            }
        }
        if (imageType == ImageHeaderParser.ImageType.GIF) {
            return true;
        }
        return false;
    }

    /* renamed from: a */
    public static int m3612a(GifHeader cVar, int i, int i2) {
        int i3;
        int min = Math.min(cVar.f3803g / i2, cVar.f3802f / i);
        if (min == 0) {
            i3 = 0;
        } else {
            i3 = Integer.highestOneBit(min);
        }
        int max = Math.max(1, i3);
        if (Log.isLoggable("BufferGifDecoder", 2) && max > 1) {
            Log.v("BufferGifDecoder", "Downsampling GIF, sampleSize: " + max + ", target dimens: [" + i + "x" + i2 + "], actual dimens: [" + cVar.f3802f + "x" + cVar.f3803g + "]");
        }
        return max;
    }

    /* renamed from: a */
    public final GifDrawableResource mo4552a(ByteBuffer byteBuffer, int i, int i2, GifHeaderParser dVar, Options hVar) {
        Bitmap.Config config;
        long a = LogTime.m3805a();
        try {
            GifHeader b = dVar.mo4226b();
            if (b.f3799c > 0) {
                if (b.f3798b == 0) {
                    if (hVar.mo4242a(GifOptions.f4464a) == DecodeFormat.PREFER_RGB_565) {
                        config = Bitmap.Config.RGB_565;
                    } else {
                        config = Bitmap.Config.ARGB_8888;
                    }
                    int a2 = m3612a(b, i, i2);
                    C0836a aVar = this.f4424d;
                    GifBitmapProvider bVar = this.f4425e;
                    if (aVar != null) {
                        StandardGifDecoder eVar = new StandardGifDecoder(bVar, b, byteBuffer, a2);
                        eVar.mo4215a(config);
                        eVar.mo4219d();
                        Bitmap c = eVar.mo4217c();
                        if (c == null) {
                            if (Log.isLoggable("BufferGifDecoder", 2)) {
                                StringBuilder a3 = outline.m2937a("Decoded GIF from stream in ");
                                a3.append(LogTime.m3804a(a));
                                Log.v("BufferGifDecoder", a3.toString());
                            }
                            return null;
                        }
                        GifDrawableResource eVar2 = new GifDrawableResource(new GifDrawable(this.f4421a, eVar, (UnitTransformation) UnitTransformation.f4323b, i, i2, c));
                        if (Log.isLoggable("BufferGifDecoder", 2)) {
                            StringBuilder a4 = outline.m2937a("Decoded GIF from stream in ");
                            a4.append(LogTime.m3804a(a));
                            Log.v("BufferGifDecoder", a4.toString());
                        }
                        return eVar2;
                    }
                    throw null;
                }
            }
            return null;
        } finally {
            if (Log.isLoggable("BufferGifDecoder", 2)) {
                StringBuilder a5 = outline.m2937a("Decoded GIF from stream in ");
                a5.append(LogTime.m3804a(a));
                Log.v("BufferGifDecoder", a5.toString());
            }
        }
    }
}
