package p085c.p089b.p090a.p109o;

import android.annotation.SuppressLint;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.util.Log;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.RequestManager;
import p085c.p089b.p090a.p109o.ConnectivityMonitor;

/* renamed from: c.b.a.o.e */
public final class DefaultConnectivityMonitor implements ConnectivityMonitor {

    /* renamed from: b */
    public final Context f4483b;

    /* renamed from: c */
    public final ConnectivityMonitor.C0843a f4484c;

    /* renamed from: d */
    public boolean f4485d;

    /* renamed from: e */
    public boolean f4486e;

    /* renamed from: f */
    public final BroadcastReceiver f4487f = new C0844a();

    /* renamed from: c.b.a.o.e$a */
    /* compiled from: DefaultConnectivityMonitor */
    public class C0844a extends BroadcastReceiver {
        public C0844a() {
        }

        public void onReceive(Context context, Intent intent) {
            DefaultConnectivityMonitor eVar = DefaultConnectivityMonitor.this;
            boolean z = eVar.f4485d;
            eVar.f4485d = eVar.mo4592a(context);
            if (z != DefaultConnectivityMonitor.this.f4485d) {
                if (Log.isLoggable("ConnectivityMonitor", 3)) {
                    StringBuilder a = outline.m2937a("connectivity changed, isConnected: ");
                    a.append(DefaultConnectivityMonitor.this.f4485d);
                    Log.d("ConnectivityMonitor", a.toString());
                }
                DefaultConnectivityMonitor eVar2 = DefaultConnectivityMonitor.this;
                ((RequestManager.C0671b) eVar2.f4484c).mo4190a(eVar2.f4485d);
            }
        }
    }

    public DefaultConnectivityMonitor(Context context, ConnectivityMonitor.C0843a aVar) {
        this.f4483b = context.getApplicationContext();
        this.f4484c = aVar;
    }

    /* renamed from: a */
    public void mo4175a() {
        if (this.f4486e) {
            this.f4483b.unregisterReceiver(this.f4487f);
            this.f4486e = false;
        }
    }

    /* renamed from: c */
    public void mo4180c() {
        if (!this.f4486e) {
            this.f4485d = mo4592a(this.f4483b);
            try {
                this.f4483b.registerReceiver(this.f4487f, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
                this.f4486e = true;
            } catch (SecurityException e) {
                if (Log.isLoggable("ConnectivityMonitor", 5)) {
                    Log.w("ConnectivityMonitor", "Failed to register", e);
                }
            }
        }
    }

    /* renamed from: d */
    public void mo4181d() {
    }

    @SuppressLint({"MissingPermission"})
    /* renamed from: a */
    public boolean mo4592a(Context context) {
        ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService("connectivity");
        MediaDescriptionCompatApi21.m44a(connectivityManager, "Argument must not be null");
        try {
            NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
            if (activeNetworkInfo == null || !activeNetworkInfo.isConnected()) {
                return false;
            }
            return true;
        } catch (RuntimeException e) {
            if (Log.isLoggable("ConnectivityMonitor", 5)) {
                Log.w("ConnectivityMonitor", "Failed to determine connectivity status when connectivity changed", e);
            }
            return true;
        }
    }
}
