package p085c.p089b.p090a.p109o;

import android.app.Activity;
import android.app.Application;
import android.app.FragmentManager;
import android.content.Context;
import android.content.ContextWrapper;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import androidx.fragment.app.Fragment;
import com.bumptech.glide.manager.SupportRequestManagerFragment;
import java.util.HashMap;
import java.util.Map;
import p008b.p026e.ArrayMap;
import p008b.p058m.p059d.BackStackRecord;
import p008b.p058m.p059d.FragmentActivity;
import p085c.p089b.p090a.Glide;
import p085c.p089b.p090a.RequestManager;
import p085c.p089b.p090a.p116t.C0862j;

/* renamed from: c.b.a.o.l */
public class RequestManagerRetriever implements Handler.Callback {

    /* renamed from: f */
    public static final C0848b f4496f = new C0847a();

    /* renamed from: a */
    public volatile RequestManager f4497a;

    /* renamed from: b */
    public final Map<FragmentManager, RequestManagerFragment> f4498b = new HashMap();

    /* renamed from: c */
    public final Map<p008b.p058m.p059d.FragmentManager, SupportRequestManagerFragment> f4499c = new HashMap();

    /* renamed from: d */
    public final Handler f4500d;

    /* renamed from: e */
    public final C0848b f4501e;

    /* renamed from: c.b.a.o.l$a */
    /* compiled from: RequestManagerRetriever */
    public class C0847a implements C0848b {
    }

    /* renamed from: c.b.a.o.l$b */
    /* compiled from: RequestManagerRetriever */
    public interface C0848b {
    }

    public RequestManagerRetriever(C0848b bVar) {
        new ArrayMap();
        new ArrayMap();
        new Bundle();
        this.f4501e = bVar == null ? f4496f : bVar;
        this.f4500d = new Handler(Looper.getMainLooper(), this);
    }

    /* renamed from: c */
    public static Activity m3672c(Context context) {
        if (context instanceof Activity) {
            return (Activity) context;
        }
        if (context instanceof ContextWrapper) {
            return m3672c(((ContextWrapper) context).getBaseContext());
        }
        return null;
    }

    /* renamed from: d */
    public static boolean m3673d(Context context) {
        Activity c = m3672c(context);
        return c == null || !c.isFinishing();
    }

    /* renamed from: a */
    public RequestManager mo4603a(Context context) {
        if (context != null) {
            if (C0862j.m3827c() && !(context instanceof Application)) {
                if (context instanceof FragmentActivity) {
                    FragmentActivity cVar = (FragmentActivity) context;
                    if (C0862j.m3825b()) {
                        return mo4603a(cVar.getApplicationContext());
                    }
                    if (!cVar.isDestroyed()) {
                        return mo4604a(cVar, cVar.getSupportFragmentManager(), (Fragment) null, m3673d(cVar));
                    }
                    throw new IllegalArgumentException("You cannot start a load for a destroyed activity");
                } else if (context instanceof Activity) {
                    Activity activity = (Activity) context;
                    if (C0862j.m3825b()) {
                        return mo4603a(activity.getApplicationContext());
                    }
                    if (!activity.isDestroyed()) {
                        RequestManagerFragment a = mo4605a(activity.getFragmentManager(), (android.app.Fragment) null, m3673d(activity));
                        RequestManager jVar = a.f4492e;
                        if (jVar != null) {
                            return jVar;
                        }
                        Glide a2 = Glide.m2942a((Context) activity);
                        C0848b bVar = this.f4501e;
                        ActivityFragmentLifecycle aVar = a.f4489b;
                        RequestManagerTreeNode mVar = a.f4490c;
                        if (((C0847a) bVar) != null) {
                            RequestManager jVar2 = new RequestManager(a2, aVar, mVar, activity);
                            a.f4492e = jVar2;
                            return jVar2;
                        }
                        throw null;
                    }
                    throw new IllegalArgumentException("You cannot start a load for a destroyed activity");
                } else if (context instanceof ContextWrapper) {
                    ContextWrapper contextWrapper = (ContextWrapper) context;
                    if (contextWrapper.getBaseContext().getApplicationContext() != null) {
                        return mo4603a(contextWrapper.getBaseContext());
                    }
                }
            }
            return mo4607b(context);
        }
        throw new IllegalArgumentException("You cannot start a load on a null Context");
    }

    /* renamed from: b */
    public final RequestManager mo4607b(Context context) {
        if (this.f4497a == null) {
            synchronized (this) {
                if (this.f4497a == null) {
                    Glide a = Glide.m2942a(context.getApplicationContext());
                    C0848b bVar = this.f4501e;
                    ApplicationLifecycle bVar2 = new ApplicationLifecycle();
                    EmptyRequestManagerTreeNode gVar = new EmptyRequestManagerTreeNode();
                    Context applicationContext = context.getApplicationContext();
                    if (((C0847a) bVar) != null) {
                        this.f4497a = new RequestManager(a, bVar2, gVar, applicationContext);
                    } else {
                        throw null;
                    }
                }
            }
        }
        return this.f4497a;
    }

    public boolean handleMessage(Message message) {
        Object obj;
        Object obj2;
        Object obj3;
        int i = message.what;
        Object obj4 = null;
        boolean z = true;
        if (i == 1) {
            obj3 = (FragmentManager) message.obj;
            obj2 = this.f4498b.remove(obj3);
        } else if (i != 2) {
            z = false;
            obj = null;
            if (z && obj4 == null && Log.isLoggable("RMRetriever", 5)) {
                Log.w("RMRetriever", "Failed to remove expected request manager fragment, manager: " + obj);
            }
            return z;
        } else {
            obj3 = (p008b.p058m.p059d.FragmentManager) message.obj;
            obj2 = this.f4499c.remove(obj3);
        }
        Object obj5 = obj3;
        obj4 = obj2;
        obj = obj5;
        Log.w("RMRetriever", "Failed to remove expected request manager fragment, manager: " + obj);
        return z;
    }

    /* renamed from: a */
    public final RequestManagerFragment mo4605a(FragmentManager fragmentManager, android.app.Fragment fragment, boolean z) {
        RequestManagerFragment kVar = (RequestManagerFragment) fragmentManager.findFragmentByTag("com.bumptech.glide.manager");
        if (kVar == null && (kVar = this.f4498b.get(fragmentManager)) == null) {
            kVar = new RequestManagerFragment();
            kVar.f4494g = fragment;
            if (!(fragment == null || fragment.getActivity() == null)) {
                kVar.mo4595a(fragment.getActivity());
            }
            if (z) {
                kVar.f4489b.mo4589b();
            }
            this.f4498b.put(fragmentManager, kVar);
            fragmentManager.beginTransaction().add(kVar, "com.bumptech.glide.manager").commitAllowingStateLoss();
            this.f4500d.obtainMessage(1, fragmentManager).sendToTarget();
        }
        return kVar;
    }

    /* renamed from: a */
    public final SupportRequestManagerFragment mo4606a(p008b.p058m.p059d.FragmentManager oVar, Fragment fragment, boolean z) {
        SupportRequestManagerFragment supportRequestManagerFragment = (SupportRequestManagerFragment) oVar.mo3453b("com.bumptech.glide.manager");
        if (supportRequestManagerFragment == null && (supportRequestManagerFragment = this.f4499c.get(oVar)) == null) {
            supportRequestManagerFragment = new SupportRequestManagerFragment();
            supportRequestManagerFragment.f6623g = fragment;
            if (!(fragment == null || fragment.getContext() == null)) {
                Fragment fragment2 = fragment;
                while (fragment2.getParentFragment() != null) {
                    fragment2 = fragment2.getParentFragment();
                }
                p008b.p058m.p059d.FragmentManager fragmentManager = fragment2.getFragmentManager();
                if (fragmentManager != null) {
                    supportRequestManagerFragment.mo6016a(fragment.getContext(), fragmentManager);
                }
            }
            if (z) {
                supportRequestManagerFragment.f6618b.mo4589b();
            }
            this.f4499c.put(oVar, supportRequestManagerFragment);
            BackStackRecord aVar = new BackStackRecord(oVar);
            aVar.mo3315a(0, supportRequestManagerFragment, "com.bumptech.glide.manager", 1);
            aVar.mo3319b();
            this.f4500d.obtainMessage(2, oVar).sendToTarget();
        }
        return supportRequestManagerFragment;
    }

    /* renamed from: a */
    public final RequestManager mo4604a(Context context, p008b.p058m.p059d.FragmentManager oVar, Fragment fragment, boolean z) {
        SupportRequestManagerFragment a = mo4606a(oVar, fragment, z);
        RequestManager jVar = a.f6622f;
        if (jVar != null) {
            return jVar;
        }
        Glide a2 = Glide.m2942a(context);
        C0848b bVar = this.f4501e;
        ActivityFragmentLifecycle aVar = a.f6618b;
        RequestManagerTreeNode mVar = a.f6619c;
        if (((C0847a) bVar) != null) {
            RequestManager jVar2 = new RequestManager(a2, aVar, mVar, context);
            a.f6622f = jVar2;
            return jVar2;
        }
        throw null;
    }
}
