package p085c.p089b.p090a.p112r;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.util.Log;
import java.util.List;
import java.util.concurrent.Executor;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.GlideContext;
import p085c.p089b.p090a.Priority;
import p085c.p089b.p090a.p093n.DataSource;
import p085c.p089b.p090a.p093n.p096n.Engine;
import p085c.p089b.p090a.p093n.p096n.GlideException;
import p085c.p089b.p090a.p093n.p096n.Resource;
import p085c.p089b.p090a.p093n.p102p.p105e.DrawableDecoderCompat;
import p085c.p089b.p090a.p112r.p113h.SizeReadyCallback;
import p085c.p089b.p090a.p112r.p113h.Target;
import p085c.p089b.p090a.p112r.p114i.TransitionFactory;
import p085c.p089b.p090a.p116t.C0862j;
import p085c.p089b.p090a.p116t.LogTime;
import p085c.p089b.p090a.p116t.p117k.StateVerifier;

/* renamed from: c.b.a.r.g */
public final class SingleRequest<R> implements Request, SizeReadyCallback, ResourceCallback {

    /* renamed from: D */
    public static final boolean f4549D = Log.isLoggable("Request", 2);

    /* renamed from: A */
    public int f4550A;

    /* renamed from: B */
    public boolean f4551B;

    /* renamed from: C */
    public RuntimeException f4552C;

    /* renamed from: a */
    public final String f4553a;

    /* renamed from: b */
    public final StateVerifier f4554b;

    /* renamed from: c */
    public final Object f4555c;

    /* renamed from: d */
    public final RequestListener<R> f4556d;

    /* renamed from: e */
    public final RequestCoordinator f4557e;

    /* renamed from: f */
    public final Context f4558f;

    /* renamed from: g */
    public final GlideContext f4559g;

    /* renamed from: h */
    public final Object f4560h;

    /* renamed from: i */
    public final Class<R> f4561i;

    /* renamed from: j */
    public final BaseRequestOptions<?> f4562j;

    /* renamed from: k */
    public final int f4563k;

    /* renamed from: l */
    public final int f4564l;

    /* renamed from: m */
    public final Priority f4565m;

    /* renamed from: n */
    public final Target<R> f4566n;

    /* renamed from: o */
    public final List<RequestListener<R>> f4567o;

    /* renamed from: p */
    public final TransitionFactory<? super R> f4568p;

    /* renamed from: q */
    public final Executor f4569q;

    /* renamed from: r */
    public Resource<R> f4570r;

    /* renamed from: s */
    public Engine.C0738d f4571s;

    /* renamed from: t */
    public long f4572t;

    /* renamed from: u */
    public volatile Engine f4573u;

    /* renamed from: v */
    public C0852a f4574v;

    /* renamed from: w */
    public Drawable f4575w;

    /* renamed from: x */
    public Drawable f4576x;

    /* renamed from: y */
    public Drawable f4577y;

    /* renamed from: z */
    public int f4578z;

    /* renamed from: c.b.a.r.g$a */
    /* compiled from: SingleRequest */
    public enum C0852a {
        PENDING,
        RUNNING,
        WAITING_FOR_SIZE,
        COMPLETE,
        FAILED,
        CLEARED
    }

    public SingleRequest(Context context, GlideContext dVar, Object obj, Object obj2, Class<R> cls, BaseRequestOptions<?> aVar, int i, int i2, Priority fVar, Target<R> hVar, RequestListener<R> dVar2, List<RequestListener<R>> list, RequestCoordinator cVar, Engine lVar, TransitionFactory<? super R> cVar2, Executor executor) {
        GlideContext dVar3 = dVar;
        this.f4553a = f4549D ? String.valueOf(super.hashCode()) : null;
        this.f4554b = new StateVerifier.C0872b();
        this.f4555c = obj;
        this.f4558f = context;
        this.f4559g = dVar3;
        this.f4560h = obj2;
        this.f4561i = cls;
        this.f4562j = aVar;
        this.f4563k = i;
        this.f4564l = i2;
        this.f4565m = fVar;
        this.f4566n = hVar;
        this.f4556d = dVar2;
        this.f4567o = list;
        this.f4557e = cVar;
        this.f4573u = lVar;
        this.f4568p = cVar2;
        this.f4569q = executor;
        this.f4574v = C0852a.PENDING;
        if (this.f4552C == null && dVar3.f3702h) {
            this.f4552C = new RuntimeException("Glide request origin trace");
        }
    }

    /* renamed from: a */
    public void mo4644a() {
        synchronized (this.f4555c) {
            if (isRunning()) {
                clear();
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00b0, code lost:
        return;
     */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0088  */
    /* renamed from: b */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void mo4646b() {
        /*
            r4 = this;
            java.lang.Object r0 = r4.f4555c
            monitor-enter(r0)
            r4.mo4666e()     // Catch:{ all -> 0x00b9 }
            c.b.a.t.k.d r1 = r4.f4554b     // Catch:{ all -> 0x00b9 }
            r1.mo4729a()     // Catch:{ all -> 0x00b9 }
            long r1 = p085c.p089b.p090a.p116t.LogTime.m3805a()     // Catch:{ all -> 0x00b9 }
            r4.f4572t = r1     // Catch:{ all -> 0x00b9 }
            java.lang.Object r1 = r4.f4560h     // Catch:{ all -> 0x00b9 }
            if (r1 != 0) goto L_0x003c
            int r1 = r4.f4563k     // Catch:{ all -> 0x00b9 }
            int r2 = r4.f4564l     // Catch:{ all -> 0x00b9 }
            boolean r1 = p085c.p089b.p090a.p116t.C0862j.m3823a((int) r1, (int) r2)     // Catch:{ all -> 0x00b9 }
            if (r1 == 0) goto L_0x0027
            int r1 = r4.f4563k     // Catch:{ all -> 0x00b9 }
            r4.f4578z = r1     // Catch:{ all -> 0x00b9 }
            int r1 = r4.f4564l     // Catch:{ all -> 0x00b9 }
            r4.f4550A = r1     // Catch:{ all -> 0x00b9 }
        L_0x0027:
            android.graphics.drawable.Drawable r1 = r4.mo4667f()     // Catch:{ all -> 0x00b9 }
            if (r1 != 0) goto L_0x002f
            r1 = 5
            goto L_0x0030
        L_0x002f:
            r1 = 3
        L_0x0030:
            c.b.a.n.n.r r2 = new c.b.a.n.n.r     // Catch:{ all -> 0x00b9 }
            java.lang.String r3 = "Received null model"
            r2.<init>(r3)     // Catch:{ all -> 0x00b9 }
            r4.mo4662a((p085c.p089b.p090a.p093n.p096n.GlideException) r2, (int) r1)     // Catch:{ all -> 0x00b9 }
            monitor-exit(r0)     // Catch:{ all -> 0x00b9 }
            return
        L_0x003c:
            c.b.a.r.g$a r1 = r4.f4574v     // Catch:{ all -> 0x00b9 }
            c.b.a.r.g$a r2 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.RUNNING     // Catch:{ all -> 0x00b9 }
            if (r1 == r2) goto L_0x00b1
            c.b.a.r.g$a r1 = r4.f4574v     // Catch:{ all -> 0x00b9 }
            c.b.a.r.g$a r2 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.COMPLETE     // Catch:{ all -> 0x00b9 }
            if (r1 != r2) goto L_0x0051
            c.b.a.n.n.w<R> r1 = r4.f4570r     // Catch:{ all -> 0x00b9 }
            c.b.a.n.a r2 = p085c.p089b.p090a.p093n.DataSource.MEMORY_CACHE     // Catch:{ all -> 0x00b9 }
            r4.mo4663a((p085c.p089b.p090a.p093n.p096n.Resource<?>) r1, (p085c.p089b.p090a.p093n.DataSource) r2)     // Catch:{ all -> 0x00b9 }
            monitor-exit(r0)     // Catch:{ all -> 0x00b9 }
            return
        L_0x0051:
            c.b.a.r.g$a r1 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.WAITING_FOR_SIZE     // Catch:{ all -> 0x00b9 }
            r4.f4574v = r1     // Catch:{ all -> 0x00b9 }
            int r1 = r4.f4563k     // Catch:{ all -> 0x00b9 }
            int r2 = r4.f4564l     // Catch:{ all -> 0x00b9 }
            boolean r1 = p085c.p089b.p090a.p116t.C0862j.m3823a((int) r1, (int) r2)     // Catch:{ all -> 0x00b9 }
            if (r1 == 0) goto L_0x0067
            int r1 = r4.f4563k     // Catch:{ all -> 0x00b9 }
            int r2 = r4.f4564l     // Catch:{ all -> 0x00b9 }
            r4.mo4661a((int) r1, (int) r2)     // Catch:{ all -> 0x00b9 }
            goto L_0x006c
        L_0x0067:
            c.b.a.r.h.h<R> r1 = r4.f4566n     // Catch:{ all -> 0x00b9 }
            r1.mo4677b((p085c.p089b.p090a.p112r.p113h.SizeReadyCallback) r4)     // Catch:{ all -> 0x00b9 }
        L_0x006c:
            c.b.a.r.g$a r1 = r4.f4574v     // Catch:{ all -> 0x00b9 }
            c.b.a.r.g$a r2 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.RUNNING     // Catch:{ all -> 0x00b9 }
            if (r1 == r2) goto L_0x0078
            c.b.a.r.g$a r1 = r4.f4574v     // Catch:{ all -> 0x00b9 }
            c.b.a.r.g$a r2 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.WAITING_FOR_SIZE     // Catch:{ all -> 0x00b9 }
            if (r1 != r2) goto L_0x0091
        L_0x0078:
            c.b.a.r.c r1 = r4.f4557e     // Catch:{ all -> 0x00b9 }
            if (r1 == 0) goto L_0x0085
            boolean r1 = r1.mo4656d(r4)     // Catch:{ all -> 0x00b9 }
            if (r1 == 0) goto L_0x0083
            goto L_0x0085
        L_0x0083:
            r1 = 0
            goto L_0x0086
        L_0x0085:
            r1 = 1
        L_0x0086:
            if (r1 == 0) goto L_0x0091
            c.b.a.r.h.h<R> r1 = r4.f4566n     // Catch:{ all -> 0x00b9 }
            android.graphics.drawable.Drawable r2 = r4.mo4668g()     // Catch:{ all -> 0x00b9 }
            r1.mo4672a((android.graphics.drawable.Drawable) r2)     // Catch:{ all -> 0x00b9 }
        L_0x0091:
            boolean r1 = f4549D     // Catch:{ all -> 0x00b9 }
            if (r1 == 0) goto L_0x00af
            java.lang.StringBuilder r1 = new java.lang.StringBuilder     // Catch:{ all -> 0x00b9 }
            r1.<init>()     // Catch:{ all -> 0x00b9 }
            java.lang.String r2 = "finished run method in "
            r1.append(r2)     // Catch:{ all -> 0x00b9 }
            long r2 = r4.f4572t     // Catch:{ all -> 0x00b9 }
            double r2 = p085c.p089b.p090a.p116t.LogTime.m3804a(r2)     // Catch:{ all -> 0x00b9 }
            r1.append(r2)     // Catch:{ all -> 0x00b9 }
            java.lang.String r1 = r1.toString()     // Catch:{ all -> 0x00b9 }
            r4.mo4665a((java.lang.String) r1)     // Catch:{ all -> 0x00b9 }
        L_0x00af:
            monitor-exit(r0)     // Catch:{ all -> 0x00b9 }
            return
        L_0x00b1:
            java.lang.IllegalArgumentException r1 = new java.lang.IllegalArgumentException     // Catch:{ all -> 0x00b9 }
            java.lang.String r2 = "Cannot restart a running request"
            r1.<init>(r2)     // Catch:{ all -> 0x00b9 }
            throw r1     // Catch:{ all -> 0x00b9 }
        L_0x00b9:
            r1 = move-exception
            monitor-exit(r0)     // Catch:{ all -> 0x00b9 }
            throw r1
        */
        throw new UnsupportedOperationException("Method not decompiled: p085c.p089b.p090a.p112r.SingleRequest.mo4646b():void");
    }

    /* renamed from: c */
    public boolean mo4647c() {
        boolean z;
        synchronized (this.f4555c) {
            z = this.f4574v == C0852a.COMPLETE;
        }
        return z;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0051, code lost:
        if (r2 == null) goto L_?;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0053, code lost:
        r4.f4573u.mo4412a(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:?, code lost:
        return;
     */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0043  */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void clear() {
        /*
            r4 = this;
            java.lang.Object r0 = r4.f4555c
            monitor-enter(r0)
            r4.mo4666e()     // Catch:{ all -> 0x0059 }
            c.b.a.t.k.d r1 = r4.f4554b     // Catch:{ all -> 0x0059 }
            r1.mo4729a()     // Catch:{ all -> 0x0059 }
            c.b.a.r.g$a r1 = r4.f4574v     // Catch:{ all -> 0x0059 }
            c.b.a.r.g$a r2 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.CLEARED     // Catch:{ all -> 0x0059 }
            if (r1 != r2) goto L_0x0013
            monitor-exit(r0)     // Catch:{ all -> 0x0059 }
            return
        L_0x0013:
            r4.mo4666e()     // Catch:{ all -> 0x0059 }
            c.b.a.t.k.d r1 = r4.f4554b     // Catch:{ all -> 0x0059 }
            r1.mo4729a()     // Catch:{ all -> 0x0059 }
            c.b.a.r.h.h<R> r1 = r4.f4566n     // Catch:{ all -> 0x0059 }
            r1.mo4674a((p085c.p089b.p090a.p112r.p113h.SizeReadyCallback) r4)     // Catch:{ all -> 0x0059 }
            c.b.a.n.n.l$d r1 = r4.f4571s     // Catch:{ all -> 0x0059 }
            r2 = 0
            if (r1 == 0) goto L_0x002a
            r1.mo4414a()     // Catch:{ all -> 0x0059 }
            r4.f4571s = r2     // Catch:{ all -> 0x0059 }
        L_0x002a:
            c.b.a.n.n.w<R> r1 = r4.f4570r     // Catch:{ all -> 0x0059 }
            if (r1 == 0) goto L_0x0033
            c.b.a.n.n.w<R> r1 = r4.f4570r     // Catch:{ all -> 0x0059 }
            r4.f4570r = r2     // Catch:{ all -> 0x0059 }
            r2 = r1
        L_0x0033:
            c.b.a.r.c r1 = r4.f4557e     // Catch:{ all -> 0x0059 }
            if (r1 == 0) goto L_0x0040
            boolean r1 = r1.mo4657e(r4)     // Catch:{ all -> 0x0059 }
            if (r1 == 0) goto L_0x003e
            goto L_0x0040
        L_0x003e:
            r1 = 0
            goto L_0x0041
        L_0x0040:
            r1 = 1
        L_0x0041:
            if (r1 == 0) goto L_0x004c
            c.b.a.r.h.h<R> r1 = r4.f4566n     // Catch:{ all -> 0x0059 }
            android.graphics.drawable.Drawable r3 = r4.mo4668g()     // Catch:{ all -> 0x0059 }
            r1.mo4580c(r3)     // Catch:{ all -> 0x0059 }
        L_0x004c:
            c.b.a.r.g$a r1 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.CLEARED     // Catch:{ all -> 0x0059 }
            r4.f4574v = r1     // Catch:{ all -> 0x0059 }
            monitor-exit(r0)     // Catch:{ all -> 0x0059 }
            if (r2 == 0) goto L_0x0058
            c.b.a.n.n.l r0 = r4.f4573u
            r0.mo4412a(r2)
        L_0x0058:
            return
        L_0x0059:
            r1 = move-exception
            monitor-exit(r0)     // Catch:{ all -> 0x0059 }
            throw r1
        */
        throw new UnsupportedOperationException("Method not decompiled: p085c.p089b.p090a.p112r.SingleRequest.clear():void");
    }

    /* renamed from: d */
    public boolean mo4649d() {
        boolean z;
        synchronized (this.f4555c) {
            z = this.f4574v == C0852a.CLEARED;
        }
        return z;
    }

    /* renamed from: e */
    public final void mo4666e() {
        if (this.f4551B) {
            throw new IllegalStateException("You can't start or clear loads in RequestListener or Target callbacks. If you're trying to start a fallback request when a load fails, use RequestBuilder#error(RequestBuilder). Otherwise consider posting your into() or clear() calls to the main thread using a Handler instead.");
        }
    }

    /* renamed from: f */
    public final Drawable mo4667f() {
        int i;
        if (this.f4577y == null) {
            BaseRequestOptions<?> aVar = this.f4562j;
            Drawable drawable = aVar.f4538p;
            this.f4577y = drawable;
            if (drawable == null && (i = aVar.f4539q) > 0) {
                this.f4577y = mo4660a(i);
            }
        }
        return this.f4577y;
    }

    /* renamed from: g */
    public final Drawable mo4668g() {
        int i;
        if (this.f4576x == null) {
            BaseRequestOptions<?> aVar = this.f4562j;
            Drawable drawable = aVar.f4530h;
            this.f4576x = drawable;
            if (drawable == null && (i = aVar.f4531i) > 0) {
                this.f4576x = mo4660a(i);
            }
        }
        return this.f4576x;
    }

    /* renamed from: h */
    public final boolean mo4669h() {
        RequestCoordinator cVar = this.f4557e;
        return cVar == null || !cVar.mo4651a().mo4654b();
    }

    /* renamed from: i */
    public final void mo4670i() {
        int i;
        RequestCoordinator cVar = this.f4557e;
        if (cVar == null || cVar.mo4656d(this)) {
            Drawable drawable = null;
            if (this.f4560h == null) {
                drawable = mo4667f();
            }
            if (drawable == null) {
                if (this.f4575w == null) {
                    BaseRequestOptions<?> aVar = this.f4562j;
                    Drawable drawable2 = aVar.f4528f;
                    this.f4575w = drawable2;
                    if (drawable2 == null && (i = aVar.f4529g) > 0) {
                        this.f4575w = mo4660a(i);
                    }
                }
                drawable = this.f4575w;
            }
            if (drawable == null) {
                drawable = mo4668g();
            }
            this.f4566n.mo4676b(drawable);
        }
    }

    public boolean isRunning() {
        boolean z;
        synchronized (this.f4555c) {
            if (this.f4574v != C0852a.RUNNING) {
                if (this.f4574v != C0852a.WAITING_FOR_SIZE) {
                    z = false;
                }
            }
            z = true;
        }
        return z;
    }

    /* renamed from: a */
    public final Drawable mo4660a(int i) {
        Resources.Theme theme = this.f4562j.f4544v;
        if (theme == null) {
            theme = this.f4558f.getTheme();
        }
        GlideContext dVar = this.f4559g;
        return DrawableDecoderCompat.m3598a(dVar, dVar, i, theme);
    }

    /* renamed from: a */
    public void mo4661a(int i, int i2) {
        Object obj;
        int i3;
        int i4 = i;
        int i5 = i2;
        this.f4554b.mo4729a();
        Object obj2 = this.f4555c;
        synchronized (obj2) {
            try {
                if (f4549D) {
                    mo4665a("Got onSizeReady in " + LogTime.m3804a(this.f4572t));
                }
                if (this.f4574v == C0852a.WAITING_FOR_SIZE) {
                    this.f4574v = C0852a.RUNNING;
                    float f = this.f4562j.f4525c;
                    if (i4 != Integer.MIN_VALUE) {
                        i4 = Math.round(((float) i4) * f);
                    }
                    this.f4578z = i4;
                    if (i5 == Integer.MIN_VALUE) {
                        i3 = i5;
                    } else {
                        i3 = Math.round(f * ((float) i5));
                    }
                    this.f4550A = i3;
                    if (f4549D) {
                        mo4665a("finished setup for calling load in " + LogTime.m3804a(this.f4572t));
                    }
                    obj = obj2;
                    try {
                    } catch (Throwable th) {
                        th = th;
                        while (true) {
                            try {
                                break;
                            } catch (Throwable th2) {
                                th = th2;
                            }
                        }
                        throw th;
                    }
                    try {
                        this.f4571s = this.f4573u.mo4406a(this.f4559g, this.f4560h, this.f4562j.f4535m, this.f4578z, this.f4550A, this.f4562j.f4542t, this.f4561i, this.f4565m, this.f4562j.f4526d, this.f4562j.f4541s, this.f4562j.f4536n, this.f4562j.f4548z, this.f4562j.f4540r, this.f4562j.f4532j, this.f4562j.f4546x, this.f4562j.f4523A, this.f4562j.f4547y, this, this.f4569q);
                        if (this.f4574v != C0852a.RUNNING) {
                            this.f4571s = null;
                        }
                        if (f4549D) {
                            mo4665a("finished onSizeReady in " + LogTime.m3804a(this.f4572t));
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        while (true) {
                            break;
                        }
                        throw th;
                    }
                }
            } catch (Throwable th4) {
                th = th4;
                obj = obj2;
                while (true) {
                    break;
                }
                throw th;
            }
        }
    }

    /* renamed from: a */
    public void mo4663a(Resource<?> wVar, DataSource aVar) {
        this.f4554b.mo4729a();
        Resource<?> wVar2 = null;
        try {
            synchronized (this.f4555c) {
                try {
                    this.f4571s = null;
                    if (wVar == null) {
                        mo4662a(new GlideException("Expected to receive a Resource<R> with an object of " + this.f4561i + " inside, but instead got null."), 5);
                        return;
                    }
                    Object obj = wVar.get();
                    if (obj != null) {
                        if (this.f4561i.isAssignableFrom(obj.getClass())) {
                            RequestCoordinator cVar = this.f4557e;
                            if (!(cVar == null || cVar.mo4652a(this))) {
                                try {
                                    this.f4570r = null;
                                    this.f4574v = C0852a.COMPLETE;
                                    this.f4573u.mo4412a(wVar);
                                    return;
                                } catch (Throwable th) {
                                    wVar2 = wVar;
                                    th = th;
                                    throw th;
                                }
                            } else {
                                mo4664a(wVar, obj, aVar);
                                return;
                            }
                        }
                    }
                    this.f4570r = null;
                    StringBuilder sb = new StringBuilder();
                    sb.append("Expected to receive an object of ");
                    sb.append(this.f4561i);
                    sb.append(" but instead got ");
                    sb.append(obj != null ? obj.getClass() : "");
                    sb.append("{");
                    sb.append(obj);
                    sb.append("} inside Resource{");
                    sb.append(wVar);
                    sb.append("}.");
                    sb.append(obj != null ? "" : " To indicate failure return a null Resource object, rather than a Resource object containing null data.");
                    mo4662a(new GlideException(sb.toString()), 5);
                    this.f4573u.mo4412a(wVar);
                } catch (Throwable th2) {
                    th = th2;
                    throw th;
                }
            }
        } catch (Throwable th3) {
            if (wVar2 != null) {
                this.f4573u.mo4412a(wVar2);
            }
            throw th3;
        }
    }

    /* JADX INFO: finally extract failed */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x00a6 A[Catch:{ all -> 0x00c0 }] */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00bc  */
    /* JADX WARNING: Removed duplicated region for block: B:33:? A[RETURN, SYNTHETIC] */
    /* renamed from: a */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final void mo4664a(p085c.p089b.p090a.p093n.p096n.Resource<R> r11, R r12, p085c.p089b.p090a.p093n.DataSource r13) {
        /*
            r10 = this;
            boolean r6 = r10.mo4669h()
            c.b.a.r.g$a r0 = p085c.p089b.p090a.p112r.SingleRequest.C0852a.COMPLETE
            r10.f4574v = r0
            r10.f4570r = r11
            c.b.a.d r11 = r10.f4559g
            int r11 = r11.f3703i
            r0 = 3
            if (r11 > r0) goto L_0x0064
            java.lang.String r11 = "Finished loading "
            java.lang.StringBuilder r11 = p085c.p086a.p087a.p088a.outline.m2937a(r11)
            java.lang.Class r0 = r12.getClass()
            java.lang.String r0 = r0.getSimpleName()
            r11.append(r0)
            java.lang.String r0 = " from "
            r11.append(r0)
            r11.append(r13)
            java.lang.String r0 = " for "
            r11.append(r0)
            java.lang.Object r0 = r10.f4560h
            r11.append(r0)
            java.lang.String r0 = " with size ["
            r11.append(r0)
            int r0 = r10.f4578z
            r11.append(r0)
            java.lang.String r0 = "x"
            r11.append(r0)
            int r0 = r10.f4550A
            r11.append(r0)
            java.lang.String r0 = "] in "
            r11.append(r0)
            long r0 = r10.f4572t
            double r0 = p085c.p089b.p090a.p116t.LogTime.m3804a(r0)
            r11.append(r0)
            java.lang.String r0 = " ms"
            r11.append(r0)
            java.lang.String r11 = r11.toString()
            java.lang.String r0 = "Glide"
            android.util.Log.d(r0, r11)
        L_0x0064:
            r11 = 1
            r10.f4551B = r11
            r7 = 0
            java.util.List<c.b.a.r.d<R>> r0 = r10.f4567o     // Catch:{ all -> 0x00c0 }
            if (r0 == 0) goto L_0x008d
            java.util.List<c.b.a.r.d<R>> r0 = r10.f4567o     // Catch:{ all -> 0x00c0 }
            java.util.Iterator r8 = r0.iterator()     // Catch:{ all -> 0x00c0 }
            r0 = 0
            r9 = 0
        L_0x0074:
            boolean r0 = r8.hasNext()     // Catch:{ all -> 0x00c0 }
            if (r0 == 0) goto L_0x008e
            java.lang.Object r0 = r8.next()     // Catch:{ all -> 0x00c0 }
            c.b.a.r.d r0 = (p085c.p089b.p090a.p112r.RequestListener) r0     // Catch:{ all -> 0x00c0 }
            java.lang.Object r2 = r10.f4560h     // Catch:{ all -> 0x00c0 }
            c.b.a.r.h.h<R> r3 = r10.f4566n     // Catch:{ all -> 0x00c0 }
            r1 = r12
            r4 = r13
            r5 = r6
            boolean r0 = r0.mo4659a(r1, r2, r3, r4, r5)     // Catch:{ all -> 0x00c0 }
            r9 = r9 | r0
            goto L_0x0074
        L_0x008d:
            r9 = 0
        L_0x008e:
            c.b.a.r.d<R> r0 = r10.f4556d     // Catch:{ all -> 0x00c0 }
            if (r0 == 0) goto L_0x00a2
            c.b.a.r.d<R> r0 = r10.f4556d     // Catch:{ all -> 0x00c0 }
            java.lang.Object r2 = r10.f4560h     // Catch:{ all -> 0x00c0 }
            c.b.a.r.h.h<R> r3 = r10.f4566n     // Catch:{ all -> 0x00c0 }
            r1 = r12
            r4 = r13
            r5 = r6
            boolean r13 = r0.mo4659a(r1, r2, r3, r4, r5)     // Catch:{ all -> 0x00c0 }
            if (r13 == 0) goto L_0x00a2
            goto L_0x00a3
        L_0x00a2:
            r11 = 0
        L_0x00a3:
            r11 = r11 | r9
            if (r11 != 0) goto L_0x00b6
            c.b.a.r.i.c<? super R> r11 = r10.f4568p     // Catch:{ all -> 0x00c0 }
            c.b.a.r.i.a$a r11 = (p085c.p089b.p090a.p112r.p114i.NoTransition.C0855a) r11     // Catch:{ all -> 0x00c0 }
            if (r11 == 0) goto L_0x00b4
            c.b.a.r.i.a<?> r11 = p085c.p089b.p090a.p112r.p114i.NoTransition.f4598a     // Catch:{ all -> 0x00c0 }
            c.b.a.r.h.h<R> r13 = r10.f4566n     // Catch:{ all -> 0x00c0 }
            r13.mo4579a(r12, r11)     // Catch:{ all -> 0x00c0 }
            goto L_0x00b6
        L_0x00b4:
            r11 = 0
            throw r11     // Catch:{ all -> 0x00c0 }
        L_0x00b6:
            r10.f4551B = r7
            c.b.a.r.c r11 = r10.f4557e
            if (r11 == 0) goto L_0x00bf
            r11.mo4655c(r10)
        L_0x00bf:
            return
        L_0x00c0:
            r11 = move-exception
            r10.f4551B = r7
            throw r11
        */
        throw new UnsupportedOperationException("Method not decompiled: p085c.p089b.p090a.p112r.SingleRequest.mo4664a(c.b.a.n.n.w, java.lang.Object, c.b.a.n.a):void");
    }

    /* JADX INFO: finally extract failed */
    /* renamed from: a */
    public final void mo4662a(GlideException rVar, int i) {
        boolean z;
        this.f4554b.mo4729a();
        synchronized (this.f4555c) {
            if (rVar != null) {
                int i2 = this.f4559g.f3703i;
                if (i2 <= i) {
                    Log.w("Glide", "Load failed for " + this.f4560h + " with size [" + this.f4578z + "x" + this.f4550A + "]", rVar);
                    if (i2 <= 4) {
                        rVar.mo4443a("Glide");
                    }
                }
                this.f4571s = null;
                this.f4574v = C0852a.FAILED;
                boolean z2 = true;
                this.f4551B = true;
                try {
                    if (this.f4567o != null) {
                        z = false;
                        for (RequestListener<R> a : this.f4567o) {
                            z |= a.mo4658a(rVar, this.f4560h, this.f4566n, mo4669h());
                        }
                    } else {
                        z = false;
                    }
                    if (this.f4556d == null || !this.f4556d.mo4658a(rVar, this.f4560h, this.f4566n, mo4669h())) {
                        z2 = false;
                    }
                    if (!z && !z2) {
                        mo4670i();
                    }
                    this.f4551B = false;
                    RequestCoordinator cVar = this.f4557e;
                    if (cVar != null) {
                        cVar.mo4653b(this);
                    }
                } catch (Throwable th) {
                    this.f4551B = false;
                    throw th;
                }
            } else {
                throw null;
            }
        }
    }

    /* renamed from: a */
    public boolean mo4645a(Request bVar) {
        int i;
        int i2;
        Object obj;
        Class<R> cls;
        BaseRequestOptions<?> aVar;
        Priority fVar;
        int size;
        int i3;
        int i4;
        Object obj2;
        Class<R> cls2;
        BaseRequestOptions<?> aVar2;
        Priority fVar2;
        int size2;
        Request bVar2 = bVar;
        if (!(bVar2 instanceof SingleRequest)) {
            return false;
        }
        synchronized (this.f4555c) {
            i = this.f4563k;
            i2 = this.f4564l;
            obj = this.f4560h;
            cls = this.f4561i;
            aVar = this.f4562j;
            fVar = this.f4565m;
            size = this.f4567o != null ? this.f4567o.size() : 0;
        }
        SingleRequest gVar = (SingleRequest) bVar2;
        synchronized (gVar.f4555c) {
            i3 = gVar.f4563k;
            i4 = gVar.f4564l;
            obj2 = gVar.f4560h;
            cls2 = gVar.f4561i;
            aVar2 = gVar.f4562j;
            fVar2 = gVar.f4565m;
            size2 = gVar.f4567o != null ? gVar.f4567o.size() : 0;
        }
        return i == i3 && i2 == i4 && C0862j.m3824a(obj, obj2) && cls.equals(cls2) && aVar.equals(aVar2) && fVar == fVar2 && size == size2;
    }

    /* renamed from: a */
    public final void mo4665a(String str) {
        StringBuilder a = outline.m2938a(str, " this: ");
        a.append(this.f4553a);
        Log.v("Request", a.toString());
    }
}
