package com.newrelic.agent.android.payload;

import com.newrelic.agent.android.payload.PayloadSender;
import java.util.concurrent.Callable;

public class PayloadReaper implements Callable<PayloadSender> {
    public final PayloadSender.CompletionHandler handler;
    public final PayloadSender sender;

    public PayloadReaper(PayloadSender payloadSender, PayloadSender.CompletionHandler completionHandler) {
        if (payloadSender != null) {
            this.sender = payloadSender;
            this.handler = completionHandler;
            return;
        }
        throw new NullPointerException("Must provide payload sender!");
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj instanceof PayloadReaper) {
            return this.sender.payload.equals(((PayloadReaper) obj).sender.payload);
        }
        return false;
    }

    public String getUuid() {
        return this.sender.getPayload().getUuid();
    }

    public PayloadSender call() throws Exception {
        try {
            PayloadSender call = this.sender.call();
            if (this.handler != null) {
                this.handler.onResponse(call);
            }
            return call;
        } catch (Exception e) {
            PayloadSender.CompletionHandler completionHandler = this.handler;
            if (completionHandler == null) {
                return null;
            }
            completionHandler.onException(this.sender, e);
            return null;
        }
    }
}
