package p085c.p089b.p090a.p112r.p113h;

import android.content.Context;
import android.graphics.Point;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p085c.p086a.p087a.p088a.outline;
import p085c.p089b.p090a.C0663g;
import p085c.p089b.p090a.p112r.Request;

@Deprecated
/* renamed from: c.b.a.r.h.i */
public abstract class ViewTarget<T extends View, Z> extends BaseTarget<Z> {

    /* renamed from: d */
    public static int f4590d = C0663g.glide_custom_view_target_tag;

    /* renamed from: b */
    public final T f4591b;

    /* renamed from: c */
    public final C0853a f4592c;

    public ViewTarget(T t) {
        MediaDescriptionCompatApi21.m44a(t, "Argument must not be null");
        this.f4591b = t;
        this.f4592c = new C0853a(t);
    }

    /* renamed from: a */
    public void mo4674a(SizeReadyCallback gVar) {
        this.f4592c.f4595b.remove(gVar);
    }

    /* renamed from: b */
    public void mo4677b(SizeReadyCallback gVar) {
        C0853a aVar = this.f4592c;
        int c = aVar.mo4684c();
        int b = aVar.mo4683b();
        if (aVar.mo4682a(c, b)) {
            gVar.mo4661a(c, b);
            return;
        }
        if (!aVar.f4595b.contains(gVar)) {
            aVar.f4595b.add(gVar);
        }
        if (aVar.f4596c == null) {
            ViewTreeObserver viewTreeObserver = aVar.f4594a.getViewTreeObserver();
            C0853a.C0854a aVar2 = new C0853a.C0854a(aVar);
            aVar.f4596c = aVar2;
            viewTreeObserver.addOnPreDrawListener(aVar2);
        }
    }

    public String toString() {
        StringBuilder a = outline.m2937a("Target for: ");
        a.append(this.f4591b);
        return a.toString();
    }

    /* renamed from: a */
    public void mo4673a(Request bVar) {
        this.f4591b.setTag(f4590d, bVar);
    }

    /* renamed from: c.b.a.r.h.i$a */
    /* compiled from: ViewTarget */
    public static final class C0853a {

        /* renamed from: d */
        public static Integer f4593d;

        /* renamed from: a */
        public final View f4594a;

        /* renamed from: b */
        public final List<SizeReadyCallback> f4595b = new ArrayList();

        /* renamed from: c */
        public C0854a f4596c;

        /* renamed from: c.b.a.r.h.i$a$a */
        /* compiled from: ViewTarget */
        public static final class C0854a implements ViewTreeObserver.OnPreDrawListener {

            /* renamed from: b */
            public final WeakReference<C0853a> f4597b;

            public C0854a(C0853a aVar) {
                this.f4597b = new WeakReference<>(aVar);
            }

            public boolean onPreDraw() {
                if (Log.isLoggable("ViewTarget", 2)) {
                    Log.v("ViewTarget", "OnGlobalLayoutListener called attachStateListener=" + this);
                }
                C0853a aVar = (C0853a) this.f4597b.get();
                if (aVar == null || aVar.f4595b.isEmpty()) {
                    return true;
                }
                int c = aVar.mo4684c();
                int b = aVar.mo4683b();
                if (!aVar.mo4682a(c, b)) {
                    return true;
                }
                Iterator it = new ArrayList(aVar.f4595b).iterator();
                while (it.hasNext()) {
                    ((SizeReadyCallback) it.next()).mo4661a(c, b);
                }
                aVar.mo4681a();
                return true;
            }
        }

        public C0853a(View view) {
            this.f4594a = view;
        }

        /* renamed from: a */
        public void mo4681a() {
            ViewTreeObserver viewTreeObserver = this.f4594a.getViewTreeObserver();
            if (viewTreeObserver.isAlive()) {
                viewTreeObserver.removeOnPreDrawListener(this.f4596c);
            }
            this.f4596c = null;
            this.f4595b.clear();
        }

        /* renamed from: a */
        public final boolean mo4682a(int i, int i2) {
            if (i > 0 || i == Integer.MIN_VALUE) {
                if (i2 > 0 || i2 == Integer.MIN_VALUE) {
                    return true;
                }
            }
            return false;
        }

        /* renamed from: b */
        public final int mo4683b() {
            int paddingBottom = this.f4594a.getPaddingBottom() + this.f4594a.getPaddingTop();
            ViewGroup.LayoutParams layoutParams = this.f4594a.getLayoutParams();
            return mo4680a(this.f4594a.getHeight(), layoutParams != null ? layoutParams.height : 0, paddingBottom);
        }

        /* renamed from: c */
        public final int mo4684c() {
            int paddingRight = this.f4594a.getPaddingRight() + this.f4594a.getPaddingLeft();
            ViewGroup.LayoutParams layoutParams = this.f4594a.getLayoutParams();
            return mo4680a(this.f4594a.getWidth(), layoutParams != null ? layoutParams.width : 0, paddingRight);
        }

        /* renamed from: a */
        public final int mo4680a(int i, int i2, int i3) {
            int i4 = i2 - i3;
            if (i4 > 0) {
                return i4;
            }
            int i5 = i - i3;
            if (i5 > 0) {
                return i5;
            }
            if (this.f4594a.isLayoutRequested() || i2 != -2) {
                return 0;
            }
            if (Log.isLoggable("ViewTarget", 4)) {
                Log.i("ViewTarget", "Glide treats LayoutParams.WRAP_CONTENT as a request for an image the size of this device's screen dimensions. If you want to load the original image and are ok with the corresponding memory cost and OOMs (depending on the input size), use override(Target.SIZE_ORIGINAL). Otherwise, use LayoutParams.MATCH_PARENT, set layout_width and layout_height to fixed dimension, or use .override() with fixed dimensions.");
            }
            Context context = this.f4594a.getContext();
            if (f4593d == null) {
                WindowManager windowManager = (WindowManager) context.getSystemService("window");
                MediaDescriptionCompatApi21.m44a(windowManager, "Argument must not be null");
                Display defaultDisplay = windowManager.getDefaultDisplay();
                Point point = new Point();
                defaultDisplay.getSize(point);
                f4593d = Integer.valueOf(Math.max(point.x, point.y));
            }
            return f4593d.intValue();
        }
    }

    /* renamed from: b */
    public Request mo4675b() {
        Object tag = this.f4591b.getTag(f4590d);
        if (tag == null) {
            return null;
        }
        if (tag instanceof Request) {
            return (Request) tag;
        }
        throw new IllegalArgumentException("You must not call setTag() on a view Glide is targeting");
    }
}
