package p085c.p132d.p133a.p134a.p140c.p143n;

import android.content.Context;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.text.TextUtils;
import android.util.Log;
import javax.annotation.concurrent.GuardedBy;
import p008b.p026e.SimpleArrayMap;
import p085c.p132d.p133a.p134a.p139b.C0898b;
import p085c.p132d.p133a.p134a.p140c.C0909i;
import p085c.p132d.p133a.p134a.p140c.C0912l;
import p085c.p132d.p133a.p134a.p140c.p147q.C1059a;
import p085c.p132d.p133a.p134a.p140c.p147q.C1060b;

/* renamed from: c.d.a.a.c.n.f */
public final class C1023f {
    @GuardedBy("sCache")

    /* renamed from: a */
    public static final SimpleArrayMap<String, String> f4970a = new SimpleArrayMap<>();

    /* renamed from: a */
    public static String m4091a(Context context) {
        String packageName = context.getPackageName();
        try {
            C1059a b = C1060b.m4231b(context);
            return b.f5032a.getPackageManager().getApplicationLabel(b.f5032a.getPackageManager().getApplicationInfo(packageName, 0)).toString();
        } catch (PackageManager.NameNotFoundException | NullPointerException unused) {
            String str = context.getApplicationInfo().name;
            return TextUtils.isEmpty(str) ? packageName : str;
        }
    }

    /* renamed from: a */
    public static String m4092a(Context context, int i) {
        Resources resources = context.getResources();
        String a = m4091a(context);
        if (i == 1) {
            return resources.getString(C0898b.common_google_play_services_install_text, new Object[]{a});
        } else if (i != 2) {
            if (i == 3) {
                return resources.getString(C0898b.common_google_play_services_enable_text, new Object[]{a});
            } else if (i == 5) {
                return m4094a(context, "common_google_play_services_invalid_account_text", a);
            } else {
                if (i == 7) {
                    return m4094a(context, "common_google_play_services_network_error_text", a);
                }
                if (i == 9) {
                    return resources.getString(C0898b.common_google_play_services_unsupported_text, new Object[]{a});
                } else if (i == 20) {
                    return m4094a(context, "common_google_play_services_restricted_profile_text", a);
                } else {
                    switch (i) {
                        case 16:
                            return m4094a(context, "common_google_play_services_api_unavailable_text", a);
                        case 17:
                            return m4094a(context, "common_google_play_services_sign_in_failed_text", a);
                        case 18:
                            return resources.getString(C0898b.common_google_play_services_updating_text, new Object[]{a});
                        default:
                            return resources.getString(C0912l.common_google_play_services_unknown_issue, new Object[]{a});
                    }
                }
            }
        } else if (C1050v.m4206b(context)) {
            return resources.getString(C0898b.common_google_play_services_wear_update_text);
        } else {
            return resources.getString(C0898b.common_google_play_services_update_text, new Object[]{a});
        }
    }

    /* renamed from: a */
    public static String m4094a(Context context, String str, String str2) {
        Resources resources = context.getResources();
        String a = m4093a(context, str);
        if (a == null) {
            a = resources.getString(C0912l.common_google_play_services_unknown_issue);
        }
        return String.format(resources.getConfiguration().locale, a, new Object[]{str2});
    }

    /* renamed from: b */
    public static String m4095b(Context context) {
        return context.getResources().getString(C0898b.common_google_play_services_notification_channel_name);
    }

    /* renamed from: b */
    public static String m4096b(Context context, int i) {
        String str;
        Resources resources = context.getResources();
        switch (i) {
            case 1:
                return resources.getString(C0898b.common_google_play_services_install_title);
            case 2:
                return resources.getString(C0898b.common_google_play_services_update_title);
            case 3:
                return resources.getString(C0898b.common_google_play_services_enable_title);
            case 4:
            case 6:
            case 18:
                return null;
            case 5:
                Log.e("GoogleApiAvailability", "An invalid account was specified when connecting. Please provide a valid account.");
                return m4093a(context, "common_google_play_services_invalid_account_title");
            case 7:
                Log.e("GoogleApiAvailability", "Network error occurred. Please retry request later.");
                return m4093a(context, "common_google_play_services_network_error_title");
            case 8:
                str = "Internal error occurred. Please see logs for detailed information";
                break;
            case 9:
                str = "Google Play services is invalid. Cannot recover.";
                break;
            case 10:
                str = "Developer error occurred. Please see logs for detailed information";
                break;
            case 11:
                str = "The application is not licensed to the user.";
                break;
            case 16:
                str = "One of the API components you attempted to connect to is not available.";
                break;
            case 17:
                Log.e("GoogleApiAvailability", "The specified account could not be signed in.");
                return m4093a(context, "common_google_play_services_sign_in_failed_title");
            case 20:
                Log.e("GoogleApiAvailability", "The current user profile is restricted and could not use authenticated features.");
                return m4093a(context, "common_google_play_services_restricted_profile_title");
            default:
                StringBuilder sb = new StringBuilder(33);
                sb.append("Unexpected error code ");
                sb.append(i);
                str = sb.toString();
                break;
        }
        Log.e("GoogleApiAvailability", str);
        return null;
    }

    /* renamed from: a */
    public static String m4093a(Context context, String str) {
        synchronized (f4970a) {
            String orDefault = f4970a.getOrDefault(str, null);
            if (orDefault != null) {
                return orDefault;
            }
            Resources a = C0909i.m3940a(context);
            if (a == null) {
                return null;
            }
            int identifier = a.getIdentifier(str, "string", "com.google.android.gms");
            if (identifier == 0) {
                String valueOf = String.valueOf(str);
                Log.w("GoogleApiAvailability", valueOf.length() != 0 ? "Missing resource: ".concat(valueOf) : new String("Missing resource: "));
                return null;
            }
            String string = a.getString(identifier);
            if (TextUtils.isEmpty(string)) {
                String valueOf2 = String.valueOf(str);
                Log.w("GoogleApiAvailability", valueOf2.length() != 0 ? "Got empty resource: ".concat(valueOf2) : new String("Got empty resource: "));
                return null;
            }
            f4970a.put(str, string);
            return string;
        }
    }
}
