package p085c.p132d.p133a.p156b.p157a0;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.os.Handler;
import android.text.TextPaint;
import android.util.Log;
import android.util.TypedValue;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p033h.p035f.p036b.ResourcesCompat;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p085c.p132d.p133a.p156b.C1224k;

/* renamed from: c.d.a.b.a0.b */
public class TextAppearance {

    /* renamed from: a */
    public final float f5148a;

    /* renamed from: b */
    public final ColorStateList f5149b;

    /* renamed from: c */
    public final int f5150c;

    /* renamed from: d */
    public final int f5151d;

    /* renamed from: e */
    public final String f5152e;

    /* renamed from: f */
    public final ColorStateList f5153f;

    /* renamed from: g */
    public final float f5154g;

    /* renamed from: h */
    public final float f5155h;

    /* renamed from: i */
    public final float f5156i;

    /* renamed from: j */
    public final int f5157j;

    /* renamed from: k */
    public boolean f5158k = false;

    /* renamed from: l */
    public Typeface f5159l;

    public TextAppearance(Context context, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(i, C1224k.TextAppearance);
        this.f5148a = obtainStyledAttributes.getDimension(C1224k.TextAppearance_android_textSize, 0.0f);
        this.f5149b = C1050v.m4138a(context, obtainStyledAttributes, C1224k.TextAppearance_android_textColor);
        C1050v.m4138a(context, obtainStyledAttributes, C1224k.TextAppearance_android_textColorHint);
        C1050v.m4138a(context, obtainStyledAttributes, C1224k.TextAppearance_android_textColorLink);
        this.f5150c = obtainStyledAttributes.getInt(C1224k.TextAppearance_android_textStyle, 0);
        this.f5151d = obtainStyledAttributes.getInt(C1224k.TextAppearance_android_typeface, 1);
        int i2 = C1224k.TextAppearance_fontFamily;
        i2 = !obtainStyledAttributes.hasValue(i2) ? C1224k.TextAppearance_android_fontFamily : i2;
        this.f5157j = obtainStyledAttributes.getResourceId(i2, 0);
        this.f5152e = obtainStyledAttributes.getString(i2);
        obtainStyledAttributes.getBoolean(C1224k.TextAppearance_textAllCaps, false);
        this.f5153f = C1050v.m4138a(context, obtainStyledAttributes, C1224k.TextAppearance_android_shadowColor);
        this.f5154g = obtainStyledAttributes.getFloat(C1224k.TextAppearance_android_shadowDx, 0.0f);
        this.f5155h = obtainStyledAttributes.getFloat(C1224k.TextAppearance_android_shadowDy, 0.0f);
        this.f5156i = obtainStyledAttributes.getFloat(C1224k.TextAppearance_android_shadowRadius, 0.0f);
        obtainStyledAttributes.recycle();
    }

    /* renamed from: a */
    public void mo5103a(Context context, TextAppearanceFontCallback dVar) {
        mo5101a();
        if (this.f5157j == 0) {
            this.f5158k = true;
        }
        if (this.f5158k) {
            dVar.mo5100a(this.f5159l, true);
            return;
        }
        try {
            int i = this.f5157j;
            C1159a aVar = new C1159a(dVar);
            if (context.isRestricted()) {
                aVar.mo2998a(-4, (Handler) null);
                return;
            }
            MediaDescriptionCompatApi21.m27a(context, i, new TypedValue(), 0, (ResourcesCompat) aVar, (Handler) null, false);
        } catch (Resources.NotFoundException unused) {
            this.f5158k = true;
            dVar.mo5098a(1);
        } catch (Exception e) {
            StringBuilder a = outline.m2937a("Error loading font ");
            a.append(this.f5152e);
            Log.d("TextAppearance", a.toString(), e);
            this.f5158k = true;
            dVar.mo5098a(-3);
        }
    }

    /* renamed from: c.d.a.b.a0.b$a */
    /* compiled from: TextAppearance */
    public class C1159a extends ResourcesCompat {

        /* renamed from: a */
        public final /* synthetic */ TextAppearanceFontCallback f5160a;

        public C1159a(TextAppearanceFontCallback dVar) {
            this.f5160a = dVar;
        }

        /* renamed from: a */
        public void mo2588a(Typeface typeface) {
            TextAppearance bVar = TextAppearance.this;
            bVar.f5159l = Typeface.create(typeface, bVar.f5150c);
            TextAppearance bVar2 = TextAppearance.this;
            bVar2.f5158k = true;
            this.f5160a.mo5100a(bVar2.f5159l, false);
        }

        /* renamed from: a */
        public void mo2587a(int i) {
            TextAppearance.this.f5158k = true;
            this.f5160a.mo5098a(i);
        }
    }

    /* renamed from: a */
    public void mo5102a(Context context, TextPaint textPaint, TextAppearanceFontCallback dVar) {
        mo5101a();
        mo5104a(textPaint, this.f5159l);
        mo5103a(context, (TextAppearanceFontCallback) new C1160c(this, textPaint, dVar));
        ColorStateList colorStateList = this.f5149b;
        textPaint.setColor(colorStateList != null ? colorStateList.getColorForState(textPaint.drawableState, colorStateList.getDefaultColor()) : -16777216);
        float f = this.f5156i;
        float f2 = this.f5154g;
        float f3 = this.f5155h;
        ColorStateList colorStateList2 = this.f5153f;
        textPaint.setShadowLayer(f, f2, f3, colorStateList2 != null ? colorStateList2.getColorForState(textPaint.drawableState, colorStateList2.getDefaultColor()) : 0);
    }

    /* renamed from: a */
    public final void mo5101a() {
        String str;
        if (this.f5159l == null && (str = this.f5152e) != null) {
            this.f5159l = Typeface.create(str, this.f5150c);
        }
        if (this.f5159l == null) {
            int i = this.f5151d;
            if (i == 1) {
                this.f5159l = Typeface.SANS_SERIF;
            } else if (i == 2) {
                this.f5159l = Typeface.SERIF;
            } else if (i != 3) {
                this.f5159l = Typeface.DEFAULT;
            } else {
                this.f5159l = Typeface.MONOSPACE;
            }
            this.f5159l = Typeface.create(this.f5159l, this.f5150c);
        }
    }

    /* renamed from: a */
    public void mo5104a(TextPaint textPaint, Typeface typeface) {
        textPaint.setTypeface(typeface);
        int i = (~typeface.getStyle()) & this.f5150c;
        textPaint.setFakeBoldText((i & 1) != 0);
        textPaint.setTextSkewX((i & 2) != 0 ? -0.25f : 0.0f);
        textPaint.setTextSize(this.f5148a);
    }
}
