package p085c.p132d.p133a.p156b.p168l;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TimeInterpolator;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.Log;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import java.util.ArrayList;
import java.util.List;
import p008b.p026e.SimpleArrayMap;
import p085c.p086a.p087a.p088a.outline;

/* renamed from: c.d.a.b.l.g */
public class MotionSpec {

    /* renamed from: a */
    public final SimpleArrayMap<String, MotionTiming> f5437a = new SimpleArrayMap<>();

    /* renamed from: b */
    public final SimpleArrayMap<String, PropertyValuesHolder[]> f5438b = new SimpleArrayMap<>();

    /* renamed from: a */
    public MotionTiming mo5269a(String str) {
        if (this.f5437a.getOrDefault(str, null) != null) {
            return this.f5437a.getOrDefault(str, null);
        }
        throw new IllegalArgumentException();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof MotionSpec)) {
            return false;
        }
        return this.f5437a.equals(((MotionSpec) obj).f5437a);
    }

    public int hashCode() {
        return this.f5437a.hashCode();
    }

    public String toString() {
        return 10 + MotionSpec.class.getName() + '{' + Integer.toHexString(System.identityHashCode(this)) + " timings: " + this.f5437a + "}\n";
    }

    /* renamed from: a */
    public static MotionSpec m4461a(Context context, TypedArray typedArray, int i) {
        int resourceId;
        if (!typedArray.hasValue(i) || (resourceId = typedArray.getResourceId(i, 0)) == 0) {
            return null;
        }
        return m4460a(context, resourceId);
    }

    /* renamed from: a */
    public static MotionSpec m4460a(Context context, int i) {
        try {
            Animator loadAnimator = AnimatorInflater.loadAnimator(context, i);
            if (loadAnimator instanceof AnimatorSet) {
                return m4462a((List<Animator>) ((AnimatorSet) loadAnimator).getChildAnimations());
            }
            if (loadAnimator == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            arrayList.add(loadAnimator);
            return m4462a((List<Animator>) arrayList);
        } catch (Exception e) {
            StringBuilder a = outline.m2937a("Can't load animation resource ID #0x");
            a.append(Integer.toHexString(i));
            Log.w("MotionSpec", a.toString(), e);
            return null;
        }
    }

    /* renamed from: a */
    public static MotionSpec m4462a(List<Animator> list) {
        MotionSpec gVar = new MotionSpec();
        int size = list.size();
        int i = 0;
        while (i < size) {
            Animator animator = list.get(i);
            if (animator instanceof ObjectAnimator) {
                ObjectAnimator objectAnimator = (ObjectAnimator) animator;
                gVar.f5438b.put(objectAnimator.getPropertyName(), objectAnimator.getValues());
                String propertyName = objectAnimator.getPropertyName();
                long startDelay = objectAnimator.getStartDelay();
                long duration = objectAnimator.getDuration();
                TimeInterpolator interpolator = objectAnimator.getInterpolator();
                if ((interpolator instanceof AccelerateDecelerateInterpolator) || interpolator == null) {
                    interpolator = AnimationUtils.f5425b;
                } else if (interpolator instanceof AccelerateInterpolator) {
                    interpolator = AnimationUtils.f5426c;
                } else if (interpolator instanceof DecelerateInterpolator) {
                    interpolator = AnimationUtils.f5427d;
                }
                MotionTiming hVar = new MotionTiming(startDelay, duration, interpolator);
                hVar.f5442d = objectAnimator.getRepeatCount();
                hVar.f5443e = objectAnimator.getRepeatMode();
                gVar.f5437a.put(propertyName, hVar);
                i++;
            } else {
                throw new IllegalArgumentException("Animator must be an ObjectAnimator: " + animator);
            }
        }
        return gVar;
    }
}
