package p085c.p132d.p133a.p156b.p169m;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.Gravity;
import android.view.View;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.material.appbar.AppBarLayout;
import p000a.p001a.p002a.p004b.MediaDescriptionCompatApi21;
import p008b.p033h.p045m.ViewCompat;
import p008b.p033h.p045m.WindowInsetsCompat;

/* renamed from: c.d.a.b.m.f */
public abstract class HeaderScrollingViewBehavior extends ViewOffsetBehavior<View> {

    /* renamed from: d */
    public final Rect f5468d = new Rect();

    /* renamed from: e */
    public final Rect f5469e = new Rect();

    /* renamed from: f */
    public int f5470f = 0;

    /* renamed from: g */
    public int f5471g;

    public HeaderScrollingViewBehavior() {
    }

    /* renamed from: a */
    public boolean mo615a(CoordinatorLayout coordinatorLayout, View view, int i, int i2, int i3, int i4) {
        AppBarLayout a;
        WindowInsetsCompat lastWindowInsets;
        int i5 = view.getLayoutParams().height;
        if ((i5 != -1 && i5 != -2) || (a = ((AppBarLayout.ScrollingViewBehavior) this).mo6498a(coordinatorLayout.mo551a(view))) == null) {
            return false;
        }
        int size = View.MeasureSpec.getSize(i3);
        if (size <= 0) {
            size = coordinatorLayout.getHeight();
        } else if (ViewCompat.m1963h(a) && (lastWindowInsets = coordinatorLayout.getLastWindowInsets()) != null) {
            size += lastWindowInsets.mo3157a() + lastWindowInsets.mo3160d();
        }
        coordinatorLayout.mo554a(view, i, i2, View.MeasureSpec.makeMeasureSpec((size + a.getTotalScrollRange()) - a.getMeasuredHeight(), i5 == -1 ? 1073741824 : RecyclerView.UNDEFINED_DURATION), i4);
        return true;
    }

    /* renamed from: b */
    public void mo5288b(CoordinatorLayout coordinatorLayout, View view, int i) {
        AppBarLayout a = ((AppBarLayout.ScrollingViewBehavior) this).mo6498a(coordinatorLayout.mo551a(view));
        if (a != null) {
            CoordinatorLayout.C0077f fVar = (CoordinatorLayout.C0077f) view.getLayoutParams();
            Rect rect = this.f5468d;
            rect.set(coordinatorLayout.getPaddingLeft() + fVar.leftMargin, a.getBottom() + fVar.topMargin, (coordinatorLayout.getWidth() - coordinatorLayout.getPaddingRight()) - fVar.rightMargin, ((a.getBottom() + coordinatorLayout.getHeight()) - coordinatorLayout.getPaddingBottom()) - fVar.bottomMargin);
            WindowInsetsCompat lastWindowInsets = coordinatorLayout.getLastWindowInsets();
            if (lastWindowInsets != null && ViewCompat.m1963h(coordinatorLayout) && !view.getFitsSystemWindows()) {
                rect.left = lastWindowInsets.mo3158b() + rect.left;
                rect.right -= lastWindowInsets.mo3159c();
            }
            Rect rect2 = this.f5469e;
            int i2 = fVar.f535c;
            Gravity.apply(i2 == 0 ? 8388659 : i2, view.getMeasuredWidth(), view.getMeasuredHeight(), rect, rect2, i);
            int a2 = mo5287a(a);
            view.layout(rect2.left, rect2.top - a2, rect2.right, rect2.bottom - a2);
            this.f5470f = rect2.top - a.getBottom();
            return;
        }
        coordinatorLayout.mo564b(view, i);
        this.f5470f = 0;
    }

    public HeaderScrollingViewBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    /* renamed from: a */
    public final int mo5287a(View view) {
        int i;
        if (this.f5471g == 0) {
            return 0;
        }
        float f = 0.0f;
        if (view instanceof AppBarLayout) {
            AppBarLayout appBarLayout = (AppBarLayout) view;
            int totalScrollRange = appBarLayout.getTotalScrollRange();
            int downNestedPreScrollRange = appBarLayout.getDownNestedPreScrollRange();
            CoordinatorLayout.C0074c cVar = ((CoordinatorLayout.C0077f) appBarLayout.getLayoutParams()).f533a;
            int c = cVar instanceof AppBarLayout.BaseBehavior ? ((AppBarLayout.BaseBehavior) cVar).mo5284c() : 0;
            if ((downNestedPreScrollRange == 0 || totalScrollRange + c > downNestedPreScrollRange) && (i = totalScrollRange - downNestedPreScrollRange) != 0) {
                f = 1.0f + (((float) c) / ((float) i));
            }
        }
        int i2 = this.f5471g;
        return MediaDescriptionCompatApi21.m5a((int) (f * ((float) i2)), 0, i2);
    }
}
