package p085c.p132d.p133a.p156b.p183z;

import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;

/* renamed from: c.d.a.b.z.c */
public class DescendantOffsetUtils {

    /* renamed from: a */
    public static final ThreadLocal<Matrix> f5793a = new ThreadLocal<>();

    /* renamed from: b */
    public static final ThreadLocal<RectF> f5794b = new ThreadLocal<>();

    /* renamed from: a */
    public static void m4658a(ViewGroup viewGroup, View view, Rect rect) {
        rect.set(0, 0, view.getWidth(), view.getHeight());
        Matrix matrix = f5793a.get();
        if (matrix == null) {
            matrix = new Matrix();
            f5793a.set(matrix);
        } else {
            matrix.reset();
        }
        m4659a((ViewParent) viewGroup, view, matrix);
        RectF rectF = f5794b.get();
        if (rectF == null) {
            rectF = new RectF();
            f5794b.set(rectF);
        }
        rectF.set(rect);
        matrix.mapRect(rectF);
        rect.set((int) (rectF.left + 0.5f), (int) (rectF.top + 0.5f), (int) (rectF.right + 0.5f), (int) (rectF.bottom + 0.5f));
    }

    /* renamed from: a */
    public static void m4659a(ViewParent viewParent, View view, Matrix matrix) {
        ViewParent parent = view.getParent();
        if ((parent instanceof View) && parent != viewParent) {
            View view2 = (View) parent;
            m4659a(viewParent, view2, matrix);
            matrix.preTranslate((float) (-view2.getScrollX()), (float) (-view2.getScrollY()));
        }
        matrix.preTranslate((float) view.getLeft(), (float) view.getTop());
        if (!view.getMatrix().isIdentity()) {
            matrix.preConcat(view.getMatrix());
        }
    }
}
