package p085c.p132d.p133a.p156b.p183z;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Gravity;
import p008b.p010b.p019p.LinearLayoutCompat;
import p085c.p132d.p133a.p156b.C1224k;

/* renamed from: c.d.a.b.z.e */
public class ForegroundLinearLayout extends LinearLayoutCompat {

    /* renamed from: q */
    public Drawable f5799q;

    /* renamed from: r */
    public final Rect f5800r;

    /* renamed from: s */
    public final Rect f5801s;

    /* renamed from: t */
    public int f5802t;

    /* renamed from: u */
    public boolean f5803u;

    /* renamed from: v */
    public boolean f5804v;

    public ForegroundLinearLayout(Context context) {
        this(context, (AttributeSet) null);
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        Drawable drawable = this.f5799q;
        if (drawable != null) {
            if (this.f5804v) {
                this.f5804v = false;
                Rect rect = this.f5800r;
                Rect rect2 = this.f5801s;
                int right = getRight() - getLeft();
                int bottom = getBottom() - getTop();
                if (this.f5803u) {
                    rect.set(0, 0, right, bottom);
                } else {
                    rect.set(getPaddingLeft(), getPaddingTop(), right - getPaddingRight(), bottom - getPaddingBottom());
                }
                Gravity.apply(this.f5802t, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), rect, rect2);
                drawable.setBounds(rect2);
            }
            drawable.draw(canvas);
        }
    }

    @TargetApi(21)
    public void drawableHotspotChanged(float f, float f2) {
        super.drawableHotspotChanged(f, f2);
        Drawable drawable = this.f5799q;
        if (drawable != null) {
            drawable.setHotspot(f, f2);
        }
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f5799q;
        if (drawable != null && drawable.isStateful()) {
            this.f5799q.setState(getDrawableState());
        }
    }

    public Drawable getForeground() {
        return this.f5799q;
    }

    public int getForegroundGravity() {
        return this.f5802t;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f5799q;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        this.f5804v = z | this.f5804v;
    }

    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        this.f5804v = true;
    }

    public void setForeground(Drawable drawable) {
        Drawable drawable2 = this.f5799q;
        if (drawable2 != drawable) {
            if (drawable2 != null) {
                drawable2.setCallback((Drawable.Callback) null);
                unscheduleDrawable(this.f5799q);
            }
            this.f5799q = drawable;
            if (drawable != null) {
                setWillNotDraw(false);
                drawable.setCallback(this);
                if (drawable.isStateful()) {
                    drawable.setState(getDrawableState());
                }
                if (this.f5802t == 119) {
                    drawable.getPadding(new Rect());
                }
            } else {
                setWillNotDraw(true);
            }
            requestLayout();
            invalidate();
        }
    }

    public void setForegroundGravity(int i) {
        if (this.f5802t != i) {
            if ((8388615 & i) == 0) {
                i |= 8388611;
            }
            if ((i & 112) == 0) {
                i |= 48;
            }
            this.f5802t = i;
            if (i == 119 && this.f5799q != null) {
                this.f5799q.getPadding(new Rect());
            }
            requestLayout();
        }
    }

    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f5799q;
    }

    public ForegroundLinearLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ForegroundLinearLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f5800r = new Rect();
        this.f5801s = new Rect();
        this.f5802t = 119;
        this.f5803u = true;
        this.f5804v = false;
        TypedArray b = ThemeEnforcement.m4671b(context, attributeSet, C1224k.ForegroundLinearLayout, i, 0, new int[0]);
        this.f5802t = b.getInt(C1224k.ForegroundLinearLayout_android_foregroundGravity, this.f5802t);
        Drawable drawable = b.getDrawable(C1224k.ForegroundLinearLayout_android_foreground);
        if (drawable != null) {
            setForeground(drawable);
        }
        this.f5803u = b.getBoolean(C1224k.ForegroundLinearLayout_foregroundInsidePadding, true);
        b.recycle();
    }
}
