package p085c.p132d.p184b.p186e0.p187z;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.newrelic.agent.android.util.SafeJsonPrimitive;
import java.io.IOException;
import java.io.Reader;
import java.util.Iterator;
import java.util.Map;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p184b.JsonArray;
import p085c.p132d.p184b.JsonElement;
import p085c.p132d.p184b.JsonNull;
import p085c.p132d.p184b.JsonObject;
import p085c.p132d.p184b.JsonPrimitive;

/* renamed from: c.d.b.e0.z.a */
public final class JsonTreeReader extends JsonReader {

    /* renamed from: f */
    public static final Reader f5894f = new C1313a();

    /* renamed from: g */
    public static final Object f5895g = new Object();

    /* renamed from: b */
    public Object[] f5896b = new Object[32];

    /* renamed from: c */
    public int f5897c = 0;

    /* renamed from: d */
    public String[] f5898d = new String[32];

    /* renamed from: e */
    public int[] f5899e = new int[32];

    /* renamed from: c.d.b.e0.z.a$a */
    /* compiled from: JsonTreeReader */
    public static class C1313a extends Reader {
        public void close() throws IOException {
            throw new AssertionError();
        }

        public int read(char[] cArr, int i, int i2) throws IOException {
            throw new AssertionError();
        }
    }

    public JsonTreeReader(JsonElement qVar) {
        super(f5894f);
        mo5664a((Object) qVar);
    }

    private String locationString() {
        StringBuilder a = outline.m2937a(" at path ");
        a.append(getPath());
        return a.toString();
    }

    /* renamed from: a */
    public final Object mo5662a() {
        return this.f5896b[this.f5897c - 1];
    }

    public void beginArray() throws IOException {
        mo5663a(JsonToken.BEGIN_ARRAY);
        mo5664a((Object) ((JsonArray) mo5662a()).iterator());
        this.f5899e[this.f5897c - 1] = 0;
    }

    public void beginObject() throws IOException {
        mo5663a(JsonToken.BEGIN_OBJECT);
        mo5664a((Object) ((JsonObject) mo5662a()).f5949a.entrySet().iterator());
    }

    public void close() throws IOException {
        this.f5896b = new Object[]{f5895g};
        this.f5897c = 1;
    }

    public void endArray() throws IOException {
        mo5663a(JsonToken.END_ARRAY);
        mo5670g();
        mo5670g();
        int i = this.f5897c;
        if (i > 0) {
            int[] iArr = this.f5899e;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
    }

    public void endObject() throws IOException {
        mo5663a(JsonToken.END_OBJECT);
        mo5670g();
        mo5670g();
        int i = this.f5897c;
        if (i > 0) {
            int[] iArr = this.f5899e;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
    }

    /* renamed from: g */
    public final Object mo5670g() {
        Object[] objArr = this.f5896b;
        int i = this.f5897c - 1;
        this.f5897c = i;
        Object obj = objArr[i];
        objArr[i] = null;
        return obj;
    }

    public String getPath() {
        StringBuilder sb = new StringBuilder();
        sb.append('$');
        int i = 0;
        while (i < this.f5897c) {
            Object[] objArr = this.f5896b;
            if (objArr[i] instanceof JsonArray) {
                i++;
                if (objArr[i] instanceof Iterator) {
                    sb.append('[');
                    sb.append(this.f5899e[i]);
                    sb.append(']');
                }
            } else if (objArr[i] instanceof JsonObject) {
                i++;
                if (objArr[i] instanceof Iterator) {
                    sb.append('.');
                    String[] strArr = this.f5898d;
                    if (strArr[i] != null) {
                        sb.append(strArr[i]);
                    }
                }
            }
            i++;
        }
        return sb.toString();
    }

    public boolean hasNext() throws IOException {
        JsonToken peek = peek();
        return (peek == JsonToken.END_OBJECT || peek == JsonToken.END_ARRAY) ? false : true;
    }

    public boolean nextBoolean() throws IOException {
        mo5663a(JsonToken.BOOLEAN);
        boolean b = ((JsonPrimitive) mo5670g()).mo5731b();
        int i = this.f5897c;
        if (i > 0) {
            int[] iArr = this.f5899e;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
        return b;
    }

    public double nextDouble() throws IOException {
        JsonToken peek = peek();
        if (peek == JsonToken.NUMBER || peek == JsonToken.STRING) {
            JsonPrimitive vVar = (JsonPrimitive) mo5662a();
            double doubleValue = vVar.f5951a instanceof Number ? vVar.mo5732c().doubleValue() : Double.parseDouble(vVar.mo5733d());
            if (isLenient() || (!Double.isNaN(doubleValue) && !Double.isInfinite(doubleValue))) {
                mo5670g();
                int i = this.f5897c;
                if (i > 0) {
                    int[] iArr = this.f5899e;
                    int i2 = i - 1;
                    iArr[i2] = iArr[i2] + 1;
                }
                return doubleValue;
            }
            throw new NumberFormatException("JSON forbids NaN and infinities: " + doubleValue);
        }
        StringBuilder a = outline.m2937a("Expected ");
        a.append(JsonToken.NUMBER);
        a.append(" but was ");
        a.append(peek);
        a.append(locationString());
        throw new IllegalStateException(a.toString());
    }

    public int nextInt() throws IOException {
        JsonToken peek = peek();
        if (peek == JsonToken.NUMBER || peek == JsonToken.STRING) {
            JsonPrimitive vVar = (JsonPrimitive) mo5662a();
            int intValue = vVar.f5951a instanceof Number ? vVar.mo5732c().intValue() : Integer.parseInt(vVar.mo5733d());
            mo5670g();
            int i = this.f5897c;
            if (i > 0) {
                int[] iArr = this.f5899e;
                int i2 = i - 1;
                iArr[i2] = iArr[i2] + 1;
            }
            return intValue;
        }
        StringBuilder a = outline.m2937a("Expected ");
        a.append(JsonToken.NUMBER);
        a.append(" but was ");
        a.append(peek);
        a.append(locationString());
        throw new IllegalStateException(a.toString());
    }

    public long nextLong() throws IOException {
        JsonToken peek = peek();
        if (peek == JsonToken.NUMBER || peek == JsonToken.STRING) {
            JsonPrimitive vVar = (JsonPrimitive) mo5662a();
            long longValue = vVar.f5951a instanceof Number ? vVar.mo5732c().longValue() : Long.parseLong(vVar.mo5733d());
            mo5670g();
            int i = this.f5897c;
            if (i > 0) {
                int[] iArr = this.f5899e;
                int i2 = i - 1;
                iArr[i2] = iArr[i2] + 1;
            }
            return longValue;
        }
        StringBuilder a = outline.m2937a("Expected ");
        a.append(JsonToken.NUMBER);
        a.append(" but was ");
        a.append(peek);
        a.append(locationString());
        throw new IllegalStateException(a.toString());
    }

    public String nextName() throws IOException {
        mo5663a(JsonToken.NAME);
        Map.Entry entry = (Map.Entry) ((Iterator) mo5662a()).next();
        String str = (String) entry.getKey();
        this.f5898d[this.f5897c - 1] = str;
        mo5664a(entry.getValue());
        return str;
    }

    public void nextNull() throws IOException {
        mo5663a(JsonToken.NULL);
        mo5670g();
        int i = this.f5897c;
        if (i > 0) {
            int[] iArr = this.f5899e;
            int i2 = i - 1;
            iArr[i2] = iArr[i2] + 1;
        }
    }

    public String nextString() throws IOException {
        JsonToken peek = peek();
        if (peek == JsonToken.STRING || peek == JsonToken.NUMBER) {
            String d = ((JsonPrimitive) mo5670g()).mo5733d();
            int i = this.f5897c;
            if (i > 0) {
                int[] iArr = this.f5899e;
                int i2 = i - 1;
                iArr[i2] = iArr[i2] + 1;
            }
            return d;
        }
        StringBuilder a = outline.m2937a("Expected ");
        a.append(JsonToken.STRING);
        a.append(" but was ");
        a.append(peek);
        a.append(locationString());
        throw new IllegalStateException(a.toString());
    }

    public JsonToken peek() throws IOException {
        if (this.f5897c == 0) {
            return JsonToken.END_DOCUMENT;
        }
        Object a = mo5662a();
        if (a instanceof Iterator) {
            boolean z = this.f5896b[this.f5897c - 2] instanceof JsonObject;
            Iterator it = (Iterator) a;
            if (!it.hasNext()) {
                return z ? JsonToken.END_OBJECT : JsonToken.END_ARRAY;
            }
            if (z) {
                return JsonToken.NAME;
            }
            mo5664a(it.next());
            return peek();
        } else if (a instanceof JsonObject) {
            return JsonToken.BEGIN_OBJECT;
        } else {
            if (a instanceof JsonArray) {
                return JsonToken.BEGIN_ARRAY;
            }
            if (a instanceof JsonPrimitive) {
                Object obj = ((JsonPrimitive) a).f5951a;
                if (obj instanceof String) {
                    return JsonToken.STRING;
                }
                if (obj instanceof Boolean) {
                    return JsonToken.BOOLEAN;
                }
                if (obj instanceof Number) {
                    return JsonToken.NUMBER;
                }
                throw new AssertionError();
            } else if (a instanceof JsonNull) {
                return JsonToken.NULL;
            } else {
                if (a == f5895g) {
                    throw new IllegalStateException("JsonReader is closed");
                }
                throw new AssertionError();
            }
        }
    }

    public void skipValue() throws IOException {
        if (peek() == JsonToken.NAME) {
            nextName();
            this.f5898d[this.f5897c - 2] = SafeJsonPrimitive.NULL_STRING;
        } else {
            mo5670g();
            int i = this.f5897c;
            if (i > 0) {
                this.f5898d[i - 1] = SafeJsonPrimitive.NULL_STRING;
            }
        }
        int i2 = this.f5897c;
        if (i2 > 0) {
            int[] iArr = this.f5899e;
            int i3 = i2 - 1;
            iArr[i3] = iArr[i3] + 1;
        }
    }

    public String toString() {
        return JsonTreeReader.class.getSimpleName();
    }

    /* renamed from: a */
    public final void mo5663a(JsonToken jsonToken) throws IOException {
        if (peek() != jsonToken) {
            throw new IllegalStateException("Expected " + jsonToken + " but was " + peek() + locationString());
        }
    }

    /* renamed from: a */
    public final void mo5664a(Object obj) {
        int i = this.f5897c;
        Object[] objArr = this.f5896b;
        if (i == objArr.length) {
            Object[] objArr2 = new Object[(i * 2)];
            int[] iArr = new int[(i * 2)];
            String[] strArr = new String[(i * 2)];
            System.arraycopy(objArr, 0, objArr2, 0, i);
            System.arraycopy(this.f5899e, 0, iArr, 0, this.f5897c);
            System.arraycopy(this.f5898d, 0, strArr, 0, this.f5897c);
            this.f5896b = objArr2;
            this.f5899e = iArr;
            this.f5898d = strArr;
        }
        Object[] objArr3 = this.f5896b;
        int i2 = this.f5897c;
        this.f5897c = i2 + 1;
        objArr3[i2] = obj;
    }
}
