package p085c.p132d.p184b.p186e0.p187z;

import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.io.Writer;
import java.util.ArrayList;
import java.util.List;
import p085c.p132d.p184b.JsonArray;
import p085c.p132d.p184b.JsonElement;
import p085c.p132d.p184b.JsonNull;
import p085c.p132d.p184b.JsonObject;
import p085c.p132d.p184b.JsonPrimitive;

/* renamed from: c.d.b.e0.z.b */
public final class JsonTreeWriter extends JsonWriter {

    /* renamed from: e */
    public static final Writer f5900e = new C1314a();

    /* renamed from: f */
    public static final JsonPrimitive f5901f = new JsonPrimitive("closed");

    /* renamed from: b */
    public final List<JsonElement> f5902b = new ArrayList();

    /* renamed from: c */
    public String f5903c;

    /* renamed from: d */
    public JsonElement f5904d = JsonNull.f5948a;

    /* renamed from: c.d.b.e0.z.b$a */
    /* compiled from: JsonTreeWriter */
    public static class C1314a extends Writer {
        public void close() throws IOException {
            throw new AssertionError();
        }

        public void flush() throws IOException {
            throw new AssertionError();
        }

        public void write(char[] cArr, int i, int i2) {
            throw new AssertionError();
        }
    }

    public JsonTreeWriter() {
        super(f5900e);
    }

    /* renamed from: a */
    public final void mo5685a(JsonElement qVar) {
        if (this.f5903c != null) {
            if (qVar != null) {
                if (!(qVar instanceof JsonNull) || getSerializeNulls()) {
                    JsonObject tVar = (JsonObject) peek();
                    String str = this.f5903c;
                    if (tVar != null) {
                        tVar.f5949a.put(str, qVar);
                    } else {
                        throw null;
                    }
                }
                this.f5903c = null;
                return;
            }
            throw null;
        } else if (this.f5902b.isEmpty()) {
            this.f5904d = qVar;
        } else {
            JsonElement peek = peek();
            if (peek instanceof JsonArray) {
                JsonArray nVar = (JsonArray) peek;
                if (nVar != null) {
                    if (qVar == null) {
                        qVar = JsonNull.f5948a;
                    }
                    nVar.f5947b.add(qVar);
                    return;
                }
                throw null;
            }
            throw new IllegalStateException();
        }
    }

    public JsonWriter beginArray() throws IOException {
        JsonArray nVar = new JsonArray();
        mo5685a(nVar);
        this.f5902b.add(nVar);
        return this;
    }

    public JsonWriter beginObject() throws IOException {
        JsonObject tVar = new JsonObject();
        mo5685a(tVar);
        this.f5902b.add(tVar);
        return this;
    }

    public void close() throws IOException {
        if (this.f5902b.isEmpty()) {
            this.f5902b.add(f5901f);
            return;
        }
        throw new IOException("Incomplete document");
    }

    public JsonWriter endArray() throws IOException {
        if (this.f5902b.isEmpty() || this.f5903c != null) {
            throw new IllegalStateException();
        } else if (peek() instanceof JsonArray) {
            List<JsonElement> list = this.f5902b;
            list.remove(list.size() - 1);
            return this;
        } else {
            throw new IllegalStateException();
        }
    }

    public JsonWriter endObject() throws IOException {
        if (this.f5902b.isEmpty() || this.f5903c != null) {
            throw new IllegalStateException();
        } else if (peek() instanceof JsonObject) {
            List<JsonElement> list = this.f5902b;
            list.remove(list.size() - 1);
            return this;
        } else {
            throw new IllegalStateException();
        }
    }

    public void flush() throws IOException {
    }

    public JsonWriter name(String str) throws IOException {
        if (this.f5902b.isEmpty() || this.f5903c != null) {
            throw new IllegalStateException();
        } else if (peek() instanceof JsonObject) {
            this.f5903c = str;
            return this;
        } else {
            throw new IllegalStateException();
        }
    }

    public JsonWriter nullValue() throws IOException {
        mo5685a(JsonNull.f5948a);
        return this;
    }

    public final JsonElement peek() {
        List<JsonElement> list = this.f5902b;
        return list.get(list.size() - 1);
    }

    public JsonWriter value(Boolean bool) throws IOException {
        if (bool == null) {
            mo5685a(JsonNull.f5948a);
            return this;
        }
        mo5685a(new JsonPrimitive(bool));
        return this;
    }

    public JsonWriter value(Number number) throws IOException {
        if (number == null) {
            mo5685a(JsonNull.f5948a);
            return this;
        }
        if (!isLenient()) {
            double doubleValue = number.doubleValue();
            if (Double.isNaN(doubleValue) || Double.isInfinite(doubleValue)) {
                throw new IllegalArgumentException("JSON forbids NaN and infinities: " + number);
            }
        }
        mo5685a(new JsonPrimitive(number));
        return this;
    }

    public JsonWriter value(String str) throws IOException {
        if (str == null) {
            mo5685a(JsonNull.f5948a);
            return this;
        }
        mo5685a(new JsonPrimitive(str));
        return this;
    }

    public JsonWriter value(boolean z) throws IOException {
        mo5685a(new JsonPrimitive(Boolean.valueOf(z)));
        return this;
    }

    public JsonWriter value(double d) throws IOException {
        if (isLenient() || (!Double.isNaN(d) && !Double.isInfinite(d))) {
            mo5685a(new JsonPrimitive((Number) Double.valueOf(d)));
            return this;
        }
        throw new IllegalArgumentException("JSON forbids NaN and infinities: " + d);
    }

    public JsonWriter value(long j) throws IOException {
        mo5685a(new JsonPrimitive((Number) Long.valueOf(j)));
        return this;
    }
}
