package p085c.p132d.p190c;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Map;
import p085c.p132d.p190c.p191p.AztecReader;
import p085c.p132d.p190c.p201s.DataMatrixReader;
import p085c.p132d.p190c.p206u.MaxiCodeReader;
import p085c.p132d.p190c.p208v.MultiFormatOneDReader;
import p085c.p132d.p190c.p212w.PDF417Reader;
import p085c.p132d.p190c.p216x.QRCodeReader;

/* renamed from: c.d.c.g */
public final class MultiFormatReader implements Reader {

    /* renamed from: a */
    public Map<DecodeHintType, ?> f5991a;

    /* renamed from: b */
    public Reader[] f5992b;

    /* renamed from: a */
    public Result mo5741a(BinaryBitmap cVar) throws NotFoundException {
        mo5744a((Map<DecodeHintType, ?>) null);
        return mo5745b(cVar);
    }

    /* renamed from: b */
    public final Result mo5745b(BinaryBitmap cVar) throws NotFoundException {
        Reader[] jVarArr = this.f5992b;
        if (jVarArr != null) {
            int length = jVarArr.length;
            int i = 0;
            while (i < length) {
                try {
                    return jVarArr[i].mo5742a(cVar, this.f5991a);
                } catch (ReaderException unused) {
                    i++;
                }
            }
        }
        throw NotFoundException.f5993d;
    }

    /* renamed from: a */
    public Result mo5742a(BinaryBitmap cVar, Map<DecodeHintType, ?> map) throws NotFoundException {
        mo5744a(map);
        return mo5745b(cVar);
    }

    /* renamed from: a */
    public void mo5744a(Map<DecodeHintType, ?> map) {
        Collection collection;
        this.f5991a = map;
        boolean z = false;
        boolean z2 = map != null && map.containsKey(DecodeHintType.TRY_HARDER);
        if (map == null) {
            collection = null;
        } else {
            collection = (Collection) map.get(DecodeHintType.POSSIBLE_FORMATS);
        }
        ArrayList arrayList = new ArrayList();
        if (collection != null) {
            if (collection.contains(BarcodeFormat.UPC_A) || collection.contains(BarcodeFormat.UPC_E) || collection.contains(BarcodeFormat.EAN_13) || collection.contains(BarcodeFormat.EAN_8) || collection.contains(BarcodeFormat.CODABAR) || collection.contains(BarcodeFormat.CODE_39) || collection.contains(BarcodeFormat.CODE_93) || collection.contains(BarcodeFormat.CODE_128) || collection.contains(BarcodeFormat.ITF) || collection.contains(BarcodeFormat.RSS_14) || collection.contains(BarcodeFormat.RSS_EXPANDED)) {
                z = true;
            }
            if (z && !z2) {
                arrayList.add(new MultiFormatOneDReader(map));
            }
            if (collection.contains(BarcodeFormat.QR_CODE)) {
                arrayList.add(new QRCodeReader());
            }
            if (collection.contains(BarcodeFormat.DATA_MATRIX)) {
                arrayList.add(new DataMatrixReader());
            }
            if (collection.contains(BarcodeFormat.AZTEC)) {
                arrayList.add(new AztecReader());
            }
            if (collection.contains(BarcodeFormat.PDF_417)) {
                arrayList.add(new PDF417Reader());
            }
            if (collection.contains(BarcodeFormat.MAXICODE)) {
                arrayList.add(new MaxiCodeReader());
            }
            if (z && z2) {
                arrayList.add(new MultiFormatOneDReader(map));
            }
        }
        if (arrayList.isEmpty()) {
            if (!z2) {
                arrayList.add(new MultiFormatOneDReader(map));
            }
            arrayList.add(new QRCodeReader());
            arrayList.add(new DataMatrixReader());
            arrayList.add(new AztecReader());
            arrayList.add(new PDF417Reader());
            arrayList.add(new MaxiCodeReader());
            if (z2) {
                arrayList.add(new MultiFormatOneDReader(map));
            }
        }
        this.f5992b = (Reader[]) arrayList.toArray(new Reader[arrayList.size()]);
    }

    /* renamed from: a */
    public void mo5743a() {
        Reader[] jVarArr = this.f5992b;
        if (jVarArr != null) {
            for (Reader a : jVarArr) {
                a.mo5743a();
            }
        }
    }
}
