package p085c.p132d.p190c.p194q.p195a;

import android.app.Activity;
import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.os.Vibrator;
import android.util.Log;
import java.io.Closeable;
import java.io.IOException;

/* renamed from: c.d.c.q.a.c */
public final class BeepManager implements MediaPlayer.OnCompletionListener, MediaPlayer.OnErrorListener, Closeable {

    /* renamed from: g */
    public static final String f6054g = BeepManager.class.getSimpleName();

    /* renamed from: b */
    public final Activity f6055b;

    /* renamed from: c */
    public MediaPlayer f6056c;

    /* renamed from: d */
    public boolean f6057d;

    /* renamed from: e */
    public boolean f6058e = true;

    /* renamed from: f */
    public boolean f6059f = false;

    public BeepManager(Activity activity) {
        this.f6055b = activity;
        this.f6056c = null;
        mo5772g();
    }

    /* renamed from: a */
    public synchronized void mo5770a() {
        if (this.f6057d && this.f6056c != null) {
            this.f6056c.start();
        }
        if (this.f6059f) {
            ((Vibrator) this.f6055b.getSystemService("vibrator")).vibrate(200);
        }
    }

    public synchronized void close() {
        if (this.f6056c != null) {
            this.f6056c.release();
            this.f6056c = null;
        }
    }

    /* renamed from: g */
    public synchronized void mo5772g() {
        boolean z = this.f6058e;
        Activity activity = this.f6055b;
        if (z && ((AudioManager) activity.getSystemService("audio")).getRingerMode() != 2) {
            z = false;
        }
        this.f6057d = z;
        if (z && this.f6056c == null) {
            this.f6055b.setVolumeControlStream(3);
            this.f6056c = mo5769a(this.f6055b);
        }
    }

    public void onCompletion(MediaPlayer mediaPlayer) {
        mediaPlayer.seekTo(0);
    }

    public synchronized boolean onError(MediaPlayer mediaPlayer, int i, int i2) {
        if (i == 100) {
            this.f6055b.finish();
        } else {
            mediaPlayer.release();
            this.f6056c = null;
            mo5772g();
        }
        return true;
    }

    /* renamed from: a */
    public final MediaPlayer mo5769a(Context context) {
        AssetFileDescriptor openRawResourceFd;
        MediaPlayer mediaPlayer = new MediaPlayer();
        mediaPlayer.setAudioStreamType(3);
        mediaPlayer.setOnCompletionListener(this);
        mediaPlayer.setOnErrorListener(this);
        try {
            openRawResourceFd = context.getResources().openRawResourceFd(C1332j.zxing_beep);
            mediaPlayer.setDataSource(openRawResourceFd.getFileDescriptor(), openRawResourceFd.getStartOffset(), openRawResourceFd.getLength());
            openRawResourceFd.close();
            mediaPlayer.setVolume(0.1f, 0.1f);
            mediaPlayer.prepare();
            return mediaPlayer;
        } catch (IOException e) {
            Log.w(f6054g, e);
            mediaPlayer.release();
            return null;
        } catch (Throwable th) {
            openRawResourceFd.close();
            throw th;
        }
    }
}
