package com.newrelic.agent.android.tracing;

import com.newrelic.agent.android.harvest.type.HarvestableArray;
import com.newrelic.agent.android.util.SafeJsonPrimitive;
import com.newrelic.com.google.gson.JsonArray;

public class Sample extends HarvestableArray {
    public SampleValue sampleValue;
    public long timestamp;
    public SampleType type;

    public enum SampleType {
        MEMORY,
        CPU
    }

    public Sample(SampleType sampleType) {
        setSampleType(sampleType);
        setTimestamp(System.currentTimeMillis());
    }

    public JsonArray asJsonArray() {
        JsonArray jsonArray = new JsonArray();
        jsonArray.add(SafeJsonPrimitive.factory((Number) Long.valueOf(this.timestamp)));
        jsonArray.add(SafeJsonPrimitive.factory(this.sampleValue.getValue()));
        return jsonArray;
    }

    public SampleType getSampleType() {
        return this.type;
    }

    public SampleValue getSampleValue() {
        return this.sampleValue;
    }

    public long getTimestamp() {
        return this.timestamp;
    }

    public Number getValue() {
        return this.sampleValue.getValue();
    }

    public void setSampleType(SampleType sampleType) {
        this.type = sampleType;
    }

    public void setSampleValue(SampleValue sampleValue2) {
        this.sampleValue = sampleValue2;
    }

    public void setTimestamp(long j) {
        this.timestamp = j;
    }

    public void setSampleValue(double d) {
        this.sampleValue = new SampleValue(d);
    }

    public void setSampleValue(long j) {
        this.sampleValue = new SampleValue(j);
    }

    public Sample(long j) {
        setTimestamp(j);
    }

    public Sample(long j, SampleValue sampleValue2) {
        setTimestamp(j);
        setSampleValue(sampleValue2);
    }
}
