package p085c.p132d.p190c.p194q.p195a.p196m;

import android.annotation.TargetApi;
import android.hardware.Camera;
import android.util.Log;
import com.newrelic.agent.android.util.SafeJsonPrimitive;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.regex.Pattern;
import p085c.p219e.p220a.p221q.CameraSettings;

/* renamed from: c.d.c.q.a.m.a */
public final class CameraConfigurationUtils {
    static {
        Pattern.compile(";");
    }

    /* renamed from: a */
    public static void m4794a(Camera.Parameters parameters, CameraSettings.C1400a aVar, boolean z) {
        String str;
        List<String> supportedFocusModes = parameters.getSupportedFocusModes();
        if (z || aVar == CameraSettings.C1400a.AUTO) {
            str = m4793a("focus mode", (Collection<String>) supportedFocusModes, "auto");
        } else if (aVar == CameraSettings.C1400a.CONTINUOUS) {
            str = m4793a("focus mode", (Collection<String>) supportedFocusModes, "continuous-picture", "continuous-video", "auto");
        } else if (aVar == CameraSettings.C1400a.INFINITY) {
            str = m4793a("focus mode", (Collection<String>) supportedFocusModes, "infinity");
        } else {
            str = aVar == CameraSettings.C1400a.MACRO ? m4793a("focus mode", (Collection<String>) supportedFocusModes, "macro") : null;
        }
        if (!z && str == null) {
            str = m4793a("focus mode", (Collection<String>) supportedFocusModes, "macro", "edof");
        }
        if (str == null) {
            return;
        }
        if (str.equals(parameters.getFocusMode())) {
            Log.i("CameraConfiguration", "Focus mode already set to " + str);
            return;
        }
        parameters.setFocusMode(str);
    }

    /* renamed from: a */
    public static void m4795a(Camera.Parameters parameters, boolean z) {
        String str;
        List<String> supportedFlashModes = parameters.getSupportedFlashModes();
        if (z) {
            str = m4793a("flash mode", (Collection<String>) supportedFlashModes, "torch", "on");
        } else {
            str = m4793a("flash mode", (Collection<String>) supportedFlashModes, "off");
        }
        if (str == null) {
            return;
        }
        if (str.equals(parameters.getFlashMode())) {
            Log.i("CameraConfiguration", "Flash mode already set to " + str);
            return;
        }
        Log.i("CameraConfiguration", "Setting flash mode to " + str);
        parameters.setFlashMode(str);
    }

    /* renamed from: a */
    public static String m4793a(String str, Collection<String> collection, String... strArr) {
        Log.i("CameraConfiguration", "Requesting " + str + " value from among: " + Arrays.toString(strArr));
        Log.i("CameraConfiguration", "Supported " + str + " values: " + collection);
        if (collection != null) {
            for (String str2 : strArr) {
                if (collection.contains(str2)) {
                    Log.i("CameraConfiguration", "Can set " + str + " to: " + str2);
                    return str2;
                }
            }
        }
        Log.i("CameraConfiguration", "No supported values match");
        return null;
    }

    @TargetApi(15)
    /* renamed from: a */
    public static String m4792a(Iterable<Camera.Area> iterable) {
        if (iterable == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        for (Camera.Area next : iterable) {
            sb.append(next.rect);
            sb.append(':');
            sb.append(next.weight);
            sb.append(SafeJsonPrimitive.NULL_CHAR);
        }
        return sb.toString();
    }
}
