package p085c.p132d.p190c.p198r;

import java.util.Arrays;

/* renamed from: c.d.c.r.b */
public final class BitMatrix implements Cloneable {

    /* renamed from: b */
    public final int f6080b;

    /* renamed from: c */
    public final int f6081c;

    /* renamed from: d */
    public final int f6082d;

    /* renamed from: e */
    public final int[] f6083e;

    public BitMatrix(int i, int i2) {
        if (i < 1 || i2 < 1) {
            throw new IllegalArgumentException("Both dimensions must be greater than 0");
        }
        this.f6080b = i;
        this.f6081c = i2;
        int i3 = (i + 31) / 32;
        this.f6082d = i3;
        this.f6083e = new int[(i3 * i2)];
    }

    /* renamed from: a */
    public BitArray mo5788a(int i, BitArray aVar) {
        if (aVar == null || aVar.f6079c < this.f6080b) {
            aVar = new BitArray(this.f6080b);
        } else {
            int length = aVar.f6078b.length;
            for (int i2 = 0; i2 < length; i2++) {
                aVar.f6078b[i2] = 0;
            }
        }
        int i3 = i * this.f6082d;
        for (int i4 = 0; i4 < this.f6082d; i4++) {
            aVar.f6078b[(i4 * 32) / 32] = this.f6083e[i3 + i4];
        }
        return aVar;
    }

    /* renamed from: b */
    public boolean mo5792b(int i, int i2) {
        return ((this.f6083e[(i / 32) + (i2 * this.f6082d)] >>> (i & 31)) & 1) != 0;
    }

    /* renamed from: c */
    public void mo5794c(int i, int i2) {
        int i3 = (i / 32) + (i2 * this.f6082d);
        int[] iArr = this.f6083e;
        iArr[i3] = (1 << (i & 31)) | iArr[i3];
    }

    public Object clone() throws CloneNotSupportedException {
        return new BitMatrix(this.f6080b, this.f6081c, this.f6082d, (int[]) this.f6083e.clone());
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof BitMatrix)) {
            return false;
        }
        BitMatrix bVar = (BitMatrix) obj;
        if (this.f6080b == bVar.f6080b && this.f6081c == bVar.f6081c && this.f6082d == bVar.f6082d && Arrays.equals(this.f6083e, bVar.f6083e)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        int i = this.f6080b;
        return Arrays.hashCode(this.f6083e) + (((((((i * 31) + i) * 31) + this.f6081c) * 31) + this.f6082d) * 31);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder((this.f6080b + 1) * this.f6081c);
        for (int i = 0; i < this.f6081c; i++) {
            for (int i2 = 0; i2 < this.f6080b; i2++) {
                sb.append(mo5792b(i2, i) ? "X " : "  ");
            }
            sb.append("\n");
        }
        return sb.toString();
    }

    /* renamed from: b */
    public int[] mo5793b() {
        int i = 0;
        while (true) {
            int[] iArr = this.f6083e;
            if (i >= iArr.length || iArr[i] != 0) {
                int[] iArr2 = this.f6083e;
            } else {
                i++;
            }
        }
        int[] iArr22 = this.f6083e;
        if (i == iArr22.length) {
            return null;
        }
        int i2 = this.f6082d;
        int i3 = i / i2;
        int i4 = (i % i2) * 32;
        int i5 = iArr22[i];
        int i6 = 0;
        while ((i5 << (31 - i6)) == 0) {
            i6++;
        }
        return new int[]{i4 + i6, i3};
    }

    public BitMatrix(int i, int i2, int i3, int[] iArr) {
        this.f6080b = i;
        this.f6081c = i2;
        this.f6082d = i3;
        this.f6083e = iArr;
    }

    /* renamed from: a */
    public void mo5789a(int i, int i2) {
        int i3 = (i / 32) + (i2 * this.f6082d);
        int[] iArr = this.f6083e;
        iArr[i3] = (1 << (i & 31)) ^ iArr[i3];
    }

    /* renamed from: a */
    public void mo5790a(int i, int i2, int i3, int i4) {
        if (i2 < 0 || i < 0) {
            throw new IllegalArgumentException("Left and top must be nonnegative");
        } else if (i4 < 1 || i3 < 1) {
            throw new IllegalArgumentException("Height and width must be at least 1");
        } else {
            int i5 = i3 + i;
            int i6 = i4 + i2;
            if (i6 > this.f6081c || i5 > this.f6080b) {
                throw new IllegalArgumentException("The region must fit inside the matrix");
            }
            while (i2 < i6) {
                int i7 = this.f6082d * i2;
                for (int i8 = i; i8 < i5; i8++) {
                    int[] iArr = this.f6083e;
                    int i9 = (i8 / 32) + i7;
                    iArr[i9] = iArr[i9] | (1 << (i8 & 31));
                }
                i2++;
            }
        }
    }

    /* renamed from: a */
    public int[] mo5791a() {
        int length = this.f6083e.length - 1;
        while (length >= 0 && this.f6083e[length] == 0) {
            length--;
        }
        if (length < 0) {
            return null;
        }
        int i = this.f6082d;
        int i2 = length / i;
        int i3 = (length % i) * 32;
        int i4 = 31;
        while ((this.f6083e[length] >>> i4) == 0) {
            i4--;
        }
        return new int[]{i3 + i4, i2};
    }
}
