package p085c.p132d.p190c.p208v;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Map;
import p085c.p132d.p190c.BarcodeFormat;
import p085c.p132d.p190c.DecodeHintType;
import p085c.p132d.p190c.NotFoundException;
import p085c.p132d.p190c.ReaderException;
import p085c.p132d.p190c.Result;
import p085c.p132d.p190c.p198r.BitArray;
import p085c.p132d.p190c.p208v.p209r.RSS14Reader;
import p085c.p132d.p190c.p208v.p209r.p210f.RSSExpandedReader;

/* renamed from: c.d.c.v.i */
public final class MultiFormatOneDReader extends OneDReader {

    /* renamed from: a */
    public final OneDReader[] f6254a;

    public MultiFormatOneDReader(Map<DecodeHintType, ?> map) {
        Collection collection;
        if (map == null) {
            collection = null;
        } else {
            collection = (Collection) map.get(DecodeHintType.POSSIBLE_FORMATS);
        }
        boolean z = (map == null || map.get(DecodeHintType.ASSUME_CODE_39_CHECK_DIGIT) == null) ? false : true;
        ArrayList arrayList = new ArrayList();
        if (collection != null) {
            if (collection.contains(BarcodeFormat.EAN_13) || collection.contains(BarcodeFormat.UPC_A) || collection.contains(BarcodeFormat.EAN_8) || collection.contains(BarcodeFormat.UPC_E)) {
                arrayList.add(new MultiFormatUPCEANReader(map));
            }
            if (collection.contains(BarcodeFormat.CODE_39)) {
                arrayList.add(new Code39Reader(z));
            }
            if (collection.contains(BarcodeFormat.CODE_93)) {
                arrayList.add(new Code93Reader());
            }
            if (collection.contains(BarcodeFormat.CODE_128)) {
                arrayList.add(new Code128Reader());
            }
            if (collection.contains(BarcodeFormat.ITF)) {
                arrayList.add(new ITFReader());
            }
            if (collection.contains(BarcodeFormat.CODABAR)) {
                arrayList.add(new CodaBarReader());
            }
            if (collection.contains(BarcodeFormat.RSS_14)) {
                arrayList.add(new RSS14Reader());
            }
            if (collection.contains(BarcodeFormat.RSS_EXPANDED)) {
                arrayList.add(new RSSExpandedReader());
            }
        }
        if (arrayList.isEmpty()) {
            arrayList.add(new MultiFormatUPCEANReader(map));
            arrayList.add(new Code39Reader(false));
            arrayList.add(new CodaBarReader());
            arrayList.add(new Code93Reader());
            arrayList.add(new Code128Reader());
            arrayList.add(new ITFReader());
            arrayList.add(new RSS14Reader());
            arrayList.add(new RSSExpandedReader());
        }
        this.f6254a = (OneDReader[]) arrayList.toArray(new OneDReader[arrayList.size()]);
    }

    /* renamed from: a */
    public Result mo5829a(int i, BitArray aVar, Map<DecodeHintType, ?> map) throws NotFoundException {
        OneDReader[] kVarArr = this.f6254a;
        int i2 = 0;
        while (i2 < kVarArr.length) {
            try {
                return kVarArr[i2].mo5829a(i, aVar, map);
            } catch (ReaderException unused) {
                i2++;
            }
        }
        throw NotFoundException.f5993d;
    }

    /* renamed from: a */
    public void mo5743a() {
        for (OneDReader a : this.f6254a) {
            a.mo5743a();
        }
    }
}
