package p085c.p132d.p190c.p208v;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Map;
import p085c.p132d.p190c.BarcodeFormat;
import p085c.p132d.p190c.DecodeHintType;
import p085c.p132d.p190c.NotFoundException;
import p085c.p132d.p190c.ReaderException;
import p085c.p132d.p190c.Result;
import p085c.p132d.p190c.p198r.BitArray;

/* renamed from: c.d.c.v.j */
public final class MultiFormatUPCEANReader extends OneDReader {

    /* renamed from: a */
    public final UPCEANReader[] f6255a;

    public MultiFormatUPCEANReader(Map<DecodeHintType, ?> map) {
        Collection collection;
        if (map == null) {
            collection = null;
        } else {
            collection = (Collection) map.get(DecodeHintType.POSSIBLE_FORMATS);
        }
        ArrayList arrayList = new ArrayList();
        if (collection != null) {
            if (collection.contains(BarcodeFormat.EAN_13)) {
                arrayList.add(new EAN13Reader());
            } else if (collection.contains(BarcodeFormat.UPC_A)) {
                arrayList.add(new UPCAReader());
            }
            if (collection.contains(BarcodeFormat.EAN_8)) {
                arrayList.add(new EAN8Reader());
            }
            if (collection.contains(BarcodeFormat.UPC_E)) {
                arrayList.add(new UPCEReader());
            }
        }
        if (arrayList.isEmpty()) {
            arrayList.add(new EAN13Reader());
            arrayList.add(new EAN8Reader());
            arrayList.add(new UPCEReader());
        }
        this.f6255a = (UPCEANReader[]) arrayList.toArray(new UPCEANReader[arrayList.size()]);
    }

    /* renamed from: a */
    public Result mo5829a(int i, BitArray aVar, Map<DecodeHintType, ?> map) throws NotFoundException {
        Collection collection;
        int[] a = UPCEANReader.m4900a(aVar);
        UPCEANReader[] pVarArr = this.f6255a;
        boolean z = false;
        int i2 = 0;
        while (i2 < pVarArr.length) {
            try {
                Result a2 = pVarArr[i2].mo5838a(i, aVar, a, map);
                boolean z2 = a2.f6006d == BarcodeFormat.EAN_13 && a2.f6003a.charAt(0) == '0';
                if (map == null) {
                    collection = null;
                } else {
                    collection = (Collection) map.get(DecodeHintType.POSSIBLE_FORMATS);
                }
                if (collection == null || collection.contains(BarcodeFormat.UPC_A)) {
                    z = true;
                }
                if (!z2 || !z) {
                    return a2;
                }
                Result lVar = new Result(a2.f6003a.substring(1), a2.f6004b, a2.f6005c, BarcodeFormat.UPC_A);
                lVar.mo5751a(a2.f6007e);
                return lVar;
            } catch (ReaderException unused) {
                i2++;
            }
        }
        throw NotFoundException.f5993d;
    }

    /* renamed from: a */
    public void mo5743a() {
        for (UPCEANReader a : this.f6255a) {
            a.mo5743a();
        }
    }
}
