package p085c.p219e.p220a.p221q;

import android.content.Context;
import android.graphics.Rect;
import android.hardware.Camera;
import android.hardware.Sensor;
import android.hardware.SensorManager;
import android.os.Build;
import android.util.Log;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import okhttp3.HttpUrl;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p190c.p194q.p195a.C1325b;
import p085c.p132d.p190c.p194q.p195a.p196m.CameraConfigurationUtils;
import p085c.p132d.p190c.p194q.p195a.p196m.p197b.OpenCameraInterface;
import p085c.p219e.p220a.DecoderThread;
import p085c.p219e.p220a.Size;
import p085c.p219e.p220a.SourceData;

/* renamed from: c.e.a.q.e */
public final class CameraManager {

    /* renamed from: a */
    public Camera f6576a;

    /* renamed from: b */
    public Camera.CameraInfo f6577b;

    /* renamed from: c */
    public AutoFocusManager f6578c;

    /* renamed from: d */
    public C1325b f6579d;

    /* renamed from: e */
    public boolean f6580e;

    /* renamed from: f */
    public String f6581f;

    /* renamed from: g */
    public CameraSettings f6582g = new CameraSettings();

    /* renamed from: h */
    public DisplayConfiguration f6583h;

    /* renamed from: i */
    public Size f6584i;

    /* renamed from: j */
    public Size f6585j;

    /* renamed from: k */
    public int f6586k = -1;

    /* renamed from: l */
    public Context f6587l;

    /* renamed from: m */
    public final C1399a f6588m;

    /* renamed from: c.e.a.q.e$a */
    /* compiled from: CameraManager */
    public final class C1399a implements Camera.PreviewCallback {

        /* renamed from: a */
        public PreviewCallback f6589a;

        /* renamed from: b */
        public Size f6590b;

        public C1399a() {
        }

        public void onPreviewFrame(byte[] bArr, Camera camera) {
            Size oVar = this.f6590b;
            PreviewCallback mVar = this.f6589a;
            if (oVar == null || mVar == null) {
                Log.d("e", "Got preview callback, but no handler or resolution available");
                return;
            }
            byte[] bArr2 = bArr;
            DecoderThread.C1388b bVar = (DecoderThread.C1388b) mVar;
            bVar.mo5975a(new SourceData(bArr2, oVar.f6537b, oVar.f6538c, camera.getParameters().getPreviewFormat(), CameraManager.this.f6586k));
        }
    }

    public CameraManager(Context context) {
        this.f6587l = context;
        this.f6588m = new C1399a();
    }

    /* renamed from: a */
    public final void mo5997a(boolean z) {
        String str;
        Camera.Parameters parameters = this.f6576a.getParameters();
        String str2 = this.f6581f;
        if (str2 == null) {
            this.f6581f = parameters.flatten();
        } else {
            parameters.unflatten(str2);
        }
        if (parameters == null) {
            Log.w("e", "Device error: no camera parameters are available. Proceeding without configuration.");
            return;
        }
        StringBuilder a = outline.m2937a("Initial camera parameters: ");
        a.append(parameters.flatten());
        Log.i("e", a.toString());
        if (z) {
            Log.w("e", "In camera config safe mode -- most settings will not be honored");
        }
        CameraConfigurationUtils.m4794a(parameters, this.f6582g.f6599h, z);
        if (!z) {
            CameraConfigurationUtils.m4795a(parameters, false);
            if (this.f6582g.f6593b) {
                if ("negative".equals(parameters.getColorEffect())) {
                    Log.i("CameraConfiguration", "Negative effect already set");
                } else {
                    String a2 = CameraConfigurationUtils.m4793a("color effect", (Collection<String>) parameters.getSupportedColorEffects(), "negative");
                    if (a2 != null) {
                        parameters.setColorEffect(a2);
                    }
                }
            }
            if (this.f6582g.f6594c) {
                if ("barcode".equals(parameters.getSceneMode())) {
                    Log.i("CameraConfiguration", "Barcode scene mode already set");
                } else {
                    String a3 = CameraConfigurationUtils.m4793a("scene mode", (Collection<String>) parameters.getSupportedSceneModes(), "barcode");
                    if (a3 != null) {
                        parameters.setSceneMode(a3);
                    }
                }
            }
            if (this.f6582g.f6595d) {
                if (!parameters.isVideoStabilizationSupported()) {
                    Log.i("CameraConfiguration", "This device does not support video stabilization");
                } else if (parameters.getVideoStabilization()) {
                    Log.i("CameraConfiguration", "Video stabilization already enabled");
                } else {
                    Log.i("CameraConfiguration", "Enabling video stabilization...");
                    parameters.setVideoStabilization(true);
                }
                if (parameters.getMaxNumFocusAreas() > 0) {
                    StringBuilder a4 = outline.m2937a("Old focus areas: ");
                    a4.append(CameraConfigurationUtils.m4792a(parameters.getFocusAreas()));
                    Log.i("CameraConfiguration", a4.toString());
                    List singletonList = Collections.singletonList(new Camera.Area(new Rect(-400, -400, 400, 400), 1));
                    StringBuilder a5 = outline.m2937a("Setting focus area to : ");
                    a5.append(CameraConfigurationUtils.m4792a(singletonList));
                    Log.i("CameraConfiguration", a5.toString());
                    parameters.setFocusAreas(singletonList);
                } else {
                    Log.i("CameraConfiguration", "Device does not support focus areas");
                }
                if (parameters.getMaxNumMeteringAreas() > 0) {
                    StringBuilder a6 = outline.m2937a("Old metering areas: ");
                    a6.append(parameters.getMeteringAreas());
                    Log.i("CameraConfiguration", a6.toString());
                    List singletonList2 = Collections.singletonList(new Camera.Area(new Rect(-400, -400, 400, 400), 1));
                    StringBuilder a7 = outline.m2937a("Setting metering area to : ");
                    a7.append(CameraConfigurationUtils.m4792a(singletonList2));
                    Log.i("CameraConfiguration", a7.toString());
                    parameters.setMeteringAreas(singletonList2);
                } else {
                    Log.i("CameraConfiguration", "Device does not support metering areas");
                }
            }
        }
        List<Camera.Size> supportedPreviewSizes = parameters.getSupportedPreviewSizes();
        ArrayList arrayList = new ArrayList();
        if (supportedPreviewSizes == null) {
            Camera.Size previewSize = parameters.getPreviewSize();
            if (previewSize != null) {
                arrayList.add(new Size(previewSize.width, previewSize.height));
            }
        } else {
            for (Camera.Size next : supportedPreviewSizes) {
                arrayList.add(new Size(next.width, next.height));
            }
        }
        int[] iArr = null;
        if (arrayList.size() == 0) {
            this.f6584i = null;
        } else {
            DisplayConfiguration jVar = this.f6583h;
            boolean c = mo6000c();
            Size oVar = jVar.f6612a;
            if (oVar == null) {
                oVar = null;
            } else if (c) {
                oVar = new Size(oVar.f6538c, oVar.f6537b);
            }
            C1401o oVar2 = jVar.f6614c;
            if (oVar2 != null) {
                if (oVar != null) {
                    Collections.sort(arrayList, new PreviewScalingStrategy(oVar2, oVar));
                }
                Log.i("o", "Viewfinder size: " + oVar);
                Log.i("o", "Preview in order of preference: " + arrayList);
                Size oVar3 = (Size) arrayList.get(0);
                this.f6584i = oVar3;
                parameters.setPreviewSize(oVar3.f6537b, oVar3.f6538c);
            } else {
                throw null;
            }
        }
        if (Build.DEVICE.equals("glass-1")) {
            List<int[]> supportedPreviewFpsRange = parameters.getSupportedPreviewFpsRange();
            StringBuilder a8 = outline.m2937a("Supported FPS ranges: ");
            if (supportedPreviewFpsRange == null || supportedPreviewFpsRange.isEmpty()) {
                str = HttpUrl.PATH_SEGMENT_ENCODE_SET_URI;
            } else {
                StringBuilder sb = new StringBuilder();
                sb.append('[');
                Iterator<int[]> it = supportedPreviewFpsRange.iterator();
                while (it.hasNext()) {
                    sb.append(Arrays.toString(it.next()));
                    if (it.hasNext()) {
                        sb.append(", ");
                    }
                }
                sb.append(']');
                str = sb.toString();
            }
            a8.append(str);
            Log.i("CameraConfiguration", a8.toString());
            if (supportedPreviewFpsRange != null && !supportedPreviewFpsRange.isEmpty()) {
                Iterator<int[]> it2 = supportedPreviewFpsRange.iterator();
                while (true) {
                    if (!it2.hasNext()) {
                        break;
                    }
                    int[] next2 = it2.next();
                    int i = next2[0];
                    int i2 = next2[1];
                    if (i >= 10000 && i2 <= 20000) {
                        iArr = next2;
                        break;
                    }
                }
                if (iArr == null) {
                    Log.i("CameraConfiguration", "No suitable FPS range?");
                } else {
                    int[] iArr2 = new int[2];
                    parameters.getPreviewFpsRange(iArr2);
                    if (Arrays.equals(iArr2, iArr)) {
                        StringBuilder a9 = outline.m2937a("FPS range already set to ");
                        a9.append(Arrays.toString(iArr));
                        Log.i("CameraConfiguration", a9.toString());
                    } else {
                        StringBuilder a10 = outline.m2937a("Setting FPS range to ");
                        a10.append(Arrays.toString(iArr));
                        Log.i("CameraConfiguration", a10.toString());
                        parameters.setPreviewFpsRange(iArr[0], iArr[1]);
                    }
                }
            }
        }
        StringBuilder a11 = outline.m2937a("Final camera parameters: ");
        a11.append(parameters.flatten());
        Log.i("e", a11.toString());
        this.f6576a.setParameters(parameters);
    }

    /* renamed from: b */
    public void mo5998b() {
        if (this.f6576a != null) {
            try {
                int a = mo5996a();
                this.f6586k = a;
                this.f6576a.setDisplayOrientation(a);
            } catch (Exception unused) {
                Log.w("e", "Failed to set rotation.");
            }
            try {
                mo5997a(false);
            } catch (Exception unused2) {
                try {
                    mo5997a(true);
                } catch (Exception unused3) {
                    Log.w("e", "Camera rejected even safe-mode parameters! No configuration");
                }
            }
            Camera.Size previewSize = this.f6576a.getParameters().getPreviewSize();
            if (previewSize == null) {
                this.f6585j = this.f6584i;
            } else {
                this.f6585j = new Size(previewSize.width, previewSize.height);
            }
            this.f6588m.f6590b = this.f6585j;
            return;
        }
        throw new RuntimeException("Camera not open");
    }

    /* renamed from: c */
    public boolean mo6000c() {
        int i = this.f6586k;
        if (i != -1) {
            return i % 180 != 0;
        }
        throw new IllegalStateException("Rotation not calculated yet. Call configure() first.");
    }

    /* renamed from: d */
    public void mo6001d() {
        Camera camera;
        int a = OpenCameraInterface.m4796a(this.f6582g.f6592a);
        if (a == -1) {
            camera = null;
        } else {
            camera = Camera.open(a);
        }
        this.f6576a = camera;
        if (camera != null) {
            int a2 = OpenCameraInterface.m4796a(this.f6582g.f6592a);
            Camera.CameraInfo cameraInfo = new Camera.CameraInfo();
            this.f6577b = cameraInfo;
            Camera.getCameraInfo(a2, cameraInfo);
            return;
        }
        throw new RuntimeException("Failed to open camera");
    }

    /* renamed from: e */
    public void mo6002e() {
        Camera camera = this.f6576a;
        if (camera != null && !this.f6580e) {
            camera.startPreview();
            this.f6580e = true;
            this.f6578c = new AutoFocusManager(this.f6576a, this.f6582g);
            C1325b bVar = new C1325b(this.f6587l, this, this.f6582g);
            this.f6579d = bVar;
            if (bVar.f6050b.f6598g) {
                SensorManager sensorManager = (SensorManager) bVar.f6052d.getSystemService("sensor");
                Sensor defaultSensor = sensorManager.getDefaultSensor(5);
                bVar.f6051c = defaultSensor;
                if (defaultSensor != null) {
                    sensorManager.registerListener(bVar, defaultSensor, 3);
                }
            }
        }
    }

    /* renamed from: f */
    public void mo6003f() {
        AutoFocusManager aVar = this.f6578c;
        if (aVar != null) {
            aVar.mo5985c();
            this.f6578c = null;
        }
        C1325b bVar = this.f6579d;
        if (bVar != null) {
            if (bVar.f6051c != null) {
                ((SensorManager) bVar.f6052d.getSystemService("sensor")).unregisterListener(bVar);
                bVar.f6051c = null;
            }
            this.f6579d = null;
        }
        Camera camera = this.f6576a;
        if (camera != null && this.f6580e) {
            camera.stopPreview();
            this.f6588m.f6589a = null;
            this.f6580e = false;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:4:0x000b, code lost:
        r0 = r0.getFlashMode();
     */
    /* renamed from: b */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void mo5999b(boolean r9) {
        /*
            r8 = this;
            android.hardware.Camera r0 = r8.f6576a
            if (r0 == 0) goto L_0x00bc
            android.hardware.Camera$Parameters r0 = r0.getParameters()
            r1 = 0
            if (r0 == 0) goto L_0x0023
            java.lang.String r0 = r0.getFlashMode()
            if (r0 == 0) goto L_0x0023
            java.lang.String r2 = "on"
            boolean r2 = r2.equals(r0)
            if (r2 != 0) goto L_0x0021
            java.lang.String r2 = "torch"
            boolean r0 = r2.equals(r0)
            if (r0 == 0) goto L_0x0023
        L_0x0021:
            r0 = 1
            goto L_0x0024
        L_0x0023:
            r0 = 0
        L_0x0024:
            if (r9 == r0) goto L_0x00bc
            c.e.a.q.a r0 = r8.f6578c
            if (r0 == 0) goto L_0x002d
            r0.mo5985c()
        L_0x002d:
            android.hardware.Camera r0 = r8.f6576a
            android.hardware.Camera$Parameters r0 = r0.getParameters()
            p085c.p132d.p190c.p194q.p195a.p196m.CameraConfigurationUtils.m4795a(r0, r9)
            c.e.a.q.f r2 = r8.f6582g
            boolean r2 = r2.f6597f
            if (r2 == 0) goto L_0x00ae
            int r2 = r0.getMinExposureCompensation()
            int r3 = r0.getMaxExposureCompensation()
            float r4 = r0.getExposureCompensationStep()
            java.lang.String r5 = "CameraConfiguration"
            if (r2 != 0) goto L_0x004e
            if (r3 == 0) goto L_0x00a9
        L_0x004e:
            r6 = 0
            int r7 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1))
            if (r7 <= 0) goto L_0x00a9
            if (r9 == 0) goto L_0x0056
            goto L_0x0058
        L_0x0056:
            r6 = 1069547520(0x3fc00000, float:1.5)
        L_0x0058:
            float r6 = r6 / r4
            int r9 = java.lang.Math.round(r6)
            float r6 = (float) r9
            float r4 = r4 * r6
            int r9 = java.lang.Math.min(r9, r3)
            int r9 = java.lang.Math.max(r9, r2)
            int r2 = r0.getExposureCompensation()
            java.lang.String r3 = " / "
            if (r2 != r9) goto L_0x008b
            java.lang.StringBuilder r2 = new java.lang.StringBuilder
            r2.<init>()
            java.lang.String r6 = "Exposure compensation already set to "
            r2.append(r6)
            r2.append(r9)
            r2.append(r3)
            r2.append(r4)
            java.lang.String r9 = r2.toString()
            android.util.Log.i(r5, r9)
            goto L_0x00ae
        L_0x008b:
            java.lang.StringBuilder r2 = new java.lang.StringBuilder
            r2.<init>()
            java.lang.String r6 = "Setting exposure compensation to "
            r2.append(r6)
            r2.append(r9)
            r2.append(r3)
            r2.append(r4)
            java.lang.String r2 = r2.toString()
            android.util.Log.i(r5, r2)
            r0.setExposureCompensation(r9)
            goto L_0x00ae
        L_0x00a9:
            java.lang.String r9 = "Camera does not support exposure compensation"
            android.util.Log.i(r5, r9)
        L_0x00ae:
            android.hardware.Camera r9 = r8.f6576a
            r9.setParameters(r0)
            c.e.a.q.a r9 = r8.f6578c
            if (r9 == 0) goto L_0x00bc
            r9.f6546a = r1
            r9.mo5984b()
        L_0x00bc:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: p085c.p219e.p220a.p221q.CameraManager.mo5999b(boolean):void");
    }

    /* renamed from: a */
    public final int mo5996a() {
        int i;
        int i2 = this.f6583h.f6613b;
        int i3 = 0;
        if (i2 != 0) {
            if (i2 == 1) {
                i3 = 90;
            } else if (i2 == 2) {
                i3 = 180;
            } else if (i2 == 3) {
                i3 = 270;
            }
        }
        Camera.CameraInfo cameraInfo = this.f6577b;
        if (cameraInfo.facing == 1) {
            i = (360 - ((cameraInfo.orientation + i3) % 360)) % 360;
        } else {
            i = ((cameraInfo.orientation - i3) + 360) % 360;
        }
        Log.i("e", "Camera Display Orientation: " + i);
        return i;
    }
}
