package p229e.p230a;

import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p229e.p230a.p233k.Disposable;
import p229e.p230a.p236n.p237a.DisposableHelper;
import p229e.p230a.p236n.p237a.EmptyDisposable;
import p229e.p230a.p236n.p237a.SequentialDisposable;
import p229e.p230a.p236n.p238b.ObjectHelper;
import p229e.p230a.p236n.p246g.NewThreadWorker;
import p229e.p230a.p236n.p247h.ExceptionHelper;

/* renamed from: e.a.g */
public abstract class Scheduler {

    /* renamed from: a */
    public static final long f7307a = TimeUnit.MINUTES.toNanos(Long.getLong("rx2.scheduler.drift-tolerance", 15).longValue());

    /* renamed from: e.a.g$a */
    /* compiled from: Scheduler */
    public static final class C1837a implements Disposable, Runnable {

        /* renamed from: b */
        public final Runnable f7308b;

        /* renamed from: c */
        public final C1839c f7309c;

        /* renamed from: d */
        public Thread f7310d;

        public C1837a(Runnable runnable, C1839c cVar) {
            this.f7308b = runnable;
            this.f7309c = cVar;
        }

        /* renamed from: c */
        public void mo9131c() {
            if (this.f7310d == Thread.currentThread()) {
                C1839c cVar = this.f7309c;
                if (cVar instanceof NewThreadWorker) {
                    NewThreadWorker fVar = (NewThreadWorker) cVar;
                    if (!fVar.f7498c) {
                        fVar.f7498c = true;
                        fVar.f7497b.shutdown();
                        return;
                    }
                    return;
                }
            }
            this.f7309c.mo9131c();
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7309c.mo9132d();
        }

        public void run() {
            this.f7310d = Thread.currentThread();
            try {
                this.f7308b.run();
            } finally {
                mo9131c();
                this.f7310d = null;
            }
        }
    }

    /* renamed from: e.a.g$b */
    /* compiled from: Scheduler */
    public static final class C1838b implements Disposable, Runnable {

        /* renamed from: b */
        public final Runnable f7311b;

        /* renamed from: c */
        public final C1839c f7312c;

        /* renamed from: d */
        public volatile boolean f7313d;

        public C1838b(Runnable runnable, C1839c cVar) {
            this.f7311b = runnable;
            this.f7312c = cVar;
        }

        /* renamed from: c */
        public void mo9131c() {
            this.f7313d = true;
            this.f7312c.mo9131c();
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7313d;
        }

        public void run() {
            if (!this.f7313d) {
                try {
                    this.f7311b.run();
                } catch (Throwable th) {
                    C1050v.m4204b(th);
                    this.f7312c.mo9131c();
                    throw ExceptionHelper.m5783a(th);
                }
            }
        }
    }

    /* renamed from: e.a.g$c */
    /* compiled from: Scheduler */
    public static abstract class C1839c implements Disposable {

        /* renamed from: e.a.g$c$a */
        /* compiled from: Scheduler */
        public final class C1840a implements Runnable {

            /* renamed from: b */
            public final Runnable f7314b;

            /* renamed from: c */
            public final SequentialDisposable f7315c;

            /* renamed from: d */
            public final long f7316d;

            /* renamed from: e */
            public long f7317e;

            /* renamed from: f */
            public long f7318f;

            /* renamed from: g */
            public long f7319g;

            public C1840a(long j, Runnable runnable, long j2, SequentialDisposable eVar, long j3) {
                this.f7314b = runnable;
                this.f7315c = eVar;
                this.f7316d = j3;
                this.f7318f = j2;
                this.f7319g = j;
            }

            /* JADX WARNING: Removed duplicated region for block: B:10:0x0053  */
            /* JADX WARNING: Removed duplicated region for block: B:11:0x0057  */
            /* Code decompiled incorrectly, please refer to instructions dump. */
            public void run() {
                /*
                    r11 = this;
                    java.lang.Runnable r0 = r11.f7314b
                    r0.run()
                    e.a.n.a.e r0 = r11.f7315c
                    boolean r0 = r0.mo9132d()
                    if (r0 != 0) goto L_0x0059
                    e.a.g$c r0 = p229e.p230a.Scheduler.C1839c.this
                    java.util.concurrent.TimeUnit r1 = java.util.concurrent.TimeUnit.NANOSECONDS
                    long r0 = r0.mo9135a((java.util.concurrent.TimeUnit) r1)
                    long r2 = p229e.p230a.Scheduler.f7307a
                    long r4 = r0 + r2
                    long r6 = r11.f7318f
                    r8 = 1
                    int r10 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1))
                    if (r10 < 0) goto L_0x0035
                    long r4 = r11.f7316d
                    long r6 = r6 + r4
                    long r6 = r6 + r2
                    int r2 = (r0 > r6 ? 1 : (r0 == r6 ? 0 : -1))
                    if (r2 < 0) goto L_0x002a
                    goto L_0x0035
                L_0x002a:
                    long r2 = r11.f7319g
                    long r6 = r11.f7317e
                    long r6 = r6 + r8
                    r11.f7317e = r6
                    long r6 = r6 * r4
                    long r6 = r6 + r2
                    goto L_0x0044
                L_0x0035:
                    long r2 = r11.f7316d
                    long r6 = r0 + r2
                    long r4 = r11.f7317e
                    long r4 = r4 + r8
                    r11.f7317e = r4
                    long r2 = r2 * r4
                    long r2 = r6 - r2
                    r11.f7319g = r2
                L_0x0044:
                    r11.f7318f = r0
                    long r6 = r6 - r0
                    e.a.n.a.e r0 = r11.f7315c
                    e.a.g$c r1 = p229e.p230a.Scheduler.C1839c.this
                    java.util.concurrent.TimeUnit r2 = java.util.concurrent.TimeUnit.NANOSECONDS
                    e.a.k.b r1 = r1.mo9138a(r11, r6, r2)
                    if (r0 == 0) goto L_0x0057
                    p229e.p230a.p236n.p237a.DisposableHelper.m5614a((java.util.concurrent.atomic.AtomicReference<p229e.p230a.p233k.Disposable>) r0, (p229e.p230a.p233k.Disposable) r1)
                    goto L_0x0059
                L_0x0057:
                    r0 = 0
                    throw r0
                L_0x0059:
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: p229e.p230a.Scheduler.C1839c.C1840a.run():void");
            }
        }

        /* renamed from: a */
        public Disposable mo9136a(Runnable runnable) {
            return mo9138a(runnable, 0, TimeUnit.NANOSECONDS);
        }

        /* renamed from: a */
        public abstract Disposable mo9138a(Runnable runnable, long j, TimeUnit timeUnit);

        /* renamed from: a */
        public Disposable mo9137a(Runnable runnable, long j, long j2, TimeUnit timeUnit) {
            long j3 = j;
            TimeUnit timeUnit2 = timeUnit;
            SequentialDisposable eVar = new SequentialDisposable();
            SequentialDisposable eVar2 = new SequentialDisposable(eVar);
            ObjectHelper.m5630a(runnable, "run is null");
            long nanos = timeUnit2.toNanos(j2);
            long a = mo9135a(TimeUnit.NANOSECONDS);
            SequentialDisposable eVar3 = eVar;
            C1840a aVar = r0;
            C1840a aVar2 = new C1840a(timeUnit2.toNanos(j3) + a, runnable, a, eVar2, nanos);
            Disposable a2 = mo9138a(aVar, j3, timeUnit2);
            if (a2 == EmptyDisposable.INSTANCE) {
                return a2;
            }
            DisposableHelper.m5614a((AtomicReference<Disposable>) eVar3, a2);
            return eVar2;
        }

        /* renamed from: a */
        public long mo9135a(TimeUnit timeUnit) {
            return timeUnit.convert(System.currentTimeMillis(), TimeUnit.MILLISECONDS);
        }
    }

    /* renamed from: a */
    public abstract C1839c mo9127a();

    /* renamed from: a */
    public Disposable mo9128a(Runnable runnable) {
        return mo9130a(runnable, 0, TimeUnit.NANOSECONDS);
    }

    /* renamed from: a */
    public Disposable mo9130a(Runnable runnable, long j, TimeUnit timeUnit) {
        C1839c a = mo9127a();
        ObjectHelper.m5630a(runnable, "run is null");
        C1837a aVar = new C1837a(runnable, a);
        a.mo9138a(aVar, j, timeUnit);
        return aVar;
    }

    /* renamed from: a */
    public Disposable mo9129a(Runnable runnable, long j, long j2, TimeUnit timeUnit) {
        C1839c a = mo9127a();
        ObjectHelper.m5630a(runnable, "run is null");
        C1838b bVar = new C1838b(runnable, a);
        Disposable a2 = a.mo9137a(bVar, j, j2, timeUnit);
        return a2 == EmptyDisposable.INSTANCE ? a2 : bVar;
    }
}
