package p229e.p230a.p236n.p241e.p243b;

import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p229e.p230a.C1836f;
import p229e.p230a.ObservableSource;
import p229e.p230a.p233k.Disposable;
import p229e.p230a.p235m.Function;
import p229e.p230a.p236n.p237a.DisposableHelper;
import p229e.p230a.p236n.p237a.EmptyDisposable;
import p229e.p230a.p236n.p238b.Functions;
import p229e.p230a.p236n.p238b.ObjectHelper;
import p229e.p230a.p236n.p239c.QueueDisposable;
import p229e.p230a.p236n.p239c.SimpleQueue;
import p229e.p230a.p236n.p245f.SpscLinkedArrayQueue;
import p229e.p230a.p236n.p247h.AtomicThrowable;
import p229e.p230a.p236n.p247h.ErrorMode;
import p229e.p230a.p236n.p247h.ExceptionHelper;
import p229e.p230a.p248o.SerializedObserver;

/* renamed from: e.a.n.e.b.b */
public final class ObservableConcatMap<T, U> extends AbstractObservableWithUpstream<T, U> {

    /* renamed from: c */
    public final Function<? super T, ? extends ObservableSource<? extends U>> f7367c;

    /* renamed from: d */
    public final int f7368d;

    /* renamed from: e */
    public final ErrorMode f7369e;

    public ObservableConcatMap(ObservableSource<T> eVar, Function<? super T, ? extends ObservableSource<? extends U>> cVar, int i, ErrorMode cVar2) {
        super(eVar);
        this.f7367c = cVar;
        this.f7369e = cVar2;
        this.f7368d = Math.max(8, i);
    }

    /* renamed from: b */
    public void mo9122b(C1836f<? super U> fVar) {
        boolean z;
        ObservableSource<T> eVar = this.f7366b;
        Function<? super T, ? extends ObservableSource<? extends U>> cVar = this.f7367c;
        boolean z2 = true;
        if (eVar instanceof Callable) {
            try {
                Object call = ((Callable) eVar).call();
                if (call == null) {
                    fVar.mo9124a((Disposable) EmptyDisposable.INSTANCE);
                    fVar.mo9123a();
                } else {
                    try {
                        if (((Functions.C1848d) cVar) != null) {
                            ObjectHelper.m5630a(call, "The mapper returned a null ObservableSource");
                            ObservableSource eVar2 = (ObservableSource) call;
                            if (eVar2 instanceof Callable) {
                                try {
                                    Object call2 = ((Callable) eVar2).call();
                                    if (call2 == null) {
                                        fVar.mo9124a((Disposable) EmptyDisposable.INSTANCE);
                                        fVar.mo9123a();
                                    } else {
                                        ObservableScalarXMap gVar = new ObservableScalarXMap(fVar, call2);
                                        fVar.mo9124a((Disposable) gVar);
                                        gVar.run();
                                    }
                                } catch (Throwable th) {
                                    C1050v.m4204b(th);
                                    fVar.mo9124a((Disposable) EmptyDisposable.INSTANCE);
                                    fVar.mo9125a(th);
                                }
                            } else {
                                eVar2.mo9121a(fVar);
                            }
                        } else {
                            throw null;
                        }
                    } catch (Throwable th2) {
                        C1050v.m4204b(th2);
                        fVar.mo9124a((Disposable) EmptyDisposable.INSTANCE);
                        fVar.mo9125a(th2);
                    }
                }
            } catch (Throwable th3) {
                C1050v.m4204b(th3);
                fVar.mo9124a((Disposable) EmptyDisposable.INSTANCE);
                fVar.mo9125a(th3);
            }
            z = true;
        } else {
            z = false;
        }
        if (!z) {
            if (this.f7369e == ErrorMode.IMMEDIATE) {
                this.f7366b.mo9121a(new C1853b(new SerializedObserver(fVar), this.f7367c, this.f7368d));
                return;
            }
            ObservableSource<T> eVar3 = this.f7366b;
            Function<? super T, ? extends ObservableSource<? extends U>> cVar2 = this.f7367c;
            int i = this.f7368d;
            if (this.f7369e != ErrorMode.END) {
                z2 = false;
            }
            eVar3.mo9121a(new C1851a(fVar, cVar2, i, z2));
        }
    }

    /* renamed from: e.a.n.e.b.b$a */
    /* compiled from: ObservableConcatMap */
    public static final class C1851a<T, R> extends AtomicInteger implements C1836f<T>, Disposable {

        /* renamed from: b */
        public final C1836f<? super R> f7370b;

        /* renamed from: c */
        public final Function<? super T, ? extends ObservableSource<? extends R>> f7371c;

        /* renamed from: d */
        public final int f7372d;

        /* renamed from: e */
        public final AtomicThrowable f7373e = new AtomicThrowable();

        /* renamed from: f */
        public final C1852a<R> f7374f;

        /* renamed from: g */
        public final boolean f7375g;

        /* renamed from: h */
        public SimpleQueue<T> f7376h;

        /* renamed from: i */
        public Disposable f7377i;

        /* renamed from: j */
        public volatile boolean f7378j;

        /* renamed from: k */
        public volatile boolean f7379k;

        /* renamed from: l */
        public volatile boolean f7380l;

        /* renamed from: m */
        public int f7381m;

        /* renamed from: e.a.n.e.b.b$a$a */
        /* compiled from: ObservableConcatMap */
        public static final class C1852a<R> extends AtomicReference<Disposable> implements C1836f<R> {

            /* renamed from: b */
            public final C1836f<? super R> f7382b;

            /* renamed from: c */
            public final C1851a<?, R> f7383c;

            public C1852a(C1836f<? super R> fVar, C1851a<?, R> aVar) {
                this.f7382b = fVar;
                this.f7383c = aVar;
            }

            /* renamed from: a */
            public void mo9124a(Disposable bVar) {
                DisposableHelper.m5614a((AtomicReference<Disposable>) this, bVar);
            }

            /* renamed from: b */
            public void mo9126b(R r) {
                this.f7382b.mo9126b(r);
            }

            /* renamed from: a */
            public void mo9125a(Throwable th) {
                C1851a<?, R> aVar = this.f7383c;
                AtomicThrowable bVar = aVar.f7373e;
                if (bVar == null) {
                    throw null;
                } else if (ExceptionHelper.m5785a(bVar, th)) {
                    if (!aVar.f7375g) {
                        aVar.f7377i.mo9131c();
                    }
                    aVar.f7378j = false;
                    aVar.mo9180b();
                } else {
                    C1050v.m4178a(th);
                }
            }

            /* renamed from: a */
            public void mo9123a() {
                C1851a<?, R> aVar = this.f7383c;
                aVar.f7378j = false;
                aVar.mo9180b();
            }
        }

        public C1851a(C1836f<? super R> fVar, Function<? super T, ? extends ObservableSource<? extends R>> cVar, int i, boolean z) {
            this.f7370b = fVar;
            this.f7371c = cVar;
            this.f7372d = i;
            this.f7375g = z;
            this.f7374f = new C1852a<>(fVar, this);
        }

        /* JADX WARNING: type inference failed for: r3v3, types: [e.a.n.c.a, e.a.n.c.d<T>] */
        /* renamed from: a */
        public void mo9124a(Disposable bVar) {
            if (DisposableHelper.m5612a(this.f7377i, bVar)) {
                this.f7377i = bVar;
                if (bVar instanceof QueueDisposable) {
                    ? r3 = (QueueDisposable) bVar;
                    int a = r3.mo9162a(3);
                    if (a == 1) {
                        this.f7381m = a;
                        this.f7376h = r3;
                        this.f7379k = true;
                        this.f7370b.mo9124a((Disposable) this);
                        mo9180b();
                        return;
                    } else if (a == 2) {
                        this.f7381m = a;
                        this.f7376h = r3;
                        this.f7370b.mo9124a((Disposable) this);
                        return;
                    }
                }
                this.f7376h = new SpscLinkedArrayQueue(this.f7372d);
                this.f7370b.mo9124a((Disposable) this);
            }
        }

        /* renamed from: b */
        public void mo9126b(T t) {
            if (this.f7381m == 0) {
                this.f7376h.mo9172a(t);
            }
            mo9180b();
        }

        /* renamed from: c */
        public void mo9131c() {
            this.f7380l = true;
            this.f7377i.mo9131c();
            C1852a<R> aVar = this.f7374f;
            if (aVar != null) {
                DisposableHelper.m5613a((AtomicReference<Disposable>) aVar);
                return;
            }
            throw null;
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7380l;
        }

        /* JADX INFO: finally extract failed */
        /* JADX WARNING: Code restructure failed: missing block: B:51:?, code lost:
            throw null;
         */
        /* renamed from: b */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public void mo9180b() {
            /*
                r8 = this;
                int r0 = r8.getAndIncrement()
                if (r0 == 0) goto L_0x0007
                return
            L_0x0007:
                e.a.f<? super R> r0 = r8.f7370b
                e.a.n.c.d<T> r1 = r8.f7376h
                e.a.n.h.b r2 = r8.f7373e
            L_0x000d:
                boolean r3 = r8.f7378j
                if (r3 != 0) goto L_0x00c2
                boolean r3 = r8.f7380l
                if (r3 == 0) goto L_0x0019
                r1.clear()
                return
            L_0x0019:
                boolean r3 = r8.f7375g
                r4 = 1
                if (r3 != 0) goto L_0x0033
                java.lang.Object r3 = r2.get()
                java.lang.Throwable r3 = (java.lang.Throwable) r3
                if (r3 == 0) goto L_0x0033
                r1.clear()
                r8.f7380l = r4
                java.lang.Throwable r1 = p229e.p230a.p236n.p247h.ExceptionHelper.m5784a((java.util.concurrent.atomic.AtomicReference<java.lang.Throwable>) r2)
                r0.mo9125a((java.lang.Throwable) r1)
                return
            L_0x0033:
                boolean r3 = r8.f7379k
                r5 = 0
                java.lang.Object r6 = r1.mo9173b()     // Catch:{ all -> 0x00a9 }
                if (r6 != 0) goto L_0x003e
                r7 = 1
                goto L_0x003f
            L_0x003e:
                r7 = 0
            L_0x003f:
                if (r3 == 0) goto L_0x0056
                if (r7 == 0) goto L_0x0056
                r8.f7380l = r4
                if (r2 == 0) goto L_0x0055
                java.lang.Throwable r1 = p229e.p230a.p236n.p247h.ExceptionHelper.m5784a((java.util.concurrent.atomic.AtomicReference<java.lang.Throwable>) r2)
                if (r1 == 0) goto L_0x0051
                r0.mo9125a((java.lang.Throwable) r1)
                goto L_0x0054
            L_0x0051:
                r0.mo9123a()
            L_0x0054:
                return
            L_0x0055:
                throw r5
            L_0x0056:
                if (r7 != 0) goto L_0x00c2
                e.a.m.c<? super T, ? extends e.a.e<? extends R>> r3 = r8.f7371c     // Catch:{ all -> 0x008d }
                e.a.n.b.a$d r3 = (p229e.p230a.p236n.p238b.Functions.C1848d) r3     // Catch:{ all -> 0x008d }
                if (r3 == 0) goto L_0x008c
                java.lang.String r3 = "The mapper returned a null ObservableSource"
                p229e.p230a.p236n.p238b.ObjectHelper.m5630a(r6, r3)     // Catch:{ all -> 0x008d }
                e.a.e r6 = (p229e.p230a.ObservableSource) r6     // Catch:{ all -> 0x008d }
                boolean r3 = r6 instanceof java.util.concurrent.Callable
                if (r3 == 0) goto L_0x0084
                java.util.concurrent.Callable r6 = (java.util.concurrent.Callable) r6     // Catch:{ all -> 0x0079 }
                java.lang.Object r3 = r6.call()     // Catch:{ all -> 0x0079 }
                if (r3 == 0) goto L_0x000d
                boolean r4 = r8.f7380l
                if (r4 != 0) goto L_0x000d
                r0.mo9126b(r3)
                goto L_0x000d
            L_0x0079:
                r3 = move-exception
                p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4204b((java.lang.Throwable) r3)
                if (r2 == 0) goto L_0x0083
                p229e.p230a.p236n.p247h.ExceptionHelper.m5785a(r2, r3)
                goto L_0x000d
            L_0x0083:
                throw r5
            L_0x0084:
                r8.f7378j = r4
                e.a.n.e.b.b$a$a<R> r3 = r8.f7374f
                r6.mo9121a(r3)
                goto L_0x00c2
            L_0x008c:
                throw r5     // Catch:{ all -> 0x008d }
            L_0x008d:
                r3 = move-exception
                p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4204b((java.lang.Throwable) r3)
                r8.f7380l = r4
                e.a.k.b r4 = r8.f7377i
                r4.mo9131c()
                r1.clear()
                if (r2 == 0) goto L_0x00a8
                p229e.p230a.p236n.p247h.ExceptionHelper.m5785a(r2, r3)
                java.lang.Throwable r1 = p229e.p230a.p236n.p247h.ExceptionHelper.m5784a((java.util.concurrent.atomic.AtomicReference<java.lang.Throwable>) r2)
                r0.mo9125a((java.lang.Throwable) r1)
                return
            L_0x00a8:
                throw r5
            L_0x00a9:
                r1 = move-exception
                p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4204b((java.lang.Throwable) r1)
                r8.f7380l = r4
                e.a.k.b r3 = r8.f7377i
                r3.mo9131c()
                if (r2 == 0) goto L_0x00c1
                p229e.p230a.p236n.p247h.ExceptionHelper.m5785a(r2, r1)
                java.lang.Throwable r1 = p229e.p230a.p236n.p247h.ExceptionHelper.m5784a((java.util.concurrent.atomic.AtomicReference<java.lang.Throwable>) r2)
                r0.mo9125a((java.lang.Throwable) r1)
                return
            L_0x00c1:
                throw r5
            L_0x00c2:
                int r3 = r8.decrementAndGet()
                if (r3 != 0) goto L_0x000d
                return
            */
            throw new UnsupportedOperationException("Method not decompiled: p229e.p230a.p236n.p241e.p243b.ObservableConcatMap.C1851a.mo9180b():void");
        }

        /* renamed from: a */
        public void mo9125a(Throwable th) {
            AtomicThrowable bVar = this.f7373e;
            if (bVar == null) {
                throw null;
            } else if (ExceptionHelper.m5785a(bVar, th)) {
                this.f7379k = true;
                mo9180b();
            } else {
                C1050v.m4178a(th);
            }
        }

        /* renamed from: a */
        public void mo9123a() {
            this.f7379k = true;
            mo9180b();
        }
    }

    /* renamed from: e.a.n.e.b.b$b */
    /* compiled from: ObservableConcatMap */
    public static final class C1853b<T, U> extends AtomicInteger implements C1836f<T>, Disposable {

        /* renamed from: b */
        public final C1836f<? super U> f7384b;

        /* renamed from: c */
        public final Function<? super T, ? extends ObservableSource<? extends U>> f7385c;

        /* renamed from: d */
        public final C1854a<U> f7386d;

        /* renamed from: e */
        public final int f7387e;

        /* renamed from: f */
        public SimpleQueue<T> f7388f;

        /* renamed from: g */
        public Disposable f7389g;

        /* renamed from: h */
        public volatile boolean f7390h;

        /* renamed from: i */
        public volatile boolean f7391i;

        /* renamed from: j */
        public volatile boolean f7392j;

        /* renamed from: k */
        public int f7393k;

        /* renamed from: e.a.n.e.b.b$b$a */
        /* compiled from: ObservableConcatMap */
        public static final class C1854a<U> extends AtomicReference<Disposable> implements C1836f<U> {

            /* renamed from: b */
            public final C1836f<? super U> f7394b;

            /* renamed from: c */
            public final C1853b<?, ?> f7395c;

            public C1854a(C1836f<? super U> fVar, C1853b<?, ?> bVar) {
                this.f7394b = fVar;
                this.f7395c = bVar;
            }

            /* renamed from: a */
            public void mo9124a(Disposable bVar) {
                DisposableHelper.m5614a((AtomicReference<Disposable>) this, bVar);
            }

            /* renamed from: b */
            public void mo9126b(U u) {
                this.f7394b.mo9126b(u);
            }

            /* renamed from: a */
            public void mo9125a(Throwable th) {
                this.f7395c.mo9131c();
                this.f7394b.mo9125a(th);
            }

            /* renamed from: a */
            public void mo9123a() {
                C1853b<?, ?> bVar = this.f7395c;
                bVar.f7390h = false;
                bVar.mo9181b();
            }
        }

        public C1853b(C1836f<? super U> fVar, Function<? super T, ? extends ObservableSource<? extends U>> cVar, int i) {
            this.f7384b = fVar;
            this.f7385c = cVar;
            this.f7387e = i;
            this.f7386d = new C1854a<>(fVar, this);
        }

        /* JADX WARNING: type inference failed for: r3v3, types: [e.a.n.c.a, e.a.n.c.d<T>] */
        /* renamed from: a */
        public void mo9124a(Disposable bVar) {
            if (DisposableHelper.m5612a(this.f7389g, bVar)) {
                this.f7389g = bVar;
                if (bVar instanceof QueueDisposable) {
                    ? r3 = (QueueDisposable) bVar;
                    int a = r3.mo9162a(3);
                    if (a == 1) {
                        this.f7393k = a;
                        this.f7388f = r3;
                        this.f7392j = true;
                        this.f7384b.mo9124a((Disposable) this);
                        mo9181b();
                        return;
                    } else if (a == 2) {
                        this.f7393k = a;
                        this.f7388f = r3;
                        this.f7384b.mo9124a((Disposable) this);
                        return;
                    }
                }
                this.f7388f = new SpscLinkedArrayQueue(this.f7387e);
                this.f7384b.mo9124a((Disposable) this);
            }
        }

        /* renamed from: b */
        public void mo9126b(T t) {
            if (!this.f7392j) {
                if (this.f7393k == 0) {
                    this.f7388f.mo9172a(t);
                }
                mo9181b();
            }
        }

        /* renamed from: c */
        public void mo9131c() {
            this.f7391i = true;
            C1854a<U> aVar = this.f7386d;
            if (aVar != null) {
                DisposableHelper.m5613a((AtomicReference<Disposable>) aVar);
                this.f7389g.mo9131c();
                if (getAndIncrement() == 0) {
                    this.f7388f.clear();
                    return;
                }
                return;
            }
            throw null;
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7391i;
        }

        /* renamed from: b */
        public void mo9181b() {
            if (getAndIncrement() == 0) {
                while (!this.f7391i) {
                    if (!this.f7390h) {
                        boolean z = this.f7392j;
                        try {
                            T b = this.f7388f.mo9173b();
                            boolean z2 = b == null;
                            if (z && z2) {
                                this.f7391i = true;
                                this.f7384b.mo9123a();
                                return;
                            } else if (!z2) {
                                try {
                                    if (((Functions.C1848d) this.f7385c) != null) {
                                        ObjectHelper.m5630a(b, "The mapper returned a null ObservableSource");
                                        ObservableSource eVar = (ObservableSource) b;
                                        this.f7390h = true;
                                        eVar.mo9121a(this.f7386d);
                                    } else {
                                        throw null;
                                    }
                                } catch (Throwable th) {
                                    C1050v.m4204b(th);
                                    mo9131c();
                                    this.f7388f.clear();
                                    this.f7384b.mo9125a(th);
                                    return;
                                }
                            }
                        } catch (Throwable th2) {
                            C1050v.m4204b(th2);
                            mo9131c();
                            this.f7388f.clear();
                            this.f7384b.mo9125a(th2);
                            return;
                        }
                    }
                    if (decrementAndGet() == 0) {
                        return;
                    }
                }
                this.f7388f.clear();
            }
        }

        /* renamed from: a */
        public void mo9125a(Throwable th) {
            if (this.f7392j) {
                C1050v.m4178a(th);
                return;
            }
            this.f7392j = true;
            mo9131c();
            this.f7384b.mo9125a(th);
        }

        /* renamed from: a */
        public void mo9123a() {
            if (!this.f7392j) {
                this.f7392j = true;
                mo9181b();
            }
        }
    }
}
