package p229e.p230a.p236n.p246g;

import java.util.concurrent.Future;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p229e.p230a.Scheduler;
import p229e.p230a.p233k.CompositeDisposable;
import p229e.p230a.p233k.Disposable;
import p229e.p230a.p236n.p237a.EmptyDisposable;
import p229e.p230a.p236n.p237a.ListCompositeDisposable;
import p229e.p230a.p236n.p238b.ObjectHelper;

/* renamed from: e.a.n.g.b */
public final class ComputationScheduler extends Scheduler {

    /* renamed from: d */
    public static final C1863b f7456d;

    /* renamed from: e */
    public static final RxThreadFactory f7457e;

    /* renamed from: f */
    public static final int f7458f;

    /* renamed from: g */
    public static final C1864c f7459g;

    /* renamed from: b */
    public final ThreadFactory f7460b = f7457e;

    /* renamed from: c */
    public final AtomicReference<C1863b> f7461c = new AtomicReference<>(f7456d);

    /* renamed from: e.a.n.g.b$b */
    /* compiled from: ComputationScheduler */
    public static final class C1863b {

        /* renamed from: a */
        public final int f7467a;

        /* renamed from: b */
        public final C1864c[] f7468b;

        /* renamed from: c */
        public long f7469c;

        public C1863b(int i, ThreadFactory threadFactory) {
            this.f7467a = i;
            this.f7468b = new C1864c[i];
            for (int i2 = 0; i2 < i; i2++) {
                this.f7468b[i2] = new C1864c(threadFactory);
            }
        }

        /* renamed from: a */
        public C1864c mo9202a() {
            int i = this.f7467a;
            if (i == 0) {
                return ComputationScheduler.f7459g;
            }
            C1864c[] cVarArr = this.f7468b;
            long j = this.f7469c;
            this.f7469c = 1 + j;
            return cVarArr[(int) (j % ((long) i))];
        }
    }

    /* renamed from: e.a.n.g.b$c */
    /* compiled from: ComputationScheduler */
    public static final class C1864c extends NewThreadWorker {
        public C1864c(ThreadFactory threadFactory) {
            super(threadFactory);
        }
    }

    static {
        int availableProcessors = Runtime.getRuntime().availableProcessors();
        int intValue = Integer.getInteger("rx2.computation-threads", 0).intValue();
        if (intValue > 0 && intValue <= availableProcessors) {
            availableProcessors = intValue;
        }
        f7458f = availableProcessors;
        C1864c cVar = new C1864c(new RxThreadFactory("RxComputationShutdown"));
        f7459g = cVar;
        cVar.mo9131c();
        RxThreadFactory gVar = new RxThreadFactory("RxComputationThreadPool", Math.max(1, Math.min(10, Integer.getInteger("rx2.computation-priority", 5).intValue())), true);
        f7457e = gVar;
        C1863b bVar = new C1863b(0, gVar);
        f7456d = bVar;
        for (C1864c c : bVar.f7468b) {
            c.mo9131c();
        }
    }

    public ComputationScheduler() {
        C1863b bVar = new C1863b(f7458f, this.f7460b);
        if (!this.f7461c.compareAndSet(f7456d, bVar)) {
            for (C1864c c : bVar.f7468b) {
                c.mo9131c();
            }
        }
    }

    /* renamed from: a */
    public Scheduler.C1839c mo9127a() {
        return new C1862a(this.f7461c.get().mo9202a());
    }

    /* renamed from: a */
    public Disposable mo9130a(Runnable runnable, long j, TimeUnit timeUnit) {
        Future future;
        C1864c a = this.f7461c.get().mo9202a();
        if (a != null) {
            ObjectHelper.m5630a(runnable, "run is null");
            ScheduledDirectTask iVar = new ScheduledDirectTask(runnable);
            if (j <= 0) {
                try {
                    future = a.f7497b.submit(iVar);
                } catch (RejectedExecutionException e) {
                    C1050v.m4178a((Throwable) e);
                    return EmptyDisposable.INSTANCE;
                }
            } else {
                future = a.f7497b.schedule(iVar, j, timeUnit);
            }
            iVar.mo9201a(future);
            return iVar;
        }
        throw null;
    }

    /* renamed from: e.a.n.g.b$a */
    /* compiled from: ComputationScheduler */
    public static final class C1862a extends Scheduler.C1839c {

        /* renamed from: b */
        public final ListCompositeDisposable f7462b = new ListCompositeDisposable();

        /* renamed from: c */
        public final CompositeDisposable f7463c = new CompositeDisposable();

        /* renamed from: d */
        public final ListCompositeDisposable f7464d;

        /* renamed from: e */
        public final C1864c f7465e;

        /* renamed from: f */
        public volatile boolean f7466f;

        public C1862a(C1864c cVar) {
            this.f7465e = cVar;
            ListCompositeDisposable dVar = new ListCompositeDisposable();
            this.f7464d = dVar;
            dVar.mo9153c(this.f7462b);
            this.f7464d.mo9153c(this.f7463c);
        }

        /* renamed from: a */
        public Disposable mo9136a(Runnable runnable) {
            if (this.f7466f) {
                return EmptyDisposable.INSTANCE;
            }
            return this.f7465e.mo9206a(runnable, 0, TimeUnit.MILLISECONDS, this.f7462b);
        }

        /* renamed from: c */
        public void mo9131c() {
            if (!this.f7466f) {
                this.f7466f = true;
                this.f7464d.mo9131c();
            }
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7466f;
        }

        /* renamed from: a */
        public Disposable mo9138a(Runnable runnable, long j, TimeUnit timeUnit) {
            if (this.f7466f) {
                return EmptyDisposable.INSTANCE;
            }
            return this.f7465e.mo9206a(runnable, j, timeUnit, this.f7463c);
        }
    }

    /* renamed from: a */
    public Disposable mo9129a(Runnable runnable, long j, long j2, TimeUnit timeUnit) {
        Future future;
        C1864c a = this.f7461c.get().mo9202a();
        if (a != null) {
            ObjectHelper.m5630a(runnable, "run is null");
            if (j2 <= 0) {
                InstantPeriodicTask cVar = new InstantPeriodicTask(runnable, a.f7497b);
                if (j <= 0) {
                    try {
                        future = a.f7497b.submit(cVar);
                    } catch (RejectedExecutionException e) {
                        C1050v.m4178a((Throwable) e);
                        return EmptyDisposable.INSTANCE;
                    }
                } else {
                    future = a.f7497b.schedule(cVar, j, timeUnit);
                }
                cVar.mo9203a(future);
                return cVar;
            }
            ScheduledDirectPeriodicTask hVar = new ScheduledDirectPeriodicTask(runnable);
            try {
                hVar.mo9201a(a.f7497b.scheduleAtFixedRate(hVar, j, j2, timeUnit));
                return hVar;
            } catch (RejectedExecutionException e2) {
                C1050v.m4178a((Throwable) e2);
                return EmptyDisposable.INSTANCE;
            }
        } else {
            throw null;
        }
    }
}
