package p229e.p230a.p236n.p246g;

import java.util.Iterator;
import java.util.concurrent.ConcurrentLinkedQueue;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;
import p229e.p230a.Scheduler;
import p229e.p230a.p233k.CompositeDisposable;
import p229e.p230a.p233k.Disposable;
import p229e.p230a.p236n.p237a.EmptyDisposable;

/* renamed from: e.a.n.g.d */
public final class IoScheduler extends Scheduler {

    /* renamed from: d */
    public static final RxThreadFactory f7476d;

    /* renamed from: e */
    public static final RxThreadFactory f7477e;

    /* renamed from: f */
    public static final long f7478f = Long.getLong("rx2.io-keep-alive-time", 60).longValue();

    /* renamed from: g */
    public static final TimeUnit f7479g = TimeUnit.SECONDS;

    /* renamed from: h */
    public static final C1867c f7480h;

    /* renamed from: i */
    public static final C1865a f7481i;

    /* renamed from: b */
    public final ThreadFactory f7482b = f7476d;

    /* renamed from: c */
    public final AtomicReference<C1865a> f7483c = new AtomicReference<>(f7481i);

    /* renamed from: e.a.n.g.d$a */
    /* compiled from: IoScheduler */
    public static final class C1865a implements Runnable {

        /* renamed from: b */
        public final long f7484b;

        /* renamed from: c */
        public final ConcurrentLinkedQueue<C1867c> f7485c;

        /* renamed from: d */
        public final CompositeDisposable f7486d;

        /* renamed from: e */
        public final ScheduledExecutorService f7487e;

        /* renamed from: f */
        public final Future<?> f7488f;

        /* renamed from: g */
        public final ThreadFactory f7489g;

        public C1865a(long j, TimeUnit timeUnit, ThreadFactory threadFactory) {
            ScheduledFuture<?> scheduledFuture;
            this.f7484b = timeUnit != null ? timeUnit.toNanos(j) : 0;
            this.f7485c = new ConcurrentLinkedQueue<>();
            this.f7486d = new CompositeDisposable();
            this.f7489g = threadFactory;
            ScheduledExecutorService scheduledExecutorService = null;
            if (timeUnit != null) {
                scheduledExecutorService = Executors.newScheduledThreadPool(1, IoScheduler.f7477e);
                long j2 = this.f7484b;
                scheduledFuture = scheduledExecutorService.scheduleWithFixedDelay(this, j2, j2, TimeUnit.NANOSECONDS);
            } else {
                scheduledFuture = null;
            }
            this.f7487e = scheduledExecutorService;
            this.f7488f = scheduledFuture;
        }

        public void run() {
            if (!this.f7485c.isEmpty()) {
                long nanoTime = System.nanoTime();
                Iterator<C1867c> it = this.f7485c.iterator();
                while (it.hasNext()) {
                    C1867c next = it.next();
                    if (next.f7494d > nanoTime) {
                        return;
                    }
                    if (this.f7485c.remove(next) && this.f7486d.mo9151a((Disposable) next)) {
                        next.mo9131c();
                    }
                }
            }
        }
    }

    /* renamed from: e.a.n.g.d$b */
    /* compiled from: IoScheduler */
    public static final class C1866b extends Scheduler.C1839c {

        /* renamed from: b */
        public final CompositeDisposable f7490b;

        /* renamed from: c */
        public final C1865a f7491c;

        /* renamed from: d */
        public final C1867c f7492d;

        /* renamed from: e */
        public final AtomicBoolean f7493e = new AtomicBoolean();

        public C1866b(C1865a aVar) {
            C1867c cVar;
            C1867c cVar2;
            this.f7491c = aVar;
            this.f7490b = new CompositeDisposable();
            if (aVar.f7486d.f7332c) {
                cVar = IoScheduler.f7480h;
            } else {
                while (true) {
                    if (aVar.f7485c.isEmpty()) {
                        cVar2 = new C1867c(aVar.f7489g);
                        aVar.f7486d.mo9153c(cVar2);
                        break;
                    }
                    cVar2 = aVar.f7485c.poll();
                    if (cVar2 != null) {
                        break;
                    }
                }
                cVar = cVar2;
            }
            this.f7492d = cVar;
        }

        /* renamed from: a */
        public Disposable mo9138a(Runnable runnable, long j, TimeUnit timeUnit) {
            if (this.f7490b.f7332c) {
                return EmptyDisposable.INSTANCE;
            }
            return this.f7492d.mo9206a(runnable, j, timeUnit, this.f7490b);
        }

        /* renamed from: c */
        public void mo9131c() {
            if (this.f7493e.compareAndSet(false, true)) {
                this.f7490b.mo9131c();
                C1865a aVar = this.f7491c;
                C1867c cVar = this.f7492d;
                if (aVar != null) {
                    cVar.f7494d = System.nanoTime() + aVar.f7484b;
                    aVar.f7485c.offer(cVar);
                    return;
                }
                throw null;
            }
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7493e.get();
        }
    }

    /* renamed from: e.a.n.g.d$c */
    /* compiled from: IoScheduler */
    public static final class C1867c extends NewThreadWorker {

        /* renamed from: d */
        public long f7494d = 0;

        public C1867c(ThreadFactory threadFactory) {
            super(threadFactory);
        }
    }

    static {
        C1867c cVar = new C1867c(new RxThreadFactory("RxCachedThreadSchedulerShutdown"));
        f7480h = cVar;
        cVar.mo9131c();
        int max = Math.max(1, Math.min(10, Integer.getInteger("rx2.io-priority", 5).intValue()));
        f7476d = new RxThreadFactory("RxCachedThreadScheduler", max);
        f7477e = new RxThreadFactory("RxCachedWorkerPoolEvictor", max);
        C1865a aVar = new C1865a(0, (TimeUnit) null, f7476d);
        f7481i = aVar;
        aVar.f7486d.mo9131c();
        Future<?> future = aVar.f7488f;
        if (future != null) {
            future.cancel(true);
        }
        ScheduledExecutorService scheduledExecutorService = aVar.f7487e;
        if (scheduledExecutorService != null) {
            scheduledExecutorService.shutdownNow();
        }
    }

    public IoScheduler() {
        C1865a aVar = new C1865a(f7478f, f7479g, this.f7482b);
        if (!this.f7483c.compareAndSet(f7481i, aVar)) {
            aVar.f7486d.mo9131c();
            Future<?> future = aVar.f7488f;
            if (future != null) {
                future.cancel(true);
            }
            ScheduledExecutorService scheduledExecutorService = aVar.f7487e;
            if (scheduledExecutorService != null) {
                scheduledExecutorService.shutdownNow();
            }
        }
    }

    /* renamed from: a */
    public Scheduler.C1839c mo9127a() {
        return new C1866b(this.f7483c.get());
    }
}
