package p229e.p230a.p236n.p246g;

import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p229e.p230a.Scheduler;
import p229e.p230a.p233k.CompositeDisposable;
import p229e.p230a.p233k.Disposable;
import p229e.p230a.p236n.p237a.EmptyDisposable;
import p229e.p230a.p236n.p238b.ObjectHelper;

/* renamed from: e.a.n.g.l */
public final class SingleScheduler extends Scheduler {

    /* renamed from: c */
    public static final RxThreadFactory f7511c = new RxThreadFactory("RxSingleScheduler", Math.max(1, Math.min(10, Integer.getInteger("rx2.single-priority", 5).intValue())), true);

    /* renamed from: d */
    public static final ScheduledExecutorService f7512d;

    /* renamed from: b */
    public final AtomicReference<ScheduledExecutorService> f7513b;

    /* renamed from: e.a.n.g.l$a */
    /* compiled from: SingleScheduler */
    public static final class C1870a extends Scheduler.C1839c {

        /* renamed from: b */
        public final ScheduledExecutorService f7514b;

        /* renamed from: c */
        public final CompositeDisposable f7515c = new CompositeDisposable();

        /* renamed from: d */
        public volatile boolean f7516d;

        public C1870a(ScheduledExecutorService scheduledExecutorService) {
            this.f7514b = scheduledExecutorService;
        }

        /* renamed from: a */
        public Disposable mo9138a(Runnable runnable, long j, TimeUnit timeUnit) {
            Future future;
            if (this.f7516d) {
                return EmptyDisposable.INSTANCE;
            }
            ObjectHelper.m5630a(runnable, "run is null");
            ScheduledRunnable jVar = new ScheduledRunnable(runnable, this.f7515c);
            this.f7515c.mo9153c(jVar);
            if (j <= 0) {
                try {
                    future = this.f7514b.submit(jVar);
                } catch (RejectedExecutionException e) {
                    mo9131c();
                    C1050v.m4178a((Throwable) e);
                    return EmptyDisposable.INSTANCE;
                }
            } else {
                future = this.f7514b.schedule(jVar, j, timeUnit);
            }
            jVar.mo9211a(future);
            return jVar;
        }

        /* renamed from: c */
        public void mo9131c() {
            if (!this.f7516d) {
                this.f7516d = true;
                this.f7515c.mo9131c();
            }
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7516d;
        }
    }

    static {
        ScheduledExecutorService newScheduledThreadPool = Executors.newScheduledThreadPool(0);
        f7512d = newScheduledThreadPool;
        newScheduledThreadPool.shutdown();
    }

    public SingleScheduler() {
        RxThreadFactory gVar = f7511c;
        AtomicReference<ScheduledExecutorService> atomicReference = new AtomicReference<>();
        this.f7513b = atomicReference;
        atomicReference.lazySet(SchedulerPoolFactory.m5767a(gVar));
    }

    /* renamed from: a */
    public Scheduler.C1839c mo9127a() {
        return new C1870a(this.f7513b.get());
    }

    /* renamed from: a */
    public Disposable mo9130a(Runnable runnable, long j, TimeUnit timeUnit) {
        Future future;
        ObjectHelper.m5630a(runnable, "run is null");
        ScheduledDirectTask iVar = new ScheduledDirectTask(runnable);
        if (j <= 0) {
            try {
                future = this.f7513b.get().submit(iVar);
            } catch (RejectedExecutionException e) {
                C1050v.m4178a((Throwable) e);
                return EmptyDisposable.INSTANCE;
            }
        } else {
            future = this.f7513b.get().schedule(iVar, j, timeUnit);
        }
        iVar.mo9201a(future);
        return iVar;
    }

    /* renamed from: a */
    public Disposable mo9129a(Runnable runnable, long j, long j2, TimeUnit timeUnit) {
        Future future;
        ObjectHelper.m5630a(runnable, "run is null");
        if (j2 <= 0) {
            ScheduledExecutorService scheduledExecutorService = this.f7513b.get();
            InstantPeriodicTask cVar = new InstantPeriodicTask(runnable, scheduledExecutorService);
            if (j <= 0) {
                try {
                    future = scheduledExecutorService.submit(cVar);
                } catch (RejectedExecutionException e) {
                    C1050v.m4178a((Throwable) e);
                    return EmptyDisposable.INSTANCE;
                }
            } else {
                future = scheduledExecutorService.schedule(cVar, j, timeUnit);
            }
            cVar.mo9203a(future);
            return cVar;
        }
        ScheduledDirectPeriodicTask hVar = new ScheduledDirectPeriodicTask(runnable);
        try {
            hVar.mo9201a(this.f7513b.get().scheduleAtFixedRate(hVar, j, j2, timeUnit));
            return hVar;
        } catch (RejectedExecutionException e2) {
            C1050v.m4178a((Throwable) e2);
            return EmptyDisposable.INSTANCE;
        }
    }
}
