package com.newrelic.agent.android.util;

public class FnvHash {
    public static final int FNV32basis = -2128831035;
    public static final int FNV32prime = 16777619;
    public static final long FNV64basis = -3750763034362895579L;
    public static final long FNV64prime = 1099511628211L;

    public static int fnv32(byte[] bArr) {
        int i = FNV32basis;
        for (byte b : bArr) {
            i = (i ^ b) * FNV32prime;
        }
        return i;
    }

    public static long fnv64(byte[] bArr) {
        long j = FNV64basis;
        for (byte b : bArr) {
            j = (j ^ ((long) b)) * FNV64prime;
        }
        return j;
    }

    public static int fnv32(String str) {
        return fnv32(str.getBytes());
    }

    public static long fnv64(String str) {
        return fnv64(str.getBytes());
    }
}
