package p229e.p230a.p236n.p246g;

import java.util.concurrent.PriorityBlockingQueue;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p229e.p230a.Scheduler;
import p229e.p230a.p233k.Disposable;
import p229e.p230a.p233k.RunnableDisposable;
import p229e.p230a.p236n.p237a.EmptyDisposable;
import p229e.p230a.p236n.p238b.ObjectHelper;

/* renamed from: e.a.n.g.m */
public final class TrampolineScheduler extends Scheduler {

    /* renamed from: b */
    public static final TrampolineScheduler f7517b = new TrampolineScheduler();

    /* renamed from: e.a.n.g.m$a */
    /* compiled from: TrampolineScheduler */
    public static final class C1871a implements Runnable {

        /* renamed from: b */
        public final Runnable f7518b;

        /* renamed from: c */
        public final C1873c f7519c;

        /* renamed from: d */
        public final long f7520d;

        public C1871a(Runnable runnable, C1873c cVar, long j) {
            this.f7518b = runnable;
            this.f7519c = cVar;
            this.f7520d = j;
        }

        public void run() {
            if (!this.f7519c.f7528e) {
                long a = this.f7519c.mo9135a(TimeUnit.MILLISECONDS);
                long j = this.f7520d;
                if (j > a) {
                    try {
                        Thread.sleep(j - a);
                    } catch (InterruptedException e) {
                        Thread.currentThread().interrupt();
                        C1050v.m4178a((Throwable) e);
                        return;
                    }
                }
                if (!this.f7519c.f7528e) {
                    this.f7518b.run();
                }
            }
        }
    }

    /* renamed from: e.a.n.g.m$b */
    /* compiled from: TrampolineScheduler */
    public static final class C1872b implements Comparable<C1872b> {

        /* renamed from: b */
        public final Runnable f7521b;

        /* renamed from: c */
        public final long f7522c;

        /* renamed from: d */
        public final int f7523d;

        /* renamed from: e */
        public volatile boolean f7524e;

        public C1872b(Runnable runnable, Long l, int i) {
            this.f7521b = runnable;
            this.f7522c = l.longValue();
            this.f7523d = i;
        }

        public int compareTo(Object obj) {
            C1872b bVar = (C1872b) obj;
            int i = 0;
            int i2 = (this.f7522c > bVar.f7522c ? 1 : (this.f7522c == bVar.f7522c ? 0 : -1));
            int i3 = i2 < 0 ? -1 : i2 > 0 ? 1 : 0;
            if (i3 != 0) {
                return i3;
            }
            int i4 = this.f7523d;
            int i5 = bVar.f7523d;
            if (i4 < i5) {
                i = -1;
            } else if (i4 > i5) {
                i = 1;
            }
            return i;
        }
    }

    /* renamed from: e.a.n.g.m$c */
    /* compiled from: TrampolineScheduler */
    public static final class C1873c extends Scheduler.C1839c implements Disposable {

        /* renamed from: b */
        public final PriorityBlockingQueue<C1872b> f7525b = new PriorityBlockingQueue<>();

        /* renamed from: c */
        public final AtomicInteger f7526c = new AtomicInteger();

        /* renamed from: d */
        public final AtomicInteger f7527d = new AtomicInteger();

        /* renamed from: e */
        public volatile boolean f7528e;

        /* renamed from: e.a.n.g.m$c$a */
        /* compiled from: TrampolineScheduler */
        public final class C1874a implements Runnable {

            /* renamed from: b */
            public final C1872b f7529b;

            public C1874a(C1872b bVar) {
                this.f7529b = bVar;
            }

            public void run() {
                this.f7529b.f7524e = true;
                C1873c.this.f7525b.remove(this.f7529b);
            }
        }

        /* renamed from: a */
        public Disposable mo9136a(Runnable runnable) {
            return mo9217a(runnable, mo9135a(TimeUnit.MILLISECONDS));
        }

        /* renamed from: c */
        public void mo9131c() {
            this.f7528e = true;
        }

        /* renamed from: d */
        public boolean mo9132d() {
            return this.f7528e;
        }

        /* renamed from: a */
        public Disposable mo9138a(Runnable runnable, long j, TimeUnit timeUnit) {
            long millis = timeUnit.toMillis(j) + mo9135a(TimeUnit.MILLISECONDS);
            return mo9217a(new C1871a(runnable, this, millis), millis);
        }

        /* renamed from: a */
        public Disposable mo9217a(Runnable runnable, long j) {
            if (this.f7528e) {
                return EmptyDisposable.INSTANCE;
            }
            C1872b bVar = new C1872b(runnable, Long.valueOf(j), this.f7527d.incrementAndGet());
            this.f7525b.add(bVar);
            if (this.f7526c.getAndIncrement() == 0) {
                int i = 1;
                while (!this.f7528e) {
                    C1872b poll = this.f7525b.poll();
                    if (poll == null) {
                        i = this.f7526c.addAndGet(-i);
                        if (i == 0) {
                            return EmptyDisposable.INSTANCE;
                        }
                    } else if (!poll.f7524e) {
                        poll.f7521b.run();
                    }
                }
                this.f7525b.clear();
                return EmptyDisposable.INSTANCE;
            }
            C1874a aVar = new C1874a(bVar);
            ObjectHelper.m5630a(aVar, "run is null");
            return new RunnableDisposable(aVar);
        }
    }

    /* renamed from: a */
    public Scheduler.C1839c mo9127a() {
        return new C1873c();
    }

    /* renamed from: a */
    public Disposable mo9130a(Runnable runnable, long j, TimeUnit timeUnit) {
        try {
            timeUnit.sleep(j);
            ObjectHelper.m5630a(runnable, "run is null");
            runnable.run();
        } catch (InterruptedException e) {
            Thread.currentThread().interrupt();
            C1050v.m4178a((Throwable) e);
        }
        return EmptyDisposable.INSTANCE;
    }

    /* renamed from: a */
    public Disposable mo9128a(Runnable runnable) {
        ObjectHelper.m5630a(runnable, "run is null");
        runnable.run();
        return EmptyDisposable.INSTANCE;
    }
}
