package p250f.p251i;

import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.NoSuchElementException;
import java.util.RandomAccess;
import p250f.p254l.p256c.Intrinsics;
import p250f.p254l.p256c.p257r.KMarkers;

/* renamed from: f.i.b */
public abstract class AbstractList<E> extends AbstractCollection<E> implements List<E>, KMarkers {

    /* renamed from: f.i.b$a */
    /* compiled from: AbstractList.kt */
    public class C1888a implements Iterator<E>, KMarkers {

        /* renamed from: b */
        public int f7569b;

        public C1888a() {
        }

        public boolean hasNext() {
            return this.f7569b < AbstractList.this.mo9239a();
        }

        public E next() {
            if (hasNext()) {
                AbstractList bVar = AbstractList.this;
                int i = this.f7569b;
                this.f7569b = i + 1;
                return bVar.get(i);
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            throw new UnsupportedOperationException("Operation is not supported for read-only collection");
        }
    }

    /* renamed from: f.i.b$b */
    /* compiled from: AbstractList.kt */
    public class C1889b extends AbstractList<E>.a implements ListIterator<E>, KMarkers {
        public C1889b(int i) {
            super();
            int a = AbstractList.this.mo9239a();
            if (i < 0 || i > a) {
                throw new IndexOutOfBoundsException("index: " + i + ", size: " + a);
            }
            this.f7569b = i;
        }

        public void add(E e) {
            throw new UnsupportedOperationException("Operation is not supported for read-only collection");
        }

        public boolean hasPrevious() {
            return this.f7569b > 0;
        }

        public int nextIndex() {
            return this.f7569b;
        }

        public E previous() {
            if (hasPrevious()) {
                AbstractList bVar = AbstractList.this;
                int i = this.f7569b - 1;
                this.f7569b = i;
                return bVar.get(i);
            }
            throw new NoSuchElementException();
        }

        public int previousIndex() {
            return this.f7569b - 1;
        }

        public void set(E e) {
            throw new UnsupportedOperationException("Operation is not supported for read-only collection");
        }
    }

    /* renamed from: f.i.b$c */
    /* compiled from: AbstractList.kt */
    public static final class C1890c<E> extends AbstractList<E> implements RandomAccess {

        /* renamed from: b */
        public int f7572b;

        /* renamed from: c */
        public final AbstractList<E> f7573c;

        /* renamed from: d */
        public final int f7574d;

        public C1890c(AbstractList<? extends E> bVar, int i, int i2) {
            if (bVar != null) {
                this.f7573c = bVar;
                this.f7574d = i;
                int a = bVar.mo9239a();
                if (i < 0 || i2 > a) {
                    throw new IndexOutOfBoundsException("fromIndex: " + i + ", toIndex: " + i2 + ", size: " + a);
                } else if (i <= i2) {
                    this.f7572b = i2 - this.f7574d;
                } else {
                    throw new IllegalArgumentException("fromIndex: " + i + " > toIndex: " + i2);
                }
            } else {
                Intrinsics.m5822a("list");
                throw null;
            }
        }

        /* renamed from: a */
        public int mo9239a() {
            return this.f7572b;
        }

        public E get(int i) {
            int i2 = this.f7572b;
            if (i >= 0 && i < i2) {
                return this.f7573c.get(this.f7574d + i);
            }
            throw new IndexOutOfBoundsException("index: " + i + ", size: " + i2);
        }
    }

    public void add(int i, E e) {
        throw new UnsupportedOperationException("Operation is not supported for read-only collection");
    }

    public boolean addAll(int i, Collection<? extends E> collection) {
        throw new UnsupportedOperationException("Operation is not supported for read-only collection");
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof List)) {
            return false;
        }
        Collection collection = (Collection) obj;
        if (collection != null) {
            if (size() != collection.size()) {
                return false;
            }
            Iterator it = collection.iterator();
            for (Object a : this) {
                if (!Intrinsics.m5823a(a, it.next())) {
                }
            }
            return true;
            return false;
        }
        Intrinsics.m5822a("other");
        throw null;
    }

    public abstract E get(int i);

    public int hashCode() {
        int i = 1;
        Iterator it = iterator();
        while (it.hasNext()) {
            Object next = it.next();
            i = (i * 31) + (next != null ? next.hashCode() : 0);
        }
        return i;
    }

    public int indexOf(Object obj) {
        int i = 0;
        for (Object a : this) {
            if (Intrinsics.m5823a(a, obj)) {
                return i;
            }
            i++;
        }
        return -1;
    }

    public Iterator<E> iterator() {
        return new C1888a();
    }

    public int lastIndexOf(Object obj) {
        ListIterator listIterator = listIterator(size());
        while (listIterator.hasPrevious()) {
            if (Intrinsics.m5823a(listIterator.previous(), obj)) {
                return listIterator.nextIndex();
            }
        }
        return -1;
    }

    public ListIterator<E> listIterator() {
        return new C1889b(0);
    }

    public E remove(int i) {
        throw new UnsupportedOperationException("Operation is not supported for read-only collection");
    }

    public E set(int i, E e) {
        throw new UnsupportedOperationException("Operation is not supported for read-only collection");
    }

    public List<E> subList(int i, int i2) {
        return new C1890c(this, i, i2);
    }

    public ListIterator<E> listIterator(int i) {
        return new C1889b(i);
    }
}
