package p262g;

import java.io.IOException;
import java.io.InterruptedIOException;
import java.util.concurrent.TimeUnit;
import p085c.p086a.p087a.p088a.outline;
import p250f.Unit;
import p250f.p254l.p255b.C1896a;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;

/* renamed from: g.a0 */
public class Timeout {
    public static final C1943b Companion = new C1943b((DefaultConstructorMarker) null);
    public static final Timeout NONE = new C1942a();
    public long deadlineNanoTime;
    public boolean hasDeadline;
    public long timeoutNanos;

    /* renamed from: g.a0$a */
    /* compiled from: Timeout.kt */
    public static final class C1942a extends Timeout {
        public Timeout deadlineNanoTime(long j) {
            return this;
        }

        public void throwIfReached() {
        }

        public Timeout timeout(long j, TimeUnit timeUnit) {
            if (timeUnit != null) {
                return this;
            }
            Intrinsics.m5822a("unit");
            throw null;
        }
    }

    /* renamed from: g.a0$b */
    /* compiled from: Timeout.kt */
    public static final class C1943b {
        public /* synthetic */ C1943b(DefaultConstructorMarker fVar) {
        }
    }

    public Timeout clearDeadline() {
        this.hasDeadline = false;
        return this;
    }

    public Timeout clearTimeout() {
        this.timeoutNanos = 0;
        return this;
    }

    public final Timeout deadline(long j, TimeUnit timeUnit) {
        if (timeUnit != null) {
            if (j > 0) {
                return deadlineNanoTime(timeUnit.toNanos(j) + System.nanoTime());
            }
            throw new IllegalArgumentException(outline.m2931a("duration <= 0: ", j).toString());
        }
        Intrinsics.m5822a("unit");
        throw null;
    }

    public long deadlineNanoTime() {
        if (this.hasDeadline) {
            return this.deadlineNanoTime;
        }
        throw new IllegalStateException("No deadline".toString());
    }

    public boolean hasDeadline() {
        return this.hasDeadline;
    }

    public final void intersectWith(Timeout a0Var, C1896a<Unit> aVar) {
        if (a0Var == null) {
            Intrinsics.m5822a("other");
            throw null;
        } else if (aVar != null) {
            long timeoutNanos2 = timeoutNanos();
            C1943b bVar = Companion;
            long timeoutNanos3 = a0Var.timeoutNanos();
            long timeoutNanos4 = timeoutNanos();
            if (bVar != null) {
                if (timeoutNanos3 == 0 || (timeoutNanos4 != 0 && timeoutNanos3 >= timeoutNanos4)) {
                    timeoutNanos3 = timeoutNanos4;
                }
                timeout(timeoutNanos3, TimeUnit.NANOSECONDS);
                if (hasDeadline()) {
                    long deadlineNanoTime2 = deadlineNanoTime();
                    if (a0Var.hasDeadline()) {
                        deadlineNanoTime(Math.min(deadlineNanoTime(), a0Var.deadlineNanoTime()));
                    }
                    try {
                        aVar.invoke();
                    } finally {
                        timeout(timeoutNanos2, TimeUnit.NANOSECONDS);
                        if (a0Var.hasDeadline()) {
                            deadlineNanoTime(deadlineNanoTime2);
                        }
                    }
                } else {
                    if (a0Var.hasDeadline()) {
                        deadlineNanoTime(a0Var.deadlineNanoTime());
                    }
                    try {
                        aVar.invoke();
                    } finally {
                        timeout(timeoutNanos2, TimeUnit.NANOSECONDS);
                        if (a0Var.hasDeadline()) {
                            clearDeadline();
                        }
                    }
                }
            } else {
                throw null;
            }
        } else {
            Intrinsics.m5822a("block");
            throw null;
        }
    }

    public void throwIfReached() throws IOException {
        if (Thread.interrupted()) {
            Thread.currentThread().interrupt();
            throw new InterruptedIOException("interrupted");
        } else if (this.hasDeadline && this.deadlineNanoTime - System.nanoTime() <= 0) {
            throw new InterruptedIOException("deadline reached");
        }
    }

    public Timeout timeout(long j, TimeUnit timeUnit) {
        if (timeUnit != null) {
            if (j >= 0) {
                this.timeoutNanos = timeUnit.toNanos(j);
                return this;
            }
            throw new IllegalArgumentException(outline.m2931a("timeout < 0: ", j).toString());
        }
        Intrinsics.m5822a("unit");
        throw null;
    }

    public long timeoutNanos() {
        return this.timeoutNanos;
    }

    public final void waitUntilNotified(Object obj) throws InterruptedIOException {
        if (obj != null) {
            try {
                boolean hasDeadline2 = hasDeadline();
                long timeoutNanos2 = timeoutNanos();
                long j = 0;
                if (hasDeadline2 || timeoutNanos2 != 0) {
                    long nanoTime = System.nanoTime();
                    if (hasDeadline2 && timeoutNanos2 != 0) {
                        timeoutNanos2 = Math.min(timeoutNanos2, deadlineNanoTime() - nanoTime);
                    } else if (hasDeadline2) {
                        timeoutNanos2 = deadlineNanoTime() - nanoTime;
                    }
                    if (timeoutNanos2 > 0) {
                        long j2 = timeoutNanos2 / 1000000;
                        Long.signum(j2);
                        obj.wait(j2, (int) (timeoutNanos2 - (1000000 * j2)));
                        j = System.nanoTime() - nanoTime;
                    }
                    if (j >= timeoutNanos2) {
                        throw new InterruptedIOException("timeout");
                    }
                    return;
                }
                obj.wait();
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
                throw new InterruptedIOException("interrupted");
            }
        } else {
            Intrinsics.m5822a("monitor");
            throw null;
        }
    }

    public Timeout deadlineNanoTime(long j) {
        this.hasDeadline = true;
        this.deadlineNanoTime = j;
        return this;
    }
}
