package com.newrelic.mobile.fbs;

import com.newrelic.com.google.flatbuffers.FlatBufferBuilder;
import com.newrelic.com.google.flatbuffers.Table;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public final class AgentDataBundle extends Table {
    public static void addAgentData(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.addOffset(0, i, 0);
    }

    public static int createAgentDataBundle(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.startObject(1);
        addAgentData(flatBufferBuilder, i);
        return endAgentDataBundle(flatBufferBuilder);
    }

    public static int createAgentDataVector(FlatBufferBuilder flatBufferBuilder, int[] iArr) {
        flatBufferBuilder.startVector(4, iArr.length, 4);
        for (int length = iArr.length - 1; length >= 0; length--) {
            flatBufferBuilder.addOffset(iArr[length]);
        }
        return flatBufferBuilder.endVector();
    }

    public static int endAgentDataBundle(FlatBufferBuilder flatBufferBuilder) {
        return flatBufferBuilder.endObject();
    }

    public static void finishAgentDataBundleBuffer(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.finish(i);
    }

    public static AgentDataBundle getRootAsAgentDataBundle(ByteBuffer byteBuffer) {
        return getRootAsAgentDataBundle(byteBuffer, new AgentDataBundle());
    }

    public static void startAgentDataBundle(FlatBufferBuilder flatBufferBuilder) {
        flatBufferBuilder.startObject(1);
    }

    public static void startAgentDataVector(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.startVector(4, i, 4);
    }

    public AgentDataBundle __assign(int i, ByteBuffer byteBuffer) {
        __init(i, byteBuffer);
        return this;
    }

    public void __init(int i, ByteBuffer byteBuffer) {
        this.bb_pos = i;
        this.f7295bb = byteBuffer;
    }

    public AgentData agentData(int i) {
        return agentData(new AgentData(), i);
    }

    public int agentDataLength() {
        int __offset = __offset(4);
        if (__offset != 0) {
            return __vector_len(__offset);
        }
        return 0;
    }

    public static AgentDataBundle getRootAsAgentDataBundle(ByteBuffer byteBuffer, AgentDataBundle agentDataBundle) {
        byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
        return agentDataBundle.__assign(byteBuffer.position() + byteBuffer.getInt(byteBuffer.position()), byteBuffer);
    }

    public AgentData agentData(AgentData agentData, int i) {
        int __offset = __offset(4);
        if (__offset == 0) {
            return null;
        }
        return agentData.__assign(__indirect((i * 4) + __vector(__offset)), this.f7295bb);
    }
}
