package com.newrelic.mobile.fbs;

import com.newrelic.com.google.flatbuffers.FlatBufferBuilder;
import com.newrelic.com.google.flatbuffers.Table;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public final class ApplicationInfo extends Table {
    public static void addAppVersion(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.addOffset(2, i, 0);
    }

    public static void addAppVersionId(FlatBufferBuilder flatBufferBuilder, long j) {
        flatBufferBuilder.addLong(3, j, 0);
    }

    public static void addApplicationLicense(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.addOffset(0, i, 0);
    }

    public static void addPlatform(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.addByte(1, (byte) i, 0);
    }

    public static int createApplicationInfo(FlatBufferBuilder flatBufferBuilder, int i, int i2, int i3, long j) {
        flatBufferBuilder.startObject(4);
        addAppVersionId(flatBufferBuilder, j);
        addAppVersion(flatBufferBuilder, i3);
        addApplicationLicense(flatBufferBuilder, i);
        addPlatform(flatBufferBuilder, i2);
        return endApplicationInfo(flatBufferBuilder);
    }

    public static int endApplicationInfo(FlatBufferBuilder flatBufferBuilder) {
        return flatBufferBuilder.endObject();
    }

    public static ApplicationInfo getRootAsApplicationInfo(ByteBuffer byteBuffer) {
        return getRootAsApplicationInfo(byteBuffer, new ApplicationInfo());
    }

    public static void startApplicationInfo(FlatBufferBuilder flatBufferBuilder) {
        flatBufferBuilder.startObject(4);
    }

    public ApplicationInfo __assign(int i, ByteBuffer byteBuffer) {
        __init(i, byteBuffer);
        return this;
    }

    public void __init(int i, ByteBuffer byteBuffer) {
        this.bb_pos = i;
        this.f7295bb = byteBuffer;
    }

    public String appVersion() {
        int __offset = __offset(8);
        if (__offset != 0) {
            return __string(__offset + this.bb_pos);
        }
        return null;
    }

    public ByteBuffer appVersionAsByteBuffer() {
        return __vector_as_bytebuffer(8, 1);
    }

    public long appVersionId() {
        int __offset = __offset(10);
        if (__offset != 0) {
            return this.f7295bb.getLong(__offset + this.bb_pos);
        }
        return 0;
    }

    public ApplicationLicense applicationLicense() {
        return applicationLicense(new ApplicationLicense());
    }

    public boolean mutateAppVersionId(long j) {
        int __offset = __offset(10);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.putLong(__offset + this.bb_pos, j);
        return true;
    }

    public boolean mutatePlatform(int i) {
        int __offset = __offset(6);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.put(__offset + this.bb_pos, (byte) i);
        return true;
    }

    public int platform() {
        int __offset = __offset(6);
        if (__offset != 0) {
            return this.f7295bb.get(__offset + this.bb_pos) & 255;
        }
        return 0;
    }

    public static ApplicationInfo getRootAsApplicationInfo(ByteBuffer byteBuffer, ApplicationInfo applicationInfo) {
        byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
        return applicationInfo.__assign(byteBuffer.position() + byteBuffer.getInt(byteBuffer.position()), byteBuffer);
    }

    public ApplicationLicense applicationLicense(ApplicationLicense applicationLicense) {
        int __offset = __offset(4);
        if (__offset != 0) {
            return applicationLicense.__assign(__indirect(__offset + this.bb_pos), this.f7295bb);
        }
        return null;
    }
}
