package com.newrelic.mobile.fbs;

import com.newrelic.com.google.flatbuffers.FlatBufferBuilder;
import com.newrelic.com.google.flatbuffers.Table;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public final class RequestInformation extends Table {
    public static void addRequestAddress(FlatBufferBuilder flatBufferBuilder, long j) {
        flatBufferBuilder.addInt(1, (int) j, 0);
    }

    public static void addRequestTimestampMs(FlatBufferBuilder flatBufferBuilder, long j) {
        flatBufferBuilder.addLong(0, j, 0);
    }

    public static int createRequestInformation(FlatBufferBuilder flatBufferBuilder, long j, long j2) {
        flatBufferBuilder.startObject(2);
        addRequestTimestampMs(flatBufferBuilder, j);
        addRequestAddress(flatBufferBuilder, j2);
        return endRequestInformation(flatBufferBuilder);
    }

    public static int endRequestInformation(FlatBufferBuilder flatBufferBuilder) {
        return flatBufferBuilder.endObject();
    }

    public static RequestInformation getRootAsRequestInformation(ByteBuffer byteBuffer) {
        return getRootAsRequestInformation(byteBuffer, new RequestInformation());
    }

    public static void startRequestInformation(FlatBufferBuilder flatBufferBuilder) {
        flatBufferBuilder.startObject(2);
    }

    public RequestInformation __assign(int i, ByteBuffer byteBuffer) {
        __init(i, byteBuffer);
        return this;
    }

    public void __init(int i, ByteBuffer byteBuffer) {
        this.bb_pos = i;
        this.f7295bb = byteBuffer;
    }

    public boolean mutateRequestAddress(long j) {
        int __offset = __offset(6);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.putInt(__offset + this.bb_pos, (int) j);
        return true;
    }

    public boolean mutateRequestTimestampMs(long j) {
        int __offset = __offset(4);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.putLong(__offset + this.bb_pos, j);
        return true;
    }

    public long requestAddress() {
        int __offset = __offset(6);
        if (__offset != 0) {
            return ((long) this.f7295bb.getInt(__offset + this.bb_pos)) & 4294967295L;
        }
        return 0;
    }

    public long requestTimestampMs() {
        int __offset = __offset(4);
        if (__offset != 0) {
            return this.f7295bb.getLong(__offset + this.bb_pos);
        }
        return 0;
    }

    public static RequestInformation getRootAsRequestInformation(ByteBuffer byteBuffer, RequestInformation requestInformation) {
        byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
        return requestInformation.__assign(byteBuffer.position() + byteBuffer.getInt(byteBuffer.position()), byteBuffer);
    }
}
