package com.newrelic.mobile.fbs.ios;

import com.newrelic.com.google.flatbuffers.FlatBufferBuilder;
import com.newrelic.com.google.flatbuffers.Table;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public final class Library extends Table {
    public static void addAddress(FlatBufferBuilder flatBufferBuilder, long j) {
        flatBufferBuilder.addLong(2, j, 0);
    }

    public static void addArch(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.addByte(4, (byte) i, 0);
    }

    public static void addUserLibrary(FlatBufferBuilder flatBufferBuilder, boolean z) {
        flatBufferBuilder.addBoolean(3, z, false);
    }

    public static void addUuidHigh(FlatBufferBuilder flatBufferBuilder, long j) {
        flatBufferBuilder.addLong(1, j, 0);
    }

    public static void addUuidLow(FlatBufferBuilder flatBufferBuilder, long j) {
        flatBufferBuilder.addLong(0, j, 0);
    }

    public static int createLibrary(FlatBufferBuilder flatBufferBuilder, long j, long j2, long j3, boolean z, int i) {
        flatBufferBuilder.startObject(5);
        addAddress(flatBufferBuilder, j3);
        addUuidHigh(flatBufferBuilder, j2);
        addUuidLow(flatBufferBuilder, j);
        addArch(flatBufferBuilder, i);
        addUserLibrary(flatBufferBuilder, z);
        return endLibrary(flatBufferBuilder);
    }

    public static int endLibrary(FlatBufferBuilder flatBufferBuilder) {
        return flatBufferBuilder.endObject();
    }

    public static void finishLibraryBuffer(FlatBufferBuilder flatBufferBuilder, int i) {
        flatBufferBuilder.finish(i);
    }

    public static Library getRootAsLibrary(ByteBuffer byteBuffer) {
        return getRootAsLibrary(byteBuffer, new Library());
    }

    public static void startLibrary(FlatBufferBuilder flatBufferBuilder) {
        flatBufferBuilder.startObject(5);
    }

    public Library __assign(int i, ByteBuffer byteBuffer) {
        __init(i, byteBuffer);
        return this;
    }

    public void __init(int i, ByteBuffer byteBuffer) {
        this.bb_pos = i;
        this.f7295bb = byteBuffer;
    }

    public long address() {
        int __offset = __offset(8);
        if (__offset != 0) {
            return this.f7295bb.getLong(__offset + this.bb_pos);
        }
        return 0;
    }

    public int arch() {
        int __offset = __offset(12);
        if (__offset != 0) {
            return this.f7295bb.get(__offset + this.bb_pos) & 255;
        }
        return 0;
    }

    public boolean mutateAddress(long j) {
        int __offset = __offset(8);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.putLong(__offset + this.bb_pos, j);
        return true;
    }

    public boolean mutateArch(int i) {
        int __offset = __offset(12);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.put(__offset + this.bb_pos, (byte) i);
        return true;
    }

    public boolean mutateUserLibrary(boolean z) {
        int __offset = __offset(10);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.put(__offset + this.bb_pos, z ? (byte) 1 : 0);
        return true;
    }

    public boolean mutateUuidHigh(long j) {
        int __offset = __offset(6);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.putLong(__offset + this.bb_pos, j);
        return true;
    }

    public boolean mutateUuidLow(long j) {
        int __offset = __offset(4);
        if (__offset == 0) {
            return false;
        }
        this.f7295bb.putLong(__offset + this.bb_pos, j);
        return true;
    }

    public boolean userLibrary() {
        int __offset = __offset(10);
        return (__offset == 0 || this.f7295bb.get(__offset + this.bb_pos) == 0) ? false : true;
    }

    public long uuidHigh() {
        int __offset = __offset(6);
        if (__offset != 0) {
            return this.f7295bb.getLong(__offset + this.bb_pos);
        }
        return 0;
    }

    public long uuidLow() {
        int __offset = __offset(4);
        if (__offset != 0) {
            return this.f7295bb.getLong(__offset + this.bb_pos);
        }
        return 0;
    }

    public static Library getRootAsLibrary(ByteBuffer byteBuffer, Library library) {
        byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
        return library.__assign(byteBuffer.position() + byteBuffer.getInt(byteBuffer.position()), byteBuffer);
    }
}
