package okhttp3;

import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.util.List;
import okhttp3.internal.http2.Http2ExchangeCodec;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: EventListener.kt */
public abstract class EventListener {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final EventListener NONE = new EventListener$Companion$NONE$1();

    /* compiled from: EventListener.kt */
    public static final class Companion {
        public Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    /* compiled from: EventListener.kt */
    public interface Factory {
        EventListener create(Call call);
    }

    public void callEnd(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void callFailed(Call call, IOException iOException) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (iOException == null) {
            Intrinsics.m5822a("ioe");
            throw null;
        }
    }

    public void callStart(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void canceled(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void connectEnd(Call call, InetSocketAddress inetSocketAddress, Proxy proxy, Protocol protocol) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (inetSocketAddress == null) {
            Intrinsics.m5822a("inetSocketAddress");
            throw null;
        } else if (proxy == null) {
            Intrinsics.m5822a("proxy");
            throw null;
        }
    }

    public void connectFailed(Call call, InetSocketAddress inetSocketAddress, Proxy proxy, Protocol protocol, IOException iOException) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (inetSocketAddress == null) {
            Intrinsics.m5822a("inetSocketAddress");
            throw null;
        } else if (proxy == null) {
            Intrinsics.m5822a("proxy");
            throw null;
        } else if (iOException == null) {
            Intrinsics.m5822a("ioe");
            throw null;
        }
    }

    public void connectStart(Call call, InetSocketAddress inetSocketAddress, Proxy proxy) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (inetSocketAddress == null) {
            Intrinsics.m5822a("inetSocketAddress");
            throw null;
        } else if (proxy == null) {
            Intrinsics.m5822a("proxy");
            throw null;
        }
    }

    public void connectionAcquired(Call call, Connection connection) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (connection == null) {
            Intrinsics.m5822a(Http2ExchangeCodec.CONNECTION);
            throw null;
        }
    }

    public void connectionReleased(Call call, Connection connection) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (connection == null) {
            Intrinsics.m5822a(Http2ExchangeCodec.CONNECTION);
            throw null;
        }
    }

    public void dnsEnd(Call call, String str, List<InetAddress> list) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (str == null) {
            Intrinsics.m5822a("domainName");
            throw null;
        } else if (list == null) {
            Intrinsics.m5822a("inetAddressList");
            throw null;
        }
    }

    public void dnsStart(Call call, String str) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (str == null) {
            Intrinsics.m5822a("domainName");
            throw null;
        }
    }

    public void proxySelectEnd(Call call, HttpUrl httpUrl, List<Proxy> list) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (httpUrl == null) {
            Intrinsics.m5822a("url");
            throw null;
        } else if (list == null) {
            Intrinsics.m5822a("proxies");
            throw null;
        }
    }

    public void proxySelectStart(Call call, HttpUrl httpUrl) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (httpUrl == null) {
            Intrinsics.m5822a("url");
            throw null;
        }
    }

    public void requestBodyEnd(Call call, long j) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void requestBodyStart(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void requestFailed(Call call, IOException iOException) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (iOException == null) {
            Intrinsics.m5822a("ioe");
            throw null;
        }
    }

    public void requestHeadersEnd(Call call, Request request) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (request == null) {
            Intrinsics.m5822a("request");
            throw null;
        }
    }

    public void requestHeadersStart(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void responseBodyEnd(Call call, long j) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void responseBodyStart(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void responseFailed(Call call, IOException iOException) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (iOException == null) {
            Intrinsics.m5822a("ioe");
            throw null;
        }
    }

    public void responseHeadersEnd(Call call, Response response) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        } else if (response == null) {
            Intrinsics.m5822a("response");
            throw null;
        }
    }

    public void responseHeadersStart(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void secureConnectEnd(Call call, Handshake handshake) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }

    public void secureConnectStart(Call call) {
        if (call == null) {
            Intrinsics.m5822a("call");
            throw null;
        }
    }
}
