package okhttp3;

import com.newrelic.agent.android.analytics.AnalyticAttribute;
import com.newrelic.agent.android.util.Constants;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import okhttp3.Headers;
import okhttp3.MediaType;
import okhttp3.RequestBody;
import okhttp3.internal.Util;
import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p262g.BufferedSink;
import p262g.C1952h;

/* compiled from: MultipartBody.kt */
public final class MultipartBody extends RequestBody {
    public static final MediaType ALTERNATIVE = MediaType.Companion.get("multipart/alternative");
    public static final byte[] COLONSPACE = {(byte) 58, (byte) 32};
    public static final byte[] CRLF = {(byte) 13, (byte) 10};
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final byte[] DASHDASH;
    public static final MediaType DIGEST = MediaType.Companion.get("multipart/digest");
    public static final MediaType FORM = MediaType.Companion.get("multipart/form-data");
    public static final MediaType MIXED = MediaType.Companion.get("multipart/mixed");
    public static final MediaType PARALLEL = MediaType.Companion.get("multipart/parallel");
    public final C1952h boundaryByteString;
    public long contentLength;
    public final MediaType contentType;
    public final List<Part> parts;
    public final MediaType type;

    /* compiled from: MultipartBody.kt */
    public static final class Companion {
        public Companion() {
        }

        public final void appendQuotedString$okhttp(StringBuilder sb, String str) {
            if (sb == null) {
                Intrinsics.m5822a("$this$appendQuotedString");
                throw null;
            } else if (str != null) {
                sb.append('\"');
                int length = str.length();
                for (int i = 0; i < length; i++) {
                    char charAt = str.charAt(i);
                    if (charAt == 10) {
                        sb.append("%0A");
                    } else if (charAt == 13) {
                        sb.append("%0D");
                    } else if (charAt == '\"') {
                        sb.append("%22");
                    } else {
                        sb.append(charAt);
                    }
                }
                sb.append('\"');
            } else {
                Intrinsics.m5822a("key");
                throw null;
            }
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    /* compiled from: MultipartBody.kt */
    public static final class Part {
        public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
        public final RequestBody body;
        public final Headers headers;

        /* compiled from: MultipartBody.kt */
        public static final class Companion {
            public Companion() {
            }

            public final Part create(RequestBody requestBody) {
                if (requestBody != null) {
                    return create((Headers) null, requestBody);
                }
                Intrinsics.m5822a("body");
                throw null;
            }

            public final Part createFormData(String str, String str2) {
                if (str == null) {
                    Intrinsics.m5822a("name");
                    throw null;
                } else if (str2 != null) {
                    return createFormData(str, (String) null, RequestBody.Companion.create$default(RequestBody.Companion, str2, (MediaType) null, 1, (Object) null));
                } else {
                    Intrinsics.m5822a("value");
                    throw null;
                }
            }

            public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
                this();
            }

            public final Part create(Headers headers, RequestBody requestBody) {
                if (requestBody != null) {
                    boolean z = true;
                    if ((headers != null ? headers.get(Constants.Network.CONTENT_TYPE_HEADER) : null) == null) {
                        if ((headers != null ? headers.get("Content-Length") : null) != null) {
                            z = false;
                        }
                        if (z) {
                            return new Part(headers, requestBody, (DefaultConstructorMarker) null);
                        }
                        throw new IllegalArgumentException("Unexpected header: Content-Length".toString());
                    }
                    throw new IllegalArgumentException("Unexpected header: Content-Type".toString());
                }
                Intrinsics.m5822a("body");
                throw null;
            }

            public final Part createFormData(String str, String str2, RequestBody requestBody) {
                if (str == null) {
                    Intrinsics.m5822a("name");
                    throw null;
                } else if (requestBody != null) {
                    StringBuilder a = outline.m2937a("form-data; name=");
                    MultipartBody.Companion.appendQuotedString$okhttp(a, str);
                    if (str2 != null) {
                        a.append("; filename=");
                        MultipartBody.Companion.appendQuotedString$okhttp(a, str2);
                    }
                    String sb = a.toString();
                    Intrinsics.m5821a((Object) sb, "StringBuilder().apply(builderAction).toString()");
                    return create(new Headers.Builder().addUnsafeNonAscii("Content-Disposition", sb).build(), requestBody);
                } else {
                    Intrinsics.m5822a("body");
                    throw null;
                }
            }
        }

        public Part(Headers headers2, RequestBody requestBody) {
            this.headers = headers2;
            this.body = requestBody;
        }

        public static final Part create(Headers headers2, RequestBody requestBody) {
            return Companion.create(headers2, requestBody);
        }

        public static final Part create(RequestBody requestBody) {
            return Companion.create(requestBody);
        }

        public static final Part createFormData(String str, String str2) {
            return Companion.createFormData(str, str2);
        }

        public static final Part createFormData(String str, String str2, RequestBody requestBody) {
            return Companion.createFormData(str, str2, requestBody);
        }

        /* renamed from: -deprecated_body  reason: not valid java name */
        public final RequestBody m6120deprecated_body() {
            return this.body;
        }

        /* renamed from: -deprecated_headers  reason: not valid java name */
        public final Headers m6121deprecated_headers() {
            return this.headers;
        }

        public final RequestBody body() {
            return this.body;
        }

        public final Headers headers() {
            return this.headers;
        }

        public /* synthetic */ Part(Headers headers2, RequestBody requestBody, DefaultConstructorMarker fVar) {
            this(headers2, requestBody);
        }
    }

    static {
        byte b = (byte) 45;
        DASHDASH = new byte[]{b, b};
    }

    public MultipartBody(C1952h hVar, MediaType mediaType, List<Part> list) {
        if (hVar == null) {
            Intrinsics.m5822a("boundaryByteString");
            throw null;
        } else if (mediaType == null) {
            Intrinsics.m5822a(AnalyticAttribute.TYPE_ATTRIBUTE);
            throw null;
        } else if (list != null) {
            this.boundaryByteString = hVar;
            this.type = mediaType;
            this.parts = list;
            MediaType.Companion companion = MediaType.Companion;
            this.contentType = companion.get(this.type + "; boundary=" + boundary());
            this.contentLength = -1;
        } else {
            Intrinsics.m5822a("parts");
            throw null;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r14v1, resolved type: g.f} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r1v0, resolved type: g.d} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r1v1, resolved type: g.d} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r14v4, resolved type: g.f} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r1v2, resolved type: g.d} */
    /* JADX WARNING: Multi-variable type inference failed */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private final long writeOrCountBytes(p262g.BufferedSink r14, boolean r15) throws java.io.IOException {
        /*
            r13 = this;
            r0 = 0
            if (r15 == 0) goto L_0x000a
            g.d r14 = new g.d
            r14.<init>()
            r1 = r14
            goto L_0x000b
        L_0x000a:
            r1 = r0
        L_0x000b:
            java.util.List<okhttp3.MultipartBody$Part> r2 = r13.parts
            int r2 = r2.size()
            r3 = 0
            r4 = 0
            r6 = 0
        L_0x0015:
            if (r6 >= r2) goto L_0x00b9
            java.util.List<okhttp3.MultipartBody$Part> r7 = r13.parts
            java.lang.Object r7 = r7.get(r6)
            okhttp3.MultipartBody$Part r7 = (okhttp3.MultipartBody.Part) r7
            okhttp3.Headers r8 = r7.headers()
            okhttp3.RequestBody r7 = r7.body()
            if (r14 == 0) goto L_0x00b5
            byte[] r9 = DASHDASH
            r14.write(r9)
            g.h r9 = r13.boundaryByteString
            r14.mo9467a((p262g.C1952h) r9)
            byte[] r9 = CRLF
            r14.write(r9)
            if (r8 == 0) goto L_0x005f
            int r9 = r8.size()
            r10 = 0
        L_0x003f:
            if (r10 >= r9) goto L_0x005f
            java.lang.String r11 = r8.name(r10)
            g.f r11 = r14.mo9468a((java.lang.String) r11)
            byte[] r12 = COLONSPACE
            g.f r11 = r11.write(r12)
            java.lang.String r12 = r8.value(r10)
            g.f r11 = r11.mo9468a((java.lang.String) r12)
            byte[] r12 = CRLF
            r11.write(r12)
            int r10 = r10 + 1
            goto L_0x003f
        L_0x005f:
            okhttp3.MediaType r8 = r7.contentType()
            if (r8 == 0) goto L_0x0078
            java.lang.String r9 = "Content-Type: "
            g.f r9 = r14.mo9468a((java.lang.String) r9)
            java.lang.String r8 = r8.toString()
            g.f r8 = r9.mo9468a((java.lang.String) r8)
            byte[] r9 = CRLF
            r8.write(r9)
        L_0x0078:
            long r8 = r7.contentLength()
            r10 = -1
            int r12 = (r8 > r10 ? 1 : (r8 == r10 ? 0 : -1))
            if (r12 == 0) goto L_0x0092
            java.lang.String r10 = "Content-Length: "
            g.f r10 = r14.mo9468a((java.lang.String) r10)
            g.f r10 = r10.mo9493h(r8)
            byte[] r11 = CRLF
            r10.write(r11)
            goto L_0x00a0
        L_0x0092:
            if (r15 == 0) goto L_0x00a0
            if (r1 == 0) goto L_0x009c
            long r14 = r1.f7648c
            r1.skip(r14)
            return r10
        L_0x009c:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r0
        L_0x00a0:
            byte[] r10 = CRLF
            r14.write(r10)
            if (r15 == 0) goto L_0x00a9
            long r4 = r4 + r8
            goto L_0x00ac
        L_0x00a9:
            r7.writeTo(r14)
        L_0x00ac:
            byte[] r7 = CRLF
            r14.write(r7)
            int r6 = r6 + 1
            goto L_0x0015
        L_0x00b5:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r0
        L_0x00b9:
            if (r14 == 0) goto L_0x00df
            byte[] r2 = DASHDASH
            r14.write(r2)
            g.h r2 = r13.boundaryByteString
            r14.mo9467a((p262g.C1952h) r2)
            byte[] r2 = DASHDASH
            r14.write(r2)
            byte[] r2 = CRLF
            r14.write(r2)
            if (r15 == 0) goto L_0x00de
            if (r1 == 0) goto L_0x00da
            long r14 = r1.f7648c
            long r4 = r4 + r14
            r1.skip(r14)
            goto L_0x00de
        L_0x00da:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r0
        L_0x00de:
            return r4
        L_0x00df:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.MultipartBody.writeOrCountBytes(g.f, boolean):long");
    }

    /* renamed from: -deprecated_boundary  reason: not valid java name */
    public final String m6116deprecated_boundary() {
        return boundary();
    }

    /* renamed from: -deprecated_parts  reason: not valid java name */
    public final List<Part> m6117deprecated_parts() {
        return this.parts;
    }

    /* renamed from: -deprecated_size  reason: not valid java name */
    public final int m6118deprecated_size() {
        return size();
    }

    /* renamed from: -deprecated_type  reason: not valid java name */
    public final MediaType m6119deprecated_type() {
        return this.type;
    }

    public final String boundary() {
        return this.boundaryByteString.mo9547g();
    }

    public long contentLength() throws IOException {
        long j = this.contentLength;
        if (j != -1) {
            return j;
        }
        long writeOrCountBytes = writeOrCountBytes((BufferedSink) null, true);
        this.contentLength = writeOrCountBytes;
        return writeOrCountBytes;
    }

    public MediaType contentType() {
        return this.contentType;
    }

    public final Part part(int i) {
        return this.parts.get(i);
    }

    public final List<Part> parts() {
        return this.parts;
    }

    public final int size() {
        return this.parts.size();
    }

    public final MediaType type() {
        return this.type;
    }

    public void writeTo(BufferedSink fVar) throws IOException {
        if (fVar != null) {
            writeOrCountBytes(fVar, false);
        } else {
            Intrinsics.m5822a("sink");
            throw null;
        }
    }

    /* compiled from: MultipartBody.kt */
    public static final class Builder {
        public final C1952h boundary;
        public final List<Part> parts;
        public MediaType type;

        public Builder() {
            this((String) null, 1, (DefaultConstructorMarker) null);
        }

        public Builder(String str) {
            if (str != null) {
                this.boundary = C1952h.f7659f.mo9552c(str);
                this.type = MultipartBody.MIXED;
                this.parts = new ArrayList();
                return;
            }
            Intrinsics.m5822a("boundary");
            throw null;
        }

        public final Builder addFormDataPart(String str, String str2) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (str2 != null) {
                addPart(Part.Companion.createFormData(str, str2));
                return this;
            } else {
                Intrinsics.m5822a("value");
                throw null;
            }
        }

        public final Builder addPart(RequestBody requestBody) {
            if (requestBody != null) {
                addPart(Part.Companion.create(requestBody));
                return this;
            }
            Intrinsics.m5822a("body");
            throw null;
        }

        public final MultipartBody build() {
            if (!this.parts.isEmpty()) {
                return new MultipartBody(this.boundary, this.type, Util.toImmutableList(this.parts));
            }
            throw new IllegalStateException("Multipart body must have at least one part.".toString());
        }

        public final Builder setType(MediaType mediaType) {
            if (mediaType == null) {
                Intrinsics.m5822a(AnalyticAttribute.TYPE_ATTRIBUTE);
                throw null;
            } else if (Intrinsics.m5823a((Object) mediaType.type(), (Object) "multipart")) {
                this.type = mediaType;
                return this;
            } else {
                throw new IllegalArgumentException(("multipart != " + mediaType).toString());
            }
        }

        public final Builder addFormDataPart(String str, String str2, RequestBody requestBody) {
            if (str == null) {
                Intrinsics.m5822a("name");
                throw null;
            } else if (requestBody != null) {
                addPart(Part.Companion.createFormData(str, str2, requestBody));
                return this;
            } else {
                Intrinsics.m5822a("body");
                throw null;
            }
        }

        public final Builder addPart(Headers headers, RequestBody requestBody) {
            if (requestBody != null) {
                addPart(Part.Companion.create(headers, requestBody));
                return this;
            }
            Intrinsics.m5822a("body");
            throw null;
        }

        public final Builder addPart(Part part) {
            if (part != null) {
                this.parts.add(part);
                return this;
            }
            Intrinsics.m5822a("part");
            throw null;
        }

        /* JADX WARNING: Illegal instructions before constructor call */
        /* Code decompiled incorrectly, please refer to instructions dump. */
        public /* synthetic */ Builder(java.lang.String r1, int r2, p250f.p254l.p256c.DefaultConstructorMarker r3) {
            /*
                r0 = this;
                r2 = r2 & 1
                if (r2 == 0) goto L_0x0011
                java.util.UUID r1 = java.util.UUID.randomUUID()
                java.lang.String r1 = r1.toString()
                java.lang.String r2 = "UUID.randomUUID().toString()"
                p250f.p254l.p256c.Intrinsics.m5821a((java.lang.Object) r1, (java.lang.String) r2)
            L_0x0011:
                r0.<init>(r1)
                return
            */
            throw new UnsupportedOperationException("Method not decompiled: okhttp3.MultipartBody.Builder.<init>(java.lang.String, int, f.l.c.f):void");
        }
    }
}
