package okhttp3;

import java.net.Proxy;
import java.net.ProxySelector;
import java.security.GeneralSecurityException;
import java.security.SecureRandom;
import java.time.Duration;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Random;
import java.util.concurrent.TimeUnit;
import javax.net.SocketFactory;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.KeyManager;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import okhttp3.Call;
import okhttp3.EventListener;
import okhttp3.Interceptor;
import okhttp3.WebSocket;
import okhttp3.internal.Util;
import okhttp3.internal.concurrent.TaskRunner;
import okhttp3.internal.connection.RealCall;
import okhttp3.internal.connection.RouteDatabase;
import okhttp3.internal.p270ws.RealWebSocket;
import okhttp3.internal.p270ws.WebSocketExtensions;
import okhttp3.internal.platform.Platform;
import okhttp3.internal.tls.CertificateChainCleaner;
import okhttp3.internal.tls.OkHostnameVerifier;
import org.codehaus.mojo.animal_sniffer.IgnoreJRERequirement;
import p085c.p086a.p087a.p088a.outline;
import p085c.p132d.p133a.p134a.p140c.p143n.C1050v;
import p250f.p251i._Arrays;
import p250f.p254l.p255b.C1907l;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: OkHttpClient.kt */
public class OkHttpClient implements Cloneable, Call.Factory, WebSocket.Factory {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final List<ConnectionSpec> DEFAULT_CONNECTION_SPECS = Util.immutableListOf(ConnectionSpec.MODERN_TLS, ConnectionSpec.CLEARTEXT);
    public static final List<Protocol> DEFAULT_PROTOCOLS = Util.immutableListOf(Protocol.HTTP_2, Protocol.HTTP_1_1);
    public final Authenticator authenticator;
    public final Cache cache;
    public final int callTimeoutMillis;
    public final CertificateChainCleaner certificateChainCleaner;
    public final CertificatePinner certificatePinner;
    public final int connectTimeoutMillis;
    public final ConnectionPool connectionPool;
    public final List<ConnectionSpec> connectionSpecs;
    public final CookieJar cookieJar;
    public final Dispatcher dispatcher;
    public final Dns dns;
    public final EventListener.Factory eventListenerFactory;
    public final boolean followRedirects;
    public final boolean followSslRedirects;
    public final HostnameVerifier hostnameVerifier;
    public final List<Interceptor> interceptors;
    public final long minWebSocketMessageToCompress;
    public final List<Interceptor> networkInterceptors;
    public final int pingIntervalMillis;
    public final List<Protocol> protocols;
    public final Proxy proxy;
    public final Authenticator proxyAuthenticator;
    public final ProxySelector proxySelector;
    public final int readTimeoutMillis;
    public final boolean retryOnConnectionFailure;
    public final RouteDatabase routeDatabase;
    public final SocketFactory socketFactory;
    public final SSLSocketFactory sslSocketFactoryOrNull;
    public final int writeTimeoutMillis;
    public final X509TrustManager x509TrustManager;

    /* compiled from: OkHttpClient.kt */
    public static final class Companion {
        public Companion() {
        }

        /* access modifiers changed from: private */
        public final SSLSocketFactory newSslSocketFactory(X509TrustManager x509TrustManager) {
            try {
                SSLContext newSSLContext = Platform.Companion.get().newSSLContext();
                newSSLContext.init((KeyManager[]) null, new TrustManager[]{x509TrustManager}, (SecureRandom) null);
                SSLSocketFactory socketFactory = newSSLContext.getSocketFactory();
                Intrinsics.m5821a((Object) socketFactory, "sslContext.socketFactory");
                return socketFactory;
            } catch (GeneralSecurityException e) {
                throw new AssertionError("No System TLS", e);
            }
        }

        public final List<ConnectionSpec> getDEFAULT_CONNECTION_SPECS$okhttp() {
            return OkHttpClient.DEFAULT_CONNECTION_SPECS;
        }

        public final List<Protocol> getDEFAULT_PROTOCOLS$okhttp() {
            return OkHttpClient.DEFAULT_PROTOCOLS;
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x00f6  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0144  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0161  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x01ae  */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public OkHttpClient(okhttp3.OkHttpClient.Builder r4) {
        /*
            r3 = this;
            r0 = 0
            if (r4 == 0) goto L_0x01b4
            r3.<init>()
            okhttp3.Dispatcher r1 = r4.getDispatcher$okhttp()
            r3.dispatcher = r1
            okhttp3.ConnectionPool r1 = r4.getConnectionPool$okhttp()
            r3.connectionPool = r1
            java.util.List r1 = r4.getInterceptors$okhttp()
            java.util.List r1 = okhttp3.internal.Util.toImmutableList(r1)
            r3.interceptors = r1
            java.util.List r1 = r4.getNetworkInterceptors$okhttp()
            java.util.List r1 = okhttp3.internal.Util.toImmutableList(r1)
            r3.networkInterceptors = r1
            okhttp3.EventListener$Factory r1 = r4.getEventListenerFactory$okhttp()
            r3.eventListenerFactory = r1
            boolean r1 = r4.getRetryOnConnectionFailure$okhttp()
            r3.retryOnConnectionFailure = r1
            okhttp3.Authenticator r1 = r4.getAuthenticator$okhttp()
            r3.authenticator = r1
            boolean r1 = r4.getFollowRedirects$okhttp()
            r3.followRedirects = r1
            boolean r1 = r4.getFollowSslRedirects$okhttp()
            r3.followSslRedirects = r1
            okhttp3.CookieJar r1 = r4.getCookieJar$okhttp()
            r3.cookieJar = r1
            okhttp3.Cache r1 = r4.getCache$okhttp()
            r3.cache = r1
            okhttp3.Dns r1 = r4.getDns$okhttp()
            r3.dns = r1
            java.net.Proxy r1 = r4.getProxy$okhttp()
            r3.proxy = r1
            java.net.Proxy r1 = r4.getProxy$okhttp()
            if (r1 == 0) goto L_0x0065
            okhttp3.internal.proxy.NullProxySelector r1 = okhttp3.internal.proxy.NullProxySelector.INSTANCE
            goto L_0x0075
        L_0x0065:
            java.net.ProxySelector r1 = r4.getProxySelector$okhttp()
            if (r1 == 0) goto L_0x006c
            goto L_0x0070
        L_0x006c:
            java.net.ProxySelector r1 = java.net.ProxySelector.getDefault()
        L_0x0070:
            if (r1 == 0) goto L_0x0073
            goto L_0x0075
        L_0x0073:
            okhttp3.internal.proxy.NullProxySelector r1 = okhttp3.internal.proxy.NullProxySelector.INSTANCE
        L_0x0075:
            r3.proxySelector = r1
            okhttp3.Authenticator r1 = r4.getProxyAuthenticator$okhttp()
            r3.proxyAuthenticator = r1
            javax.net.SocketFactory r1 = r4.getSocketFactory$okhttp()
            r3.socketFactory = r1
            java.util.List r1 = r4.getConnectionSpecs$okhttp()
            r3.connectionSpecs = r1
            java.util.List r1 = r4.getProtocols$okhttp()
            r3.protocols = r1
            javax.net.ssl.HostnameVerifier r1 = r4.getHostnameVerifier$okhttp()
            r3.hostnameVerifier = r1
            int r1 = r4.getCallTimeout$okhttp()
            r3.callTimeoutMillis = r1
            int r1 = r4.getConnectTimeout$okhttp()
            r3.connectTimeoutMillis = r1
            int r1 = r4.getReadTimeout$okhttp()
            r3.readTimeoutMillis = r1
            int r1 = r4.getWriteTimeout$okhttp()
            r3.writeTimeoutMillis = r1
            int r1 = r4.getPingInterval$okhttp()
            r3.pingIntervalMillis = r1
            long r1 = r4.getMinWebSocketMessageToCompress$okhttp()
            r3.minWebSocketMessageToCompress = r1
            okhttp3.internal.connection.RouteDatabase r1 = r4.getRouteDatabase$okhttp()
            if (r1 == 0) goto L_0x00c0
            goto L_0x00c5
        L_0x00c0:
            okhttp3.internal.connection.RouteDatabase r1 = new okhttp3.internal.connection.RouteDatabase
            r1.<init>()
        L_0x00c5:
            r3.routeDatabase = r1
            javax.net.ssl.SSLSocketFactory r1 = r4.getSslSocketFactoryOrNull$okhttp()
            if (r1 != 0) goto L_0x012e
            java.util.List<okhttp3.ConnectionSpec> r1 = r3.connectionSpecs
            boolean r2 = r1 instanceof java.util.Collection
            if (r2 == 0) goto L_0x00da
            boolean r2 = r1.isEmpty()
            if (r2 == 0) goto L_0x00da
            goto L_0x00f2
        L_0x00da:
            java.util.Iterator r1 = r1.iterator()
        L_0x00de:
            boolean r2 = r1.hasNext()
            if (r2 == 0) goto L_0x00f2
            java.lang.Object r2 = r1.next()
            okhttp3.ConnectionSpec r2 = (okhttp3.ConnectionSpec) r2
            boolean r2 = r2.isTls()
            if (r2 == 0) goto L_0x00de
            r1 = 0
            goto L_0x00f3
        L_0x00f2:
            r1 = 1
        L_0x00f3:
            if (r1 == 0) goto L_0x00f6
            goto L_0x012e
        L_0x00f6:
            okhttp3.internal.platform.Platform$Companion r1 = okhttp3.internal.platform.Platform.Companion
            okhttp3.internal.platform.Platform r1 = r1.get()
            javax.net.ssl.X509TrustManager r1 = r1.platformTrustManager()
            r3.x509TrustManager = r1
            okhttp3.internal.platform.Platform$Companion r1 = okhttp3.internal.platform.Platform.Companion
            okhttp3.internal.platform.Platform r1 = r1.get()
            javax.net.ssl.X509TrustManager r2 = r3.x509TrustManager
            r1.configureTrustManager(r2)
            okhttp3.OkHttpClient$Companion r1 = Companion
            javax.net.ssl.X509TrustManager r2 = r3.x509TrustManager
            if (r2 == 0) goto L_0x012a
            javax.net.ssl.SSLSocketFactory r1 = r1.newSslSocketFactory(r2)
            r3.sslSocketFactoryOrNull = r1
            okhttp3.internal.tls.CertificateChainCleaner$Companion r1 = okhttp3.internal.tls.CertificateChainCleaner.Companion
            javax.net.ssl.X509TrustManager r2 = r3.x509TrustManager
            if (r2 == 0) goto L_0x0126
            okhttp3.internal.tls.CertificateChainCleaner r1 = r1.get((javax.net.ssl.X509TrustManager) r2)
            r3.certificateChainCleaner = r1
            goto L_0x0140
        L_0x0126:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r0
        L_0x012a:
            p250f.p254l.p256c.Intrinsics.m5820a()
            throw r0
        L_0x012e:
            javax.net.ssl.SSLSocketFactory r1 = r4.getSslSocketFactoryOrNull$okhttp()
            r3.sslSocketFactoryOrNull = r1
            okhttp3.internal.tls.CertificateChainCleaner r1 = r4.getCertificateChainCleaner$okhttp()
            r3.certificateChainCleaner = r1
            javax.net.ssl.X509TrustManager r1 = r4.getX509TrustManagerOrNull$okhttp()
            r3.x509TrustManager = r1
        L_0x0140:
            javax.net.ssl.SSLSocketFactory r1 = r3.sslSocketFactoryOrNull
            if (r1 == 0) goto L_0x014f
            okhttp3.internal.platform.Platform$Companion r1 = okhttp3.internal.platform.Platform.Companion
            okhttp3.internal.platform.Platform r1 = r1.get()
            javax.net.ssl.SSLSocketFactory r2 = r3.sslSocketFactoryOrNull
            r1.configureSslSocketFactory(r2)
        L_0x014f:
            okhttp3.CertificatePinner r4 = r4.getCertificatePinner$okhttp()
            okhttp3.internal.tls.CertificateChainCleaner r1 = r3.certificateChainCleaner
            okhttp3.CertificatePinner r4 = r4.withCertificateChainCleaner$okhttp(r1)
            r3.certificatePinner = r4
            java.util.List<okhttp3.Interceptor> r4 = r3.interceptors
            java.lang.String r1 = "null cannot be cast to non-null type kotlin.collections.List<okhttp3.Interceptor?>"
            if (r4 == 0) goto L_0x01ae
            boolean r4 = r4.contains(r0)
            r4 = r4 ^ 1
            if (r4 == 0) goto L_0x0195
            java.util.List<okhttp3.Interceptor> r4 = r3.networkInterceptors
            if (r4 == 0) goto L_0x018f
            boolean r4 = r4.contains(r0)
            r4 = r4 ^ 1
            if (r4 == 0) goto L_0x0176
            return
        L_0x0176:
            java.lang.String r4 = "Null network interceptor: "
            java.lang.StringBuilder r4 = p085c.p086a.p087a.p088a.outline.m2937a(r4)
            java.util.List<okhttp3.Interceptor> r0 = r3.networkInterceptors
            r4.append(r0)
            java.lang.String r4 = r4.toString()
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException
            java.lang.String r4 = r4.toString()
            r0.<init>(r4)
            throw r0
        L_0x018f:
            f.e r4 = new f.e
            r4.<init>(r1)
            throw r4
        L_0x0195:
            java.lang.String r4 = "Null interceptor: "
            java.lang.StringBuilder r4 = p085c.p086a.p087a.p088a.outline.m2937a(r4)
            java.util.List<okhttp3.Interceptor> r0 = r3.interceptors
            r4.append(r0)
            java.lang.String r4 = r4.toString()
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException
            java.lang.String r4 = r4.toString()
            r0.<init>(r4)
            throw r0
        L_0x01ae:
            f.e r4 = new f.e
            r4.<init>(r1)
            throw r4
        L_0x01b4:
            java.lang.String r4 = "builder"
            p250f.p254l.p256c.Intrinsics.m5822a((java.lang.String) r4)
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.OkHttpClient.<init>(okhttp3.OkHttpClient$Builder):void");
    }

    /* renamed from: -deprecated_authenticator  reason: not valid java name */
    public final Authenticator m6122deprecated_authenticator() {
        return this.authenticator;
    }

    /* renamed from: -deprecated_cache  reason: not valid java name */
    public final Cache m6123deprecated_cache() {
        return this.cache;
    }

    /* renamed from: -deprecated_callTimeoutMillis  reason: not valid java name */
    public final int m6124deprecated_callTimeoutMillis() {
        return this.callTimeoutMillis;
    }

    /* renamed from: -deprecated_certificatePinner  reason: not valid java name */
    public final CertificatePinner m6125deprecated_certificatePinner() {
        return this.certificatePinner;
    }

    /* renamed from: -deprecated_connectTimeoutMillis  reason: not valid java name */
    public final int m6126deprecated_connectTimeoutMillis() {
        return this.connectTimeoutMillis;
    }

    /* renamed from: -deprecated_connectionPool  reason: not valid java name */
    public final ConnectionPool m6127deprecated_connectionPool() {
        return this.connectionPool;
    }

    /* renamed from: -deprecated_connectionSpecs  reason: not valid java name */
    public final List<ConnectionSpec> m6128deprecated_connectionSpecs() {
        return this.connectionSpecs;
    }

    /* renamed from: -deprecated_cookieJar  reason: not valid java name */
    public final CookieJar m6129deprecated_cookieJar() {
        return this.cookieJar;
    }

    /* renamed from: -deprecated_dispatcher  reason: not valid java name */
    public final Dispatcher m6130deprecated_dispatcher() {
        return this.dispatcher;
    }

    /* renamed from: -deprecated_dns  reason: not valid java name */
    public final Dns m6131deprecated_dns() {
        return this.dns;
    }

    /* renamed from: -deprecated_eventListenerFactory  reason: not valid java name */
    public final EventListener.Factory m6132deprecated_eventListenerFactory() {
        return this.eventListenerFactory;
    }

    /* renamed from: -deprecated_followRedirects  reason: not valid java name */
    public final boolean m6133deprecated_followRedirects() {
        return this.followRedirects;
    }

    /* renamed from: -deprecated_followSslRedirects  reason: not valid java name */
    public final boolean m6134deprecated_followSslRedirects() {
        return this.followSslRedirects;
    }

    /* renamed from: -deprecated_hostnameVerifier  reason: not valid java name */
    public final HostnameVerifier m6135deprecated_hostnameVerifier() {
        return this.hostnameVerifier;
    }

    /* renamed from: -deprecated_interceptors  reason: not valid java name */
    public final List<Interceptor> m6136deprecated_interceptors() {
        return this.interceptors;
    }

    /* renamed from: -deprecated_networkInterceptors  reason: not valid java name */
    public final List<Interceptor> m6137deprecated_networkInterceptors() {
        return this.networkInterceptors;
    }

    /* renamed from: -deprecated_pingIntervalMillis  reason: not valid java name */
    public final int m6138deprecated_pingIntervalMillis() {
        return this.pingIntervalMillis;
    }

    /* renamed from: -deprecated_protocols  reason: not valid java name */
    public final List<Protocol> m6139deprecated_protocols() {
        return this.protocols;
    }

    /* renamed from: -deprecated_proxy  reason: not valid java name */
    public final Proxy m6140deprecated_proxy() {
        return this.proxy;
    }

    /* renamed from: -deprecated_proxyAuthenticator  reason: not valid java name */
    public final Authenticator m6141deprecated_proxyAuthenticator() {
        return this.proxyAuthenticator;
    }

    /* renamed from: -deprecated_proxySelector  reason: not valid java name */
    public final ProxySelector m6142deprecated_proxySelector() {
        return this.proxySelector;
    }

    /* renamed from: -deprecated_readTimeoutMillis  reason: not valid java name */
    public final int m6143deprecated_readTimeoutMillis() {
        return this.readTimeoutMillis;
    }

    /* renamed from: -deprecated_retryOnConnectionFailure  reason: not valid java name */
    public final boolean m6144deprecated_retryOnConnectionFailure() {
        return this.retryOnConnectionFailure;
    }

    /* renamed from: -deprecated_socketFactory  reason: not valid java name */
    public final SocketFactory m6145deprecated_socketFactory() {
        return this.socketFactory;
    }

    /* renamed from: -deprecated_sslSocketFactory  reason: not valid java name */
    public final SSLSocketFactory m6146deprecated_sslSocketFactory() {
        return sslSocketFactory();
    }

    /* renamed from: -deprecated_writeTimeoutMillis  reason: not valid java name */
    public final int m6147deprecated_writeTimeoutMillis() {
        return this.writeTimeoutMillis;
    }

    public final Authenticator authenticator() {
        return this.authenticator;
    }

    public final Cache cache() {
        return this.cache;
    }

    public final int callTimeoutMillis() {
        return this.callTimeoutMillis;
    }

    public final CertificateChainCleaner certificateChainCleaner() {
        return this.certificateChainCleaner;
    }

    public final CertificatePinner certificatePinner() {
        return this.certificatePinner;
    }

    public Object clone() {
        return super.clone();
    }

    public final int connectTimeoutMillis() {
        return this.connectTimeoutMillis;
    }

    public final ConnectionPool connectionPool() {
        return this.connectionPool;
    }

    public final List<ConnectionSpec> connectionSpecs() {
        return this.connectionSpecs;
    }

    public final CookieJar cookieJar() {
        return this.cookieJar;
    }

    public final Dispatcher dispatcher() {
        return this.dispatcher;
    }

    public final Dns dns() {
        return this.dns;
    }

    public final EventListener.Factory eventListenerFactory() {
        return this.eventListenerFactory;
    }

    public final boolean followRedirects() {
        return this.followRedirects;
    }

    public final boolean followSslRedirects() {
        return this.followSslRedirects;
    }

    public final RouteDatabase getRouteDatabase() {
        return this.routeDatabase;
    }

    public final HostnameVerifier hostnameVerifier() {
        return this.hostnameVerifier;
    }

    public final List<Interceptor> interceptors() {
        return this.interceptors;
    }

    public final long minWebSocketMessageToCompress() {
        return this.minWebSocketMessageToCompress;
    }

    public final List<Interceptor> networkInterceptors() {
        return this.networkInterceptors;
    }

    public Builder newBuilder() {
        return new Builder(this);
    }

    public Call newCall(Request request) {
        if (request != null) {
            return new RealCall(this, request, false);
        }
        Intrinsics.m5822a("request");
        throw null;
    }

    public WebSocket newWebSocket(Request request, WebSocketListener webSocketListener) {
        if (request == null) {
            Intrinsics.m5822a("request");
            throw null;
        } else if (webSocketListener != null) {
            RealWebSocket realWebSocket = new RealWebSocket(TaskRunner.INSTANCE, request, webSocketListener, new Random(), (long) this.pingIntervalMillis, (WebSocketExtensions) null, this.minWebSocketMessageToCompress);
            realWebSocket.connect(this);
            return realWebSocket;
        } else {
            Intrinsics.m5822a("listener");
            throw null;
        }
    }

    public final int pingIntervalMillis() {
        return this.pingIntervalMillis;
    }

    public final List<Protocol> protocols() {
        return this.protocols;
    }

    public final Proxy proxy() {
        return this.proxy;
    }

    public final Authenticator proxyAuthenticator() {
        return this.proxyAuthenticator;
    }

    public final ProxySelector proxySelector() {
        return this.proxySelector;
    }

    public final int readTimeoutMillis() {
        return this.readTimeoutMillis;
    }

    public final boolean retryOnConnectionFailure() {
        return this.retryOnConnectionFailure;
    }

    public final SocketFactory socketFactory() {
        return this.socketFactory;
    }

    public final SSLSocketFactory sslSocketFactory() {
        SSLSocketFactory sSLSocketFactory = this.sslSocketFactoryOrNull;
        if (sSLSocketFactory != null) {
            return sSLSocketFactory;
        }
        throw new IllegalStateException("CLEARTEXT-only client");
    }

    public final int writeTimeoutMillis() {
        return this.writeTimeoutMillis;
    }

    public final X509TrustManager x509TrustManager() {
        return this.x509TrustManager;
    }

    /* compiled from: OkHttpClient.kt */
    public static final class Builder {
        public Authenticator authenticator;
        public Cache cache;
        public int callTimeout;
        public CertificateChainCleaner certificateChainCleaner;
        public CertificatePinner certificatePinner;
        public int connectTimeout;
        public ConnectionPool connectionPool;
        public List<ConnectionSpec> connectionSpecs;
        public CookieJar cookieJar;
        public Dispatcher dispatcher;
        public Dns dns;
        public EventListener.Factory eventListenerFactory;
        public boolean followRedirects;
        public boolean followSslRedirects;
        public HostnameVerifier hostnameVerifier;
        public final List<Interceptor> interceptors;
        public long minWebSocketMessageToCompress;
        public final List<Interceptor> networkInterceptors;
        public int pingInterval;
        public List<? extends Protocol> protocols;
        public Proxy proxy;
        public Authenticator proxyAuthenticator;
        public ProxySelector proxySelector;
        public int readTimeout;
        public boolean retryOnConnectionFailure;
        public RouteDatabase routeDatabase;
        public SocketFactory socketFactory;
        public SSLSocketFactory sslSocketFactoryOrNull;
        public int writeTimeout;
        public X509TrustManager x509TrustManagerOrNull;

        public Builder() {
            this.dispatcher = new Dispatcher();
            this.connectionPool = new ConnectionPool();
            this.interceptors = new ArrayList();
            this.networkInterceptors = new ArrayList();
            this.eventListenerFactory = Util.asFactory(EventListener.NONE);
            this.retryOnConnectionFailure = true;
            this.authenticator = Authenticator.NONE;
            this.followRedirects = true;
            this.followSslRedirects = true;
            this.cookieJar = CookieJar.NO_COOKIES;
            this.dns = Dns.SYSTEM;
            this.proxyAuthenticator = Authenticator.NONE;
            SocketFactory socketFactory2 = SocketFactory.getDefault();
            Intrinsics.m5821a((Object) socketFactory2, "SocketFactory.getDefault()");
            this.socketFactory = socketFactory2;
            this.connectionSpecs = OkHttpClient.Companion.getDEFAULT_CONNECTION_SPECS$okhttp();
            this.protocols = OkHttpClient.Companion.getDEFAULT_PROTOCOLS$okhttp();
            this.hostnameVerifier = OkHostnameVerifier.INSTANCE;
            this.certificatePinner = CertificatePinner.DEFAULT;
            this.connectTimeout = 10000;
            this.readTimeout = 10000;
            this.writeTimeout = 10000;
            this.minWebSocketMessageToCompress = RealWebSocket.DEFAULT_MINIMUM_DEFLATE_SIZE;
        }

        /* renamed from: -addInterceptor  reason: not valid java name */
        public final Builder m6148addInterceptor(C1907l<? super Interceptor.Chain, Response> lVar) {
            if (lVar != null) {
                Interceptor.Companion companion = Interceptor.Companion;
                return addInterceptor(new OkHttpClient$Builder$addInterceptor$$inlined$invoke$1(lVar));
            }
            Intrinsics.m5822a("block");
            throw null;
        }

        /* renamed from: -addNetworkInterceptor  reason: not valid java name */
        public final Builder m6149addNetworkInterceptor(C1907l<? super Interceptor.Chain, Response> lVar) {
            if (lVar != null) {
                Interceptor.Companion companion = Interceptor.Companion;
                return addNetworkInterceptor(new OkHttpClient$Builder$addNetworkInterceptor$$inlined$invoke$1(lVar));
            }
            Intrinsics.m5822a("block");
            throw null;
        }

        public final Builder addInterceptor(Interceptor interceptor) {
            if (interceptor != null) {
                this.interceptors.add(interceptor);
                return this;
            }
            Intrinsics.m5822a("interceptor");
            throw null;
        }

        public final Builder addNetworkInterceptor(Interceptor interceptor) {
            if (interceptor != null) {
                this.networkInterceptors.add(interceptor);
                return this;
            }
            Intrinsics.m5822a("interceptor");
            throw null;
        }

        public final Builder authenticator(Authenticator authenticator2) {
            if (authenticator2 != null) {
                this.authenticator = authenticator2;
                return this;
            }
            Intrinsics.m5822a("authenticator");
            throw null;
        }

        public final OkHttpClient build() {
            return new OkHttpClient(this);
        }

        public final Builder cache(Cache cache2) {
            this.cache = cache2;
            return this;
        }

        public final Builder callTimeout(long j, TimeUnit timeUnit) {
            if (timeUnit != null) {
                this.callTimeout = Util.checkDuration("timeout", j, timeUnit);
                return this;
            }
            Intrinsics.m5822a("unit");
            throw null;
        }

        public final Builder certificatePinner(CertificatePinner certificatePinner2) {
            if (certificatePinner2 != null) {
                if (!Intrinsics.m5823a((Object) certificatePinner2, (Object) this.certificatePinner)) {
                    this.routeDatabase = null;
                }
                this.certificatePinner = certificatePinner2;
                return this;
            }
            Intrinsics.m5822a("certificatePinner");
            throw null;
        }

        public final Builder connectTimeout(long j, TimeUnit timeUnit) {
            if (timeUnit != null) {
                this.connectTimeout = Util.checkDuration("timeout", j, timeUnit);
                return this;
            }
            Intrinsics.m5822a("unit");
            throw null;
        }

        public final Builder connectionPool(ConnectionPool connectionPool2) {
            if (connectionPool2 != null) {
                this.connectionPool = connectionPool2;
                return this;
            }
            Intrinsics.m5822a("connectionPool");
            throw null;
        }

        public final Builder connectionSpecs(List<ConnectionSpec> list) {
            if (list != null) {
                if (!Intrinsics.m5823a((Object) list, (Object) this.connectionSpecs)) {
                    this.routeDatabase = null;
                }
                this.connectionSpecs = Util.toImmutableList(list);
                return this;
            }
            Intrinsics.m5822a("connectionSpecs");
            throw null;
        }

        public final Builder cookieJar(CookieJar cookieJar2) {
            if (cookieJar2 != null) {
                this.cookieJar = cookieJar2;
                return this;
            }
            Intrinsics.m5822a("cookieJar");
            throw null;
        }

        public final Builder dispatcher(Dispatcher dispatcher2) {
            if (dispatcher2 != null) {
                this.dispatcher = dispatcher2;
                return this;
            }
            Intrinsics.m5822a("dispatcher");
            throw null;
        }

        public final Builder dns(Dns dns2) {
            if (dns2 != null) {
                if (!Intrinsics.m5823a((Object) dns2, (Object) this.dns)) {
                    this.routeDatabase = null;
                }
                this.dns = dns2;
                return this;
            }
            Intrinsics.m5822a("dns");
            throw null;
        }

        public final Builder eventListener(EventListener eventListener) {
            if (eventListener != null) {
                this.eventListenerFactory = Util.asFactory(eventListener);
                return this;
            }
            Intrinsics.m5822a("eventListener");
            throw null;
        }

        public final Builder eventListenerFactory(EventListener.Factory factory) {
            if (factory != null) {
                this.eventListenerFactory = factory;
                return this;
            }
            Intrinsics.m5822a("eventListenerFactory");
            throw null;
        }

        public final Builder followRedirects(boolean z) {
            this.followRedirects = z;
            return this;
        }

        public final Builder followSslRedirects(boolean z) {
            this.followSslRedirects = z;
            return this;
        }

        public final Authenticator getAuthenticator$okhttp() {
            return this.authenticator;
        }

        public final Cache getCache$okhttp() {
            return this.cache;
        }

        public final int getCallTimeout$okhttp() {
            return this.callTimeout;
        }

        public final CertificateChainCleaner getCertificateChainCleaner$okhttp() {
            return this.certificateChainCleaner;
        }

        public final CertificatePinner getCertificatePinner$okhttp() {
            return this.certificatePinner;
        }

        public final int getConnectTimeout$okhttp() {
            return this.connectTimeout;
        }

        public final ConnectionPool getConnectionPool$okhttp() {
            return this.connectionPool;
        }

        public final List<ConnectionSpec> getConnectionSpecs$okhttp() {
            return this.connectionSpecs;
        }

        public final CookieJar getCookieJar$okhttp() {
            return this.cookieJar;
        }

        public final Dispatcher getDispatcher$okhttp() {
            return this.dispatcher;
        }

        public final Dns getDns$okhttp() {
            return this.dns;
        }

        public final EventListener.Factory getEventListenerFactory$okhttp() {
            return this.eventListenerFactory;
        }

        public final boolean getFollowRedirects$okhttp() {
            return this.followRedirects;
        }

        public final boolean getFollowSslRedirects$okhttp() {
            return this.followSslRedirects;
        }

        public final HostnameVerifier getHostnameVerifier$okhttp() {
            return this.hostnameVerifier;
        }

        public final List<Interceptor> getInterceptors$okhttp() {
            return this.interceptors;
        }

        public final long getMinWebSocketMessageToCompress$okhttp() {
            return this.minWebSocketMessageToCompress;
        }

        public final List<Interceptor> getNetworkInterceptors$okhttp() {
            return this.networkInterceptors;
        }

        public final int getPingInterval$okhttp() {
            return this.pingInterval;
        }

        public final List<Protocol> getProtocols$okhttp() {
            return this.protocols;
        }

        public final Proxy getProxy$okhttp() {
            return this.proxy;
        }

        public final Authenticator getProxyAuthenticator$okhttp() {
            return this.proxyAuthenticator;
        }

        public final ProxySelector getProxySelector$okhttp() {
            return this.proxySelector;
        }

        public final int getReadTimeout$okhttp() {
            return this.readTimeout;
        }

        public final boolean getRetryOnConnectionFailure$okhttp() {
            return this.retryOnConnectionFailure;
        }

        public final RouteDatabase getRouteDatabase$okhttp() {
            return this.routeDatabase;
        }

        public final SocketFactory getSocketFactory$okhttp() {
            return this.socketFactory;
        }

        public final SSLSocketFactory getSslSocketFactoryOrNull$okhttp() {
            return this.sslSocketFactoryOrNull;
        }

        public final int getWriteTimeout$okhttp() {
            return this.writeTimeout;
        }

        public final X509TrustManager getX509TrustManagerOrNull$okhttp() {
            return this.x509TrustManagerOrNull;
        }

        public final Builder hostnameVerifier(HostnameVerifier hostnameVerifier2) {
            if (hostnameVerifier2 != null) {
                if (!Intrinsics.m5823a((Object) hostnameVerifier2, (Object) this.hostnameVerifier)) {
                    this.routeDatabase = null;
                }
                this.hostnameVerifier = hostnameVerifier2;
                return this;
            }
            Intrinsics.m5822a("hostnameVerifier");
            throw null;
        }

        public final List<Interceptor> interceptors() {
            return this.interceptors;
        }

        public final Builder minWebSocketMessageToCompress(long j) {
            if (j >= 0) {
                this.minWebSocketMessageToCompress = j;
                return this;
            }
            throw new IllegalArgumentException(outline.m2931a("minWebSocketMessageToCompress must be positive: ", j).toString());
        }

        public final List<Interceptor> networkInterceptors() {
            return this.networkInterceptors;
        }

        public final Builder pingInterval(long j, TimeUnit timeUnit) {
            if (timeUnit != null) {
                this.pingInterval = Util.checkDuration("interval", j, timeUnit);
                return this;
            }
            Intrinsics.m5822a("unit");
            throw null;
        }

        public final Builder protocols(List<? extends Protocol> list) {
            if (list != null) {
                List<T> a = _Arrays.m5804a(list);
                ArrayList arrayList = (ArrayList) a;
                boolean z = false;
                if (arrayList.contains(Protocol.H2_PRIOR_KNOWLEDGE) || arrayList.contains(Protocol.HTTP_1_1)) {
                    if (!arrayList.contains(Protocol.H2_PRIOR_KNOWLEDGE) || arrayList.size() <= 1) {
                        z = true;
                    }
                    if (!z) {
                        throw new IllegalArgumentException(("protocols containing h2_prior_knowledge cannot use other protocols: " + a).toString());
                    } else if (!(!arrayList.contains(Protocol.HTTP_1_0))) {
                        throw new IllegalArgumentException(("protocols must not contain http/1.0: " + a).toString());
                    } else if (!arrayList.contains((Object) null)) {
                        arrayList.remove(Protocol.SPDY_3);
                        if (!Intrinsics.m5823a((Object) a, (Object) this.protocols)) {
                            this.routeDatabase = null;
                        }
                        List<? extends Protocol> unmodifiableList = Collections.unmodifiableList(a);
                        Intrinsics.m5821a((Object) unmodifiableList, "Collections.unmodifiableList(protocolsCopy)");
                        this.protocols = unmodifiableList;
                        return this;
                    } else {
                        throw new IllegalArgumentException("protocols must not contain null".toString());
                    }
                } else {
                    throw new IllegalArgumentException(("protocols must contain h2_prior_knowledge or http/1.1: " + a).toString());
                }
            } else {
                Intrinsics.m5822a("protocols");
                throw null;
            }
        }

        public final Builder proxy(Proxy proxy2) {
            if (!Intrinsics.m5823a((Object) proxy2, (Object) this.proxy)) {
                this.routeDatabase = null;
            }
            this.proxy = proxy2;
            return this;
        }

        public final Builder proxyAuthenticator(Authenticator authenticator2) {
            if (authenticator2 != null) {
                if (!Intrinsics.m5823a((Object) authenticator2, (Object) this.proxyAuthenticator)) {
                    this.routeDatabase = null;
                }
                this.proxyAuthenticator = authenticator2;
                return this;
            }
            Intrinsics.m5822a("proxyAuthenticator");
            throw null;
        }

        public final Builder proxySelector(ProxySelector proxySelector2) {
            if (proxySelector2 != null) {
                if (!Intrinsics.m5823a((Object) proxySelector2, (Object) this.proxySelector)) {
                    this.routeDatabase = null;
                }
                this.proxySelector = proxySelector2;
                return this;
            }
            Intrinsics.m5822a("proxySelector");
            throw null;
        }

        public final Builder readTimeout(long j, TimeUnit timeUnit) {
            if (timeUnit != null) {
                this.readTimeout = Util.checkDuration("timeout", j, timeUnit);
                return this;
            }
            Intrinsics.m5822a("unit");
            throw null;
        }

        public final Builder retryOnConnectionFailure(boolean z) {
            this.retryOnConnectionFailure = z;
            return this;
        }

        public final void setAuthenticator$okhttp(Authenticator authenticator2) {
            if (authenticator2 != null) {
                this.authenticator = authenticator2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setCache$okhttp(Cache cache2) {
            this.cache = cache2;
        }

        public final void setCallTimeout$okhttp(int i) {
            this.callTimeout = i;
        }

        public final void setCertificateChainCleaner$okhttp(CertificateChainCleaner certificateChainCleaner2) {
            this.certificateChainCleaner = certificateChainCleaner2;
        }

        public final void setCertificatePinner$okhttp(CertificatePinner certificatePinner2) {
            if (certificatePinner2 != null) {
                this.certificatePinner = certificatePinner2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setConnectTimeout$okhttp(int i) {
            this.connectTimeout = i;
        }

        public final void setConnectionPool$okhttp(ConnectionPool connectionPool2) {
            if (connectionPool2 != null) {
                this.connectionPool = connectionPool2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setConnectionSpecs$okhttp(List<ConnectionSpec> list) {
            if (list != null) {
                this.connectionSpecs = list;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setCookieJar$okhttp(CookieJar cookieJar2) {
            if (cookieJar2 != null) {
                this.cookieJar = cookieJar2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setDispatcher$okhttp(Dispatcher dispatcher2) {
            if (dispatcher2 != null) {
                this.dispatcher = dispatcher2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setDns$okhttp(Dns dns2) {
            if (dns2 != null) {
                this.dns = dns2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setEventListenerFactory$okhttp(EventListener.Factory factory) {
            if (factory != null) {
                this.eventListenerFactory = factory;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setFollowRedirects$okhttp(boolean z) {
            this.followRedirects = z;
        }

        public final void setFollowSslRedirects$okhttp(boolean z) {
            this.followSslRedirects = z;
        }

        public final void setHostnameVerifier$okhttp(HostnameVerifier hostnameVerifier2) {
            if (hostnameVerifier2 != null) {
                this.hostnameVerifier = hostnameVerifier2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setMinWebSocketMessageToCompress$okhttp(long j) {
            this.minWebSocketMessageToCompress = j;
        }

        public final void setPingInterval$okhttp(int i) {
            this.pingInterval = i;
        }

        public final void setProtocols$okhttp(List<? extends Protocol> list) {
            if (list != null) {
                this.protocols = list;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setProxy$okhttp(Proxy proxy2) {
            this.proxy = proxy2;
        }

        public final void setProxyAuthenticator$okhttp(Authenticator authenticator2) {
            if (authenticator2 != null) {
                this.proxyAuthenticator = authenticator2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setProxySelector$okhttp(ProxySelector proxySelector2) {
            this.proxySelector = proxySelector2;
        }

        public final void setReadTimeout$okhttp(int i) {
            this.readTimeout = i;
        }

        public final void setRetryOnConnectionFailure$okhttp(boolean z) {
            this.retryOnConnectionFailure = z;
        }

        public final void setRouteDatabase$okhttp(RouteDatabase routeDatabase2) {
            this.routeDatabase = routeDatabase2;
        }

        public final void setSocketFactory$okhttp(SocketFactory socketFactory2) {
            if (socketFactory2 != null) {
                this.socketFactory = socketFactory2;
            } else {
                Intrinsics.m5822a("<set-?>");
                throw null;
            }
        }

        public final void setSslSocketFactoryOrNull$okhttp(SSLSocketFactory sSLSocketFactory) {
            this.sslSocketFactoryOrNull = sSLSocketFactory;
        }

        public final void setWriteTimeout$okhttp(int i) {
            this.writeTimeout = i;
        }

        public final void setX509TrustManagerOrNull$okhttp(X509TrustManager x509TrustManager) {
            this.x509TrustManagerOrNull = x509TrustManager;
        }

        public final Builder socketFactory(SocketFactory socketFactory2) {
            if (socketFactory2 == null) {
                Intrinsics.m5822a("socketFactory");
                throw null;
            } else if (!(socketFactory2 instanceof SSLSocketFactory)) {
                if (!Intrinsics.m5823a((Object) socketFactory2, (Object) this.socketFactory)) {
                    this.routeDatabase = null;
                }
                this.socketFactory = socketFactory2;
                return this;
            } else {
                throw new IllegalArgumentException("socketFactory instanceof SSLSocketFactory".toString());
            }
        }

        public final Builder sslSocketFactory(SSLSocketFactory sSLSocketFactory) {
            if (sSLSocketFactory != null) {
                if (!Intrinsics.m5823a((Object) sSLSocketFactory, (Object) this.sslSocketFactoryOrNull)) {
                    this.routeDatabase = null;
                }
                this.sslSocketFactoryOrNull = sSLSocketFactory;
                this.certificateChainCleaner = Platform.Companion.get().buildCertificateChainCleaner(sSLSocketFactory);
                return this;
            }
            Intrinsics.m5822a("sslSocketFactory");
            throw null;
        }

        public final Builder writeTimeout(long j, TimeUnit timeUnit) {
            if (timeUnit != null) {
                this.writeTimeout = Util.checkDuration("timeout", j, timeUnit);
                return this;
            }
            Intrinsics.m5822a("unit");
            throw null;
        }

        @IgnoreJRERequirement
        public final Builder callTimeout(Duration duration) {
            if (duration != null) {
                callTimeout(duration.toMillis(), TimeUnit.MILLISECONDS);
                return this;
            }
            Intrinsics.m5822a("duration");
            throw null;
        }

        @IgnoreJRERequirement
        public final Builder connectTimeout(Duration duration) {
            if (duration != null) {
                connectTimeout(duration.toMillis(), TimeUnit.MILLISECONDS);
                return this;
            }
            Intrinsics.m5822a("duration");
            throw null;
        }

        @IgnoreJRERequirement
        public final Builder pingInterval(Duration duration) {
            if (duration != null) {
                pingInterval(duration.toMillis(), TimeUnit.MILLISECONDS);
                return this;
            }
            Intrinsics.m5822a("duration");
            throw null;
        }

        @IgnoreJRERequirement
        public final Builder readTimeout(Duration duration) {
            if (duration != null) {
                readTimeout(duration.toMillis(), TimeUnit.MILLISECONDS);
                return this;
            }
            Intrinsics.m5822a("duration");
            throw null;
        }

        @IgnoreJRERequirement
        public final Builder writeTimeout(Duration duration) {
            if (duration != null) {
                writeTimeout(duration.toMillis(), TimeUnit.MILLISECONDS);
                return this;
            }
            Intrinsics.m5822a("duration");
            throw null;
        }

        public final Builder sslSocketFactory(SSLSocketFactory sSLSocketFactory, X509TrustManager x509TrustManager) {
            if (sSLSocketFactory == null) {
                Intrinsics.m5822a("sslSocketFactory");
                throw null;
            } else if (x509TrustManager != null) {
                if ((!Intrinsics.m5823a((Object) sSLSocketFactory, (Object) this.sslSocketFactoryOrNull)) || (!Intrinsics.m5823a((Object) x509TrustManager, (Object) this.x509TrustManagerOrNull))) {
                    this.routeDatabase = null;
                }
                this.sslSocketFactoryOrNull = sSLSocketFactory;
                this.certificateChainCleaner = CertificateChainCleaner.Companion.get(x509TrustManager);
                this.x509TrustManagerOrNull = x509TrustManager;
                return this;
            } else {
                Intrinsics.m5822a("trustManager");
                throw null;
            }
        }

        /* JADX INFO: this call moved to the top of the method (can break code semantics) */
        public Builder(OkHttpClient okHttpClient) {
            this();
            if (okHttpClient != null) {
                this.dispatcher = okHttpClient.dispatcher();
                this.connectionPool = okHttpClient.connectionPool();
                C1050v.m4187a(this.interceptors, okHttpClient.interceptors());
                C1050v.m4187a(this.networkInterceptors, okHttpClient.networkInterceptors());
                this.eventListenerFactory = okHttpClient.eventListenerFactory();
                this.retryOnConnectionFailure = okHttpClient.retryOnConnectionFailure();
                this.authenticator = okHttpClient.authenticator();
                this.followRedirects = okHttpClient.followRedirects();
                this.followSslRedirects = okHttpClient.followSslRedirects();
                this.cookieJar = okHttpClient.cookieJar();
                this.cache = okHttpClient.cache();
                this.dns = okHttpClient.dns();
                this.proxy = okHttpClient.proxy();
                this.proxySelector = okHttpClient.proxySelector();
                this.proxyAuthenticator = okHttpClient.proxyAuthenticator();
                this.socketFactory = okHttpClient.socketFactory();
                this.sslSocketFactoryOrNull = okHttpClient.sslSocketFactoryOrNull;
                this.x509TrustManagerOrNull = okHttpClient.x509TrustManager();
                this.connectionSpecs = okHttpClient.connectionSpecs();
                this.protocols = okHttpClient.protocols();
                this.hostnameVerifier = okHttpClient.hostnameVerifier();
                this.certificatePinner = okHttpClient.certificatePinner();
                this.certificateChainCleaner = okHttpClient.certificateChainCleaner();
                this.callTimeout = okHttpClient.callTimeoutMillis();
                this.connectTimeout = okHttpClient.connectTimeoutMillis();
                this.readTimeout = okHttpClient.readTimeoutMillis();
                this.writeTimeout = okHttpClient.writeTimeoutMillis();
                this.pingInterval = okHttpClient.pingIntervalMillis();
                this.minWebSocketMessageToCompress = okHttpClient.minWebSocketMessageToCompress();
                this.routeDatabase = okHttpClient.getRouteDatabase();
                return;
            }
            Intrinsics.m5822a("okHttpClient");
            throw null;
        }
    }

    public OkHttpClient() {
        this(new Builder());
    }
}
