package okhttp3;

import java.io.IOException;
import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: Protocol.kt */
public enum Protocol {
    HTTP_1_0("http/1.0"),
    HTTP_1_1("http/1.1"),
    SPDY_3("spdy/3.1"),
    HTTP_2("h2"),
    H2_PRIOR_KNOWLEDGE("h2_prior_knowledge"),
    QUIC("quic");
    
    public static final Companion Companion = null;
    public final String protocol;

    /* compiled from: Protocol.kt */
    public static final class Companion {
        public Companion() {
        }

        public final Protocol get(String str) throws IOException {
            if (str == null) {
                Intrinsics.m5822a("protocol");
                throw null;
            } else if (Intrinsics.m5823a((Object) str, (Object) Protocol.HTTP_1_0.protocol)) {
                return Protocol.HTTP_1_0;
            } else {
                if (Intrinsics.m5823a((Object) str, (Object) Protocol.HTTP_1_1.protocol)) {
                    return Protocol.HTTP_1_1;
                }
                if (Intrinsics.m5823a((Object) str, (Object) Protocol.H2_PRIOR_KNOWLEDGE.protocol)) {
                    return Protocol.H2_PRIOR_KNOWLEDGE;
                }
                if (Intrinsics.m5823a((Object) str, (Object) Protocol.HTTP_2.protocol)) {
                    return Protocol.HTTP_2;
                }
                if (Intrinsics.m5823a((Object) str, (Object) Protocol.SPDY_3.protocol)) {
                    return Protocol.SPDY_3;
                }
                if (Intrinsics.m5823a((Object) str, (Object) Protocol.QUIC.protocol)) {
                    return Protocol.QUIC;
                }
                throw new IOException(outline.m2941b("Unexpected protocol: ", str));
            }
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    /* access modifiers changed from: public */
    static {
        Companion = new Companion((DefaultConstructorMarker) null);
    }

    /* access modifiers changed from: public */
    Protocol(String str) {
        this.protocol = str;
    }

    public static final Protocol get(String str) throws IOException {
        return Companion.get(str);
    }

    public String toString() {
        return this.protocol;
    }
}
