package okhttp3;

import java.io.File;
import java.io.IOException;
import java.nio.charset.Charset;
import okhttp3.MediaType;
import okhttp3.internal.Util;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p250f.p261p.Charsets;
import p262g.BufferedSink;
import p262g.C1952h;

/* compiled from: RequestBody.kt */
public abstract class RequestBody {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);

    /* compiled from: RequestBody.kt */
    public static final class Companion {
        public Companion() {
        }

        public static /* synthetic */ RequestBody create$default(Companion companion, String str, MediaType mediaType, int i, Object obj) {
            if ((i & 1) != 0) {
                mediaType = null;
            }
            return companion.create(str, mediaType);
        }

        public final RequestBody create(String str, MediaType mediaType) {
            if (str != null) {
                Charset charset = Charsets.f7618a;
                if (mediaType != null && (charset = MediaType.charset$default(mediaType, (Charset) null, 1, (Object) null)) == null) {
                    charset = Charsets.f7618a;
                    MediaType.Companion companion = MediaType.Companion;
                    mediaType = companion.parse(mediaType + "; charset=utf-8");
                }
                byte[] bytes = str.getBytes(charset);
                Intrinsics.m5821a((Object) bytes, "(this as java.lang.String).getBytes(charset)");
                return create(bytes, mediaType, 0, bytes.length);
            }
            Intrinsics.m5822a("$this$toRequestBody");
            throw null;
        }

        public final RequestBody create(MediaType mediaType, byte[] bArr) {
            return create$default(this, mediaType, bArr, 0, 0, 12, (Object) null);
        }

        public final RequestBody create(MediaType mediaType, byte[] bArr, int i) {
            return create$default(this, mediaType, bArr, i, 0, 8, (Object) null);
        }

        public final RequestBody create(byte[] bArr) {
            return create$default(this, bArr, (MediaType) null, 0, 0, 7, (Object) null);
        }

        public final RequestBody create(byte[] bArr, MediaType mediaType) {
            return create$default(this, bArr, mediaType, 0, 0, 6, (Object) null);
        }

        public final RequestBody create(byte[] bArr, MediaType mediaType, int i) {
            return create$default(this, bArr, mediaType, i, 0, 4, (Object) null);
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }

        public static /* synthetic */ RequestBody create$default(Companion companion, C1952h hVar, MediaType mediaType, int i, Object obj) {
            if ((i & 1) != 0) {
                mediaType = null;
            }
            return companion.create(hVar, mediaType);
        }

        public static /* synthetic */ RequestBody create$default(Companion companion, byte[] bArr, MediaType mediaType, int i, int i2, int i3, Object obj) {
            if ((i3 & 1) != 0) {
                mediaType = null;
            }
            if ((i3 & 2) != 0) {
                i = 0;
            }
            if ((i3 & 4) != 0) {
                i2 = bArr.length;
            }
            return companion.create(bArr, mediaType, i, i2);
        }

        public static /* synthetic */ RequestBody create$default(Companion companion, File file, MediaType mediaType, int i, Object obj) {
            if ((i & 1) != 0) {
                mediaType = null;
            }
            return companion.create(file, mediaType);
        }

        public static /* synthetic */ RequestBody create$default(Companion companion, MediaType mediaType, byte[] bArr, int i, int i2, int i3, Object obj) {
            if ((i3 & 4) != 0) {
                i = 0;
            }
            if ((i3 & 8) != 0) {
                i2 = bArr.length;
            }
            return companion.create(mediaType, bArr, i, i2);
        }

        public final RequestBody create(C1952h hVar, MediaType mediaType) {
            if (hVar != null) {
                return new RequestBody$Companion$toRequestBody$1(hVar, mediaType);
            }
            Intrinsics.m5822a("$this$toRequestBody");
            throw null;
        }

        public final RequestBody create(byte[] bArr, MediaType mediaType, int i, int i2) {
            if (bArr != null) {
                Util.checkOffsetAndCount((long) bArr.length, (long) i, (long) i2);
                return new RequestBody$Companion$toRequestBody$2(bArr, mediaType, i2, i);
            }
            Intrinsics.m5822a("$this$toRequestBody");
            throw null;
        }

        public final RequestBody create(File file, MediaType mediaType) {
            if (file != null) {
                return new RequestBody$Companion$asRequestBody$1(file, mediaType);
            }
            Intrinsics.m5822a("$this$asRequestBody");
            throw null;
        }

        public final RequestBody create(MediaType mediaType, String str) {
            if (str != null) {
                return create(str, mediaType);
            }
            Intrinsics.m5822a("content");
            throw null;
        }

        public final RequestBody create(MediaType mediaType, C1952h hVar) {
            if (hVar != null) {
                return create(hVar, mediaType);
            }
            Intrinsics.m5822a("content");
            throw null;
        }

        public final RequestBody create(MediaType mediaType, byte[] bArr, int i, int i2) {
            if (bArr != null) {
                return create(bArr, mediaType, i, i2);
            }
            Intrinsics.m5822a("content");
            throw null;
        }

        public final RequestBody create(MediaType mediaType, File file) {
            if (file != null) {
                return create(file, mediaType);
            }
            Intrinsics.m5822a("file");
            throw null;
        }
    }

    public static final RequestBody create(C1952h hVar, MediaType mediaType) {
        return Companion.create(hVar, mediaType);
    }

    public static final RequestBody create(File file, MediaType mediaType) {
        return Companion.create(file, mediaType);
    }

    public static final RequestBody create(String str, MediaType mediaType) {
        return Companion.create(str, mediaType);
    }

    public static final RequestBody create(MediaType mediaType, C1952h hVar) {
        return Companion.create(mediaType, hVar);
    }

    public static final RequestBody create(MediaType mediaType, File file) {
        return Companion.create(mediaType, file);
    }

    public static final RequestBody create(MediaType mediaType, String str) {
        return Companion.create(mediaType, str);
    }

    public static final RequestBody create(MediaType mediaType, byte[] bArr) {
        return Companion.create$default(Companion, mediaType, bArr, 0, 0, 12, (Object) null);
    }

    public static final RequestBody create(MediaType mediaType, byte[] bArr, int i) {
        return Companion.create$default(Companion, mediaType, bArr, i, 0, 8, (Object) null);
    }

    public static final RequestBody create(MediaType mediaType, byte[] bArr, int i, int i2) {
        return Companion.create(mediaType, bArr, i, i2);
    }

    public static final RequestBody create(byte[] bArr) {
        return Companion.create$default(Companion, bArr, (MediaType) null, 0, 0, 7, (Object) null);
    }

    public static final RequestBody create(byte[] bArr, MediaType mediaType) {
        return Companion.create$default(Companion, bArr, mediaType, 0, 0, 6, (Object) null);
    }

    public static final RequestBody create(byte[] bArr, MediaType mediaType, int i) {
        return Companion.create$default(Companion, bArr, mediaType, i, 0, 4, (Object) null);
    }

    public static final RequestBody create(byte[] bArr, MediaType mediaType, int i, int i2) {
        return Companion.create(bArr, mediaType, i, i2);
    }

    public long contentLength() throws IOException {
        return -1;
    }

    public abstract MediaType contentType();

    public boolean isDuplex() {
        return false;
    }

    public boolean isOneShot() {
        return false;
    }

    public abstract void writeTo(BufferedSink fVar) throws IOException;
}
