package okhttp3;

import java.io.Closeable;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.nio.charset.Charset;
import okhttp3.MediaType;
import okhttp3.internal.Util;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p250f.p261p.Charsets;
import p262g.BufferedSource;
import p262g.C1948d;
import p262g.C1952h;

/* compiled from: ResponseBody.kt */
public abstract class ResponseBody implements Closeable {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public Reader reader;

    /* compiled from: ResponseBody.kt */
    public static final class BomAwareReader extends Reader {
        public final Charset charset;
        public boolean closed;
        public Reader delegate;
        public final BufferedSource source;

        public BomAwareReader(BufferedSource gVar, Charset charset2) {
            if (gVar == null) {
                Intrinsics.m5822a("source");
                throw null;
            } else if (charset2 != null) {
                this.source = gVar;
                this.charset = charset2;
            } else {
                Intrinsics.m5822a("charset");
                throw null;
            }
        }

        public void close() throws IOException {
            this.closed = true;
            Reader reader = this.delegate;
            if (reader != null) {
                reader.close();
            } else {
                this.source.close();
            }
        }

        public int read(char[] cArr, int i, int i2) throws IOException {
            if (cArr == null) {
                Intrinsics.m5822a("cbuf");
                throw null;
            } else if (!this.closed) {
                Reader reader = this.delegate;
                if (reader == null) {
                    reader = new InputStreamReader(this.source.mo9503m(), Util.readBomAsCharset(this.source, this.charset));
                    this.delegate = reader;
                }
                return reader.read(cArr, i, i2);
            } else {
                throw new IOException("Stream closed");
            }
        }
    }

    /* compiled from: ResponseBody.kt */
    public static final class Companion {
        public Companion() {
        }

        public static /* synthetic */ ResponseBody create$default(Companion companion, String str, MediaType mediaType, int i, Object obj) {
            if ((i & 1) != 0) {
                mediaType = null;
            }
            return companion.create(str, mediaType);
        }

        public final ResponseBody create(String str, MediaType mediaType) {
            if (str != null) {
                Charset charset = Charsets.f7618a;
                if (mediaType != null && (charset = MediaType.charset$default(mediaType, (Charset) null, 1, (Object) null)) == null) {
                    charset = Charsets.f7618a;
                    MediaType.Companion companion = MediaType.Companion;
                    mediaType = companion.parse(mediaType + "; charset=utf-8");
                }
                C1948d dVar = new C1948d();
                if (charset != null) {
                    dVar.mo9470a(str, 0, str.length(), charset);
                    return create((BufferedSource) dVar, mediaType, dVar.f7648c);
                }
                Intrinsics.m5822a("charset");
                throw null;
            }
            Intrinsics.m5822a("$this$toResponseBody");
            throw null;
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }

        public static /* synthetic */ ResponseBody create$default(Companion companion, byte[] bArr, MediaType mediaType, int i, Object obj) {
            if ((i & 1) != 0) {
                mediaType = null;
            }
            return companion.create(bArr, mediaType);
        }

        public static /* synthetic */ ResponseBody create$default(Companion companion, C1952h hVar, MediaType mediaType, int i, Object obj) {
            if ((i & 1) != 0) {
                mediaType = null;
            }
            return companion.create(hVar, mediaType);
        }

        public static /* synthetic */ ResponseBody create$default(Companion companion, BufferedSource gVar, MediaType mediaType, long j, int i, Object obj) {
            if ((i & 1) != 0) {
                mediaType = null;
            }
            if ((i & 2) != 0) {
                j = -1;
            }
            return companion.create(gVar, mediaType, j);
        }

        public final ResponseBody create(byte[] bArr, MediaType mediaType) {
            if (bArr != null) {
                C1948d dVar = new C1948d();
                dVar.write(bArr);
                return create((BufferedSource) dVar, mediaType, (long) bArr.length);
            }
            Intrinsics.m5822a("$this$toResponseBody");
            throw null;
        }

        public final ResponseBody create(C1952h hVar, MediaType mediaType) {
            if (hVar != null) {
                C1948d dVar = new C1948d();
                dVar.mo9467a(hVar);
                return create((BufferedSource) dVar, mediaType, (long) hVar.mo9540b());
            }
            Intrinsics.m5822a("$this$toResponseBody");
            throw null;
        }

        public final ResponseBody create(BufferedSource gVar, MediaType mediaType, long j) {
            if (gVar != null) {
                return new ResponseBody$Companion$asResponseBody$1(gVar, mediaType, j);
            }
            Intrinsics.m5822a("$this$asResponseBody");
            throw null;
        }

        public final ResponseBody create(MediaType mediaType, String str) {
            if (str != null) {
                return create(str, mediaType);
            }
            Intrinsics.m5822a("content");
            throw null;
        }

        public final ResponseBody create(MediaType mediaType, byte[] bArr) {
            if (bArr != null) {
                return create(bArr, mediaType);
            }
            Intrinsics.m5822a("content");
            throw null;
        }

        public final ResponseBody create(MediaType mediaType, C1952h hVar) {
            if (hVar != null) {
                return create(hVar, mediaType);
            }
            Intrinsics.m5822a("content");
            throw null;
        }

        public final ResponseBody create(MediaType mediaType, long j, BufferedSource gVar) {
            if (gVar != null) {
                return create(gVar, mediaType, j);
            }
            Intrinsics.m5822a("content");
            throw null;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:2:0x0006, code lost:
        r0 = r0.charset(p250f.p261p.Charsets.f7618a);
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private final java.nio.charset.Charset charset() {
        /*
            r2 = this;
            okhttp3.MediaType r0 = r2.contentType()
            if (r0 == 0) goto L_0x000f
            java.nio.charset.Charset r1 = p250f.p261p.Charsets.f7618a
            java.nio.charset.Charset r0 = r0.charset(r1)
            if (r0 == 0) goto L_0x000f
            goto L_0x0011
        L_0x000f:
            java.nio.charset.Charset r0 = p250f.p261p.Charsets.f7618a
        L_0x0011:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.ResponseBody.charset():java.nio.charset.Charset");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0055, code lost:
        r7 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0056, code lost:
        p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0059, code lost:
        throw r7;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private final <T> T consumeSource(p250f.p254l.p255b.C1907l<? super p262g.BufferedSource, ? extends T> r6, p250f.p254l.p255b.C1907l<? super T, java.lang.Integer> r7) {
        /*
            r5 = this;
            long r0 = r5.contentLength()
            r2 = 2147483647(0x7fffffff, float:NaN)
            long r2 = (long) r2
            int r4 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1))
            if (r4 > 0) goto L_0x005a
            g.g r2 = r5.source()
            r3 = 0
            java.lang.Object r6 = r6.invoke(r2)     // Catch:{ all -> 0x0053 }
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, (java.lang.Throwable) r3)
            java.lang.Object r7 = r7.invoke(r6)
            java.lang.Number r7 = (java.lang.Number) r7
            int r7 = r7.intValue()
            r2 = -1
            int r4 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1))
            if (r4 == 0) goto L_0x0052
            long r2 = (long) r7
            int r4 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1))
            if (r4 != 0) goto L_0x002e
            goto L_0x0052
        L_0x002e:
            java.io.IOException r6 = new java.io.IOException
            java.lang.StringBuilder r2 = new java.lang.StringBuilder
            r2.<init>()
            java.lang.String r3 = "Content-Length ("
            r2.append(r3)
            r2.append(r0)
            java.lang.String r0 = ") and stream length ("
            r2.append(r0)
            r2.append(r7)
            java.lang.String r7 = ") disagree"
            r2.append(r7)
            java.lang.String r7 = r2.toString()
            r6.<init>(r7)
            throw r6
        L_0x0052:
            return r6
        L_0x0053:
            r6 = move-exception
            throw r6     // Catch:{ all -> 0x0055 }
        L_0x0055:
            r7 = move-exception
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, (java.lang.Throwable) r6)
            throw r7
        L_0x005a:
            java.io.IOException r6 = new java.io.IOException
            java.lang.String r7 = "Cannot buffer entire body for content length: "
            java.lang.String r7 = p085c.p086a.p087a.p088a.outline.m2931a((java.lang.String) r7, (long) r0)
            r6.<init>(r7)
            throw r6
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.ResponseBody.consumeSource(f.l.b.l, f.l.b.l):java.lang.Object");
    }

    public static final ResponseBody create(BufferedSource gVar, MediaType mediaType, long j) {
        return Companion.create(gVar, mediaType, j);
    }

    public static final ResponseBody create(C1952h hVar, MediaType mediaType) {
        return Companion.create(hVar, mediaType);
    }

    public static final ResponseBody create(String str, MediaType mediaType) {
        return Companion.create(str, mediaType);
    }

    public static final ResponseBody create(MediaType mediaType, long j, BufferedSource gVar) {
        return Companion.create(mediaType, j, gVar);
    }

    public static final ResponseBody create(MediaType mediaType, C1952h hVar) {
        return Companion.create(mediaType, hVar);
    }

    public static final ResponseBody create(MediaType mediaType, String str) {
        return Companion.create(mediaType, str);
    }

    public static final ResponseBody create(MediaType mediaType, byte[] bArr) {
        return Companion.create(mediaType, bArr);
    }

    public static final ResponseBody create(byte[] bArr, MediaType mediaType) {
        return Companion.create(bArr, mediaType);
    }

    public final InputStream byteStream() {
        return source().mo9503m();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x004f, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0050, code lost:
        p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0053, code lost:
        throw r1;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final p262g.C1952h byteString() throws java.io.IOException {
        /*
            r7 = this;
            long r0 = r7.contentLength()
            r2 = 2147483647(0x7fffffff, float:NaN)
            long r2 = (long) r2
            int r4 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1))
            if (r4 > 0) goto L_0x0054
            g.g r2 = r7.source()
            r3 = 0
            g.h r4 = r2.mo9486e()     // Catch:{ all -> 0x004d }
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, (java.lang.Throwable) r3)
            int r2 = r4.mo9540b()
            r5 = -1
            int r3 = (r0 > r5 ? 1 : (r0 == r5 ? 0 : -1))
            if (r3 == 0) goto L_0x004c
            long r5 = (long) r2
            int r3 = (r0 > r5 ? 1 : (r0 == r5 ? 0 : -1))
            if (r3 != 0) goto L_0x0028
            goto L_0x004c
        L_0x0028:
            java.io.IOException r3 = new java.io.IOException
            java.lang.StringBuilder r4 = new java.lang.StringBuilder
            r4.<init>()
            java.lang.String r5 = "Content-Length ("
            r4.append(r5)
            r4.append(r0)
            java.lang.String r0 = ") and stream length ("
            r4.append(r0)
            r4.append(r2)
            java.lang.String r0 = ") disagree"
            r4.append(r0)
            java.lang.String r0 = r4.toString()
            r3.<init>(r0)
            throw r3
        L_0x004c:
            return r4
        L_0x004d:
            r0 = move-exception
            throw r0     // Catch:{ all -> 0x004f }
        L_0x004f:
            r1 = move-exception
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, (java.lang.Throwable) r0)
            throw r1
        L_0x0054:
            java.io.IOException r2 = new java.io.IOException
            java.lang.String r3 = "Cannot buffer entire body for content length: "
            java.lang.String r0 = p085c.p086a.p087a.p088a.outline.m2931a((java.lang.String) r3, (long) r0)
            r2.<init>(r0)
            throw r2
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.ResponseBody.byteString():g.h");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x004c, code lost:
        r1 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x004d, code lost:
        p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0050, code lost:
        throw r1;
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final byte[] bytes() throws java.io.IOException {
        /*
            r7 = this;
            long r0 = r7.contentLength()
            r2 = 2147483647(0x7fffffff, float:NaN)
            long r2 = (long) r2
            int r4 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1))
            if (r4 > 0) goto L_0x0051
            g.g r2 = r7.source()
            r3 = 0
            byte[] r4 = r2.mo9500j()     // Catch:{ all -> 0x004a }
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, (java.lang.Throwable) r3)
            int r2 = r4.length
            r5 = -1
            int r3 = (r0 > r5 ? 1 : (r0 == r5 ? 0 : -1))
            if (r3 == 0) goto L_0x0049
            long r5 = (long) r2
            int r3 = (r0 > r5 ? 1 : (r0 == r5 ? 0 : -1))
            if (r3 != 0) goto L_0x0025
            goto L_0x0049
        L_0x0025:
            java.io.IOException r3 = new java.io.IOException
            java.lang.StringBuilder r4 = new java.lang.StringBuilder
            r4.<init>()
            java.lang.String r5 = "Content-Length ("
            r4.append(r5)
            r4.append(r0)
            java.lang.String r0 = ") and stream length ("
            r4.append(r0)
            r4.append(r2)
            java.lang.String r0 = ") disagree"
            r4.append(r0)
            java.lang.String r0 = r4.toString()
            r3.<init>(r0)
            throw r3
        L_0x0049:
            return r4
        L_0x004a:
            r0 = move-exception
            throw r0     // Catch:{ all -> 0x004c }
        L_0x004c:
            r1 = move-exception
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r2, (java.lang.Throwable) r0)
            throw r1
        L_0x0051:
            java.io.IOException r2 = new java.io.IOException
            java.lang.String r3 = "Cannot buffer entire body for content length: "
            java.lang.String r0 = p085c.p086a.p087a.p088a.outline.m2931a((java.lang.String) r3, (long) r0)
            r2.<init>(r0)
            throw r2
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.ResponseBody.bytes():byte[]");
    }

    public final Reader charStream() {
        Reader reader2 = this.reader;
        if (reader2 != null) {
            return reader2;
        }
        BomAwareReader bomAwareReader = new BomAwareReader(source(), charset());
        this.reader = bomAwareReader;
        return bomAwareReader;
    }

    public void close() {
        Util.closeQuietly((Closeable) source());
    }

    public abstract long contentLength();

    public abstract MediaType contentType();

    public abstract BufferedSource source();

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x001b, code lost:
        throw r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0017, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0018, code lost:
        p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r0, r1);
     */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public final java.lang.String string() throws java.io.IOException {
        /*
            r3 = this;
            g.g r0 = r3.source()
            java.nio.charset.Charset r1 = r3.charset()     // Catch:{ all -> 0x0015 }
            java.nio.charset.Charset r1 = okhttp3.internal.Util.readBomAsCharset(r0, r1)     // Catch:{ all -> 0x0015 }
            java.lang.String r1 = r0.mo9473a((java.nio.charset.Charset) r1)     // Catch:{ all -> 0x0015 }
            r2 = 0
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r0, (java.lang.Throwable) r2)
            return r1
        L_0x0015:
            r1 = move-exception
            throw r1     // Catch:{ all -> 0x0017 }
        L_0x0017:
            r2 = move-exception
            p085c.p132d.p133a.p134a.p140c.p143n.C1050v.m4176a((java.io.Closeable) r0, (java.lang.Throwable) r1)
            throw r2
        */
        throw new UnsupportedOperationException("Method not decompiled: okhttp3.ResponseBody.string():java.lang.String");
    }
}
