package okhttp3.internal;

import javax.net.ssl.SSLSocket;
import okhttp3.Cache;
import okhttp3.ConnectionSpec;
import okhttp3.Cookie;
import okhttp3.Headers;
import okhttp3.HttpUrl;
import okhttp3.Request;
import okhttp3.Response;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: internal.kt */
public final class Internal {
    public static final Headers.Builder addHeaderLenient(Headers.Builder builder, String str) {
        if (builder == null) {
            Intrinsics.m5822a("builder");
            throw null;
        } else if (str != null) {
            return builder.addLenient$okhttp(str);
        } else {
            Intrinsics.m5822a("line");
            throw null;
        }
    }

    public static final void applyConnectionSpec(ConnectionSpec connectionSpec, SSLSocket sSLSocket, boolean z) {
        if (connectionSpec == null) {
            Intrinsics.m5822a("connectionSpec");
            throw null;
        } else if (sSLSocket != null) {
            connectionSpec.apply$okhttp(sSLSocket, z);
        } else {
            Intrinsics.m5822a("sslSocket");
            throw null;
        }
    }

    public static final Response cacheGet(Cache cache, Request request) {
        if (cache == null) {
            Intrinsics.m5822a("cache");
            throw null;
        } else if (request != null) {
            return cache.get$okhttp(request);
        } else {
            Intrinsics.m5822a("request");
            throw null;
        }
    }

    public static final String cookieToString(Cookie cookie, boolean z) {
        if (cookie != null) {
            return cookie.toString$okhttp(z);
        }
        Intrinsics.m5822a("cookie");
        throw null;
    }

    public static final Cookie parseCookie(long j, HttpUrl httpUrl, String str) {
        if (httpUrl == null) {
            Intrinsics.m5822a("url");
            throw null;
        } else if (str != null) {
            return Cookie.Companion.parse$okhttp(j, httpUrl, str);
        } else {
            Intrinsics.m5822a("setCookie");
            throw null;
        }
    }

    public static final Headers.Builder addHeaderLenient(Headers.Builder builder, String str, String str2) {
        if (builder == null) {
            Intrinsics.m5822a("builder");
            throw null;
        } else if (str == null) {
            Intrinsics.m5822a("name");
            throw null;
        } else if (str2 != null) {
            return builder.addLenient$okhttp(str, str2);
        } else {
            Intrinsics.m5822a("value");
            throw null;
        }
    }
}
