package okhttp3.internal.http;

import com.newrelic.agent.android.instrumentation.httpclient.HttpResponseEntityImpl;
import java.io.EOFException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import okhttp3.Challenge;
import okhttp3.Cookie;
import okhttp3.CookieJar;
import okhttp3.Headers;
import okhttp3.HttpUrl;
import okhttp3.Response;
import okhttp3.internal.Util;
import okhttp3.internal.platform.Platform;
import p085c.p086a.p087a.p088a.outline;
import p250f.p251i.Maps;
import p250f.p254l.p256c.Intrinsics;
import p250f.p261p.C1937g;
import p262g.C1948d;
import p262g.C1952h;

/* compiled from: HttpHeaders.kt */
public final class HttpHeaders {
    public static final C1952h QUOTED_STRING_DELIMITERS = C1952h.f7659f.mo9552c("\"\\");
    public static final C1952h TOKEN_DELIMITERS = C1952h.f7659f.mo9552c("\t ,=");

    public static final boolean hasBody(Response response) {
        if (response != null) {
            return promisesBody(response);
        }
        Intrinsics.m5822a("response");
        throw null;
    }

    public static final List<Challenge> parseChallenges(Headers headers, String str) {
        if (headers == null) {
            Intrinsics.m5822a("$this$parseChallenges");
            throw null;
        } else if (str != null) {
            ArrayList arrayList = new ArrayList();
            int size = headers.size();
            for (int i = 0; i < size; i++) {
                if (C1937g.m5858a(str, headers.name(i), true)) {
                    C1948d dVar = new C1948d();
                    dVar.mo9468a(headers.value(i));
                    try {
                        readChallengeHeader(dVar, arrayList);
                    } catch (EOFException e) {
                        Platform.Companion.get().log("Unable to parse challenge", 5, e);
                    }
                }
            }
            return arrayList;
        } else {
            Intrinsics.m5822a("headerName");
            throw null;
        }
    }

    public static final boolean promisesBody(Response response) {
        if (response == null) {
            Intrinsics.m5822a("$this$promisesBody");
            throw null;
        } else if (Intrinsics.m5823a((Object) response.request().method(), (Object) "HEAD")) {
            return false;
        } else {
            int code = response.code();
            if (((code >= 100 && code < 200) || code == 204 || code == 304) && Util.headersContentLength(response) == -1 && !C1937g.m5858a(HttpResponseEntityImpl.ENCODING_CHUNKED, Response.header$default(response, HttpResponseEntityImpl.TRANSFER_ENCODING_HEADER, (String) null, 2, (Object) null), true)) {
                return false;
            }
            return true;
        }
    }

    public static final void readChallengeHeader(C1948d dVar, List<Challenge> list) throws EOFException {
        String readToken;
        int skipAll;
        int i;
        String str;
        String str2;
        while (true) {
            String str3 = null;
            while (true) {
                if (str3 == null) {
                    skipCommasAndWhitespace(dVar);
                    str3 = readToken(dVar);
                    if (str3 == null) {
                        return;
                    }
                }
                boolean skipCommasAndWhitespace = skipCommasAndWhitespace(dVar);
                readToken = readToken(dVar);
                if (readToken != null) {
                    byte b = (byte) 61;
                    skipAll = Util.skipAll(dVar, b);
                    boolean skipCommasAndWhitespace2 = skipCommasAndWhitespace(dVar);
                    i = 1;
                    if (skipCommasAndWhitespace || (!skipCommasAndWhitespace2 && !dVar.mo9501k())) {
                        LinkedHashMap linkedHashMap = new LinkedHashMap();
                        int skipAll2 = Util.skipAll(dVar, b) + skipAll;
                        while (true) {
                            if (readToken == null) {
                                readToken = readToken(dVar);
                                if (skipCommasAndWhitespace(dVar)) {
                                    continue;
                                    break;
                                }
                                skipAll2 = Util.skipAll(dVar, b);
                            }
                            if (skipAll2 == 0) {
                                continue;
                                break;
                            } else if (skipAll2 <= 1 && !skipCommasAndWhitespace(dVar)) {
                                if (startsWith(dVar, (byte) 34)) {
                                    str = readQuotedString(dVar);
                                } else {
                                    str = readToken(dVar);
                                }
                                if (str != null && ((String) linkedHashMap.put(readToken, str)) == null) {
                                    if (skipCommasAndWhitespace(dVar) || dVar.mo9501k()) {
                                        readToken = null;
                                    } else {
                                        return;
                                    }
                                } else {
                                    return;
                                }
                            } else {
                                return;
                            }
                        }
                        list.add(new Challenge(str3, (Map<String, String>) linkedHashMap));
                        str3 = readToken;
                    }
                } else if (dVar.mo9501k()) {
                    list.add(new Challenge(str3, (Map<String, String>) Maps.f7580b));
                    return;
                } else {
                    return;
                }
            }
            StringBuilder a = outline.m2937a(readToken);
            if (skipAll >= 0) {
                if (skipAll != 0) {
                    if (skipAll != 1) {
                        int length = "=".length();
                        if (length != 0) {
                            if (length != 1) {
                                StringBuilder sb = new StringBuilder("=".length() * skipAll);
                                if (1 <= skipAll) {
                                    while (true) {
                                        sb.append("=");
                                        if (i == skipAll) {
                                            break;
                                        }
                                        i++;
                                    }
                                }
                                str2 = sb.toString();
                                Intrinsics.m5821a((Object) str2, "sb.toString()");
                            } else {
                                char charAt = "=".charAt(0);
                                char[] cArr = new char[skipAll];
                                for (int i2 = 0; i2 < skipAll; i2++) {
                                    cArr[i2] = charAt;
                                }
                                str2 = new String(cArr);
                            }
                        }
                    } else {
                        str2 = "=".toString();
                    }
                    a.append(str2);
                    Map singletonMap = Collections.singletonMap((Object) null, a.toString());
                    Intrinsics.m5821a((Object) singletonMap, "Collections.singletonMap…ek + \"=\".repeat(eqCount))");
                    list.add(new Challenge(str3, (Map<String, String>) singletonMap));
                }
                str2 = "";
                a.append(str2);
                Map singletonMap2 = Collections.singletonMap((Object) null, a.toString());
                Intrinsics.m5821a((Object) singletonMap2, "Collections.singletonMap…ek + \"=\".repeat(eqCount))");
                list.add(new Challenge(str3, (Map<String, String>) singletonMap2));
            } else {
                throw new IllegalArgumentException(("Count 'n' must be non-negative, but was " + skipAll + '.').toString());
            }
        }
    }

    public static final String readQuotedString(C1948d dVar) throws EOFException {
        byte b = (byte) 34;
        if (dVar.readByte() == b) {
            C1948d dVar2 = new C1948d();
            while (true) {
                long b2 = dVar.mo9475b(QUOTED_STRING_DELIMITERS);
                if (b2 == -1) {
                    return null;
                }
                if (dVar.mo9485e(b2) == b) {
                    dVar2.write(dVar, b2);
                    dVar.readByte();
                    return dVar2.mo9494h();
                } else if (dVar.f7648c == b2 + 1) {
                    return null;
                } else {
                    dVar2.write(dVar, b2);
                    dVar.readByte();
                    dVar2.write(dVar, 1);
                }
            }
        } else {
            throw new IllegalArgumentException("Failed requirement.".toString());
        }
    }

    public static final String readToken(C1948d dVar) {
        long b = dVar.mo9475b(TOKEN_DELIMITERS);
        if (b == -1) {
            b = dVar.f7648c;
        }
        if (b != 0) {
            return dVar.mo9489f(b);
        }
        return null;
    }

    public static final void receiveHeaders(CookieJar cookieJar, HttpUrl httpUrl, Headers headers) {
        if (cookieJar == null) {
            Intrinsics.m5822a("$this$receiveHeaders");
            throw null;
        } else if (httpUrl == null) {
            Intrinsics.m5822a("url");
            throw null;
        } else if (headers == null) {
            Intrinsics.m5822a("headers");
            throw null;
        } else if (cookieJar != CookieJar.NO_COOKIES) {
            List<Cookie> parseAll = Cookie.Companion.parseAll(httpUrl, headers);
            if (!parseAll.isEmpty()) {
                cookieJar.saveFromResponse(httpUrl, parseAll);
            }
        }
    }

    public static final boolean skipCommasAndWhitespace(C1948d dVar) {
        boolean z = false;
        while (!dVar.mo9501k()) {
            byte e = dVar.mo9485e(0);
            if (e == 9 || e == 32) {
                dVar.readByte();
            } else if (e != 44) {
                break;
            } else {
                dVar.readByte();
                z = true;
            }
        }
        return z;
    }

    public static final boolean startsWith(C1948d dVar, byte b) {
        return !dVar.mo9501k() && dVar.mo9485e(0) == b;
    }
}
