package okhttp3.internal.http;

import com.newrelic.agent.android.util.SafeJsonPrimitive;
import java.net.Proxy;
import okhttp3.HttpUrl;
import okhttp3.Request;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: RequestLine.kt */
public final class RequestLine {
    public static final RequestLine INSTANCE = new RequestLine();

    private final boolean includeAuthorityInRequestLine(Request request, Proxy.Type type) {
        return !request.isHttps() && type == Proxy.Type.HTTP;
    }

    public final String get(Request request, Proxy.Type type) {
        if (request == null) {
            Intrinsics.m5822a("request");
            throw null;
        } else if (type != null) {
            StringBuilder sb = new StringBuilder();
            sb.append(request.method());
            sb.append(SafeJsonPrimitive.NULL_CHAR);
            if (INSTANCE.includeAuthorityInRequestLine(request, type)) {
                sb.append(request.url());
            } else {
                sb.append(INSTANCE.requestPath(request.url()));
            }
            sb.append(" HTTP/1.1");
            String sb2 = sb.toString();
            Intrinsics.m5821a((Object) sb2, "StringBuilder().apply(builderAction).toString()");
            return sb2;
        } else {
            Intrinsics.m5822a("proxyType");
            throw null;
        }
    }

    public final String requestPath(HttpUrl httpUrl) {
        if (httpUrl != null) {
            String encodedPath = httpUrl.encodedPath();
            String encodedQuery = httpUrl.encodedQuery();
            if (encodedQuery == null) {
                return encodedPath;
            }
            return encodedPath + '?' + encodedQuery;
        }
        Intrinsics.m5822a("url");
        throw null;
    }
}
