package okhttp3.internal.http;

import com.newrelic.agent.android.agentdata.HexAttributes;
import com.newrelic.agent.android.util.SafeJsonPrimitive;
import java.io.IOException;
import java.net.ProtocolException;
import okhttp3.Protocol;
import okhttp3.Response;
import p085c.p086a.p087a.p088a.outline;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;
import p250f.p261p.C1937g;

/* compiled from: StatusLine.kt */
public final class StatusLine {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);
    public static final int HTTP_CONTINUE = 100;
    public static final int HTTP_MISDIRECTED_REQUEST = 421;
    public static final int HTTP_PERM_REDIRECT = 308;
    public static final int HTTP_TEMP_REDIRECT = 307;
    public final int code;
    public final String message;
    public final Protocol protocol;

    /* compiled from: StatusLine.kt */
    public static final class Companion {
        public Companion() {
        }

        public final StatusLine get(Response response) {
            if (response != null) {
                return new StatusLine(response.protocol(), response.code(), response.message());
            }
            Intrinsics.m5822a("response");
            throw null;
        }

        public final StatusLine parse(String str) throws IOException {
            Protocol protocol;
            String str2;
            if (str != null) {
                int i = 9;
                if (C1937g.m5864b(str, "HTTP/1.", false, 2)) {
                    if (str.length() < 9 || str.charAt(8) != ' ') {
                        throw new ProtocolException(outline.m2941b("Unexpected status line: ", str));
                    }
                    int charAt = str.charAt(7) - '0';
                    if (charAt == 0) {
                        protocol = Protocol.HTTP_1_0;
                    } else if (charAt == 1) {
                        protocol = Protocol.HTTP_1_1;
                    } else {
                        throw new ProtocolException(outline.m2941b("Unexpected status line: ", str));
                    }
                } else if (C1937g.m5864b(str, "ICY ", false, 2)) {
                    protocol = Protocol.HTTP_1_0;
                    i = 4;
                } else {
                    throw new ProtocolException(outline.m2941b("Unexpected status line: ", str));
                }
                int i2 = i + 3;
                if (str.length() >= i2) {
                    try {
                        String substring = str.substring(i, i2);
                        Intrinsics.m5821a((Object) substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                        int parseInt = Integer.parseInt(substring);
                        if (str.length() <= i2) {
                            str2 = "";
                        } else if (str.charAt(i2) == ' ') {
                            str2 = str.substring(i + 4);
                            Intrinsics.m5821a((Object) str2, "(this as java.lang.String).substring(startIndex)");
                        } else {
                            throw new ProtocolException(outline.m2941b("Unexpected status line: ", str));
                        }
                        return new StatusLine(protocol, parseInt, str2);
                    } catch (NumberFormatException unused) {
                        throw new ProtocolException(outline.m2941b("Unexpected status line: ", str));
                    }
                } else {
                    throw new ProtocolException(outline.m2941b("Unexpected status line: ", str));
                }
            } else {
                Intrinsics.m5822a("statusLine");
                throw null;
            }
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }
    }

    public StatusLine(Protocol protocol2, int i, String str) {
        if (protocol2 == null) {
            Intrinsics.m5822a("protocol");
            throw null;
        } else if (str != null) {
            this.protocol = protocol2;
            this.code = i;
            this.message = str;
        } else {
            Intrinsics.m5822a(HexAttributes.HEX_ATTR_MESSAGE);
            throw null;
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.protocol == Protocol.HTTP_1_0) {
            sb.append("HTTP/1.0");
        } else {
            sb.append("HTTP/1.1");
        }
        sb.append(SafeJsonPrimitive.NULL_CHAR);
        sb.append(this.code);
        sb.append(SafeJsonPrimitive.NULL_CHAR);
        sb.append(this.message);
        String sb2 = sb.toString();
        Intrinsics.m5821a((Object) sb2, "StringBuilder().apply(builderAction).toString()");
        return sb2;
    }
}
