package okhttp3.internal.tls;

import java.security.cert.Certificate;
import java.security.cert.X509Certificate;
import java.util.Arrays;
import java.util.List;
import javax.net.ssl.SSLPeerUnverifiedException;
import javax.net.ssl.X509TrustManager;
import okhttp3.internal.platform.Platform;
import p250f.p254l.p256c.DefaultConstructorMarker;
import p250f.p254l.p256c.Intrinsics;

/* compiled from: CertificateChainCleaner.kt */
public abstract class CertificateChainCleaner {
    public static final Companion Companion = new Companion((DefaultConstructorMarker) null);

    /* compiled from: CertificateChainCleaner.kt */
    public static final class Companion {
        public Companion() {
        }

        public final CertificateChainCleaner get(X509TrustManager x509TrustManager) {
            if (x509TrustManager != null) {
                return Platform.Companion.get().buildCertificateChainCleaner(x509TrustManager);
            }
            Intrinsics.m5822a("trustManager");
            throw null;
        }

        public /* synthetic */ Companion(DefaultConstructorMarker fVar) {
            this();
        }

        public final CertificateChainCleaner get(X509Certificate... x509CertificateArr) {
            if (x509CertificateArr != null) {
                return new BasicCertificateChainCleaner(new BasicTrustRootIndex((X509Certificate[]) Arrays.copyOf(x509CertificateArr, x509CertificateArr.length)));
            }
            Intrinsics.m5822a("caCerts");
            throw null;
        }
    }

    public abstract List<Certificate> clean(List<? extends Certificate> list, String str) throws SSLPeerUnverifiedException;
}
