package retrofit2.converter.gson;

import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import java.io.IOException;
import okhttp3.ResponseBody;
import p085c.p132d.p184b.C1278b0;
import p085c.p132d.p184b.C1319k;
import p085c.p132d.p184b.JsonIOException;
import retrofit2.Converter;

public final class GsonResponseBodyConverter<T> implements Converter<ResponseBody, T> {
    public final C1278b0<T> adapter;
    public final C1319k gson;

    public GsonResponseBodyConverter(C1319k kVar, C1278b0<T> b0Var) {
        this.gson = kVar;
        this.adapter = b0Var;
    }

    public T convert(ResponseBody responseBody) throws IOException {
        JsonReader a = this.gson.mo5709a(responseBody.charStream());
        try {
            T a2 = this.adapter.mo5575a(a);
            if (a.peek() == JsonToken.END_DOCUMENT) {
                return a2;
            }
            throw new JsonIOException("JSON document was not fully consumed.");
        } finally {
            responseBody.close();
        }
    }
}
